/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface CheckboxProps extends Omit<PConnFieldProps, 'value'> {
    value: boolean;
    caption?: string;
    trueLabel?: string;
    falseLabel?: string;
    selectionMode?: string;
    datasource?: any;
    selectionKey?: string;
    selectionList?: any;
    primaryField: string;
    readonlyContextList: any;
    referenceList: string;
}
export declare class CheckBoxComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: CheckboxProps;
    label$: string;
    value$: any;
    caption$?: string;
    testId: string;
    showLabel$: boolean;
    isChecked$: boolean;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    bHasForm$: boolean;
    componentReference: string;
    helperText: string;
    trueLabel$?: string;
    falseLabel$?: string;
    selectionMode?: string;
    datasource?: any;
    selectionKey?: string;
    selectionList?: any;
    primaryField: string;
    selectedvalues: any;
    referenceList: string;
    listOfCheckboxes: any[];
    actionsApi: Object;
    propName: string;
    fieldControl: FormControl<string | null>;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnChange(event: any): void;
    fieldOnBlur(event: any): void;
    handleChangeMultiMode(event: any, element: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckBoxComponent, "app-check-box", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
