/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface PercentageProps extends PConnFieldProps {
    showGroupSeparators?: string;
    decimalPrecision?: number;
    currencyISOCode?: string;
}
export declare class PercentageComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: PercentageProps;
    label$: string;
    value$: number;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    bHasForm$: boolean;
    componentReference: string;
    testId: string;
    helperText: string;
    placeholder: string;
    decimalSeparator: string;
    thousandSeparator: string;
    inputMode: any;
    decimalPrecision: number | undefined;
    fieldControl: FormControl<number | null>;
    actionsApi: Object;
    propName: string;
    formattedValue: string;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnChange(): void;
    fieldOnBlur(event: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<PercentageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PercentageComponent, "app-percentage", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
