/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface TextContentProps extends PConnFieldProps {
    content: string;
    displayAs: 'Paragraph' | 'Heading 1' | 'Heading 2' | 'Heading 3' | 'Heading 4';
}
export declare class TextContentComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    angularPConnectData: AngularPConnectData;
    configProps$: TextContentProps;
    content$: string;
    displayAs$: string;
    displayMode$?: string;
    bVisible$: boolean;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateSelf(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextContentComponent, "app-text-content", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
