/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, NgZone, OnDestroy, Injector } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { publicConstants } from '@pega/pcore-pconnect-typedefs/constants';
import { ProgressSpinnerService } from '../../../../_messages/progress-spinner.service';
import { Utils } from '../../../../_helpers/utils';
import { FlowContainerBaseComponent } from '../base-components/flow-container-base.component';
import * as i0 from "@angular/core";
/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
interface FlowContainerProps {
    children?: any[];
    name?: string;
    routingInfo?: any;
    pageMessages: any[];
}
export declare class FlowContainerComponent extends FlowContainerBaseComponent implements OnInit, OnDestroy {
    private cdRef;
    private psService;
    private fb;
    private ngZone;
    private utils;
    pConn$: typeof PConnect;
    pCoreConstants: typeof publicConstants;
    configProps$: FlowContainerProps;
    formGroup$: FormGroup;
    arChildren$: any[];
    itemKey$: string;
    containerName$: string;
    buildName$: string;
    todo_showTodo$: boolean;
    todo_caseInfoID$: string;
    todo_showTodoList$: boolean;
    todo_datasource$: any;
    todo_headerText$: string;
    todo_type$: string;
    todo_context$: string;
    todo_pConn$: typeof PConnect;
    bHasCancel: boolean;
    caseMessages$: string;
    bHasCaseMessages$: boolean;
    checkSvg$: string;
    TODO: any;
    bShowConfirm: boolean;
    bShowBanner: boolean;
    confirm_pconn: any;
    localizedVal: any;
    localeCategory: string;
    localeReference: any;
    banners: any[];
    pConnectOfActiveContainerItem: any;
    constructor(injector: Injector, cdRef: ChangeDetectorRef, psService: ProgressSpinnerService, fb: FormBuilder, ngZone: NgZone, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleCancel(): void;
    handleCancelPressed(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    showPageMessages(completeProps: FlowContainerProps): void;
    getTodoVisibilty(): boolean;
    initContainer(): void;
    initComponent(bLoadChildren: boolean): void;
    hasAssignments(): boolean;
    isCaseWideLocalAction(): boolean;
    hasChildCaseAssignments(): any;
    getActiveViewLabel(): string;
    findCurrentIndicies(arStepperSteps: any[], arIndicies: number[], depth: number): number[];
    updateSelf(): void;
    loadReviewPage(localPConn: any): void;
    showCaseMessages(): void;
    updateFlowContainerChildren(): void;
    addPConnectAndUpdateChildren(currentItem: any, key: any): void;
    getBuildName(): string;
    formValid(): boolean;
    touchAll(): void;
    topViewRefresh(): void;
    addContainerItem(pConnect: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FlowContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FlowContainerComponent, "app-flow-container", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
