/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../../_bridge/angular-pconnect';
import { ProgressSpinnerService } from '../../../../_messages/progress-spinner.service';
import * as i0 from "@angular/core";
/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
export declare class ModalViewContainerComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private ngZone;
    private psService;
    private fb;
    pConn$: typeof PConnect;
    displayOnlyFA$: boolean;
    modalVisibleChange: EventEmitter<boolean>;
    angularPConnectData: AngularPConnectData;
    arChildren$: any[];
    stateProps$: Object;
    banners: any;
    templateName$: string;
    buildName$: string;
    context$: string;
    title$: string;
    bShowModal$: boolean;
    bShowAsModal$: boolean;
    itemKey$: string;
    formGroup$: FormGroup;
    oCaseInfo: Object;
    updateToken$: number;
    routingInfoRef: any;
    createdViewPConn$: any;
    bSubscribed: boolean;
    cancelPConn$?: typeof PConnect;
    bShowCancelAlert$: boolean;
    bAlertState: boolean;
    localizedVal: Function;
    localeCategory: string;
    isMultiRecord: boolean;
    actionsDialog: boolean;
    constructor(angularPConnect: AngularPConnectService, ngZone: NgZone, psService: ProgressSpinnerService, fb: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    createView(routingInfo: any, currentItem: any, latestItem: any, key: any): void;
    hideModal(): void;
    getConfigObject(item: any, pConnect: any, isReverseCoexistence?: boolean): {
        getPConnect: () => import("@pega/pcore-pconnect-typedefs/interpreter/c11n-env").C11nEnv;
    } | null;
    checkIfRefComponent(thePConn: any): boolean;
    onAlertState(bData: boolean): void;
    showAlert(payload: any): void;
    hasContainerItems(routingInfo: any): any;
    getKeyAndLatestItem(routinginfo: any): {
        key: any;
        latestItem: any;
    } | {
        key?: undefined;
        latestItem?: undefined;
    };
    compareCaseInfoIsDifferent(oCurrentCaseInfo: Object): boolean;
    getBanners(): any;
    getModalHeading(dataObjectAction: any): any;
    determineModalHeaderByAction(actionName: any, caseTypeName: any, ID: any, caseLocaleRef: any): any;
    closeActionsDialog: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalViewContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalViewContainerComponent, "app-modal-view-container", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "displayOnlyFA$": { "alias": "displayOnlyFA$"; "required": false; }; }, { "modalVisibleChange": "modalVisibleChange"; }, never, never, true, never>;
}
