/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { publicConstants } from '@pega/pcore-pconnect-typedefs/constants';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import { ErrorMessagesService } from '../../../_messages/error-messages.service';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface ToDoProps {
    datasource?: any;
    headerText?: string;
    myWorkList?: any;
    label?: string;
    readOnly?: boolean;
}
export declare class TodoComponent implements OnInit, OnDestroy {
    private psService;
    private erService;
    private utils;
    pConn$: typeof PConnect;
    caseInfoID$: string;
    datasource$: any;
    headerText$?: string;
    showTodoList$: boolean;
    target$: string;
    type$: string;
    context$: string;
    myWorkList$: any;
    isConfirm: any;
    configProps$: ToDoProps;
    currentUser$: string | undefined;
    currentUserInitials$: string;
    bShowMore$: boolean;
    arAssignments$: any[];
    assignmentsSource$: any;
    CONSTS: typeof publicConstants;
    bLogging: boolean;
    localizedVal: (localeKey: string, localePath?: string | undefined, localeRuleKey?: string | undefined, componentName?: string | null | undefined) => string;
    localeCategory: string;
    showlessLocalizedValue: string;
    showMoreLocalizedValue: string;
    canPerform: boolean;
    count: number;
    constructor(psService: ProgressSpinnerService, erService: ErrorMessagesService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateList(): void;
    updateToDo(): void;
    deferLoadWorklistItems(responseData: any): void;
    getID(assignment: any): any;
    topThreeAssignments(assignmentsSource: any[]): any[];
    getAssignmentId(assignment: any): any;
    getPriority(assignment: any): any;
    getAssignmentName(assignment: any): any;
    getCaseInfoAssignment(assignmentsSource: any[], caseInfoID: string): any[];
    _showMore(): void;
    _showLess(): void;
    isChildCase(assignment: any): any;
    clickGo(assignment: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoComponent, "app-todo", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "caseInfoID$": { "alias": "caseInfoID$"; "required": false; }; "datasource$": { "alias": "datasource$"; "required": false; }; "headerText$": { "alias": "headerText$"; "required": false; }; "showTodoList$": { "alias": "showTodoList$"; "required": false; }; "target$": { "alias": "target$"; "required": false; }; "type$": { "alias": "type$"; "required": false; }; "context$": { "alias": "context$"; "required": false; }; "myWorkList$": { "alias": "myWorkList$"; "required": false; }; "isConfirm": { "alias": "isConfirm"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
