import * as i0 from '@angular/core';
import { EventEmitter, Component, Input, Output, forwardRef, Injectable, Inject, Directive, ViewChild, ViewContainerRef, HostListener } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i2$1 from '@angular/material/grid-list';
import { MatGridListModule } from '@angular/material/grid-list';
import * as i4 from '@angular/forms';
import { ReactiveFormsModule, FormControl, FormsModule, FormGroup, Validators } from '@angular/forms';
import * as i4$1 from '@angular/material/snack-bar';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { Subject, interval, startWith as startWith$1, map as map$1 } from 'rxjs';
import isEqual from 'fast-deep-equal';
import dayjs from 'dayjs';
import customParseFormat from 'dayjs/plugin/customParseFormat';
import localizedFormat from 'dayjs/plugin/localizedFormat';
import relativeTime from 'dayjs/plugin/relativeTime';
import { getSdkConfig, SdkConfigAccess, logout } from '@pega/auth/lib/sdk-auth-manager';
import * as i7 from '@angular/material/core';
import { MatNativeDateModule, MatOptionModule, MAT_DATE_FORMATS } from '@angular/material/core';
import * as i4$2 from '@angular/material/datepicker';
import { MatDatepickerModule } from '@angular/material/datepicker';
import * as i5 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import { debounceTime, startWith, map } from 'rxjs/operators';
import { v4 } from 'uuid';
import * as i5$1 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i6 from '@angular/material/menu';
import { MatMenuModule } from '@angular/material/menu';
import * as i5$2 from '@angular/material/list';
import { MatListModule } from '@angular/material/list';
import * as i4$3 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import * as i2$2 from '@angular/material/tabs';
import { MatTabsModule } from '@angular/material/tabs';
import * as i8 from '@angular/material/autocomplete';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import * as i6$1 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i1 from '@angular/common/http';
import { HttpHeaders, HttpParams } from '@angular/common/http';
import * as i5$3 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { NgxCurrencyInputMode, NgxCurrencyDirective } from 'ngx-currency';
import utc from 'dayjs/plugin/utc';
import tzone from 'dayjs/plugin/timezone';
import { MomentDateModule } from '@angular/material-moment-adapter';
import * as i8$1 from '@danielmoncada/angular-datetime-picker';
import { OwlDateTimeModule, OwlNativeDateTimeModule } from '@danielmoncada/angular-datetime-picker';
import * as i7$1 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';
import { NgxMatIntlTelInputComponent } from 'ngx-mat-intl-tel-input';
import * as i7$2 from '@angular/material/radio';
import { MatRadioModule } from '@angular/material/radio';
import * as i4$4 from '@angular/material/toolbar';
import { MatToolbarModule } from '@angular/material/toolbar';
import * as i2$3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i14 from '@angular/material/paginator';
import { MatPaginator, MatPaginatorModule } from '@angular/material/paginator';
import * as i7$3 from '@angular/material/sort';
import { MatSort, MatSortModule } from '@angular/material/sort';
import * as i6$2 from '@angular/material/table';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import * as i8$2 from '@angular/cdk/drag-drop';
import { moveItemInArray, DragDropModule, CdkDropList, CdkDrag } from '@angular/cdk/drag-drop';
import * as i11 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import cloneDeep from 'lodash.clonedeep';
import download from 'downloadjs';
import * as i3$1 from '@angular/material/badge';
import { MatBadgeModule } from '@angular/material/badge';
import * as i2$4 from '@angular/material/button-toggle';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import * as i2$5 from '@tinymce/tinymce-angular';
import { TINYMCE_SCRIPT_SRC, EditorModule } from '@tinymce/tinymce-angular';

class ActionButtonsComponent {
    constructor() {
        this.actionButtonClick = new EventEmitter();
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'Assignment';
    }
    buttonClick(sAction, sButtonType) {
        this.actionButtonClick.emit({ action: sAction, buttonType: sButtonType });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ActionButtonsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ActionButtonsComponent, isStandalone: true, selector: "app-action-buttons", inputs: { arMainButtons$: "arMainButtons$", arSecondaryButtons$: "arSecondaryButtons$" }, outputs: { actionButtonClick: "actionButtonClick" }, ngImport: i0, template: "<mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n  <mat-grid-tile>\n    <button *ngFor=\"let aButton of arSecondaryButtons$\" mat-raised-button color=\"secondary\" (click)=\"buttonClick(aButton.jsAction, 'secondary')\">\n      {{ localizedVal(aButton.name, localeCategory) }}\n    </button>\n  </mat-grid-tile>\n  <mat-grid-tile>\n    <button *ngFor=\"let aButton of arMainButtons$\" mat-raised-button color=\"primary\" (click)=\"buttonClick(aButton.jsAction, 'primary')\">\n      {{ localizedVal(aButton.name, localeCategory) }}\n    </button>\n  </mat-grid-tile>\n</mat-grid-list>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: MatGridListModule }, { kind: "component", type: i2$1.MatGridList, selector: "mat-grid-list", inputs: ["cols", "gutterSize", "rowHeight"], exportAs: ["matGridList"] }, { kind: "component", type: i2$1.MatGridTile, selector: "mat-grid-tile", inputs: ["rowspan", "colspan"], exportAs: ["matGridTile"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ActionButtonsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-action-buttons', standalone: true, imports: [CommonModule, MatGridListModule, MatButtonModule], template: "<mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n  <mat-grid-tile>\n    <button *ngFor=\"let aButton of arSecondaryButtons$\" mat-raised-button color=\"secondary\" (click)=\"buttonClick(aButton.jsAction, 'secondary')\">\n      {{ localizedVal(aButton.name, localeCategory) }}\n    </button>\n  </mat-grid-tile>\n  <mat-grid-tile>\n    <button *ngFor=\"let aButton of arMainButtons$\" mat-raised-button color=\"primary\" (click)=\"buttonClick(aButton.jsAction, 'primary')\">\n      {{ localizedVal(aButton.name, localeCategory) }}\n    </button>\n  </mat-grid-tile>\n</mat-grid-list>\n" }]
        }], propDecorators: { arMainButtons$: [{
                type: Input
            }], arSecondaryButtons$: [{
                type: Input
            }], actionButtonClick: [{
                type: Output
            }] } });

/**
 * WARNING: It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
class ReferenceComponent {
    /* Used to toggle some class-wide logging */
    static { this.bLogging = false; }
    constructor() {
        this.referencedComponent = null;
        // With new static method approach, this shouldn't be called any more
        window.alert(`in ReferenceComponent constructor!`);
        console.error(`in ReferenceComponent constructor!`);
    }
    // onStateChange and updateSelf methods removed from original implementation
    //  when we moved to the static method implementation.
    // STATIC method to create a normalized PConn (a fully realized View that the 'reference'
    //  component refers to) from the given pConn. Has to add in some stuff as in the constructor
    static createFullReferencedViewFromRef(inPConn) {
        // BAIL and ERROR if inPConn is NOT a reference!
        if (inPConn.getComponentName() !== 'reference') {
            // debugger;
            console.error(`Reference component: createFullReferencedViewFromRef inPConn is NOT a reference! ${inPConn.getComponentName()}`);
        }
        const theResolvedConfigProps = inPConn.resolveConfigProps(inPConn.getConfigProps());
        const referenceConfig = { ...inPConn.getComponentConfig() } || {};
        // Since SDK-A implements Reference as static methods and we don't rely on
        //  the Reference component's handling of the visibility prop, we leave it in
        //  (and also leaving the others in for now) so the referenced View can act on
        //  the visibility prop. (The following 3 lines were carried over from React SDK)
        delete referenceConfig?.name;
        // delete referenceConfig?.type;
        // delete referenceConfig?.visibility;
        const viewMetadata = inPConn.getReferencedView();
        if (!viewMetadata) {
            console.log('View not found ', inPConn.getComponentConfig());
            return null;
        }
        // If we get here, we have metadata for a View component...
        // const referencedComponentName = viewMetadata.type;
        const viewObject = {
            ...viewMetadata,
            config: {
                ...viewMetadata.config,
                ...referenceConfig
            }
        };
        if (ReferenceComponent.bLogging) {
            console.log(`Reference: about to call createComponent with pageReference: context: ${theResolvedConfigProps.context}`);
        }
        const viewComponent = inPConn.createComponent(viewObject, null, null, {
            pageReference: theResolvedConfigProps.context
        });
        // updating the referencedComponent should trigger a render
        const newCompPConnect = viewComponent.getPConnect();
        newCompPConnect.setInheritedConfig({
            ...referenceConfig,
            readOnly: theResolvedConfigProps.readOnly ? theResolvedConfigProps.readOnly : false,
            displayMode: theResolvedConfigProps.displayMode ? theResolvedConfigProps.displayMode : null
        });
        if (ReferenceComponent.bLogging) {
            console.log(`Angular Reference component: createFullReferencedViewFromRef -> newCompPConnect configProps: ${JSON.stringify(newCompPConnect.getConfigProps())}`);
        }
        return newCompPConnect;
    }
    // STATIC method that other components can call to normalize
    //  a pConn object that might be a 'reference'. If the incoming
    //  pConn is a reference, return its dereferenced View PConnect's
    //  getPConnect. Otherwise, return the passed in pConn unchanged
    //  inPConn = a PConn object (ex: { getPConnect()} )
    static normalizePConn(inPConn) {
        // debugger;
        let returnObj = false;
        let thePConnType = '';
        if (inPConn.getPConnect) {
            // inPConn is an object (ex: { getPConnect()} ), so we want to return
            //  any referenced view as the object containing the
            //  the getPConnect function
            returnObj = true;
            thePConnType = inPConn.getPConnect().getComponentName();
        }
        else {
            // inPConn is an object with the PConnect function, so we want
            //  to return any referenced view as the object containing the
            //  the c11n function
            returnObj = false;
            thePConnType = inPConn.getComponentName();
        }
        if (thePConnType === 'reference') {
            if (returnObj) {
                //  WAS...
                // const theRefViewPConn = inPConn.getPConnect().getReferencedViewPConnect(true);
                // Now: ALWAYS calling createFullReferencedViewFromRef to have options, PageReference, etc.
                //  set correctly in the C11nEnv (PConnect) object
                // debugger;
                let theRefViewPConn = this.createFullReferencedViewFromRef(inPConn.getPConnect());
                // now return its PConnect
                theRefViewPConn = theRefViewPConn.getComponent();
                // const theFullReference = theRefViewPConn.getPConnect().getFullReference();
                // console.log(`theFullReference: ${theFullReference}`);
                return theRefViewPConn;
            }
            // console.log(`created theFullRefView full reference: ${theFullRefView.getFullReference()}`);
            // debugger;
            return this.createFullReferencedViewFromRef(inPConn);
        }
        return inPConn;
    }
    // STATIC method that other components can call to normalize
    //  an array of pConn objects where any of the children might
    //  be a 'reference'. The array returns an array of children
    //  where any 'reference' is replaced with its ReferencedView
    //  inPConnArray is an array of PConn objects or functions.
    //    Its value is passed to normalizePConn
    static normalizePConnArray(inPConnArray) {
        if (!(inPConnArray?.length > 0)) {
            // null or empty array, return what was passed in
            return inPConnArray;
        }
        return inPConnArray.map(child => {
            return ReferenceComponent.normalizePConn(child);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ReferenceComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ReferenceComponent, isStandalone: true, selector: "app-reference", ngImport: i0, template: "<!-- Reference component is all static methods so .html not used -->\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ReferenceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-reference', standalone: true, template: "<!-- Reference component is all static methods so .html not used -->\n" }]
        }], ctorParameters: () => [] });

class AssignmentCardComponent {
    constructor() {
        this.actionButtonClick = new EventEmitter();
    }
    ngOnInit() {
        // Children may contain 'reference' component, so we need to
        //  normalize them
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.arChildren$);
    }
    ngOnChanges() {
        // Children may contain 'reference' component, so we need to
        //  normalize them
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.arChildren$);
    }
    onActionButtonClick(oData) {
        this.actionButtonClick.emit(oData);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AssignmentCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AssignmentCardComponent, isStandalone: true, selector: "app-assignment-card", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", arMainButtons$: "arMainButtons$", arSecondaryButtons$: "arSecondaryButtons$", arChildren$: "arChildren$", updateToken$: "updateToken$" }, outputs: { actionButtonClick: "actionButtonClick" }, usesOnChanges: true, ngImport: i0, template: "<form [formGroup]=\"formGroup$\" name=\"flowContainer\" class=\"psdk-flow-container\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div [ngSwitch]=\"kid.getPConnect().getComponentName()\">\n      <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ formGroup$, pConn$: kid.getPConnect() }\"></component-mapper>\n      <component-mapper\n        *ngSwitchCase=\"'CaseCreateStage'\"\n        name=\"CaseCreateStage\"\n        [props]=\"{ formGroup$, pConn$: kid.getPConnect() }\"\n      ></component-mapper>\n      <component-mapper *ngSwitchCase=\"'Region'\" name=\"Region\" [props]=\"{ formGroup$, pConn$: kid.getPConnect() }\"></component-mapper>\n      <div *ngSwitchDefault>Assignment Card wants component not yet available: {{ kid.getPConnect().getComponentName() }}</div>\n    </div>\n  </div>\n</form>\n\n<div>\n  <br />\n  <div class=\"psdk-case-view-divider\"></div>\n\n  <component-mapper\n    name=\"ActionButtons\"\n    [props]=\"{ arMainButtons$, arSecondaryButtons$ }\"\n    [parent]=\"this\"\n    [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n  ></component-mapper>\n</div>\n", styles: [".psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-flow-container{padding:0rem 1rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.ɵNgNoValidate), selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AssignmentCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assignment-card', standalone: true, imports: [CommonModule, ReactiveFormsModule, forwardRef(() => ComponentMapperComponent)], template: "<form [formGroup]=\"formGroup$\" name=\"flowContainer\" class=\"psdk-flow-container\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div [ngSwitch]=\"kid.getPConnect().getComponentName()\">\n      <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ formGroup$, pConn$: kid.getPConnect() }\"></component-mapper>\n      <component-mapper\n        *ngSwitchCase=\"'CaseCreateStage'\"\n        name=\"CaseCreateStage\"\n        [props]=\"{ formGroup$, pConn$: kid.getPConnect() }\"\n      ></component-mapper>\n      <component-mapper *ngSwitchCase=\"'Region'\" name=\"Region\" [props]=\"{ formGroup$, pConn$: kid.getPConnect() }\"></component-mapper>\n      <div *ngSwitchDefault>Assignment Card wants component not yet available: {{ kid.getPConnect().getComponentName() }}</div>\n    </div>\n  </div>\n</form>\n\n<div>\n  <br />\n  <div class=\"psdk-case-view-divider\"></div>\n\n  <component-mapper\n    name=\"ActionButtons\"\n    [props]=\"{ arMainButtons$, arSecondaryButtons$ }\"\n    [parent]=\"this\"\n    [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n  ></component-mapper>\n</div>\n", styles: [".psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-flow-container{padding:0rem 1rem}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], arMainButtons$: [{
                type: Input
            }], arSecondaryButtons$: [{
                type: Input
            }], arChildren$: [{
                type: Input
            }], updateToken$: [{
                type: Input
            }], actionButtonClick: [{
                type: Output
            }] } });

class ServerConfigService {
    /**
     * Asynchronous initialization of the config file contents.
     * @returns Promise of config file fetch
     */
    readSdkConfig() {
        return getSdkConfig();
    }
    /**
     *
     * @returns the sdk-config JSON object
     */
    async getSdkConfig() {
        return SdkConfigAccess.getSdkConfig();
    }
    /**
     *
     * @returns the authConfig block in the SDK Config object
     */
    async getSdkConfigAuth() {
        return SdkConfigAccess.getSdkConfigAuth();
    }
    /**
     *
     * @returns the serverConfig bloc from the sdk-config.json file
     */
    getSdkConfigServer() {
        return SdkConfigAccess.getSdkConfigServer();
    }
    /**
     * @param {String} key the key to be inserted/updated in serverConfig
     * @param {String} value the value to be assigned to the given key
     */
    setSdkConfigServer(key, value) {
        SdkConfigAccess.setSdkConfigServer(key, value);
    }
    getBaseUrl() {
        return SdkConfigAccess.getSdkConfigServer().infinityRestServerUrl;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ServerConfigService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ServerConfigService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ServerConfigService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

dayjs.extend(customParseFormat);
dayjs.extend(localizedFormat);
dayjs.extend(relativeTime);
class Utils {
    constructor(scService) {
        this.scService = scService;
        this.lastControlID = 0;
        this.viewContainerCount = 0;
        this.getUserId = user => {
            let userId = '';
            if (typeof user === 'object' && user !== null && user.userId) {
                userId = user.userId;
            }
            else if (typeof user === 'string' && user) {
                userId = user;
            }
            return userId;
        };
    }
    getSDKStaticContentUrl() {
        const sdkConfigServer = this.scService.getSdkConfigServer();
        // NOTE: Needs a trailing slash! So add one if not provided
        if (!sdkConfigServer.sdkContentServerUrl.endsWith('/')) {
            sdkConfigServer.sdkContentServerUrl = `${sdkConfigServer.sdkContentServerUrl}/`;
        }
        return `${sdkConfigServer.sdkContentServerUrl}constellation/`;
    }
    consoleKidDump(pConn, level = 1, kidNum = 1) {
        let sDash = '';
        for (let i = 0; i < level; i++) {
            sDash = sDash.concat('-');
        }
        let cName = 'blank';
        let ctxName = '';
        try {
            cName = pConn.getComponentName();
            ctxName = pConn.getContextName();
            console.log(`${sDash}level ${level} component(${kidNum}):${cName} context:${ctxName}`);
            if (pConn.getConfigProps() != null) {
                console.log(`${sDash}configProps:${JSON.stringify(pConn.getConfigProps())}`);
            }
            if (pConn.getRawMetadata() != null) {
                console.log(`${sDash}rawMetadata:${JSON.stringify(pConn.getRawMetadata())}`);
            }
            if (pConn.hasChildren() && pConn.getChildren() != null) {
                console.log(`${sDash}kidCount:${pConn.getChildren().length}`);
                const kids = pConn.getChildren();
                const kidsKeys = Object.keys(kids);
                for (let i = 0, len = kidsKeys.length; i < len; i++) {
                    const index = parseInt(kidsKeys[i], 10) + 1;
                    const kid = kids[kidsKeys[i]];
                    this.consoleKidDump(kid.getPConnect(), level + 1, index);
                }
            }
        }
        catch (ex) {
            /* empty */
        }
    }
    htmlDecode(sVal) {
        const doc = new DOMParser().parseFromString(sVal, 'text/html');
        return doc.documentElement.textContent;
    }
    getUniqueControlID() {
        const sPrefix = 'control-';
        this.lastControlID++;
        return sPrefix + this.lastControlID.toString();
    }
    getOptionList(configProps, dataObject) {
        const listType = configProps.listType;
        if (listType == null) {
            return [];
        }
        switch (listType.toLowerCase()) {
            case 'associated':
                return this.handleAssociatedList(configProps);
            case 'datapage':
                return this.handleDataPageList(configProps, dataObject);
            default:
                return [];
        }
    }
    handleAssociatedList(configProps) {
        const dataSource = configProps.datasource;
        if (Array.isArray(dataSource)) {
            return dataSource;
        }
        return [];
    }
    handleDataPageList(configProps, dataObject) {
        const dataPage = configProps.datasource;
        if (dataObject && dataObject[dataPage]) {
            alert('need to handle data page');
            return [];
        }
        let listSourceItems = configProps.listOutput;
        if (typeof dataPage === 'object' && !Array.isArray(listSourceItems)) {
            listSourceItems = dataPage.source ? dataPage.source : [];
        }
        return this.transformListSourceItems(listSourceItems);
    }
    transformListSourceItems(listSourceItems) {
        return (listSourceItems || []).map(item => {
            return { ...item, value: item.text || item.value };
        });
    }
    getInitials(userName) {
        let userInitials = userName;
        if (userName && userName != '') {
            userInitials = userName.charAt(0);
            if (userName.lastIndexOf(' ') > 0) {
                const lastName = userName.substring(userName.lastIndexOf(' ') + 1);
                userInitials += lastName.charAt(0);
            }
            else if (userName.lastIndexOf('.') > 0) {
                const lastName = userName.substring(userName.lastIndexOf('.') + 1);
                userInitials += lastName.charAt(0);
            }
        }
        else {
            userInitials = '';
        }
        return userInitials.toUpperCase();
    }
    getImageSrc(name, serverUrl) {
        let iconName = name.replace('pi-', '').replace('pi ', '').trim();
        if (iconName === 'line-chart') {
            iconName = 'chart-line';
        }
        // return serverUrl.concat("assets/icons/").concat(iconName).concat(".svg");
        return this.getIconPath(serverUrl).concat(iconName).concat('.svg');
    }
    getIconPath(serverUrl) {
        return serverUrl.concat('assets/icons/');
    }
    getBooleanValue(inValue) {
        let bReturn = false;
        if (typeof inValue === 'string') {
            if (inValue.toLowerCase() == 'true') {
                bReturn = true;
            }
        }
        else {
            bReturn = inValue;
        }
        return bReturn;
    }
    generateDate(dateVal, dateFormat) {
        let sReturnDate = dateVal;
        if (dateVal == null || dateVal == '') {
            return dateVal;
        }
        // Commenting out per Vinod note in webc components
        // VRS: Dont think we need the below line.  Commenting out for now. (2020.05.20)
        // if date has a ".", then of the format YYYMMDD[T]HHmmss[.]SSS Z, need to change to YYYYMMDD
        // if (dateVal.indexOf(".") >= 0) {
        //   dateVal = moment(dateVal.replace("GMT", "+0000"), "YYYYMMDD[T]HHmmss[.]SSS Z").format("YYYYMMDD");
        //   sReturnDate = dateVal;
        // }
        switch (dateFormat) {
            case 'Date-Short':
                // 1/1/01
                sReturnDate = dayjs(dateVal).format('M/D/YY');
                break;
            case 'Date-Short-YYYY':
                // 1/1/2001
                sReturnDate = dayjs(dateVal).format('M/D/YYYY');
                break;
            case 'Date-Short-Custom':
                // 01/01/01
                sReturnDate = dayjs(dateVal).format('MM/DD/YY');
                break;
            case 'Date-Short-Custom-YYYY':
                // 01/01/2001
                sReturnDate = dayjs(dateVal).format('L');
                break;
            case 'Date-Long-Custom-YYYY':
                // 05/22/2021
                sReturnDate = dayjs(dateVal).format('MM/DD/YYYY');
                break;
            case 'Date':
            case 'Date-Medium':
                // Jan 1, 2001
                sReturnDate = dayjs(dateVal).format('ll');
                break;
            case 'Date-DayMonthYear-Custom':
                // 01-Jan-2001
                sReturnDate = dayjs(dateVal).format('DD-MMM-YYYY');
                break;
            case 'Date-Full':
                // Monday, January 1, 2001
                sReturnDate = dayjs(dateVal).format('dddd, MMMM D, YYYY');
                break;
            case 'DateTime-Frame':
            case 'DateTime-Frame-Short':
            case 'DateTime-Since':
                // 2 days, 5 hours ago
                sReturnDate = dayjs(dateVal).fromNow();
                break;
            case 'Date-Long':
                // January 1, 2001
                sReturnDate = dayjs(dateVal).format('MMMM D, YYYY');
                break;
            case 'Date-ISO-8601':
                // 2001/01/01 y/m/d
                sReturnDate = dayjs(dateVal).format('YYYY/MM/DD');
                break;
            case 'Date-Gregorian-1':
                // 01 January, 2001
                sReturnDate = dayjs(dateVal).format('DD MMMM, YYYY');
                break;
            case 'Date-Gregorian-2':
                // January 01, 2001
                sReturnDate = dayjs(dateVal).format('MMMM DD, YYYY');
                break;
            case 'Date-Gregorian-3':
                // 2001, January 01
                sReturnDate = dayjs(dateVal).format('YYYY, MMMM DD');
                break;
            case 'DateTime-Custom':
                break;
            default:
                break;
        }
        return sReturnDate;
    }
    generateDateTime(dateTimeVal, dateFormat) {
        let sReturnDate = dateTimeVal;
        if (dateTimeVal == null || dateTimeVal == '') {
            return dateTimeVal;
        }
        dateTimeVal = dateTimeVal.replace('GMT', '+0000');
        switch (dateFormat) {
            case 'DateTime-Short':
                // 1/1/01 1:00 AM
                sReturnDate = dayjs(dateTimeVal).format('M/D/YY h:mm A');
                break;
            case 'DateTime-Short-Custom':
                // 01/01/01 01:00 AM
                sReturnDate = dayjs(dateTimeVal).format('MM/DD/YY hh:mm A');
                break;
            case 'DateTime-Short-YYYY-Custom':
                // 01/01/2001 01:00 AM
                sReturnDate = dayjs(dateTimeVal).format('M/D/YYYY hh:mm A');
                break;
            case 'DateTime-Long-YYYY-Custom':
                // 01/01/01 01:00 AM
                sReturnDate = dayjs(dateTimeVal).format('MM/DD/YYYY, hh:mm A');
                break;
            case 'DateTime-Short-YYYY':
                // 1/1/2001 1:00 AM
                sReturnDate = dayjs(dateTimeVal).format('M/D/YYYY h:mm A');
                break;
            case 'DateTime-Medium':
                // Jan 1, 2001 1:00:00 AM
                sReturnDate = dayjs(dateTimeVal).format('MMM D, YYYY h:mm:ss A');
                break;
            case 'DateTime-Long':
                // January 1, 2001 1:00:00 AM
                sReturnDate = dayjs(dateTimeVal).format('MMMM D, YYYY h:mm:ss A');
                break;
            case 'DateTime-DayMonthYear-Custom':
                // 01-Jan-2001 1:00:00 AM
                sReturnDate = dayjs(dateTimeVal).format('DD-MMM-YYYY h:mm:ss A');
                break;
            case 'DateTime-Full':
                // Monday, January 1, 2001 1:00 AM EDT
                sReturnDate = dayjs(dateTimeVal).format('dddd, MMMM D, YYYY h:mm A z');
                break;
            case 'DateTime-Frame':
            case 'DateTime-Frame-Short':
            case 'DateTime-Since':
                // 2 days, 5 hours ago
                sReturnDate = dayjs(dateTimeVal).fromNow();
                break;
            case 'DateTime-ISO-8601':
                // 2001/01/01 1:00:00 AM     y/m/d
                sReturnDate = dayjs(dateTimeVal).format('YYYY/MM/DD h:mm:ss A');
                break;
            case 'DateTime-Gregorian-1':
                // 01 January, 2001 1:00:00 AM
                sReturnDate = dayjs(dateTimeVal).format('DD MMMM, YYYY h:mm:ss A');
                break;
            case 'DateTime-Gregorian-2':
                // January 01, 2001 1:00:00 AM
                sReturnDate = dayjs(dateTimeVal).format('MMMM DD, YYYY h:mm:ss A');
                break;
            case 'DateTime-Gregorian-3':
                // 2001, January 01 1:00:00 AM
                sReturnDate = dayjs(dateTimeVal).format('YYYY, MMMM DD h:mm:ss A');
                break;
            case 'DateTime-Custom':
                break;
            default:
                break;
        }
        return sReturnDate;
    }
    getIconFromFileType(fileType) {
        let icon = 'document-doc';
        if (!fileType)
            return icon;
        if (fileType.startsWith('audio')) {
            icon = 'audio';
        }
        else if (fileType.startsWith('video')) {
            icon = 'video';
        }
        else if (fileType.startsWith('image')) {
            icon = 'picture';
        }
        else if (fileType.includes('pdf')) {
            icon = 'document-pdf';
        }
        else {
            const [, subtype] = fileType.split('/');
            const foundMatch = sources => {
                return sources.some(key => subtype.includes(key));
            };
            if (foundMatch(['excel', 'spreadsheet'])) {
                icon = 'document-xls';
            }
            else if (foundMatch(['zip', 'compressed', 'gzip', 'rar', 'tar'])) {
                icon = 'document-compress';
            }
        }
        return icon;
    }
    getIconForAttachment(attachment) {
        let icon;
        switch (attachment.type) {
            case 'FILE':
                icon = this.getIconFromFileType(attachment.mimeType);
                break;
            case 'URL':
                icon = 'chain';
                break;
            default:
                icon = 'document-doc';
        }
        return icon;
    }
    addViewContainer() {
        if (sessionStorage.getItem('viewContainerCount') == null) {
            sessionStorage.setItem('viewContainerCount', '0');
        }
        let count = parseInt(sessionStorage.getItem('viewContainerCount'), 10);
        count++;
        sessionStorage.setItem('viewContainerCount', count.toString());
    }
    removeViewContainer() {
        return;
        let count = parseInt(sessionStorage.getItem('viewContainerCount'), 10);
        count--;
        sessionStorage.setItem('viewContainerCount', count.toString());
    }
    okToAddContainerToVC() {
        if (sessionStorage.getItem('viewContainerCount') == null) {
            sessionStorage.setItem('viewContainerCount', '0');
        }
        const count = parseInt(sessionStorage.getItem('viewContainerCount'), 10);
        return count === 0;
    }
    static sdkGetAuthHeader() {
        return sessionStorage.getItem('asdk_AH');
    }
    static isEmptyObject(obj) {
        return Object.keys(obj).length === 0;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: Utils, deps: [{ token: ServerConfigService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: Utils, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: Utils, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ServerConfigService }] });

class ProgressSpinnerService {
    constructor() {
        this.subject = new Subject();
    }
    /**
     * Function to show/hide spinner
     * @param bShow - true: show spinner, false: hide spinner
     */
    sendMessage(bShow) {
        this.subject.next({ show: bShow });
    }
    clearMessage() {
        this.subject.next();
    }
    getMessage() {
        return this.subject.asObservable();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ProgressSpinnerService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ProgressSpinnerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ProgressSpinnerService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class ErrorMessagesService {
    constructor() {
        this.subject = new Subject();
    }
    /**
     *
     * @param sAction - show, dismiss
     * @param sActionMessage - text to displayed, will be queued with others until dismiss
     */
    sendMessage(sAction, sActionMessage) {
        this.subject.next({ action: sAction, actionMessage: sActionMessage });
    }
    clearMessage() {
        this.subject.next();
    }
    getMessage() {
        return this.subject.asObservable();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ErrorMessagesService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ErrorMessagesService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ErrorMessagesService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class AngularPConnectService {
    /* Used to toggle some class-wide logging */
    static { this.bLogging = false; }
    constructor(psService, erService, utils) {
        this.psService = psService;
        this.erService = erService;
        this.utils = utils;
        /**
         * Local variable for access to the store once the service is connected to it.
         */
        this.theStore = null;
        /**
         * Local variable used to compute the next componentID
         */
        this.counterComponentID = 0;
        /**
         * Local array used to store the association of an component to its most recent "props"
         *  where "props" is the object containing the component's getConfigProps along with
         * anything added by populateAdditionalProps.
         * Each entry is: { __componentID__: _the component's most recent props_ }
         */
        this.componentPropsArr = [];
        // Establish necessary override flags for our use of Core
        // const coreOverrides = { "dynamicLoadComponents": false };
        // let coreOverrides = PCore.getBehaviorOverrides();
        // coreOverrides["dynamicLoadComponents"] = false;
        // PCore.setBehaviorOverrides( coreOverrides );
        PCore.setBehaviorOverride('dynamicLoadComponents', false);
        // Always best to use deep object compare when it's available
        // if (isEqual !== undefined) {
        // console.log(`AngularPConnect is using deep object compare`);
        // } else {
        // console.log(`AngularPConnect is using JSON.stringify compare`);
        // }
    }
    /**
     * Returns a unique (for this session) ComponentID that should
     * be used for that component to update its most recent props
     * (which can also be compared against its previous value
     * before updating). Note that this returns a string so we can use
     * it as a key in an associative array
     * @returns the next componentID
     */
    getNextComponentId() {
        this.counterComponentID += 1;
        // Note that we use the string version of the number so we have an
        //  associative array that we can clean up later, if needed.
        return this.counterComponentID.toString();
    }
    /**
     * The Calling object (inComp) subscribes to store changes.
     * @param inComp The component that's subscribing to the store
     * @param inCallback The component's callback function (typically called onStateChange) that will
     * be called when the store changes.
     * @returns The **unsubscribe** function that should be called when the component needs
     * to unsubscribe from the store. (Typically during ngOnDestroy)
     */
    subscribeToStore(inComp = null, inCallback = null) {
        // const theCompName: string = inComp ? `${inComp.constructor.name}` : 'no component provided';
        let fnUnsubscribe;
        // console.log( `Bridge subscribing: ${theCompName} `);
        if (inComp) {
            fnUnsubscribe = this.getStore().subscribe(inCallback);
        }
        return fnUnsubscribe;
    }
    /**
     * Gets the Component's properties that are used (a) to populate componentPropsArr
    //  and (b) to determine whether the component should update itself (re-render)
     * @param inComp The component whose properties are being obtained
     */
    getComponentProps(inComp = null) {
        let compProps = {};
        let addProps = {};
        if (inComp === null) {
            console.error(`AngularPConnect: getComponentProps called with bad component: ${inComp}`);
        }
        // if ((inComp.constructor.name === "FlowContainerComponent") || (inComp.constructor.name === "ViewContainerComponent")
        //     || (inComp.constructor.name === "ViewComponent") || (inComp.constructor.name === "DeferLoadComponent")) {
        //   console.log(`--> AngularPConnect getComponentProps: ${inComp.constructor.name}`);
        // }
        if (inComp.additionalProps !== undefined) {
            if (typeof inComp.additionalProps === 'object') {
                addProps = inComp.pConn$.resolveConfigProps(inComp.additionalProps);
            }
            else if (typeof inComp.additionalProps === 'function') {
                const propsToAdd = inComp.additionalProps(PCore.getStore().getState(), inComp.pConn$);
                addProps = inComp.pConn$.resolveConfigProps(propsToAdd);
            }
        }
        compProps = inComp.pConn$.getConfigProps();
        // const componentName = inComp.constructor.name;
        // The following comment is from the Nebula/Constellation version of this code. Meant as a reminder to check this occasionally
        // populate additional props which are component specific and not present in configurations
        // This block can be removed once all these props will be added as part of configs
        inComp.pConn$.populateAdditionalProps(compProps);
        compProps = inComp.pConn$.resolveConfigProps(compProps);
        if (compProps && undefined !== compProps.validatemessage && compProps.validatemessage != '') {
            // console.log( `   validatemessage for ${inComp.constructor.name} ${inComp.angularPConnectData.compID}: ${compProps.validatemessage}`);
        }
        return {
            ...compProps,
            ...addProps
        };
    }
    /**
     * Returns the unique id for given component created when registering
     * Otherwise, return undefined.
     * @param inComp The component whose property is being requested.
     */
    getComponentID(inComp) {
        return inComp.bridgeComponentID || inComp.angularPConnectData.compID;
    }
    /**
     * Returns the value of requested property for the component if it exists.
     * Otherwise, return undefined.
     * @param inComp The component whose property is being requested.
     * @param inProp The property being requested.
     */
    getComponentProp(inComp = null, inProp = '') {
        if (inComp === null) {
            console.error(`AngularPConnect: getComponentProp called with bad component: ${inComp}`);
        }
        const compID = inComp.angularPConnectData.compID;
        // Look up property in the component's entry in componentPropArray (which should have the most recent value)
        return this.componentPropsArr[compID][inProp];
    }
    /**
     *
     * @returns The current complete set of resolved properties that are associated with
     * this component.
     * This is the full set of properties that are tracked in Redux for this component.
     */
    getCurrentCompleteProps(inComp = null) {
        if (inComp === null) {
            console.error(`AngularPConnect: getCurrentCompleteProps called with bad component: ${inComp}`);
        }
        return this.componentPropsArr[inComp.angularPConnectData.compID];
    }
    /**
     * Registers the component and its callback function. When a component calls this method
     * (typically from its ngOnInit), the component is given a unique componentID (for this session)
     * and subscribes the component to the store. As a side effect, it also assigns the component's
     * actions (from its metadata) to the component's ___actions___ and binds the component's callback
     * (passed in as ___inCallback___) to the component. If a problem is encountered, an empty object,
     * {}, is returned.
     * @param inComp The component being registered and subscribed
     * @param inCallback The component's callback function (typically called onStateChange) that
     * will be called whenever the state changes.
     * @returns A JSON object with the following keys:
     * compID: the unique ID associated with this component,
     * unsubscribeFn: the function to be called when the component needs to unsubscribe from the store,
     * validateMessage: any validation/error message that gets generated for this object,
     * actions: any actions that are defined for this object
     */
    registerAndSubscribeComponent(inComp, inCallback = null) {
        // Create an initial object to be returned.
        const returnObject = {
            compID: '',
            unsubscribeFn: undefined,
            validateMessage: '',
            actions: undefined
        };
        if (inComp === null || inCallback === null) {
            console.error(`AngularPConnect: bad call to registerAndSubscribe: inComp: ${inComp} inCallback: ${inCallback}`);
            return returnObject;
        }
        const compType = inComp.constructor.name;
        if (AngularPConnectService.bLogging) {
            console.log(`registerAndSubscribeComponent: ${compType}`);
        }
        if (undefined !== inComp.bridgeComponentID) {
            console.error(`OLD SCHOOL: ${compType}`);
        }
        if (undefined === inComp.actions && undefined === inComp.angularPConnectData) {
            console.error(`AngularPConnect: bad call to registerAndSubscribe from ${compType}: actions not defined as a class variable for inComp`);
            return returnObject;
        }
        if (undefined === inComp.bridgeComponentID && undefined === inComp.angularPConnectData) {
            console.error(`AngularPConnect: bad call to registerAndSubscribe from ${compType}: bridgeComponentID not defined as a class variable for inComp`);
            return returnObject;
        }
        if (undefined === inComp.unsubscribeStore && undefined === inComp.angularPConnectData) {
            console.error(`AngularPConnect: bad call to registerAndSubscribe from ${compType}: unsubscribeStore not defined as a class variable for inComp`);
            return returnObject;
        }
        if (undefined === inComp.validateMessage && undefined === inComp.angularPConnectData) {
            console.error(`AngularPConnect: bad call to registerAndSubscribe from ${compType}: validateMessage not defined as a class variable for inComp`);
            return returnObject;
        }
        // call processActions to populate metadata with actions as in PConnectHOR initialize
        this.processActions(inComp);
        if (undefined === inComp.actions) {
            returnObject.actions = inComp.pConn$.getActions();
        }
        else {
            inComp.actions = inComp.pConn$.getActions();
        }
        // bind the provided callback to the component it's associated with
        inCallback = inCallback.bind(inComp);
        // Now proceed to register and subscribe...
        const theCompID = this.getNextComponentId();
        const theUnsub = this.subscribeToStore(inComp, inCallback);
        if (undefined === inComp.angularPConnectData) {
            inComp.bridgeComponentID = theCompID;
        }
        else {
            returnObject.compID = theCompID;
            returnObject.unsubscribeFn = () => {
                this.removeFormField(inComp);
                theUnsub();
            };
        }
        // initialize this components entry in the componentPropsArr
        this.componentPropsArr[theCompID] = {};
        this.addFormField(inComp);
        // return object with compID and unsubscribe...
        return returnObject;
    }
    addFormField(inComp) {
        inComp.pConn$?.addFormField();
    }
    removeFormField(inComp) {
        if (inComp.pConn$?.removeFormField) {
            inComp.pConn$?.removeFormField();
        }
    }
    // Returns true if the component's entry in ___componentPropsArr___ is
    //  the same as the inCompProps passed in.
    //  As a side effect, update the component's entry in componentPropsArr
    //  NOTE: It is assumed that the incoming component has the following:
    //  * a bridgeComponentID <string> property - used as lookup key in componentPropsArr
    //  * a pConn$ <?> property - used to access functions accessed in getComponentProps
    // Return true: means the component props are different and the component should update itself (re-render)
    // Return false: means the component props are the same and the component doesn't need to update (re-render)
    //  On bad input, return false;
    /**
     * Returns **true** if the component's entry in ___componentPropsArr___ is
     * the same as the properties that are current associated with the component (___inComp___) passed in.
     * As a side effect, the component's entry in ___componentPropsArr___ is updated.
     * **Note**: It is assumed that the incoming component has the following:
     * (a) a bridgeComponentID _string_ property used as lookup key in ___componentPropsArr___
     * and (b) a ___pConn$___ property used to access functions called in ___getComponentProps___
     *
     * @param inComp The component asking if it should update itself
     * @returns Return **true**: means the component props are different and the component should update itself (re-render).
     * Return **false**: means the component props are the same and the component doesn't need to update (re-render).
     * If the ***inComp*** input is bad, false is also returned.
     */
    shouldComponentUpdate(inComp) {
        // const bShowLogging = false;
        let bRet = false;
        // check for reasonable input
        if (Utils.isEmptyObject(inComp)) {
            console.error(`AngularPConnect: bad call to shouldComponentUpdate: inComp: ${JSON.stringify(inComp)}`);
            return bRet;
        }
        if (undefined === inComp.validateMessage && undefined === inComp.angularPConnectData) {
            console.error(`AngularPConnect: bad call to shouldComponentUpdate: ${inComp.constructor.name} does not have a validateMessage property.`);
        }
        const compID = this.getComponentID(inComp);
        const currentProps = this.componentPropsArr[compID];
        const currentPropsAsStr = JSON.stringify(currentProps);
        const incomingProps = this.getComponentProps(inComp);
        // if have pageMessages, and it is blank, remove it.  This causes issues of making it appear
        // that a will cause an update, when there is no change
        if (this.isPageMessagesEmpty(incomingProps)) {
            inComp.angularPConnectData.pageMessages = incomingProps.pageMessages;
            delete incomingProps.pageMessages;
        }
        if (incomingProps.httpMessages) {
            inComp.angularPConnectData.httpMessages = incomingProps.httpMessages;
            incomingProps.httpMessages = undefined;
        }
        const incomingPropsAsStr = JSON.stringify(incomingProps);
        bRet = isEqual ? !isEqual(currentProps, incomingProps) : currentPropsAsStr != incomingPropsAsStr;
        // Below piece of code is needed to re-render the component since we wanna evaluate the Visibility expression within View component in such cases
        if (inComp.pConn$.meta.config.context?.length > 0 && inComp.pConn$.getPageReference().length > 'caseInfo.content'.length) {
            return true;
        }
        // Now update the entry in componentPropsArr with the incoming value so
        //  we can compare against that next time...
        this.componentPropsArr[compID] = incomingProps;
        const validatemessage = incomingProps.validatemessage === undefined ? '' : this.utils.htmlDecode(incomingProps.validatemessage);
        // and update the component's validation message (if undefined, it should be set to "")
        if (undefined !== inComp.angularPConnectData) {
            inComp.angularPConnectData.validateMessage = validatemessage;
            if (inComp.angularPConnectData.validateMessage != '') {
                // if have a validate message, turn off spinner
                const timer = interval(100).subscribe(() => {
                    this.psService.sendMessage(false);
                    timer.unsubscribe();
                });
                let sErrorMessage = currentProps && currentProps.label ? currentProps.label.concat(' - ') : '';
                sErrorMessage = sErrorMessage.concat(inComp.angularPConnectData.validateMessage);
                this.erService.sendMessage('update', sErrorMessage);
            }
        }
        else {
            inComp.validateMessage = validatemessage;
        }
        if (bRet && compID === undefined) {
            bRet = false;
        }
        // console.log( `AngularPConnect component ${compID} - ${inComp.constructor.name} - shouldComponentUpdate: ${bRet}`);
        // console.log("current props: " + currentPropsAsStr);
        if (bRet) {
            // console.log(`**** change for: ${inComp.constructor.name}`);
            // console.log("current props: " + currentPropsAsStr);
            // console.log("incoming props: " + incomingPropsAsStr);
            // console.log(`    ${inComp.constructor.name}: shouldComponentUpdate returning: ${bRet}, compId: ${compID}` );
            // console.log( `    Updating with componentProps for ${inComp.constructor.name}: ${JSON.stringify(this.componentPropsArr[compID])}`);
            // console.log( `          and validateMessage: ${inComp.validateMessage}`);
        }
        // else if (inComp.constructor.name.indexOf("View") >= 0 || inComp.constructor.name.indexOf("Root") >= 0) {
        //   console.log("no change");
        //   console.log("current props: " + currentPropsAsStr);
        //   console.log("incoming props: " + incomingPropsAsStr);
        //   console.log(`    ${inComp.constructor.name}: shouldComponentUpdate returning: ${bRet}, compId: ${compID}` );
        // }
        // console.log(`    ${inComp.constructor.name}: shouldComponentUpdate returning: ${bRet}`);
        return bRet;
    }
    isPageMessagesEmpty(incomingProps) {
        return incomingProps.pageMessages && incomingProps.pageMessages.length === 0;
    }
    /**
     * Can be called when the component has encountered a change event
     * @param inComp The component calling the change event
     * @param event The event
     */
    changeHandler(inComp, event) {
        const bLogging = false;
        if (bLogging) {
            // console.log(`AngularPConnect.changeHandler`);
        }
        // check for reasonable input
        if (undefined === inComp || Utils.isEmptyObject(inComp)) {
            console.error(`AngularPConnect: bad call to changeHandler: inComp: ${JSON.stringify(inComp)}`);
            return;
        }
        const pConnect = inComp.pConn$;
        if (undefined === pConnect) {
            console.error(`AngularPConnect: bad call to changeHandler: inComp.pConn$: ${pConnect}`);
            return;
        }
        // clear out errors
        this.erService.sendMessage('dismiss', '');
        pConnect.getActionsApi().changeHandler(pConnect, event);
    }
    /**
     * Can be called when the component has encountered an event (such as blur)
     * @param inComp The component calling the event
     * @param event The event
     */
    eventHandler(inComp, event) {
        const bLogging = false;
        if (bLogging) {
            // console.log(`AngularPConnect.eventHandler`);
        }
        // check for reasonable input
        if (undefined === inComp || Utils.isEmptyObject(inComp)) {
            console.error(`AngularPConnect: bad call to eventHandler: inComp: ${JSON.stringify(inComp)}`);
            return;
        }
        const pConnect = inComp.pConn$;
        if (undefined === pConnect) {
            console.error(`AngularPConnect: bad call to eventHandler: inComp.pConn$: ${pConnect}`);
            return;
        }
        pConnect.getActionsApi().eventHandler(pConnect, event);
    }
    /**
     * @returns A handle to the application's store
     */
    getStore() {
        if (this.theStore === null) {
            this.theStore = PCore.getStore();
        }
        return this.theStore;
    }
    /**
     * @param bLogMsg If true, will write the stringified state to the store for debugging/inspection
     * @param inComp If supplied, the component that is requesting the store's state
     * @returns A handle to the __state__ of application's store
     */
    getState(bLogMsg = false, inComp = null) {
        const theState = this.getStore().getState();
        if (bLogMsg) {
            const theCompName = inComp ? `${inComp.constructor.name}: ` : '';
            console.log(`${theCompName} Store state: ${JSON.stringify(theState)}`);
        }
        return theState;
    }
    // processActions - carried over from PConnectHOC initialize
    /**
     *  processActions exposes all actions in the metadata.
     *  Attaches common handler (eventHandler) for all actions.
     */
    processActions(inComp) {
        const pConnect = inComp.pConn$;
        if (undefined === pConnect) {
            console.error(`AngularPConnect: bad call to processActions: pConn$: ${pConnect} from component: ${inComp.constructor.name}`);
            return;
        }
        if (inComp.pConn$.isEditable()) {
            inComp.pConn$.setAction('onChange', this.changeHandler.bind(this));
            inComp.pConn$.setAction('onBlur', this.eventHandler.bind(this));
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AngularPConnectService, deps: [{ token: ProgressSpinnerService }, { token: ErrorMessagesService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AngularPConnectService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AngularPConnectService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: ProgressSpinnerService }, { type: ErrorMessagesService }, { type: Utils }] });

/* eslint-disable no-case-declarations */
class AssignmentComponent {
    constructor(angularPConnect, psService, erService, ngZone, snackBar) {
        this.angularPConnect = angularPConnect;
        this.psService = psService;
        this.erService = erService;
        this.ngZone = ngZone;
        this.snackBar = snackBar;
        this.isInModal$ = false;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.bInitialized = false;
        this.bHasNavigation$ = false;
        this.bIsVertical$ = false;
        this.arCurrentStepIndicies$ = [];
        this.arNavigationSteps$ = [];
        // itemKey: string = "";   // JA - this is what Nebula/Constellation uses to pass to finishAssignment, navigateToStep
        this.bReInit = false;
        this.localeCategory = 'Assignment';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.initComponent();
        this.angularPConnect.shouldComponentUpdate(this);
        this.bInitialized = true;
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeReference = `${this.pConn$.getCaseInfo().getClassName()}!CASE!${this.pConn$.getCaseInfo().getName()}`.toUpperCase();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        //    AND removing the "gate" that was put there since shouldComponentUpdate
        //      should be the real "gate"
        if (bUpdateSelf) {
            let loadingInfo;
            try {
                // loadingInfo = this.pConn$.getLoadingStatus();
                loadingInfo = this.newPConn$.getLoadingStatus();
                this.psService.sendMessage(loadingInfo);
            }
            catch (ex) {
                /* empty */
            }
        }
    }
    ngOnChanges() {
        if (this.bInitialized) {
            this.updateChanges();
        }
    }
    updateChanges() {
        // pConn$ may be a 'reference' component, so normalize it
        this.newPConn$ = ReferenceComponent.normalizePConn(this.pConn$);
        if (this.arChildren$) {
            this.createButtons();
        }
    }
    initComponent() {
        // pConn$ may be a 'reference' component, so normalize it
        // this.pConn$ = ReferenceComponent.normalizePConn(this.pConn$);
        this.newPConn$ = ReferenceComponent.normalizePConn(this.pConn$);
        // prevent re-intializing with flowContainer update unless an action is taken
        this.bReInit = false;
        this.bHasNavigation$ = false;
        // this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.configProps$ = this.newPConn$.resolveConfigProps(this.newPConn$.getConfigProps());
        this.templateName$ = this.configProps$.template;
        // create pointers to functions
        /*
        let containerMgr = this.pConn$.getContainerManager();
        let actionsAPI = this.pConn$.getActionsApi();
        let baseContext = this.pConn$.getContextName();
        let acName = this.pConn$.getContainerName();
        */
        const actionsAPI = this.newPConn$.getActionsApi();
        const baseContext = this.newPConn$.getContextName();
        const acName = this.newPConn$.getContainerName();
        // for now, in general this should be overridden by updateSelf(), and not be blank
        if (this.itemKey$ === '') {
            this.itemKey$ = baseContext.concat('/').concat(acName);
        }
        // this.pConn$.isBoundToState();
        this.newPConn$.isBoundToState();
        this.init = false;
        // store off bound functions to above pointers
        this.finishAssignment = actionsAPI.finishAssignment.bind(actionsAPI);
        this.navigateToStep = actionsAPI.navigateToStep.bind(actionsAPI);
        this.saveAssignment = actionsAPI.saveAssignment.bind(actionsAPI);
        this.cancelAssignment = actionsAPI.cancelAssignment.bind(actionsAPI);
        this.showPage = actionsAPI.showPage.bind(actionsAPI);
        this.cancelCreateStageAssignment = actionsAPI.cancelCreateStageAssignment.bind(actionsAPI);
        this.approveCase = actionsAPI.approveCase?.bind(actionsAPI);
        this.rejectCase = actionsAPI.rejectCase?.bind(actionsAPI);
        if (this.arChildren$) {
            this.createButtons();
        }
    }
    createButtons() {
        // let oData = this.pConn$.getDataObject();
        const oData = this.newPConn$.getDataObject();
        // inside
        // get fist kid, get the name and displa
        // pass first kid to a view container, which will disperse it to a view which will use one column, two column, etc.
        const oWorkItem = this.arChildren$[0].getPConnect();
        const oWorkData = oWorkItem.getDataObject();
        if (oWorkData) {
            this.actionsAPI = oWorkItem.getActionsApi();
            // this.containerName$ = oWorkMeta["name"];
            if (oWorkData.caseInfo && oWorkData.caseInfo.assignments !== null) {
                this.containerName$ = oWorkData.caseInfo.assignments?.[0].name;
                // get caseInfo
                const oCaseInfo = oData.caseInfo;
                if (oCaseInfo && oCaseInfo.actionButtons) {
                    this.arMainButtons$ = oCaseInfo.actionButtons.main;
                    this.arSecondaryButtons$ = oCaseInfo.actionButtons.secondary;
                }
                if (oCaseInfo.navigation != null) {
                    this.createButtonsForMultiStepForm(oCaseInfo);
                }
                else {
                    this.bHasNavigation$ = false;
                }
            }
        }
    }
    createButtonsForMultiStepForm(oCaseInfo) {
        this.bHasNavigation$ = true;
        if ((oCaseInfo.navigation.template && oCaseInfo.navigation.template.toLowerCase() === 'standard') || oCaseInfo?.navigation?.steps?.length === 1) {
            this.bHasNavigation$ = false;
        }
        else if (oCaseInfo.navigation.template && oCaseInfo.navigation.template.toLowerCase() === 'vertical') {
            this.bIsVertical$ = true;
        }
        else {
            this.bIsVertical$ = false;
        }
        // iterate through steps to find current one(s)
        // immutable, so we want to change the local copy, so need to make a copy
        this.ngZone.run(() => {
            // what comes back now in configObject is the children of the flowContainer
            this.arNavigationSteps$ = JSON.parse(JSON.stringify(oCaseInfo.navigation.steps));
            this.arNavigationSteps$.forEach(step => {
                if (step.name) {
                    step.name = PCore.getLocaleUtils().getLocaleValue(step.name, undefined, this.localeReference);
                }
            });
            this.arCurrentStepIndicies$ = [];
            this.arCurrentStepIndicies$ = this.findCurrentIndicies(this.arNavigationSteps$, this.arCurrentStepIndicies$, 0);
        });
    }
    findCurrentIndicies(arStepperSteps, arIndicies, depth) {
        let count = 0;
        arStepperSteps.forEach(step => {
            if (step.visited_status == 'current') {
                arIndicies[depth] = count;
                // add in
                step.step_status = '';
            }
            else if (step.visited_status == 'success') {
                count++;
                step.step_status = 'completed';
            }
            else {
                count++;
                step.step_status = '';
            }
            if (step.steps) {
                arIndicies = this.findCurrentIndicies(step.steps, arIndicies, depth + 1);
            }
        });
        return arIndicies;
    }
    onSaveActionSuccess(data) {
        this.actionsAPI.cancelAssignment(this.itemKey$).then(() => {
            this.psService.sendMessage(false);
            PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.CREATE_STAGE_SAVED, data);
        });
    }
    onActionButtonClick(oData) {
        this.buttonClick(oData.action, oData.buttonType);
    }
    buttonClick(sAction, sButtonType) {
        // right now, done on an individual basis, setting bReInit to true
        // upon the next flow container state change, will cause the flow container
        // to re-initialize
        // this.bReInit =true;
        /*
        let baseContext = this.pConn$.getContextName();
        let acName = this.pConn$.getContainerName();
        let itemID = baseContext.concat("/").concat(acName);
        */
        // const baseContext = this.newPConn$.getContextName();
        // const acName = this.newPConn$.getContainerName();
        // const itemID = baseContext.concat('/').concat(acName);
        if (sButtonType == 'secondary') {
            // const stepID = ''; // ???
            // need to handle cancel as this.cancel(dispatchInfo)
            // this.actionsAPI[sAction](dispatchInfo);
            switch (sAction) {
                case 'navigateToStep':
                    this.erService.sendMessage('publish', '');
                    if (this.formValid()) {
                        this.bReInit = true;
                        this.psService.sendMessage(true);
                        const navigatePromise = this.navigateToStep('previous', this.itemKey$);
                        navigatePromise
                            .then(() => {
                            this.updateChanges();
                            this.psService.sendMessage(false);
                        })
                            .catch(() => {
                            this.psService.sendMessage(false);
                            this.snackBar.open(`${this.localizedVal('Navigation failed!', this.localeCategory)}`, 'Ok');
                        });
                    }
                    break;
                case 'saveAssignment': {
                    const caseID = this.pConn$.getCaseInfo().getKey();
                    const assignmentID = this.pConn$.getCaseInfo().getAssignmentID();
                    const savePromise = this.saveAssignment(this.itemKey$);
                    savePromise
                        .then(() => {
                        const caseType = this.pConn$.getCaseInfo().c11nEnv.getValue(PCore.getConstants().CASE_INFO.CASE_TYPE_ID);
                        PCore.getPubSubUtils().publish('cancelPressed');
                        this.onSaveActionSuccess({ caseType, caseID, assignmentID });
                    })
                        .catch(() => {
                        this.psService.sendMessage(false);
                        this.snackBar.open(`${this.localizedVal('Save failed', this.localeCategory)}`, 'Ok');
                    });
                    break;
                }
                case 'cancelAssignment':
                    this.bReInit = true;
                    this.erService.sendMessage('dismiss', '');
                    const isAssignmentInCreateStage = this.pConn$.getCaseInfo().isAssignmentInCreateStage();
                    const isLocalAction = this.pConn$.getCaseInfo().isLocalAction() ||
                        (PCore.getConstants().CASE_INFO.IS_LOCAL_ACTION && this.pConn$.getValue(PCore.getConstants().CASE_INFO.IS_LOCAL_ACTION));
                    // check if create stage (modal)
                    if (isAssignmentInCreateStage && this.isInModal$ && !isLocalAction) {
                        const cancelPromise = this.cancelCreateStageAssignment(this.itemKey$);
                        cancelPromise
                            .then(() => {
                            this.psService.sendMessage(false);
                            // PCore.getPubSubUtils().publish(
                            //   PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL);
                        })
                            .catch(() => {
                            this.psService.sendMessage(false);
                            this.snackBar.open(`${this.localizedVal('Cancel failed!', this.localeCategory)}`, 'Ok');
                        });
                    }
                    else {
                        this.psService.sendMessage(true);
                        // publish before cancel pressed, because
                        // cancel assignment happens "after" cancel assignment happens
                        PCore.getPubSubUtils().publish('cancelPressed');
                        const cancelPromise = this.cancelAssignment(this.itemKey$);
                        cancelPromise
                            .then(() => {
                            this.psService.sendMessage(false);
                            PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL);
                        })
                            .catch(() => {
                            this.psService.sendMessage(false);
                            this.snackBar.open(`${this.localizedVal('Cancel failed!', this.localeCategory)}`, 'Ok');
                        });
                    }
                    break;
                case 'rejectCase': {
                    const rejectPromise = this.rejectCase(this.itemKey$);
                    rejectPromise
                        .then(() => { })
                        .catch(() => {
                        this.psService.sendMessage(false);
                        this.snackBar.open(`${this.localizedVal('Rejection failed!', this.localeCategory)}`, 'Ok');
                    });
                    break;
                }
                default:
                    break;
            }
        }
        else if (sButtonType == 'primary') {
            switch (sAction) {
                case 'finishAssignment':
                    this.erService.sendMessage('publish', '');
                    if (this.formValid()) {
                        this.bReInit = true;
                        this.psService.sendMessage(true);
                        const finishPromise = this.finishAssignment(this.itemKey$); // JA - was itemID but Nebula/Constellation uses itemKey
                        finishPromise
                            .then(() => {
                            this.psService.sendMessage(false);
                            this.updateChanges();
                        })
                            .catch(() => {
                            this.psService.sendMessage(false);
                            this.snackBar.open(`${this.localizedVal('Submit failed!', this.localeCategory)}`, 'Ok');
                        });
                    }
                    else {
                        // let snackBarRef = this.snackBar.open("Please fix errors on form.",  "Ok");
                        this.erService.sendMessage('show', this.localizedVal('Please fix errors on form.', this.localeCategory));
                    }
                    break;
                case 'approveCase': {
                    const approvePromise = this.approveCase(this.itemKey$);
                    approvePromise
                        .then(() => { })
                        .catch(() => {
                        this.psService.sendMessage(false);
                        this.snackBar.open(`${this.localizedVal('Approve failed!', this.localeCategory)}`, 'Ok');
                    });
                    break;
                }
                default:
                    break;
            }
        }
    }
    formValid() {
        this.touchAll();
        return this.formGroup$.valid;
    }
    touchAll() {
        Object.values(this.formGroup$.controls).forEach((control) => {
            control.markAsTouched();
        });
    }
    // eslint-disable-next-line sonarjs/no-identical-functions
    topViewRefresh() {
        Object.values(this.formGroup$.controls).forEach((control) => {
            control.markAsTouched();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AssignmentComponent, deps: [{ token: AngularPConnectService }, { token: ProgressSpinnerService }, { token: ErrorMessagesService }, { token: i0.NgZone }, { token: i4$1.MatSnackBar }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AssignmentComponent, isStandalone: true, selector: "app-assignment", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", arChildren$: "arChildren$", itemKey$: "itemKey$", isCreateStage$: "isCreateStage$", updateToken$: "updateToken$", isInModal$: "isInModal$", banners: "banners" }, usesOnChanges: true, ngImport: i0, template: "<div>\n  <div><component-mapper name=\"AlertBanner\" [props]=\"{ banners }\" [parent]=\"this\"></component-mapper></div>\n  <div *ngIf=\"bHasNavigation$\" class=\"psdk-stepper\">\n    <component-mapper\n      name=\"MultiStep\"\n      [props]=\"{\n        pConn$: newPConn$,\n        formGroup$,\n        arChildren$,\n        arMainButtons$,\n        arSecondaryButtons$,\n        bIsVertical$,\n        arCurrentStepIndicies$,\n        arNavigationSteps$\n      }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n    ></component-mapper>\n  </div>\n  <div *ngIf=\"!bHasNavigation$\">\n    <component-mapper\n      name=\"AssignmentCard\"\n      [props]=\"{ pConn$: newPConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$, updateToken$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSnackBarModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AssignmentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-assignment', standalone: true, imports: [CommonModule, MatSnackBarModule, forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <div><component-mapper name=\"AlertBanner\" [props]=\"{ banners }\" [parent]=\"this\"></component-mapper></div>\n  <div *ngIf=\"bHasNavigation$\" class=\"psdk-stepper\">\n    <component-mapper\n      name=\"MultiStep\"\n      [props]=\"{\n        pConn$: newPConn$,\n        formGroup$,\n        arChildren$,\n        arMainButtons$,\n        arSecondaryButtons$,\n        bIsVertical$,\n        arCurrentStepIndicies$,\n        arNavigationSteps$\n      }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n    ></component-mapper>\n  </div>\n  <div *ngIf=\"!bHasNavigation$\">\n    <component-mapper\n      name=\"AssignmentCard\"\n      [props]=\"{ pConn$: newPConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$, updateToken$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: ProgressSpinnerService }, { type: ErrorMessagesService }, { type: i0.NgZone }, { type: i4$1.MatSnackBar }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], arChildren$: [{
                type: Input
            }], itemKey$: [{
                type: Input
            }], isCreateStage$: [{
                type: Input
            }], updateToken$: [{
                type: Input
            }], isInModal$: [{
                type: Input
            }], banners: [{
                type: Input
            }] } });

/** This file contains various utility methods to generate filter components, regionLayout data, filter expressions, etc.  */
// Remove this and use "real" PCore type once .d.ts is fixed (currently shows 5 errors)
const createFilter = (value, fieldId, comparator = 'EQ') => {
    return {
        condition: {
            lhs: {
                field: fieldId
            },
            comparator,
            rhs: {
                value
            }
        }
    };
};
const combineFilters = (filterList, existingFilters) => {
    if (filterList && filterList.length) {
        // Need to combine them
        if (existingFilters) {
            return { AND: [existingFilters, ...filterList] };
        }
        // No existing, just return the one(s) from the list
        if (filterList.length > 1) {
            return { AND: [...filterList] };
        }
        return filterList[0];
    }
    // No filter list,
    return existingFilters;
};
const createFilterComponent = (getPConnect, filterMeta, index) => {
    // const dashboardFilter = [];
    const name = filterMeta.config.value.substring(4);
    const filterId = v4();
    let cleanedName = name;
    if (name.indexOf('.') !== -1) {
        cleanedName = name.substring(name.indexOf('.') + 1);
    }
    let propInfo = PCore.getMetadataUtils().getPropertyMetadata(cleanedName, filterMeta.config.ruleClass);
    if (!propInfo) {
        propInfo = PCore.getMetadataUtils().getPropertyMetadata(cleanedName);
    }
    const { type: propertyType } = propInfo || { type: 'Text' };
    const isNumber = propertyType && (propertyType === 'Decimal' || propertyType === 'Integer');
    filterMeta.isNumber = isNumber;
    const { filterType, datasource } = filterMeta.config;
    const type = filterType || filterMeta.type;
    const filterProp = `.pyDashboardFilter${index}`;
    if (type === 'DateTime') {
        const label = filterMeta.config.label.substring(3);
        return { type: filterMeta.type, getPConnect, name, filterProp, metadata: filterMeta, label, filterId };
    }
    if (datasource && datasource.fields) {
        datasource.fields.key = datasource.fields.value;
    }
    if (filterMeta.config.listType === 'associated' && propInfo && propInfo.datasource) {
        filterMeta.config.datasource = propInfo.datasource.records;
    }
    filterMeta.config.value = `@P ${filterProp}`;
    filterMeta.type = filterMeta.config.displayAs || type;
    filterMeta.config.placeholder = 'ALL';
    const c11nEnv = PCore.createPConnect({
        meta: filterMeta,
        options: {
            hasForm: true
        }
    });
    return { type: filterMeta.type, getPConnect, name, filterProp, metadata: filterMeta, c11nEnv, filterId };
};
const buildFilterComponents = (getPConnect, allFilters) => {
    return allFilters.children.map((filter, index) => createFilterComponent(getPConnect, filter, index));
};
const getFilterExpression = (filterValue, name, metadata) => {
    if (filterValue === '') {
        return null;
    }
    let comparator = 'EQ';
    if (metadata.type === 'TextInput' && !metadata.isNumber) {
        comparator = 'CONTAINS';
    }
    if (metadata.config.filterType && metadata.config.filterType === 'RelativeDates') {
        const fieldSource = metadata.config.datasource.filter(source => source.key === filterValue)[0];
        const relativeDateExpression = JSON.parse(fieldSource.json);
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        const fields = [
            {
                name: relativeDateExpression.condition.lhs.field,
                type: 'DATE_TIME'
            }
        ];
        return '';
    }
    return createFilter(filterValue, name, comparator);
};
const getFormattedDate = date => {
    if (!date) {
        return date;
    }
    const year = date.getFullYear();
    const month = `0${date.getMonth() + 1}`.slice(-2);
    const day = `0${date.getDate()}`.slice(-2);
    return `${year}-${month}-${day}`;
};

class DashboardFilterComponent {
    constructor() {
        this.filterChangeSubject = new Subject();
        this.filterChangeSubject.pipe(debounceTime(500)).subscribe(val => this.fireFilterChange(val));
    }
    ngOnInit() {
        if (this.filtersFormGroup$ != null) {
            this.filtersFormGroup$.addControl('start', new FormControl(null));
            this.filtersFormGroup$.addControl('end', new FormControl(null));
        }
    }
    clearFilters() {
        this.filtersFormGroup$.reset();
        PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CLEAR_ALL);
    }
    updateTmpData(filterData) {
        this.filterChangeSubject.next(filterData);
    }
    dateRangeChangeHandler(field) {
        const { filterId, name } = field;
        const start = this.filtersFormGroup$.get('start').value;
        const end = this.filtersFormGroup$.get('end').value;
        if (start && end) {
            let startDate = getFormattedDate(start);
            let endDate = getFormattedDate(end);
            if (startDate && endDate) {
                startDate = `${startDate}T00:00:00`;
                endDate = `${endDate}T00:00:00`;
                const startFilter = createFilter(startDate, name, 'GT');
                const endFilter = createFilter(endDate, name, 'LT');
                const filterData = {
                    filterId,
                    filterExpression: combineFilters([startFilter, endFilter], null)
                };
                PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CHANGE, filterData);
            }
        }
    }
    fireFilterChange(data) {
        const { event, field } = data;
        const filterData = {
            filterId: field.filterId,
            filterExpression: getFilterExpression(event.target.value, field.name, field.metadata)
        };
        PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CHANGE, filterData);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DashboardFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DashboardFilterComponent, isStandalone: true, selector: "app-dashboard-filter", inputs: { pConn$: "pConn$", filtersFormGroup$: "filtersFormGroup$", inlineProps: "inlineProps", children: "children" }, ngImport: i0, template: "<div\n  [ngClass]=\"{\n    'psdk-block-style': inlineProps.filterPosition === 'block-start'\n  }\"\n>\n  <div *ngFor=\"let kid of children\">\n    <div *ngIf=\"kid.type === 'DateTime'\" [formGroup]=\"filtersFormGroup$\">\n      <mat-form-field class=\"psdk-full-width\">\n        <mat-label>{{ kid.label }}</mat-label>\n        <mat-date-range-input [rangePicker]=\"picker\">\n          <input matStartDate placeholder=\"Start date\" formControlName=\"start\" />\n          <input matEndDate placeholder=\"End date\" formControlName=\"end\" (dateChange)=\"dateRangeChangeHandler(kid)\" />\n        </mat-date-range-input>\n        <mat-datepicker-toggle matIconSuffix [for]=\"picker\"></mat-datepicker-toggle>\n        <mat-date-range-picker #picker></mat-date-range-picker>\n      </mat-form-field>\n    </div>\n    <div *ngIf=\"kid.c11nEnv\">\n      <span (input)=\"updateTmpData({ event: $event, field: kid })\">\n        <component-mapper\n          [name]=\"kid.c11nEnv.getPConnect().getComponentName()\"\n          [props]=\"{\n            pConn$: kid.c11nEnv.getPConnect(),\n            formGroup$: filtersFormGroup$\n          }\"\n          errorMsg=\"Dashboard filter wants component not yet available: {{ kid.c11nEnv.getPConnect().getComponentName() }}\"\n        >\n        </component-mapper>\n      </span>\n    </div>\n  </div>\n  <div>\n    <button mat-button color=\"primary\" (click)=\"clearFilters()\">Clear All</button>\n  </div>\n</div>\n", styles: [".psdk-full-width{width:100%}.psdk-block-style{display:grid;direction:column-reverse;gap:1rem;grid-template-columns:repeat(7,1fr)}::ng-deep .mat-mdc-form-field-subscript-wrapper{height:0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatSuffix), selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlName), selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatDatepickerModule) }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepickerToggle), selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDateRangeInput), selector: "mat-date-range-input", inputs: ["rangePicker", "required", "dateFilter", "min", "max", "disabled", "separator", "comparisonStart", "comparisonEnd"], exportAs: ["matDateRangeInput"] }, { kind: "directive", type: i0.forwardRef(() => i4$2.MatStartDate), selector: "input[matStartDate]", outputs: ["dateChange", "dateInput"] }, { kind: "directive", type: i0.forwardRef(() => i4$2.MatEndDate), selector: "input[matEndDate]", outputs: ["dateChange", "dateInput"] }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDateRangePicker), selector: "mat-date-range-picker", exportAs: ["matDateRangePicker"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatNativeDateModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DashboardFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-dashboard-filter', standalone: true, imports: [
                        CommonModule,
                        MatFormFieldModule,
                        ReactiveFormsModule,
                        MatDatepickerModule,
                        MatButtonModule,
                        MatNativeDateModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div\n  [ngClass]=\"{\n    'psdk-block-style': inlineProps.filterPosition === 'block-start'\n  }\"\n>\n  <div *ngFor=\"let kid of children\">\n    <div *ngIf=\"kid.type === 'DateTime'\" [formGroup]=\"filtersFormGroup$\">\n      <mat-form-field class=\"psdk-full-width\">\n        <mat-label>{{ kid.label }}</mat-label>\n        <mat-date-range-input [rangePicker]=\"picker\">\n          <input matStartDate placeholder=\"Start date\" formControlName=\"start\" />\n          <input matEndDate placeholder=\"End date\" formControlName=\"end\" (dateChange)=\"dateRangeChangeHandler(kid)\" />\n        </mat-date-range-input>\n        <mat-datepicker-toggle matIconSuffix [for]=\"picker\"></mat-datepicker-toggle>\n        <mat-date-range-picker #picker></mat-date-range-picker>\n      </mat-form-field>\n    </div>\n    <div *ngIf=\"kid.c11nEnv\">\n      <span (input)=\"updateTmpData({ event: $event, field: kid })\">\n        <component-mapper\n          [name]=\"kid.c11nEnv.getPConnect().getComponentName()\"\n          [props]=\"{\n            pConn$: kid.c11nEnv.getPConnect(),\n            formGroup$: filtersFormGroup$\n          }\"\n          errorMsg=\"Dashboard filter wants component not yet available: {{ kid.c11nEnv.getPConnect().getComponentName() }}\"\n        >\n        </component-mapper>\n      </span>\n    </div>\n  </div>\n  <div>\n    <button mat-button color=\"primary\" (click)=\"clearFilters()\">Clear All</button>\n  </div>\n</div>\n", styles: [".psdk-full-width{width:100%}.psdk-block-style{display:grid;direction:column-reverse;gap:1rem;grid-template-columns:repeat(7,1fr)}::ng-deep .mat-mdc-form-field-subscript-wrapper{height:0}\n"] }]
        }], ctorParameters: () => [], propDecorators: { pConn$: [{
                type: Input
            }], filtersFormGroup$: [{
                type: Input
            }], inlineProps: [{
                type: Input
            }], children: [{
                type: Input
            }] } });

/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
class DeferLoadComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.bShowDefer$ = false;
        this.angularPConnectData = {};
        this.currentLoadedAssignment = '';
        this.getViewOptions = () => ({
            viewContext: this.resourceType,
            pageClass: this.loadViewCaseID ? '' : this.pConn$.getDataObject().pyPortal.classID,
            container: this.isContainerPreview ? 'preview' : undefined,
            containerName: this.isContainerPreview ? 'preview' : undefined,
            updateData: this.isContainerPreview
        });
        this.constants = PCore.getConstants();
    }
    ngOnInit() {
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // The below call is causing an error while creating/opening a case, hence commenting it out
        // this.loadActiveTab();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const theRequestedAssignment = this.pConn$.getValue(PCore.getConstants().CASE_INFO.ASSIGNMENT_LABEL);
        if (theRequestedAssignment !== this.currentLoadedAssignment) {
            this.currentLoadedAssignment = theRequestedAssignment;
            this.loadActiveTab();
        }
    }
    ngOnChanges() {
        this.loadViewCaseID = this.pConn$.getValue(this.constants.PZINSKEY) || this.pConn$.getValue(this.constants.CASE_INFO.CASE_INFO_ID);
        let containerItemData;
        const targetName = this.pConn$.getTarget();
        if (targetName) {
            this.containerName = PCore.getContainerUtils().getActiveContainerItemName(targetName);
            containerItemData = PCore.getContainerUtils().getContainerItemData(targetName, this.containerName);
        }
        const { CASE, PAGE, DATA } = this.constants.RESOURCE_TYPES;
        this.CASE = CASE;
        this.PAGE = PAGE;
        this.DATA = DATA;
        const { resourceType = this.CASE } = containerItemData || { resourceType: this.loadViewCaseID ? this.CASE : this.PAGE };
        this.resourceType = resourceType;
        this.isContainerPreview = /preview_[0-9]*/g.test(this.pConn$.getContextName());
        const theConfigProps = this.pConn$.getConfigProps();
        this.deferLoadId = theConfigProps.deferLoadId;
        this.name = this.name || theConfigProps.name;
        this.loadActiveTab();
    }
    onResponse(data) {
        if (this.deferLoadId) {
            PCore.getDeferLoadManager().start(this.name, this.pConn$.getCaseInfo().getKey(), this.pConn$.getPageReference().replace('caseInfo.content', ''), this.pConn$.getContextName(), this.deferLoadId);
        }
        if (data && !(data.type && data.type === 'error')) {
            const config = {
                meta: data,
                options: {
                    context: this.pConn$.getContextName(),
                    pageReference: this.pConn$.getPageReference()
                }
            };
            const configObject = PCore.createPConnect(config);
            configObject.getPConnect().setInheritedProp('displayMode', 'DISPLAY_ONLY');
            this.loadedPConn$ = ReferenceComponent.normalizePConn(configObject.getPConnect());
            this.componentName$ = this.loadedPConn$.getComponentName();
            if (this.deferLoadId) {
                PCore.getDeferLoadManager().stop(this.deferLoadId, this.pConn$.getContextName());
            }
        }
        // this.cdRef.detectChanges();
    }
    loadActiveTab() {
        if (this.resourceType === this.DATA) {
            // Rendering defer loaded tabs in data context
            if (this.containerName) {
                const dataContext = PCore.getStoreValue('.dataContext', 'dataInfo', this.containerName);
                const dataContextParameters = PCore.getStoreValue('.dataContextParameters', 'dataInfo', this.containerName);
                this.pConn$
                    .getActionsApi()
                    .showData(this.name, dataContext, dataContextParameters, {
                    skipSemanticUrl: true,
                    // @ts-ignore - Object literal may only specify known properties, and 'isDeferLoaded' does not exist in type '{ containerName: string; skipSemanticUrl: boolean; }'
                    isDeferLoaded: true
                })
                    .then(data => {
                    this.onResponse(data);
                });
            }
            else {
                console.error('Cannot load the defer loaded view without container information');
            }
        }
        else if (this.resourceType === this.PAGE) {
            // Rendering defer loaded tabs in case/ page context
            this.pConn$
                .getActionsApi()
                .loadView(encodeURI(this.loadViewCaseID), this.name, this.getViewOptions())
                .then(data => {
                this.onResponse(data);
            });
        }
        else {
            this.pConn$
                .getActionsApi()
                .refreshCaseView(encodeURI(this.loadViewCaseID), this.name, '')
                .then((data) => {
                this.onResponse(data.root);
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DeferLoadComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DeferLoadComponent, isStandalone: true, selector: "app-defer-load", inputs: { pConn$: "pConn$", loadData$: "loadData$", name: "name" }, usesOnChanges: true, ngImport: i0, template: "<div *ngIf=\"loadedPConn$\">\n  <component-mapper [name]=\"componentName$\" [props]=\"{ pConn$: loadedPConn$ }\" errorMsg=\"Defer Load Missing: {{ componentName$ }}\"></component-mapper>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DeferLoadComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-defer-load', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"loadedPConn$\">\n  <component-mapper [name]=\"componentName$\" [props]=\"{ pConn$: loadedPConn$ }\" errorMsg=\"Defer Load Missing: {{ componentName$ }}\"></component-mapper>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], loadData$: [{
                type: Input
            }], name: [{
                type: Input
            }] } });

class ErrorBoundaryComponent {
    constructor() {
        this.localizedVal = window.PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'Messages';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ErrorBoundaryComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ErrorBoundaryComponent, isStandalone: true, selector: "app-error-boundary", inputs: { message: "message" }, ngImport: i0, template: "<p>{{ localizedVal(message, localeCategory) }}</p>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ErrorBoundaryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-error-boundary', standalone: true, imports: [CommonModule], template: "<p>{{ localizedVal(message, localeCategory) }}</p>\n" }]
        }], propDecorators: { message: [{
                type: Input
            }] } });

function hasNotificationMessages(pConnect) {
    return !!pConnect.getValue('caseMessages');
}
function isCaseWideLocalAction(pConnect) {
    const { CASE_INFO } = PCore.getConstants();
    const actionID = pConnect.getValue(CASE_INFO.ACTIVE_ACTION_ID);
    const caseActions = pConnect.getValue(CASE_INFO.CASE_INFO_ACTIONS);
    if (caseActions && actionID) {
        const activeAction = caseActions.find(caseAction => caseAction.ID === actionID);
        return activeAction?.type === 'Case';
    }
    return false;
}
function getChildCaseAssignments(pConnect) {
    const childCases = pConnect.getValue(PCore.getConstants().CASE_INFO.CHILD_ASSIGNMENTS);
    let allAssignments = [];
    if (childCases && childCases.length > 0) {
        childCases.forEach(({ assignments = [], Name }) => {
            const childCaseAssignments = assignments.map((assignment) => ({
                ...assignment,
                caseName: Name
            }));
            allAssignments = allAssignments.concat(childCaseAssignments);
        });
    }
    return allAssignments;
}
function hasAssignments(pConnect) {
    const { CASE_INFO } = PCore.getConstants();
    const assignments = pConnect.getValue(CASE_INFO.D_CASE_ASSIGNMENTS_RESULTS);
    const childCasesAssignments = getChildCaseAssignments(pConnect);
    return assignments || childCasesAssignments || isCaseWideLocalAction(pConnect);
}
const showBanner = getPConnect => {
    const pConnect = getPConnect;
    return hasNotificationMessages(pConnect) || !hasAssignments(pConnect);
};
function getActiveCaseActionName(pConnect) {
    const caseActions = pConnect.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ACTIONS);
    const activeActionID = pConnect.getValue(PCore.getConstants().CASE_INFO.ACTIVE_ACTION_ID);
    const activeAction = caseActions.find(action => action.ID === activeActionID);
    return activeAction?.name || '';
}
function showTodo(pConnect) {
    const caseViewMode = pConnect.getValue('context_data.caseViewMode');
    return caseViewMode !== 'perform';
}
function getToDoAssignments(pConnect) {
    const caseActions = pConnect.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ACTIONS);
    const assignmentLabel = pConnect.getValue(PCore.getConstants().CASE_INFO.ASSIGNMENT_LABEL);
    const assignments = pConnect.getValue(PCore.getConstants().CASE_INFO.D_CASE_ASSIGNMENTS_RESULTS) || [];
    const childCasesAssignments = getChildCaseAssignments(pConnect) || [];
    let childCasesAssignmentsCopy = JSON.parse(JSON.stringify(childCasesAssignments));
    childCasesAssignmentsCopy = childCasesAssignmentsCopy.map(assignment => {
        assignment.isChild = true;
        return assignment;
    });
    const todoAssignments = [...assignments, ...childCasesAssignmentsCopy];
    let todoAssignmentsCopy = JSON.parse(JSON.stringify(todoAssignments));
    if (caseActions && !showTodo(pConnect)) {
        todoAssignmentsCopy = todoAssignmentsCopy.map(assignment => {
            assignment.name = getActiveCaseActionName(pConnect) || assignmentLabel;
            return assignment;
        });
    }
    return todoAssignmentsCopy;
}

const processRootViewDetails = (rootView, containerItem, options) => {
    const { config: { context: viewContext, name: viewName } } = rootView;
    const { context: containerContext } = containerItem;
    const { parentPConnect } = options;
    let resolvedViewName = viewName;
    let resolvedViewContext = viewContext;
    const isAnnotedViewName = PCore.getAnnotationUtils().isProperty(viewName);
    const isAnnotedViewContext = PCore.getAnnotationUtils().isProperty(viewContext);
    // resolving annoted view context
    if (isAnnotedViewContext) {
        const viewContextProperty = PCore.getAnnotationUtils().getPropertyName(viewContext);
        resolvedViewContext = PCore.getStoreValue(`.${viewContextProperty}`, viewContextProperty.startsWith('.') ? parentPConnect.getPageReference() : '', containerContext);
    }
    if (!resolvedViewContext) {
        resolvedViewContext = parentPConnect.getPageReference();
    }
    // resolving annoted view name
    if (isAnnotedViewName) {
        const viewNameProperty = PCore.getAnnotationUtils().getPropertyName(viewName);
        resolvedViewName = PCore.getStoreValue(`.${viewNameProperty}`, resolvedViewContext, containerContext);
    }
    /* Special case where context and viewname are dynamic values
      Use case - split for each shape
      Ex - (caseInfo.content.SCRequestWorkQueues[1]):context --> .pyViewName:viewName
    */
    if (isAnnotedViewName && isAnnotedViewContext && resolvedViewName !== '') {
        /* Allow context processor to resolve view and context when both are dynamic */
        resolvedViewName = viewName;
        resolvedViewContext = viewContext;
    }
    return {
        viewName: resolvedViewName,
        viewContext: resolvedViewContext
    };
};
const getPConnectOfActiveContainerItem = (containerInfo, options) => {
    const { accessedOrder, items } = containerInfo;
    const { isAssignmentView = false, parentPConnect } = options;
    const containerName = parentPConnect.getContainerName();
    const { CONTAINER_NAMES } = PCore.getContainerUtils();
    const { CREATE_DETAILS_VIEW_NAME } = PCore.getConstants();
    if (accessedOrder && items) {
        const activeContainerItemKey = accessedOrder[accessedOrder.length - 1];
        if (items[activeContainerItemKey] && items[activeContainerItemKey].view && Object.keys(items[activeContainerItemKey].view).length > 0) {
            const activeContainerItem = items[activeContainerItemKey];
            const target = activeContainerItemKey.substring(0, activeContainerItemKey.lastIndexOf('_'));
            const { view: rootView, context } = activeContainerItem;
            const { viewName, viewContext } = processRootViewDetails(rootView, activeContainerItem, { parentPConnect });
            if (!viewName)
                return null;
            const config = {
                meta: rootView,
                options: {
                    context,
                    pageReference: viewContext || parentPConnect.getPageReference(),
                    containerName,
                    containerItemID: activeContainerItemKey,
                    parentPageReference: parentPConnect.getPageReference(),
                    hasForm: isAssignmentView ||
                        containerName === CONTAINER_NAMES.WORKAREA ||
                        containerName === CONTAINER_NAMES.MODAL ||
                        viewName === CREATE_DETAILS_VIEW_NAME,
                    target
                }
            };
            return PCore.createPConnect(config).getPConnect();
        }
    }
    return null;
};

class FlowContainerBaseComponent {
    constructor(injector) {
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.angularPConnect = injector.get(AngularPConnectService);
    }
    getPConnectOfActiveContainerItem(parentPConnect) {
        const routingInfo = this.angularPConnect.getComponentProp(this, 'routingInfo');
        const isAssignmentView = this.angularPConnect.getComponentProp(this, 'isAssignmentView');
        return getPConnectOfActiveContainerItem(routingInfo, {
            isAssignmentView,
            parentPConnect
        });
    }
}

class FlowContainerComponent extends FlowContainerBaseComponent {
    constructor(injector, cdRef, psService, fb, ngZone, utils) {
        super(injector);
        this.cdRef = cdRef;
        this.psService = psService;
        this.fb = fb;
        this.ngZone = ngZone;
        this.utils = utils;
        this.itemKey$ = '';
        // todo
        this.todo_showTodo$ = false;
        this.todo_showTodoList$ = false;
        this.todo_headerText$ = 'To do';
        this.bHasCancel = false;
        this.bHasCaseMessages$ = false;
        this.bShowConfirm = false;
        this.localeCategory = 'Messages';
        // create the formGroup
        this.formGroup$ = this.fb.group({ hideRequired: false });
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        const caseInfo = this.pConn$.getCaseInfo();
        this.localeReference = `${caseInfo?.getClassName()}!CASE!${caseInfo.getName()}`.toUpperCase();
        // Then, continue on with other initialization
        // get the PCore constants
        this.pCoreConstants = PCore.getConstants();
        const { TODO } = this.pCoreConstants;
        this.TODO = TODO;
        // with init, force children to be loaded of global pConn
        this.initComponent(true);
        this.initContainer();
        this.checkAndUpdate();
        PCore.getPubSubUtils().subscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL, () => {
            this.handleCancel();
        }, 'cancelAssignment');
        PCore.getPubSubUtils().subscribe('cancelPressed', () => {
            this.handleCancelPressed();
        }, 'cancelPressed');
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
        PCore.getPubSubUtils().unsubscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL, 'cancelAssignment');
        PCore.getPubSubUtils().unsubscribe('cancelPressed', 'cancelPressed');
    }
    handleCancel() {
        // cancel happened, so ok to initialize the flow container
        sessionStorage.setItem('okToInitFlowContainer', 'true');
    }
    handleCancelPressed() {
        this.bHasCancel = true;
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        const pConn = this.pConnectOfActiveContainerItem || this.pConn$;
        const caseViewModeFromProps = this.angularPConnect.getComponentProp(this, 'caseViewMode');
        const caseViewModeFromRedux = pConn.getValue('context_data.caseViewMode', '');
        // ONLY call updateSelf when the component should update
        //    AND removing the "gate" that was put there since shouldComponentUpdate
        //      should be the real "gate"
        if (bUpdateSelf || caseViewModeFromProps !== caseViewModeFromRedux) {
            // don't want to redraw the flow container when there are page messages, because
            // the redraw causes us to loose the errors on the elements
            const completeProps = this.angularPConnect.getCurrentCompleteProps(this);
            if (!completeProps.pageMessages || completeProps.pageMessages.length == 0) {
                // with a cancel, need to timeout so todo will update correctly
                if (this.bHasCancel) {
                    this.bHasCancel = false;
                    setTimeout(() => {
                        this.updateSelf();
                    }, 500);
                }
                else {
                    this.updateSelf();
                }
            }
            else {
                this.showPageMessages(completeProps);
            }
        }
    }
    showPageMessages(completeProps) {
        this.ngZone.run(() => {
            const pageMessages = completeProps.pageMessages;
            this.banners = [{ messages: pageMessages?.map(msg => this.localizedVal(msg.message, 'Messages')), variant: 'urgent' }];
        });
    }
    getTodoVisibilty() {
        const caseViewMode = this.pConn$.getValue('context_data.caseViewMode');
        if (caseViewMode && caseViewMode === 'review') {
            const kid = this.pConn$.getChildren()[0];
            const todoKid = kid.getPConnect().getChildren()[0];
            this.todo_pConn$ = todoKid.getPConnect();
            return true;
        }
        return !(caseViewMode && caseViewMode === 'perform');
    }
    initContainer() {
        const containerMgr = this.pConn$.getContainerManager();
        const baseContext = this.pConn$.getContextName();
        const containerName = this.pConn$.getContainerName();
        const containerType = 'single';
        const flowContainerTarget = `${baseContext}/${containerName}`;
        const isContainerItemAvailable = PCore.getContainerUtils().getActiveContainerItemName(flowContainerTarget);
        // clear out since we are initializing
        sessionStorage.setItem('okToInitFlowContainer', 'false');
        if (!isContainerItemAvailable) {
            containerMgr.initializeContainers({
                type: containerType
            });
            /* remove commented out code when update React/WC
             *** instead of getting values here to pass to addContainerItem, we call the function below "addContainerItem"
             *** which comes from flow container helpers in Nebula
             */
            // containerMgr.addContainerItem({
            //   semanticURL: "",
            //   key: this.pConn$.getValue("key"),
            //   flowName: this.pConn$.getValue("flowName"),
            //   caseViewMode: "perform",
            //   data: this.pConn$.getDataObject(baseContext),
            //   containerType
            // });
            this.addContainerItem(this.pConn$);
        }
    }
    initComponent(bLoadChildren) {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.showPageMessages(this.configProps$);
        // when true, update arChildren from pConn, otherwise, arChilren will be updated in updateSelf()
        if (bLoadChildren) {
            this.arChildren$ = this.pConn$.getChildren();
        }
        // const oData = this.pConn$.getDataObject();
        // const activeActionLabel: string = '';
        // const { getPConnect } = this.arChildren$[0].getPConnect();
        this.todo_showTodo$ = this.getTodoVisibilty();
        // create pointers to functions
        // const containerMgr = this.pConn$.getContainerManager();
        // const actionsAPI = this.pConn$.getActionsApi();
        const baseContext = this.pConn$.getContextName();
        const acName = this.pConn$.getContainerName();
        if (this.itemKey$ === '') {
            this.itemKey$ = baseContext.concat('/').concat(acName);
        }
        this.pConn$.isBoundToState();
        // inside
        // get fist kid, get the name and display
        // pass first kid to a view container, which will disperse it to a view which will use one column, two column, etc.
        const oWorkItem = this.arChildren$[0].getPConnect();
        // const oWorkMeta = oWorkItem.getRawMetadata();
        const oWorkData = oWorkItem.getDataObject();
        // this.containerName$ = oWorkMeta["name"];
        if (bLoadChildren && oWorkData) {
            this.containerName$ = this.localizedVal(this.getActiveViewLabel() || oWorkData.caseInfo.assignments[0].name, undefined, this.localeReference);
        }
        // turn off spinner
        this.psService.sendMessage(false);
    }
    hasAssignments() {
        let hasAssignments = false;
        const assignmentsList = this.pConn$.getValue(this.pCoreConstants.CASE_INFO.D_CASE_ASSIGNMENTS_RESULTS);
        // const thisOperator = PCore.getEnvironmentInfo().getOperatorIdentifier();
        // 8.7 includes assignments in Assignments List that may be assigned to
        //  a different operator. So, see if there are any assignments for
        //  the current operator
        const isEmbedded = window.location.href.includes('embedded');
        let bAssignmentsForThisOperator = false;
        if (isEmbedded) {
            const thisOperator = PCore.getEnvironmentInfo().getOperatorIdentifier();
            for (const assignment of assignmentsList) {
                if (assignment.assigneeInfo.ID === thisOperator) {
                    bAssignmentsForThisOperator = true;
                }
            }
        }
        else {
            bAssignmentsForThisOperator = true;
        }
        // Bail if there is no assignmentsList
        if (!assignmentsList) {
            return hasAssignments;
        }
        const hasChildCaseAssignments = this.hasChildCaseAssignments();
        if (bAssignmentsForThisOperator || hasChildCaseAssignments || this.isCaseWideLocalAction()) {
            hasAssignments = true;
        }
        return hasAssignments;
    }
    isCaseWideLocalAction() {
        const actionID = this.pConn$.getValue(this.pCoreConstants.CASE_INFO.ACTIVE_ACTION_ID);
        const caseActions = this.pConn$.getValue(this.pCoreConstants.CASE_INFO.AVAILABLEACTIONS);
        let bCaseWideAction = false;
        if (caseActions && actionID) {
            const actionObj = caseActions.find(caseAction => caseAction.ID === actionID);
            if (actionObj) {
                bCaseWideAction = actionObj.type === 'Case';
            }
        }
        return bCaseWideAction;
    }
    hasChildCaseAssignments() {
        const childCases = this.pConn$.getValue(this.pCoreConstants.CASE_INFO.CHILD_ASSIGNMENTS);
        return childCases && childCases.length > 0;
    }
    getActiveViewLabel() {
        let activeActionLabel = '';
        const { CASE_INFO: CASE_CONSTS } = PCore.getConstants();
        const caseActions = this.pConn$.getValue(CASE_CONSTS.CASE_INFO_ACTIONS);
        const activeActionID = this.pConn$.getValue(CASE_CONSTS.ACTIVE_ACTION_ID);
        const activeAction = caseActions?.find(action => action.ID === activeActionID);
        if (activeAction) {
            activeActionLabel = activeAction.name;
        }
        return activeActionLabel;
    }
    findCurrentIndicies(arStepperSteps, arIndicies, depth) {
        let count = 0;
        arStepperSteps.forEach(step => {
            if (step.visited_status == 'current') {
                arIndicies[depth] = count;
                // add in
                step.step_status = '';
            }
            else if (step.visited_status == 'success') {
                count++;
                step.step_status = 'completed';
            }
            else {
                count++;
                step.step_status = '';
            }
            if (step.steps) {
                arIndicies = this.findCurrentIndicies(step.steps, arIndicies, depth + 1);
            }
        });
        return arIndicies;
    }
    // Called when bridge shouldComponentUpdate indicates that this component
    // should update itself (re-render)
    updateSelf() {
        // for now
        // const { getPConnect } = this.arChildren$[0].getPConnect();
        const localPConn = this.arChildren$[0].getPConnect();
        this.pConnectOfActiveContainerItem = this.getPConnectOfActiveContainerItem(this.pConn$) || this.pConn$;
        const caseViewMode = this.pConnectOfActiveContainerItem.getValue('context_data.caseViewMode');
        this.bShowBanner = showBanner(this.pConn$);
        if (caseViewMode && caseViewMode == 'review') {
            this.loadReviewPage(localPConn);
            // in Nebula/Constellation, when cancel is called, somehow the constructor for flowContainer is called which
            // does init/add of containers.  This mimics that
            if (sessionStorage.getItem('okToInitFlowContainer') == 'true') {
                this.initContainer();
            }
        }
        else if (caseViewMode && caseViewMode === 'perform') {
            // perform
            this.todo_showTodo$ = false;
            // this is different than Angular SDK, as we need to initContainer if root container reloaded
            if (sessionStorage.getItem('okToInitFlowContainer') == 'true') {
                this.initContainer();
            }
        }
        // if have caseMessage show message and end
        this.showCaseMessages();
        this.updateFlowContainerChildren();
    }
    loadReviewPage(localPConn) {
        const { CASE_INFO: CASE_CONSTS } = PCore.getConstants();
        setTimeout(() => {
            this.ngZone.run(() => {
                /*
                  *** renove this commmented out code when React/WC is updated
                  *** this code is replace with the call to "getToDoAssigments" function below
        
                  const assignmentsList = localPConn.getValue(
                    CASE_CONSTS.D_CASE_ASSIGNMENTS_RESULTS
                  );
                          // add status
                  const status = localPConn.getValue("caseInfo.status");
        
                  let localAssignment = JSON.parse(JSON.stringify(assignmentsList[0]));
                  localAssignment.status = status;
                  let locaAssignmentsList: Array<any> = [];
                  locaAssignmentsList.push(localAssignment);
        
                  const caseActions = localPConn.getValue(CASE_CONSTS.CASE_INFO_ACTIONS);
                  */
                const todoAssignments = getToDoAssignments(this.pConn$);
                if (todoAssignments && todoAssignments.length > 0) {
                    this.todo_caseInfoID$ = this.pConn$.getValue(CASE_CONSTS.CASE_INFO_ID);
                    this.todo_datasource$ = { source: todoAssignments };
                }
                /* remove this commented out code when update React/WC */
                // let kid = this.pConn$.getChildren()[0];
                // kid.getPConnect() can be a Reference component. So normalize it just in case
                //        let todoKid = ReferenceComponent.normalizePConn(kid.getPConnect()).getChildren()[0];
                //        this.todo_pConn$ = todoKid.getPConnect();
                /* code change here to note for React/WC  */
                // todo now needs pConn to open the work item on click "go"
                this.todo_pConn$ = this.pConn$;
                // still needs the context of the original work item
                this.todo_context$ = localPConn.getContextName();
                this.todo_showTodo$ = true;
                this.psService.sendMessage(false);
            });
        });
    }
    showCaseMessages() {
        this.caseMessages$ = this.localizedVal(this.pConn$.getValue('caseMessages'), this.localeCategory);
        // caseMessages's behavior has changed in 24.2, and hence it doesn't let Optional Action work.
        // Changing the below condition for now. Was: (theCaseMessages || !hasAssignments())
        if (!this.hasAssignments()) {
            this.bHasCaseMessages$ = true;
            this.bShowConfirm = true;
            this.checkSvg$ = this.utils.getImageSrc('check', this.utils.getSDKStaticContentUrl());
            // Temp fix for 8.7 change: confirmationNote no longer coming through in caseMessages$.
            // So, if we get here and caseMessages$ is empty, use default value in DX API response
            if (!this.caseMessages$) {
                this.caseMessages$ = this.localizedVal('Thank you! The next step in this case has been routed appropriately.', this.localeCategory);
            }
            // publish this "assignmentFinished" for mashup, need to get approved as a standard
            PCore.getPubSubUtils().publish('assignmentFinished');
            this.psService.sendMessage(false);
        }
        else {
            this.bHasCaseMessages$ = false;
            this.bShowConfirm = false;
        }
    }
    updateFlowContainerChildren() {
        // routingInfo was added as component prop in populateAdditionalProps
        const routingInfo = this.angularPConnect.getComponentProp(this, 'routingInfo');
        this.confirm_pconn = null;
        let loadingInfo;
        try {
            // @ts-ignore - Property 'getLoadingStatus' is private and only accessible within class 'C11nEnv'
            loadingInfo = this.pConn$.getLoadingStatus();
        }
        catch (ex) {
            /* empty */
        }
        // this check in routingInfo, mimic Nebula/Constellation (React) to check and get the internals of the
        // flowContainer and force updates to pConnect/redux
        if (routingInfo && loadingInfo !== undefined) {
            const currentOrder = routingInfo.accessedOrder;
            const currentItems = routingInfo.items;
            const type = routingInfo.type;
            if (currentOrder && currentItems) {
                // JA - making more similar to Nebula/Constellation
                const key = currentOrder[currentOrder.length - 1];
                // save off itemKey to be used for finishAssignment, etc.
                // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
                setTimeout(() => {
                    if (key && key != '') {
                        this.itemKey$ = key;
                        this.cdRef.detectChanges();
                    }
                });
                // eslint-disable-next-line sonarjs/no-collapsible-if
                if (currentOrder.length > 0) {
                    if (currentItems[key] && currentItems[key].view && type === 'single' && Object.keys(currentItems[key].view).length > 0) {
                        // when we get here, it it because the flow action data has changed
                        // from the server, and need to add to pConnect and update children
                        this.addPConnectAndUpdateChildren(currentItems[key], key);
                    }
                }
            }
        }
    }
    addPConnectAndUpdateChildren(currentItem, key) {
        const localPConn = this.arChildren$[0].getPConnect();
        const rootView = currentItem.view;
        const { context, name: ViewName } = rootView.config;
        const config = { meta: rootView };
        // Don't go ahead if View doesn't exist
        if (!ViewName) {
            return;
        }
        this.todo_context$ = currentItem.context;
        config.options = {
            context: currentItem.context,
            pageReference: context || localPConn.getPageReference(),
            hasForm: true,
            isFlowContainer: true,
            containerName: localPConn.getContainerName(),
            containerItemName: key,
            parentPageReference: localPConn.getPageReference()
        };
        const configObject = PCore.createPConnect(config);
        this.confirm_pconn = configObject.getPConnect();
        // 8.7 - config might be a Reference component so, need to normalize it to get
        //  the View if it is a Reference component. And need to pass in the getPConnect
        //  to have normalize do a c11Env createComponent (that makes sure options.hasForm
        //  is passed along to all the component's children)
        const normalizedConfigObject = ReferenceComponent.normalizePConn(configObject.getPConnect());
        // We want the children to be the PConnect itself, not the result of calling getPConnect(),
        //  So need to get the PConnect of the normalized component we just created...
        const normalizedConfigObjectAsPConnect = normalizedConfigObject.getComponent();
        // makes sure Angular tracks these changes
        this.ngZone.run(() => {
            this.buildName$ = this.getBuildName();
            // what comes back now in configObject is the children of the flowContainer
            this.arChildren$ = [];
            this.arChildren$.push(normalizedConfigObjectAsPConnect);
            this.psService.sendMessage(false);
            const oWorkItem = configObject.getPConnect();
            const oWorkData = oWorkItem.getDataObject();
            this.containerName$ = this.localizedVal(this.getActiveViewLabel() || oWorkData.caseInfo.assignments?.[0].name, undefined, this.localeReference);
        });
    }
    getBuildName() {
        // let { getPConnect, name } = this.pConn$.props;
        const context = this.pConn$.getContextName();
        let viewContainerName = this.pConn$.getContainerName();
        if (!viewContainerName)
            viewContainerName = '';
        return `${context.toUpperCase()}/${viewContainerName.toUpperCase()}`;
    }
    formValid() {
        this.touchAll();
        return this.formGroup$.valid;
    }
    touchAll() {
        Object.values(this.formGroup$.controls).forEach(control => {
            control.markAsTouched();
        });
    }
    topViewRefresh() {
        Object.values(this.formGroup$.controls).forEach(control => {
            control.markAsTouched();
        });
    }
    // helpers - copyied from flow container helpers.js
    addContainerItem(pConnect) {
        // copied from flow container helper.js
        const containerManager = pConnect.getContainerManager();
        const contextName = pConnect.getContextName(); // here we will get parent context name, as flow container is child of view container
        const caseViewMode = pConnect.getValue('context_data.caseViewMode');
        let key;
        let flowName;
        if (caseViewMode !== 'review') {
            const target = contextName.substring(0, contextName.lastIndexOf('_'));
            const activeContainerItemID = PCore.getContainerUtils().getActiveContainerItemName(target);
            const containerItemData = PCore.getContainerUtils().getContainerItemData(target, activeContainerItemID);
            if (containerItemData) {
                ({ key, flowName } = containerItemData);
            }
        }
        containerManager.addContainerItem({
            semanticURL: '',
            key,
            flowName,
            caseViewMode: 'perform',
            resourceType: 'ASSIGNMENT',
            data: pConnect.getDataObject(contextName)
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FlowContainerComponent, deps: [{ token: i0.Injector }, { token: i0.ChangeDetectorRef }, { token: ProgressSpinnerService }, { token: i4.FormBuilder }, { token: i0.NgZone }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FlowContainerComponent, isStandalone: true, selector: "app-flow-container", inputs: { pConn$: "pConn$" }, providers: [Utils], usesInheritance: true, ngImport: i0, template: "<div style=\"text-align: left\" class=\"psdk-flow-container-top\">\n  <div *ngIf=\"!bShowConfirm\">\n    <div *ngIf=\"!todo_showTodo$\">\n      <h2>{{ containerName$ }}</h2>\n      <div *ngIf=\"banners?.length\">\n        <component-mapper name=\"AlertBanner\" [props]=\"{ banners }\"></component-mapper>\n      </div>\n    </div>\n    <div *ngIf=\"todo_showTodo$\">\n      <component-mapper\n        *ngIf=\"pConnectOfActiveContainerItem\"\n        name=\"Todo\"\n        [props]=\"{\n          pConn$: pConnectOfActiveContainerItem,\n          caseInfoID$: todo_caseInfoID$,\n          datasource$: todo_datasource$,\n          showTodoList$: todo_showTodoList$,\n          headerText$: todo_headerText$,\n          type$: 'TODO',\n          context$: todo_context$,\n          isConfirm: true\n        }\"\n      ></component-mapper>\n    </div>\n    <div *ngIf=\"!todo_showTodo$\">\n      <component-mapper\n        *ngIf=\"pConnectOfActiveContainerItem\"\n        name=\"Assignment\"\n        [props]=\"{ pConn$: pConnectOfActiveContainerItem, formGroup$, arChildren$, itemKey$ }\"\n      ></component-mapper>\n    </div>\n  </div>\n  <div *ngIf=\"bHasCaseMessages$\">\n    <mat-card class=\"psdk-message-card\">\n      <div style=\"display: flex; flex-direction: row\">\n        <div><img class=\"psdk-icon\" src=\"{{ checkSvg$ }}\" /></div>\n        <div>{{ caseMessages$ }}</div>\n      </div>\n    </mat-card>\n  </div>\n  <div *ngIf=\"bShowBanner && bShowConfirm && confirm_pconn\">\n    <component-mapper name=\"View\" [props]=\"{ formGroup$, pConn$: confirm_pconn }\"></component-mapper>\n  </div>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatCardModule) }, { kind: "component", type: i0.forwardRef(() => i5$1.MatCard), selector: "mat-card", inputs: ["appearance"], exportAs: ["matCard"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FlowContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-flow-container', providers: [Utils], standalone: true, imports: [CommonModule, MatCardModule, forwardRef(() => ComponentMapperComponent)], template: "<div style=\"text-align: left\" class=\"psdk-flow-container-top\">\n  <div *ngIf=\"!bShowConfirm\">\n    <div *ngIf=\"!todo_showTodo$\">\n      <h2>{{ containerName$ }}</h2>\n      <div *ngIf=\"banners?.length\">\n        <component-mapper name=\"AlertBanner\" [props]=\"{ banners }\"></component-mapper>\n      </div>\n    </div>\n    <div *ngIf=\"todo_showTodo$\">\n      <component-mapper\n        *ngIf=\"pConnectOfActiveContainerItem\"\n        name=\"Todo\"\n        [props]=\"{\n          pConn$: pConnectOfActiveContainerItem,\n          caseInfoID$: todo_caseInfoID$,\n          datasource$: todo_datasource$,\n          showTodoList$: todo_showTodoList$,\n          headerText$: todo_headerText$,\n          type$: 'TODO',\n          context$: todo_context$,\n          isConfirm: true\n        }\"\n      ></component-mapper>\n    </div>\n    <div *ngIf=\"!todo_showTodo$\">\n      <component-mapper\n        *ngIf=\"pConnectOfActiveContainerItem\"\n        name=\"Assignment\"\n        [props]=\"{ pConn$: pConnectOfActiveContainerItem, formGroup$, arChildren$, itemKey$ }\"\n      ></component-mapper>\n    </div>\n  </div>\n  <div *ngIf=\"bHasCaseMessages$\">\n    <mat-card class=\"psdk-message-card\">\n      <div style=\"display: flex; flex-direction: row\">\n        <div><img class=\"psdk-icon\" src=\"{{ checkSvg$ }}\" /></div>\n        <div>{{ caseMessages$ }}</div>\n      </div>\n    </mat-card>\n  </div>\n  <div *ngIf=\"bShowBanner && bShowConfirm && confirm_pconn\">\n    <component-mapper name=\"View\" [props]=\"{ formGroup$, pConn$: confirm_pconn }\"></component-mapper>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i0.Injector }, { type: i0.ChangeDetectorRef }, { type: ProgressSpinnerService }, { type: i4.FormBuilder }, { type: i0.NgZone }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }] } });

/**
 * Function that accepts array of messages as input and group them by their type and returns the resulting object
 * @param {Array} inputMessages
 * Eg: [
 * {message: 'First Name is required', type: 'error'},
 * {message: 'Last Name is required', type: 'error'},
 * {message: 'Address field should be clear and precise', type: 'info'}
 * ]
 *
 * @returns {object}
 *
 * Eg: {
 *  error: ['First Name is required', 'Last Name is required'],
 *  info: ['Address field should be clear and precise']
 * }
 */
function getMessagesGrouped(inputMessages) {
    const messages = {};
    if (inputMessages && inputMessages instanceof Array && inputMessages.length > 0) {
        inputMessages.forEach(item => {
            const { message, type } = item;
            messages[type] = [...(messages[type] || []), message];
        });
    }
    return messages;
}
/**
 * Function accepts a error type and variant of the banner
 * @param {string} type
 * Eg: 'error'
 * @returns {string}
 * Eg: 'urgent'
 */
function getVariant(type) {
    const { BANNER_VARIANT_SUCCESS, BANNER_VARIANT_INFO, BANNER_VARIANT_URGENT, MESSAGES } = PCore.getConstants();
    const { MESSAGES_TYPE_ERROR, MESSAGES_TYPE_INFO, MESSAGES_TYPE_SUCCESS } = MESSAGES;
    let variant;
    switch (type) {
        case MESSAGES_TYPE_ERROR:
            variant = BANNER_VARIANT_URGENT;
            break;
        case MESSAGES_TYPE_INFO:
            variant = BANNER_VARIANT_INFO;
            break;
        case MESSAGES_TYPE_SUCCESS:
            variant = BANNER_VARIANT_SUCCESS;
            break;
        default:
            variant = '';
    }
    return variant;
}
function getBanners(config) {
    const { target, pageMessages, httpMessages } = config;
    const { PAGE } = PCore.getConstants();
    // const { clearMessages } = PCore.getMessageManager();
    const banners = [];
    const groupedPageMessages = getMessagesGrouped(pageMessages);
    Object.keys(groupedPageMessages).forEach(type => {
        const messagesByType = groupedPageMessages[type];
        const variant = getVariant(type);
        const pageMessagesBannerID = `${target}_${PAGE}_${type}`.toLowerCase().replace('/', '_');
        banners.push({ id: pageMessagesBannerID, messages: messagesByType, variant, PAGE, type, target });
    });
    if (httpMessages && httpMessages.length > 0) {
        banners.push({ id: 'modalViewContainerBanner', messages: httpMessages, variant: 'urgent' });
    }
    return banners;
}

/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
class ModalViewContainerComponent {
    constructor(angularPConnect, ngZone, psService, fb) {
        this.angularPConnect = angularPConnect;
        this.ngZone = ngZone;
        this.psService = psService;
        this.fb = fb;
        // for when non modal
        this.modalVisibleChange = new EventEmitter();
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.title$ = '';
        this.bShowModal$ = false;
        this.bShowAsModal$ = true;
        this.oCaseInfo = {};
        // for causing a change on assignment
        this.updateToken$ = 0;
        this.routingInfoRef = {};
        this.bSubscribed = false;
        this.bShowCancelAlert$ = false;
        this.localeCategory = 'Data Object';
        this.isMultiRecord = false;
        this.actionsDialog = false;
        this.closeActionsDialog = () => {
            this.actionsDialog = true;
            // this.ngZone.run(() => {
            this.bShowModal$ = false;
            // for when non modal
            this.modalVisibleChange.emit(this.bShowModal$);
            this.oCaseInfo = {};
            // });
        };
        // create the formGroup
        this.formGroup$ = fb.group({ hideRequired: false });
    }
    ngOnInit() {
        if (this.displayOnlyFA$) {
            // for when non modal
            this.bShowAsModal$ = false;
        }
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        const baseContext = this.pConn$.getContextName();
        const acName = this.pConn$.getContainerName();
        // for now, in general this should be overridden by updateSelf(), and not be blank
        if (this.itemKey$ === '') {
            this.itemKey$ = baseContext.concat('/').concat(acName);
        }
        const containerMgr = this.pConn$.getContainerManager();
        containerMgr.initializeContainers({
            type: 'multiple'
        });
        // const { CONTAINER_TYPE, PUB_SUB_EVENTS } = PCore.getConstants();
        this.angularPConnect.shouldComponentUpdate(this);
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
        const { PUB_SUB_EVENTS } = PCore.getConstants();
        PCore.getPubSubUtils().unsubscribe(PUB_SUB_EVENTS.EVENT_SHOW_CANCEL_ALERT, PUB_SUB_EVENTS.EVENT_SHOW_CANCEL_ALERT /* Should be same unique string passed during subscription */);
        this.bSubscribed = false;
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
        else if (this.bShowModal$) {
            // right now onlu get one updated when initial diaplay.  So, once modal is up
            // let fall through and do a check with "compareCaseInfoIsDifferent" until fixed
            // this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // routingInfo was added as component prop in populateAdditionalProps
        const routingInfo = this.angularPConnect.getComponentProp(this, 'routingInfo');
        this.routingInfoRef.current = routingInfo;
        let loadingInfo;
        try {
            // @ts-ignore - Property 'getLoadingStatus' is private and only accessible within class 'C11nEnv'
            loadingInfo = this.pConn$.getLoadingStatus();
        }
        catch (ex) {
            /* empty */
        }
        // const configProps = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.stateProps$ = this.pConn$.getStateProps();
        this.banners = this.getBanners();
        if (!loadingInfo) {
            // turn off spinner
            // this.psService.sendMessage(false);
        }
        if (routingInfo && !loadingInfo /* && this.bUpdate */) {
            const currentOrder = routingInfo.accessedOrder;
            if (undefined == currentOrder) {
                return;
            }
            const currentItems = routingInfo.items;
            const { key, latestItem } = this.getKeyAndLatestItem(routingInfo);
            if (currentOrder.length > 0) {
                if (currentItems[key] && currentItems[key].view && Object.keys(currentItems[key].view).length > 0) {
                    const currentItem = currentItems[key];
                    const rootView = currentItem.view;
                    const { context } = rootView.config;
                    const config = { meta: rootView };
                    config.options = {
                        context: currentItem.context,
                        hasForm: true,
                        pageReference: context || this.pConn$.getPageReference()
                    };
                    if (!this.bSubscribed) {
                        this.bSubscribed = true;
                        const { PUB_SUB_EVENTS } = PCore.getConstants();
                        PCore.getPubSubUtils().subscribe(PUB_SUB_EVENTS.EVENT_SHOW_CANCEL_ALERT, payload => {
                            this.showAlert(payload);
                        }, PUB_SUB_EVENTS.EVENT_SHOW_CANCEL_ALERT);
                    }
                    // let configObject = PCore.createPConnect(config);
                    // THIS is where the ViewContainer creates a View
                    // The config has meta.config.type = "view"
                    this.createView(routingInfo, currentItem, latestItem, key);
                }
            }
            else {
                this.hideModal();
            }
        }
    }
    createView(routingInfo, currentItem, latestItem, key) {
        const configObject = this.getConfigObject(currentItem, null, false);
        const newComp = configObject?.getPConnect();
        // const newCompName = newComp.getComponentName();
        const caseInfo = newComp && newComp.getDataObject() && newComp.getDataObject().caseInfo ? newComp.getDataObject().caseInfo : null;
        // The metadata for pyDetails changed such that the "template": "CaseView"
        //  is no longer a child of the created View but is in the created View's
        //  config. So, we DON'T want to replace this.pConn$ since the created
        //  component is a View (and not a ViewContainer). We now look for the
        //  "template" type directly in the created component (newComp) and NOT
        //  as a child of the newly created component.
        // console.log(`---> ModalViewContainer created new ${newCompName}`);
        // Use the newly created component (View) info but DO NOT replace
        //  this ModalViewContainer's pConn$, etc.
        //  Note that we're now using the newly created View's PConnect in the
        //  ViewContainer HTML template to guide what's rendered similar to what
        //  the Nebula/Constellation return of React.Fragment does
        // right now need to check caseInfo for changes, to trigger redraw, not getting
        // changes from angularPconnect except for first draw
        if (newComp && caseInfo && this.compareCaseInfoIsDifferent(caseInfo)) {
            this.psService.sendMessage(false);
            this.ngZone.run(() => {
                this.createdViewPConn$ = newComp;
                const newConfigProps = newComp.getConfigProps();
                this.templateName$ = 'template' in newConfigProps ? newConfigProps.template : '';
                const { actionName } = latestItem;
                const theNewCaseInfo = newComp.getCaseInfo();
                // const caseName = theNewCaseInfo.getName();
                const ID = theNewCaseInfo.getBusinessID() || theNewCaseInfo.getID();
                const caseTypeName = theNewCaseInfo.getCaseTypeName();
                const isDataObject = routingInfo.items[latestItem.context].resourceType === PCore.getConstants().RESOURCE_TYPES.DATA;
                const dataObjectAction = routingInfo.items[latestItem.context].resourceStatus;
                this.isMultiRecord = routingInfo.items[latestItem.context].isMultiRecordData;
                this.context$ = latestItem.context;
                this.title$ =
                    isDataObject || this.isMultiRecord
                        ? this.getModalHeading(dataObjectAction)
                        : this.determineModalHeaderByAction(actionName, caseTypeName, ID, `${theNewCaseInfo?.getClassName()}!CASE!${theNewCaseInfo.getName()}`.toUpperCase());
                const bIsRefComponent = this.checkIfRefComponent(newComp);
                if (bIsRefComponent) {
                    const newPConn = ReferenceComponent.normalizePConn(newComp);
                    this.arChildren$ = ReferenceComponent.normalizePConnArray(newPConn.getChildren());
                }
                else {
                    // update children with new view's children
                    this.arChildren$ = newComp.getChildren();
                }
                this.bShowModal$ = true;
                // for when non modal
                this.modalVisibleChange.emit(this.bShowModal$);
                // save off itemKey to be used for finishAssignment, etc.
                this.itemKey$ = key;
                // cause a change for assignment
                this.updateToken$ = new Date().getTime();
            });
        }
    }
    hideModal() {
        if (this.bShowModal$) {
            // other code in Nebula/Constellation not needed currently, but if so later,
            // should put here
        }
        this.ngZone.run(() => {
            this.bShowModal$ = false;
            // for when non modal
            this.modalVisibleChange.emit(this.bShowModal$);
            this.oCaseInfo = {};
        });
    }
    getConfigObject(item, pConnect, isReverseCoexistence = false) {
        let config;
        if (isReverseCoexistence) {
            config = {
                options: {
                    pageReference: pConnect?.getPageReference(),
                    hasForm: true,
                    containerName: pConnect?.getContainerName() || PCore.getConstants().MODAL
                }
            };
            return PCore.createPConnect(config);
        }
        if (item) {
            const { context, view, isBulkAction } = item;
            const target = PCore.getContainerUtils().getTargetFromContainerItemID(context);
            config = {
                meta: view,
                options: {
                    context,
                    pageReference: view.config.context || pConnect.getPageReference(),
                    hasForm: true,
                    ...(isBulkAction && { isBulkAction }),
                    containerName: pConnect?.getContainerName() || PCore.getConstants().MODAL,
                    target
                }
            };
            return PCore.createPConnect(config);
        }
        return null;
    }
    checkIfRefComponent(thePConn) {
        let bReturn = false;
        if (thePConn && thePConn.getComponentName() == 'reference') {
            bReturn = true;
        }
        return bReturn;
    }
    onAlertState(bData) {
        this.bAlertState = bData;
        this.bShowCancelAlert$ = false;
        if (this.bAlertState) {
            this.hideModal();
        }
    }
    showAlert(payload) {
        const { latestItem } = this.getKeyAndLatestItem(this.routingInfoRef.current);
        const { isModalAction } = payload;
        /*
          If we are in create stage full page mode, created a new case and trying to click on cancel button
          it will show two alert dialogs which is not expected. Hence isModalAction flag to avoid that.
        */
        if (latestItem && isModalAction && !this.actionsDialog) {
            const configObject = this.getConfigObject(latestItem, this.pConn$);
            this.ngZone.run(() => {
                this.cancelPConn$ = configObject?.getPConnect();
                this.bShowCancelAlert$ = true;
            });
        }
    }
    hasContainerItems(routingInfo) {
        if (routingInfo) {
            const { accessedOrder, items } = routingInfo;
            return accessedOrder && accessedOrder.length > 0 && items;
        }
        return false;
    }
    getKeyAndLatestItem(routinginfo) {
        if (this.hasContainerItems(routinginfo)) {
            const { accessedOrder, items } = routinginfo;
            const key = accessedOrder[accessedOrder.length - 1];
            const latestItem = items[key];
            return { key, latestItem };
        }
        return {};
    }
    compareCaseInfoIsDifferent(oCurrentCaseInfo) {
        let bRet = false;
        // fast-deep-equal version
        if (isEqual !== undefined) {
            bRet = !isEqual(this.oCaseInfo, oCurrentCaseInfo);
        }
        else {
            const sCurrnentCaseInfo = JSON.stringify(oCurrentCaseInfo);
            const sOldCaseInfo = JSON.stringify(this.oCaseInfo);
            // stringify compare version
            if (sCurrnentCaseInfo != sOldCaseInfo) {
                bRet = true;
            }
        }
        // if different, save off new case info
        if (bRet) {
            this.oCaseInfo = JSON.parse(JSON.stringify(oCurrentCaseInfo));
        }
        return bRet;
    }
    getBanners() {
        return getBanners({ target: this.itemKey$, ...this.stateProps$ });
    }
    getModalHeading(dataObjectAction) {
        return dataObjectAction === PCore.getConstants().RESOURCE_STATUS.CREATE
            ? this.localizedVal('Add Record', this.localeCategory)
            : this.localizedVal('Edit Record', this.localeCategory);
    }
    determineModalHeaderByAction(actionName, caseTypeName, ID, caseLocaleRef) {
        if (actionName) {
            return this.localizedVal(actionName, this.localeCategory);
        }
        return `${this.localizedVal('Create', this.localeCategory)} ${this.localizedVal(caseTypeName, undefined, caseLocaleRef)} (${ID})`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ModalViewContainerComponent, deps: [{ token: AngularPConnectService }, { token: i0.NgZone }, { token: ProgressSpinnerService }, { token: i4.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ModalViewContainerComponent, isStandalone: true, selector: "app-modal-view-container", inputs: { pConn$: "pConn$", displayOnlyFA$: "displayOnlyFA$" }, outputs: { modalVisibleChange: "modalVisibleChange" }, ngImport: i0, template: "<div id=\"dialog\" *ngIf=\"bShowModal$ && bShowAsModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-view-container-top\" id=\"{{ buildName$ }}\">\n    <h3 *ngIf=\"title$ != ''\">{{ title$ }}</h3>\n    <component-mapper\n      name=\"Assignment\"\n      [props]=\"{ pConn$: createdViewPConn$, formGroup$, arChildren$, itemKey$, isCreateStage$: true, updateToken$, isInModal$: true, banners }\"\n    ></component-mapper>\n    <div *ngIf=\"isMultiRecord\">\n      <component-mapper\n        name=\"ListViewActionButtons\"\n        [props]=\"{ pConn$: createdViewPConn$, context$ }\"\n        [outputEvents]=\"{ closeActionsDialog: closeActionsDialog }\"\n      ></component-mapper>\n    </div>\n  </div>\n</div>\n\n<div *ngIf=\"bShowModal$ && !bShowAsModal$\">\n  <div id=\"{{ buildName$ }}\">\n    <h3 *ngIf=\"title$ != ''\">{{ title$ }}</h3>\n    <component-mapper\n      name=\"Assignment\"\n      [props]=\"{ pConn$: createdViewPConn$, formGroup$, arChildren$, itemKey$, isCreateStage$: true, updateToken$ }\"\n    ></component-mapper>\n  </div>\n</div>\n\n<div *ngIf=\"bShowCancelAlert$\">\n  <component-mapper\n    name=\"CancelAlert\"\n    [props]=\"{ bShowAlert$: bShowCancelAlert$, pConn$: cancelPConn$ }\"\n    [parent]=\"this\"\n    [outputEvents]=\"{ onAlertState$: onAlertState }\"\n  ></component-mapper>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ModalViewContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-modal-view-container', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div id=\"dialog\" *ngIf=\"bShowModal$ && bShowAsModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-view-container-top\" id=\"{{ buildName$ }}\">\n    <h3 *ngIf=\"title$ != ''\">{{ title$ }}</h3>\n    <component-mapper\n      name=\"Assignment\"\n      [props]=\"{ pConn$: createdViewPConn$, formGroup$, arChildren$, itemKey$, isCreateStage$: true, updateToken$, isInModal$: true, banners }\"\n    ></component-mapper>\n    <div *ngIf=\"isMultiRecord\">\n      <component-mapper\n        name=\"ListViewActionButtons\"\n        [props]=\"{ pConn$: createdViewPConn$, context$ }\"\n        [outputEvents]=\"{ closeActionsDialog: closeActionsDialog }\"\n      ></component-mapper>\n    </div>\n  </div>\n</div>\n\n<div *ngIf=\"bShowModal$ && !bShowAsModal$\">\n  <div id=\"{{ buildName$ }}\">\n    <h3 *ngIf=\"title$ != ''\">{{ title$ }}</h3>\n    <component-mapper\n      name=\"Assignment\"\n      [props]=\"{ pConn$: createdViewPConn$, formGroup$, arChildren$, itemKey$, isCreateStage$: true, updateToken$ }\"\n    ></component-mapper>\n  </div>\n</div>\n\n<div *ngIf=\"bShowCancelAlert$\">\n  <component-mapper\n    name=\"CancelAlert\"\n    [props]=\"{ bShowAlert$: bShowCancelAlert$, pConn$: cancelPConn$ }\"\n    [parent]=\"this\"\n    [outputEvents]=\"{ onAlertState$: onAlertState }\"\n  ></component-mapper>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.NgZone }, { type: ProgressSpinnerService }, { type: i4.FormBuilder }], propDecorators: { pConn$: [{
                type: Input
            }], displayOnlyFA$: [{
                type: Input
            }], modalVisibleChange: [{
                type: Output
            }] } });

class MultiStepComponent {
    constructor(utils) {
        this.utils = utils;
        this.actionButtonClick = new EventEmitter();
        this.bShow$ = true;
    }
    ngOnInit() {
        // svg icons
        this.svgCurrent$ = this.utils.getImageSrc('circle-solid', this.utils.getSDKStaticContentUrl());
        this.svgNotCurrent$ = this.utils.getImageSrc('circle-solid', this.utils.getSDKStaticContentUrl());
    }
    onActionButtonClick(oData) {
        this.actionButtonClick.emit(oData);
    }
    _getVIconClass(status) {
        if (status == 'current') {
            return 'psdk-vertical-step-icon-selected';
        }
        return 'psdk-vertical-step-icon';
    }
    _getVLabelClass(status) {
        if (status == 'current') {
            return 'psdk-vertical-step-label-selected';
        }
        return 'psdk-vertical-step-label';
    }
    _getVBodyClass(index) {
        if (index < this.arNavigationSteps$.length - 1) {
            return 'psdk-vertical-step-body psdk-vertical-step-line';
        }
        return 'psdk-vertical-step-body';
    }
    _getHIconClass(status) {
        if (status == 'current') {
            return 'psdk-horizontal-step-icon-selected';
        }
        return 'psdk-horizontal-step-icon';
    }
    _getHLabelClass(status) {
        if (status == 'current') {
            return 'psdk-horizontal-step-label-selected';
        }
        return 'psdk-horizontal-step-label';
    }
    _showHLine(index) {
        return index < this.arNavigationSteps$.length - 1;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiStepComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MultiStepComponent, isStandalone: true, selector: "app-multi-step", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", arMainButtons$: "arMainButtons$", arSecondaryButtons$: "arSecondaryButtons$", arChildren$: "arChildren$", bIsVertical$: "bIsVertical$", arCurrentStepIndicies$: "arCurrentStepIndicies$", arNavigationSteps$: "arNavigationSteps$" }, outputs: { actionButtonClick: "actionButtonClick" }, providers: [Utils], ngImport: i0, template: "<div *ngIf=\"bShow$\">\n  <div *ngIf=\"bIsVertical$\" class=\"psdk-vertical-stepper\">\n    <div *ngFor=\"let mainStep of arNavigationSteps$; let i = index\" class=\"psdk-vertical-step\">\n      <div class=\"psdk-vertical-step-header\">\n        <div class=\"{{ _getVIconClass(mainStep.visited_status) }}\">\n          <div class=\"psdk-vertical-step-icon-content\">\n            <span>{{ i + 1 }}</span>\n          </div>\n        </div>\n        <div class=\"{{ _getVLabelClass(mainStep.visited_status) }}\">\n          {{ mainStep.name }}\n        </div>\n      </div>\n      <div class=\"{{ _getVBodyClass(i) }}\">\n        <ng-container *ngIf=\"mainStep?.steps\">\n          <ul style=\"padding-inline-start: 0rem; margin-left: -7px\">\n            <li *ngFor=\"let subStep of mainStep.steps\" class=\"psdk-sub-step-list\">\n              <div style=\"display: inline-flex\">\n                <img *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-current-svg-icon\" src=\"{{ svgCurrent$ }}\" />\n                <img *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-not-current-svg-icon\" src=\"{{ svgNotCurrent$ }}\" />\n                <label *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-sub-step-current\">{{ subStep.name }}</label>\n                <label *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-sub-step-not-current\">{{ subStep.name }}</label>\n              </div>\n              <div *ngIf=\"subStep.visited_status == 'current'\">\n                <component-mapper\n                  name=\"AssignmentCard\"\n                  [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n                  [parent]=\"this\"\n                  [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n                ></component-mapper>\n              </div>\n            </li>\n          </ul>\n        </ng-container>\n\n        <ng-container *ngIf=\"!mainStep?.steps && mainStep.visited_status == 'current'\">\n          <component-mapper\n            name=\"AssignmentCard\"\n            [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n            [parent]=\"this\"\n            [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n          ></component-mapper>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n\n  <div *ngIf=\"!bIsVertical$\" class=\"psdk-horizontal-stepper\">\n    <div class=\"psdk-horizontal-stepper-header-container\">\n      <ng-container *ngFor=\"let mainStep of arNavigationSteps$; let i = index\">\n        <div class=\"psdk-horizontal-step-header\">\n          <div class=\"{{ _getHIconClass(mainStep.visited_status) }}\">\n            <div class=\"psdk-horizontal-step-icon-content\">\n              <span>{{ i + 1 }}</span>\n            </div>\n          </div>\n          <div id=\"multi-step-label\" class=\"{{ _getHLabelClass(mainStep.visited_status) }}\">\n            <div class=\"psdk-horizontal-step-text-label\">\n              {{ mainStep.name }}\n            </div>\n          </div>\n        </div>\n        <div *ngIf=\"_showHLine(i)\" class=\"psdk-horizontal-step-line\"></div>\n      </ng-container>\n    </div>\n    <div *ngFor=\"let mainStep of arNavigationSteps$\" class=\"psdk-horizontal-stepper-body\">\n      <ng-container *ngIf=\"mainStep?.steps\">\n        <ul style=\"padding-inline-start: 0rem; margin-left: 35px\">\n          <li *ngFor=\"let subStep of mainStep.steps\" class=\"psdk-sub-step-list\">\n            <div style=\"display: inline-flex\">\n              <img *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-current-svg-icon\" src=\"{{ svgCurrent$ }}\" />\n              <img *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-not-current-svg-icon\" src=\"{{ svgNotCurrent$ }}\" />\n              <label *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-sub-step-current\">{{ subStep.name }}</label>\n              <label *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-sub-step-not-current\">{{ subStep.name }}</label>\n            </div>\n            <div *ngIf=\"subStep.visited_status == 'current'\">\n              <component-mapper\n                name=\"AssignmentCard\"\n                [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n                [parent]=\"this\"\n                [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n              ></component-mapper>\n            </div>\n          </li>\n        </ul>\n      </ng-container>\n\n      <ng-container *ngIf=\"!mainStep?.steps && mainStep.visited_status == 'current'\">\n        <component-mapper\n          name=\"AssignmentCard\"\n          [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n          [parent]=\"this\"\n          [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n        ></component-mapper>\n      </ng-container>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-icon-current{color:var(--app-primary-color)}.psdk-icon-not-current{color:var(--app-neutral-color)}.psdk-current-svg-icon{width:1rem;filter:var(--app-primary-color-filter)}.psdk-not-current-svg-icon{width:1rem;filter:var(--app-neutral-color-filter)}mat-vertical-stepper{background-color:transparent}mat-horizontal-stepper{background-color:transparent}.psdk-sub-step-current{padding-left:.625rem;font-weight:700;color:var(--app-label-selected-color)}.psdk-sub-step-not-current{padding-left:.625rem;color:var(--app-label-color)}.psdk-flow-container-top{background-color:var(--app-form-color);padding:0rem .625rem;border-radius:.3125rem}.psdk-flow-container{padding-left:2.1875rem}.psdk-sub-step-list{list-style:none;padding-bottom:.625rem}.psdk-vertical-stepper{background-color:transparent;display:block;text-align:left}.psdk-vertical-step{display:block}.psdk-vertical-step-header{overflow:hidden;outline:none;cursor:pointer;position:relative;box-sizing:content-box;display:flex;align-items:center;height:24px;padding:24px}.psdk-vertical-step-icon{margin-right:12px;background-color:var(--app-neutral-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative}.psdk-vertical-step-icon-content{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);color:var(--app-form-color)}.psdk-vertical-step-icon-selected{margin-right:12px;background-color:var(--app-primary-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative}.psdk-vertical-step-label{color:var(--app-label-color);display:inline-block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500}.psdk-vertical-step-label-selected{color:var(--app-label-selected-color);display:inline-block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500}.psdk-vertical-step-body{margin-left:36px;border:0;position:relative;display:block;text-align:left}.psdk-vertical-step-line{display:block}.psdk-vertical-step-line:before{content:\"\";position:absolute;left:0;border-left-width:1px;border-left-style:solid;top:-16px;bottom:-16px;border-left-color:var(--app-multi-step-border-color)}.psdk-horizontal-stepper{background-color:transparent;display:block}.psdk-horizontal-stepper-header-container{white-space:nowrap;display:flex;flex-wrap:wrap;align-items:center;text-align:left}.psdk-horizontal-step-header{outline:none;cursor:pointer;position:relative;box-sizing:content-box;display:flex;height:72px;overflow:hidden;align-items:center;padding:0 24px}.psdk-horizontal-step-icon{background-color:var(--app-neutral-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative;display:block;margin-right:8px;flex:none}.psdk-horizontal-step-icon-content{display:block;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.psdk-horizontal-step-icon-selected{background-color:var(--app-primary-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative;display:block;margin-right:8px;flex:none}.psdk-horizontal-step-label{color:var(--app-label-color);display:inline-block;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500;white-space:initial}.psdk-horizontal-step-label-selected{color:var(--app-label-selected-color);display:inline-block;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500;white-space:initial}.psdk-horizontal-step-line{border-top-color:var(--app-multi-step-border-color);border-top-width:1px;border-top-style:solid;flex:auto;height:0;margin:0 -16px;min-width:32px}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiStepComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-multi-step', providers: [Utils], standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"bShow$\">\n  <div *ngIf=\"bIsVertical$\" class=\"psdk-vertical-stepper\">\n    <div *ngFor=\"let mainStep of arNavigationSteps$; let i = index\" class=\"psdk-vertical-step\">\n      <div class=\"psdk-vertical-step-header\">\n        <div class=\"{{ _getVIconClass(mainStep.visited_status) }}\">\n          <div class=\"psdk-vertical-step-icon-content\">\n            <span>{{ i + 1 }}</span>\n          </div>\n        </div>\n        <div class=\"{{ _getVLabelClass(mainStep.visited_status) }}\">\n          {{ mainStep.name }}\n        </div>\n      </div>\n      <div class=\"{{ _getVBodyClass(i) }}\">\n        <ng-container *ngIf=\"mainStep?.steps\">\n          <ul style=\"padding-inline-start: 0rem; margin-left: -7px\">\n            <li *ngFor=\"let subStep of mainStep.steps\" class=\"psdk-sub-step-list\">\n              <div style=\"display: inline-flex\">\n                <img *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-current-svg-icon\" src=\"{{ svgCurrent$ }}\" />\n                <img *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-not-current-svg-icon\" src=\"{{ svgNotCurrent$ }}\" />\n                <label *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-sub-step-current\">{{ subStep.name }}</label>\n                <label *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-sub-step-not-current\">{{ subStep.name }}</label>\n              </div>\n              <div *ngIf=\"subStep.visited_status == 'current'\">\n                <component-mapper\n                  name=\"AssignmentCard\"\n                  [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n                  [parent]=\"this\"\n                  [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n                ></component-mapper>\n              </div>\n            </li>\n          </ul>\n        </ng-container>\n\n        <ng-container *ngIf=\"!mainStep?.steps && mainStep.visited_status == 'current'\">\n          <component-mapper\n            name=\"AssignmentCard\"\n            [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n            [parent]=\"this\"\n            [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n          ></component-mapper>\n        </ng-container>\n      </div>\n    </div>\n  </div>\n\n  <div *ngIf=\"!bIsVertical$\" class=\"psdk-horizontal-stepper\">\n    <div class=\"psdk-horizontal-stepper-header-container\">\n      <ng-container *ngFor=\"let mainStep of arNavigationSteps$; let i = index\">\n        <div class=\"psdk-horizontal-step-header\">\n          <div class=\"{{ _getHIconClass(mainStep.visited_status) }}\">\n            <div class=\"psdk-horizontal-step-icon-content\">\n              <span>{{ i + 1 }}</span>\n            </div>\n          </div>\n          <div id=\"multi-step-label\" class=\"{{ _getHLabelClass(mainStep.visited_status) }}\">\n            <div class=\"psdk-horizontal-step-text-label\">\n              {{ mainStep.name }}\n            </div>\n          </div>\n        </div>\n        <div *ngIf=\"_showHLine(i)\" class=\"psdk-horizontal-step-line\"></div>\n      </ng-container>\n    </div>\n    <div *ngFor=\"let mainStep of arNavigationSteps$\" class=\"psdk-horizontal-stepper-body\">\n      <ng-container *ngIf=\"mainStep?.steps\">\n        <ul style=\"padding-inline-start: 0rem; margin-left: 35px\">\n          <li *ngFor=\"let subStep of mainStep.steps\" class=\"psdk-sub-step-list\">\n            <div style=\"display: inline-flex\">\n              <img *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-current-svg-icon\" src=\"{{ svgCurrent$ }}\" />\n              <img *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-not-current-svg-icon\" src=\"{{ svgNotCurrent$ }}\" />\n              <label *ngIf=\"subStep.visited_status == 'current'\" class=\"psdk-sub-step-current\">{{ subStep.name }}</label>\n              <label *ngIf=\"subStep.visited_status != 'current'\" class=\"psdk-sub-step-not-current\">{{ subStep.name }}</label>\n            </div>\n            <div *ngIf=\"subStep.visited_status == 'current'\">\n              <component-mapper\n                name=\"AssignmentCard\"\n                [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n                [parent]=\"this\"\n                [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n              ></component-mapper>\n            </div>\n          </li>\n        </ul>\n      </ng-container>\n\n      <ng-container *ngIf=\"!mainStep?.steps && mainStep.visited_status == 'current'\">\n        <component-mapper\n          name=\"AssignmentCard\"\n          [props]=\"{ pConn$, formGroup$, arChildren$, arMainButtons$, arSecondaryButtons$ }\"\n          [parent]=\"this\"\n          [outputEvents]=\"{ actionButtonClick: onActionButtonClick }\"\n        ></component-mapper>\n      </ng-container>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-icon-current{color:var(--app-primary-color)}.psdk-icon-not-current{color:var(--app-neutral-color)}.psdk-current-svg-icon{width:1rem;filter:var(--app-primary-color-filter)}.psdk-not-current-svg-icon{width:1rem;filter:var(--app-neutral-color-filter)}mat-vertical-stepper{background-color:transparent}mat-horizontal-stepper{background-color:transparent}.psdk-sub-step-current{padding-left:.625rem;font-weight:700;color:var(--app-label-selected-color)}.psdk-sub-step-not-current{padding-left:.625rem;color:var(--app-label-color)}.psdk-flow-container-top{background-color:var(--app-form-color);padding:0rem .625rem;border-radius:.3125rem}.psdk-flow-container{padding-left:2.1875rem}.psdk-sub-step-list{list-style:none;padding-bottom:.625rem}.psdk-vertical-stepper{background-color:transparent;display:block;text-align:left}.psdk-vertical-step{display:block}.psdk-vertical-step-header{overflow:hidden;outline:none;cursor:pointer;position:relative;box-sizing:content-box;display:flex;align-items:center;height:24px;padding:24px}.psdk-vertical-step-icon{margin-right:12px;background-color:var(--app-neutral-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative}.psdk-vertical-step-icon-content{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);color:var(--app-form-color)}.psdk-vertical-step-icon-selected{margin-right:12px;background-color:var(--app-primary-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative}.psdk-vertical-step-label{color:var(--app-label-color);display:inline-block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500}.psdk-vertical-step-label-selected{color:var(--app-label-selected-color);display:inline-block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500}.psdk-vertical-step-body{margin-left:36px;border:0;position:relative;display:block;text-align:left}.psdk-vertical-step-line{display:block}.psdk-vertical-step-line:before{content:\"\";position:absolute;left:0;border-left-width:1px;border-left-style:solid;top:-16px;bottom:-16px;border-left-color:var(--app-multi-step-border-color)}.psdk-horizontal-stepper{background-color:transparent;display:block}.psdk-horizontal-stepper-header-container{white-space:nowrap;display:flex;flex-wrap:wrap;align-items:center;text-align:left}.psdk-horizontal-step-header{outline:none;cursor:pointer;position:relative;box-sizing:content-box;display:flex;height:72px;overflow:hidden;align-items:center;padding:0 24px}.psdk-horizontal-step-icon{background-color:var(--app-neutral-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative;display:block;margin-right:8px;flex:none}.psdk-horizontal-step-icon-content{display:block;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.psdk-horizontal-step-icon-selected{background-color:var(--app-primary-color);color:var(--app-form-color);border-radius:50%;height:24px;width:24px;flex-shrink:0;position:relative;display:block;margin-right:8px;flex:none}.psdk-horizontal-step-label{color:var(--app-label-color);display:inline-block;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500;white-space:initial}.psdk-horizontal-step-label-selected{color:var(--app-label-selected-color);display:inline-block;min-width:50px;vertical-align:middle;font-size:14px;font-weight:500;white-space:initial}.psdk-horizontal-step-line{border-top-color:var(--app-multi-step-border-color);border-top-width:1px;border-top-style:solid;flex:auto;height:0;margin:0 -16px;min-width:32px}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], arMainButtons$: [{
                type: Input
            }], arSecondaryButtons$: [{
                type: Input
            }], arChildren$: [{
                type: Input
            }], bIsVertical$: [{
                type: Input
            }], arCurrentStepIndicies$: [{
                type: Input
            }], arNavigationSteps$: [{
                type: Input
            }], actionButtonClick: [{
                type: Output
            }] } });

class NavbarComponent {
    constructor(angularPConnect, chRef, psService, ngZone, utils) {
        this.angularPConnect = angularPConnect;
        this.chRef = chRef;
        this.psService = psService;
        this.ngZone = ngZone;
        this.utils = utils;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.bShowCaseTypes$ = false;
        this.portalApp$ = '';
        this.showAppName$ = false;
        this.localeCategory = 'AppShell';
        this.localeUtils = PCore.getLocaleUtils();
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.navIcon$ = this.utils.getSDKStaticContentUrl().concat('assets/pzpega-logo-mark.svg');
        // this is a dummy "get", because right now images are in http and the main screen is https
        // so the images don't load automatically.  This call, makes an initial hit that allows the
        // rest of the images to show up
        this.loadImage(this.navIcon$);
        this.initComponent();
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
    }
    // ngOnDestroy
    //  unsubscribe from Store
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    loadImage(src) {
        return new Promise(resolve => {
            resolve(src);
        });
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // NOTE: can call angularPConnect.getState with optional args for detailed logging: bLogMsg and component object
        this.angularPConnect.getState();
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.initComponent();
    }
    initComponent() {
        this.ngZone.run(() => {
            this.navIcon$ = this.utils.getSDKStaticContentUrl().concat('assets/pzpega-logo-mark.svg');
            this.navExpandCollapse$ = this.utils.getImageSrc('plus', this.utils.getSDKStaticContentUrl());
            // Then, continue on with other initialization
            // making a copy, so can add info
            this.navPages$ = JSON.parse(JSON.stringify(this.pages$));
            this.navPages$.forEach(page => {
                page.iconName = this.utils.getImageSrc(page.pxPageViewIcon, this.utils.getSDKStaticContentUrl());
            });
            this.localeReference = this.pConn$.getValue('.pyLocaleReference');
            this.actionsAPI = this.pConn$.getActionsApi();
            this.createWork = this.actionsAPI.createWork.bind(this.actionsAPI);
            this.showPage = this.actionsAPI.showPage.bind(this.actionsAPI);
            this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
            this.logout = this.actionsAPI.logout.bind(this.actionsAPI);
            // const oData = this.pConn$.getDataObject();
            this.portalLogoImage$ = this.utils.getSDKStaticContentUrl().concat('assets/pzpega-logo-mark.svg');
            this.portalOperator$ = PCore.getEnvironmentInfo().getOperatorName();
            this.portalOperatorInitials$ = this.utils.getInitials(this.portalOperator$ ?? '');
            this.showAppName$ = this.configProps$.showAppName;
            this.portalApp$ = PCore.getEnvironmentInfo().getApplicationLabel();
        });
    }
    navPanelButtonClick(oPageData) {
        const { pyClassName, pyRuleName } = oPageData;
        this.showPage(pyRuleName, pyClassName);
    }
    navPanelCreateButtonClick() {
        if (this.navExpandCollapse$.indexOf('plus') > 0) {
            this.navExpandCollapse$ = this.utils.getImageSrc('times', this.utils.getSDKStaticContentUrl());
            this.bShowCaseTypes$ = true;
        }
        else {
            this.navExpandCollapse$ = this.utils.getImageSrc('plus', this.utils.getSDKStaticContentUrl());
            this.bShowCaseTypes$ = false;
        }
        this.chRef.detectChanges();
    }
    navPanelCreateCaseType(sCaseType, sFlowType) {
        this.psService.sendMessage(true);
        this.navPanelCreateButtonClick();
        const actionInfo = {
            containerName: 'primary',
            flowType: sFlowType || 'pyStartCase'
        };
        this.createWork(sCaseType, actionInfo).then(() => {
            console.log('createWork completed');
        });
    }
    navPanelLogoutClick() {
        logout().then(() => {
            // Reload the page to kick off the login
            window.location.reload();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NavbarComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: ProgressSpinnerService }, { token: i0.NgZone }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: NavbarComponent, isStandalone: true, selector: "app-navbar", inputs: { pConn$: "pConn$", appName$: "appName$", pages$: "pages$", caseTypes$: "caseTypes$" }, providers: [Utils], ngImport: i0, template: "<div class=\"psdk-appshell-nav\">\n  <div class=\"psdk-nav-header\">\n    <div>\n      <img src=\"{{ portalLogoImage$ }}\" class=\"psdk-nav-logo\" />\n    </div>\n    <div class=\"psdk-nav-portal-info\">\n      <div class=\"psdk-nav-portal-app\">{{ portalApp$ }}</div>\n    </div>\n  </div>\n  <div class=\"psdk-nav-divider\"></div>\n  <div>\n    <mat-list>\n      <mat-list-item id=\"create-case-button\" (click)=\"navPanelCreateButtonClick()\">\n        <div class=\"flex-box\">\n          <img class=\"psdk-nav-svg-icon\" src=\"{{ navExpandCollapse$ }}\" />\n          <span class=\"psdk-nav-button-span\">Create</span>\n        </div>\n      </mat-list-item>\n      <mat-list *ngIf=\"bShowCaseTypes$\" style=\"margin-left: 40px\">\n        <mat-list-item\n          id=\"case-list-item\"\n          *ngFor=\"let caseType of caseTypes$\"\n          (click)=\"navPanelCreateCaseType(caseType.pyClassName, caseType.pyFlowType)\"\n        >\n          <span class=\"psdk-nav-button-span\">{{ localeUtils.getLocaleValue(caseType.pyLabel, '', localeReference) }}</span>\n        </mat-list-item>\n      </mat-list>\n    </mat-list>\n  </div>\n  <div style=\"height: 100%\">\n    <mat-list *ngFor=\"let page of navPages$\">\n      <mat-list-item (click)=\"navPanelButtonClick(page)\">\n        <div class=\"flex-box\">\n          <img class=\"psdk-nav-svg-icon\" src=\"{{ page.iconName }}\" />\n          <span class=\"psdk-nav-button-span\">{{ localeUtils.getLocaleValue(page.pyLabel, '', localeReference) }}</span>\n        </div>\n      </mat-list-item>\n    </mat-list>\n  </div>\n  <div class=\"psdk-nav-divider\"></div>\n  <div>\n    <mat-list id=\"profile\">\n      <mat-list-item [matMenuTriggerFor]=\"menu\" class=\"psdk-profile-list-item\">\n        <div class=\"flex-box\">\n          <div class=\"psdk-nav-oper-avatar\">{{ portalOperatorInitials$ }}</div>\n          <span class=\"psdk-nav-button-span\">{{ portalOperator$ }}</span>\n        </div>\n      </mat-list-item>\n      <mat-menu #menu=\"matMenu\">\n        <button mat-menu-item>Profile</button>\n        <button mat-menu-item (click)=\"navPanelLogoutClick()\">{{ localizedVal('Log off', localeCategory) }}</button>\n      </mat-menu>\n    </mat-list>\n  </div>\n</div>\n", styles: [".psdk-nav-divider{border-bottom:.0625rem solid var(--app-divider-color);width:100%;align-items:center}.psdk-nav-header{display:flex;padding-top:.625rem}.psdk-nav-logo{width:3.75rem;padding:.625rem;margin-right:1.25rem}.psdk-nav-svg-icon{filter:var(--app-white-color-filter);width:1.6rem;padding-right:.625rem}.psdk-nav-portal-name{font-size:.875rem}.psdk-nav-portal-app{font-size:1.25rem}.psdk-appshell-nav{z-index:199;position:fixed;display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:100%;color:var(--app-nav-color);overflow-y:auto;overflow-x:hidden;white-space:nowrap;transition:width .3s cubic-bezier(.4,.6,.1,1);will-change:width}.psdk-appshell-nav:hover{width:var(--app-nav-width-expanded)}.psdk-appshell-topnav{display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:15%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;transition:width .3s cubic-bezier(.4,.6,.1,1);will-change:width}.psdk-appshell-middlenav{display:flex;flex-direction:column;justify-content:space-between;background:var(--app-nav-bg);width:var(--app-nav-width);height:50%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;transition:width .3s cubic-bezier(.4,.6,.1,1);will-change:width}.psdk-nav-ul-middle{display:block;list-style-type:none;margin:0rem;padding-inline-start:30px}.psdk-nav-li-middle{box-sizing:border-box;text-align:left}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-nav-button-span{padding:0 1rem;color:var(--app-nav-color)}.psdk-nav-oper-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:inline-flex;background:var(--app-neutral-color);color:var(--app-form-color);font-weight:400;font-size:1rem}mat-list{padding:0}.psdk-profile-list-item{padding-left:24px}mat-list-item{padding:20px 0 20px 30px;cursor:pointer!important;height:auto!important}mat-list-item:hover{background-color:var(--app-label-color)}mat-list-item .flex-box{display:flex;align-items:center;width:100%;text-align:left}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatListModule }, { kind: "component", type: i5$2.MatList, selector: "mat-list", exportAs: ["matList"] }, { kind: "component", type: i5$2.MatListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["activated"], exportAs: ["matListItem"] }, { kind: "ngmodule", type: MatMenuModule }, { kind: "component", type: i6.MatMenu, selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i6.MatMenuItem, selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i6.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NavbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-navbar', providers: [Utils], standalone: true, imports: [CommonModule, MatListModule, MatMenuModule], template: "<div class=\"psdk-appshell-nav\">\n  <div class=\"psdk-nav-header\">\n    <div>\n      <img src=\"{{ portalLogoImage$ }}\" class=\"psdk-nav-logo\" />\n    </div>\n    <div class=\"psdk-nav-portal-info\">\n      <div class=\"psdk-nav-portal-app\">{{ portalApp$ }}</div>\n    </div>\n  </div>\n  <div class=\"psdk-nav-divider\"></div>\n  <div>\n    <mat-list>\n      <mat-list-item id=\"create-case-button\" (click)=\"navPanelCreateButtonClick()\">\n        <div class=\"flex-box\">\n          <img class=\"psdk-nav-svg-icon\" src=\"{{ navExpandCollapse$ }}\" />\n          <span class=\"psdk-nav-button-span\">Create</span>\n        </div>\n      </mat-list-item>\n      <mat-list *ngIf=\"bShowCaseTypes$\" style=\"margin-left: 40px\">\n        <mat-list-item\n          id=\"case-list-item\"\n          *ngFor=\"let caseType of caseTypes$\"\n          (click)=\"navPanelCreateCaseType(caseType.pyClassName, caseType.pyFlowType)\"\n        >\n          <span class=\"psdk-nav-button-span\">{{ localeUtils.getLocaleValue(caseType.pyLabel, '', localeReference) }}</span>\n        </mat-list-item>\n      </mat-list>\n    </mat-list>\n  </div>\n  <div style=\"height: 100%\">\n    <mat-list *ngFor=\"let page of navPages$\">\n      <mat-list-item (click)=\"navPanelButtonClick(page)\">\n        <div class=\"flex-box\">\n          <img class=\"psdk-nav-svg-icon\" src=\"{{ page.iconName }}\" />\n          <span class=\"psdk-nav-button-span\">{{ localeUtils.getLocaleValue(page.pyLabel, '', localeReference) }}</span>\n        </div>\n      </mat-list-item>\n    </mat-list>\n  </div>\n  <div class=\"psdk-nav-divider\"></div>\n  <div>\n    <mat-list id=\"profile\">\n      <mat-list-item [matMenuTriggerFor]=\"menu\" class=\"psdk-profile-list-item\">\n        <div class=\"flex-box\">\n          <div class=\"psdk-nav-oper-avatar\">{{ portalOperatorInitials$ }}</div>\n          <span class=\"psdk-nav-button-span\">{{ portalOperator$ }}</span>\n        </div>\n      </mat-list-item>\n      <mat-menu #menu=\"matMenu\">\n        <button mat-menu-item>Profile</button>\n        <button mat-menu-item (click)=\"navPanelLogoutClick()\">{{ localizedVal('Log off', localeCategory) }}</button>\n      </mat-menu>\n    </mat-list>\n  </div>\n</div>\n", styles: [".psdk-nav-divider{border-bottom:.0625rem solid var(--app-divider-color);width:100%;align-items:center}.psdk-nav-header{display:flex;padding-top:.625rem}.psdk-nav-logo{width:3.75rem;padding:.625rem;margin-right:1.25rem}.psdk-nav-svg-icon{filter:var(--app-white-color-filter);width:1.6rem;padding-right:.625rem}.psdk-nav-portal-name{font-size:.875rem}.psdk-nav-portal-app{font-size:1.25rem}.psdk-appshell-nav{z-index:199;position:fixed;display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:100%;color:var(--app-nav-color);overflow-y:auto;overflow-x:hidden;white-space:nowrap;transition:width .3s cubic-bezier(.4,.6,.1,1);will-change:width}.psdk-appshell-nav:hover{width:var(--app-nav-width-expanded)}.psdk-appshell-topnav{display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:15%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;transition:width .3s cubic-bezier(.4,.6,.1,1);will-change:width}.psdk-appshell-middlenav{display:flex;flex-direction:column;justify-content:space-between;background:var(--app-nav-bg);width:var(--app-nav-width);height:50%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;transition:width .3s cubic-bezier(.4,.6,.1,1);will-change:width}.psdk-nav-ul-middle{display:block;list-style-type:none;margin:0rem;padding-inline-start:30px}.psdk-nav-li-middle{box-sizing:border-box;text-align:left}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-nav-button-span{padding:0 1rem;color:var(--app-nav-color)}.psdk-nav-oper-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:inline-flex;background:var(--app-neutral-color);color:var(--app-form-color);font-weight:400;font-size:1rem}mat-list{padding:0}.psdk-profile-list-item{padding-left:24px}mat-list-item{padding:20px 0 20px 30px;cursor:pointer!important;height:auto!important}mat-list-item:hover{background-color:var(--app-label-color)}mat-list-item .flex-box{display:flex;align-items:center;width:100%;text-align:left}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: ProgressSpinnerService }, { type: i0.NgZone }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], appName$: [{
                type: Input
            }], pages$: [{
                type: Input
            }], caseTypes$: [{
                type: Input
            }] } });

class RegionComponent {
    ngOnInit() {
        // console.log(`ngOnInit (no registerAndSubscribe!): Region`);
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        // The children may contain 'reference' components, so normalize the children...
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.pConn$.getChildren());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RegionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RegionComponent, isStandalone: true, selector: "app-region", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<!-- When adding a component here, add the same component in 'default-form' template as well -->\n<div *ngFor=\"let kid of arChildren$\">\n  <component-mapper\n    [name]=\"kid.getPConnect().getComponentName()\"\n    [props]=\"{\n      pConn$: kid.getPConnect(),\n      formGroup$: formGroup$\n    }\"\n    errorMsg=\"Region wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n  ></component-mapper>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RegionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-region', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<!-- When adding a component here, add the same component in 'default-form' template as well -->\n<div *ngFor=\"let kid of arChildren$\">\n  <component-mapper\n    [name]=\"kid.getPConnect().getComponentName()\"\n    [props]=\"{\n      pConn$: kid.getPConnect(),\n      formGroup$: formGroup$\n    }\"\n    errorMsg=\"Region wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n  ></component-mapper>\n</div>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
// Right this is a skeleton, as Preview hasn't been implemented
class PreviewViewContainerComponent {
    ngOnInit() {
        const containerMgr = this.pConn$.getContainerManager();
        containerMgr.initializeContainers({
            type: 'multiple'
        });
    }
    buildName() {
        const context = this.pConn$.getContextName();
        let viewContainerName = this.pConn$.getComponentName();
        if (!viewContainerName)
            viewContainerName = '';
        return `${context.toUpperCase()}/${viewContainerName.toUpperCase()}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PreviewViewContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PreviewViewContainerComponent, isStandalone: true, selector: "app-preview-view-container", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div class=\"psdk-preview\"></div>\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PreviewViewContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-preview-view-container', standalone: true, template: "<div class=\"psdk-preview\"></div>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }] } });

/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
// Right this is a skeleton, as Hybrid ViewContainer hasn't been implemented
class HybridViewContainerComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: HybridViewContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: HybridViewContainerComponent, isStandalone: true, selector: "app-hybrid-view-container", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", displayOnlyFA$: "displayOnlyFA$" }, ngImport: i0, template: "<p>hybrid-view-container works!</p>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: HybridViewContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-hybrid-view-container', standalone: true, imports: [CommonModule], template: "<p>hybrid-view-container works!</p>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], displayOnlyFA$: [{
                type: Input
            }] } });

/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
const options = { context: 'app' };
class RootContainerComponent {
    constructor(angularPConnect, psService, ngZone) {
        this.angularPConnect = angularPConnect;
        this.psService = psService;
        this.ngZone = ngZone;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.componentName$ = '';
        this.bIsProgress$ = false;
        // preview and modalview pConn
        this.pvConn$ = null;
        this.mConn$ = null;
        this.bShowRoot$ = true;
        this.spinnerTimer = null;
        this.viewContainerPConn$ = null;
        this.localeCategory = 'Messages';
    }
    ngOnInit() {
        const myContext = 'app';
        const { containers } = PCore.getStore().getState();
        const items = Object.keys(containers).filter(item => item.includes('root'));
        PCore.getContainerUtils().getContainerAPI().addContainerItems(items);
        // add preview and modalview containers to redux
        // keep local copies of the the pConnect that is related
        const configObjPreview = PCore.createPConnect({
            meta: {
                type: 'PreviewViewContainer',
                config: {
                    name: 'preview'
                }
            },
            options
        });
        this.pvConn$ = configObjPreview.getPConnect();
        const configObjModal = PCore.createPConnect({
            meta: {
                type: 'ModalViewContainer',
                config: {
                    name: 'modal'
                }
            },
            options: {
                pageReference: 'pyPortal',
                context: myContext
            }
        });
        // clear out hasViewContainer
        sessionStorage.setItem('hasViewContainer', 'false');
        this.mConn$ = configObjModal.getPConnect();
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // handle showing and hiding the progress spinner
        this.progressSpinnerSubscription = this.psService.getMessage().subscribe(message => {
            this.showHideProgress(message.show);
        });
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    modalVisibleChanged(isVisible) {
        if (this.displayOnlyFA$) {
            if (isVisible) {
                this.bShowRoot$ = false;
            }
            else {
                this.bShowRoot$ = true;
            }
        }
    }
    updateSelf() {
        // need to call this.getCurrentCompleteProps (not this.thePConn.getConfigProps)
        //  to get full set of props that affect this component in Redux
        const myProps = this.angularPConnect.getCurrentCompleteProps(this);
        const renderingModes = ['portal', 'view'];
        const noPortalMode = 'noPortal';
        const { renderingMode, children, skeleton, routingInfo } = myProps;
        if (routingInfo && renderingModes.includes(renderingMode)) {
            const { accessedOrder, items } = routingInfo;
            if (accessedOrder && items) {
                // bootstrap loadPortal resolves to here
                const key = accessedOrder[accessedOrder.length - 1];
                if (items[key] && items[key].view && Object.keys(items[key].view).length > 0) {
                    const itemView = items[key].view;
                    const rootObject = PCore.createPConnect({
                        meta: itemView,
                        options: {
                            context: items[key].context
                        }
                    });
                    setTimeout(() => {
                        // makes sure Angular tracks these changes
                        this.ngZone.run(() => {
                            // the new rootObject may be a 'reference'. So,
                            //  normalize it to get the referencedView if that's the case
                            const theNewPConn = ReferenceComponent.normalizePConn(rootObject.getPConnect());
                            // update ComponentName$ before we update pConn$ to make sure they're in sync
                            //  when rendering...
                            this.componentName$ = theNewPConn.getComponentName();
                            this.pConn$ = theNewPConn;
                            // this.pConn$ = rootObject.getPConnect();
                            console.log(`RootContainer updated pConn$ to be: ${this.componentName$}`);
                        });
                    });
                }
            }
        }
        else if (renderingMode === noPortalMode) {
            // console.log(`RootContainer: renderingMode === noPortalMode: ${noPortalMode}`);
            this.generateViewContainerForNoPortal();
        }
        else if (children && children.length > 0) {
            // haven't resolved to here
        }
        else if (skeleton !== undefined) {
            // TODO: need to update once skeletons are available;
        }
    }
    generateViewContainerForNoPortal() {
        // bootstrap loadMashup resolves to here
        const arChildren = this.pConn$.getChildren();
        if (arChildren && arChildren.length == 1) {
            // have to have a quick timeout or get an "expressions changed" angular error
            setTimeout(() => {
                this.ngZone.run(() => {
                    const localPConn = arChildren[0].getPConnect();
                    this.componentName$ = localPConn.getComponentName();
                    if (this.componentName$ === 'ViewContainer') {
                        const configProps = this.pConn$.getConfigProps();
                        const viewContConfig = {
                            meta: {
                                type: 'ViewContainer',
                                config: configProps
                            },
                            options
                        };
                        this.viewContainerPConn$ = PCore.createPConnect(viewContConfig).getPConnect();
                    }
                    this.bShowRoot$ = true;
                });
            });
        }
    }
    showHideProgress(bShow) {
        // only show spinner after 500ms wait, so if server fast, won't see
        if (bShow) {
            // eslint-disable-next-line sonarjs/no-collapsible-if
            if (!this.bIsProgress$) {
                // makes sure Angular tracks these changes
                if (!this.spinnerTimer || this.spinnerTimer.isStopped) {
                    this.spinnerTimer = interval(500).subscribe(() => {
                        try {
                            this.spinnerTimer.unsubscribe();
                        }
                        catch (ex) {
                            /* empty */
                        }
                        this.ngZone.run(() => {
                            this.bIsProgress$ = true;
                        });
                    });
                }
            }
        }
        else {
            if (this.spinnerTimer && !this.spinnerTimer.isStopped) {
                this.spinnerTimer.unsubscribe();
            }
            // don't touch bIsProgress$ unless differnent
            if (bShow != this.bIsProgress$) {
                // makes sure Angular tracks these changes
                this.ngZone.run(() => {
                    this.bIsProgress$ = bShow;
                });
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RootContainerComponent, deps: [{ token: AngularPConnectService }, { token: ProgressSpinnerService }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RootContainerComponent, isStandalone: true, selector: "app-root-container", inputs: { pConn$: "pConn$", displayOnlyFA$: "displayOnlyFA$", isMashup$: "isMashup$" }, ngImport: i0, template: "<div class=\"progress-box\" *ngIf=\"bIsProgress$\">\n  <mat-spinner class=\"progress-spinner\"></mat-spinner>\n</div>\n\n<div *ngIf=\"bShowRoot$\">\n  <div [ngSwitch]=\"componentName$\">\n    <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ pConn$, displayOnlyFA$ }\"></component-mapper>\n    <!-- <app-reference *ngSwitchCase=\"'reference'\" [pConn$]=\"pConn$\" [displayOnlyFA$]=\"displayOnlyFA$\"></app-reference> -->\n    <component-mapper\n      *ngSwitchCase=\"'ViewContainer'\"\n      name=\"ViewContainer\"\n      [props]=\"{ pConn$: displayOnlyFA$ ? viewContainerPConn$ : pConn$, displayOnlyFA$ }\"\n    ></component-mapper>\n    <app-hybrid-view-container *ngSwitchCase=\"'HybridViewContainer'\" [pConn$]=\"pConn$\" [displayOnlyFA$]=\"displayOnlyFA$\"></app-hybrid-view-container>\n    <app-modal-view-container\n      *ngSwitchCase=\"'ModalViewContainer'\"\n      [pConn$]=\"pConn$\"\n      [displayOnlyFA$]=\"displayOnlyFA$\"\n      (modalVisibleChange)=\"modalVisibleChanged($event)\"\n    ></app-modal-view-container>\n    <div *ngSwitchCase=\"''\"></div>\n    <div *ngSwitchDefault>{{ localizedVal('RootContainer Missing: ' + componentName$, localeCategory) }}.</div>\n  </div>\n</div>\n\n<div *ngIf=\"pvConn$ != null\">\n  <app-preview-view-container [pConn$]=\"pvConn$\"></app-preview-view-container>\n</div>\n\n<div *ngIf=\"mConn$ != null\">\n  <app-modal-view-container\n    [pConn$]=\"mConn$\"\n    [displayOnlyFA$]=\"displayOnlyFA$\"\n    (modalVisibleChange)=\"modalVisibleChanged($event)\"\n  ></app-modal-view-container>\n</div>\n", styles: [".progress-box{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-background-color);position:fixed;z-index:99999;top:0rem;left:0rem;opacity:.5}.progress-spinner{text-align:center}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "ngmodule", type: i0.forwardRef(() => MatProgressSpinnerModule) }, { kind: "component", type: i0.forwardRef(() => i4$3.MatProgressSpinner), selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "mode", "value", "diameter", "strokeWidth"], exportAs: ["matProgressSpinner"] }, { kind: "component", type: i0.forwardRef(() => HybridViewContainerComponent), selector: "app-hybrid-view-container", inputs: ["pConn$", "formGroup$", "displayOnlyFA$"] }, { kind: "component", type: i0.forwardRef(() => ModalViewContainerComponent), selector: "app-modal-view-container", inputs: ["pConn$", "displayOnlyFA$"], outputs: ["modalVisibleChange"] }, { kind: "component", type: i0.forwardRef(() => PreviewViewContainerComponent), selector: "app-preview-view-container", inputs: ["pConn$"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RootContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-root-container', standalone: true, imports: [
                        CommonModule,
                        MatProgressSpinnerModule,
                        HybridViewContainerComponent,
                        ModalViewContainerComponent,
                        PreviewViewContainerComponent,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div class=\"progress-box\" *ngIf=\"bIsProgress$\">\n  <mat-spinner class=\"progress-spinner\"></mat-spinner>\n</div>\n\n<div *ngIf=\"bShowRoot$\">\n  <div [ngSwitch]=\"componentName$\">\n    <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ pConn$, displayOnlyFA$ }\"></component-mapper>\n    <!-- <app-reference *ngSwitchCase=\"'reference'\" [pConn$]=\"pConn$\" [displayOnlyFA$]=\"displayOnlyFA$\"></app-reference> -->\n    <component-mapper\n      *ngSwitchCase=\"'ViewContainer'\"\n      name=\"ViewContainer\"\n      [props]=\"{ pConn$: displayOnlyFA$ ? viewContainerPConn$ : pConn$, displayOnlyFA$ }\"\n    ></component-mapper>\n    <app-hybrid-view-container *ngSwitchCase=\"'HybridViewContainer'\" [pConn$]=\"pConn$\" [displayOnlyFA$]=\"displayOnlyFA$\"></app-hybrid-view-container>\n    <app-modal-view-container\n      *ngSwitchCase=\"'ModalViewContainer'\"\n      [pConn$]=\"pConn$\"\n      [displayOnlyFA$]=\"displayOnlyFA$\"\n      (modalVisibleChange)=\"modalVisibleChanged($event)\"\n    ></app-modal-view-container>\n    <div *ngSwitchCase=\"''\"></div>\n    <div *ngSwitchDefault>{{ localizedVal('RootContainer Missing: ' + componentName$, localeCategory) }}.</div>\n  </div>\n</div>\n\n<div *ngIf=\"pvConn$ != null\">\n  <app-preview-view-container [pConn$]=\"pvConn$\"></app-preview-view-container>\n</div>\n\n<div *ngIf=\"mConn$ != null\">\n  <app-modal-view-container\n    [pConn$]=\"mConn$\"\n    [displayOnlyFA$]=\"displayOnlyFA$\"\n    (modalVisibleChange)=\"modalVisibleChanged($event)\"\n  ></app-modal-view-container>\n</div>\n", styles: [".progress-box{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-background-color);position:fixed;z-index:99999;top:0rem;left:0rem;opacity:.5}.progress-spinner{text-align:center}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: ProgressSpinnerService }, { type: i0.NgZone }], propDecorators: { pConn$: [{
                type: Input
            }], displayOnlyFA$: [{
                type: Input
            }], isMashup$: [{
                type: Input
            }] } });

class StagesComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.PCore$ = PCore;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // const imagePath = this.utils.getIconPath(this.utils.getSDKStaticContentUrl());
        this.checkSvgIcon$ = this.utils.getImageSrc('check', this.utils.getSDKStaticContentUrl());
        this.key = `${this.pConn$.getCaseInfo().getClassName()}!CASE!${this.pConn$.getCaseInfo().getName()}`.toUpperCase();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        const timer = interval(50).subscribe(() => {
            timer.unsubscribe();
            const arStages = this.angularPConnect.getComponentProp(this, 'stages');
            // this.stageResults$ = this.configProps$.stages;
            if (arStages != null) {
                this.arStageResults$ = arStages;
                this.lastStage$ = this.arStageResults$[this.arStageResults$.length - 1];
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: StagesComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: StagesComponent, isStandalone: true, selector: "app-stages", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div class=\"psdk-stages-bar\">\n  <div class=\"psdk-stages-chevron\" *ngFor=\"let stage of arStageResults$\">\n    <div *ngIf=\"stage.visited_status == 'completed'\" class=\"psdk-stages-inner-past\">\n      <img class=\"psdk-stages-icon\" src=\"{{ checkSvgIcon$ }}\" />{{ PCore$.getLocaleUtils().getLocaleValue(stage.name, '', key) }}\n    </div>\n    <div *ngIf=\"stage.visited_status == 'active'\" class=\"psdk-stages-inner-present\">\n      {{ PCore$.getLocaleUtils().getLocaleValue(stage.name, '', key) }}\n    </div>\n    <div *ngIf=\"stage.visited_status == 'future'\" class=\"psdk-stages-inner-future\">\n      {{ PCore$.getLocaleUtils().getLocaleValue(stage.name, '', key) }}\n    </div>\n  </div>\n</div>\n\n<div class=\"psdk-stages-divider\"></div>\n", styles: [".psdk-stages{padding:.625rem 0rem}.psdk-stages-span span{padding:.3125rem;font-weight:700;font-size:1.5rem}.psdk-stages-div{display:inline-flex;padding:.3125rem;font-weight:700;font-size:1.3rem;color:var(--app-neutral-color)}.psdk-stages-past{color:var(--app-primary-color);padding-right:.3125rem}.psdk-stages-present{color:var(--app-secondary-color);padding-right:.3125rem}.psdk-stages-future{color:var(--app-neutral-color);padding-right:.3125rem}.psdk-stages-full{display:block}.psdk-stages-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-stages-icon{width:1.4rem;display:inline-block;vertical-align:top}.psdk-stages-bar{margin:1rem 0rem;background-color:var(--app-form-color);border-radius:.5rem;border:.0625rem solid var(--app-neutral-light-color);overflow:hidden;display:flex;flex-wrap:wrap}.psdk-stages-chevron{position:relative;padding:.5rem;display:flex;justify-content:center;align-items:center;max-width:100%;min-width:0px;flex-grow:1;flex-shrink:1}.psdk-stages-chevron:not(:last-child):after{content:\"\";position:absolute;display:block;z-index:2;width:1.75rem;right:-.4375rem;background:inherit;border-style:solid;border-color:#cfcfcf;border-width:.0625rem .0625rem 0px 0px;border-radius:0px .3125rem 0px 0px;transform:rotate(45deg) skew(15deg,15deg);height:2rem}.psdk-stages-inner-past{color:var(--app-inverse-form-color);font-size:1rem}.psdk-stages-inner-present{color:var(--app-primary-color);font-weight:700;font-size:1rem}.psdk-stages-inner-future{color:var(--app-neutral-color);font-size:1rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: StagesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-stages', standalone: true, imports: [CommonModule], template: "<div class=\"psdk-stages-bar\">\n  <div class=\"psdk-stages-chevron\" *ngFor=\"let stage of arStageResults$\">\n    <div *ngIf=\"stage.visited_status == 'completed'\" class=\"psdk-stages-inner-past\">\n      <img class=\"psdk-stages-icon\" src=\"{{ checkSvgIcon$ }}\" />{{ PCore$.getLocaleUtils().getLocaleValue(stage.name, '', key) }}\n    </div>\n    <div *ngIf=\"stage.visited_status == 'active'\" class=\"psdk-stages-inner-present\">\n      {{ PCore$.getLocaleUtils().getLocaleValue(stage.name, '', key) }}\n    </div>\n    <div *ngIf=\"stage.visited_status == 'future'\" class=\"psdk-stages-inner-future\">\n      {{ PCore$.getLocaleUtils().getLocaleValue(stage.name, '', key) }}\n    </div>\n  </div>\n</div>\n\n<div class=\"psdk-stages-divider\"></div>\n", styles: [".psdk-stages{padding:.625rem 0rem}.psdk-stages-span span{padding:.3125rem;font-weight:700;font-size:1.5rem}.psdk-stages-div{display:inline-flex;padding:.3125rem;font-weight:700;font-size:1.3rem;color:var(--app-neutral-color)}.psdk-stages-past{color:var(--app-primary-color);padding-right:.3125rem}.psdk-stages-present{color:var(--app-secondary-color);padding-right:.3125rem}.psdk-stages-future{color:var(--app-neutral-color);padding-right:.3125rem}.psdk-stages-full{display:block}.psdk-stages-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-stages-icon{width:1.4rem;display:inline-block;vertical-align:top}.psdk-stages-bar{margin:1rem 0rem;background-color:var(--app-form-color);border-radius:.5rem;border:.0625rem solid var(--app-neutral-light-color);overflow:hidden;display:flex;flex-wrap:wrap}.psdk-stages-chevron{position:relative;padding:.5rem;display:flex;justify-content:center;align-items:center;max-width:100%;min-width:0px;flex-grow:1;flex-shrink:1}.psdk-stages-chevron:not(:last-child):after{content:\"\";position:absolute;display:block;z-index:2;width:1.75rem;right:-.4375rem;background:inherit;border-style:solid;border-color:#cfcfcf;border-width:.0625rem .0625rem 0px 0px;border-radius:0px .3125rem 0px 0px;transform:rotate(45deg) skew(15deg,15deg);height:2rem}.psdk-stages-inner-past{color:var(--app-inverse-form-color);font-size:1rem}.psdk-stages-inner-present{color:var(--app-primary-color);font-weight:700;font-size:1rem}.psdk-stages-inner-future{color:var(--app-neutral-color);font-size:1rem}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }] } });

const getDeferFriendlyTabs = allTabs => {
    return allTabs.map(tab => {
        const theTabCompConfig = tab.getPConnect().getConfigProps();
        return { type: 'DeferLoad', config: theTabCompConfig };
    });
};
const getVisibleTabs = (allTabs, uuid) => {
    let index = 0;
    return allTabs
        .getPConnect()
        .getChildren()
        ?.filter(child => {
        // US-402838: Filter out tab entries if the config object does not contain the visibility attribute or it evaluates to the boolean true,
        const config = child.getPConnect().getConfigProps();
        // BUG-642335 - adding isChildDeferLoad prop
        if (child.getPConnect().getComponentName() === 'DeferLoad') {
            const { name: viewName, deferLoadId = `${viewName}_${uuid}_${index}` } = config;
            child.getPConnect().registerAdditionalProps({
                deferLoadId,
                isChildDeferLoad: true
            });
        }
        index += 1;
        return !('visibility' in config) || config.visibility === true;
    });
};
const getTransientTabs = (availableTabs, currentTabId, tabItems) => {
    return (availableTabs?.map((child, i) => {
        const config = child.getPConnect().getConfigProps();
        const tabLabel = config.label ||
            config.inheritedProps?.find(obj => obj.prop === 'label')?.value ||
            PCore.getLocaleUtils().getLocaleValue('No label specified in config', 'Generic');
        const tabContent = () => {
            if (i.toString() === currentTabId) {
                return tabItems?.[i.toString()]?.content ? tabItems?.[i.toString()]?.content : child.getPConnect().getComponent();
            }
            return tabItems?.[i.toString()]?.content;
        };
        return {
            name: tabLabel,
            id: i.toString(),
            content: tabContent()
        };
    }) || []);
};
const tabClick = (id, availableTabs, currentTabId, tabItems) => {
    const currentPConn = availableTabs[currentTabId].getPConnect();
    const { deferLoadId } = currentPConn.getConfigProps();
    PCore.getDeferLoadManager().deactivate(deferLoadId, currentPConn.getContextName());
    const index = parseInt(id, 10);
    if (tabItems[index]?.content === null) {
        tabItems[index].content = availableTabs[index].getPConnect().getComponent();
    }
    const nextPConn = availableTabs[id].getPConnect();
    const { deferLoadId: activeId } = nextPConn && nextPConn.getConfigProps();
    PCore.getDeferLoadManager().activate(activeId, nextPConn?.getContextName());
    PCore.getDeferLoadManager().refreshComponent(activeId, nextPConn?.getContextName());
};

class SubTabsComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.angularPConnectData = {};
        this.defaultTabIndex = 0;
        this.currentTabId = this.defaultTabIndex.toString();
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        const children = this.pConn$?.getChildren();
        const deferLoadedTabs = children[0];
        this.availableTabs = getVisibleTabs(deferLoadedTabs, 'tabsSubs');
        this.updateTabContent();
    }
    updateTabContent() {
        const tempTabItems = getTransientTabs(this.availableTabs, this.currentTabId, this.tabItems);
        this.tabItems = tempTabItems;
    }
    handleTabClick(event) {
        const { index } = event;
        this.currentTabId = index.toString();
        tabClick(index, this.availableTabs, this.currentTabId, this.tabItems);
        const tempTabItems = getTransientTabs(this.availableTabs, this.currentTabId, this.tabItems);
        this.tabItems[index].content = tempTabItems[index].content;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SubTabsComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SubTabsComponent, isStandalone: true, selector: "app-sub-tabs", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<mat-tab-group (selectedTabChange)=\"handleTabClick($event)\">\n  <mat-tab *ngFor=\"let tab of tabItems; let i = index\" [label]=\"tab.name\">\n    <div class=\"psdk-sub-tabs\" *ngIf=\"+currentTabId == i\">\n      <component-mapper\n        *ngIf=\"tab.content?.getPConnect() as tabPConn\"\n        [name]=\"tabPConn.getComponentName()\"\n        [props]=\"{ pConn$: tabPConn, formGroup$ }\"\n        errorMsg=\"SubTabs wants component not yet available: {{ tabPConn.getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </mat-tab>\n</mat-tab-group>\n", styles: [".psdk-sub-tabs{margin:.5rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => MatTabsModule) }, { kind: "component", type: i0.forwardRef(() => i2$2.MatTab), selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby", "labelClass", "bodyClass"], exportAs: ["matTab"] }, { kind: "component", type: i0.forwardRef(() => i2$2.MatTabGroup), selector: "mat-tab-group", inputs: ["color", "fitInkBarToContent", "mat-stretch-tabs", "dynamicHeight", "selectedIndex", "headerPosition", "animationDuration", "contentTabIndex", "disablePagination", "disableRipple", "preserveContent", "backgroundColor", "aria-label", "aria-labelledby"], outputs: ["selectedIndexChange", "focusChange", "animationDone", "selectedTabChange"], exportAs: ["matTabGroup"] }, { kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SubTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-sub-tabs', standalone: true, imports: [MatTabsModule, CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<mat-tab-group (selectedTabChange)=\"handleTabClick($event)\">\n  <mat-tab *ngFor=\"let tab of tabItems; let i = index\" [label]=\"tab.name\">\n    <div class=\"psdk-sub-tabs\" *ngIf=\"+currentTabId == i\">\n      <component-mapper\n        *ngIf=\"tab.content?.getPConnect() as tabPConn\"\n        [name]=\"tabPConn.getComponentName()\"\n        [props]=\"{ pConn$: tabPConn, formGroup$ }\"\n        errorMsg=\"SubTabs wants component not yet available: {{ tabPConn.getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </mat-tab>\n</mat-tab-group>\n", styles: [".psdk-sub-tabs{margin:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

//  This file is adapted from Nebula/Constellation components/Templates/utils.js
function getAllFields(pConnect) {
    const metadata = pConnect.getRawMetadata();
    let allFields = [];
    if (metadata.children && metadata.children.map) {
        allFields = metadata.children.map(fields => {
            const children = fields.children instanceof Array ? fields.children : [];
            return children.map(field => field.config);
        });
    }
    return allFields;
}
function filterForFieldValueList(fields) {
    return fields
        .filter(({ visibility }) => visibility !== false)
        .map(({ value, label }) => ({
        id: label.toLowerCase(),
        name: label,
        value
    }));
}

const NO_HEADER_TEMPLATES = ['SubTabs', 'SimpleTable', 'Confirmation', 'DynamicTabs', 'DetailsSubTabs'];
const DETAILS_TEMPLATES = [
    'Details',
    'DetailsFields',
    'DetailsOneColumn',
    'DetailsSubTabs',
    'DetailsThreeColumn',
    'DetailsTwoColumn',
    'NarrowWideDetails',
    'WideNarrowDetails'
];
function isDetailsTemplate(template) {
    return DETAILS_TEMPLATES.includes(template);
}
/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
/**
 *
 * @param pConnn - PConnect Object
 * @returns visibility expression result if exists, otherwise true
 */
function evaluateVisibility(pConnn) {
    let bVisibility = true;
    const sVisibility = pConnn.meta.config.visibility;
    if (sVisibility && sVisibility.length) {
        // e.g. "@E .EmbeddedData_SelectedTestName == 'Readonly' && .EmbeddedData_SelectedSubCategory == 'Mode'"
        const aVisibility = sVisibility.split('&&');
        // e.g. ["EmbeddedData_SelectedTestName": "Readonly", "EmbeddedData_SelectedSubCategory": "Mode"]
        const context = pConnn.getContextName();
        // Reading values from the Store to evaluate the visibility expressions
        const storeData = PCore.getStore().getState()?.data[context].caseInfo.content;
        const initialVal = {};
        const oProperties = aVisibility.reduce((properties, property) => {
            const keyStartIndex = property.indexOf('.');
            const keyEndIndex = property.indexOf('=') - 1;
            const valueStartIndex = property.indexOf("'");
            const valueEndIndex = property.lastIndexOf("'") - 1;
            return {
                ...properties,
                [property.substr(keyStartIndex + 1, keyEndIndex - keyStartIndex - 1)]: property.substr(valueStartIndex + 1, valueEndIndex - valueStartIndex)
            };
        }, initialVal);
        const propertyKeys = Object.keys(oProperties);
        const propertyValues = Object.values(oProperties);
        for (let propertyIndex = 0; propertyIndex < propertyKeys.length; propertyIndex++) {
            if (storeData[propertyKeys[propertyIndex]] !== propertyValues[propertyIndex]) {
                bVisibility = false;
            }
        }
    }
    return bVisibility;
}
class ViewComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // @Input() updateToken$: number;
        this.angularPConnectData = {};
        this.noHeaderTemplates = NO_HEADER_TEMPLATES;
        this.title$ = '';
        this.label$ = '';
        this.showLabel$ = false;
        this.visibility$ = true;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.checkAndUpdate();
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.checkAndUpdate();
        }
    }
    updateSelf() {
        if (this.angularPConnect.getComponentID(this) === undefined) {
            return;
        }
        // debugger;
        // normalize this.pConn$ in case it contains a 'reference'
        this.pConn$ = ReferenceComponent.normalizePConn(this.pConn$);
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.inheritedProps$ = this.pConn$.getInheritedProps();
        // NOTE: this.configProps$.visibility'] is used in view.component.ts such that
        //  the View will only be rendered when this.configProps$.visibility'] is false.
        //  It WILL render if true or undefined.
        this.templateName$ = this.configProps$.template || '';
        this.title$ = this.configProps$.title || '';
        this.label$ = this.configProps$.label || '';
        this.showLabel$ = this.configProps$.showLabel || isDetailsTemplate(this.templateName$) || this.showLabel$;
        // label & showLabel within inheritedProps takes precedence over configProps
        this.label$ = this.inheritedProps$.label || this.label$;
        this.showLabel$ = this.inheritedProps$.showLabel || this.showLabel$;
        // children may have a 'reference' so normalize the children array
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.pConn$.getChildren());
        this.visibility$ = this.configProps$.visibility ?? this.visibility$;
        /**
         * In instances where there is context, like with "shippingAddress," the pageReference becomes "caseInfo.content.shippingAddress."
         * This leads to problems in the getProperty API, as it incorrectly assesses the visibility condition by looking in the wrong location
         * in the Store for the property values. Reference component should be able to handle such scenarios(as done in SDK-R) since it has the
         * expected pageReference values, the View component currently cannot handle this.
         * The resolution lies in transferring this responsibility to the Reference component, eliminating the need for this code when Reference
         * component is able to handle it.
         */
        if (!this.configProps$.visibility && this.pConn$.getPageReference().length > 'caseInfo.content'.length) {
            this.visibility$ = evaluateVisibility(this.pConn$);
        }
        // was:  this.arChildren$ = this.pConn$.getChildren() as Array<any>;
        // debug
        // let  kidList: string = "";
        // for (let i in this.arChildren$) {
        //   kidList = kidList.concat(this.arChildren$[i].getPConnect().getComponentName()).concat(",");
        // }
        // console.log("-->view update: " + this.angularPConnect.getComponentID(this) + ", template: " + this.templateName$ + ", kids: " + kidList);
    }
    // JA - adapting additionalProps from Nebula/Constellation version which uses static methods
    //    on the component classes stored in PComponents (that Angular doesn't have)...
    additionalProps(state, getPConnect) {
        let propObj = {};
        // We already have the template name in this.templateName$
        if (this.templateName$ !== '') {
            let allFields = {};
            // These uses are adapted from Nebula/Constellation CaseSummary.additionalProps
            switch (this.templateName$) {
                case 'CaseSummary':
                    allFields = getAllFields(getPConnect);
                    // eslint-disable-next-line no-case-declarations
                    const unresFields = {
                        primaryFields: allFields[0],
                        secondaryFields: allFields[1]
                    };
                    propObj = getPConnect.resolveConfigProps(unresFields);
                    break;
                case 'Details':
                    allFields = getAllFields(getPConnect);
                    propObj = { fields: allFields[0] };
                    break;
                default:
                    break;
            }
        }
        return propObj;
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ViewComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ViewComponent, isStandalone: true, selector: "app-view", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", displayOnlyFA$: "displayOnlyFA$" }, usesOnChanges: true, ngImport: i0, template: "<div *ngIf=\"visibility$ !== false\" class=\"ng-view-top\">\n  <div *ngIf=\"showLabel$ && label$ && !noHeaderTemplates.includes(templateName$)\" class=\"template-title-container\">\n    <span>{{ label$ }}</span>\n  </div>\n\n  <ng-container *ngIf=\"templateName$; else noTemplate\">\n    <div>\n      <component-mapper\n        [name]=\"templateName$\"\n        [props]=\"{ formGroup$, pConn$, displayOnlyFA$ }\"\n        errorMsg=\"View template not recognized: [{{ templateName$ }}]\"\n      ></component-mapper>\n    </div>\n  </ng-container>\n\n  <ng-template #noTemplate>\n    <div *ngFor=\"let kid of arChildren$\">\n      <component-mapper\n        [name]=\"kid.getPConnect().getComponentName()\"\n        [props]=\"{ pConn$: kid.getPConnect() }\"\n        errorMsg=\"View Missing (displayAll): {{ kid.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </ng-template>\n</div>\n", styles: ["h3{margin-left:.8rem}.ng-view-top{padding:0}.template-title-container{display:flex;justify-content:space-between;align-items:center;font-size:.9375rem;font-weight:600;padding:1rem 0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-view', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"visibility$ !== false\" class=\"ng-view-top\">\n  <div *ngIf=\"showLabel$ && label$ && !noHeaderTemplates.includes(templateName$)\" class=\"template-title-container\">\n    <span>{{ label$ }}</span>\n  </div>\n\n  <ng-container *ngIf=\"templateName$; else noTemplate\">\n    <div>\n      <component-mapper\n        [name]=\"templateName$\"\n        [props]=\"{ formGroup$, pConn$, displayOnlyFA$ }\"\n        errorMsg=\"View template not recognized: [{{ templateName$ }}]\"\n      ></component-mapper>\n    </div>\n  </ng-container>\n\n  <ng-template #noTemplate>\n    <div *ngFor=\"let kid of arChildren$\">\n      <component-mapper\n        [name]=\"kid.getPConnect().getComponentName()\"\n        [props]=\"{ pConn$: kid.getPConnect() }\"\n        errorMsg=\"View Missing (displayAll): {{ kid.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </ng-template>\n</div>\n", styles: ["h3{margin-left:.8rem}.ng-view-top{padding:0}.template-title-container{display:flex;justify-content:space-between;align-items:center;font-size:.9375rem;font-weight:600;padding:1rem 0}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], displayOnlyFA$: [{
                type: Input
            }] } });

const addContainerItem = pConnect => {
    const containerManager = pConnect.getContainerManager();
    const context = pConnect.getContextName();
    containerManager.addContainerItem({
        context,
        semanticURL: ''
    });
};
const configureBrowserBookmark = pConnect => {
    const context = pConnect.getContextName();
    const containerName = pConnect.getContainerName();
    const navPages = pConnect.getValue('pyPortal.pyPrimaryNavPages');
    const defaultViewLabel = Array.isArray(navPages) && navPages[0] ? navPages[0].pyLabel : '';
    PCore.configureForBrowserBookmark({
        context,
        containerName,
        acName: containerName,
        semanticURL: '',
        defaultViewLabel
    });
};

class ViewContainerComponent {
    constructor(angularPConnect, psService, ngZone) {
        this.angularPConnect = angularPConnect;
        this.psService = psService;
        this.ngZone = ngZone;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.title$ = '';
        this.isViewContainer$ = true;
    }
    ngOnInit() {
        if (this.displayOnlyFA$ == null) {
            this.displayOnlyFA$ = false;
        }
        // debugger;
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // Then, continue on with other initialization
        //    this.configProps$ = this.pConn$.getConfigProps();
        // children may have a 'reference' so normalize the children array
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.pConn$.getChildren());
        this.buildName$ = this.buildName();
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.templateName$ = this.configProps$.template || '';
        this.title$ = this.configProps$.title || '';
        const { CONTAINER_TYPE, APP } = PCore.getConstants();
        const { name, mode, limit } = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.pConn$.isBoundToState();
        const containerMgr = this.pConn$.getContainerManager();
        this.prepareDispatchObject = this.prepareDispatchObject.bind(this);
        this.dispatchObject = this.prepareDispatchObject();
        // TODO: Plan is to rename window.constellationCore to window.pega (or similar)
        //    And expose less via ui-bootstrap.js
        this.state = {
            dispatchObject: this.dispatchObject,
            visible: !PCore.checkIfSemanticURL()
        };
        if (sessionStorage.getItem('hasViewContainer') == 'false') {
            containerMgr.initializeContainers({
                type: mode === CONTAINER_TYPE.MULTIPLE ? CONTAINER_TYPE.MULTIPLE : CONTAINER_TYPE.SINGLE
            });
            if (mode === CONTAINER_TYPE.MULTIPLE && limit) {
                /* NOTE: setContainerLimit use is temporary. It is a non-public, unsupported API. */
                PCore.getContainerUtils().setContainerLimit(`${APP.APP}/${name}`, limit);
            }
            if (!PCore.checkIfSemanticURL())
                containerMgr.addContainerItem(this.pConn$);
            if (!this.displayOnlyFA$)
                configureBrowserBookmark(this.pConn$);
            sessionStorage.setItem('hasViewContainer', 'true');
        }
        // cannot call checkAndUpdate becasue first time through, will call updateSelf and that is incorrect (causes issues).
        // however, need angularPConnect to be initialized with currentProps for future updates, so calling shouldComponentUpdate directly
        // without checking to update here in init, will initialize and this is correct
        this.angularPConnect.shouldComponentUpdate(this);
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        //   *** DON'T call updateSelf in ngInit!!  ***
        if (this.arChildren$ == null) {
            // children may have a 'reference' so normalize the children array
            this.arChildren$ = ReferenceComponent.normalizePConnArray(this.pConn$.getChildren());
        }
        // routingInfo was added as component prop in populateAdditionalProps
        const routingInfo = this.angularPConnect.getComponentProp(this, 'routingInfo');
        let loadingInfo;
        try {
            // @ts-ignore - Property 'getLoadingStatus' is private and only accessible within class 'C11nEnv'
            loadingInfo = this.pConn$.getLoadingStatus();
            this.psService.sendMessage(loadingInfo);
        }
        catch (ex) {
            /* empty */
        }
        // const buildName = this.buildName();
        const { CREATE_DETAILS_VIEW_NAME } = PCore.getConstants();
        if (routingInfo) {
            const { accessedOrder, items } = routingInfo;
            if (accessedOrder && items) {
                const key = accessedOrder[accessedOrder.length - 1];
                let componentVisible = accessedOrder.length > 0;
                const { visible } = this.state;
                // eslint-disable-next-line @typescript-eslint/no-unused-vars
                componentVisible = visible || componentVisible;
                if (items[key] && items[key].view && Object.keys(items[key].view).length > 0) {
                    const latestItem = items[key];
                    const rootView = latestItem.view;
                    const { context, name: viewName } = rootView.config;
                    const config = { meta: rootView };
                    config.options = {
                        context: latestItem.context,
                        pageReference: context || this.pConn$.getPageReference(),
                        containerName: this.pConn$.getContainerName(),
                        containerItemName: key,
                        hasForm: viewName === CREATE_DETAILS_VIEW_NAME
                    };
                    const configObject = PCore.createPConnect(config);
                    // THIS is where the ViewContainer creates a View
                    //    The config has meta.config.type = "view"
                    const newComp = configObject.getPConnect();
                    // const newCompName = newComp.getComponentName();
                    // The metadata for pyDetails changed such that the "template": "CaseView"
                    //  is no longer a child of the created View but is in the created View's
                    //  config. So, we DON'T want to replace this.pConn$ since the created
                    //  component is a View (and not a ViewContainer). We now look for the
                    //  "template" type directly in the created component (newComp) and NOT
                    //  as a child of the newly created component.
                    // Use the newly created component (View) info but DO NOT replace
                    //  this ViewContainer's pConn$, etc.
                    //  Note that we're now using the newly created View's PConnect in the
                    //  ViewContainer HTML template to guide what's rendered similar to what
                    //  the Nebula/Constellation return of React.Fragment does
                    this.ngZone.run(() => {
                        if (newComp.getComponentName() === 'reference') {
                            // if a refernece, it will de reference to a "view"
                            // so hand this off to the "View" component to do that
                            this.isViewContainer$ = false;
                            this.viewPConn$ = newComp;
                            /*
                             ***  this commmented out code should be removed, once we test out that
                             ***  handing off refernce to View component always works
                             */
                            // When newComp is a reference, we want to de-reference
                            //  it (to get the View) and then use that View to get the
                            //  template, title, children, etc.
                            /*
              
                            const theDereferencedView = ReferenceComponent.normalizePConn(newComp);
                            const newConfigProps = theDereferencedView.getConfigProps();
              
                            // children may have a 'reference' so normalize the children arra
              
                            const theDereferencedViewChildren = ReferenceComponent.normalizePConnArray(theDereferencedView.getChildren());
                            this.templateName$ = ('template' in newConfigProps) ? newConfigProps["template"] : "";
                            this.title$ = ('title' in newConfigProps) ? newConfigProps["title"] : "";
                            this.arChildren$ = theDereferencedViewChildren;
                            this.createdViewPConn$ = theDereferencedView;
                            */
                        }
                        else {
                            // old style when newComp is NOT a 'reference'
                            this.isViewContainer$ = true;
                            console.error(`ViewContainer has a newComp that is NOT a reference!`);
                            this.createdViewPConn$ = newComp;
                            const newConfigProps = newComp.getConfigProps();
                            this.templateName$ = newConfigProps.template || '';
                            this.title$ = newConfigProps.title || '';
                            // update children with new view's children
                            // children may have a 'reference' so normalize the children array
                            this.arChildren$ = ReferenceComponent.normalizePConnArray(newComp.getChildren());
                        }
                    });
                }
            }
        }
    }
    prepareDispatchObject() {
        const baseContext = this.pConn$.getContextName();
        // const { acName = "primary" } = pConn.getContainerName(); // doesn't work with 8.23 typings
        const acName = this.pConn$.getContainerName() || 'primary';
        return {
            semanticURL: '',
            context: baseContext,
            acName
        };
    }
    buildName() {
        const sContext = this.pConn$.getContextName();
        const sName = this.pConn$.getContainerName();
        return `${sContext.toUpperCase()}/${sName.toUpperCase()}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ViewContainerComponent, deps: [{ token: AngularPConnectService }, { token: ProgressSpinnerService }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ViewContainerComponent, isStandalone: true, selector: "app-view-container", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", displayOnlyFA$: "displayOnlyFA$" }, ngImport: i0, template: "<div class=\"psdk-view-container-top\" id=\"{{ buildName$ }}\">\n  <div *ngIf=\"isViewContainer$; else isReference\">\n    <h3 *ngIf=\"title$ !== ''\">{{ title$ }}</h3>\n    <div *ngIf=\"templateName$; else showChildren\">\n      <component-mapper\n        [name]=\"templateName$\"\n        [props]=\"{\n          pConn$: createdViewPConn$,\n          formGroup$: formGroup$,\n          displayOnlyFA$: displayOnlyFA$\n        }\"\n        errorMsg=\"View Container missing Template {{ templateName$ }}\"\n      ></component-mapper>\n    </div>\n    <ng-template #showChildren>\n      <div *ngFor=\"let kid of arChildren$\">\n        <component-mapper\n          [name]=\"kid.getPConnect().getComponentName()\"\n          [props]=\"{\n            pConn$: kid.getPConnect(),\n            displayOnlyFA$: displayOnlyFA$\n          }\"\n          errorMsg=\"ViewContainer Missing (no template): {{ kid.getPConnect().getComponentName() }}\"\n        ></component-mapper>\n      </div>\n    </ng-template>\n  </div>\n  <ng-template #isReference>\n    <component-mapper name=\"View\" [props]=\"{ pConn$: viewPConn$, displayOnlyFA$ }\"></component-mapper>\n  </ng-template>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ViewContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-view-container', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-view-container-top\" id=\"{{ buildName$ }}\">\n  <div *ngIf=\"isViewContainer$; else isReference\">\n    <h3 *ngIf=\"title$ !== ''\">{{ title$ }}</h3>\n    <div *ngIf=\"templateName$; else showChildren\">\n      <component-mapper\n        [name]=\"templateName$\"\n        [props]=\"{\n          pConn$: createdViewPConn$,\n          formGroup$: formGroup$,\n          displayOnlyFA$: displayOnlyFA$\n        }\"\n        errorMsg=\"View Container missing Template {{ templateName$ }}\"\n      ></component-mapper>\n    </div>\n    <ng-template #showChildren>\n      <div *ngFor=\"let kid of arChildren$\">\n        <component-mapper\n          [name]=\"kid.getPConnect().getComponentName()\"\n          [props]=\"{\n            pConn$: kid.getPConnect(),\n            displayOnlyFA$: displayOnlyFA$\n          }\"\n          errorMsg=\"ViewContainer Missing (no template): {{ kid.getPConnect().getComponentName() }}\"\n        ></component-mapper>\n      </div>\n    </ng-template>\n  </div>\n  <ng-template #isReference>\n    <component-mapper name=\"View\" [props]=\"{ pConn$: viewPConn$, displayOnlyFA$ }\"></component-mapper>\n  </ng-template>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: ProgressSpinnerService }, { type: i0.NgZone }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], displayOnlyFA$: [{
                type: Input
            }] } });

// From npm-nebula/src/utils/event-utils.js
function handleEvent(actions, eventType, propName, value) {
    switch (eventType) {
        case 'change':
            actions.updateFieldValue(propName, value);
            break;
        case 'blur':
            actions.triggerFieldChange(propName, value);
            break;
        case 'changeNblur':
            actions.updateFieldValue(propName, value);
            actions.triggerFieldChange(propName, value);
            break;
        default:
            break;
    }
}

// OAuth login box type (only recent testing with Main)
const loginBoxType = {
    Main: 1,
    Popup: 2,
    Modal: 3
};
const endpoints = {
    // Change this URL if you want to point the React application at another Pega server.
    // local
    // BASEURL: "http://localhost:1080/prweb/api",
    // BASEURL: "https://localhost:1080/prweb/api",
    // 85
    // BASEURL: "https://lu-85-cam.eng.pega.com/prweb/api",
    loginExperience: loginBoxType.Main,
    // OAUTHCFG: {
    //   providerID: "pega",
    //   authorization: "https://localhost:1080/prweb/PRRestService/oauth2/v1/authorize",
    //   authority: "https://localhost:1080/prweb/PRRestService/oauth2/v1",
    //   token: "https://localhost:1080/prweb/PRRestService/oauth2/v1/token",
    //   scope: [],
    //   // for mashup MediaCo login customer, otherwise, regular login pass in client id
    //   client_id: "12595401538569726922",
    //   client_secret:  "CC374FD41B4F0726C7F2A4DD8CE1E991",
    //   grant_type:  "client_credentials",
    //   // main window login
    //   use_pkce: true,
    //   loginExperience: loginBoxType.Main
    // },
    AUTH: '/v1/authenticate',
    CASES: '/v1/cases',
    CASES_V2: '/application/v2/cases',
    CASETYPES: '/v1/casetypes',
    CASETYPES_V2: '/application/v2/casetypes',
    CONFIG_V2: '/application/v2/config',
    VIEWS: '/views',
    ASSIGNMENTS: '/v1/assignments',
    ASSIGNMENTS_V2: '/application/v2/assignments',
    ACTIONS: '/actions',
    PAGES: '/pages',
    DATA: '/v1/data',
    DATA_V2: '/application/v2/data',
    REFRESH: '/refresh',
    BACK_V2: '/navigation_steps/previous',
    PULSE: '/v1/messages',
    PULSE_V2: '/v2/messages',
    ROUTING: 'mashup',
    MEDIACO: 'MediaCo',
    API: 'api',
    EMBEDDED: 'embedded',
    EMBEDDEDHTML: 'embedded.html',
    MASHUP: 'mashup',
    MASHUPHTML: 'mashup.html',
    SIMPLEPORTAL: 'simpleportal',
    SIMPLEPORTALHTML: 'simpleportal.html',
    PORTAL: 'portal',
    PORTALHTML: 'portal.html',
    FULLPORTAL: 'fullportal',
    FULLPORTALHTML: 'fullportal.html'
};

class DatapageService {
    constructor(http, scService) {
        this.http = http;
        this.scService = scService;
    }
    getDataPage(id, dpParams) {
        this.dataPageUrl = this.scService.getBaseUrl() + endpoints.API + endpoints.DATA;
        let dataHeaders = new HttpHeaders();
        dataHeaders = dataHeaders.append('Authorization', Utils.sdkGetAuthHeader());
        dataHeaders = dataHeaders.append('Content-Type', 'application/json');
        return this.http.get(`${this.dataPageUrl}/${id}`, { observe: 'response', params: dpParams, headers: dataHeaders });
    }
    getResults(response) {
        return response.pxResults;
    }
    getDataPageData(dataPageName, parameters, context) {
        let dataViewParams;
        if (parameters) {
            dataViewParams = {
                dataViewParameters: parameters
            };
        }
        return new Promise((resolve, reject) => {
            PCore.getDataApiUtils().getData(dataPageName, dataViewParams, context)
                .then((response) => {
                resolve(response.data.data);
            })
                .catch(e => {
                if (e) {
                    // check specific error if 401, and wiped out if so stored token is stale.  Fetcch new tokens.
                    reject(e);
                }
            });
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DatapageService, deps: [{ token: i1.HttpClient }, { token: ServerConfigService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DatapageService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DatapageService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1.HttpClient }, { type: ServerConfigService }] });

class AutoCompleteComponent {
    constructor(angularPConnect, cdRef, utils, dataPageService) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        this.dataPageService = dataPageService;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.columns = [];
        this.fieldControl = new FormControl('', null);
        this.filterValue = '';
    }
    async ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        await this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
        this.filteredOptions = this.fieldControl.valueChanges.pipe(startWith(''), map(value => this._filter(value || '')));
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    _filter(value) {
        const filterVal = (value || this.filterValue).toLowerCase();
        return this.options$?.filter(option => option.value?.toLowerCase().includes(filterVal));
    }
    // Callback passed when subscribing to store change
    async onStateChange() {
        await this.checkAndUpdate();
    }
    async checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            await this.updateSelf();
        }
    }
    // updateSelf
    async updateSelf() {
        // starting very simple...
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            const index = this.options$?.findIndex(element => element.key === this.configProps$.value);
            this.value$ = index > -1 ? this.options$[index].value : this.configProps$.value;
        }
        this.setPropertyValuesFromProps();
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        const context = this.pConn$.getContextName();
        const { columns, datasource } = this.generateColumnsAndDataSource();
        if (columns) {
            this.columns = this.preProcessColumns(columns);
        }
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        if (this.listType === 'associated') {
            this.options$ = this.utils.getOptionList(this.configProps$, this.pConn$.getDataObject('')); // 1st arg empty string until typedef marked correctly
        }
        if (!this.displayMode$ && this.listType !== 'associated') {
            const results = await this.dataPageService.getDataPageData(datasource, this.parameters, context);
            this.fillOptions(results);
        }
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    setPropertyValuesFromProps() {
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.placeholder = this.configProps$.placeholder || '';
        this.displayMode$ = this.configProps$.displayMode;
        this.listType = this.configProps$.listType;
        this.hideLabel = this.configProps$.hideLabel;
        this.helperText = this.configProps$.helperText;
        this.parameters = this.configProps$?.parameters;
    }
    generateColumnsAndDataSource() {
        let datasource = this.configProps$.datasource;
        let columns = this.configProps$.columns;
        // const { deferDatasource, datasourceMetadata } = this.configProps$;
        const { deferDatasource, datasourceMetadata } = this.pConn$.getConfigProps();
        // convert associated to datapage listtype and transform props
        // Process deferDatasource when datapage name is present. WHhen tableType is promptList / localList
        if (deferDatasource && datasourceMetadata?.datasource?.name) {
            this.listType = 'datapage';
            datasource = datasourceMetadata.datasource.name;
            const { parameters, propertyForDisplayText, propertyForValue } = datasourceMetadata.datasource;
            this.parameters = this.flattenParameters(parameters);
            const displayProp = propertyForDisplayText?.startsWith('@P') ? propertyForDisplayText.substring(3) : propertyForDisplayText;
            const valueProp = propertyForValue?.startsWith('@P') ? propertyForValue.substring(3) : propertyForValue;
            columns = [
                {
                    key: 'true',
                    setProperty: 'Associated property',
                    value: valueProp
                },
                {
                    display: 'true',
                    primary: 'true',
                    useForSearch: true,
                    value: displayProp
                }
            ];
        }
        return { columns, datasource };
    }
    fillOptions(results) {
        const optionsData = [];
        const displayColumn = this.getDisplayFieldsMetaData(this.columns);
        results?.forEach(element => {
            const obj = {
                key: element[displayColumn.key] || element.pyGUID,
                value: element[displayColumn.primary]?.toString()
            };
            optionsData.push(obj);
        });
        this.options$ = optionsData;
    }
    flattenParameters(params = {}) {
        const flatParams = {};
        Object.keys(params).forEach(key => {
            const { name, value: theVal } = params[key];
            flatParams[name] = theVal;
        });
        return flatParams;
    }
    getDisplayFieldsMetaData(columnList) {
        const displayColumns = columnList.filter(col => col.display === 'true');
        const metaDataObj = { key: '', primary: '', secondary: [] };
        const keyCol = columnList.filter(col => col.key === 'true');
        metaDataObj.key = keyCol.length > 0 ? keyCol[0].value : 'auto';
        for (let index = 0; index < displayColumns.length; index += 1) {
            if (displayColumns[index].primary === 'true') {
                metaDataObj.primary = displayColumns[index].value;
            }
            else {
                metaDataObj.secondary.push(displayColumns[index].value);
            }
        }
        return metaDataObj;
    }
    preProcessColumns(columnList) {
        return columnList?.map(col => {
            const tempColObj = { ...col };
            tempColObj.value = col.value && col.value.startsWith('.') ? col.value.substring(1) : col.value;
            return tempColObj;
        });
    }
    fieldOnChange(event) {
        // this works - this.pConn$.setValue( this.componentReference, `property: ${this.componentReference}`);
        // this works - this.pConn$.setValue( this.componentReference, this.fieldControl.value);
        // PConnect wants to use changeHandler for onChange
        // this.angularPConnect.changeHandler( this, event);
        const value = event.target.value;
        this.filterValue = value;
        handleEvent(this.actionsApi, 'change', this.propName, value);
    }
    optionChanged(event) {
        const value = event?.option?.value;
        handleEvent(this.actionsApi, 'change', this.propName, value);
    }
    fieldOnBlur(event) {
        let key = '';
        const el = event?.target;
        if (el?.value) {
            const index = this.options$?.findIndex(element => element.value === el.value);
            key = index > -1 ? (key = this.options$[index].key) : el.value;
        }
        const value = key;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
        if (this.configProps$?.onRecordChange) {
            el.value = value;
            this.configProps$.onRecordChange(event);
        }
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AutoCompleteComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }, { token: DatapageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AutoCompleteComponent, isStandalone: true, selector: "app-auto-complete", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$, hideLabel }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [matAutocomplete]=\"auto\"\n          (input)=\"fieldOnChange($event)\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-autocomplete #auto=\"matAutocomplete\" autoActiveFirstOption (optionSelected)=\"optionChanged($event)\">\n          <mat-option *ngFor=\"let opt of filteredOptions | async\" [value]=\"opt.value\">\n            <span>{{ opt.value }}</span>\n          </mat-option>\n        </mat-autocomplete>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i0.forwardRef(() => i2.AsyncPipe), name: "async" }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatAutocompleteModule) }, { kind: "component", type: i0.forwardRef(() => i8.MatAutocomplete), selector: "mat-autocomplete", inputs: ["aria-label", "aria-labelledby", "displayWith", "autoActiveFirstOption", "autoSelectActiveOption", "requireSelection", "panelWidth", "disableRipple", "class", "hideSingleSelectionIndicator"], outputs: ["optionSelected", "opened", "closed", "optionActivated"], exportAs: ["matAutocomplete"] }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "directive", type: i0.forwardRef(() => i8.MatAutocompleteTrigger), selector: "input[matAutocomplete], textarea[matAutocomplete]", inputs: ["matAutocomplete", "matAutocompletePosition", "matAutocompleteConnectedTo", "autocomplete", "matAutocompleteDisabled"], exportAs: ["matAutocompleteTrigger"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AutoCompleteComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-auto-complete', standalone: true, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatAutocompleteModule,
                        MatOptionModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$, hideLabel }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [matAutocomplete]=\"auto\"\n          (input)=\"fieldOnChange($event)\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-autocomplete #auto=\"matAutocomplete\" autoActiveFirstOption (optionSelected)=\"optionChanged($event)\">\n          <mat-option *ngFor=\"let opt of filteredOptions | async\" [value]=\"opt.value\">\n            <span>{{ opt.value }}</span>\n          </mat-option>\n        </mat-autocomplete>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }, { type: DatapageService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class CancelAlertComponent {
    constructor(psService) {
        this.psService = psService;
        this.onAlertState$ = new EventEmitter();
        this.localeCategory = 'ModalContainer';
    }
    ngOnChanges() {
        if (this.bShowAlert$) {
            this.psService.sendMessage(false);
            const contextName = this.pConn$.getContextName();
            const caseInfo = this.pConn$.getCaseInfo();
            const caseName = caseInfo.getName();
            const ID = caseInfo.getID();
            this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
            this.itemKey = contextName;
            this.heading$ = `Delete ${caseName} (${ID})`;
            this.body1$ = `${this.localizedVal('Are you sure you want to delete ', this.localeCategory) + caseName} (${ID})?`;
            this.body2$ = this.localizedVal('Alternatively, you can continue working or save your work for later.', this.localeCategory);
            // this.onAlertState$.emit(true);
        }
    }
    dismissAlert() {
        this.bShowAlert$ = false;
        this.onAlertState$.emit(false);
    }
    dismissAlertOnly() {
        this.bShowAlert$ = false;
        this.onAlertState$.emit(true);
    }
    sendMessage(sMessage) {
        alert(sMessage);
    }
    buttonClick(sAction) {
        const actionsAPI = this.pConn$.getActionsApi();
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        switch (sAction) {
            case 'save':
                this.psService.sendMessage(true);
                // eslint-disable-next-line no-case-declarations
                const savePromise = actionsAPI.saveAndClose(this.itemKey);
                savePromise
                    .then(() => {
                    this.psService.sendMessage(false);
                    this.dismissAlert();
                    PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.CASE_CREATED);
                })
                    .catch(() => {
                    this.psService.sendMessage(false);
                    this.sendMessage(this.localizedVal('Save failed', this.localeCategory));
                });
                break;
            case 'continue':
                this.dismissAlertOnly();
                break;
            case 'delete':
                this.psService.sendMessage(true);
                // eslint-disable-next-line no-case-declarations
                const deletePromise = actionsAPI.deleteCaseInCreateStage(this.itemKey);
                deletePromise
                    .then(() => {
                    this.psService.sendMessage(false);
                    this.dismissAlert();
                    PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL);
                })
                    .catch(() => {
                    this.psService.sendMessage(false);
                    this.sendMessage(this.localizedVal('Delete failed.', this.localeCategory));
                });
                break;
            default:
                break;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CancelAlertComponent, deps: [{ token: ProgressSpinnerService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CancelAlertComponent, isStandalone: true, selector: "app-cancel-alert", inputs: { pConn$: "pConn$", bShowAlert$: "bShowAlert$" }, outputs: { onAlertState$: "onAlertState$" }, usesOnChanges: true, ngImport: i0, template: "<div *ngIf=\"bShowAlert$\" class=\"psdk-cancel-alert-background\">\n  <div class=\"psdk-cancel-alert-top\">\n    <h3 *ngIf=\"heading$ != ''\">{{ heading$ }}</h3>\n    <div>\n      <p>{{ body1$ }}</p>\n      <p>{{ body2$ }}</p>\n    </div>\n    <mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n      <mat-grid-tile>\n        <button mat-raised-button color=\"secondary\" (click)=\"buttonClick('save')\">{{ localizedVal('Save for later', localeCategory) }}</button>\n      </mat-grid-tile>\n      <mat-grid-tile>\n        <button mat-raised-button color=\"secondary\" (click)=\"buttonClick('continue')\">{{ localizedVal('Continue Working', localeCategory) }}</button>\n        <button mat-raised-button color=\"primary\" (click)=\"buttonClick('delete')\">{{ localizedVal('Delete', localeCategory) }}</button>\n      </mat-grid-tile>\n    </mat-grid-list>\n  </div>\n</div>\n", styles: [".psdk-cancel-alert-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:9999;top:0;left:0}.psdk-cancel-alert-top{display:table;margin:auto;min-width:550px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatGridListModule }, { kind: "component", type: i2$1.MatGridList, selector: "mat-grid-list", inputs: ["cols", "gutterSize", "rowHeight"], exportAs: ["matGridList"] }, { kind: "component", type: i2$1.MatGridTile, selector: "mat-grid-tile", inputs: ["rowspan", "colspan"], exportAs: ["matGridTile"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CancelAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-cancel-alert', standalone: true, imports: [CommonModule, MatGridListModule, MatButtonModule], template: "<div *ngIf=\"bShowAlert$\" class=\"psdk-cancel-alert-background\">\n  <div class=\"psdk-cancel-alert-top\">\n    <h3 *ngIf=\"heading$ != ''\">{{ heading$ }}</h3>\n    <div>\n      <p>{{ body1$ }}</p>\n      <p>{{ body2$ }}</p>\n    </div>\n    <mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n      <mat-grid-tile>\n        <button mat-raised-button color=\"secondary\" (click)=\"buttonClick('save')\">{{ localizedVal('Save for later', localeCategory) }}</button>\n      </mat-grid-tile>\n      <mat-grid-tile>\n        <button mat-raised-button color=\"secondary\" (click)=\"buttonClick('continue')\">{{ localizedVal('Continue Working', localeCategory) }}</button>\n        <button mat-raised-button color=\"primary\" (click)=\"buttonClick('delete')\">{{ localizedVal('Delete', localeCategory) }}</button>\n      </mat-grid-tile>\n    </mat-grid-list>\n  </div>\n</div>\n", styles: [".psdk-cancel-alert-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:9999;top:0;left:0}.psdk-cancel-alert-top{display:table;margin:auto;min-width:550px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}\n"] }]
        }], ctorParameters: () => [{ type: ProgressSpinnerService }], propDecorators: { pConn$: [{
                type: Input
            }], bShowAlert$: [{
                type: Input
            }], onAlertState$: [{
                type: Output
            }] } });

function isSelfReferencedProperty(param, referenceProp) {
    const [, parentPropName] = param.split('.');
    const referencePropParent = referenceProp?.split('.').pop();
    return parentPropName === referencePropParent;
}
function updateNewInstructions(c11nEnv, selectionList) {
    const { datasource: { parameters = {} } = {} } = c11nEnv.getFieldMetadata(selectionList) || {};
    const compositeKeys = [];
    Object.values(parameters).forEach((param) => {
        if (isSelfReferencedProperty(param, selectionList))
            compositeKeys.push(param.substring(param.lastIndexOf('.') + 1));
    });
    c11nEnv.getListActions().initDefaultPageInstructions(selectionList, compositeKeys);
}
function insertInstruction(c11nEnv, selectionList, selectionKey, primaryField, item) {
    const { id, primary } = item;
    const actualProperty = selectionKey.startsWith('.') ? selectionKey.substring(1) : selectionKey;
    const displayProperty = primaryField.startsWith('.') ? primaryField.substring(1) : primaryField;
    const rows = c11nEnv.getValue(`${c11nEnv.getPageReference()}${selectionList}`) || [];
    const startIndex = rows.length;
    const content = {
        [actualProperty]: id,
        [displayProperty]: primary,
        nonFormProperties: actualProperty !== displayProperty ? [displayProperty] : []
    };
    c11nEnv.getListActions().insert(content, startIndex);
}
function deleteInstruction(c11nEnv, selectionList, selectionKey, item) {
    const { id } = item;
    const actualProperty = selectionKey.startsWith('.') ? selectionKey.substring(1) : selectionKey;
    const rows = c11nEnv.getValue(`${c11nEnv.getPageReference()}${selectionList}`) || [];
    const index = rows.findIndex(row => row[actualProperty] === id);
    c11nEnv.getListActions().deleteEntry(index);
}

class CheckBoxComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.caption$ = '';
        this.testId = '';
        this.showLabel$ = false;
        this.isChecked$ = false;
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.listOfCheckboxes = [];
        this.fieldControl = new FormControl('', null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.selectionMode === 'multi' && this.referenceList?.length > 0) {
            this.pConn$.setReferenceList(this.selectionList);
            updateNewInstructions(this.pConn$, this.selectionList);
        }
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.displayMode$ = this.configProps$.displayMode;
        this.label$ = this.configProps$.label;
        if (this.label$ != '') {
            this.showLabel$ = true;
        }
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // multi case
        this.selectionMode = this.configProps$.selectionMode;
        if (this.selectionMode === 'multi') {
            this.referenceList = this.configProps$.referenceList;
            this.selectionList = this.configProps$.selectionList;
            this.selectedvalues = this.configProps$.readonlyContextList;
            this.primaryField = this.configProps$.primaryField;
            this.datasource = this.configProps$.datasource;
            this.selectionKey = this.configProps$.selectionKey;
            const listSourceItems = this.datasource?.source ?? [];
            const dataField = this.selectionKey?.split?.('.')[1] ?? '';
            const listToDisplay = [];
            listSourceItems.forEach(element => {
                element.selected = this.selectedvalues?.some?.(data => data[dataField] === element.key);
                listToDisplay.push(element);
            });
            this.listOfCheckboxes = listToDisplay;
        }
        else {
            if (this.configProps$.value != undefined) {
                this.value$ = this.configProps$.value;
            }
            this.caption$ = this.configProps$.caption;
            this.helperText = this.configProps$.helperText;
            this.trueLabel$ = this.configProps$.trueLabel || 'Yes';
            this.falseLabel$ = this.configProps$.falseLabel || 'No';
            // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
            setTimeout(() => {
                if (this.configProps$.required != null) {
                    this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
                }
                this.cdRef.detectChanges();
            });
            if (this.configProps$.visibility != null) {
                this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
            }
            // disabled
            if (this.configProps$.disabled != undefined) {
                this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
            }
            if (this.configProps$.readOnly != null) {
                this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
            }
            if (this.bDisabled$ || this.bReadonly$) {
                this.fieldControl.disable();
            }
            else {
                this.fieldControl.enable();
            }
            this.componentReference = this.pConn$.getStateProps().value;
            // eslint-disable-next-line sonarjs/no-redundant-boolean
            if (this.value$ === 'true' || this.value$ == true) {
                this.isChecked$ = true;
            }
            else {
                this.isChecked$ = false;
            }
            // trigger display of error message with field control
            if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
                const timer = interval(100).subscribe(() => {
                    this.fieldControl.setErrors({ message: true });
                    this.fieldControl.markAsTouched();
                    timer.unsubscribe();
                });
            }
        }
    }
    fieldOnChange(event) {
        event.value = event.checked;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, event.checked);
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        if (this.selectionMode === 'multi') {
            this.pConn$.getValidationApi().validate(this.selectedvalues, this.selectionList);
        }
        else {
            this.pConn$.getValidationApi().validate(event.target.checked);
        }
    }
    handleChangeMultiMode(event, element) {
        if (!element.selected) {
            insertInstruction(this.pConn$, this.selectionList, this.selectionKey, this.primaryField, {
                id: element.key,
                primary: element.text ?? element.value
            });
        }
        else {
            deleteInstruction(this.pConn$, this.selectionList, this.selectionKey, {
                id: element.key,
                primary: element.text ?? element.value
            });
        }
        this.pConn$.clearErrorMessages({
            property: this.selectionList,
            category: '',
            context: ''
        });
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CheckBoxComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CheckBoxComponent, isStandalone: true, selector: "app-check-box", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper\n    *ngIf=\"bVisible$ !== false\"\n    name=\"FieldValueList\"\n    [props]=\"{ label$: caption$, value$: value$ ? trueLabel$ : falseLabel$, displayMode$ }\"\n  ></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <div class=\"mat-form-field-infix\" *ngIf=\"showLabel$\">\n        <span>\n          <label class=\"mat-form-field-label psdk-label-readonly\">{{ label$ }}</label>\n        </span>\n      </div>\n      <div *ngIf=\"selectionMode === 'multi'; else single\">\n        <mat-option *ngFor=\"let item of listOfCheckboxes\" (click)=\"handleChangeMultiMode($event, item)\">\n          <mat-checkbox\n            [labelPosition]=\"'after'\"\n            [checked]=\"item.selected\"\n            [attr.data-test-id]=\"testId + ':' + item.value\"\n            (change)=\"handleChangeMultiMode($event, item)\"\n            (blur)=\"fieldOnBlur($event)\"\n            >{{ item.text ?? item.value }}\n          </mat-checkbox>\n        </mat-option>\n      </div>\n      <ng-template #single>\n        <mat-checkbox\n          [labelPosition]=\"'after'\"\n          [checked]=\"isChecked$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange($event)\"\n          (blur)=\"fieldOnBlur($event)\"\n          >{{ caption$ }}</mat-checkbox\n        >\n        <p *ngIf=\"helperText\">{{ helperText }}</p>\n      </ng-template>\n      <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{min-width:9.375rem;width:100%;text-align:left}.psdk-label-readonly{top:0rem;margin-top:.625rem;font-size:.875rem;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%;color:#0009}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}p{font-size:.75rem;color:#00000094}mat-checkbox{margin-left:-11px}.mat-mdc-option{margin-left:-16px}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatCheckboxModule) }, { kind: "component", type: i0.forwardRef(() => i5$3.MatCheckbox), selector: "mat-checkbox", inputs: ["aria-label", "aria-labelledby", "aria-describedby", "id", "required", "labelPosition", "name", "value", "disableRipple", "tabIndex", "color", "disabledInteractive", "checked", "disabled", "indeterminate"], outputs: ["change", "indeterminateChange"], exportAs: ["matCheckbox"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CheckBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-check-box', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatCheckboxModule, MatFormFieldModule, MatOptionModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper\n    *ngIf=\"bVisible$ !== false\"\n    name=\"FieldValueList\"\n    [props]=\"{ label$: caption$, value$: value$ ? trueLabel$ : falseLabel$, displayMode$ }\"\n  ></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <div class=\"mat-form-field-infix\" *ngIf=\"showLabel$\">\n        <span>\n          <label class=\"mat-form-field-label psdk-label-readonly\">{{ label$ }}</label>\n        </span>\n      </div>\n      <div *ngIf=\"selectionMode === 'multi'; else single\">\n        <mat-option *ngFor=\"let item of listOfCheckboxes\" (click)=\"handleChangeMultiMode($event, item)\">\n          <mat-checkbox\n            [labelPosition]=\"'after'\"\n            [checked]=\"item.selected\"\n            [attr.data-test-id]=\"testId + ':' + item.value\"\n            (change)=\"handleChangeMultiMode($event, item)\"\n            (blur)=\"fieldOnBlur($event)\"\n            >{{ item.text ?? item.value }}\n          </mat-checkbox>\n        </mat-option>\n      </div>\n      <ng-template #single>\n        <mat-checkbox\n          [labelPosition]=\"'after'\"\n          [checked]=\"isChecked$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange($event)\"\n          (blur)=\"fieldOnBlur($event)\"\n          >{{ caption$ }}</mat-checkbox\n        >\n        <p *ngIf=\"helperText\">{{ helperText }}</p>\n      </ng-template>\n      <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{min-width:9.375rem;width:100%;text-align:left}.psdk-label-readonly{top:0rem;margin-top:.625rem;font-size:.875rem;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%;color:#0009}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}p{font-size:.75rem;color:#00000094}mat-checkbox{margin-left:-11px}.mat-mdc-option{margin-left:-16px}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

function getLocale$1(locale = '') {
    // use locale if specified
    if (locale)
        return locale;
    // otherwise, use operator locale if it's defined
    if (PCore?.getEnvironmentInfo().getLocale())
        return PCore.getEnvironmentInfo().getLocale();
    // fallback
    return Intl.DateTimeFormat().resolvedOptions().locale;
}
function getCurrentTimezone$1(timezone = 'America/New_York') {
    if (timezone)
        return timezone;
    return PCore?.getLocaleUtils?.().getTimeZoneInUse?.();
}
function getSeconds(sTime) {
    return dayjs(sTime).valueOf();
}

/* eslint-disable no-template-curly-in-string */
const EURO = {
    name: 'Euro (EUR)',
    symbolFormat: '\u20AC{#}',
    currencyCode: 'EUR {#}'
};
const USD = {
    name: 'U.S. Dollar (USD)',
    symbolFormat: '${#}',
    currencyCode: 'USD {#}'
};
const XAF = {
    name: 'CFA Franc (BEAC) (XAF)',
    symbolFormat: 'XAF {#}',
    currencyCode: 'XAF {#}'
};
const XCD = {
    name: 'East Caribbean Dollar (XCD)',
    symbolFormat: '${#}',
    currencyCode: 'XCD {#}'
};
const XPF = {
    name: 'Pacific Franc (XPF)',
    symbolFormat: '₣{#}',
    currencyCode: 'XPF {#}'
};
const currencyMap = {
    AF: {
        name: 'Afghanistan Afghani (AFA)',
        symbolFormat: '{#} ؋',
        currencyCode: 'AFA {#}'
    },
    AL: {
        name: 'Albanian Lek (ALL)',
        symbolFormat: '{#} L',
        currencyCode: 'ALL {#}'
    },
    DZ: {
        name: 'Algerian Dinar (DZD)',
        symbolFormat: '{#} DA',
        currencyCode: 'DZD {#}'
    },
    AO: {
        name: 'Angolan New Kwanza (AOA)',
        symbolFormat: '{#} Kz',
        currencyCode: 'AOA {#}'
    },
    AR: {
        name: 'Argentine Peso (ARS)',
        symbolFormat: '${#}',
        currencyCode: 'ARS {#}'
    },
    AM: {
        name: 'Armenian Dram (AMD)',
        symbolFormat: '{#}֏',
        currencyCode: 'AMD {#}'
    },
    AW: {
        name: 'Aruba Florin (AWG)',
        symbolFormat: 'Afl {#}',
        currencyCode: 'AWG {#}'
    },
    AU: {
        name: 'Australian Dollar (AUD)',
        symbolFormat: 'AU${#}',
        currencyCode: 'AUD {#}'
    },
    AZ: {
        name: 'Azerbaijani Manat (AZM)',
        symbolFormat: '₼{#}',
        currencyCode: 'AZM {#}'
    },
    BS: {
        name: 'Bahamian Dollar (BSD)',
        symbolFormat: 'B${#}',
        currencyCode: 'BSD {#}'
    },
    BH: {
        name: 'Bahraini Dinar (BHD)',
        symbolFormat: '{#} BD',
        currencyCode: 'BHD {#}'
    },
    BD: {
        name: 'Bangladesh Taka (BDT)',
        symbolFormat: '৳{#}',
        currencyCode: 'BDT {#}'
    },
    BB: {
        name: 'Barbados Dollar (BBD)',
        symbolFormat: 'Bds${#}',
        currencyCode: 'BBD {#}'
    },
    BY: {
        name: 'Belarus Ruble (BYR)',
        symbolFormat: 'Br {#}',
        currencyCode: 'BYR {#}'
    },
    BZ: {
        name: 'Belize Dollar (BZD)',
        symbolFormat: 'BZ${#}',
        currencyCode: 'BZD {#}'
    },
    BM: {
        name: 'Bermuda Dollar (BMD)',
        symbolFormat: '${#}',
        currencyCode: 'BMD {#}'
    },
    BT: {
        name: 'Bhutan Ngultrum (BTN)',
        symbolFormat: 'Nu.{#}',
        currencyCode: 'BTN {#}'
    },
    BO: {
        name: 'Bolivian Boliviano (BOB)',
        symbolFormat: 'Bs. {#}',
        currencyCode: 'BOB {#}'
    },
    BA: {
        name: 'Bosnian Marka (BAM)',
        symbolFormat: '{#} KM',
        currencyCode: 'BAM {#}'
    },
    BW: {
        name: 'Botswana Pula (BWP)',
        symbolFormat: 'P {#}',
        currencyCode: 'BWP {#}'
    },
    BR: {
        name: 'Brazilian Real (BRL)',
        symbolFormat: 'R${#}',
        currencyCode: 'BRL {#}'
    },
    GB: {
        name: 'British Pound (GBP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'GBP {#}'
    },
    BN: {
        name: 'Brunei Dollar (BND)',
        symbolFormat: 'B${#}',
        currencyCode: 'BND {#}'
    },
    BG: {
        name: 'Bulgarian Lev (BGN)',
        symbolFormat: 'BGN {#}',
        currencyCode: 'BGN {#}'
    },
    BI: {
        name: 'Burundi Franc (BIF)',
        symbolFormat: '{#} FBu',
        currencyCode: 'BIF {#}'
    },
    KH: {
        name: 'Cambodia Riel (KHR)',
        symbolFormat: 'KHR {#}',
        currencyCode: 'KHR {#}'
    },
    CA: {
        name: 'Canadian Dollar (CAD)',
        symbolFormat: 'C${#}',
        currencyCode: 'CAD {#}'
    },
    CV: {
        name: 'Cape Verde Escudo (CVE)',
        symbolFormat: '{#} CVE',
        currencyCode: 'CVE {#}'
    },
    KYD: {
        name: 'Cayman Islands Dollar (KYD)',
        symbolFormat: 'CI${#}',
        currencyCode: ' {#}'
    },
    XO: {
        name: 'CFA Franc (BCEAO) (XOF)',
        symbolFormat: 'XOF {#}',
        currencyCode: 'XOF {#}'
    },
    XA: XAF,
    BJ: XAF,
    BF: XAF,
    CM: XAF,
    CF: XAF,
    TD: XAF,
    CG: XAF,
    CI: XAF,
    GQ: XAF,
    GA: XAF,
    GW: XAF,
    ML: XAF,
    NE: XAF,
    SN: XAF,
    TG: XAF,
    CL: {
        name: 'Chilean Peso (CLP)',
        symbolFormat: 'CLP${#}',
        currencyCode: 'CLP {#}'
    },
    CN: {
        name: 'Chinese Yuan (CNY)',
        symbolFormat: '¥{#}',
        currencyCode: 'CNY {#}'
    },
    CO: {
        name: 'Colombian Peso (COP)',
        symbolFormat: 'COL${#}',
        currencyCode: 'COP {#}'
    },
    KM: {
        name: 'Comoros Franc (KMF)',
        symbolFormat: 'CF {#}',
        currencyCode: 'KMF {#}'
    },
    CD: {
        name: 'Congolese Franc (CDF)',
        symbolFormat: 'FC {#}',
        currencyCode: 'CDF {#}'
    },
    CR: {
        name: 'Costa Rica Colon (CRC)',
        symbolFormat: '₡{#}',
        currencyCode: 'CRC {#}'
    },
    HR: {
        name: 'Croatian Kuna (HRK)',
        symbolFormat: '{#} kn',
        currencyCode: 'HRK {#}'
    },
    CU: {
        name: 'Cuban Peso (CUP)',
        symbolFormat: '${#}',
        currencyCode: 'CUP {#}'
    },
    CZ: {
        name: 'Czech Koruna (CZK)',
        symbolFormat: '{#} Kč',
        currencyCode: 'CZK {#}'
    },
    DK: {
        name: 'Danish Krone (DKK)',
        symbolFormat: '{#} Kr.',
        currencyCode: 'DKK {#}'
    },
    DJ: {
        name: 'Dijibouti Franc (DJF)',
        symbolFormat: '{#} Fdj',
        currencyCode: 'DJF {#}'
    },
    DO: {
        name: 'Dominican Peso (DOP)',
        symbolFormat: 'RD${#}',
        currencyCode: 'DOP {#}'
    },
    AI: XCD,
    AG: XCD,
    DM: XCD,
    GD: XCD,
    MS: XCD,
    KN: XCD,
    LC: XCD,
    VC: XCD,
    EG: {
        name: 'Egyptian Pound (EGP)',
        symbolFormat: 'E\xA3 {#}',
        currencyCode: 'EGP {#}'
    },
    SV: {
        name: 'El Salvador Colon (SVC)',
        symbolFormat: '₡{#}',
        currencyCode: 'SVC {#}'
    },
    ER: {
        name: 'Eritrea Nakfa (ERN)',
        symbolFormat: '{#} Nkf',
        currencyCode: 'ERN {#}'
    },
    ET: {
        name: 'Ethiopian Birr (ETB)',
        symbolFormat: '{#} Br',
        currencyCode: 'ETB {#}'
    },
    FK: {
        name: 'Falkland Islands Pound (FKP)',
        symbolFormat: 'FK\xA3 {#}',
        currencyCode: 'FKP {#}'
    },
    FJ: {
        name: 'Fiji Dollar (FJD)',
        symbolFormat: 'FJ${#}',
        currencyCode: 'FJD {#}'
    },
    GM: {
        name: 'Gambian Dalasi (GMD)',
        symbolFormat: 'GMD {#}',
        currencyCode: 'GMD {#}'
    },
    GE: {
        name: 'Georgian Lari (GEL)',
        symbolFormat: '₾{#}',
        currencyCode: 'GEL {#}'
    },
    GH: {
        name: 'Ghanian Cedi (GHC)',
        symbolFormat: 'GH₵ {#}',
        currencyCode: 'GHC {#}'
    },
    GI: {
        name: 'Gibraltar Pound (GIP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'GIP {#}'
    },
    XAU: {
        name: 'Gold Ounces (XAU)',
        symbolFormat: 'XAU {#}',
        currencyCode: 'XAU {#}'
    },
    GT: {
        name: 'Guatemala Quetzal (GTQ)',
        symbolFormat: '{#} Q',
        currencyCode: 'GTQ {#}'
    },
    GG: {
        name: 'Guernsey Pound (GGP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'GGP {#}'
    },
    GN: {
        name: 'Guinea Franc (GNF)',
        symbolFormat: 'GNF {#}',
        currencyCode: 'GNF {#}'
    },
    GY: {
        name: 'Guyana Dollar (GYD)',
        symbolFormat: 'GY${#}',
        currencyCode: 'GYD {#}'
    },
    HN: {
        name: 'Honduras Lempira (HNL)',
        symbolFormat: 'HNL {#}',
        currencyCode: 'HNL {#}'
    },
    HK: {
        name: 'Hong Kong Dollar (HKD)',
        symbolFormat: 'HK${#}',
        currencyCode: 'HKD {#}'
    },
    HU: {
        name: 'Hungarian Forint (HUF)',
        symbolFormat: '{#} Ft',
        currencyCode: 'HUF {#}'
    },
    IS: {
        name: 'Iceland Krona (ISK)',
        symbolFormat: '{#} kr',
        currencyCode: 'ISK {#}'
    },
    IN: {
        name: 'Indian Rupee (INR)',
        symbolFormat: '₹{#}',
        currencyCode: 'INR {#}'
    },
    ID: {
        name: 'Indonesian Rupiah (IDR)',
        symbolFormat: 'Rp {#}',
        currencyCode: 'IDR {#}'
    },
    IR: {
        name: 'Iran Rial (IRR)',
        symbolFormat: 'IRR {#}',
        currencyCode: 'IRR {#}'
    },
    IQ: {
        name: 'Iraqi Dinar (IQD)',
        symbolFormat: 'IQD {#}',
        currencyCode: 'IQD {#}'
    },
    IM: {
        name: 'Isle of Man Pound (IMP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'IMP {#}'
    },
    IL: {
        name: 'Israeli Shekel (ILS)',
        symbolFormat: '₪{#}',
        currencyCode: 'ILS {#}'
    },
    JM: {
        name: 'Jamaican Dollar (JMD)',
        symbolFormat: 'JA${#}',
        currencyCode: 'JMD {#}'
    },
    JP: {
        name: 'Japanese Yen (JPY)',
        symbolFormat: '\xA5{#}',
        currencyCode: 'JPY {#}'
    },
    JEP: {
        name: 'Jersey Pound (JEP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'JEP {#}'
    },
    JO: {
        name: 'Jordanian Dinar (JOD)',
        symbolFormat: 'JOD {#}',
        currencyCode: 'JOD {#}'
    },
    KZ: {
        name: 'Kazakhstan Tenge (KZT)',
        symbolFormat: '₸{#}',
        currencyCode: 'KZT {#}'
    },
    KE: {
        name: 'Kenyan Shilling (KES)',
        symbolFormat: 'KSh {#}',
        currencyCode: 'KES {#}'
    },
    KR: {
        name: 'Korean Won (KRW)',
        symbolFormat: '₩{#}',
        currencyCode: 'KRW {#}'
    },
    KW: {
        name: 'Kuwaiti Dinar (KWD)',
        symbolFormat: '{#} KD',
        currencyCode: 'KWD {#}'
    },
    KG: {
        name: 'Kyrgyzstan Som (KGS)',
        symbolFormat: 'KGS {#}',
        currencyCode: 'KGS {#}'
    },
    LA: {
        name: 'Lao Kip (LAK)',
        symbolFormat: '₭{#}',
        currencyCode: 'LAK {#}'
    },
    LB: {
        name: 'Lebanese Pound (LBP)',
        symbolFormat: 'LBP {#}',
        currencyCode: 'LBP {#}'
    },
    LS: {
        name: 'Lesotho Rand (ZAR)',
        symbolFormat: 'R{#}',
        currencyCode: 'ZAR {#}'
    },
    LR: {
        name: 'Liberian Dollar (LRD)',
        symbolFormat: 'L${#}',
        currencyCode: 'LRD {#}'
    },
    LY: {
        name: 'Libyan Dinar (LYD)',
        symbolFormat: '{#} LD',
        currencyCode: 'LYD {#}'
    },
    MO: {
        name: 'Macau Pataca (MOP)',
        symbolFormat: 'MOP${#}',
        currencyCode: 'MOP {#}'
    },
    MK: {
        name: 'Macedonian Denar (MKD)',
        symbolFormat: 'MKD {#}',
        currencyCode: 'MKD {#}'
    },
    MG: {
        name: 'Malagasy Franc (MGF)',
        symbolFormat: 'MGF {#}',
        currencyCode: 'MGF {#}'
    },
    MW: {
        name: 'Malawi Kwacha (MWK)',
        symbolFormat: 'MK {#}',
        currencyCode: 'MWK {#}'
    },
    MY: {
        name: 'Malaysian Ringgit (MYR)',
        symbolFormat: 'RM {#}',
        currencyCode: 'MYR {#}'
    },
    MV: {
        name: 'Maldives Rufiyaa (MVR)',
        symbolFormat: 'MVR {#}',
        currencyCode: 'MVR {#}'
    },
    MR: {
        name: 'Mauritania Ougulya (MRO)',
        symbolFormat: 'MRO {#}',
        currencyCode: 'MRO {#}'
    },
    MU: {
        name: 'Mauritius Rupee (MUR)',
        symbolFormat: 'Rs {#}',
        currencyCode: 'MUR {#}'
    },
    MX: {
        name: 'Mexican Peso (MXN)',
        symbolFormat: '${#}',
        currencyCode: 'MXN {#}'
    },
    MD: {
        name: 'Moldovan Leu (MDL)',
        symbolFormat: 'MDL {#}',
        currencyCode: 'MDL {#}'
    },
    MN: {
        name: 'Mongolian Tugrik (MNT)',
        symbolFormat: 'MNT {#}',
        currencyCode: 'MNT {#}'
    },
    MA: {
        name: 'Moroccan Dirham (MAD)',
        symbolFormat: 'MAD {#}',
        currencyCode: 'MAD {#}'
    },
    MZ: {
        name: 'Mozambique Metical (MZM)',
        symbolFormat: 'MZM {#}',
        currencyCode: 'MZM {#}'
    },
    MM: {
        name: 'Myanmar Kyat (MMK)',
        symbolFormat: 'K{#}',
        currencyCode: 'MMK {#}'
    },
    NA: {
        name: 'Namibian Dollar (NAD)',
        symbolFormat: 'N${#}',
        currencyCode: 'NAD {#}'
    },
    NP: {
        name: 'Nepalese Rupee (NPR)',
        symbolFormat: 'रू{#}',
        currencyCode: 'NPR {#}'
    },
    AN: {
        name: 'Neth Antilles Guilder (ANG)',
        symbolFormat: 'ƒ{#}',
        currencyCode: 'ANG {#}'
    },
    NZ: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    CK: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    NU: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    PN: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    NI: {
        name: 'Nicaragua Cordoba (NIO)',
        symbolFormat: 'C${#}',
        currencyCode: 'NIO {#}'
    },
    NG: {
        name: 'Nigerian Naira (NGN)',
        symbolFormat: '₦{#}',
        currencyCode: 'NGN {#}'
    },
    KP: {
        name: 'North Korean Won (KPW)',
        symbolFormat: '₩{#}',
        currencyCode: 'KPW {#}'
    },
    NO: {
        name: 'Norwegian Krone (NOK)',
        symbolFormat: '{#} kr',
        currencyCode: 'NOK {#}'
    },
    OM: {
        name: 'Omani Rial (OMR)',
        symbolFormat: 'OMR {#}',
        currencyCode: 'OMR {#}'
    },
    PF: XPF,
    NC: XPF,
    WF: XPF,
    PK: {
        name: 'Pakistani Rupee (PKR)',
        symbolFormat: 'Rs {#}',
        currencyCode: 'PKR {#}'
    },
    XPD: {
        name: 'Palladium Ounces (XPD)',
        symbolFormat: 'XPD {#}',
        currencyCode: 'XPD {#}'
    },
    PA: {
        name: 'Panama Balboa (PAB)',
        symbolFormat: 'B/. {#}',
        currencyCode: 'PAB {#}'
    },
    PG: {
        name: 'Papua New Guinea Kina (PGK)',
        symbolFormat: 'K {#}',
        currencyCode: 'PGK {#}'
    },
    PY: {
        name: 'Paraguayan Guarani (PYG)',
        symbolFormat: '₲{#}',
        currencyCode: 'PYG {#}'
    },
    PE: {
        name: 'Peruvian Nuevo Sol (PEN)',
        symbolFormat: 'S/{#}',
        currencyCode: 'PEN {#}'
    },
    PH: {
        name: 'Philippine Peso (PHP)',
        symbolFormat: '₱{#}',
        currencyCode: 'PHP {#}'
    },
    XPT: {
        name: 'Platinum Ounces (XPT)',
        symbolFormat: 'XPT {#}',
        currencyCode: 'XPT {#}'
    },
    PL: {
        name: 'Polish Zloty (PL)',
        symbolFormat: '{#}zł',
        currencyCode: 'PLN {#}'
    },
    QA: {
        name: 'Qatar Rial (QAR)',
        symbolFormat: 'QAR {#}',
        currencyCode: 'QAR {#}'
    },
    RO: {
        name: 'Romanian Leu (ROL)',
        symbolFormat: 'RON {#}',
        currencyCode: 'ROL {#}'
    },
    RU: {
        name: 'Russian Rouble (RUB)',
        symbolFormat: '{#}₽',
        currencyCode: 'RUB {#}'
    },
    RW: {
        name: 'Rwanda Franc (RWF)',
        symbolFormat: 'FRw {#}',
        currencyCode: 'RWF {#}'
    },
    WS: {
        name: 'Samoa Tala (WST)',
        symbolFormat: 'WS${#}',
        currencyCode: 'WST {#}'
    },
    ST: {
        name: 'Sao Tome Dobra (STN)',
        symbolFormat: 'STN {#}',
        currencyCode: 'STD {#}'
    },
    SA: {
        name: 'Saudi Arabian Riyal (SAR)',
        symbolFormat: 'SAR {#}',
        currencyCode: 'SAR {#}'
    },
    RS: {
        name: 'Serbian Dinar (RSD)',
        symbolFormat: 'RSD {#}',
        currencyCode: 'RSD {#}'
    },
    SC: {
        name: 'Seychelles Rupee (SCR)',
        symbolFormat: 'SCR {#}',
        currencyCode: 'SCR {#}'
    },
    SL: {
        name: 'Sierra Leone Leone (SLL)',
        symbolFormat: 'SLL {#}',
        currencyCode: 'SLL {#}'
    },
    XAG: {
        name: 'Silver Ounces (XAG)',
        symbolFormat: 'XAG {#}',
        currencyCode: 'XAG {#}'
    },
    SG: {
        name: 'Singapore Dollar (SGD)',
        symbolFormat: 'S${#}',
        currencyCode: 'SGD {#}'
    },
    SB: {
        name: 'Solomon Islands Dollar (SBD)',
        symbolFormat: 'SI${#}',
        currencyCode: 'SBD {#}'
    },
    SO: {
        name: 'Somali Shilling (SOS)',
        symbolFormat: 'SOS {#}',
        currencyCode: 'SOS {#}'
    },
    TJ: {
        name: 'Somoni (TJS)',
        symbolFormat: '${#}',
        currencyCode: 'USD {#}'
    },
    ZA: {
        name: 'South African Rand (ZAR)',
        symbolFormat: 'R{#}',
        currencyCode: 'ZAR {#}'
    },
    LK: {
        name: 'Sri Lanka Rupee (LKR)',
        symbolFormat: 'Rs {#}',
        currencyCode: 'LKR {#}'
    },
    SH: {
        name: 'St Helena Pound (SHP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'SHP {#}'
    },
    AC: {
        name: 'St Helena Pound (SHP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'SHP {#}'
    },
    SS: {
        name: 'Sudanese Pound (SSP)',
        symbolFormat: 'SSP {#}',
        currencyCode: 'SSP {#}'
    },
    SR: {
        name: 'Surinam Dollar (SRD)',
        symbolFormat: 'Sr${#}',
        currencyCode: 'SRD {#}'
    },
    SZ: {
        name: 'Swaziland Lilageni (SZL)',
        symbolFormat: 'E{#}',
        currencyCode: 'SZL {#}'
    },
    SE: {
        name: 'Swedish Krona (SEK)',
        symbolFormat: '{#} kr',
        currencyCode: 'SEK {#}'
    },
    CH: {
        name: 'Swiss Franc (CHF)',
        symbolFormat: '{#} Fr.',
        currencyCode: 'CHF {#}'
    },
    SY: {
        name: 'Syrian Pound (SYP)',
        symbolFormat: 'SYP {#}',
        currencyCode: 'SYP {#}'
    },
    TW: {
        name: 'Taiwan Dollar (TWD)',
        symbolFormat: 'NT${#}',
        currencyCode: 'TWD {#}'
    },
    TZ: {
        name: 'Tanzanian Shilling (TZS)',
        symbolFormat: 'TZS {#}',
        currencyCode: 'TZS {#}'
    },
    TH: {
        name: 'Thai Baht (THB)',
        symbolFormat: '฿{#}',
        currencyCode: 'THB {#}'
    },
    TO: {
        name: "Tonga Pa'anga (TOP)",
        symbolFormat: 'T${#}',
        currencyCode: 'TOP {#}'
    },
    TT: {
        name: 'Trinidad&Tobago Dollar (TTD)',
        symbolFormat: 'TT${#}',
        currencyCode: 'TTD {#}'
    },
    TN: {
        name: 'Tunisian Dinar (TND)',
        symbolFormat: 'TND {#}',
        currencyCode: 'TND {#}'
    },
    TR: {
        name: 'Turkish Lira (TRL)',
        symbolFormat: '₺{#}',
        currencyCode: 'TRL {#}'
    },
    TM: {
        name: 'Turkmen Manat (TMM)',
        symbolFormat: 'TMM {#}',
        currencyCode: 'TMM {#}'
    },
    US: USD,
    AS: USD,
    IO: USD,
    VG: USD,
    GU: USD,
    HT: USD,
    MH: USD,
    FM: USD,
    MP: USD,
    PW: USD,
    PR: USD,
    TC: USD,
    VI: USD,
    AE: {
        name: 'UAE Dirham (AED)',
        symbolFormat: 'AED {#}',
        currencyCode: 'AED {#}'
    },
    UG: {
        name: 'Ugandan Shilling (UGX)',
        symbolFormat: 'USh {#}',
        currencyCode: 'UGX {#}'
    },
    UA: {
        name: 'Ukraine Hryvnia (UAH)',
        symbolFormat: '₴{#}',
        currencyCode: 'UAH {#}'
    },
    UY: {
        name: 'Uruguayan New Peso (UYU)',
        symbolFormat: '${#}',
        currencyCode: 'UYU {#}'
    },
    UZ: {
        name: 'Uzbekistani Sum (UZS)',
        symbolFormat: '{#} soʻm',
        currencyCode: 'UZS {#}'
    },
    VU: {
        name: 'Vanuatu Vatu (VUV)',
        symbolFormat: '{#}VT',
        currencyCode: 'VUV {#}'
    },
    VE: {
        name: 'Venezuelan Bolivar (VEB)',
        symbolFormat: '{#} Bs.',
        currencyCode: 'VEB {#}'
    },
    VN: {
        name: 'Vietnam Dong (VND)',
        symbolFormat: '{#}₫',
        currencyCode: 'VND {#}'
    },
    YE: {
        name: 'Yemen Riyal (YER)',
        symbolFormat: 'YER {#}',
        currencyCode: 'YER {#}'
    },
    YU: {
        name: 'Yugoslav Dinar (YUM)',
        symbolFormat: 'YUM {#}',
        currencyCode: 'YUM {#}'
    },
    ZR: {
        name: 'Zaire New Zaire (ZRN)',
        symbolFormat: 'ZRN {#}',
        currencyCode: 'ZRN {#}'
    },
    ZM: {
        name: 'Zambian Kwacha (ZMK)',
        symbolFormat: 'ZMK {#}',
        currencyCode: 'ZMK {#}'
    },
    ZW: {
        name: 'Zimbabwe Dollar (ZWD)',
        symbolFormat: 'Z${#}',
        currencyCode: 'ZWD {#}'
    },
    AD: EURO,
    AT: EURO,
    BE: EURO,
    CY: EURO,
    EE: EURO,
    FI: EURO,
    FR: EURO,
    DE: EURO,
    GR: EURO,
    IE: EURO,
    IT: EURO,
    XK: EURO,
    LV: EURO,
    LT: EURO,
    LU: EURO,
    MT: EURO,
    MC: EURO,
    ME: EURO,
    NL: EURO,
    PT: EURO,
    SM: EURO,
    SK: EURO,
    SI: EURO,
    ES: EURO,
    VA: EURO
};

// eslint-disable-next-line @typescript-eslint/no-unused-vars
function NumberFormatter$1(value, { locale = 'en-US', decPlaces = 2, style = '', currency = 'USD' } = {}) {
    const currentLocale = getLocale$1(locale);
    if (value !== null && value !== undefined) {
        return Number(value).toLocaleString(currentLocale, {
            minimumFractionDigits: decPlaces,
            maximumFractionDigits: decPlaces
        });
    }
    return value;
}
function CurrencyFormatter$1(value, { symbol = true, position = 'before', locale = 'en-US', decPlaces = 2, style = 'currency', currency = 'USD' } = {}) {
    const currentLocale = getLocale$1(locale);
    let formattedValue = value;
    if (value !== null && value !== undefined && value !== '') {
        formattedValue = NumberFormatter$1(value, {
            locale: currentLocale,
            decPlaces,
            style,
            currency
        });
        let countryCode = currentLocale?.split('-')[1].toUpperCase();
        // If countryCode is still undefined, setting it as US
        if (!countryCode) {
            countryCode = 'US';
        }
        let code;
        if (symbol) {
            code = currencyMap[countryCode]?.symbolFormat;
        }
        else {
            code = currencyMap[countryCode]?.currencyCode;
        }
        // if position is provided, change placeholder accordingly.
        if (position && code) {
            if (position.toLowerCase() === 'before' && code.startsWith('{#}')) {
                code = code.slice(3) + code.slice(0, 3);
            }
            else if (position.toLowerCase() === 'after' && code.endsWith('{#}')) {
                code = code.slice(-3) + code.slice(0, -3);
            }
        }
        return code?.replace('{#}', formattedValue) || formattedValue;
    }
    return formattedValue;
}
function SymbolFormatter$1(value, { symbol = '$', suffix = true, locale = 'en-US' } = {}) {
    let formattedValue = value;
    if (value !== null && value !== undefined) {
        formattedValue = NumberFormatter$1(value, { locale });
        return suffix ? `${formattedValue}${symbol}` : `${symbol}${formattedValue}`;
    }
    return formattedValue;
}
const formatters = {
    Currency: (value, options) => CurrencyFormatter$1(value, options),
    'Currency-Code': (value, options) => CurrencyFormatter$1(value, { ...options, symbol: false }),
    Decimal: (value, options) => NumberFormatter$1(value, options),
    'Decimal-Auto': (value, options) => NumberFormatter$1(value, {
        ...options,
        decPlaces: Number.isInteger(value) ? 0 : 2
    }),
    Integer: (value, options) => NumberFormatter$1(value, { ...options, decPlaces: 0 }),
    Percentage: (value, options) => SymbolFormatter$1(value, { ...options, symbol: '%' })
};

const getCurrencyOptions = (inISOCode) => {
    const operatorLocale = PCore.getEnvironmentInfo().getUseLocale() || PCore.getEnvironmentInfo().getLocale() || 'en-US';
    let currMapToUse = currencyMap.US;
    let localeToUse = operatorLocale;
    // Determine CurrencyMap lookup based on ISO code (if specified).
    //  If no ISO code, use locale
    //  If no locale, default to US
    if (inISOCode) {
        if (inISOCode === 'EUR') {
            currMapToUse = currencyMap.NL;
            localeToUse = 'nl-NL';
        }
        else {
            // For all other ISO codes, use first 2 characters as the lookup from CurrencyMap
            const countryCode = inISOCode.substring(0, 2);
            currMapToUse = currencyMap[countryCode];
        }
    }
    else if (operatorLocale) {
        // No ISO Code so check for operator locale (and force upper case for lookup)
        const countryCode = operatorLocale.substring(3).toUpperCase();
        currMapToUse = currencyMap[countryCode];
    }
    else {
        // no ISO code and no operator locale, default to US
        currMapToUse = currencyMap.US;
    }
    // If no currMapToUse at this point, default to US as a failsafe
    if (!currMapToUse) {
        currMapToUse = currencyMap.US;
    }
    const theCode = currMapToUse.currencyCode.substring(0, 3);
    return { locale: localeToUse, style: 'currency', currency: theCode };
};
const getCurrencyCharacters = (inISOCode) => {
    const theCurrencyChars = {
        theCurrencySymbol: '$',
        theDecimalIndicator: '.',
        theDigitGroupSeparator: ','
    };
    const theCurrencyOptions = getCurrencyOptions(inISOCode);
    const testValue = 1234.56;
    const formattedString = formatters.Currency(testValue, theCurrencyOptions);
    // console.log(`formattedString: ${formattedString}`);
    // Here, we have the formatted string (ex: $1,234.56) where:
    //  Currency symbol = formattedString[0]
    //  Separator = formattedString[2]
    //  DecimalIndicator = formattedString[6];
    theCurrencyChars.theCurrencySymbol = formattedString[0];
    theCurrencyChars.theDigitGroupSeparator = formattedString[2];
    theCurrencyChars.theDecimalIndicator = formattedString[6];
    // console.log(`theCurrencyChars: symbol: ${theCurrencyChars.theCurrencySymbol} | theDigitGroupSeparator: ${theCurrencyChars.theDigitGroupSeparator} | theDecimalIndicator: ${theCurrencyChars.theDecimalIndicator}`);
    return theCurrencyChars;
};

function Boolean(value, { allowEmpty = true, tick = '', cross = '' } = {}) {
    if ((!allowEmpty && !value) || value === false || value?.toString()?.toLowerCase() === 'false' || value === 0 || value === '0') {
        return cross || '';
    }
    if (value === true || value?.toString()?.toLowerCase() === 'true' || value === 1 || value === '1') {
        return tick || '';
    }
    if (allowEmpty && (value === 'null' || value === '' || value === null || typeof value === 'undefined')) {
        return '- -';
    }
    return value;
}
var Boolean$1 = {
    TrueFalse: (value, options) => Boolean(value, {
        ...options,
        tick: options.trueLabel || 'True',
        cross: options.falseLabel || 'False'
    })
};

function getLocale(locale = '') {
    // use locale if specified
    if (locale)
        return locale;
    // otherwise, use operator locale if it's defined
    if (PCore.getEnvironmentInfo().getLocale())
        return PCore.getEnvironmentInfo().getLocale();
    // fallback
    return Intl.DateTimeFormat().resolvedOptions().locale;
}
function getCurrentTimezone() {
    return PCore?.getEnvironmentInfo?.().getTimeZone?.();
}

// eslint-disable-next-line @typescript-eslint/no-unused-vars
function NumberFormatter(value, { locale = 'en-US', decPlaces = 2, style = '', currency = 'USD' } = {}) {
    const currentLocale = getLocale(locale);
    if (value !== null && value !== undefined) {
        return Number(value).toLocaleString(currentLocale, {
            minimumFractionDigits: decPlaces,
            maximumFractionDigits: decPlaces
        });
    }
    return value;
}
function CurrencyFormatter(value, { symbol = true, position = 'before', locale = 'en-US', decPlaces = 2, style = 'currency', currency = 'USD' } = {}) {
    const currentLocale = getLocale(locale);
    let formattedValue = value;
    if (value !== null && value !== undefined && value !== '') {
        formattedValue = NumberFormatter(value, {
            locale: currentLocale,
            decPlaces,
            style,
            currency
        });
        let countryCode = currentLocale?.split('-')[1].toUpperCase();
        // If countryCode is still undefined, setting it as US
        if (!countryCode) {
            countryCode = 'US';
        }
        let code;
        if (symbol) {
            code = currencyMap[countryCode]?.symbolFormat;
        }
        else {
            code = currencyMap[countryCode]?.currencyCode;
        }
        // if position is provided, change placeholder accordingly.
        if (position && code) {
            if (position.toLowerCase() === 'before' && code.startsWith('{#}')) {
                code = code.slice(3) + code.slice(0, 3);
            }
            else if (position.toLowerCase() === 'after' && code.endsWith('{#}')) {
                code = code.slice(-3) + code.slice(0, -3);
            }
        }
        return code?.replace('{#}', formattedValue) || formattedValue;
    }
    return formattedValue;
}
function SymbolFormatter(value, { symbol = '$', suffix = true, locale = 'en-US' } = {}) {
    let formattedValue = value;
    if (value !== null && value !== undefined) {
        formattedValue = NumberFormatter(value, { locale });
        return suffix ? `${formattedValue}${symbol}` : `${symbol}${formattedValue}`;
    }
    return formattedValue;
}
var Currency = {
    Currency: (value, options) => CurrencyFormatter(value, options),
    'Currency-Code': (value, options) => CurrencyFormatter(value, { ...options, symbol: false }),
    Decimal: (value, options) => NumberFormatter(value, options),
    'Decimal-Auto': (value, options) => NumberFormatter(value, {
        ...options,
        decPlaces: Number.isInteger(value) ? 0 : 2
    }),
    Integer: (value, options) => NumberFormatter(value, { ...options, decPlaces: 0 }),
    Percentage: (value, options) => SymbolFormatter(value, { ...options, symbol: '%' })
};

dayjs.extend(relativeTime);
dayjs.extend(localizedFormat);
dayjs.extend(utc);
dayjs.extend(tzone);
const types = ['fromNow', 'customFormat'];
// value should be in ISO 8601 format.
function DateFormatter(value, { type = types[1], format = 'DD/MM/YYYY', timezone = 'America/New_York' } = {}) {
    if (!value)
        return value;
    switch (type) {
        case types[1]:
            if (timezone)
                return dayjs(value).tz(timezone).format(format);
            return dayjs(value).format(format);
        case types[0]:
            return dayjs(value).from(dayjs());
        default:
            return value;
    }
}
// value should be in hh:mm:ss format (00:00:00 - 23:59:59).
function TimeFormatter(value, options) {
    if (!value)
        return value;
    const { locale = 'en-US' } = options;
    const timeOnlyRegex = /^(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)$/;
    if (value.length === 8 && timeOnlyRegex.test(value)) {
        const tempDate = new Date();
        const hours = parseInt(value.substr(0, 2), 10);
        const minutes = parseInt(value.substr(3, 2), 10);
        const seconds = parseInt(value.substr(6, 2), 10);
        tempDate.setHours(hours);
        tempDate.setMinutes(minutes);
        tempDate.setSeconds(seconds);
        return tempDate.toLocaleTimeString(locale, { hour: '2-digit', minute: '2-digit' });
    }
    return DateFormatter(value, options);
}
var DateFormatter$1 = {
    'DateTime-Long': (value, options) => DateFormatter(value, { ...options, type: 'customFormat', format: 'LLL' }),
    'DateTime-Short': (value, options) => DateFormatter(value, {
        ...options,
        type: 'customFormat',
        format: 'MMM DD, YYYY'
    }),
    'DateTime-Since': value => DateFormatter(value, { type: 'fromNow' }),
    'Time-Only': (value, options) => TimeFormatter(value, {
        type: 'customFormat',
        format: 'hh:mm:ss A',
        ...options
    }),
    convertToTimezone: (value, options) => {
        return value && options && options.timezone
            ? DateFormatter(value, {
                ...options,
                type: 'customFormat',
                format: 'YYYY-MM-DDTHH:mm:ss'
            })
            : value;
    },
    convertFromTimezone: (value, timezone) => (value && timezone ? dayjs.tz(value, timezone).utc().format() : value),
    Date: (value, options) => DateFormatter(value, { type: 'customFormat', ...options })
};

var index = {
    ...Boolean$1,
    ...Currency,
    ...DateFormatter$1
};
function getDateObject(text) {
    // TODO - cleanup formatters util functions as DX APIs are returning values per ISO std now.
    const timeStamp = text.replace(/-/g, '');
    const isDateTime = timeStamp.indexOf('GMT') !== -1;
    const year = parseInt(timeStamp.substr(0, 4), 10);
    const month = parseInt(timeStamp.substr(4, 2), 10) - 1;
    const day = parseInt(timeStamp.substr(6, 2), 10);
    const date = new Date();
    date.setDate(day);
    date.setMonth(month);
    date.setFullYear(year);
    if (isDateTime) {
        const hours = parseInt(timeStamp.substr(9, 2), 10);
        const minutes = parseInt(timeStamp.substr(11, 2), 10);
        const seconds = parseInt(timeStamp.substr(13, 2), 10);
        const ms = parseInt(timeStamp.substr(16, 3), 10);
        date.setHours(hours);
        date.setMinutes(minutes);
        date.setSeconds(seconds);
        date.setMilliseconds(ms);
    }
    return date;
}
function isIsoDate(str) {
    if (!/\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}.\d{3}Z/.test(str))
        return false;
    const d = new Date(str);
    return d.toISOString() === str;
}
function parseDateInISO(value) {
    const isMilliSeconds = /^[0-9]+$/.exec(value);
    if (isMilliSeconds) {
        const date = new Date(parseInt(value, 10));
        return date.toISOString();
    }
    if (isIsoDate(value)) {
        const date = new Date(value);
        return date.toISOString();
    }
    return value ? getDateObject(value).toISOString() : value;
}
function format(value, type, options = {}) {
    let formattedValue;
    switch (type?.toLowerCase()) {
        case 'currency': {
            const defaultOptions = {
                locale: getLocale(),
                position: 'before',
                decPlaces: 2
            };
            const params = { ...defaultOptions, ...options };
            formattedValue = Currency.Currency(value, params);
            break;
        }
        case 'percentage': {
            const defaultOptions = { locale: getLocale(), decPlaces: 2 };
            const params = { ...defaultOptions, ...options };
            formattedValue = Currency.Percentage(value, params);
            break;
        }
        case 'decimal': {
            const defaultOptions = { locale: getLocale(), decPlaces: 2 };
            const params = { ...defaultOptions, ...options };
            formattedValue = Currency.Decimal(value, params);
            break;
        }
        case 'integer': {
            const defaultOptions = { locale: getLocale() };
            const params = { ...defaultOptions, ...options };
            formattedValue = Currency.Integer(value, params);
            break;
        }
        case 'date': {
            const defaultOptions = {
                format: 'MMM DD, YYYY',
                timezone: getCurrentTimezone()
            };
            const params = { ...defaultOptions, ...options };
            formattedValue = DateFormatter$1.Date(parseDateInISO(value), params);
            break;
        }
        case 'datetime': {
            const defaultOptions = {
                format: 'MMM DD, YYYY h:mm A',
                timezone: getCurrentTimezone()
            };
            const params = { ...defaultOptions, ...options };
            formattedValue = DateFormatter$1.Date(parseDateInISO(value), params);
            break;
        }
        case 'boolean':
        case 'checkbox': {
            formattedValue = Boolean$1.TrueFalse(value, { allowEmpty: false, ...options });
            break;
        }
        case 'userreference': {
            formattedValue = value.userName;
            break;
        }
        case 'timeonly': {
            const defaultOptions = {
                locale: getLocale(),
                format: 'hh:mm A',
                timezone: getCurrentTimezone()
            };
            const params = { ...defaultOptions, ...options };
            formattedValue = DateFormatter$1['Time-Only'](value, params);
            break;
        }
        default:
            formattedValue = value;
    }
    return formattedValue;
}

class CurrencyComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.currencyISOCode = 'USD';
        this.currencyOptions = {};
        this.fieldControl = new FormControl(null, { updateOn: 'blur' });
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // starting very simple...
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.inputMode = NgxCurrencyInputMode.Natural;
        let nValue = this.configProps$.value;
        if (nValue) {
            if (typeof nValue === 'string') {
                nValue = parseFloat(nValue);
            }
            this.value$ = nValue;
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        const currencyISOCode = this.configProps$?.currencyISOCode ?? '';
        const theSymbols = getCurrencyCharacters(currencyISOCode);
        this.currencySymbol = theSymbols.theCurrencySymbol;
        this.thousandSeparator = theSymbols.theDigitGroupSeparator;
        this.decimalSeparator = theSymbols.theDecimalIndicator;
        this.formatter = this.configProps$.formatter;
        if (this.displayMode$ === 'DISPLAY_ONLY' || this.displayMode$ === 'STACKED_LARGE_VAL') {
            const theCurrencyOptions = getCurrencyOptions(currencyISOCode);
            if (this.formatter) {
                this.formattedValue = format(this.value$, this.formatter.toLowerCase(), theCurrencyOptions);
            }
            else {
                this.formattedValue = format(this.value$, 'currency', theCurrencyOptions);
            }
        }
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        if (this.configProps$.currencyISOCode != null) {
            this.currencyISOCode = this.configProps$.currencyISOCode;
        }
        this.decimalPrecision = this.configProps$?.allowDecimals ? 2 : 0;
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnBlur(event) {
        const actionsApi = this.pConn$?.getActionsApi();
        const propName = this.pConn$?.getStateProps().value;
        let value = event?.target?.value;
        value = value?.substring(1);
        // replacing thousand separator with empty string as not required in api call
        const thousandSep = this.thousandSeparator === '.' ? '\\.' : this.thousandSeparator;
        let regExp = new RegExp(String.raw `${thousandSep}`, 'g');
        value = value?.replace(regExp, '');
        // replacing decimal separator with '.'
        if (this.decimalSeparator !== '.') {
            regExp = new RegExp(String.raw `${this.decimalSeparator}`, 'g');
            value = value.replace(regExp, '.');
        }
        handleEvent(actionsApi, 'changeNblur', propName, value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CurrencyComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CurrencyComponent, isStandalone: true, selector: "app-currency", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\" class=\"psdk-currency-field\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <div class=\"psdk-currency-input\">\n          <input\n            style=\"margin-left: 5px; margin-top: -1rem\"\n            type=\"text\"\n            matInput\n            currencyMask\n            [options]=\"{\n              prefix: currencySymbol,\n              thousands: thousandSeparator,\n              decimal: decimalSeparator,\n              align: 'left',\n              nullable: true,\n              precision: decimalPrecision,\n              inputMode: inputMode\n            }\"\n            [placeholder]=\"placeholder\"\n            [formControlName]=\"controlName$\"\n            [required]=\"bRequired$\"\n            [formControl]=\"fieldControl\"\n            [attr.data-test-id]=\"testId\"\n            (blur)=\"fieldOnBlur($event)\"\n            [readonly]=\"bReadonly$\"\n          />\n        </div>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}.psdk-currency-input{display:flex}.psdk-currency-field ::ng-deep .mdc-floating-label{position:initial!important}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlName), selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i0.forwardRef(() => NgxCurrencyDirective), selector: "input[currencyMask]", inputs: ["currencyMask", "options"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CurrencyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-currency', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, NgxCurrencyDirective, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\" class=\"psdk-currency-field\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <div class=\"psdk-currency-input\">\n          <input\n            style=\"margin-left: 5px; margin-top: -1rem\"\n            type=\"text\"\n            matInput\n            currencyMask\n            [options]=\"{\n              prefix: currencySymbol,\n              thousands: thousandSeparator,\n              decimal: decimalSeparator,\n              align: 'left',\n              nullable: true,\n              precision: decimalPrecision,\n              inputMode: inputMode\n            }\"\n            [placeholder]=\"placeholder\"\n            [formControlName]=\"controlName$\"\n            [required]=\"bRequired$\"\n            [formControl]=\"fieldControl\"\n            [attr.data-test-id]=\"testId\"\n            (blur)=\"fieldOnBlur($event)\"\n            [readonly]=\"bReadonly$\"\n          />\n        </div>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}.psdk-currency-input{display:flex}.psdk-currency-field ::ng-deep .mdc-floating-label{position:initial!important}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

const dateFormatInfoDefault = {
    dateFormatString: 'MM/DD/YYYY',
    dateFormatStringLong: 'MMM DD, YYYY',
    dateFormatStringLC: 'mm/dd/yyyy',
    dateFormatMask: '__/__/____'
};
const getDateFormatInfo = () => {
    const localizedVal = PCore?.getLocaleUtils().getLocaleValue;
    const localeCategory = 'CosmosFields';
    const theDateFormatInfo = dateFormatInfoDefault;
    const theLocale = getLocale$1();
    // NOTE: this date was chosen since it has a day larger than 12. If you change it,
    //  you'll need to change the indexOf values below!
    const theTestDate = new Date(Date.parse('30 November 2023 12:00:00 GMT'));
    const theTestDateLocaleString = new Intl.DateTimeFormat(theLocale).format(theTestDate);
    // console.log(`theLocale: ${theLocale} theTestDateLocaleString: ${theTestDateLocaleString}`);
    // Build the format string based on where '11' (mm), '30' (dd), and '2023' (yyyy) are
    //  Example: US locations are 0, 3, 6 but for NL locations are 3, 0, 6
    const locMM = theTestDateLocaleString.indexOf('11');
    const locDD = theTestDateLocaleString.indexOf('30');
    const locYYYY = theTestDateLocaleString.indexOf('2023');
    // If localized placeholder exists for one of day/month/year then show it otherwise fall back to ddmmyyyy
    const localizedPlaceholderExists = localizedVal('month_placeholder', localeCategory) !== 'month_placeholder' ||
        localizedVal('day_placeholder', localeCategory) !== 'day_placeholder' ||
        localizedVal('year_placeholder', localeCategory) !== 'year_placeholder';
    const arrPieces = [
        {
            loc: locMM,
            format: 'MM',
            longFormat: 'MMM',
            placeholder: localizedPlaceholderExists ? localizedVal('month_placeholder', localeCategory) : 'mm',
            mask: '__',
            separator: theTestDateLocaleString[locMM + 2]
        },
        {
            loc: locDD,
            format: 'DD',
            longFormat: 'DD',
            placeholder: localizedPlaceholderExists ? localizedVal('day_placeholder', localeCategory) : 'dd',
            mask: '__',
            separator: theTestDateLocaleString[locDD + 2]
        },
        {
            loc: locYYYY,
            format: 'YYYY',
            longFormat: 'YYYY',
            placeholder: localizedPlaceholderExists ? localizedVal('year_placeholder', localeCategory) : 'yyyy',
            mask: '____',
            separator: theTestDateLocaleString[locYYYY + 4]
        }
    ];
    // Sort the associative array by order of appearance (loc) of each piece
    arrPieces.sort((a, b) => {
        if (a.loc < b.loc)
            return -1;
        if (a.loc > b.loc)
            return 1;
        return 0;
    });
    // Construct the structure to return...
    theDateFormatInfo.dateFormatString = `${arrPieces[0].format}${arrPieces[0].separator}${arrPieces[1].format}${arrPieces[1].separator}${arrPieces[2].format}`;
    theDateFormatInfo.dateFormatStringLong = `${arrPieces[0].longFormat} ${arrPieces[1].longFormat}, ${arrPieces[2].longFormat}`;
    theDateFormatInfo.dateFormatStringLC = `${arrPieces[0].placeholder}${arrPieces[0].separator}${arrPieces[1].placeholder}${arrPieces[1].separator}${arrPieces[2].placeholder}`;
    theDateFormatInfo.dateFormatMask = `${arrPieces[0].mask}${arrPieces[0].separator}${arrPieces[1].mask}${arrPieces[1].separator}${arrPieces[2].mask}`;
    return theDateFormatInfo;
};

class MyFormat {
    constructor() {
        this.theDateFormat = getDateFormatInfo();
    }
    get display() {
        return {
            dateInput: this.theDateFormat.dateFormatString,
            monthYearLabel: 'MMM YYYY',
            dateA11yLabel: 'LL',
            monthYearA11yLabel: 'MMMM YYYY'
        };
    }
    get parse() {
        return {
            dateInput: this.theDateFormat.dateFormatString
        };
    }
}
class DateComponent {
    constructor(angularPConnect, cdRef, utils, config) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        this.config = config;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.testId = '';
        this.fieldControl = new FormControl('', null);
        // Start with default dateFormatInfo
        this.dateFormatInfo = dateFormatInfoDefault;
        // and then update, as needed, based on locale, etc.
        this.theDateFormat = getDateFormatInfo();
    }
    ngOnInit() {
        this.dateFormatInfo = this.theDateFormat;
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // starting very simple...
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.value$ = this.configProps$.value;
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.displayMode$ === 'DISPLAY_ONLY' || this.displayMode$ === 'STACKED_LARGE_VAL') {
            this.formattedValue$ = format(this.value$, 'date', {
                format: this.theDateFormat.dateFormatString
            });
        }
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnDateChange(event) {
        // this comes from the date pop up
        const value = event?.target?.value.format('YYYY-MM-DD');
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    hasErrors() {
        return this.fieldControl.status === 'INVALID';
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = `${this.fieldControl.errors['matDatepickerParse'].text} is not a valid date value`;
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DateComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }, { token: MAT_DATE_FORMATS }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DateComponent, isStandalone: true, selector: "app-date", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, providers: [{ provide: MAT_DATE_FORMATS, useClass: MyFormat }], ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          #dateInput\n          [attr.data-test-id]=\"testId\"\n          [matDatepicker]=\"pegadate\"\n          [placeholder]=\"dateFormatInfo.dateFormatStringLC\"\n          type=\"text\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          (dateChange)=\"fieldOnDateChange($event)\"\n        />\n        <mat-datepicker-toggle matSuffix [for]=\"pegadate\"></mat-datepicker-toggle>\n        <mat-datepicker #pegadate [startAt]=\"value$\"></mat-datepicker>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'date' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}::ng-deep .mat-mdc-form-field-hint-wrapper{padding:0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatSuffix), selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatDatepickerModule) }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepicker), selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { kind: "directive", type: i0.forwardRef(() => i4$2.MatDatepickerInput), selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepickerToggle), selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatNativeDateModule) }, { kind: "ngmodule", type: i0.forwardRef(() => MomentDateModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-date', standalone: true, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatDatepickerModule,
                        MatNativeDateModule,
                        MomentDateModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], providers: [{ provide: MAT_DATE_FORMATS, useClass: MyFormat }], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          #dateInput\n          [attr.data-test-id]=\"testId\"\n          [matDatepicker]=\"pegadate\"\n          [placeholder]=\"dateFormatInfo.dateFormatStringLC\"\n          type=\"text\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          (dateChange)=\"fieldOnDateChange($event)\"\n        />\n        <mat-datepicker-toggle matSuffix [for]=\"pegadate\"></mat-datepicker-toggle>\n        <mat-datepicker #pegadate [startAt]=\"value$\"></mat-datepicker>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'date' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}::ng-deep .mat-mdc-form-field-hint-wrapper{padding:0}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }, { type: MyFormat, decorators: [{
                    type: Inject,
                    args: [MAT_DATE_FORMATS]
                }] }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class DateTimeComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.testId = '';
        this.fieldControl = new FormControl('', null);
        this.stepHour = 1;
        this.stepMinute = 1;
        this.stepSecond = 1;
        this.color = 'primary';
        // Start with default dateFormatInfo
        this.dateFormatInfo = dateFormatInfoDefault;
        // and then update, as needed, based on locale, etc.
        this.theDateFormat = getDateFormatInfo();
    }
    ngOnInit() {
        this.placeholder = `${this.theDateFormat.dateFormatStringLC}, hh:mm A`;
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // starting very simple...
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.testId = this.configProps$.testId;
        this.helperText = this.configProps$.helperText;
        this.value$ = this.configProps$?.value;
        this.fieldControl.setValue(this.value$);
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.displayMode$ === 'DISPLAY_ONLY' || this.displayMode$ === 'STACKED_LARGE_VAL') {
            this.formattedValue$ = format(this.value$, 'datetime', {
                format: `${this.theDateFormat.dateFormatString} hh:mm A`
            });
        }
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnDateChange(event) {
        // this comes from the date pop up
        if (typeof event.value === 'object') {
            // convert date to pega "date" format
            event.value = event.value?.toISOString();
        }
        handleEvent(this.actionsApi, 'changeNblur', this.propName, event.value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DateTimeComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DateTimeComponent, isStandalone: true, selector: "app-date-time", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [owlDateTime]=\"dtPicker\"\n          [attr.data-test-id]=\"testId\"\n          [placeholder]=\"placeholder\"\n          [formControl]=\"fieldControl\"\n          (dateTimeChange)=\"fieldOnDateChange($event)\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n        />\n        <mat-datepicker-toggle matSuffix [owlDateTimeTrigger]=\"dtPicker\"></mat-datepicker-toggle>\n        <owl-date-time #dtPicker></owl-date-time>\n        <mat-error *ngIf=\"fieldControl?.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'date-time' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}::ng-deep .mat-datepicker-content,::ng-deep .time-container{box-shadow:0 2px 4px -1px #0003,0 4px 5px #00000024,0 1px 10px #0000001f;display:block;border-radius:4px;background-color:var(--mat-datepicker-calendar-container-background-color);color:var(--mat-datepicker-calendar-container-text-color)}::ng-deep .mat-calendar-body-cell-content{color:var(--mat-datepicker-calendar-date-text-color);border-color:var(--mat-datepicker-calendar-date-outline-color)}::ng-deep .mat-calendar-body-selected{background-color:var(--mat-datepicker-calendar-date-selected-state-background-color);color:var(--mat-datepicker-calendar-date-selected-state-text-color)}::ng-deep .mat-calendar-body-cell-content{border:none!important}::ng-deep .mat-calendar-body-cell:not(.mat-calendar-body-disabled):hover>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected):not(.mat-calendar-body-comparison-identical){background-color:var(--mat-datepicker-calendar-date-hover-state-background-color)}::ng-deep .mat-calendar-arrow{fill:var(--mat-datepicker-calendar-period-button-icon-color)}::ng-deep .mat-calendar-table-header th{text-align:center;padding:0 0 8px;color:var(--mat-datepicker-calendar-header-text-color);font-size:var(--mat-datepicker-calendar-header-text-size);font-weight:var(--mat-datepicker-calendar-header-text-weight)}::ng-deep .mat-datepicker-content .mat-calendar-previous-button,::ng-deep .mat-datepicker-content .mat-calendar-next-button{color:var(--mat-datepicker-calendar-navigation-button-icon-color)}::ng-deep .mat-calendar-table-header-divider:after{content:\"\";position:absolute;top:0;left:-8px;right:-8px;height:1px;background:var(--mat-datepicker-calendar-header-divider-color)}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatSuffix), selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatDatepickerModule) }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepickerToggle), selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "ngmodule", type: i0.forwardRef(() => OwlDateTimeModule) }, { kind: "directive", type: i0.forwardRef(() => i8$1.OwlDateTimeTriggerDirective), selector: "[owlDateTimeTrigger]", inputs: ["owlDateTimeTrigger", "disabled"] }, { kind: "directive", type: i0.forwardRef(() => i8$1.OwlDateTimeInputDirective), selector: "input[owlDateTime]", inputs: ["required", "owlDateTime", "owlDateTimeFilter", "_disabled", "min", "max", "selectMode", "rangeSeparator", "value", "values"], outputs: ["dateTimeChange", "dateTimeInput"], exportAs: ["owlDateTimeInput"] }, { kind: "component", type: i0.forwardRef(() => i8$1.OwlDateTimeComponent), selector: "owl-date-time", inputs: ["backdropClass", "panelClass", "startAt", "endAt", "pickerType", "pickerMode", "disabled", "opened", "scrollStrategy"], outputs: ["afterPickerClosed", "beforePickerOpen", "afterPickerOpen", "yearSelected", "monthSelected", "dateSelected"], exportAs: ["owlDateTime"] }, { kind: "ngmodule", type: i0.forwardRef(() => OwlNativeDateTimeModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DateTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-date-time', standalone: true, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatDatepickerModule,
                        OwlDateTimeModule,
                        OwlNativeDateTimeModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [owlDateTime]=\"dtPicker\"\n          [attr.data-test-id]=\"testId\"\n          [placeholder]=\"placeholder\"\n          [formControl]=\"fieldControl\"\n          (dateTimeChange)=\"fieldOnDateChange($event)\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n        />\n        <mat-datepicker-toggle matSuffix [owlDateTimeTrigger]=\"dtPicker\"></mat-datepicker-toggle>\n        <owl-date-time #dtPicker></owl-date-time>\n        <mat-error *ngIf=\"fieldControl?.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'date-time' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}::ng-deep .mat-datepicker-content,::ng-deep .time-container{box-shadow:0 2px 4px -1px #0003,0 4px 5px #00000024,0 1px 10px #0000001f;display:block;border-radius:4px;background-color:var(--mat-datepicker-calendar-container-background-color);color:var(--mat-datepicker-calendar-container-text-color)}::ng-deep .mat-calendar-body-cell-content{color:var(--mat-datepicker-calendar-date-text-color);border-color:var(--mat-datepicker-calendar-date-outline-color)}::ng-deep .mat-calendar-body-selected{background-color:var(--mat-datepicker-calendar-date-selected-state-background-color);color:var(--mat-datepicker-calendar-date-selected-state-text-color)}::ng-deep .mat-calendar-body-cell-content{border:none!important}::ng-deep .mat-calendar-body-cell:not(.mat-calendar-body-disabled):hover>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected):not(.mat-calendar-body-comparison-identical){background-color:var(--mat-datepicker-calendar-date-hover-state-background-color)}::ng-deep .mat-calendar-arrow{fill:var(--mat-datepicker-calendar-period-button-icon-color)}::ng-deep .mat-calendar-table-header th{text-align:center;padding:0 0 8px;color:var(--mat-datepicker-calendar-header-text-color);font-size:var(--mat-datepicker-calendar-header-text-size);font-weight:var(--mat-datepicker-calendar-header-text-weight)}::ng-deep .mat-datepicker-content .mat-calendar-previous-button,::ng-deep .mat-datepicker-content .mat-calendar-next-button{color:var(--mat-datepicker-calendar-navigation-button-icon-color)}::ng-deep .mat-calendar-table-header-divider:after{content:\"\";position:absolute;top:0;left:-8px;right:-8px;height:1px;background:var(--mat-datepicker-calendar-header-divider-color)}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class DecimalComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl(null, null);
        this.currencySymbol = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // starting very simple...
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.inputMode = NgxCurrencyInputMode.Natural;
        let nValue = this.configProps$.value;
        if (nValue) {
            if (typeof nValue === 'string') {
                nValue = parseFloat(nValue);
            }
            this.value$ = nValue;
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        const showGroupSeparators = this.configProps$.showGroupSeparators;
        const currencyISOCode = this.configProps$?.currencyISOCode ?? '';
        const theSymbols = getCurrencyCharacters(currencyISOCode);
        this.decimalSeparator = theSymbols.theDecimalIndicator;
        this.thousandSeparator = showGroupSeparators ? theSymbols.theDigitGroupSeparator : '';
        const theCurrencyOptions = getCurrencyOptions(currencyISOCode);
        this.formatter = this.configProps$.formatter;
        if (this.formatter) {
            this.formattedValue = format(this.value$, this.formatter.toLowerCase(), theCurrencyOptions);
        }
        else {
            this.formattedValue = format(this.value$, 'decimal', theCurrencyOptions);
        }
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.bReadonly$ && this.formatter === 'Currency') {
            this.currencySymbol = theSymbols.theCurrencySymbol;
        }
        this.decimalPrecision = this.configProps$?.decimalPrecision ?? 2;
        this.componentReference = this.pConn$.getStateProps().value;
    }
    fieldOnBlur(event) {
        const actionsApi = this.pConn$?.getActionsApi();
        const propName = this.pConn$?.getStateProps().value;
        let value = event?.target?.value;
        // replacing thousand separator with empty string as not required in api call
        if (this.configProps$.showGroupSeparators) {
            const thousandSep = this.thousandSeparator === '.' ? '\\.' : this.thousandSeparator;
            const regExp = new RegExp(String.raw `${thousandSep}`, 'g');
            value = value?.replace(regExp, '');
        }
        // replacing decimal separator with '.'
        if (this.decimalSeparator !== '.') {
            const regExp = new RegExp(String.raw `${this.decimalSeparator}`, 'g');
            value = value.replace(regExp, '.');
        }
        handleEvent(actionsApi, 'changeNblur', propName, value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DecimalComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DecimalComponent, isStandalone: true, selector: "app-decimal", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          type=\"text\"\n          matInput\n          currencyMask\n          [options]=\"{\n            prefix: currencySymbol,\n            thousands: thousandSeparator,\n            decimal: decimalSeparator,\n            align: 'left',\n            nullable: true,\n            precision: decimalPrecision,\n            inputMode: inputMode\n          }\"\n          [placeholder]=\"placeholder\"\n          step=\"0.01\"\n          [formControlName]=\"controlName$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (blur)=\"fieldOnBlur($event)\"\n          [readonly]=\"bReadonly$\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlName), selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: i0.forwardRef(() => FormsModule) }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i0.forwardRef(() => NgxCurrencyDirective), selector: "input[currencyMask]", inputs: ["currencyMask", "options"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DecimalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-decimal', standalone: true, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        FormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        NgxCurrencyDirective,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          type=\"text\"\n          matInput\n          currencyMask\n          [options]=\"{\n            prefix: currencySymbol,\n            thousands: thousandSeparator,\n            decimal: decimalSeparator,\n            align: 'left',\n            nullable: true,\n            precision: decimalPrecision,\n            inputMode: inputMode\n          }\"\n          [placeholder]=\"placeholder\"\n          step=\"0.01\"\n          [formControlName]=\"controlName$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (blur)=\"fieldOnBlur($event)\"\n          [readonly]=\"bReadonly$\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

function flattenParameters(params = {}) {
    const flatParams = {};
    Object.keys(params).forEach(key => {
        const { name, value: theVal } = params[key];
        flatParams[name] = theVal;
    });
    return flatParams;
}
function preProcessColumns$1(columnList) {
    return columnList.map(col => {
        const tempColObj = { ...col };
        tempColObj.value = col.value && col.value.startsWith('.') ? col.value.substring(1) : col.value;
        return tempColObj;
    });
}
function getDisplayFieldsMetaData$1(columnList) {
    const displayColumns = columnList.filter(col => col.display === 'true');
    const metaDataObj = { key: '', primary: '', secondary: [] };
    const keyCol = columnList.filter(col => col.key === 'true');
    metaDataObj.key = keyCol.length > 0 ? keyCol[0].value : 'auto';
    for (let index = 0; index < displayColumns.length; index += 1) {
        if (displayColumns[index].primary === 'true') {
            metaDataObj.primary = displayColumns[index].value;
        }
        else {
            metaDataObj.secondary.push(displayColumns[index].value);
        }
    }
    return metaDataObj;
}
class DropdownComponent {
    constructor(angularPConnect, cdRef, utils, dataPageService) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        this.dataPageService = dataPageService;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.testId = '';
        this.fieldControl = new FormControl('', null);
        this.localeContext = '';
        this.localeClass = '';
        this.localeName = '';
        this.localePath = '';
        this.localizedValue = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        this.checkAndUpdate();
        // this should get called afer checkAndUpdate
        this.getDatapageData();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.testId = this.configProps$.testId;
        this.displayMode$ = this.configProps$.displayMode;
        this.label$ = this.configProps$.label;
        this.helperText = this.configProps$.helperText;
        this.hideLabel = this.configProps$.hideLabel;
        const datasource = this.configProps$.datasource;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (!isEqual(datasource, this.theDatasource)) {
            // inbound datasource is different, so update theDatasource
            this.theDatasource = datasource || null;
        }
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        if (this.value$ === '' && !this.bReadonly$) {
            this.value$ = 'Select';
        }
        if (this.theDatasource) {
            const optionsList = [...this.utils.getOptionList(this.configProps$, this.pConn$.getDataObject())];
            optionsList?.unshift({ key: 'Select', value: this.pConn$.getLocalizedValue('Select...', '', '') });
            this.options$ = optionsList;
        }
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        const className = this.pConn$.getCaseInfo().getClassName();
        const refName = this.propName?.slice(this.propName.lastIndexOf('.') + 1);
        this.fieldMetadata = this.configProps$.fieldMetadata;
        const metaData = Array.isArray(this.fieldMetadata) ? this.fieldMetadata.filter(field => field?.classID === className)[0] : this.fieldMetadata;
        let displayName = metaData?.datasource?.propertyForDisplayText;
        displayName = displayName?.slice(displayName.lastIndexOf('.') + 1);
        this.localeContext = metaData?.datasource?.tableType === 'DataPage' ? 'datapage' : 'associated';
        this.localeClass = this.localeContext === 'datapage' ? '@baseclass' : className;
        this.localeName = this.localeContext === 'datapage' ? metaData?.datasource?.name : refName;
        this.localePath = this.localeContext === 'datapage' ? displayName : this.localeName;
        this.localizedValue = this.pConn$.getLocalizedValue(this.value$, this.localePath, this.pConn$.getLocaleRuleNameFromKeys(this.localeClass, this.localeContext, this.localeName));
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    getDatapageData() {
        const configProps = this.pConn$.getConfigProps();
        let { listType, parameters, datasource = [], columns = [] } = configProps;
        const { deferDatasource, datasourceMetadata } = configProps;
        const context = this.pConn$.getContextName();
        if (deferDatasource && datasourceMetadata?.datasource?.name) {
            listType = 'datapage';
            datasource = datasourceMetadata.datasource.name;
            const { parameters: dataSourceParameters, propertyForDisplayText, propertyForValue } = datasourceMetadata.datasource;
            parameters = flattenParameters(dataSourceParameters);
            const displayProp = propertyForDisplayText?.startsWith('@P') ? propertyForDisplayText.substring(3) : propertyForDisplayText;
            const valueProp = propertyForValue?.startsWith('@P') ? propertyForValue.substring(3) : propertyForValue;
            columns = [
                {
                    key: 'true',
                    setProperty: 'Associated property',
                    value: valueProp
                },
                {
                    display: 'true',
                    primary: 'true',
                    useForSearch: true,
                    value: displayProp
                }
            ];
        }
        columns = preProcessColumns$1(columns) || [];
        if (!this.displayMode$ && listType !== 'associated' && typeof datasource === 'string') {
            this.getData(datasource, parameters, columns, context, listType);
        }
    }
    getData(dataSource, parameters, columns, context, listType) {
        const dataConfig = {
            columns,
            dataSource,
            deferDatasource: true,
            listType,
            parameters,
            matchPosition: 'contains',
            maxResultsDisplay: '5000',
            cacheLifeSpan: 'form'
        };
        PCore.getDataApi()
            .init(dataConfig, context)
            .then((dataApiObj) => {
            const optionsData = [];
            const displayColumn = getDisplayFieldsMetaData$1(columns);
            dataApiObj?.fetchData('').then(response => {
                response.data?.forEach(element => {
                    const val = element[displayColumn.primary]?.toString();
                    const obj = {
                        key: element[displayColumn.key] || element.pyGUID,
                        value: val
                    };
                    optionsData.push(obj);
                });
                optionsData?.unshift({ key: 'Select', value: this.pConn$.getLocalizedValue('Select...', '', '') });
                this.options$ = optionsData;
            });
        });
    }
    isSelected(buttonValue) {
        return this.value$ === buttonValue;
    }
    fieldOnChange(event) {
        if (event?.value === 'Select') {
            event.value = '';
        }
        handleEvent(this.actionsApi, 'changeNblur', this.propName, event.value);
        if (this.configProps$?.onRecordChange) {
            this.configProps$.onRecordChange(event);
        }
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    getLocalizedOptionValue(opt) {
        return this.pConn$.getLocalizedValue(opt.value, this.localePath, this.pConn$.getLocaleRuleNameFromKeys(this.localeClass, this.localeContext, this.localeName));
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DropdownComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }, { token: DatapageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DropdownComponent, isStandalone: true, selector: "app-dropdown", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper\n    *ngIf=\"bVisible$ !== false\"\n    name=\"FieldValueList\"\n    [props]=\"{ label$, value$: this.localizedValue, displayMode$ }\"\n  ></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-select\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          (selectionChange)=\"fieldOnChange($event)\"\n          [formControl]=\"fieldControl\"\n        >\n          <mat-option *ngFor=\"let opt of options$\" [value]=\"opt.key\">\n            {{ getLocalizedOptionValue(opt) }}\n          </mat-option>\n        </mat-select>\n        <mat-label>{{ label$ }}</mat-label>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-form{min-width:9.375rem;width:100%}.psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSelectModule) }, { kind: "component", type: i0.forwardRef(() => i7$1.MatSelect), selector: "mat-select", inputs: ["aria-describedby", "panelClass", "disabled", "disableRipple", "tabIndex", "hideSingleSelectionIndicator", "placeholder", "required", "multiple", "disableOptionCentering", "compareWith", "value", "aria-label", "aria-labelledby", "errorStateMatcher", "typeaheadDebounceInterval", "sortComparator", "id", "panelWidth"], outputs: ["openedChange", "opened", "closed", "selectionChange", "valueChange"], exportAs: ["matSelect"] }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-dropdown', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatSelectModule, MatOptionModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper\n    *ngIf=\"bVisible$ !== false\"\n    name=\"FieldValueList\"\n    [props]=\"{ label$, value$: this.localizedValue, displayMode$ }\"\n  ></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-select\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          (selectionChange)=\"fieldOnChange($event)\"\n          [formControl]=\"fieldControl\"\n        >\n          <mat-option *ngFor=\"let opt of options$\" [value]=\"opt.key\">\n            {{ getLocalizedOptionValue(opt) }}\n          </mat-option>\n        </mat-select>\n        <mat-label>{{ label$ }}</mat-label>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-form{min-width:9.375rem;width:100%}.psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }, { type: DatapageService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class EmailComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl('', null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EmailComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: EmailComponent, isStandalone: true, selector: "app-email", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"email\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (change)=\"fieldOnChange($event)\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EmailComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-email', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"email\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (change)=\"fieldOnChange($event)\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class GroupComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        // Used with AngularPConnect
        this.angularPConnectData = {};
    }
    ngOnInit() {
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.checkAndUpdate();
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.pConn$.getChildren());
        this.visibility$ = this.configProps$.visibility;
        this.showHeading$ = this.configProps$.showHeading;
        this.heading$ = this.configProps$.heading;
        this.instructions$ = this.configProps$.instructions;
        this.collapsible$ = this.configProps$.collapsible;
        if (this.configProps$.visibility === undefined) {
            this.visibility$ = this.pConn$.getComputedVisibility();
        }
        if (this.configProps$.displayMode === 'DISPLAY_ONLY') {
            if (this.configProps$.visibility === undefined)
                this.visibility$ = true;
            this.arChildren$.forEach(child => {
                const pConn = child.getPConnect();
                pConn.setInheritedProp('displayMode', 'DISPLAY_ONLY');
                pConn.setInheritedProp('readOnly', true);
                return child;
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: GroupComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: GroupComponent, isStandalone: true, selector: "app-group", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<ng-container *ngIf=\"visibility$ && arChildren$.length\">\n  <component-mapper\n    name=\"FieldGroup\"\n    [props]=\"{\n      name: showHeading$ ? heading$ : undefined,\n      collapsible: collapsible$,\n      instructions: instructions$,\n      childrenTemplate: childrenTemplate\n    }\"\n  >\n  </component-mapper>\n\n  <ng-template #childrenTemplate>\n    <div *ngFor=\"let kid of arChildren$\">\n      <component-mapper\n        [name]=\"kid.getPConnect().getComponentName()\"\n        [props]=\"{\n          pConn$: kid.getPConnect(),\n          formGroup$: formGroup$\n        }\"\n        errorMsg=\"Field Group wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </ng-template>\n</ng-container>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: GroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-group', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<ng-container *ngIf=\"visibility$ && arChildren$.length\">\n  <component-mapper\n    name=\"FieldGroup\"\n    [props]=\"{\n      name: showHeading$ ? heading$ : undefined,\n      collapsible: collapsible$,\n      instructions: instructions$,\n      childrenTemplate: childrenTemplate\n    }\"\n  >\n  </component-mapper>\n\n  <ng-template #childrenTemplate>\n    <div *ngFor=\"let kid of arChildren$\">\n      <component-mapper\n        [name]=\"kid.getPConnect().getComponentName()\"\n        [props]=\"{\n          pConn$: kid.getPConnect(),\n          formGroup$: formGroup$\n        }\"\n        errorMsg=\"Field Group wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </ng-template>\n</ng-container>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class IntegerComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl(null, null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        let nValue = this.configProps$.value;
        if (nValue) {
            if (typeof nValue === 'string') {
                nValue = parseInt(nValue, 10);
            }
            this.value$ = nValue;
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange() {
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        // field control gets error message from here
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: IntegerComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: IntegerComponent, isStandalone: true, selector: "app-integer", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"number\"\n          step=\"1\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NumberValueAccessor), selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: IntegerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-integer', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"number\"\n          step=\"1\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class ListViewActionButtonsComponent {
    constructor() {
        // @Input() closeActionsDialog: any;
        this.closeActionsDialog = new EventEmitter();
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'Data Object';
    }
    onCancel() {
        // this.closeActionsDialog();
        this.closeActionsDialog.emit();
        this.pConn$.getActionsApi().cancelDataObject(this.context$);
    }
    onSubmit() {
        this.isDisabled = true;
        this.pConn$
            .getActionsApi()
            .submitEmbeddedDataModal(this.context$)
            .then(() => { })
            .finally(() => {
            this.isDisabled = false;
        });
        this.closeActionsDialog.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListViewActionButtonsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ListViewActionButtonsComponent, isStandalone: true, selector: "app-list-view-action-buttons", inputs: { pConn$: "pConn$", context$: "context$" }, outputs: { closeActionsDialog: "closeActionsDialog" }, ngImport: i0, template: "<mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n  <mat-grid-tile>\n    <button mat-raised-button variant=\"contained\" color=\"secondary\" (click)=\"onCancel()\">\n      {{ localizedVal('Cancel', localeCategory) }}\n    </button>\n  </mat-grid-tile>\n  <mat-grid-tile>\n    <button mat-raised-button variant=\"contained\" color=\"primary\" [disabled]=\"isDisabled\" (click)=\"onSubmit()\">\n      {{ localizedVal('Submit', localeCategory) }}\n    </button>\n  </mat-grid-tile>\n</mat-grid-list>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: MatGridListModule }, { kind: "component", type: i2$1.MatGridList, selector: "mat-grid-list", inputs: ["cols", "gutterSize", "rowHeight"], exportAs: ["matGridList"] }, { kind: "component", type: i2$1.MatGridTile, selector: "mat-grid-tile", inputs: ["rowspan", "colspan"], exportAs: ["matGridTile"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListViewActionButtonsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-list-view-action-buttons', standalone: true, imports: [CommonModule, MatGridListModule, MatButtonModule], template: "<mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n  <mat-grid-tile>\n    <button mat-raised-button variant=\"contained\" color=\"secondary\" (click)=\"onCancel()\">\n      {{ localizedVal('Cancel', localeCategory) }}\n    </button>\n  </mat-grid-tile>\n  <mat-grid-tile>\n    <button mat-raised-button variant=\"contained\" color=\"primary\" [disabled]=\"isDisabled\" (click)=\"onSubmit()\">\n      {{ localizedVal('Submit', localeCategory) }}\n    </button>\n  </mat-grid-tile>\n</mat-grid-list>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], context$: [{
                type: Input
            }], closeActionsDialog: [{
                type: Output
            }] } });

class PercentageComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl(null, null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.inputMode = NgxCurrencyInputMode.Natural;
        const nValue = this.configProps$.value;
        if (nValue) {
            this.value$ = nValue;
            this.fieldControl.setValue(nValue);
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        const showGroupSeparators = this.configProps$.showGroupSeparators;
        const theSymbols = getCurrencyCharacters('');
        this.decimalSeparator = theSymbols.theDecimalIndicator;
        this.thousandSeparator = showGroupSeparators ? theSymbols.theDigitGroupSeparator : '';
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        if (this.displayMode$ === 'DISPLAY_ONLY' || this.displayMode$ === 'STACKED_LARGE_VAL') {
            this.formattedValue = nValue ? format(nValue, 'percentage') : '';
        }
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.decimalPrecision = this.configProps$?.decimalPrecision ?? 2;
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange() {
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        let value = event?.target?.value;
        value = value ? value.replace(/%/g, '') : '';
        // replacing thousand separator with empty string as not required in api call
        if (this.configProps$.showGroupSeparators) {
            const thousandSep = this.thousandSeparator === '.' ? '\\.' : this.thousandSeparator;
            const regExp = new RegExp(String.raw `${thousandSep}`, 'g');
            value = value?.replace(regExp, '');
        }
        // replacing decimal separator with '.'
        if (this.decimalSeparator !== '.') {
            const regExp = new RegExp(String.raw `${this.decimalSeparator}`, 'g');
            value = value.replace(regExp, '.');
        }
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        // field control gets error message from here
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PercentageComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PercentageComponent, isStandalone: true, selector: "app-percentage", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          type=\"text\"\n          matInput\n          currencyMask\n          [options]=\"{\n            prefix: '',\n            suffix: '%',\n            thousands: thousandSeparator,\n            decimal: decimalSeparator,\n            align: 'left',\n            nullable: true,\n            precision: decimalPrecision,\n            inputMode: inputMode\n          }\"\n          [placeholder]=\"placeholder\"\n          step=\".01\"\n          [formControlName]=\"controlName$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n          [readonly]=\"bReadonly$\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlName), selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "directive", type: i0.forwardRef(() => NgxCurrencyDirective), selector: "input[currencyMask]", inputs: ["currencyMask", "options"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PercentageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-percentage', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, NgxCurrencyDirective, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          type=\"text\"\n          matInput\n          currencyMask\n          [options]=\"{\n            prefix: '',\n            suffix: '%',\n            thousands: thousandSeparator,\n            decimal: decimalSeparator,\n            align: 'left',\n            nullable: true,\n            precision: decimalPrecision,\n            inputMode: inputMode\n          }\"\n          [placeholder]=\"placeholder\"\n          step=\".01\"\n          [formControlName]=\"controlName$\"\n          [required]=\"bRequired$\"\n          [formControl]=\"fieldControl\"\n          [attr.data-test-id]=\"testId\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n          [readonly]=\"bReadonly$\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class PhoneComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.separateDialCode = false;
        this.fieldControl = new FormControl('', null);
        this.phoneForm = new FormGroup({
            phone: new FormControl(null)
        });
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.testId = this.configProps$.testId;
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.helperText = this.configProps$.helperText;
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        if (this.bReadonly$) {
            this.phoneForm.setValue({ phone: this.value$ });
        }
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnBlur() {
        // 'blur' isn't getting fired
    }
    fieldOnChange() {
        if (this.formGroup$.controls[this.controlName$].value) {
            const value = this.formGroup$.controls[this.controlName$].value;
            this.afterBlur = true;
            handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
        }
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = 'Invalid Phone';
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PhoneComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PhoneComponent, isStandalone: true, selector: "app-phone", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div #f=\"ngForm\" [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <ngx-mat-intl-tel-input\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          [preferredCountries]=\"['us']\"\n          [enablePlaceholder]=\"true\"\n          [enableSearch]=\"true\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur()\"\n        >\n        </ngx-mat-intl-tel-input>\n        <mat-label>{{ label$ }}</mat-label>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}.phone-label-readonly{opacity:54%;font-size:.7rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "component", type: i0.forwardRef(() => NgxMatIntlTelInputComponent), selector: "ngx-mat-intl-tel-input", inputs: ["preferredCountries", "enablePlaceholder", "inputPlaceholder", "cssClass", "name", "onlyCountries", "errorStateMatcher", "enableSearch", "searchPlaceholder", "describedBy", "format", "placeholder", "required", "disabled"], outputs: ["countryChanged"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PhoneComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-phone', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, NgxMatIntlTelInputComponent, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div #f=\"ngForm\" [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <ngx-mat-intl-tel-input\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          [preferredCountries]=\"['us']\"\n          [enablePlaceholder]=\"true\"\n          [enableSearch]=\"true\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur()\"\n        >\n        </ngx-mat-intl-tel-input>\n        <mat-label>{{ label$ }}</mat-label>\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}.phone-label-readonly{opacity:54%;font-size:.7rem}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class RadioButtonsComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.bInline$ = false;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl('', null);
        this.localeContext = '';
        this.localeClass = '';
        this.localeName = '';
        this.localePath = '';
        this.localizedValue = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        if (this.configProps$.inline != null) {
            this.bInline$ = this.utils.getBooleanValue(this.configProps$.inline);
        }
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.configProps$.inline != null) {
            this.bInline$ = this.utils.getBooleanValue(this.configProps$.inline);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        this.options$ = this.utils.getOptionList(this.configProps$, this.pConn$.getDataObject());
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        const className = this.pConn$.getCaseInfo().getClassName();
        const refName = this.propName?.slice(this.propName.lastIndexOf('.') + 1);
        this.fieldMetadata = this.configProps$.fieldMetadata;
        const metaData = Array.isArray(this.fieldMetadata) ? this.fieldMetadata.filter(field => field?.classID === className)[0] : this.fieldMetadata;
        let displayName = metaData?.datasource?.propertyForDisplayText;
        displayName = displayName?.slice(displayName.lastIndexOf('.') + 1);
        this.localeContext = metaData?.datasource?.tableType === 'DataPage' ? 'datapage' : 'associated';
        this.localeClass = this.localeContext === 'datapage' ? '@baseclass' : className;
        this.localeName = this.localeContext === 'datapage' ? metaData?.datasource?.name : refName;
        this.localePath = this.localeContext === 'datapage' ? displayName : this.localeName;
        this.localizedValue = this.pConn$.getLocalizedValue(this.value$, this.localePath, this.pConn$.getLocaleRuleNameFromKeys(this.localeClass, this.localeContext, this.localeName));
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    isSelected(buttonValue) {
        return this.value$ === buttonValue;
    }
    fieldOnChange(event) {
        handleEvent(this.actionsApi, 'changeNblur', this.propName, event.value);
    }
    getLocalizedOptionValue(opt) {
        return this.pConn$.getLocalizedValue(opt.value, this.localePath, this.pConn$.getLocaleRuleNameFromKeys(this.localeClass, this.localeContext, this.localeName));
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RadioButtonsComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RadioButtonsComponent, isStandalone: true, selector: "app-radio-buttons", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, providers: [Utils], ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper\n    *ngIf=\"bVisible$ !== false\"\n    name=\"FieldValueList\"\n    [props]=\"{ label$, value$: this.localizedValue, displayMode$ }\"\n  ></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n    <mat-form-field class=\"psdk-radio-form\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n      <span class=\"psdk-label-wrapper-readonly\">\n        <label class=\"psdk-label-readonly\">{{ label$ }}</label>\n      </span>\n      <!-- <mat-label>{{label$}}</mat-label> -->\n      <input matInput [placeholder]=\"placeholder\" style=\"display: none\" />\n      <mat-radio-group\n        [value]=\"value$\"\n        [required]=\"bRequired$\"\n        [formControl]=\"fieldControl\"\n        [attr.data-test-id]=\"testId\"\n        (change)=\"fieldOnChange($event)\"\n        class=\"{{ bInline$ ? 'psdk-radio-horizontal' : 'psdk-radio-vertical' }}\"\n      >\n        <mat-radio-button\n          *ngFor=\"let opt of options$\"\n          [checked]=\"isSelected(opt.key)\"\n          [disabled]=\"bReadonly$\"\n          [value]=\"opt.key\"\n          class=\"psdk-radio-button\"\n        >\n          {{ getLocalizedOptionValue(opt) }}\n        </mat-radio-button>\n      </mat-radio-group>\n      <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </div>\n</ng-template>\n", styles: [".psdk-label-readonly{opacity:54%;font-size:.7rem}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}.psdk-radio-horizontal{display:flex;flex-direction:row}.psdk-radio-vertical{display:flex;flex-direction:column}.psdk-radio-button{padding:.3125rem 0}.psdk-radio-form{width:100%}.psdk-radio-form ::ng-deep .mat-form-field-underline{background-color:transparent}.psdk-radio-form ::ng-deep .mat-form-field-label{top:0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatRadioModule) }, { kind: "directive", type: i0.forwardRef(() => i7$2.MatRadioGroup), selector: "mat-radio-group", inputs: ["color", "name", "labelPosition", "value", "selected", "disabled", "required", "disabledInteractive"], outputs: ["change"], exportAs: ["matRadioGroup"] }, { kind: "component", type: i0.forwardRef(() => i7$2.MatRadioButton), selector: "mat-radio-button", inputs: ["id", "name", "aria-label", "aria-labelledby", "aria-describedby", "disableRipple", "tabIndex", "checked", "value", "labelPosition", "disabled", "required", "color", "disabledInteractive"], outputs: ["change"], exportAs: ["matRadioButton"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RadioButtonsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-radio-buttons', providers: [Utils], standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, MatRadioModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper\n    *ngIf=\"bVisible$ !== false\"\n    name=\"FieldValueList\"\n    [props]=\"{ label$, value$: this.localizedValue, displayMode$ }\"\n  ></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n    <mat-form-field class=\"psdk-radio-form\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n      <span class=\"psdk-label-wrapper-readonly\">\n        <label class=\"psdk-label-readonly\">{{ label$ }}</label>\n      </span>\n      <!-- <mat-label>{{label$}}</mat-label> -->\n      <input matInput [placeholder]=\"placeholder\" style=\"display: none\" />\n      <mat-radio-group\n        [value]=\"value$\"\n        [required]=\"bRequired$\"\n        [formControl]=\"fieldControl\"\n        [attr.data-test-id]=\"testId\"\n        (change)=\"fieldOnChange($event)\"\n        class=\"{{ bInline$ ? 'psdk-radio-horizontal' : 'psdk-radio-vertical' }}\"\n      >\n        <mat-radio-button\n          *ngFor=\"let opt of options$\"\n          [checked]=\"isSelected(opt.key)\"\n          [disabled]=\"bReadonly$\"\n          [value]=\"opt.key\"\n          class=\"psdk-radio-button\"\n        >\n          {{ getLocalizedOptionValue(opt) }}\n        </mat-radio-button>\n      </mat-radio-group>\n      <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n    </mat-form-field>\n  </div>\n</ng-template>\n", styles: [".psdk-label-readonly{opacity:54%;font-size:.7rem}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}.psdk-radio-horizontal{display:flex;flex-direction:row}.psdk-radio-vertical{display:flex;flex-direction:column}.psdk-radio-button{padding:.3125rem 0}.psdk-radio-form{width:100%}.psdk-radio-form ::ng-deep .mat-form-field-underline{background-color:transparent}.psdk-radio-form ::ng-deep .mat-form-field-label{top:0}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class SemanticLinkComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.displayMode$ = '';
        this.bVisible$ = true;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.updateSelf();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.value$ = this.configProps$.text || '---';
        this.displayMode$ = this.configProps$.displayMode;
        this.label$ = this.configProps$.label;
        if (this.configProps$.visibility) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SemanticLinkComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SemanticLinkComponent, isStandalone: true, selector: "app-semantic-link", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n\n<ng-template #noDisplayMode>\n  <div *ngIf=\"label$ !== undefined && bVisible$ !== false\" class=\"psdk-grid-filter\">\n    <div class=\"psdk-grid-label\">{{ label$ }}</div>\n    <div class=\"psdk-value\">{{ value$ || '---' }}</div>\n  </div>\n</ng-template>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-label{color:var(--app-label-color);margin:8px 0}.psdk-value{margin:8px 0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SemanticLinkComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-semantic-link', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n\n<ng-template #noDisplayMode>\n  <div *ngIf=\"label$ !== undefined && bVisible$ !== false\" class=\"psdk-grid-filter\">\n    <div class=\"psdk-grid-label\">{{ label$ }}</div>\n    <div class=\"psdk-value\">{{ value$ || '---' }}</div>\n  </div>\n</ng-template>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-label{color:var(--app-label-color);margin:8px 0}.psdk-value{margin:8px 0}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class TextAreaComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl('', null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.nMaxLength$ = this.pConn$.getFieldMetadata(this.pConn$.getRawConfigProps()?.value)?.maxLength || 100;
        this.testId = this.configProps$.testId;
        this.displayMode$ = this.configProps$.displayMode;
        this.label$ = this.configProps$.label;
        this.helperText = this.configProps$.helperText;
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange() {
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        // field control gets error message from here
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextAreaComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TextAreaComponent, isStandalone: true, selector: "app-text-area", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\">\n      <div *ngIf=\"bVisible$\">\n        <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n          <textarea\n            matInput\n            rows=\"5\"\n            [placeholder]=\"label$\"\n            type=\"text\"\n            [attr.data-test-id]=\"testId\"\n            [value]=\"value$\"\n            [required]=\"bRequired$\"\n            [disabled]=\"bDisabled$\"\n            [formControl]=\"fieldControl\"\n            (change)=\"fieldOnChange()\"\n            (blur)=\"fieldOnBlur($event)\"\n          ></textarea>\n          <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n        </mat-form-field>\n      </div>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextAreaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-text-area', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\">\n      <div *ngIf=\"bVisible$\">\n        <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n          <textarea\n            matInput\n            rows=\"5\"\n            [placeholder]=\"label$\"\n            type=\"text\"\n            [attr.data-test-id]=\"testId\"\n            [value]=\"value$\"\n            [required]=\"bRequired$\"\n            [disabled]=\"bDisabled$\"\n            [formControl]=\"fieldControl\"\n            (change)=\"fieldOnChange()\"\n            (blur)=\"fieldOnBlur($event)\"\n          ></textarea>\n          <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n        </mat-form-field>\n      </div>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class TextComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.componentReference = '';
        this.format$ = 'text';
        this.formattedUrl$ = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        // TDB - get formats
        switch (this.formatAs$) {
            case 'text':
                this.formattedValue$ = this.value$;
                break;
            case 'date':
                this.formattedValue$ = this.generateDate(this.value$);
                break;
            case 'date-time':
                this.formattedValue$ = this.generateDateTime(this.value$);
                break;
            case 'time':
                if (this.value$) {
                    const timeParts = this.value$.split(':');
                    this.formattedValue$ = `${timeParts[0]}:${timeParts[1]}`;
                }
                else {
                    this.formattedValue$ = '';
                }
                break;
            case 'url':
                this.formattedUrl$ = this.generateUrl(this.value$);
                this.formattedValue$ = this.value$;
                break;
            default:
                break;
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    generateUrl(sVal) {
        if (sVal.indexOf('https://') == 0 || sVal.indexOf('http://') == 0) {
            /* empty */
        }
        else {
            // assume no http
            sVal = `http://${sVal}`;
        }
        return sVal;
    }
    generateDate(sVal) {
        if (!sVal)
            return '';
        // const value = new Intl.DateTimeFormat('default', {
        //   year: 'numeric',
        //   month: 'numeric',
        //   day: 'numeric'
        // }).format(new Date(sVal + "T00:00"));
        return this.utils.generateDate(sVal, 'Date-Long-Custom-YYYY');
    }
    generateDateTime(sVal) {
        if (!sVal)
            return '';
        if (sVal.length === 10)
            return this.generateDate(sVal);
        const value = sVal.substring(0, sVal.length - 1);
        // value = new Intl.DateTimeFormat('default', {
        //   year: 'numeric',
        //   month: 'numeric',
        //   day: 'numeric',
        //   hour: 'numeric',
        //   minute: 'numeric',
        //   second: 'numeric',
        //   hour12: true,
        // }).format(new Date(value))
        return this.utils.generateDateTime(value, 'DateTime-Long-YYYY-Custom');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TextComponent, isStandalone: true, selector: "app-text", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", formatAs$: "formatAs$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bVisible$ !== false\" class=\"psdk-label-infix-readonly\">\n    <span class=\"psdk-label-wrapper-readonly\">\n      <label class=\"psdk-label-readonly\">{{ label$ }}</label>\n    </span>\n    <div class=\"psdk-data-readonly\">\n      <label *ngIf=\"formatAs$ != 'url'\">{{ formattedValue$ }}</label>\n      <a *ngIf=\"formatAs$ == 'url'\" href=\"{{ formattedUrl$ }}\">{{ formattedValue$ }}</a>\n    </div>\n  </div>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{opacity:54%;font-size:.7rem}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-text', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"bVisible$ !== false\" class=\"psdk-label-infix-readonly\">\n    <span class=\"psdk-label-wrapper-readonly\">\n      <label class=\"psdk-label-readonly\">{{ label$ }}</label>\n    </span>\n    <div class=\"psdk-data-readonly\">\n      <label *ngIf=\"formatAs$ != 'url'\">{{ formattedValue$ }}</label>\n      <a *ngIf=\"formatAs$ == 'url'\" href=\"{{ formattedUrl$ }}\">{{ formattedValue$ }}</a>\n    </div>\n  </div>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{opacity:54%;font-size:.7rem}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], formatAs$: [{
                type: Input
            }] } });

class TextContentComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.content$ = '';
        this.displayMode$ = '';
        this.bVisible$ = true;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.content != undefined) {
            this.content$ = this.configProps$.content;
        }
        if (this.configProps$.displayAs != undefined) {
            this.displayAs$ = this.configProps$.displayAs;
        }
        this.displayMode$ = this.configProps$.displayMode;
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // Any update to content or displayAs will re-render this component.
        //  All rendering logic is in the .html file.
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextContentComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TextContentComponent, isStandalone: true, selector: "app-text-content", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div *ngIf=\"bVisible$ !== false\" class=\"psdk-data-readonly\">\n  <div *ngIf=\"displayAs$ == 'Paragraph'\" class=\"mat-subtitle-2\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 1'\" class=\"mat-h1\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 2'\" class=\"mat-h2\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 3'\" class=\"mat-h3\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 4'\" class=\"mat-h4\">{{ content$ }}</div>\n</div>\n", styles: [".psdk-data-readonly{margin-top:.625rem;width:100%}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-text-content', standalone: true, imports: [CommonModule], template: "<div *ngIf=\"bVisible$ !== false\" class=\"psdk-data-readonly\">\n  <div *ngIf=\"displayAs$ == 'Paragraph'\" class=\"mat-subtitle-2\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 1'\" class=\"mat-h1\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 2'\" class=\"mat-h2\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 3'\" class=\"mat-h3\">{{ content$ }}</div>\n  <div *ngIf=\"displayAs$ == 'Heading 4'\" class=\"mat-h4\">{{ content$ }}</div>\n</div>\n", styles: [".psdk-data-readonly{margin-top:.625rem;width:100%}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class TextInputComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.testId = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl('', null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.componentReference = this.pConn$.getStateProps().value;
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange() {
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextInputComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TextInputComponent, isStandalone: true, selector: "app-text-input", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"text\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TextInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-text-input', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"text\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class TimeComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.testId = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl('', null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.displayMode$ === 'DISPLAY_ONLY' || this.displayMode$ === 'STACKED_LARGE_VAL') {
            this.formattedValue$ = format(this.value$, 'timeonly', {
                format: 'hh:mm A'
            });
        }
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange() {
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TimeComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TimeComponent, isStandalone: true, selector: "app-time", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"time\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-time', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$: formattedValue$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"time\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'text' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class UrlComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
        this.testId = '';
        this.bHasForm$ = true;
        this.componentReference = '';
        this.fieldControl = new FormControl('', null);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.testId = this.configProps$.testId;
        this.label$ = this.configProps$.label;
        this.displayMode$ = this.configProps$.displayMode;
        this.helperText = this.configProps$.helperText;
        this.placeholder = this.configProps$.placeholder || '';
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        // timeout and detectChanges to avoid ExpressionChangedAfterItHasBeenCheckedError
        setTimeout(() => {
            if (this.configProps$.required != null) {
                this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
            }
            this.cdRef.detectChanges();
        });
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
        this.componentReference = this.pConn$.getStateProps().value;
        // trigger display of error message with field control
        if (this.angularPConnectData.validateMessage != null && this.angularPConnectData.validateMessage != '') {
            const timer = interval(100).subscribe(() => {
                this.fieldControl.setErrors({ message: true });
                this.fieldControl.markAsTouched();
                timer.unsubscribe();
            });
        }
    }
    fieldOnChange() {
        this.pConn$.clearErrorMessages({
            property: this.propName
        });
    }
    fieldOnBlur(event) {
        const value = event?.target?.value;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UrlComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: UrlComponent, isStandalone: true, selector: "app-url", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"url\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'url' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UrlComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-url', standalone: true, imports: [CommonModule, ReactiveFormsModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$ && bHasForm$; else noEdit\">\n    <div [formGroup]=\"formGroup$\" *ngIf=\"bVisible$\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          type=\"url\"\n          [value]=\"value$\"\n          [required]=\"bRequired$\"\n          [attr.data-test-id]=\"testId\"\n          [formControl]=\"fieldControl\"\n          (change)=\"fieldOnChange()\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n      </mat-form-field>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"Text\" [props]=\"{ pConn$, formatAs$: 'url' }\"></component-mapper>\n</ng-template>\n", styles: [".psdk-full-width{width:100%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

const OPERATORS_DP = 'D_pyGetOperatorsForCurrentApplication';
const DROPDOWN_LIST = 'Drop-down list';
const SEARCH_BOX = 'Search box';
class UserReferenceComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.angularPConnectData = {};
        this.filterValue = '';
        this.fieldControl = new FormControl('', null);
        this.isUserNameAvailable = user => {
            return typeof user === 'object' && user !== null && user.userName;
        };
        this.getUserName = user => {
            return user.userName;
        };
        this.getValue = user => {
            if (this.displayAs$ === DROPDOWN_LIST) {
                return this.utils.getUserId(user) || this.getUserName(user);
            }
            return this.isUserNameAvailable(user) ? this.getUserName(user) : this.utils.getUserId(user);
        };
    }
    async ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        await this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.getValue(this.value$));
        }
        this.filteredOptions = this.fieldControl.valueChanges.pipe(startWith$1(this.getValue(this.value$) || ''), map$1(value => this._filter(value || '')));
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    get type() {
        if (this.bReadonly$ && this.showAsFormattedText$) {
            return 'operator';
        }
        if (this.displayAs$ === DROPDOWN_LIST) {
            return 'dropdown';
        }
        if (this.displayAs$ === SEARCH_BOX) {
            return 'searchbox';
        }
        return '';
    }
    // Callback passed when subscribing to store change
    async onStateChange() {
        await this.checkAndUpdate();
    }
    _filter(value) {
        const filterVal = (value || this.filterValue).toLowerCase();
        return this.options$?.filter(option => option.value?.toLowerCase().includes(filterVal));
    }
    async checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            await this.updateSelf();
        }
    }
    async updateSelf() {
        const props = this.pConn$.getConfigProps();
        this.testId = props.testId;
        this.onRecordChange = props?.onRecordChange;
        const { label, displayAs, value, showAsFormattedText, helperText, placeholder, displayMode } = props;
        this.label$ = label;
        this.showAsFormattedText$ = showAsFormattedText;
        this.displayAs$ = displayAs;
        this.helperText = helperText;
        this.placeholder = placeholder || '';
        this.displayMode$ = displayMode;
        this.value$ = this.pConn$.getConfigProps()?.value;
        const { readOnly, required } = props;
        [this.bReadonly$, this.bRequired$] = [readOnly, required].map(prop => prop === true || (typeof prop === 'string' && prop === 'true'));
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        this.userID$ = this.utils.getUserId(value);
        if (this.userID$ && this.bReadonly$ && this.showAsFormattedText$) {
            if (this.isUserNameAvailable(value)) {
                this.userName$ = value.userName;
            }
            else {
                // if same user ref field is referred in view as editable & readonly formatted text
                // referenced users won't be available, so get user details from dx api
                const { getOperatorDetails } = PCore.getUserApi();
                getOperatorDetails(this.userID$).then((resp) => {
                    if (resp.data && resp.data.pyOperatorInfo && resp.data.pyOperatorInfo.pyUserName) {
                        this.userName$ = resp.data.pyOperatorInfo.pyUserName;
                    }
                });
            }
        }
        else if (displayAs === DROPDOWN_LIST || displayAs === SEARCH_BOX) {
            const queryPayload = {
                dataViewName: OPERATORS_DP
            };
            try {
                const resp = await PCore.getRestClient().invokeRestApi('getListData', { queryPayload }, ''); // 3rd arg empty string until typedef marked correctly
                if (resp?.data) {
                    const ddDataSource = resp.data.data.map(listItem => ({
                        key: listItem.pyUserIdentifier,
                        value: listItem.pyUserName
                    }));
                    this.options$ = ddDataSource;
                }
            }
            catch (error) {
                console.log(error);
            }
        }
    }
    fieldOnChange(event) {
        if (event?.value === 'Select') {
            event.value = '';
        }
        if (event?.target) {
            this.filterValue = event.target.value;
        }
        const value = event?.value;
        handleEvent(this.actionsApi, 'change', this.propName, value);
    }
    optionChanged(event) {
        const value = event?.option?.value;
        handleEvent(this.actionsApi, 'change', this.propName, value);
    }
    fieldOnBlur(event) {
        let key = '';
        if (event?.target?.value) {
            const index = this.options$?.findIndex(element => element.value === event.target.value);
            key = index > -1 ? (key = this.options$[index].key) : event.target.value;
        }
        const value = key;
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
        if (this.onRecordChange) {
            event.target.value = value;
            this.onRecordChange(event);
        }
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UserReferenceComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: UserReferenceComponent, isStandalone: true, selector: "app-user-reference", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div class=\"psdk-user-reference\">\n  <div *ngIf=\"displayMode$; else noDisplayMode\">\n    <component-mapper name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n  </div>\n  <ng-template #noDisplayMode>\n    <div *ngIf=\"type === 'operator'\">\n      <component-mapper name=\"Operator\" [props]=\"{ pConn$ }\"></component-mapper>\n    </div>\n    <div [formGroup]=\"formGroup$\" *ngIf=\"type === 'dropdown'\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-select [required]=\"bRequired$\" [formControl]=\"fieldControl\" [attr.data-test-id]=\"testId\" (selectionChange)=\"fieldOnChange($event)\">\n          <mat-option *ngFor=\"let opt of options$\" [value]=\"opt.key\">\n            {{ opt.value }}\n          </mat-option>\n        </mat-select>\n        <mat-label>{{ label$ }}</mat-label>\n        <mat-error *ngIf=\"fieldControl.invalid\">\n          {{ getErrorMessage() }}\n        </mat-error>\n      </mat-form-field>\n    </div>\n    <div [formGroup]=\"formGroup$\" *ngIf=\"type === 'searchbox'\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          [formControl]=\"fieldControl\"\n          [required]=\"bRequired$\"\n          [matAutocomplete]=\"auto\"\n          [attr.data-test-id]=\"testId\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-autocomplete #auto=\"matAutocomplete\" autoActiveFirstOption (optionSelected)=\"optionChanged($event)\">\n          <mat-option *ngFor=\"let opt of filteredOptions | async\" [value]=\"opt.value\">\n            <span>{{ opt.value }}</span>\n          </mat-option>\n        </mat-autocomplete>\n        <mat-error *ngIf=\"fieldControl.invalid\">\n          {{ getErrorMessage() }}\n        </mat-error>\n      </mat-form-field>\n    </div>\n  </ng-template>\n</div>\n", styles: [".psdk-user-reference{font-size:.8rem;color:var(--app-neutral-color)}.psdk-single{flex:1}.psdk-double{flex:2}.psdk-top-pad{padding-top:10px}.psdk-full-width{width:100%;padding-left:.625rem}dt{flex:1}dd{flex:2}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i0.forwardRef(() => i2.AsyncPipe), name: "async" }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSelectModule) }, { kind: "component", type: i0.forwardRef(() => i7$1.MatSelect), selector: "mat-select", inputs: ["aria-describedby", "panelClass", "disabled", "disableRipple", "tabIndex", "hideSingleSelectionIndicator", "placeholder", "required", "multiple", "disableOptionCentering", "compareWith", "value", "aria-label", "aria-labelledby", "errorStateMatcher", "typeaheadDebounceInterval", "sortComparator", "id", "panelWidth"], outputs: ["openedChange", "opened", "closed", "selectionChange", "valueChange"], exportAs: ["matSelect"] }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatAutocompleteModule) }, { kind: "component", type: i0.forwardRef(() => i8.MatAutocomplete), selector: "mat-autocomplete", inputs: ["aria-label", "aria-labelledby", "displayWith", "autoActiveFirstOption", "autoSelectActiveOption", "requireSelection", "panelWidth", "disableRipple", "class", "hideSingleSelectionIndicator"], outputs: ["optionSelected", "opened", "closed", "optionActivated"], exportAs: ["matAutocomplete"] }, { kind: "directive", type: i0.forwardRef(() => i8.MatAutocompleteTrigger), selector: "input[matAutocomplete], textarea[matAutocomplete]", inputs: ["matAutocomplete", "matAutocompletePosition", "matAutocompleteConnectedTo", "autocomplete", "matAutocompleteDisabled"], exportAs: ["matAutocompleteTrigger"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UserReferenceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-user-reference', standalone: true, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatSelectModule,
                        MatOptionModule,
                        MatInputModule,
                        MatAutocompleteModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div class=\"psdk-user-reference\">\n  <div *ngIf=\"displayMode$; else noDisplayMode\">\n    <component-mapper name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n  </div>\n  <ng-template #noDisplayMode>\n    <div *ngIf=\"type === 'operator'\">\n      <component-mapper name=\"Operator\" [props]=\"{ pConn$ }\"></component-mapper>\n    </div>\n    <div [formGroup]=\"formGroup$\" *ngIf=\"type === 'dropdown'\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-select [required]=\"bRequired$\" [formControl]=\"fieldControl\" [attr.data-test-id]=\"testId\" (selectionChange)=\"fieldOnChange($event)\">\n          <mat-option *ngFor=\"let opt of options$\" [value]=\"opt.key\">\n            {{ opt.value }}\n          </mat-option>\n        </mat-select>\n        <mat-label>{{ label$ }}</mat-label>\n        <mat-error *ngIf=\"fieldControl.invalid\">\n          {{ getErrorMessage() }}\n        </mat-error>\n      </mat-form-field>\n    </div>\n    <div [formGroup]=\"formGroup$\" *ngIf=\"type === 'searchbox'\">\n      <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\" [hintLabel]=\"helperText\">\n        <mat-label>{{ label$ }}</mat-label>\n        <input\n          matInput\n          [placeholder]=\"placeholder\"\n          [formControl]=\"fieldControl\"\n          [required]=\"bRequired$\"\n          [matAutocomplete]=\"auto\"\n          [attr.data-test-id]=\"testId\"\n          (blur)=\"fieldOnBlur($event)\"\n        />\n        <mat-autocomplete #auto=\"matAutocomplete\" autoActiveFirstOption (optionSelected)=\"optionChanged($event)\">\n          <mat-option *ngFor=\"let opt of filteredOptions | async\" [value]=\"opt.value\">\n            <span>{{ opt.value }}</span>\n          </mat-option>\n        </mat-autocomplete>\n        <mat-error *ngIf=\"fieldControl.invalid\">\n          {{ getErrorMessage() }}\n        </mat-error>\n      </mat-form-field>\n    </div>\n  </ng-template>\n</div>\n", styles: [".psdk-user-reference{font-size:.8rem;color:var(--app-neutral-color)}.psdk-single{flex:1}.psdk-double{flex:2}.psdk-top-pad{padding-top:10px}.psdk-full-width{width:100%;padding-left:.625rem}dt{flex:1}dd{flex:2}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class ScalarListComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.angularPConnectData = {};
        this.label$ = '';
        this.displayMode$ = '';
        this.isDisplayModeEnabled = false;
        this.fieldControl = new FormControl('', null);
        this.bHasForm$ = true;
        this.bReadonly$ = false;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        // call updateSelf when initializing
        // this.updateSelf();
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bReadonly$ = true;
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.label$ = this.configProps$.label;
        const componentType = this.configProps$.componentType;
        const scalarValues = this.configProps$.value;
        this.displayMode$ = this.configProps$.displayMode;
        const restProps = this.configProps$.restProps;
        console.log('scalar values: ', scalarValues);
        this.items = scalarValues?.map(scalarValue => {
            console.log('scalar value: ', scalarValue);
            return this.pConn$.createComponent({
                type: componentType,
                config: {
                    value: scalarValue,
                    displayMode: 'DISPLAY_ONLY',
                    label: this.label$,
                    ...restProps,
                    readOnly: true
                }
            }, '', 0, {}); // 2nd, 3rd, and 4th args empty string/object/null until typedef marked correctly as optional;
        });
        this.isDisplayModeEnabled = ['STACKED_LARGE_VAL', 'DISPLAY_ONLY'].includes(this.displayMode$);
        this.value$ = this.items;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ScalarListComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ScalarListComponent, isStandalone: true, selector: "app-scalar-list", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"isDisplayModeEnabled\">\n  <div *ngFor=\"let value of items\">\n    <component-mapper [name]=\"value?.getPConnect().getComponentName()\" [props]=\"{ pConn$: value.getPConnect(), formGroup$ }\"></component-mapper>\n    <!-- <span key=\"i\">{{ value }}</span> -->\n  </div>\n</div>\n<div *ngIf=\"!isDisplayModeEnabled\">\n  <component-mapper name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ScalarListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-scalar-list', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"isDisplayModeEnabled\">\n  <div *ngFor=\"let value of items\">\n    <component-mapper [name]=\"value?.getPConnect().getComponentName()\" [props]=\"{ pConn$: value.getPConnect(), formGroup$ }\"></component-mapper>\n    <!-- <span key=\"i\">{{ value }}</span> -->\n  </div>\n</div>\n<div *ngIf=\"!isDisplayModeEnabled\">\n  <component-mapper name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$ }\"></component-mapper>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class RichTextComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.displayMode$ = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // call updateSelf when initializing
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        const stateProps = this.pConn$.getStateProps();
        this.status = stateProps?.status;
        if (this.configProps$.value != undefined) {
            this.value$ = this.configProps$.value;
        }
        this.testId = this.configProps$.testId;
        this.displayMode$ = this.configProps$.displayMode;
        this.label$ = this.configProps$.label;
        this.placeholder = this.configProps$.placeholder;
        this.info = stateProps?.validatemessage || this.configProps$.helperText;
        this.error = stateProps?.status === 'error';
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        if (this.configProps$.required != null) {
            this.bRequired$ = this.utils.getBooleanValue(this.configProps$.required);
        }
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.configProps$.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(this.configProps$.readOnly);
        }
    }
    fieldOnChange() {
        if (this.status === 'error') {
            const property = this.propName;
            this.pConn$.clearErrorMessages({
                property,
                category: '',
                context: ''
            });
        }
    }
    fieldOnBlur(editorValue) {
        handleEvent(this.actionsApi, 'changeNblur', this.propName, editorValue);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RichTextComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RichTextComponent, isStandalone: true, selector: "app-rich-text", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$, isHtml$: true }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$; else noEdit\">\n    <div *ngIf=\"bVisible$\">\n      <component-mapper\n        name=\"RichTextEditor\"\n        [props]=\"{ placeholder, required: bRequired$, disabled: bDisabled$, label: label$, readonly: false, error, info, testId, value: value$ }\"\n        [parent]=\"this\"\n        [outputEvents]=\"{ onBlur: fieldOnBlur, onChange: fieldOnChange }\"\n      ></component-mapper>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <div *ngIf=\"bVisible$ !== false\">\n    <component-mapper name=\"RichTextEditor\" [props]=\"{ label: label$, value: value$, readonly: true, testId }\" [parent]=\"this\"></component-mapper>\n  </div>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RichTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-rich-text', standalone: true, imports: [CommonModule, ReactiveFormsModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"displayMode$; else noDisplayMode\">\n  <component-mapper *ngIf=\"bVisible$ !== false\" name=\"FieldValueList\" [props]=\"{ label$, value$, displayMode$, isHtml$: true }\"></component-mapper>\n</div>\n<ng-template #noDisplayMode>\n  <div *ngIf=\"!bReadonly$; else noEdit\">\n    <div *ngIf=\"bVisible$\">\n      <component-mapper\n        name=\"RichTextEditor\"\n        [props]=\"{ placeholder, required: bRequired$, disabled: bDisabled$, label: label$, readonly: false, error, info, testId, value: value$ }\"\n        [parent]=\"this\"\n        [outputEvents]=\"{ onBlur: fieldOnBlur, onChange: fieldOnChange }\"\n      ></component-mapper>\n    </div>\n  </div>\n</ng-template>\n<ng-template #noEdit>\n  <div *ngIf=\"bVisible$ !== false\">\n    <component-mapper name=\"RichTextEditor\" [props]=\"{ label: label$, value: value$, readonly: true, testId }\" [parent]=\"this\"></component-mapper>\n  </div>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class AppShellComponent {
    constructor(angularPConnect, erService, snackBar, ngZone) {
        this.angularPConnect = angularPConnect;
        this.erService = erService;
        this.snackBar = snackBar;
        this.ngZone = ngZone;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.bShowAppShell$ = false;
        this.appName$ = 'PEGA';
        this.sErrorMessages = '';
        this.bOkDisplayError = false;
        this.links = [];
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // Then, continue on with other initialization
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        // making a copy, so can add info
        this.pages$ = this.configProps$.pages;
        this.links = this.pages$.filter((page, index) => {
            return index !== 0;
        });
        if (this.pages$) {
            this.bShowAppShell$ = true;
        }
        // @ts-ignore - Property 'pyCaseTypesAvailableToCreateDP' does not exist on type pxApplication
        const caseTypesAvailableToCreateDP = PCore.getEnvironmentInfo().environmentInfoObject?.pxApplication?.pyCaseTypesAvailableToCreateDP;
        if (caseTypesAvailableToCreateDP) {
            const portalID = this.pConn$.getValue('.pyOwner');
            PCore.getDataPageUtils()
                .getPageDataAsync(caseTypesAvailableToCreateDP, this.pConn$.getContextName(), {
                PortalName: portalID
            })
                .then((response) => {
                if (response?.pyCaseTypesAvailableToCreate) {
                    this.pConn$.replaceState('.pyCaseTypesAvailableToCreate', response.pyCaseTypesAvailableToCreate, {
                        skipDirtyValidation: true
                    });
                }
            });
        }
        this.caseTypes$ = this.configProps$.caseTypes;
        this.arChildren$ = this.pConn$.getChildren();
        this.portalTemplate = this.configProps$.portalTemplate;
        // handle showing and hiding the progress spinner
        this.errorMessagesSubscription = this.erService.getMessage().subscribe(message => {
            this.showDismissErrorMessages(message);
        });
        // cannot call checkAndUpdate becasue first time through, will call updateSelf and that is incorrect (causes issues).
        // however, need angularPConnect to be initialized with currentProps for future updates, so calling shouldComponentUpdate directly
        // without checking to update here in init, will initialize and this is correct
        this.angularPConnect.shouldComponentUpdate(this);
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.ngZone.run(() => {
            // making a copy, so can add info
            this.pages$ = this.configProps$.pages;
            if (this.pages$) {
                this.bShowAppShell$ = true;
            }
            this.caseTypes$ = this.configProps$.caseTypes;
            this.arChildren$ = this.pConn$.getChildren();
        });
    }
    // fpr show/hiding error messages in the SnackBar component
    showDismissErrorMessages(errorMessages) {
        switch (errorMessages.action) {
            case 'update':
                // won't show unless publish is turned on
                // eslint-disable-next-line @typescript-eslint/prefer-includes
                if (this.sErrorMessages.indexOf(errorMessages.actionMessage) < 0) {
                    this.sErrorMessages = this.sErrorMessages.concat(errorMessages.actionMessage).concat('\n');
                    if (this.bOkDisplayError) {
                        const config = { panelClass: ['snackbar-newline'], duration: 5000 };
                        this.snackBarRef = this.snackBar.open(this.sErrorMessages, 'Ok', config);
                    }
                }
                break;
            case 'show':
                // add error message if not in the list
                // won't show unless publish is turned on
                // eslint-disable-next-line @typescript-eslint/prefer-includes
                if (this.sErrorMessages.indexOf(errorMessages.actionMessage) < 0) {
                    this.sErrorMessages = this.sErrorMessages.concat(errorMessages.actionMessage).concat('\n');
                }
                this.bOkDisplayError = true;
                if (this.bOkDisplayError) {
                    const config = { panelClass: ['snackbar-newline'], duration: 5000 };
                    this.snackBarRef = this.snackBar.open(this.sErrorMessages, 'Ok', config);
                }
                // this.snackBarRef.afterDismissed().subscribe( info => {
                //     this.sErrorMessages = "";
                //   }
                // )
                break;
            case 'dismiss':
                // closes snack bar
                // turns publish off
                // clears out errors
                // should be called to dimiss and at "cancel"
                if (this.snackBarRef != null) {
                    this.snackBarRef.dismiss();
                    this.sErrorMessages = '';
                    this.bOkDisplayError = false;
                }
                break;
            case 'publish':
                // allows errors to be shown, clears out existing ones
                // should be turned on at "submit" (finishAssignment, nextAssignment, etc.)
                this.bOkDisplayError = true;
                this.sErrorMessages = '';
                break;
            default:
                break;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AppShellComponent, deps: [{ token: AngularPConnectService }, { token: ErrorMessagesService }, { token: i4$1.MatSnackBar }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AppShellComponent, isStandalone: true, selector: "app-app-shell", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div class=\"appshell-top\">\n  <div *ngIf=\"bShowAppShell$ && portalTemplate !== 'wss'\">\n    <component-mapper name=\"NavBar\" [props]=\"{ pConn$, appName$, pages$, caseTypes$ }\"></component-mapper>\n  </div>\n  <div *ngIf=\"bShowAppShell$ && portalTemplate === 'wss'\">\n    <component-mapper name=\"WssNavBar\" [props]=\"{ pConn$, appName$, homePage: pages$[0], pages$: links, caseTypes$ }\"></component-mapper>\n  </div>\n  <div [ngClass]=\"{ 'appshell-main': portalTemplate !== 'wss', 'appshell-main-wss': portalTemplate === 'wss' }\">\n    <div *ngFor=\"let kid of arChildren$\">\n      <div *ngIf=\"kid.getPConnect().getComponentName() == 'ViewContainer'\">\n        <component-mapper name=\"ViewContainer\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".appshell-top,.appshell-top-wss{background-color:var(--app-background-color)}.appshell-main{position:relative;margin-left:var(--app-nav-width);min-height:100vh;display:block}.appshell-main-wss{position:relative;min-height:100vh;display:block;width:100%}.psdk-icon{padding:0rem .125rem;min-width:unset}.progress-box{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-background-color);position:fixed;z-index:999;top:0rem;left:0rem;opacity:.5}.progress-spinner{text-align:center}::ng-deep snack-bar-container.snackbar-newline{white-space:pre-line}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSnackBarModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AppShellComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-app-shell', standalone: true, imports: [CommonModule, MatSnackBarModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"appshell-top\">\n  <div *ngIf=\"bShowAppShell$ && portalTemplate !== 'wss'\">\n    <component-mapper name=\"NavBar\" [props]=\"{ pConn$, appName$, pages$, caseTypes$ }\"></component-mapper>\n  </div>\n  <div *ngIf=\"bShowAppShell$ && portalTemplate === 'wss'\">\n    <component-mapper name=\"WssNavBar\" [props]=\"{ pConn$, appName$, homePage: pages$[0], pages$: links, caseTypes$ }\"></component-mapper>\n  </div>\n  <div [ngClass]=\"{ 'appshell-main': portalTemplate !== 'wss', 'appshell-main-wss': portalTemplate === 'wss' }\">\n    <div *ngFor=\"let kid of arChildren$\">\n      <div *ngIf=\"kid.getPConnect().getComponentName() == 'ViewContainer'\">\n        <component-mapper name=\"ViewContainer\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".appshell-top,.appshell-top-wss{background-color:var(--app-background-color)}.appshell-main{position:relative;margin-left:var(--app-nav-width);min-height:100vh;display:block}.appshell-main-wss{position:relative;min-height:100vh;display:block;width:100%}.psdk-icon{padding:0rem .125rem;min-width:unset}.progress-box{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-background-color);position:fixed;z-index:999;top:0rem;left:0rem;opacity:.5}.progress-spinner{text-align:center}::ng-deep snack-bar-container.snackbar-newline{white-space:pre-line}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: ErrorMessagesService }, { type: i4$1.MatSnackBar }, { type: i0.NgZone }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class BannerPageComponent {
    constructor() {
        this.backgroundImage = this.configProps$?.backgroundImage;
    }
    ngOnInit() {
        // console.log(`ngOnInit (no registerAndSubscribe!): Region`);
        this.backgroundImage = this.configProps$?.backgroundImage;
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        this.backgroundImage = this.configProps$?.backgroundImage;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        console.log(`url(${this.backgroundImage})`);
        this.layout$ = this.configProps$.layout;
        this.title = this.configProps$.title;
        this.message = this.configProps$.message;
        this.backgroundImage = this.configProps$.backgroundImage;
        // The children may contain 'reference' components, so normalize the children...
        this.arChildren$ = ReferenceComponent.normalizePConnArray(this.pConn$.getChildren());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BannerPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: BannerPageComponent, isStandalone: true, selector: "app-banner-page", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<component-mapper\n  name=\"Banner\"\n  [props]=\"{\n    configProps$,\n    arChildren$,\n    title,\n    message,\n    backgroundImage,\n    layout$,\n    divClass$\n  }\"\n></component-mapper>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BannerPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-banner-page', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<component-mapper\n  name=\"Banner\"\n  [props]=\"{\n    configProps$,\n    arChildren$,\n    title,\n    message,\n    backgroundImage,\n    layout$,\n    divClass$\n  }\"\n></component-mapper>\n" }]
        }], ctorParameters: () => [], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class CaseSummaryComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.angularPConnectData = {};
        this.primaryFields$ = [];
        this.secondaryFields$ = [];
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.initComponent();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    initComponent() {
        // dereference the View in case the incoming pConn$ is a 'reference'
        this.pConn$ = ReferenceComponent.normalizePConn(this.pConn$);
        // Then, continue on with other initialization
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.arChildren$ = this.pConn$.getChildren();
        this.generatePrimaryAndSecondaryFields();
        this.status$ = this.configProps$.status;
        this.bShowStatus$ = this.configProps$.showStatus;
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.generatePrimaryAndSecondaryFields();
    }
    ngOnChanges() {
        this.initComponent();
    }
    generatePrimaryAndSecondaryFields() {
        this.primaryFields$ = [];
        this.secondaryFields$ = [];
        for (const oField of this.arChildren$[0].getPConnect().getChildren()) {
            const kid = oField.getPConnect();
            this.primaryFields$.push(kid.resolveConfigProps(kid.getRawMetadata()));
        }
        const secondarySummaryFields = this.prepareCaseSummaryData(this.arChildren$[1].getPConnect());
        const secondaryChildren = this.arChildren$[1].getPConnect().getChildren();
        secondaryChildren.forEach((oField, index) => {
            const kid = oField.getPConnect();
            const displayLabel = secondarySummaryFields[index].value.getPConnect().getConfigProps().label;
            this.secondaryFields$.push({ ...kid.resolveConfigProps(kid.getRawMetadata()), kid, displayLabel });
        });
    }
    prepareComponentInCaseSummary(pConnectMeta, getPConnect) {
        const { config, children } = pConnectMeta;
        const pConnect = getPConnect();
        const caseSummaryComponentObject = {};
        const { type } = pConnectMeta;
        const createdComponent = pConnect.createComponent({
            type,
            children: children ? [...children] : [],
            config: {
                ...config
            }
        });
        caseSummaryComponentObject.value = createdComponent;
        return caseSummaryComponentObject;
    }
    prepareCaseSummaryData(summaryFieldChildren) {
        const convertChildrenToSummaryData = kid => {
            return kid?.map((childItem, index) => {
                const childMeta = childItem.getPConnect().meta;
                const caseSummaryComponentObject = this.prepareComponentInCaseSummary(childMeta, childItem.getPConnect);
                caseSummaryComponentObject.id = index + 1;
                return caseSummaryComponentObject;
            });
        };
        return summaryFieldChildren ? convertChildrenToSummaryData(summaryFieldChildren?.getChildren()) : undefined;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseSummaryComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CaseSummaryComponent, isStandalone: true, selector: "app-case-summary", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<component-mapper name=\"CaseSummaryFields\" [props]=\"{ status$, bShowStatus$, primaryFields$, secondaryFields$ }\"></component-mapper>\n", styles: [".psdk-case-summary-info-box{display:flex;flex-direction:row;justify-content:space-evenly}.psdk-case-summary-data{flex:1}.psdk-case-view-label{font-size:1rem;display:block;transform:translateY(.2em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(.2em) scale(.75);width:133.33333%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}.psdk-status{background-color:var(--app-primary-color);color:var(--app-form-color);padding:0;margin-top:.625rem;width:fit-content}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseSummaryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-summary', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"CaseSummaryFields\" [props]=\"{ status$, bShowStatus$, primaryFields$, secondaryFields$ }\"></component-mapper>\n", styles: [".psdk-case-summary-info-box{display:flex;flex-direction:row;justify-content:space-evenly}.psdk-case-summary-data{flex:1}.psdk-case-view-label{font-size:1rem;display:block;transform:translateY(.2em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(.2em) scale(.75);width:133.33333%}.psdk-label-readonly{font-size:1rem;display:block;transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.33333%}.psdk-data-readonly{padding-top:.625rem;width:100%}.psdk-status{background-color:var(--app-primary-color);color:var(--app-form-color);padding:0;margin-top:.625rem;width:fit-content}::ng-deep .mat-mdc-form-field-infix{width:auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class CaseViewComponent {
    constructor(cdRef, angularPConnect, utils) {
        this.cdRef = cdRef;
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.heading$ = '';
        this.id$ = '';
        this.status$ = '';
        this.caseTabs$ = [];
        this.arAvailableActions$ = [];
        this.arAvailabeProcesses$ = [];
        this.currentCaseID = '';
        this.bHasNewAttachments = false;
        this.localeCategory = 'CaseView';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // this.updateSelf();
        this.checkAndUpdate();
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        //    AND removing the "gate" that was put there since shouldComponentUpdate
        //      should be the real "gate"
        if (bUpdateSelf) {
            // generally, don't want to refresh everything when data changes in caseView, it is usually the
            // case summary.  But check if the case ID changes, this means a different case and we should
            // update all.
            if (this.hasCaseIDChanged()) {
                this.fullUpdate();
                // update okToInitFlowContainer, because case view was drawn, flow container will need to be init
                // to match Nebula/Constellation
                sessionStorage.setItem('okToInitFlowContainer', 'true');
            }
            else {
                this.updateHeaderAndSummary();
            }
        }
    }
    hasCaseIDChanged() {
        if (this.currentCaseID !== this.pConn$.getDataObject().caseInfo.ID) {
            this.currentCaseID = this.pConn$.getDataObject().caseInfo.ID;
            return true;
        }
        return false;
    }
    updateHeaderAndSummary() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        const hasNewAttachments = this.pConn$.getDataObject().caseInfo?.hasNewAttachments;
        if (hasNewAttachments !== this.bHasNewAttachments) {
            this.bHasNewAttachments = hasNewAttachments;
            if (this.bHasNewAttachments) {
                PCore.getPubSubUtils().publish(PCore.getEvents().getCaseEvent().CASE_ATTACHMENTS_UPDATED_FROM_CASEVIEW, true);
            }
        }
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            const meta = kid.getPConnect().getRawMetadata();
            if (meta.type.toLowerCase() == 'region' && meta.name.toLowerCase() == 'summary') {
                this.caseSummaryPConn$ = kid.getPConnect().getChildren()[0].getPConnect();
            }
        }
        // have to put in a timeout, otherwise get an angular change event error
        const timer = interval(100).subscribe(() => {
            timer.unsubscribe();
            this.heading$ = PCore.getLocaleUtils().getLocaleValue(this.configProps$.header, '', this.localeKey);
            this.id$ = this.configProps$.subheader;
            this.status$ = this.pConn$.getValue('.pyStatusWork');
        });
    }
    fullUpdate() {
        this.caseTabs$ = [];
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        // let caseTypeID = this.configProps$.ruleClass;
        // let caseTypeName = this.configProps$.header;
        // this.localeKey = `${caseTypeID}!CASE!${caseTypeName}`.toUpperCase();
        this.localeKey = `${this.pConn$.getCaseInfo().getClassName()}!CASE!${this.pConn$.getCaseInfo().getName()}`.toUpperCase();
        this.updateHeaderAndSummary();
        this.arChildren$ = this.pConn$.getChildren();
        const caseInfo = this.pConn$.getDataObject().caseInfo;
        this.currentCaseID = caseInfo.ID;
        this.arAvailableActions$ = caseInfo?.availableActions ? caseInfo.availableActions : [];
        this.editAction = this.arAvailableActions$.find(action => action.ID === 'pyUpdateCaseDetails');
        this.arAvailabeProcesses$ = caseInfo?.availableProcesses ? caseInfo.availableProcesses : [];
        this.svgCase$ = this.utils.getImageSrc(this.configProps$.icon, this.utils.getSDKStaticContentUrl());
        for (const kid of this.arChildren$) {
            const kidPConn = kid.getPConnect();
            if (kidPConn.getRawMetadata().name == 'Tabs') {
                this.mainTabs = kid;
                this.mainTabData = this.mainTabs.getPConnect().getChildren();
            }
        }
        this.generateTabsData();
    }
    generateTabsData() {
        this.mainTabs
            .getPConnect()
            .getChildren()
            ?.forEach((child, i) => {
            const config = child.getPConnect().resolveConfigProps(child.getPConnect().getRawMetadata()).config;
            let { label } = config;
            const { inheritedProps, visibility } = config;
            // For some tabs, "label" property is not avaialable in theTabCompConfig, so will get them from inheritedProps
            if (!label) {
                inheritedProps.forEach((inheritedProp) => {
                    if (inheritedProp.prop === 'label') {
                        label = inheritedProp.value;
                    }
                });
            }
            // We'll display the tabs when either visibility property doesn't exist or is true(if exists)
            if (visibility === undefined || visibility === true) {
                this.caseTabs$.push({ name: label, id: i });
                // To make first visible tab display at the beginning
                if (!this.tabData$) {
                    this.tabData$ = { type: 'DeferLoad', config: child.getPConnect().getRawMetadata().config };
                }
            }
        });
    }
    updateSelf() {
        this.fullUpdate();
    }
    onTabClick(tab) {
        this.tabData$ = this.mainTabData[tab].getPConnect().getRawMetadata();
        this.cdRef.detectChanges();
    }
    _editClick() {
        const editAction = this.arAvailableActions$.find(action => action.ID === 'pyUpdateCaseDetails');
        const actionsAPI = this.pConn$.getActionsApi();
        const openLocalAction = actionsAPI.openLocalAction.bind(actionsAPI);
        openLocalAction(editAction.ID, { ...editAction, containerName: 'modal', type: 'express' });
    }
    _menuActionClick(data) {
        const actionsAPI = this.pConn$.getActionsApi();
        const openLocalAction = actionsAPI.openLocalAction.bind(actionsAPI);
        openLocalAction(data.ID, { ...data, containerName: 'modal', type: 'express' });
    }
    _menuProcessClick(data) {
        const actionsAPI = this.pConn$.getActionsApi();
        const openProcessAction = actionsAPI.openProcessAction.bind(actionsAPI);
        openProcessAction(data.ID, { ...data });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseViewComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CaseViewComponent, isStandalone: true, selector: "app-case-view", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, providers: [Utils], ngImport: i0, template: "<div class=\"psdk-case-view\" id=\"case-view\">\n  <div class=\"psdk-case-view-info\">\n    <mat-toolbar color=\"primary\" class=\"psdk-case-view-toolbar\">\n      <mat-toolbar-row style=\"padding-left: 1rem\">\n        <div class=\"psdk-case-icon-div\">\n          <img class=\"psdk-case-svg-icon\" src=\"{{ svgCase$ }}\" />\n        </div>\n        <div class=\"psdk-case-view-heading\">\n          <div>\n            <h1 id=\"case-name\">{{ heading$ }}</h1>\n          </div>\n          <div id=\"current-caseID\" [hidden]=\"true\">{{ currentCaseID }}</div>\n          <div class=\"psdk-case-view-heading-id\" id=\"caseId\">{{ id$ }}</div>\n        </div>\n      </mat-toolbar-row>\n    </mat-toolbar>\n\n    <div class=\"psdk-case-view-buttons\">\n      <button *ngIf=\"editAction\" mat-raised-button color=\"secondary\" (click)=\"_editClick()\">{{ localizedVal('Edit', localeCategory) }}</button>\n      <button mat-raised-button color=\"secondary\" [matMenuTriggerFor]=\"actionMenu\">{{ localizedVal('Actions...', localeCategory) }}</button>\n      <mat-menu #actionMenu=\"matMenu\" overlapTrigger=\"false\">\n        <ng-container *ngFor=\"let action of arAvailableActions$\">\n          <button mat-menu-item (click)=\"_menuActionClick(action)\">\n            {{ localizedVal(action.name, '', localeKey) }}\n          </button>\n        </ng-container>\n        <ng-container *ngFor=\"let process of arAvailabeProcesses$\">\n          <button mat-menu-item (click)=\"_menuProcessClick(process)\">\n            {{ process.name }}\n          </button>\n        </ng-container>\n      </mat-menu>\n    </div>\n\n    <div class=\"psdk-case-view-divider\"></div>\n\n    <div class=\"psdk-case-view-summary\">\n      <component-mapper name=\"CaseSummary\" [props]=\"{ pConn$: caseSummaryPConn$ }\"></component-mapper>\n    </div>\n\n    <component-mapper\n      *ngIf=\"caseTabs$.length > 1\"\n      name=\"VerticalTabs\"\n      [props]=\"{ tabConfig$: caseTabs$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ tabClick: onTabClick }\"\n    ></component-mapper>\n  </div>\n  <div class=\"psdk-case-view-main\">\n    <div>\n      <div *ngFor=\"let kid of arChildren$\">\n        <div\n          *ngIf=\"\n            kid.getPConnect().getRawMetadata().type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata().name.toLowerCase() == 'stages'\n          \"\n        >\n          <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n        </div>\n      </div>\n    </div>\n\n    <div *ngFor=\"let kid of arChildren$\">\n      <div\n        *ngIf=\"kid.getPConnect().getRawMetadata().type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata().name.toLowerCase() == 'todo'\"\n      >\n        <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n      </div>\n    </div>\n\n    <div *ngFor=\"let kid of arChildren$\">\n      <div *ngIf=\"kid.getPConnect().getRawMetadata().type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata().name == 'Main'\">\n        <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n      </div>\n    </div>\n\n    <div>\n      <component-mapper name=\"DeferLoad\" [props]=\"{ pConn$, loadData$: tabData$, name: tabData$?.config?.name }\"></component-mapper>\n    </div>\n  </div>\n  <div>\n    <div *ngIf=\"arChildren$\" class=\"psdk-case-view-utilities\">\n      <div *ngFor=\"let kid of arChildren$\">\n        <div *ngIf=\"kid.getPConnect().getRawMetadata()?.type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata()?.name == 'Utilities'\">\n          <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["h1{font-size:1.1rem;line-height:1.3rem}::ng-deep .mat-mdc-menu-panel{overflow:unset;max-width:unset}.psdk-case-view-label{font-size:1rem;display:block;transform:translateY(.2em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(.2em) scale(.75);width:133.33333%;border-radius:.6125rem}.psdk-case-view{box-sizing:border-box;display:flex}.ng-case-view-toolbar{padding:.625rem}.psdk-case-icon-div{background-color:var(--app-primary-dark-color);border-radius:1rem;padding:.5rem .3rem .3rem}.psdk-case-svg-icon{width:2rem;padding:0rem .3125rem;filter:var(--app-white-color-filter)}.psdk-case-view-info-box{display:flex;flex-direction:row;padding:0rem .3125rem 0rem 0rem}.psdk-case-view-info{flex:0 0 auto;width:25rem;float:left;padding:0rem .3125rem 0rem 0rem;margin-left:.5rem;margin-top:.5rem;height:100%;background-color:var(--app-form-color)}.psdk-case-view-main{flex-grow:2;float:left;padding:0rem .3125rem;height:100%}.psdk-case-view-summary{padding-left:.75rem}.psdk-case-view-heading{display:block;text-align:left;padding-left:.5rem;padding-bottom:0;padding-top:5px}.psdk-case-view-heading-id{font-size:.9rem;font-weight:400}.psdk-case-view-buttons{display:flex;justify-content:flex-start;padding:.3125rem}.psdk-case-view-utilities{width:21.875rem;float:left;padding:0rem .3125rem;height:100%}.psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-status{padding:.3125rem;background-color:var(--app-primary-color);color:var(--app-form-color);width:fit-content;margin:.625rem}button{margin:0rem .3125rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatToolbarModule) }, { kind: "component", type: i0.forwardRef(() => i4$4.MatToolbar), selector: "mat-toolbar", inputs: ["color"], exportAs: ["matToolbar"] }, { kind: "directive", type: i0.forwardRef(() => i4$4.MatToolbarRow), selector: "mat-toolbar-row", exportAs: ["matToolbarRow"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatMenuModule) }, { kind: "component", type: i0.forwardRef(() => i6.MatMenu), selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i0.forwardRef(() => i6.MatMenuItem), selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i0.forwardRef(() => i6.MatMenuTrigger), selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-view', providers: [Utils], standalone: true, imports: [CommonModule, MatToolbarModule, MatButtonModule, MatMenuModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-case-view\" id=\"case-view\">\n  <div class=\"psdk-case-view-info\">\n    <mat-toolbar color=\"primary\" class=\"psdk-case-view-toolbar\">\n      <mat-toolbar-row style=\"padding-left: 1rem\">\n        <div class=\"psdk-case-icon-div\">\n          <img class=\"psdk-case-svg-icon\" src=\"{{ svgCase$ }}\" />\n        </div>\n        <div class=\"psdk-case-view-heading\">\n          <div>\n            <h1 id=\"case-name\">{{ heading$ }}</h1>\n          </div>\n          <div id=\"current-caseID\" [hidden]=\"true\">{{ currentCaseID }}</div>\n          <div class=\"psdk-case-view-heading-id\" id=\"caseId\">{{ id$ }}</div>\n        </div>\n      </mat-toolbar-row>\n    </mat-toolbar>\n\n    <div class=\"psdk-case-view-buttons\">\n      <button *ngIf=\"editAction\" mat-raised-button color=\"secondary\" (click)=\"_editClick()\">{{ localizedVal('Edit', localeCategory) }}</button>\n      <button mat-raised-button color=\"secondary\" [matMenuTriggerFor]=\"actionMenu\">{{ localizedVal('Actions...', localeCategory) }}</button>\n      <mat-menu #actionMenu=\"matMenu\" overlapTrigger=\"false\">\n        <ng-container *ngFor=\"let action of arAvailableActions$\">\n          <button mat-menu-item (click)=\"_menuActionClick(action)\">\n            {{ localizedVal(action.name, '', localeKey) }}\n          </button>\n        </ng-container>\n        <ng-container *ngFor=\"let process of arAvailabeProcesses$\">\n          <button mat-menu-item (click)=\"_menuProcessClick(process)\">\n            {{ process.name }}\n          </button>\n        </ng-container>\n      </mat-menu>\n    </div>\n\n    <div class=\"psdk-case-view-divider\"></div>\n\n    <div class=\"psdk-case-view-summary\">\n      <component-mapper name=\"CaseSummary\" [props]=\"{ pConn$: caseSummaryPConn$ }\"></component-mapper>\n    </div>\n\n    <component-mapper\n      *ngIf=\"caseTabs$.length > 1\"\n      name=\"VerticalTabs\"\n      [props]=\"{ tabConfig$: caseTabs$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ tabClick: onTabClick }\"\n    ></component-mapper>\n  </div>\n  <div class=\"psdk-case-view-main\">\n    <div>\n      <div *ngFor=\"let kid of arChildren$\">\n        <div\n          *ngIf=\"\n            kid.getPConnect().getRawMetadata().type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata().name.toLowerCase() == 'stages'\n          \"\n        >\n          <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n        </div>\n      </div>\n    </div>\n\n    <div *ngFor=\"let kid of arChildren$\">\n      <div\n        *ngIf=\"kid.getPConnect().getRawMetadata().type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata().name.toLowerCase() == 'todo'\"\n      >\n        <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n      </div>\n    </div>\n\n    <div *ngFor=\"let kid of arChildren$\">\n      <div *ngIf=\"kid.getPConnect().getRawMetadata().type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata().name == 'Main'\">\n        <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n      </div>\n    </div>\n\n    <div>\n      <component-mapper name=\"DeferLoad\" [props]=\"{ pConn$, loadData$: tabData$, name: tabData$?.config?.name }\"></component-mapper>\n    </div>\n  </div>\n  <div>\n    <div *ngIf=\"arChildren$\" class=\"psdk-case-view-utilities\">\n      <div *ngFor=\"let kid of arChildren$\">\n        <div *ngIf=\"kid.getPConnect().getRawMetadata()?.type.toLowerCase() == 'region' && kid.getPConnect().getRawMetadata()?.name == 'Utilities'\">\n          <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: ["h1{font-size:1.1rem;line-height:1.3rem}::ng-deep .mat-mdc-menu-panel{overflow:unset;max-width:unset}.psdk-case-view-label{font-size:1rem;display:block;transform:translateY(.2em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(.2em) scale(.75);width:133.33333%;border-radius:.6125rem}.psdk-case-view{box-sizing:border-box;display:flex}.ng-case-view-toolbar{padding:.625rem}.psdk-case-icon-div{background-color:var(--app-primary-dark-color);border-radius:1rem;padding:.5rem .3rem .3rem}.psdk-case-svg-icon{width:2rem;padding:0rem .3125rem;filter:var(--app-white-color-filter)}.psdk-case-view-info-box{display:flex;flex-direction:row;padding:0rem .3125rem 0rem 0rem}.psdk-case-view-info{flex:0 0 auto;width:25rem;float:left;padding:0rem .3125rem 0rem 0rem;margin-left:.5rem;margin-top:.5rem;height:100%;background-color:var(--app-form-color)}.psdk-case-view-main{flex-grow:2;float:left;padding:0rem .3125rem;height:100%}.psdk-case-view-summary{padding-left:.75rem}.psdk-case-view-heading{display:block;text-align:left;padding-left:.5rem;padding-bottom:0;padding-top:5px}.psdk-case-view-heading-id{font-size:.9rem;font-weight:400}.psdk-case-view-buttons{display:flex;justify-content:flex-start;padding:.3125rem}.psdk-case-view-utilities{width:21.875rem;float:left;padding:0rem .3125rem;height:100%}.psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-status{padding:.3125rem;background-color:var(--app-primary-color);color:var(--app-form-color);width:fit-content;margin:.625rem}button{margin:0rem .3125rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class ConfirmationComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.angularPConnectData = {};
        this.showConfirmView = true;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.CONSTS = PCore.getConstants();
        const activeContainerItemID = PCore.getContainerUtils().getActiveContainerItemName(this.pConn$.getTarget() ?? null);
        this.rootInfo = PCore.getContainerUtils().getContainerItemData(this.pConn$.getTarget(), activeContainerItemID);
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        const theConfigProps = this.pConn$.getConfigProps();
        this.datasource = theConfigProps?.datasource;
        this.showTasks = theConfigProps?.showTasks;
        this.label = theConfigProps?.label;
        // Get the inherited props from the parent to determine label settings
        // Not using whatsNext at the moment, need to figure out the use of it
        // const whatsNext = this.datasource?.source;
        // const items = whatsNext?.length > 0 ? whatsNext.map((item) => item.label) : '';
        // const todoProps = { ...theConfigProps, renderTodoInConfirm: true };
        this.toDoList = getToDoAssignments(this.pConn$);
        this.detailProps = { ...theConfigProps, showLabel: false };
        this.showDetails = this.pConn$?.getChildren()?.[0]?.getPConnect()?.getChildren()?.length > 0;
    }
    onConfirmViewClose() {
        this.showConfirmView = false;
        PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.CLOSE_CONFIRM_VIEW, this.rootInfo);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ConfirmationComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ConfirmationComponent, isStandalone: true, selector: "app-confirmation", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div>\n  <div *ngIf=\"showConfirmView\">\n    <h2 id=\"confirm-label\" class=\"confirm-label\">{{ label }}</h2>\n    <div *ngIf=\"showDetails\">\n      <component-mapper name=\"Details\" [props]=\"{ pConn$ }\"></component-mapper>\n    </div>\n    <div *ngIf=\"showTasks && toDoList?.length > 0\">\n      <component-mapper\n        name=\"Todo\"\n        [props]=\"{ pConn$, datasource$: { source: toDoList }, headerText$: 'Open Tasks', type$: CONSTS.TODO, isConfirm: true }\"\n      ></component-mapper>\n    </div>\n    <div class=\"done-button\">\n      <button mat-raised-button color=\"primary\" (click)=\"onConfirmViewClose()\">Done</button>\n    </div>\n  </div>\n  <div *ngIf=\"toDoList?.length > 0\">\n    <component-mapper\n      name=\"Todo\"\n      [props]=\"{ pConn$, datasource$: { source: toDoList }, headerText$: 'Tasks', type$: CONSTS.TODO, isConfirm: true }\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".done-button{justify-content:flex-end;display:flex;padding-bottom:1rem}.confirm-label{padding:0 16px;margin:0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ConfirmationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-confirmation', standalone: true, imports: [CommonModule, MatButtonModule, forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <div *ngIf=\"showConfirmView\">\n    <h2 id=\"confirm-label\" class=\"confirm-label\">{{ label }}</h2>\n    <div *ngIf=\"showDetails\">\n      <component-mapper name=\"Details\" [props]=\"{ pConn$ }\"></component-mapper>\n    </div>\n    <div *ngIf=\"showTasks && toDoList?.length > 0\">\n      <component-mapper\n        name=\"Todo\"\n        [props]=\"{ pConn$, datasource$: { source: toDoList }, headerText$: 'Open Tasks', type$: CONSTS.TODO, isConfirm: true }\"\n      ></component-mapper>\n    </div>\n    <div class=\"done-button\">\n      <button mat-raised-button color=\"primary\" (click)=\"onConfirmViewClose()\">Done</button>\n    </div>\n  </div>\n  <div *ngIf=\"toDoList?.length > 0\">\n    <component-mapper\n      name=\"Todo\"\n      [props]=\"{ pConn$, datasource$: { source: toDoList }, headerText$: 'Tasks', type$: CONSTS.TODO, isConfirm: true }\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".done-button{justify-content:flex-end;display:flex;padding-bottom:1rem}.confirm-label{padding:0 16px;margin:0}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }] } });

const SELECTION_MODE$1 = { SINGLE: 'single', MULTI: 'multi' };
class DataReferenceComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.arFields$ = [];
        this.referenceType = '';
        this.selectionMode = '';
        this.hideLabel = false;
        this.childrenToRender = [];
        this.dropDownDataSource = '';
        this.isDisplayModeEnabled = false;
        this.propsToUse = {};
        this.rawViewMetadata = {};
        this.viewName = '';
        this.firstChildMeta = {};
        this.canBeChangedInReviewMode = false;
        this.propName = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.children = this.pConn$.getChildren();
        this.updateSelf();
        if (this.firstChildMeta?.type === 'Dropdown' && this.rawViewMetadata.config?.parameters) {
            const { value, key, text } = this.firstChildMeta.config.datasource.fields;
            PCore.getDataApiUtils()
                .getData(this.refList, {
                dataViewParameters: this.parameters
            }, '')
                .then(res => {
                if (res.data.data !== null) {
                    const ddDataSource = res.data.data
                        .map(listItem => ({
                        key: listItem[key.split(' .', 2)[1]],
                        text: listItem[text.split(' .', 2)[1]],
                        value: listItem[value.split(' .', 2)[1]]
                    }))
                        .filter(item => item.key);
                    // Filtering out undefined entries that will break preview
                    this.dropDownDataSource = ddDataSource;
                    this.updateSelf();
                }
                else {
                    const ddDataSource = [];
                    this.dropDownDataSource = ddDataSource;
                }
            })
                .catch(() => {
                return Promise.resolve({
                    data: { data: [] }
                });
            });
        }
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        // Update properties based on configProps
        const theConfigProps = this.pConn$.getConfigProps();
        this.updatePropertiesFromProps(theConfigProps);
        const displayAs = theConfigProps.displayAs;
        const displayMode = theConfigProps.displayMode;
        this.rawViewMetadata = this.pConn$.getRawMetadata();
        this.viewName = this.rawViewMetadata.name;
        this.firstChildMeta = this.rawViewMetadata.children[0];
        this.refList = this.rawViewMetadata.config.referenceList;
        this.canBeChangedInReviewMode = theConfigProps.allowAndPersistChangesInReviewMode && (displayAs === 'autocomplete' || displayAs === 'dropdown');
        // this.childrenToRender = this.children;
        this.isDisplayModeEnabled = ['DISPLAY_ONLY', 'STACKED_LARGE_VAL'].includes(displayMode);
        if (this.firstChildMeta?.type !== 'Region') {
            this.firstChildPConnect = this.pConn$.getChildren()[0].getPConnect;
            /* remove refresh When condition from those old view so that it will not be used for runtime */
            if (this.firstChildMeta.config?.readOnly) {
                delete this.firstChildMeta.config.readOnly;
            }
            if (this.firstChildMeta?.type === 'Dropdown') {
                this.firstChildMeta.config.datasource.source = this.rawViewMetadata.config?.parameters
                    ? this.dropDownDataSource
                    : '@DATASOURCE '.concat(this.refList).concat('.pxResults');
            }
            else if (this.firstChildMeta?.type === 'AutoComplete') {
                this.firstChildMeta.config.datasource = this.refList;
                /* Insert the parameters to the component only if present */
                if (this.rawViewMetadata.config?.parameters) {
                    this.firstChildMeta.config.parameters = this.parameters;
                }
            }
            // set displayMode conditionally
            if (!this.canBeChangedInReviewMode) {
                this.firstChildMeta.config.displayMode = displayMode;
            }
            if (this.firstChildMeta.type === 'SimpleTableSelect' && this.selectionMode === SELECTION_MODE$1.MULTI) {
                this.propName = PCore.getAnnotationUtils().getPropertyName(this.firstChildMeta.config.selectionList);
            }
            else {
                this.propName = PCore.getAnnotationUtils().getPropertyName(this.firstChildMeta.config.value);
            }
            this.generateChildrenToRender();
        }
    }
    updatePropertiesFromProps(theConfigProps) {
        const label = theConfigProps.label;
        const showLabel = theConfigProps.showLabel;
        this.referenceType = theConfigProps.referenceType;
        this.selectionMode = theConfigProps.selectionMode;
        this.parameters = theConfigProps.parameters;
        this.hideLabel = theConfigProps.hideLabel;
        this.propsToUse = { label, showLabel, ...this.pConn$.getInheritedProps() };
        if (this.propsToUse.showLabel === false) {
            this.propsToUse.label = '';
        }
    }
    generateChildrenToRender() {
        const theRecreatedFirstChild = this.recreatedFirstChild();
        const viewsRegion = this.rawViewMetadata.children[1];
        if (viewsRegion?.name === 'Views' && viewsRegion.children.length) {
            this.childrenToRender = [theRecreatedFirstChild, ...this.children.slice(1)];
        }
        else {
            this.childrenToRender = [theRecreatedFirstChild];
        }
    }
    handleSelection(event) {
        const caseKey = this.pConn$.getCaseInfo().getKey();
        const refreshOptions = { autoDetectRefresh: true };
        if (this.canBeChangedInReviewMode && this.pConn$.getValue('__currentPageTabViewName')) {
            this.pConn$.getActionsApi().refreshCaseView(caseKey, this.pConn$.getValue('__currentPageTabViewName'), '', refreshOptions);
            PCore.getDeferLoadManager().refreshActiveComponents(this.pConn$.getContextName());
        }
        else {
            const pgRef = this.pConn$.getPageReference().replace('caseInfo.content', '');
            this.pConn$.getActionsApi().refreshCaseView(caseKey, this.viewName, pgRef, refreshOptions);
        }
        // AutoComplete sets value on event.id whereas Dropdown sets it on event.target.value
        const propValue = event?.id || event?.target?.value;
        if (propValue && this.canBeChangedInReviewMode && this.isDisplayModeEnabled) {
            PCore.getDataApiUtils()
                .getCaseEditLock(caseKey, '')
                .then(caseResponse => {
                const pageTokens = this.pConn$.getPageReference().replace('caseInfo.content', '').split('.');
                let curr = {};
                const commitData = curr;
                pageTokens.forEach(el => {
                    if (el !== '') {
                        curr[el] = {};
                        curr = curr[el];
                    }
                });
                // expecting format like {Customer: {pyID:"C-100"}}
                const propArr = this.propName.split('.');
                propArr.forEach((element, idx) => {
                    if (idx + 1 === propArr.length) {
                        curr[element] = propValue;
                    }
                    else {
                        curr[element] = {};
                        curr = curr[element];
                    }
                });
                PCore.getCaseUtils()
                    .updateCaseEditFieldsData(caseKey, { [caseKey]: commitData }, caseResponse.headers.etag, this.pConn$.getContextName())
                    .then(response => {
                    PCore.getContainerUtils().updateParentLastUpdateTime(this.pConn$.getContextName(), response.data.data.caseInfo.lastUpdateTime);
                    PCore.getContainerUtils().updateRelatedContextEtag(this.pConn$.getContextName(), response.headers.etag);
                });
            });
        }
    }
    // Re-create first child with overridden props
    // Memoized child in order to stop unmount and remount of the child component when data reference
    // rerenders without any actual change
    recreatedFirstChild() {
        const { type, config } = this.firstChildMeta;
        if (this.firstChildMeta?.type !== 'Region') {
            this.pConn$.clearErrorMessages({
                property: this.propName,
                category: '',
                context: ''
            });
            if (!this.canBeChangedInReviewMode && this.isDisplayModeEnabled && this.selectionMode === SELECTION_MODE$1.SINGLE) {
                this.displaySingleRef = true;
            }
            if (this.isDisplayModeEnabled && this.selectionMode === SELECTION_MODE$1.MULTI) {
                this.displayMultiRef = true;
            }
            // In the case of a datasource with parameters you cannot load the dropdown before the parameters
            if (type === 'Dropdown' && this.rawViewMetadata.config?.parameters && this.dropDownDataSource === null) {
                return null;
            }
            return this.firstChildPConnect().createComponent({
                type,
                config: {
                    ...config,
                    required: this.propsToUse.required,
                    visibility: this.propsToUse.visibility,
                    disabled: this.propsToUse.disabled,
                    label: this.propsToUse.label,
                    viewName: this.pConn$.getCurrentView(),
                    parameters: this.rawViewMetadata.config.parameters,
                    readOnly: false,
                    localeReference: this.rawViewMetadata.config.localeReference,
                    ...(this.selectionMode === SELECTION_MODE$1.SINGLE ? { referenceType: this.referenceType } : ''),
                    dataRelationshipContext: this.rawViewMetadata.config.contextClass && this.rawViewMetadata.config.name ? this.rawViewMetadata.config.name : null,
                    hideLabel: this.hideLabel,
                    onRecordChange: this.handleSelection.bind(this)
                }
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DataReferenceComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DataReferenceComponent, isStandalone: true, selector: "app-data-reference", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"childrenToRender && childrenToRender.length > 0\">\n  <div *ngIf=\"!displayMultiRef\">\n    <div *ngFor=\"let kid of childrenToRender\">\n      <component-mapper [name]=\"kid?.getPConnect().getComponentName()\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n  <div *ngIf=\"displaySingleRef\">\n    <component-mapper name=\"SingleReferenceReadOnly\" [props]=\"{ pConn$: firstChildPConnect() }\"></component-mapper>\n  </div>\n  <div *ngIf=\"displayMultiRef\">\n    <component-mapper name=\"MultiReferenceReadOnly\" [props]=\"{ pConn$: firstChildPConnect() }\"></component-mapper>\n  </div>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DataReferenceComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-data-reference', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"childrenToRender && childrenToRender.length > 0\">\n  <div *ngIf=\"!displayMultiRef\">\n    <div *ngFor=\"let kid of childrenToRender\">\n      <component-mapper [name]=\"kid?.getPConnect().getComponentName()\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n  <div *ngIf=\"displaySingleRef\">\n    <component-mapper name=\"SingleReferenceReadOnly\" [props]=\"{ pConn$: firstChildPConnect() }\"></component-mapper>\n  </div>\n  <div *ngIf=\"displayMultiRef\">\n    <component-mapper name=\"MultiReferenceReadOnly\" [props]=\"{ pConn$: firstChildPConnect() }\"></component-mapper>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class FormTemplateBase {
    ngOnDestroy() {
        PCore.getContextTreeManager().removeContextTreeNode(this.pConn$.getContextName());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FormTemplateBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.12", type: FormTemplateBase, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FormTemplateBase, decorators: [{
            type: Directive
        }] });

class TemplateUtils {
    /**
     * Determine if the current view is the view of the case step/assignment.
     * @param {Function} pConnect PConnect object for the component
     */
    getIsAssignmentView(pConnect) {
        // Get caseInfo content from the store which contains the view info about the current assignment/step
        // TODO To be replaced with pConnect.getCaseInfo().getCurrentAssignmentView when it's available
        const assignmentViewClass = pConnect.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_CLASSID);
        const assignmentViewName = pConnect.getValue(PCore.getConstants().CASE_INFO.ASSIGNMENTACTION_ID);
        const assignmentViewId = `${assignmentViewName}!${assignmentViewClass}`;
        // Get the info about the current view from pConnect
        const currentViewId = `${pConnect.getCurrentView()}!${pConnect.getCurrentClassID()}`;
        return assignmentViewId === currentViewId;
    }
    /**
     * A hook that gets the instructions content for a view.
     * @param {Function} pConnect PConnect object for the component
     * @param {string} [instructions="casestep"] 'casestep', 'none', or the html content of a Rule-UI-Paragraph rule (processed via core's paragraph annotation handler)
     */
    getInstructions(pConnect, instructions = 'casestep') {
        const caseStepInstructions = PCore.getConstants().CASE_INFO.INSTRUCTIONS && pConnect.getValue(PCore.getConstants().CASE_INFO.INSTRUCTIONS);
        // Determine if this view is the current assignment/step view
        const isCurrentAssignmentView = this.getIsAssignmentView(pConnect);
        // Case step instructions
        if (instructions === 'casestep' && isCurrentAssignmentView && caseStepInstructions?.length) {
            return caseStepInstructions;
        }
        // No instructions
        if (instructions === 'none') {
            return undefined;
        }
        // If the annotation wasn't processed correctly, don't return any instruction text
        if (instructions?.startsWith('@PARAGRAPH')) {
            return undefined;
        }
        // Custom instructions from the view
        // The raw metadata for `instructions` will be something like '@PARAGRAPH .SomeParagraphRule' but
        // it is evaluated by core logic to the content
        if (instructions !== 'casestep' && instructions !== 'none') {
            return instructions;
        }
        return undefined;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TemplateUtils, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TemplateUtils, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TemplateUtils, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class DefaultFormComponent extends FormTemplateBase {
    constructor(templateUtils) {
        super();
        this.templateUtils = templateUtils;
    }
    ngOnInit() {
        const configProps = this.pConn$.getConfigProps();
        const kids = this.pConn$.getChildren();
        this.instructions = this.templateUtils.getInstructions(this.pConn$, configProps?.instructions);
        const numCols = configProps.NumCols ? configProps.NumCols : '1';
        switch (numCols) {
            case '1':
                this.divClass$ = 'psdk-default-form-one-column';
                break;
            case '2':
                this.divClass$ = 'psdk-default-form-two-column';
                break;
            case '3':
                this.divClass$ = 'psdk-default-form-three-column';
                break;
            default:
                this.divClass$ = 'psdk-default-form-one-column';
                break;
        }
        // repoint children before getting templateArray
        // Children may contain 'reference' component, so we need to
        //  normalize them
        this.arChildren$ = ReferenceComponent.normalizePConnArray(kids[0].getPConnect().getChildren());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DefaultFormComponent, deps: [{ token: TemplateUtils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DefaultFormComponent, isStandalone: true, selector: "app-default-form", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesInheritance: true, ngImport: i0, template: "<div *ngIf=\"instructions\" class=\"psdk-default-form-instruction-text\">\n  <div key=\"instructions\" id=\"instruction-text\" [innerHTML]=\"instructions\"></div>\n</div>\n<div [className]=\"divClass$\">\n  <div *ngFor=\"let kid of arChildren$\" [ngClass]=\"{ 'grid-column': kid.getPConnect().getComponentName() === 'View' }\">\n    <component-mapper\n      [name]=\"kid.getPConnect().getComponentName()\"\n      [props]=\"{\n        pConn$: kid.getPConnect(),\n        formGroup$: formGroup$\n      }\"\n      errorMsg=\"DefaultForm wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-default-form-one-column{display:grid;grid-template-columns:repeat(1,minmax(0,1fr));column-gap:1rem}.psdk-default-form-two-column{display:grid;grid-template-columns:repeat(2,1fr);column-gap:1rem}.psdk-default-form-three-column{display:grid;grid-template-columns:repeat(3,1fr);column-gap:1rem}.psdk-default-form-three-column .grid-column{grid-column:1/span 3}.psdk-default-form-two-column .grid-column{grid-column:1/span 2}.psdk-default-form-one-column .grid-column{grid-column:1}.template-title-container{font-size:.9375rem;font-weight:600;margin:10px 0}.psdk-default-form-instruction-text{padding-top:.625rem;padding-bottom:.625rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DefaultFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-default-form', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"instructions\" class=\"psdk-default-form-instruction-text\">\n  <div key=\"instructions\" id=\"instruction-text\" [innerHTML]=\"instructions\"></div>\n</div>\n<div [className]=\"divClass$\">\n  <div *ngFor=\"let kid of arChildren$\" [ngClass]=\"{ 'grid-column': kid.getPConnect().getComponentName() === 'View' }\">\n    <component-mapper\n      [name]=\"kid.getPConnect().getComponentName()\"\n      [props]=\"{\n        pConn$: kid.getPConnect(),\n        formGroup$: formGroup$\n      }\"\n      errorMsg=\"DefaultForm wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-default-form-one-column{display:grid;grid-template-columns:repeat(1,minmax(0,1fr));column-gap:1rem}.psdk-default-form-two-column{display:grid;grid-template-columns:repeat(2,1fr);column-gap:1rem}.psdk-default-form-three-column{display:grid;grid-template-columns:repeat(3,1fr);column-gap:1rem}.psdk-default-form-three-column .grid-column{grid-column:1/span 3}.psdk-default-form-two-column .grid-column{grid-column:1/span 2}.psdk-default-form-one-column .grid-column{grid-column:1}.template-title-container{font-size:.9375rem;font-weight:600;margin:10px 0}.psdk-default-form-instruction-text{padding-top:.625rem;padding-bottom:.625rem}\n"] }]
        }], ctorParameters: () => [{ type: TemplateUtils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class DetailsTemplateBase {
    constructor(injector) {
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.angularPConnect = injector.get(AngularPConnectService);
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // Only call updateSelf when the component should update
        if (bUpdateSelf || this.hasRawMetadataChanged()) {
            this.updateSelf();
        }
    }
    // this method will get overriden by the child component
    updateSelf() { }
    hasRawMetadataChanged() {
        const newChildrenMetadata = this.fetchChildrenMetadata();
        if (!PCore.isDeepEqual(newChildrenMetadata, this.childrenMetadataOld)) {
            this.childrenMetadataOld = newChildrenMetadata;
            return true;
        }
        return false;
    }
    fetchChildrenMetadata() {
        const children = this.pConn$.getChildren() || [];
        return children.map(child => {
            const pConnect = child.getPConnect();
            return pConnect.resolveConfigProps(pConnect.getRawMetadata());
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsTemplateBase, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.12", type: DetailsTemplateBase, inputs: { pConn$: "pConn$" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsTemplateBase, decorators: [{
            type: Directive
        }], ctorParameters: () => [{ type: i0.Injector }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class DetailsComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.highlightedDataArr = [];
        this.arFields$ = [];
    }
    updateSelf() {
        const rawMetaData = this.pConn$.resolveConfigProps(this.pConn$.getRawMetadata()?.config);
        this.showHighlightedData = rawMetaData?.showHighlightedData;
        if (this.showHighlightedData) {
            const highlightedData = rawMetaData?.highlightedData;
            this.highlightedDataArr = highlightedData.map(field => {
                field.config.displayMode = 'STACKED_LARGE_VAL';
                if (field.config.value === '@P .pyStatusWork') {
                    field.type = 'TextInput';
                    field.config.displayAsStatus = true;
                }
                return field;
            });
        }
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            this.arFields$ = [];
            const pKid = kid.getPConnect();
            const fields = pKid.getChildren();
            fields?.forEach(field => {
                const thePConn = field.getPConnect();
                const theCompType = thePConn.getComponentName().toLowerCase();
                if (theCompType === 'reference' || theCompType === 'group') {
                    const configProps = thePConn.getConfigProps();
                    configProps.readOnly = true;
                    configProps.displayMode = 'DISPLAY_ONLY';
                    const propToUse = { ...thePConn.getInheritedProps() };
                    configProps.label = propToUse?.label;
                    const options = {
                        context: thePConn.getContextName(),
                        pageReference: thePConn.getPageReference(),
                        referenceList: thePConn.getReferenceList()
                    };
                    const viewContConfig = {
                        meta: {
                            ...thePConn.getMetadata(),
                            type: theCompType,
                            config: configProps
                        },
                        options
                    };
                    const theViewCont = PCore.createPConnect(viewContConfig);
                    const data = {
                        type: theCompType,
                        pConn: theViewCont?.getPConnect()
                    };
                    this.arFields$.push(data);
                }
                else {
                    const data = {
                        type: theCompType,
                        config: thePConn.getConfigProps()
                    };
                    this.arFields$.push(data);
                }
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsComponent, isStandalone: true, selector: "app-details", usesInheritance: true, ngImport: i0, template: "<div>\n  <component-mapper name=\"MaterialDetails\" [props]=\"{ arFields$, arHighlightedFields: highlightedDataArr, layout: 'one-column' }\"></component-mapper>\n</div>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <component-mapper name=\"MaterialDetails\" [props]=\"{ arFields$, arHighlightedFields: highlightedDataArr, layout: 'one-column' }\"></component-mapper>\n</div>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }] });

class DetailsNarrowWideComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.arFields$ = [];
        this.arFields2$ = [];
        this.highlightedDataArr = [];
    }
    updateSelf() {
        const rawMetaData = this.pConn$.resolveConfigProps(this.pConn$.getRawMetadata()?.config);
        this.showHighlightedData = rawMetaData?.showHighlightedData;
        if (this.showHighlightedData) {
            const highlightedData = rawMetaData?.highlightedData;
            this.highlightedDataArr = highlightedData.map(field => {
                field.config.displayMode = 'STACKED_LARGE_VAL';
                if (field.config.value === '@P .pyStatusWork') {
                    field.type = 'TextInput';
                    field.config.displayAsStatus = true;
                }
                return field;
            });
        }
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            const pKid = kid.getPConnect();
            const pKidData = pKid.resolveConfigProps(pKid.getRawMetadata());
            if (kids.indexOf(kid) == 0) {
                this.arFields$ = pKidData.children;
            }
            else {
                this.arFields2$ = pKidData.children;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsNarrowWideComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsNarrowWideComponent, isStandalone: true, selector: "app-details-narrow-wide", usesInheritance: true, ngImport: i0, template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arHighlightedFields: highlightedDataArr, layout: 'narrow-wide' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:3fr 7fr;column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsNarrowWideComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details-narrow-wide', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arHighlightedFields: highlightedDataArr, layout: 'narrow-wide' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:3fr 7fr;column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }] });

class DetailsOneColumnComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.arFields$ = [];
    }
    updateSelf() {
        const rawMetaData = this.pConn$.resolveConfigProps(this.pConn$.getRawMetadata()?.config);
        this.showHighlightedData = rawMetaData?.showHighlightedData;
        if (this.showHighlightedData) {
            const highlightedData = rawMetaData?.highlightedData;
            this.highlightedDataArr = highlightedData.map(field => {
                field.config.displayMode = 'STACKED_LARGE_VAL';
                if (field.config.value === '@P .pyStatusWork') {
                    field.type = 'TextInput';
                    field.config.displayAsStatus = true;
                }
                return field;
            });
        }
        this.pConn$.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        this.pConn$.setInheritedProp('readOnly', true);
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            const pKid = kid.getPConnect();
            const pKidData = pKid.resolveConfigProps(pKid.getRawMetadata());
            if (kids.indexOf(kid) == 0) {
                this.arFields$ = pKidData.children;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsOneColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsOneColumnComponent, isStandalone: true, selector: "app-details-one-column", usesInheritance: true, ngImport: i0, template: "<component-mapper name=\"MaterialDetails\" [props]=\"{ arFields$, arHighlightedFields: highlightedDataArr, layout: 'one-column' }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsOneColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details-one-column', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"MaterialDetails\" [props]=\"{ arFields$, arHighlightedFields: highlightedDataArr, layout: 'one-column' }\"></component-mapper>\n" }]
        }] });

class DetailsSubTabsComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.currentTabId = '0';
    }
    updateSelf() {
        const children = this.pConn$?.getChildren();
        const deferLoadedTabs = children[0];
        this.availableTabs = getVisibleTabs(deferLoadedTabs, 'tabsSubs');
        this.updateTabContent();
    }
    updateTabContent() {
        const tempTabItems = getTransientTabs(this.availableTabs, this.currentTabId, this.tabItems);
        this.tabItems = tempTabItems;
    }
    handleTabClick(event) {
        const { index } = event;
        this.currentTabId = index.toString();
        tabClick(index, this.availableTabs, this.currentTabId, this.tabItems);
        const tempTabItems = getTransientTabs(this.availableTabs, this.currentTabId, this.tabItems);
        this.tabItems[index].content = tempTabItems[index].content;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsSubTabsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsSubTabsComponent, isStandalone: true, selector: "app-details-sub-tabs", usesInheritance: true, ngImport: i0, template: "<mat-tab-group (selectedTabChange)=\"handleTabClick($event)\">\n  <mat-tab *ngFor=\"let tab of tabItems; let i = index\" [label]=\"tab.name\">\n    <div *ngIf=\"+currentTabId == i\">\n      <component-mapper\n        *ngIf=\"tab.content?.getPConnect()\"\n        [name]=\"tab.content?.getPConnect().getComponentName()\"\n        [props]=\"{\n          pConn$: tab.content?.getPConnect()\n        }\"\n        errorMsg=\"Details Sub tabs wants component not yet available: {{ tab.content?.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </mat-tab>\n</mat-tab-group>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => MatTabsModule) }, { kind: "component", type: i0.forwardRef(() => i2$2.MatTab), selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby", "labelClass", "bodyClass"], exportAs: ["matTab"] }, { kind: "component", type: i0.forwardRef(() => i2$2.MatTabGroup), selector: "mat-tab-group", inputs: ["color", "fitInkBarToContent", "mat-stretch-tabs", "dynamicHeight", "selectedIndex", "headerPosition", "animationDuration", "contentTabIndex", "disablePagination", "disableRipple", "preserveContent", "backgroundColor", "aria-label", "aria-labelledby"], outputs: ["selectedIndexChange", "focusChange", "animationDone", "selectedTabChange"], exportAs: ["matTabGroup"] }, { kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsSubTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details-sub-tabs', standalone: true, imports: [MatTabsModule, CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<mat-tab-group (selectedTabChange)=\"handleTabClick($event)\">\n  <mat-tab *ngFor=\"let tab of tabItems; let i = index\" [label]=\"tab.name\">\n    <div *ngIf=\"+currentTabId == i\">\n      <component-mapper\n        *ngIf=\"tab.content?.getPConnect()\"\n        [name]=\"tab.content?.getPConnect().getComponentName()\"\n        [props]=\"{\n          pConn$: tab.content?.getPConnect()\n        }\"\n        errorMsg=\"Details Sub tabs wants component not yet available: {{ tab.content?.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </mat-tab>\n</mat-tab-group>\n" }]
        }] });

class DetailsThreeColumnComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.arFields$ = [];
        this.arFields2$ = [];
        this.arFields3$ = [];
        this.propsToUse = {};
    }
    updateSelf() {
        const rawMetaData = this.pConn$.resolveConfigProps(this.pConn$.getRawMetadata()?.config);
        this.showHighlightedData = rawMetaData?.showHighlightedData;
        if (this.showHighlightedData) {
            const highlightedData = rawMetaData?.highlightedData;
            this.highlightedDataArr = highlightedData.map(field => {
                field.config.displayMode = 'STACKED_LARGE_VAL';
                if (field.config.value === '@P .pyStatusWork') {
                    field.type = 'TextInput';
                    field.config.displayAsStatus = true;
                }
                return field;
            });
        }
        this.pConn$.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        this.pConn$.setInheritedProp('readOnly', true);
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            const pKid = kid.getPConnect();
            const pKidData = pKid.resolveConfigProps(pKid.getRawMetadata());
            if (kids.indexOf(kid) == 0) {
                this.arFields$ = pKidData.children;
            }
            else if (kids.indexOf(kid) == 1) {
                this.arFields2$ = pKidData.children;
            }
            else {
                this.arFields3$ = pKidData.children;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsThreeColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsThreeColumnComponent, isStandalone: true, selector: "app-details-three-column", usesInheritance: true, ngImport: i0, template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arFields3$, arHighlightedFields: highlightedDataArr, layout: 'three-column' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsThreeColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details-three-column', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arFields3$, arHighlightedFields: highlightedDataArr, layout: 'three-column' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }] });

class DetailsTwoColumnComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.arFields$ = [];
        this.arFields2$ = [];
        this.arFields3$ = [];
        this.propsToUse = {};
    }
    updateSelf() {
        const rawMetaData = this.pConn$.resolveConfigProps(this.pConn$.getRawMetadata()?.config);
        this.showHighlightedData = rawMetaData?.showHighlightedData;
        if (this.showHighlightedData) {
            const highlightedData = rawMetaData?.highlightedData;
            this.highlightedDataArr = highlightedData?.map(field => {
                field.config.displayMode = 'STACKED_LARGE_VAL';
                if (field.config.value === '@P .pyStatusWork') {
                    field.type = 'TextInput';
                    field.config.displayAsStatus = true;
                }
                return field;
            });
        }
        this.pConn$.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        this.pConn$.setInheritedProp('readOnly', true);
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            const pKid = kid.getPConnect();
            const pKidData = pKid.resolveConfigProps(pKid.getRawMetadata());
            if (kids.indexOf(kid) == 0) {
                this.arFields$ = pKidData.children;
            }
            else {
                this.arFields2$ = pKidData.children;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsTwoColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsTwoColumnComponent, isStandalone: true, selector: "app-details-two-column", usesInheritance: true, ngImport: i0, template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arHighlightedFields: highlightedDataArr, layout: 'two-column' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsTwoColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details-two-column', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arHighlightedFields: highlightedDataArr, layout: 'two-column' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }] });

class DetailsWideNarrowComponent extends DetailsTemplateBase {
    constructor() {
        super(...arguments);
        this.highlightedDataArr = [];
        this.arFields$ = [];
        this.arFields2$ = [];
        this.propsToUse = {};
    }
    updateSelf() {
        const rawMetaData = this.pConn$.resolveConfigProps(this.pConn$.getRawMetadata()?.config);
        this.showHighlightedData = rawMetaData?.showHighlightedData;
        if (this.showHighlightedData) {
            const highlightedData = rawMetaData?.highlightedData;
            this.highlightedDataArr = highlightedData.map(field => {
                field.config.displayMode = 'STACKED_LARGE_VAL';
                if (field.config.value === '@P .pyStatusWork') {
                    field.type = 'TextInput';
                    field.config.displayAsStatus = true;
                }
                return field;
            });
        }
        this.pConn$.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        this.pConn$.setInheritedProp('readOnly', true);
        const kids = this.pConn$.getChildren();
        for (const kid of kids) {
            const pKid = kid.getPConnect();
            const pKidData = pKid.resolveConfigProps(pKid.getRawMetadata());
            if (kids.indexOf(kid) == 0) {
                this.arFields$ = pKidData.children;
            }
            else {
                this.arFields2$ = pKidData.children;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsWideNarrowComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DetailsWideNarrowComponent, isStandalone: true, selector: "app-details-wide-narrow", usesInheritance: true, ngImport: i0, template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arHighlightedFields: highlightedDataArr, layout: 'wide-narrow' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:7fr 3fr;column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DetailsWideNarrowComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-details-wide-narrow', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper\n  name=\"MaterialDetails\"\n  [props]=\"{ arFields$, arFields2$, arHighlightedFields: highlightedDataArr, layout: 'wide-narrow' }\"\n></component-mapper>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:7fr 3fr;column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }] });

/**
 *
 * @param {*} pConn - pConnect object of the view
 * @returns {string} - returns the name of referenceList
 */
const getReferenceList = pConn => {
    let resolvePage = pConn.getComponentConfig().referenceList.replace('@P ', '');
    if (resolvePage.includes('D_')) {
        resolvePage = pConn.resolveDatasourceReference(resolvePage);
        if (resolvePage?.pxResults) {
            resolvePage = resolvePage?.pxResults;
        }
        else if (resolvePage.startsWith('D_') && !resolvePage.endsWith('.pxResults')) {
            resolvePage = `${resolvePage}.pxResults`;
        }
    }
    return resolvePage;
};
/**
 * creates and returns react element of the view
 * @param {*} pConn - pConnect object of the view
 * @param {*} index - index of the fieldGroup item
 * @param {*} viewConfigPath - boolean value to check for children in config
 * @returns {*} - return the react element of the view
 */
const buildView = (pConn, index, viewConfigPath) => {
    const context = pConn.getContextName();
    const referenceList = getReferenceList(pConn);
    const isDatapage = referenceList.startsWith('D_');
    const pageReference = isDatapage ? `${referenceList}[${index}]` : `${pConn.getPageReference()}${referenceList}[${index}]`;
    const meta = viewConfigPath ? pConn.getRawMetadata().children[0].children[0] : pConn.getRawMetadata().children[0];
    const config = {
        meta,
        options: {
            context,
            pageReference,
            referenceList,
            hasForm: true
        }
    };
    const view = PCore.createPConnect(config);
    if (pConn.getConfigProps()?.displayMode === 'DISPLAY_ONLY') {
        view.getPConnect()?.setInheritedProp('displayMode', 'DISPLAY_ONLY');
    }
    return view;
};

class DynamicTabsComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.angularPConnectData = {};
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        const { referenceList, label, showLabel } = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.propsToUse = { label, showLabel, ...this.pConn$.getInheritedProps() };
        const { tablabel } = this.pConn$.getComponentConfig();
        const tablabelProp = PCore.getAnnotationUtils().getPropertyName(tablabel);
        this.pConn$.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        this.pConn$.setInheritedProp('readOnly', true);
        const referenceListData = this.pConn$.getValue(`${referenceList}.pxResults`, ''); // 2nd arg empty string until typedefs properly allow optional
        this.tabsItems =
            referenceListData?.map((item, i) => {
                const currentTabLabel = item[tablabelProp] || PCore.getLocaleUtils().getLocaleValue('No label specified in config', 'Generic');
                return {
                    id: i,
                    name: currentTabLabel,
                    content: buildView(this.pConn$, i, '')
                };
            }) || [];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DynamicTabsComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DynamicTabsComponent, isStandalone: true, selector: "app-dynamic-tabs", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"propsToUse.showLabel && propsToUse.label\" class=\"template-title-container\">\n  <span>{{ propsToUse.label }}</span>\n</div>\n<mat-tab-group id=\"dynamic-tabs\" mat-stretch-tabs=\"false\" animationDuration=\"0\">\n  <mat-tab *ngFor=\"let tab of tabsItems\" [label]=\"tab.name\">\n    <component-mapper name=\"View\" [props]=\"{ pConn$: tab.content.getPConnect() }\"></component-mapper>\n  </mat-tab>\n</mat-tab-group>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatTabsModule) }, { kind: "component", type: i0.forwardRef(() => i2$2.MatTab), selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby", "labelClass", "bodyClass"], exportAs: ["matTab"] }, { kind: "component", type: i0.forwardRef(() => i2$2.MatTabGroup), selector: "mat-tab-group", inputs: ["color", "fitInkBarToContent", "mat-stretch-tabs", "dynamicHeight", "selectedIndex", "headerPosition", "animationDuration", "contentTabIndex", "disablePagination", "disableRipple", "preserveContent", "backgroundColor", "aria-label", "aria-labelledby"], outputs: ["selectedIndexChange", "focusChange", "animationDone", "selectedTabChange"], exportAs: ["matTabGroup"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DynamicTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-dynamic-tabs', standalone: true, imports: [CommonModule, MatTabsModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"propsToUse.showLabel && propsToUse.label\" class=\"template-title-container\">\n  <span>{{ propsToUse.label }}</span>\n</div>\n<mat-tab-group id=\"dynamic-tabs\" mat-stretch-tabs=\"false\" animationDuration=\"0\">\n  <mat-tab *ngFor=\"let tab of tabsItems\" [label]=\"tab.name\">\n    <component-mapper name=\"View\" [props]=\"{ pConn$: tab.content.getPConnect() }\"></component-mapper>\n  </mat-tab>\n</mat-tab-group>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class FieldGroupListComponent {
    constructor() {
        this.fields = [];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldGroupListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FieldGroupListComponent, isStandalone: true, selector: "app-field-group-list", inputs: { item: "item", heading: "heading", formGroup$: "formGroup$" }, ngImport: i0, template: "<div>\n  <b>{{ heading }}</b>\n  <div>\n    <div *ngIf=\"item.children.getPConnect().getRawMetadata().type.toLowerCase() == 'region'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: item.children.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldGroupListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-field-group-list', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <b>{{ heading }}</b>\n  <div>\n    <div *ngIf=\"item.children.getPConnect().getRawMetadata().type.toLowerCase() == 'region'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: item.children.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }], propDecorators: { item: [{
                type: Input
            }], heading: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class FieldGroupTemplateComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.angularPConnectData = {};
        this.showLabel$ = true;
        this.getStaticHeader = (heading, index) => {
            return `${heading} ${index + 1}`;
        };
        this.getDynamicHeader = (item, index) => {
            if (this.fieldHeader === 'propertyRef' && this.heading && item[this.heading.substring(1)]) {
                return item[this.heading.substring(1)];
            }
            return `Row ${index + 1}`;
        };
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.updateSelf();
        const menuIconOverride$ = 'trash';
        if (menuIconOverride$) {
            this.menuIconOverride$ = this.utils.getImageSrc(menuIconOverride$, this.utils.getSDKStaticContentUrl());
        }
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    ngOnChanges(changes) {
        if (changes && changes.configProps$) {
            const props = changes.configProps$;
            if (props.currentValue !== props.previousValue) {
                this.configProps$ = props.currentValue;
                if (changes?.pConn$?.currentValue) {
                    this.pConn$ = changes?.pConn$?.currentValue;
                }
                this.updateSelf();
            }
        }
    }
    updateSelf() {
        this.inheritedProps$ = this.pConn$.getInheritedProps();
        this.label$ = this.configProps$.label;
        this.showLabel$ = this.configProps$.showLabel;
        // label & showLabel within inheritedProps takes precedence over configProps
        this.label$ = this.inheritedProps$.label || this.label$;
        this.showLabel$ = this.inheritedProps$.showLabel || this.showLabel$;
        this.allowAddEdit = this.configProps$.allowTableEdit;
        const renderMode = this.configProps$.renderMode;
        const displayMode = this.configProps$.displayMode;
        this.readonlyMode = renderMode === 'ReadOnly' || displayMode === 'DISPLAY_ONLY';
        this.contextClass = this.configProps$.contextClass;
        const lookForChildInConfig = this.configProps$.lookForChildInConfig;
        this.heading = this.configProps$.heading ?? 'Row';
        this.fieldHeader = this.configProps$.fieldHeader;
        const resolvedList = getReferenceList(this.pConn$);
        this.pageReference = `${this.pConn$.getPageReference()}${resolvedList}`;
        this.pConn$.setReferenceList(resolvedList);
        if (this.readonlyMode) {
            this.pConn$.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        }
        this.referenceList = this.configProps$.referenceList;
        if (this.prevRefLength != this.referenceList.length) {
            // eslint-disable-next-line sonarjs/no-collapsible-if
            if (!this.readonlyMode) {
                if (this.referenceList?.length === 0 && this.allowAddEdit !== false) {
                    this.addFieldGroupItem();
                }
            }
            const children = [];
            this.referenceList?.forEach((item, index) => {
                children.push({
                    id: index,
                    name: this.fieldHeader === 'propertyRef' ? this.getDynamicHeader(item, index) : this.getStaticHeader(this.heading, index),
                    children: buildView(this.pConn$, index, lookForChildInConfig)
                });
            });
            this.children = children;
        }
        this.prevRefLength = this.referenceList.length;
    }
    addFieldGroupItem() {
        this.pConn$.getListActions().insert({ classID: this.contextClass }, this.referenceList.length);
    }
    deleteFieldGroupItem(index) {
        this.pConn$.getListActions().deleteEntry(index);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldGroupTemplateComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FieldGroupTemplateComponent, isStandalone: true, selector: "app-field-group-template", inputs: { configProps$: "configProps$", pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<div id=\"field-group\">\n  <h3 *ngIf=\"showLabel$\" className=\"label\" style=\"font-weight: bold\">\n    {{ label$ }}\n  </h3>\n  <div *ngIf=\"readonlyMode; else editable\">\n    <div *ngIf=\"children && children.length > 0\">\n      <div *ngFor=\"let item of children; let i = index\">\n        <component-mapper name=\"FieldGroupList\" [props]=\"{ heading: item.name, formGroup$, item }\"></component-mapper>\n      </div>\n    </div>\n  </div>\n  <ng-template #editable>\n    <div *ngIf=\"children && children.length > 0\">\n      <div *ngFor=\"let kid of children; let i = index\">\n        <div class=\"header-div\">\n          <div style=\"width: 80%\">\n            <b>{{ kid.name }}</b>\n          </div>\n          <div *ngIf=\"allowAddEdit !== false\" style=\"width: 20%; text-align: right\">\n            <button id=\"delete-button\" mat-icon-button (click)=\"deleteFieldGroupItem(i)\">\n              <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ menuIconOverride$ }}\" />\n            </button>\n          </div>\n        </div>\n\n        <div *ngIf=\"kid.children.getPConnect().getRawMetadata().type.toLowerCase() == 'region'\">\n          <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.children.getPConnect(), formGroup$ }\"></component-mapper>\n        </div>\n      </div>\n      <button *ngIf=\"allowAddEdit !== false\" mat-button color=\"primary\" style=\"font-size: 16px\" (click)=\"addFieldGroupItem()\">+ Add</button>\n    </div>\n  </ng-template>\n</div>\n", styles: [".psdk-utility-card-action-svg-icon{width:1.4rem}.header-div{display:flex;align-items:center}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => i3.MatIconButton), selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldGroupTemplateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-field-group-template', standalone: true, imports: [CommonModule, MatButtonModule, forwardRef(() => ComponentMapperComponent)], template: "<div id=\"field-group\">\n  <h3 *ngIf=\"showLabel$\" className=\"label\" style=\"font-weight: bold\">\n    {{ label$ }}\n  </h3>\n  <div *ngIf=\"readonlyMode; else editable\">\n    <div *ngIf=\"children && children.length > 0\">\n      <div *ngFor=\"let item of children; let i = index\">\n        <component-mapper name=\"FieldGroupList\" [props]=\"{ heading: item.name, formGroup$, item }\"></component-mapper>\n      </div>\n    </div>\n  </div>\n  <ng-template #editable>\n    <div *ngIf=\"children && children.length > 0\">\n      <div *ngFor=\"let kid of children; let i = index\">\n        <div class=\"header-div\">\n          <div style=\"width: 80%\">\n            <b>{{ kid.name }}</b>\n          </div>\n          <div *ngIf=\"allowAddEdit !== false\" style=\"width: 20%; text-align: right\">\n            <button id=\"delete-button\" mat-icon-button (click)=\"deleteFieldGroupItem(i)\">\n              <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ menuIconOverride$ }}\" />\n            </button>\n          </div>\n        </div>\n\n        <div *ngIf=\"kid.children.getPConnect().getRawMetadata().type.toLowerCase() == 'region'\">\n          <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.children.getPConnect(), formGroup$ }\"></component-mapper>\n        </div>\n      </div>\n      <button *ngIf=\"allowAddEdit !== false\" mat-button color=\"primary\" style=\"font-size: 16px\" (click)=\"addFieldGroupItem()\">+ Add</button>\n    </div>\n  </ng-template>\n</div>\n", styles: [".psdk-utility-card-action-svg-icon{width:1.4rem}.header-div{display:flex;align-items:center}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { configProps$: [{
                type: Input
            }], pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class FieldValueListComponent {
    constructor() {
        this.isHtml$ = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldValueListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FieldValueListComponent, isStandalone: true, selector: "app-field-value-list", inputs: { label$: "label$", value$: "value$", displayMode$: "displayMode$", isHtml$: "isHtml$" }, ngImport: i0, template: "<div *ngIf=\"displayMode$ === 'DISPLAY_ONLY'; else STACKED_LARGE_VAL\" class=\"psdk-container-labels-left\">\n  <div class=\"psdk-grid-label\">{{ label$ }}</div>\n  <div class=\"psdk-val-labels-left\">\n    <ng-container *ngTemplateOutlet=\"valueTemplate\"></ng-container>\n  </div>\n</div>\n\n<ng-template #STACKED_LARGE_VAL>\n  <div *ngIf=\"displayMode$ === 'STACKED_LARGE_VAL'\" class=\"psdk-container-stacked-large-val\">\n    <div class=\"psdk-grid-label\">{{ label$ }}</div>\n    <div class=\"psdk-val-stacked\">\n      <ng-container *ngTemplateOutlet=\"valueTemplate\"></ng-container>\n    </div>\n  </div>\n</ng-template>\n\n<ng-template #valueTemplate>\n  <div *ngIf=\"isHtml$; else valueOnly\" id=\"instruction-text\" [innerHTML]=\"value$ || '---'\"></div>\n  <ng-template #valueOnly>{{ value$ || '---' }}</ng-template>\n</ng-template>\n", styles: [".psdk-container-labels-left{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start;padding-block:8px}.psdk-value{margin:8px 0}.psdk-value-hf{margin:8px 0;font-weight:500;font-size:1.25rem}.psdk-val-labels-left{white-space:break-spaces}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldValueListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-field-value-list', standalone: true, imports: [CommonModule], template: "<div *ngIf=\"displayMode$ === 'DISPLAY_ONLY'; else STACKED_LARGE_VAL\" class=\"psdk-container-labels-left\">\n  <div class=\"psdk-grid-label\">{{ label$ }}</div>\n  <div class=\"psdk-val-labels-left\">\n    <ng-container *ngTemplateOutlet=\"valueTemplate\"></ng-container>\n  </div>\n</div>\n\n<ng-template #STACKED_LARGE_VAL>\n  <div *ngIf=\"displayMode$ === 'STACKED_LARGE_VAL'\" class=\"psdk-container-stacked-large-val\">\n    <div class=\"psdk-grid-label\">{{ label$ }}</div>\n    <div class=\"psdk-val-stacked\">\n      <ng-container *ngTemplateOutlet=\"valueTemplate\"></ng-container>\n    </div>\n  </div>\n</ng-template>\n\n<ng-template #valueTemplate>\n  <div *ngIf=\"isHtml$; else valueOnly\" id=\"instruction-text\" [innerHTML]=\"value$ || '---'\"></div>\n  <ng-template #valueOnly>{{ value$ || '---' }}</ng-template>\n</ng-template>\n", styles: [".psdk-container-labels-left{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start;padding-block:8px}.psdk-value{margin:8px 0}.psdk-value-hf{margin:8px 0;font-weight:500;font-size:1.25rem}.psdk-val-labels-left{white-space:break-spaces}\n"] }]
        }], propDecorators: { label$: [{
                type: Input
            }], value$: [{
                type: Input
            }], displayMode$: [{
                type: Input
            }], isHtml$: [{
                type: Input
            }] } });

class InlineDashboardComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: InlineDashboardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: InlineDashboardComponent, isStandalone: true, selector: "app-inline-dashboard", inputs: { pConn$: "pConn$", filtersFormGroup$: "filtersFormGroup$", inlineProps: "inlineProps", children: "children" }, ngImport: i0, template: "<div class=\"psdk-inline-dashboard\">\n  <h4 class=\"psdk-inline-dashboard-title\">{{ inlineProps.title }}</h4>\n  <div\n    [ngClass]=\"{\n      'psdk-inline-style': inlineProps.filterPosition === 'inline-start' || inlineProps.filterPosition === 'inline-end',\n      'psdk-inline-end': inlineProps.filterPosition === 'inline-end'\n    }\"\n    *ngIf=\"children\"\n  >\n    <div class=\"psdk-inline-filter\">\n      <div id=\"filters\">\n        <component-mapper name=\"DashboardFilter\" [props]=\"{ children: children[1], inlineProps, filtersFormGroup$ }\"></component-mapper>\n      </div>\n    </div>\n    <div class=\"psdk-inline-list\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: children[0].getPConnect() }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-inline-dashboard{margin-left:8px;margin-right:8px}.psdk-inline-dashboard-title{font-weight:500;font-size:1.25rem}.psdk-not-block-style{display:grid;grid-template-columns:3fr 7fr}.psdk-inline-style{display:flex}.psdk-inline-style .psdk-inline-filter{width:25%;padding:0 8px;margin-top:1rem}.psdk-inline-style .psdk-inline-list{width:75%;padding:0 8px}.psdk-inline-end{flex-direction:row-reverse}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: InlineDashboardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-inline-dashboard', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-inline-dashboard\">\n  <h4 class=\"psdk-inline-dashboard-title\">{{ inlineProps.title }}</h4>\n  <div\n    [ngClass]=\"{\n      'psdk-inline-style': inlineProps.filterPosition === 'inline-start' || inlineProps.filterPosition === 'inline-end',\n      'psdk-inline-end': inlineProps.filterPosition === 'inline-end'\n    }\"\n    *ngIf=\"children\"\n  >\n    <div class=\"psdk-inline-filter\">\n      <div id=\"filters\">\n        <component-mapper name=\"DashboardFilter\" [props]=\"{ children: children[1], inlineProps, filtersFormGroup$ }\"></component-mapper>\n      </div>\n    </div>\n    <div class=\"psdk-inline-list\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: children[0].getPConnect() }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-inline-dashboard{margin-left:8px;margin-right:8px}.psdk-inline-dashboard-title{font-weight:500;font-size:1.25rem}.psdk-not-block-style{display:grid;grid-template-columns:3fr 7fr}.psdk-inline-style{display:flex}.psdk-inline-style .psdk-inline-filter{width:25%;padding:0 8px;margin-top:1rem}.psdk-inline-style .psdk-inline-list{width:75%;padding:0 8px}.psdk-inline-end{flex-direction:row-reverse}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], filtersFormGroup$: [{
                type: Input
            }], inlineProps: [{
                type: Input
            }], children: [{
                type: Input
            }] } });

class InlineDashboardPageComponent {
    constructor(fb) {
        this.fb = fb;
        this.children = [];
        this.filtersFormGroup$ = this.fb.group({ hideRequired: false });
    }
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        const arChildren$ = this.pConn$.getChildren();
        const allFilters = this.pConn$.getRawMetadata()?.children[1];
        const filterComponents = buildFilterComponents(this.pConn$, allFilters);
        this.inlineProps = this.configProps$;
        this.children[0] = arChildren$[0];
        this.children[1] = filterComponents;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: InlineDashboardPageComponent, deps: [{ token: i4.FormBuilder }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: InlineDashboardPageComponent, isStandalone: true, selector: "app-inline-dashboard-page", inputs: { pConn$: "pConn$" }, usesOnChanges: true, ngImport: i0, template: "<component-mapper name=\"InlineDashboard\" [props]=\"{ inlineProps, children, filtersFormGroup$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: InlineDashboardPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-inline-dashboard-page', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"InlineDashboard\" [props]=\"{ inlineProps, children, filtersFormGroup$ }\"></component-mapper>\n" }]
        }], ctorParameters: () => [{ type: i4.FormBuilder }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class ListPageComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ListPageComponent, isStandalone: true, selector: "app-list-page", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<component-mapper name=\"ListView\" [props]=\"{ pConn$, bInForm$: false }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-list-page', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"ListView\" [props]=\"{ pConn$, bInForm$: false }\"></component-mapper>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }] } });

const LOCALIZATON_ANNOTATION = '@L ';
const PROPERTY_ANNOTATION = '@P .';
const USER_ANNOTATION = '@USER .';
const ASSOCIATED_ANNOTATION = '@ASSOCIATED .';
const ASSOCIATION_ANNOTATION = '@CA ';
const getDefaultConfig = (fieldMeta, classID, show) => {
    const { name, label, fieldID, fieldType, dataType, type, classID: fieldMetaClassID, displayAs, displayAsLink, category, associationClassID, associationID } = fieldMeta;
    return {
        value: (associationClassID ? ASSOCIATION_ANNOTATION : PROPERTY_ANNOTATION).concat(fieldID),
        label: LOCALIZATON_ANNOTATION.concat(name || label),
        fieldType,
        propertyType: dataType || type,
        classID: classID || fieldMetaClassID,
        displayAs,
        displayAsLink,
        category,
        show,
        ...(associationClassID ? { associationLabel: LOCALIZATON_ANNOTATION.concat(category) } : {}),
        associationID
    };
};
function getDefaultViewMeta(fieldMeta, classID, showField) {
    const { type, name, displayAs, fieldID, isUserReference, associationID, datasource, label, fieldType } = fieldMeta;
    const mapperKey = type && displayAs ? type.concat(':').concat(displayAs) : type;
    const defaultConfig = getDefaultConfig(fieldMeta, classID, showField);
    let viewMeta;
    switch (mapperKey) {
        case 'True-False:pxCheckbox':
            viewMeta = {
                type: 'Checkbox',
                config: {
                    ...defaultConfig,
                    trueLabel: '@L Yes',
                    falseLabel: '@L No',
                    caption: LOCALIZATON_ANNOTATION.concat(name || label),
                    label: undefined
                }
            };
            break;
        case 'Decimal:pxCurrency':
            viewMeta = {
                type: 'Currency',
                config: defaultConfig
            };
            break;
        case 'Date Time:pxDateTime':
        case 'Date & time:pxDateTime':
            viewMeta = {
                type: 'DateTime',
                config: defaultConfig
            };
            break;
        case 'Date:pxDateTime':
        case 'Date only:pxDateTime':
            viewMeta = {
                type: 'Date',
                config: defaultConfig
            };
            break;
        case 'Decimal:pxNumber':
            viewMeta = {
                type: 'Decimal',
                config: defaultConfig
            };
            break;
        case 'Text:pxEmail':
            viewMeta = {
                type: 'Email',
                config: defaultConfig
            };
            break;
        case 'Integer:pxInteger':
            viewMeta = {
                type: 'Integer',
                config: defaultConfig
            };
            break;
        case 'Decimal:pxPercentage':
            viewMeta = {
                type: 'Percentage',
                config: defaultConfig
            };
            break;
        case 'Text:pxPhone':
            viewMeta = {
                type: 'Phone',
                config: {
                    ...defaultConfig,
                    datasource: {
                        source: '@DATASOURCE D_pyCountryCallingCodeList.pxResults',
                        fields: {
                            value: '@P .pyCallingCode'
                        }
                    }
                }
            };
            break;
        case 'TimeOfDay:pxDateTime':
            viewMeta = {
                type: 'Time',
                config: defaultConfig
            };
            break;
        case 'Text:pxURL':
        case 'Text:pxUrl':
            viewMeta = {
                type: 'URL',
                config: defaultConfig
            };
            break;
        case 'Text:pxTextArea':
            viewMeta = {
                type: 'TextArea',
                config: defaultConfig
            };
            break;
        case 'Text:pxRichTextEditor':
            viewMeta = {
                type: 'RichText',
                config: defaultConfig
            };
            break;
        case 'Text:pxAutoComplete':
            if (isUserReference || fieldType === 'User reference') {
                viewMeta = {
                    type: 'UserReference',
                    config: {
                        ...defaultConfig,
                        value: USER_ANNOTATION.concat(fieldID),
                        placeholder: 'Select...',
                        displayAs: 'Search box',
                        associationID,
                        associationLabel: undefined
                    }
                };
            }
            else {
                const { tableType = '' } = datasource || {};
                viewMeta = {
                    type: 'AutoComplete',
                    config: {
                        ...defaultConfig,
                        placeholder: 'Select...',
                        listType: 'associated',
                        datasource: ASSOCIATED_ANNOTATION.concat(fieldID),
                        deferDatasource: tableType === 'DataPage'
                    }
                };
            }
            break;
        case 'Text:pxDropdown':
            if (isUserReference || fieldType === 'User reference') {
                viewMeta = {
                    type: 'UserReference',
                    config: {
                        ...defaultConfig,
                        value: USER_ANNOTATION.concat(fieldID),
                        placeholder: 'Select...',
                        displayAs: 'Drop-down list',
                        associationID,
                        associationLabel: undefined
                    }
                };
            }
            else {
                const { tableType = '' } = datasource || {};
                viewMeta = {
                    type: 'Dropdown',
                    config: {
                        ...defaultConfig,
                        placeholder: 'Select...',
                        listType: 'associated',
                        datasource: ASSOCIATED_ANNOTATION.concat(fieldID),
                        deferDatasource: tableType === 'DataPage'
                    }
                };
            }
            break;
        case 'Text:pxRadioButtons':
            {
                const { tableType = '' } = datasource || {};
                viewMeta = {
                    type: 'RadioButtons',
                    config: {
                        ...defaultConfig,
                        placeholder: 'Select...',
                        listType: 'associated',
                        datasource: ASSOCIATED_ANNOTATION.concat(fieldID),
                        deferDatasource: tableType === 'DataPage'
                    }
                };
            }
            break;
        case 'Text:pxTextInput':
            viewMeta = {
                type: 'TextInput',
                config: defaultConfig
            };
            break;
        default:
            viewMeta = {
                type,
                config: defaultConfig
            };
    }
    return viewMeta;
}

const USER_REFERENCE = 'UserReference';
const PAGE = '!P!';
const PAGELIST = '!PL!';
const formatConstants = {
    WorkStatus: 'WorkStatus',
    Integer: 'Integer',
    WorkLink: 'WorkLink'
};
class DataApi {
    constructor() {
        this.originalPropertyToMappedProperty = {};
        this.mappedPropertyToOriginalProperty = {};
        this.setPropertyMaps = this.setPropertyMaps.bind(this);
        this.getMappedProperty = this.getMappedProperty.bind(this);
        this.getOriginalProperty = this.getOriginalProperty.bind(this);
    }
    setPropertyMaps(originalToMappedPropertyObj = {}, mappedToOriginalPropertyObj = {}) {
        this.originalPropertyToMappedProperty = {
            ...this.originalPropertyToMappedProperty,
            ...originalToMappedPropertyObj
        };
        this.mappedPropertyToOriginalProperty = {
            ...this.mappedPropertyToOriginalProperty,
            ...mappedToOriginalPropertyObj
        };
    }
    getMappedProperty(propertyName) {
        return this.originalPropertyToMappedProperty[propertyName] ?? propertyName;
    }
    getOriginalProperty(propertyName) {
        return this.mappedPropertyToOriginalProperty[propertyName] ?? propertyName;
    }
}
async function getContext$1(componentConfig) {
    const { promisesArray = [] // array of promises which can be invoked paralelly,
     } = componentConfig;
    const promisesResponseArray = await Promise.all(promisesArray);
    const dataApi = new DataApi();
    return {
        promisesResponseArray,
        setPropertyMaps: dataApi.setPropertyMaps,
        getMappedProperty: dataApi.getMappedProperty,
        getOriginalProperty: dataApi.getOriginalProperty
    };
}
/**
 * [getFieldNameFromEmbeddedFieldName]
 * Description    -               converting embeddedField name starting with !P! or !PL! to normal field
 * @ignore
 * @param {string} propertyName   EmbeddedField name starting with !P! or !PL!
 * @returns {string}              returns converted string without !P! or !PL! and :
 *
 * @example <caption>Example for getFieldNameFromEmbeddedFieldName </caption>
 * getFieldNameFromEmbeddedFieldName('!P!Organisation:Name') return 'Organisation.Name'
 * getFieldNameFromEmbeddedFieldName('!PL!Employees:Name') return 'Employees.Name'
 */
function getFieldNameFromEmbeddedFieldName(propertyName) {
    let value = propertyName;
    if (value.startsWith(PAGE) || value.startsWith(PAGELIST)) {
        value = value.substring(value.lastIndexOf('!') + 1);
        value = value.replace(/:/g, '.');
    }
    return value;
}
/**
 * [updateMetaEmbeddedFieldID]
 * Description    -           If the fieldID in meta starts with '!P!' or '!PL!' and contains ':' then replace them with .(dot)
 * @ignore
 * @param {Array} metaFields  Fields metadata Array. Contains metadata of all the fields.
 */
function updateMetaEmbeddedFieldID(metaFields) {
    return metaFields.forEach(metaField => {
        if (metaField.fieldID?.startsWith(PAGE) || metaField.fieldID?.startsWith(PAGELIST)) {
            metaField.fieldID = getFieldNameFromEmbeddedFieldName(metaField.fieldID);
        }
    });
}
const isEmbeddedField = field => {
    if (field?.startsWith('@')) {
        field = field.substring(field.indexOf(' ') + 1);
        if (field[0] === '.')
            field = field.substring(1);
    }
    return field?.indexOf('.') > 0;
};
/**
 * [isPageListProperty]
 * Description    -        checking if propertyName is pageList or not
 * @ignore
 * @param {string} propertyName   PropertyName
 * @returns {boolean}  true if property is pageList else false
 *
 * @example <caption>Example for isPageListProperty </caption>
 * isPageListProperty('!PL!Employees.Name') return true
 * isPageListProperty('!P!Employees.Name') return false
 * isPageListProperty('Name') return false
 */
function isPageListProperty(propertyName) {
    return propertyName.startsWith(PAGELIST);
}
const isPageListInPath = (propertyName, currentClassID) => {
    if (!propertyName.includes('.')) {
        return false;
    }
    const [first, ...rest] = propertyName.split('.');
    const metadata = PCore.getMetadataUtils().getPropertyMetadata(first, currentClassID);
    if (metadata?.type === 'Page List') {
        return true;
    }
    return isPageListInPath(rest.join('.'), metadata?.pageClass);
};
/**
 * [getEmbeddedFieldName]
 * Description    -               converting normal field name to embedded field starting with !P! or !PL!
 * @ignore
 * @param {string} propertyName   Field name
 * @param {string} classID        classID of datapage
 * @returns {string}              returns converted string with !P! or !PL! and :
 *
 * @example <caption>Example for getEmbeddedFieldName </caption>
 * For page property, getEmbeddedFieldName('Organisation.Name') return '!P!Organisation:Name'
 * For pageList property, getEmbeddedFieldName('Employees.Name') return '!PL!Employees:Name'
 */
function getEmbeddedFieldName(propertyName, classID) {
    let value = propertyName;
    if (isPageListInPath(value, classID)) {
        value = `!PL!${value.replace(/\./g, ':')}`;
    }
    else {
        value = `!P!${value.replace(/\./g, ':')}`;
    }
    return value;
}
/**
 * [preparePropertyMaps]
 * Description    -        preparing maps for property names and set it in dataApi context
 * @ignore
 * @param {Array} fields   fields array
 * @param {string} classID  classID of datapage
 * @param {string} context  dataApi context
 * @returns {boolean} true if pageListProperty is present
 */
function preparePropertyMaps(fields, classID, context) {
    const { setPropertyMaps } = context;
    const maps = fields.reduce((acc, field) => {
        let { value } = field.config;
        if (value.startsWith('@')) {
            value = value.substring(value.indexOf(' ') + 1);
            if (value[0] === '.')
                value = value.substring(1);
        }
        let name = value;
        // Preparing name for embedded property
        if (isEmbeddedField(name)) {
            name = getEmbeddedFieldName(name, classID);
        }
        if (isPageListProperty(name) && !acc[2]) {
            acc[2] = true;
        }
        acc[0][value] = name;
        acc[1][name] = value;
        return acc;
    }, [{}, {}, false]);
    setPropertyMaps(maps[0], maps[1]);
    return maps[2];
}
/**
 * [getConfigEmbeddedFieldsMeta]
 * Description    -           Get the metadata for configured embedded fields
 * @ignore
 * @param {Set} configFields  Set of config fields
 * @param {string} classID    clasID of datapage
 * @returns {Array}           Metadata of configured embedded fields
 */
function getConfigEmbeddedFieldsMeta(configFields, classID) {
    const configEmbeddedFieldsMeta = [];
    configFields.forEach(field => {
        let value = field;
        if (isEmbeddedField(value)) {
            // conversion Page.PageList[].property => Page.PageList.property
            if (value.includes('[')) {
                value = value.substring(0, value.indexOf('[')) + value.substring(value.indexOf(']') + 1);
            }
            const meta = PCore.getMetadataUtils().getEmbeddedPropertyMetadata(value, classID);
            meta.fieldID = field;
            configEmbeddedFieldsMeta.push(meta);
        }
    });
    return configEmbeddedFieldsMeta;
}
/**
 * [mergeConfigEmbeddedFieldsMeta]
 * Description    -           Get the metadata for configured embedded fields
 * @ignore
 * @param {Array} configEmbeddedFieldsMeta  config fields metadata.
 * @param {Array} metaFields  Fields metadata Array. Contains metadata of all the fields
 */
function mergeConfigEmbeddedFieldsMeta(configEmbeddedFieldsMeta, metaFields) {
    const mergedMetaFields = [...metaFields];
    configEmbeddedFieldsMeta.forEach(configFieldMeta => {
        const fieldMeta = metaFields.find(metaField => metaField.fieldID === configFieldMeta.fieldID);
        if (!fieldMeta)
            mergedMetaFields.push(configFieldMeta);
    });
    return mergedMetaFields;
}
const oldToNewFieldTypeMapping = {
    'Date Time': 'Date & time',
    Date: 'Date only'
};
/**
 * [updateFieldType]
 * Description    -           Updates the field type if its changed in the new implementation. Such mapping is maintained in oldToNewFieldTypeMapping.
 * @ignore
 * @param {Array} metaFields  Fields metadata Array. Contains metadata of all the fields.
 */
function updateFieldType(metaFields) {
    metaFields.forEach(metaField => {
        if (metaField.type)
            metaField.type = oldToNewFieldTypeMapping[metaField.type] || metaField.type;
    });
}
function getPresetMetaAttribute(attribute) {
    const { type, config: { label, value } } = attribute;
    return {
        type,
        name: value.startsWith('@') ? value.substring(4) : value,
        label: label.startsWith('@') ? label.substring(3) : label
    };
}
/**
 * [generateViewMetaData]
 * Description - Returns a list of  metaobjects of the fields provided.
 * @ignore
 * @param   {Array}   rawFields         List of fields to update meta for
 * @param   {string}  classID          Class ID from the response
 * @returns {Array}                    List of fields with updated meta objects.
 */
function generateViewMetaData(rawFields, classID, showField) {
    return rawFields.map(item => getDefaultViewMeta(item, classID, showField));
}
/**
 * [getConfigFields]
 * Description - Returns list of config fields with primary fields meta updated.
 * @ignore
 * @param   {Array}   configFields      List of Authored fields
 * @param   {Array}   primaryFields     List of Primary Fields
 * @param   {Array}   metaFields        Metadata of all fields
 * @param   {string}  classID           Class ID from the response
 * @returns {Array}                     List of all fields with their meta updated.
 */
function getConfigFields(configFields, primaryFields, metaFields, classID) {
    const presetConfigFields = configFields;
    const primaryFieldsViewIndex = presetConfigFields.findIndex(field => field.config.value === 'pyPrimaryFields');
    if (!primaryFields || !primaryFields.length) {
        if (primaryFieldsViewIndex < 0)
            return presetConfigFields;
        presetConfigFields.splice(primaryFieldsViewIndex, 1);
        return presetConfigFields;
    }
    if (primaryFieldsViewIndex > -1) {
        // list of uncommon fields - non overlap of primary fields grouped view and independent entity columns of primary type
        const uncommonFieldsList = primaryFields.filter(primaryField => !presetConfigFields.some(presetConfigField => presetConfigField.config.value.split('.')[1] === primaryField));
        const uncommonFieldsRawMeta = [];
        uncommonFieldsList.forEach(uncommonField => {
            const uncommonFieldMeta = metaFields.find(metaField => metaField.fieldID === uncommonField);
            if (uncommonFieldMeta)
                uncommonFieldsRawMeta.push(uncommonFieldMeta);
        });
        const uncommonFieldsConfigMeta = generateViewMetaData(uncommonFieldsRawMeta, classID, true);
        presetConfigFields.splice(primaryFieldsViewIndex, 1, ...uncommonFieldsConfigMeta);
    }
    return presetConfigFields;
}
/**
 * [getTableConfigFromPresetMeta]
 * Description - Get the table config from the presets meta.
 * @ignore
 * @param   {object}    presetMeta          Presets meta
 * @param   {boolean}   isMetaWithPresets   true if meta has presets else false
 * @param   {Function}  getPConnect         Callback to get the PConnect object
 * @param   {string}    classID             Class ID from the response
 * @param   {Array}     primaryFields       List of Primary Fields
 * @param   {Array}     metaFields          List of all metafields
 * @returns {object}                        Table config object
 */
function getTableConfigFromPresetMeta(presetMeta, isMetaWithPresets, pConn$, classID, primaryFields, metaFields) {
    let presetId;
    let presetName;
    let cardHeader;
    let secondaryText;
    let timelineDate;
    let timelineTitle;
    let timelineStatus;
    let timelineIcon;
    let { filterExpression } = pConn$.getRawMetadata().config;
    let fieldsMeta;
    let configFields;
    if (isMetaWithPresets) {
        presetId = presetMeta.id;
        presetName = presetMeta.label;
        cardHeader = presetMeta.cardHeader && getPresetMetaAttribute(presetMeta.cardHeader);
        secondaryText = presetMeta.secondaryText && getPresetMetaAttribute(presetMeta.secondaryText);
        timelineDate = presetMeta.timelineDate && getPresetMetaAttribute(presetMeta.timelineDate);
        timelineTitle = presetMeta.timelineTitle && getPresetMetaAttribute(presetMeta.timelineTitle);
        timelineStatus = presetMeta.timelineStatus && getPresetMetaAttribute(presetMeta.timelineStatus);
        timelineIcon = presetMeta.timelineIcon && getPresetMetaAttribute(presetMeta.timelineIcon);
        filterExpression = presetMeta.config.filterExpression;
        [fieldsMeta] = presetMeta.children;
        if (presetMeta.timelineTitle &&
            !fieldsMeta.children.find(fieldMeta => {
                return fieldMeta?.config?.value === presetMeta.timelineTitle?.config?.value;
            })) {
            const { type, config } = presetMeta.timelineTitle;
            fieldsMeta.children.push({ type, config: { ...config, show: false } });
        }
        if (presetMeta.timelineDate &&
            !fieldsMeta.children.find(fieldMeta => {
                return fieldMeta?.config?.value === presetMeta.timelineDate?.config?.value;
            })) {
            const { type, config } = presetMeta.timelineDate;
            fieldsMeta.children.push({ type, config: { ...config, show: false } });
        }
        configFields = getConfigFields(fieldsMeta.children, primaryFields, metaFields, classID);
    }
    else {
        fieldsMeta = presetMeta.props;
        configFields = getConfigFields(fieldsMeta
            .getPConnect()
            .getChildren()
            ?.map(child => {
            return child.getPConnect().getRawMetadata();
        }), primaryFields, metaFields, classID);
    }
    return {
        presetId,
        presetName,
        cardHeader,
        secondaryText,
        timelineDate,
        timelineTitle,
        timelineStatus,
        timelineIcon,
        filterExpression,
        fieldsMeta,
        configFields
    };
}
/**
 * [getReportColumns]
 * Description - Returns a set of columns from the report response.
 * @ignore
 * @param   {object} response -
 * @returns {Set} Set of columns from the report response
 */
function getReportColumns(response) {
    const { data: { data: reportColumns } } = response;
    const reportColumnsSet = new Set();
    reportColumns?.forEach(item => {
        let val = item.pyFieldName;
        // Remove '.' from index 0 only, if '.' is present
        if (val[0] === '.') {
            val = val.substring(1);
        }
        reportColumnsSet.add(val);
    });
    return reportColumnsSet;
}
/**
 * [getConfigFieldValue]
 * Descritpion - Returns a valid value for a configuration field. Remove any annotations and also "."
 * @ignore
 * @param   {object} config
 *                   config.value - Raw value
 * @returns {string} value - Value with out any annotations or "."
 */
function getConfigFieldValue(config) {
    let { value } = config;
    if (value.startsWith('@')) {
        value = value.substring(value.indexOf(' ') + 1);
        if (value[0] === '.')
            value = value.substring(1);
    }
    return value;
}
/**
 * [prepareConfigFields]
 * Description - Prepares a set of configuration fields and pushes each config type to a set using the callback parameter.
 * @ignore
 * @param   {object}    configFields          List of Authored fields
 * @param   {Function}  pushToComponentsList Callback to push the field type to a set.
 * @returns {Set}       configFieldSet
 */
function prepareConfigFields(configFields, pushToComponentsList) {
    const configFieldSet = new Set();
    configFields.forEach(item => {
        pushToComponentsList(item.type);
        const val = getConfigFieldValue(item.config);
        configFieldSet.add(val);
    });
    return configFieldSet;
}
/**
 * [findAuthoredField]
 * Description - Finds an authored field from yhe list of config fields.
 * @ignore
 * @param   {Array}   configFields List of Authored fields
 * @param   {string}  fieldID      Filter
 * @returns {object}              config with its field value equal to fieldID, which means an authored field
 */
function findAuthoredField(configFields, fieldID) {
    return configFields.find(configField => {
        const val = getConfigFieldValue(configField.config);
        return val === fieldID;
    });
}
/**
 * [findAndUpdateAuthoredFieldConfig]
 * Description - Find the authored field, and update its config.
 * @ignore
 * @param   {Array}   configFields List of Authored fields
 * @param   {object}  item        Field item to copy displayAs and category information
 * @param   {string}  classId     classID from the response
 */
function findAndUpdateAuthoredFieldConfig(configFields, item, classId) {
    const authoredField = findAuthoredField(configFields, item.fieldID);
    if (authoredField?.config) {
        if (item.displayAs) {
            authoredField.config.displayAs = item.displayAs;
        }
        authoredField.config.classID = item.classID ?? classId;
        if (authoredField.type === USER_REFERENCE) {
            authoredField.config.associationID = item.associationID || item.fieldID;
        }
        authoredField.config.category = item.category;
        // FieldType identifies whether the field is configured as pickList
        authoredField.config.fieldType = item.fieldType;
        // type defined on the property rule,
        // used for the picklist field to assign the appropriate type
        authoredField.config.propertyType = item.dataType || item.type;
    }
}
/**
 * [isAnExtraField]
 * Description - Returns true if the field is an extra field. Extra field is the one which is not authored but part of the report.
 * @ignore
 * @param   {Array}   configFields      List of Authored fields
 * @param   {Set}     configFieldSet    Set if Authored filed values
 * @param   {Set}     reportColumnsSet Set of columns from the report
 * @param   {object}  item             Config field item
 * @param   {string}  classId          Class ID from the response
 * @param   {boolean} showDynamicFields Flag indicating whether fields are fetched dynamically at runtime
 * @returns {boolean}                  true If the field is an extra field else false.
 */
function isAnExtraField(configFields, configFieldSet, reportColumnsSet, item, classId, showDynamicFields) {
    // Is the field already present in authoring metadata?
    // Mutates config fields to copy displayAs and category information
    if (configFieldSet.has(item.fieldID)) {
        findAndUpdateAuthoredFieldConfig(configFields, item, classId);
        return false;
    }
    // If field is not authored and not part of report columns then discard it
    return showDynamicFields || !!reportColumnsSet.has(item.fieldID);
}
/**
 * [prepareExtraFields]
 * Description - Returns a list of extra fields with their meta updated.
 * @ignore
 * @param   {Array}   metaFields       List of fields
 * @param   {Array}   configFields      List of Authored fields
 * @param   {Set}     configFieldSet    Set if Authored filed values
 * @param   {Set}     reportColumnsSet Set of columns from the report
 * @param   {string}  classID          Class ID from the response
 * @param   {boolean} showDynamicFields Flag indicating whether fields are fetched dynamically at runtime
 * @returns {Array}                    List of extra fields with their meta updated.
 */
function prepareExtraFields(metaFields, configFields, configFieldSet, reportColumnsSet, classID, showDynamicFields) {
    // Filter all the extra fields
    const extraFileds = metaFields.filter(item => {
        return isAnExtraField(configFields, configFieldSet, reportColumnsSet, item, classID, showDynamicFields);
    });
    return generateViewMetaData(extraFileds, classID, false);
    // Update the meta object of each of the extra fields.
}
const AssignDashObjects = ['Assign-Worklist', 'Assign-WorkBasket'];
function populateRenderingOptions(name, config, field) {
    const shouldDisplayAsSemanticLink = 'displayAsLink' in field.config && field.config.displayAsLink;
    if (shouldDisplayAsSemanticLink) {
        config.customObject.isAssignmentLink = AssignDashObjects.includes(field.config.classID);
        if (field.config.value.startsWith('@CA')) {
            config.customObject.isAssociation = true;
        }
        config.cellRenderer = formatConstants.WorkLink;
    }
    else if (name === 'pyStatusWork' || name === 'pyAssignmentStatus') {
        config.cellRenderer = formatConstants.WorkStatus;
    }
    else if (name === 'pxUrgencyWork') {
        config.cellRenderer = formatConstants.Integer;
    }
}
function initializeColumns(fields = [], getMappedProperty = null) {
    return fields.map((field, originalColIndex) => {
        let name = field.config.value;
        if (name.startsWith('@')) {
            name = name.substring(name.indexOf(' ') + 1);
            if (name[0] === '.')
                name = name.substring(1);
        }
        name = getMappedProperty?.(name) ?? name;
        let label = field.config.label || field.config.caption;
        const { show = true, displayAs } = field.config;
        if (label.startsWith('@')) {
            label = label.substring(3);
        }
        const config = {
            name,
            label,
            show,
            classID: field.config.classID,
            id: field.id || name || originalColIndex,
            displayAs,
            associationID: field.config.associationID,
            ...(field.config.classID && { category: field.config.category }),
            customObject: {},
            fieldType: field.config.fieldType,
            meta: {
                ...field
            }
        };
        populateRenderingOptions(name, config, field);
        return config;
    });
}
const getItemKey = fields => {
    let itemKey;
    if (fields.findIndex(field => field.id === 'pyGUID') > -1) {
        itemKey = 'pyGUID';
    }
    else {
        itemKey = 'pzInsKey';
    }
    return itemKey;
};
function preparePatchQueryFields(fields, isDataObject = false, classID = '') {
    const queryFields = [];
    fields.forEach(field => {
        const patchFields = [];
        if (field.cellRenderer === 'WorkLink') {
            if (field.customObject && field.customObject.isAssignmentLink) {
                const associationName = field.name.includes(':') ? `${field.name.split(':')[0]}:` : '';
                patchFields.push(`${associationName}pzInsKey`);
                patchFields.push(`${associationName}pxRefObjectClass`);
            }
            else if (field.customObject && field.customObject.isAssociation) {
                const associationCategory = field.name.split(':')[0];
                patchFields.push(`${associationCategory}:pyID`);
                patchFields.push(`${associationCategory}:pzInsKey`);
                patchFields.push(`${associationCategory}:pxObjClass`);
            }
            else if (isDataObject) {
                const dataViewName = PCore.getDataTypeUtils().getSavableDataPage(classID);
                const dataPageKeys = PCore.getDataTypeUtils().getDataPageKeys(dataViewName);
                dataPageKeys?.forEach(item => (item.isAlternateKeyStorage ? patchFields.push(item.linkedField) : patchFields.push(item.keyName)));
            }
            else {
                patchFields.push('pyID');
                patchFields.push('pzInsKey');
                patchFields.push('pxObjClass');
            }
        }
        patchFields.forEach(k => {
            if (!queryFields.find(q => q === k)) {
                queryFields.push(k);
            }
        });
    });
    return queryFields;
}
/**
 * Update the renderer type for the properties of type Page.
 */
function updatePageFieldsConfig(configFields, parentClassID) {
    return configFields.forEach(item => {
        const { type, config: { value } } = item;
        const propertyName = PCore.getAnnotationUtils().getPropertyName(value);
        if (isEmbeddedField(value) && !isPageListInPath(propertyName, parentClassID)) {
            item.config.componentType = type;
            item.type = 'PagePropertyRenderer';
        }
    });
}
const readContextResponse = async (context, params) => {
    const { pConn$, apiContext, children, showDynamicFields, referenceList, isDataObject } = params;
    // let { listContext } = params;
    const { promisesResponseArray, apiContext: otherContext } = context;
    // eslint-disable-next-line sonarjs/no-unused-collection
    const listOfComponents = [];
    const { data: { fields: metaFields, classID, isQueryable } } = promisesResponseArray[0];
    let { data: { primaryFields } } = promisesResponseArray[0];
    // When list is configured with Include all class fields configuration, provide support for Primary fields column
    if (showDynamicFields) {
        const sourceMetadata = PCore.getMetadataUtils().getDataPageMetadata(referenceList);
        if (sourceMetadata?.primaryFields) {
            primaryFields = sourceMetadata.primaryFields;
        }
        // updating metaData fieldID to normal property if it has fieldID starts with !P! or !PL!
        updateMetaEmbeddedFieldID(metaFields);
    }
    updateFieldType(metaFields);
    if (isDataObject) {
        const compositeKeys = [];
        const dataViewName = PCore.getDataTypeUtils().getSavableDataPage(classID);
        const dataPageKeys = PCore.getDataTypeUtils().getDataPageKeys(dataViewName);
        dataPageKeys?.forEach(item => (item.isAlternateKeyStorage ? compositeKeys.push(item.linkedField) : compositeKeys.push(item.keyName)));
        if (compositeKeys.length && otherContext) {
            otherContext.setCompositeKeys(compositeKeys);
        }
        if (otherContext) {
            otherContext.fetchRowActionDetails = null;
        }
    }
    const presetArray = [];
    const rawMetadata = pConn$.getRawMetadata().config;
    const rawPresets = rawMetadata.presets;
    const isMetaWithPresets = rawPresets && rawPresets.length !== 0;
    const childrenIterator = isMetaWithPresets ? rawPresets : children;
    const resolvedPresets = pConn$.getConfigProps().presets;
    let fields;
    let tableConfig;
    childrenIterator?.forEach((presetMeta, index) => {
        const { configFields } = getTableConfigFromPresetMeta({ ...presetMeta, label: resolvedPresets[index].label }, isMetaWithPresets, pConn$, classID, primaryFields, metaFields);
        const pushToComponentsList = fieldType => {
            listOfComponents.push(fieldType);
        };
        // read report columns response - in case of nonqueryable ignore the response and rely only on the fields configured at authoing time in presets
        const reportColumnsSet = isQueryable ? getReportColumns(promisesResponseArray[1]) : new Set();
        const configFieldSet = prepareConfigFields(configFields, pushToComponentsList);
        // FIXME #EmbeddedPropertyPatch
        // TODO: Remove this merge logic when the metadata response includes all optimized embedded page and pagelists
        // merging configured embedded properties with metadata so that while preparing extra fields, config fields can get other properties from meta(eg: category, displayAsLink)
        // get configured embedded properties metadata and get new mergedMetaFields
        const configEmbeddedFieldsMeta = getConfigEmbeddedFieldsMeta(configFieldSet, classID);
        const mergedMetaFields = mergeConfigEmbeddedFieldsMeta(configEmbeddedFieldsMeta, metaFields);
        const extraFields = prepareExtraFields(mergedMetaFields, // passing new merged meta fields which has meta of configured embedded fields of current preset
        configFields, configFieldSet, reportColumnsSet, classID, showDynamicFields);
        if (isQueryable) {
            updatePageFieldsConfig(configFields, classID);
            preparePropertyMaps([...configFields, ...extraFields], classID, context);
        }
        const { getMappedProperty } = context;
        fields = initializeColumns([...configFields, ...extraFields], getMappedProperty);
        const patchQueryFields = preparePatchQueryFields(fields, isDataObject, classID);
        const itemKey = getItemKey(fields);
        tableConfig = { fieldDefs: fields, patchQueryFields, itemKey, isQueryable };
    });
    const meta = tableConfig;
    params.listContext = { meta, presets: presetArray, apiContext: { ...apiContext } };
    return params.listContext;
};

function init(props) {
    const { referenceList, pConn$, personalizationId, parameters, compositeKeys, isSearchable, allowBulkActions, ref, showDynamicFields, isDataObject, xRayUid, cosmosTableRef } = props;
    let { editing, selectionMode } = props;
    const runtimeParams = PCore.getRuntimeParamsAPI().getRuntimeParams();
    let selectionCountThreshold;
    // promise to fetch metadata
    const metaDataPromise = PCore.getAnalyticsUtils().getDataViewMetadata(referenceList, showDynamicFields);
    const promisesArray = [metaDataPromise];
    // promise to fetch report configured columns
    const reportColumnsPromise = PCore.getAnalyticsUtils()
        .getFieldsForDataSource(referenceList, false, pConn$.getContextName())
        .catch(() => {
        return Promise.resolve({
            data: { data: [] }
        });
    });
    promisesArray.push(reportColumnsPromise);
    const fetchEditDetails = async (metadata) => {
        const { data: { isQueryable } } = metadata;
        if (!isDataObject) {
            if (!isQueryable) {
                editing = false; /* Force editing to false if DP is non queryable */
            }
            const { MULTI_ON_HOVER, MULTI } = PCore.getConstants().LIST_SELECTION_MODE;
            if (allowBulkActions && isQueryable) {
                /** enable bulk actions only if DP is queryable */
                selectionMode = MULTI_ON_HOVER;
            }
            if ([MULTI_ON_HOVER, MULTI].includes(selectionMode)) {
                selectionCountThreshold = 250; // Results count should not be greater than threshold to display SelectAll checkbox.
            }
        }
        return Promise.resolve();
    };
    const editPromise = metaDataPromise.then(metadata => fetchEditDetails(metadata));
    promisesArray.push(editPromise);
    return getContext$1({
        tableSource: referenceList,
        ListId: personalizationId,
        runtimeParams: parameters ?? runtimeParams,
        promisesArray,
        pConn$,
        compositeKeys,
        isSearchable,
        isCacheable: true,
        xRayUid
    }).then(async (context) => {
        return readContextResponse(context, {
            ...props,
            editing,
            selectionCountThreshold,
            ref,
            selectionMode,
            xRayUid,
            cosmosTableRef
        });
    });
}

const SELECTION_MODE = { SINGLE: 'single', MULTI: 'multi' };
let Group$1 = class Group {
    constructor() {
        this.level = 0;
        this.expanded = true;
        this.totalCounts = 0;
    }
    get visible() {
        return !this.parent || (this.parent.visible && this.parent.expanded);
    }
};
class ListViewComponent {
    constructor(psService, utils) {
        this.psService = psService;
        this.utils = utils;
        this.bInForm$ = true;
        this.displayedColumns$ = Array();
        this.groupByColumns$ = [];
        this.repeatListData = [];
        this.bShowSearch$ = false;
        this.bColumnReorder$ = false;
        this.bGrouping$ = false;
        this.arrowSvgIcon$ = '';
        this.arrowDirection = 'down';
        this.filterByColumns = [];
        this.bShowFilterPopover$ = false;
        this.bContains$ = true;
        this.bDateTime$ = false;
        this.filterContainsLabel$ = '';
        this.filterContainsType$ = 'contains';
        this.bIsDate$ = false;
        this.bIsDateTime$ = false;
        this.bIsTime$ = false;
        this.arFilterMainButtons$ = [];
        this.arFilterSecondaryButtons$ = [];
        this.filters = {};
        this.selectParam = [];
        this.ref = {};
        this.listContext = {};
        this.query = null;
        this.xRayApis = PCore.getDebugger().getXRayRuntime();
        this.xRayUid = this.xRayApis.startXRay();
        this.label = '';
    }
    ngOnInit() {
        this.configProps$ = this.pConn$.getConfigProps();
        /** By default, pyGUID is used for Data classes and pyID is for Work classes as row-id/key */
        const defRowID = this.configProps$?.referenceType === 'Case' ? 'pyID' : 'pyGUID';
        /** If compositeKeys is defined, use dynamic value, else fallback to pyID or pyGUID. */
        this.compositeKeys = this.configProps$?.compositeKeys;
        this.rowID = this.compositeKeys && this.compositeKeys?.length === 1 ? this.compositeKeys[0] : defRowID;
        this.bShowSearch$ = this.utils.getBooleanValue(this.configProps$?.globalSearch ? this.configProps$.globalSearch : this.payload?.globalSearch);
        this.bColumnReorder$ = this.utils.getBooleanValue(this.configProps$.reorderFields);
        this.bGrouping$ = this.utils.getBooleanValue(this.configProps$.grouping);
        this.showDynamicFields = this.configProps$?.showDynamicFields;
        this.menuSvgIcon$ = this.utils.getImageSrc('more', this.utils.getSDKStaticContentUrl());
        this.arrowDownSvgIcon$ = this.utils.getImageSrc('arrow-down', this.utils.getSDKStaticContentUrl());
        this.arrowUpSvgIcon$ = this.utils.getImageSrc('arrow-up', this.utils.getSDKStaticContentUrl());
        this.filterSvgIcon$ = this.utils.getImageSrc('filter', this.utils.getSDKStaticContentUrl());
        this.filterOnSvgIcon$ = this.utils.getImageSrc('filter-on', this.utils.getSDKStaticContentUrl());
        this.groupBySvgIcon$ = this.utils.getImageSrc('row', this.utils.getSDKStaticContentUrl());
        this.selectionMode = this.configProps$.selectionMode;
        this.checkBoxValue = this.configProps$.value;
        this.arFilterMainButtons$.push({ actionID: 'submit', jsAction: 'submit', name: 'Submit' });
        this.arFilterSecondaryButtons$.push({ actionID: 'cancel', jsAction: 'cancel', name: 'Cancel' });
        let title = this.configProps$?.title || this.configProps$?.label || 'List';
        const inheritedProps = this.configProps$?.inheritedProps;
        if (title === 'List' && inheritedProps) {
            for (const inheritedProp of inheritedProps) {
                if (inheritedProp?.prop === 'label') {
                    title = inheritedProp?.value;
                    break;
                }
            }
        }
        this.label = title;
        this.searchIcon$ = this.utils.getImageSrc('search', this.utils.getSDKStaticContentUrl());
        setTimeout(() => {
            PCore.getPubSubUtils().subscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CHANGE, data => {
                this.processFilterChange(data);
            }, `dashboard-component-${'id'}`, false, this.pConn$.getContextName());
            PCore.getPubSubUtils().subscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CLEAR_ALL, () => {
                this.filters = {};
                this.processFilterClear();
            }, `dashboard-component-${'id'}`, false, this.pConn$.getContextName());
        }, 0);
        if (this.configProps$) {
            if (!this.payload) {
                this.payload = { referenceList: this.configProps$.referenceList };
            }
            init({
                pConn$: this.pConn$,
                bInForm$: this.bInForm$,
                ...this.payload,
                listContext: this.listContext,
                ref: this.ref,
                showDynamicFields: this.showDynamicFields,
                xRayUid: this.xRayUid,
                cosmosTableRef: this.cosmosTableRef,
                selectionMode: this.selectionMode
            }).then(response => {
                this.listContext = response;
                this.getListData();
            });
        }
    }
    getFieldFromFilter(filter, dateRange = false) {
        let fieldValue;
        if (dateRange) {
            fieldValue = filter?.AND[0]?.condition.lhs.field;
        }
        else {
            fieldValue = filter?.condition.lhs.field;
        }
        return fieldValue;
    }
    // Will be triggered when EVENT_DASHBOARD_FILTER_CHANGE fires
    processFilterChange(data) {
        const { filterId, filterExpression } = data;
        let dashboardFilterPayload = {
            query: {
                filter: {},
                select: []
            }
        };
        this.filters[filterId] = filterExpression;
        let isDateRange = !!data.filterExpression?.AND;
        // Will be AND by default but making it dynamic in case we support dynamic relational ops in future
        const relationalOp = 'AND';
        let field = this.getFieldFromFilter(filterExpression, isDateRange);
        const selectParam = [];
        // Constructing the select parameters list (will be sent in dashboardFilterPayload)
        this.displayedColumns$?.forEach(col => {
            selectParam.push({
                field: col
            });
        });
        // Checking if the triggered filter is applicable for this list
        if (data.filterExpression !== null && !(this.displayedColumns$?.length && this.displayedColumns$?.includes(field))) {
            return;
        }
        // This is a flag which will be used to reset dashboardFilterPayload in case we don't find any valid filters
        let validFilter = false;
        let index = 1;
        // Iterating over the current filters list to create filter data which will be POSTed
        const filterKeys = Object.keys(this.filters);
        const filterValues = Object.values(this.filters);
        for (let filterIndex = 0; filterIndex < filterKeys.length; filterIndex++) {
            const filter = filterValues[filterIndex];
            // If the filter is null then we can skip this iteration
            if (filter === null) {
                // eslint-disable-next-line no-continue
                continue;
            }
            // Checking if the filter is of type- Date Range
            isDateRange = !!filter?.AND;
            field = this.getFieldFromFilter(filter, isDateRange);
            if (!(this.displayedColumns$?.length && this.displayedColumns$?.includes(field))) {
                // eslint-disable-next-line no-continue
                continue;
            }
            // If we reach here that implies we've at least one valid filter, hence setting the flag
            validFilter = true;
            /** Below are the 2 cases for- Text & Date-Range filter types where we'll construct filter data which will be sent in the dashboardFilterPayload
             * In Constellation DX Components, through Repeating Structures they might be using several APIs to do it. We're doing it here
             */
            if (isDateRange) {
                dashboardFilterPayload = this.filterBasedOnDateRange(dashboardFilterPayload, filter, relationalOp, selectParam, index);
            }
            else {
                dashboardFilterPayload.query.filter.filterConditions = {
                    ...dashboardFilterPayload.query.filter.filterConditions,
                    [`T${index++}`]: { ...filter.condition, ignoreCase: true }
                };
                if (dashboardFilterPayload.query.filter.logic) {
                    dashboardFilterPayload.query.filter.logic = `${dashboardFilterPayload.query.filter.logic} ${relationalOp} T${index - 1}`;
                }
                else {
                    dashboardFilterPayload.query.filter.logic = `T${index - 1}`;
                }
                dashboardFilterPayload.query.select = selectParam;
            }
        }
        // Reset the dashboardFilterPayload if we end up with no valid filters for the list
        if (!validFilter) {
            dashboardFilterPayload = undefined;
        }
        this.filterPayload = dashboardFilterPayload;
        this.getListData();
    }
    filterBasedOnDateRange(dashboardFilterPayload, filter, relationalOp, selectParam, index) {
        const dateRelationalOp = filter?.AND ? 'AND' : 'OR';
        dashboardFilterPayload.query.filter.filterConditions = {
            ...dashboardFilterPayload.query.filter.filterConditions,
            [`T${index++}`]: { ...filter[relationalOp][0].condition },
            [`T${index++}`]: { ...filter[relationalOp][1].condition }
        };
        if (dashboardFilterPayload.query.filter.logic) {
            dashboardFilterPayload.query.filter.logic = `${dashboardFilterPayload.query.filter.logic} ${relationalOp} (T${index - 2} ${dateRelationalOp} T${index - 1})`;
        }
        else {
            dashboardFilterPayload.query.filter.logic = `(T${index - 2} ${relationalOp} T${index - 1})`;
        }
        dashboardFilterPayload.query.select = selectParam;
        return dashboardFilterPayload;
    }
    processFilterClear() {
        this.filterPayload = undefined;
        this.getListData();
    }
    getFieldsMetadata(refList) {
        // @ts-ignore - 3rd parameter "associationFilter" should be optional for getDataViewMetadata method
        return PCore.getAnalyticsUtils().getDataViewMetadata(refList, this.showDynamicFields);
    }
    getListData() {
        const componentConfig = this.pConn$.getComponentConfig();
        if (this.configProps$) {
            this.preparePayload();
            const refList = this.configProps$.referenceList;
            const fieldsMetaDataPromise = this.getFieldsMetadata(refList);
            // returns a promise
            const payload = this.payload || this.filterPayload || {};
            const dataViewParameters = this.payload.parameters;
            const workListDataPromise = !this.bInForm$
                ? PCore.getDataApiUtils().getData(refList, payload)
                : PCore.getDataPageUtils().getDataAsync(refList, this.pConn$.getContextName(), payload.dataViewParameters ? payload.dataViewParameters : dataViewParameters, this.paging, this.query);
            this.bShowFilterPopover$ = false;
            this.psService.sendMessage(true);
            Promise.all([fieldsMetaDataPromise, workListDataPromise])
                .then((results) => {
                const fieldsMetaData = results[0];
                const workListData = results[1];
                this.fields$ = this.configProps$.presets[0].children[0].children;
                // this is an unresovled version of this.fields$, need unresolved, so can get the property reference
                const columnFields = componentConfig.presets[0].children[0].children;
                const tableDataResults = !this.bInForm$ ? workListData.data.data : workListData.data;
                const columns = this.getHeaderCells(columnFields, this.fieldDefs);
                this.fields$ = this.updateFields(this.fields$, fieldsMetaData.data.fields, columns);
                this.displayedColumns$ = columns.map(col => {
                    return col.id;
                });
                this.response = tableDataResults;
                this.updatedRefList = this.updateData(tableDataResults, this.fields$);
                if (this.selectionMode === SELECTION_MODE.SINGLE && this.updatedRefList?.length > 0) {
                    this.displayedColumns$?.unshift('select');
                    this.singleSelectionMode = true;
                }
                else if (this.selectionMode === SELECTION_MODE.MULTI && this.updatedRefList?.length > 0) {
                    this.displayedColumns$?.unshift('select');
                    this.multiSelectionMode = true;
                }
                this.repeatList$ = new MatTableDataSource(this.updatedRefList);
                this.repeatList$.filterPredicate = this.customFilterPredicate.bind(this);
                // keeping an original copy to get back after possible sorts, filters and groupBy
                this.repeatListData = this.repeatList$.data.slice();
                this.repeatList$.paginator = this.paginator;
                this.repeatList$.sort = this.sort;
                this.psService.sendMessage(false);
            })
                .catch(() => {
                console.error("Couldn't fetch either the fieldsMetaData or workListData");
                this.psService.sendMessage(false);
            });
        }
    }
    preparePayload() {
        const { fieldDefs, itemKey, patchQueryFields } = this.listContext.meta;
        this.fieldDefs = fieldDefs;
        let listFields = fieldDefs ? this.buildSelect(fieldDefs, undefined, patchQueryFields, this.payload?.compositeKeys) : [];
        listFields = this.addItemKeyInSelect(fieldDefs, itemKey, listFields, this.payload?.compositeKeys);
        if (this.payload.query) {
            this.query = this.payload.query;
        }
        else if (listFields?.length && this.listContext.meta.isQueryable) {
            if (this.filterPayload) {
                this.query = {
                    select: listFields,
                    filter: this.filterPayload?.query?.filter
                };
            }
            else {
                this.query = { select: listFields };
            }
        }
        else if (this.filterPayload) {
            this.query = this.filterPayload?.query;
        }
    }
    // ngOnChanges(changes) {
    //   if (changes && changes.payload) {
    //     const currentPayloadVal = changes.payload?.currentValue;
    //     const previousPayloadVal = changes.payload?.previousValue;
    //     if (currentPayloadVal !== previousPayloadVal) {
    //       this.getListData();
    //     }
    //   }
    // }
    ngOnDestroy() {
        PCore.getPubSubUtils().unsubscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CHANGE, `dashboard-component-${'id'}`, this.pConn$.getContextName());
        PCore.getPubSubUtils().unsubscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_DASHBOARD_FILTER_CLEAR_ALL, `dashboard-component-${'id'}`, this.pConn$.getContextName());
    }
    // ngAfterViewInit() {
    //   // paginator has to exist for this to work,
    //   // so called after init (paginator drawn)
    //   // Calls are now in workListData promise
    //   // this.repeatList$.paginator = this.paginator;
    //   // this.repeatList$.sort = this.sort;
    // }
    drop(event) {
        moveItemInArray(this.displayedColumns$, event.previousIndex, event.currentIndex);
    }
    updateFields(arFields, arColumns, fields) {
        const arReturn = arFields;
        arReturn.forEach((field, i) => {
            field.config = { ...field.config, ...fields[i], name: fields[i].id };
        });
        return arReturn;
    }
    applySearch(event) {
        const filterValue = event.target.value;
        this.searchFilter = filterValue.trim().toLowerCase();
        if (this.groupByColumns$.length > 0) {
            this.repeatList$.data = this.repeatListData.slice();
            this.repeatList$.filter = this.searchFilter;
            const repeatData = this.repeatList$.sortData(this.repeatList$.filteredData, this.repeatList$.sort);
            this.repeatList$.data = this.addGroups(repeatData, this.groupByColumns$);
            this.perfFilter = performance.now().toString();
            this.repeatList$.filter = this.perfFilter;
        }
        else {
            this.repeatList$.filter = this.searchFilter;
        }
        if (this.repeatList$.paginator) {
            this.repeatList$.paginator.firstPage();
        }
    }
    isChecked(rowIn) {
        const initialVal = false;
        return this.configProps$?.readonlyContextList?.reduce((acc, currRow) => {
            return acc || rowIn[this.rowID] === currRow[this.rowID];
        }, initialVal);
    }
    fieldOnChange(row) {
        const value = row[this.rowID];
        const reqObj = {};
        if (this.compositeKeys?.length > 1) {
            const index = this.response.findIndex(element => element[this.rowID] === value);
            const selectedRow = this.response[index];
            this.compositeKeys.forEach(element => {
                reqObj[element] = selectedRow[element];
            });
        }
        else {
            reqObj[this.rowID] = value;
        }
        this.checkBoxValue = value;
        this.pConn$?.getListActions?.()?.setSelectedRows([reqObj]);
    }
    onCheckboxClick(row, event) {
        const value = row[this.rowID];
        const checked = event?.checked;
        const reqObj = {};
        if (this.compositeKeys?.length > 1) {
            const index = this.response.findIndex(element => element[this.rowID] === value);
            const selectedRow = this.response[index];
            this.compositeKeys.forEach(element => {
                reqObj[element] = selectedRow[element];
            });
            reqObj.$selected = checked;
        }
        else {
            reqObj[this.rowID] = value;
            reqObj.$selected = checked;
        }
        this.pConn$?.getListActions()?.setSelectedRows([reqObj]);
    }
    // rowClick(row) {
    //   switch (this.configProps$.rowClickAction) {
    //     case 'openAssignment':
    //       this.psService.sendMessage(true);
    //       this.openAssignment(row);
    //       break;
    //   }
    // }
    _getIconStyle(level) {
        let sReturn = '';
        let nLevel = parseInt(level, 10);
        nLevel--;
        nLevel *= 15;
        sReturn = `padding-left: ${nLevel}px; vertical-align: middle`;
        return sReturn;
    }
    _getGroupName(fieldName) {
        for (let fieldIndex = 0; fieldIndex < this.fields$.length; fieldIndex++) {
            const field = this.fields$[fieldIndex];
            if (field.config.name == fieldName) {
                return field.config.label;
            }
        }
        return '';
    }
    _showButton(name, row) {
        let bReturn = false;
        const { pxRefObjectClass, pzInsKey, pxRefObjectKey } = row;
        switch (name) {
            case 'pxTaskLabel':
                if (pxRefObjectClass != '' && pzInsKey != '') {
                    bReturn = true;
                }
                break;
            case 'pxRefObjectInsName':
                if (pxRefObjectClass != '' && pxRefObjectKey != '') {
                    bReturn = true;
                }
                break;
            default:
                break;
        }
        return bReturn;
    }
    _listViewClick(column, row) {
        const name = column.id;
        if (column.displayAsLink) {
            const { pxObjClass } = row;
            let { pzInsKey } = row;
            if (column.isAssociation) {
                const associationCategory = name.split(':')[0];
                pzInsKey = row[`${associationCategory}:pzInsKey`];
            }
            if (column.isAssignmentLink) {
                this.pConn$.getActionsApi().openAssignment(pzInsKey, pxObjClass, {
                    containerName: 'primary',
                    channelName: ''
                });
            }
            else {
                this.pConn$.getActionsApi().openWorkByHandle(pzInsKey, pxObjClass);
            }
        }
        else {
            switch (name) {
                case 'pxTaskLabel':
                    this.openAssignment(row);
                    break;
                case 'pxRefObjectInsName':
                    this.openWork(row);
                    break;
                default:
                    break;
            }
        }
    }
    _headerSortClick(event, columnData) {
        // images 0 - filter, 1 - arrow, 2 - more
        /** Commenting this code for now as it is giving errors not sure if it ever worked */
        // let arrowImage = event.srcElement.getElementsByTagName('img')[1];
        // let arrowAttr = arrowImage.getAttribute('arrow');
        // this.clearOutArrows(event, columnData);
        // switch (arrowAttr) {
        //   case 'up':
        //     arrowImage.src = this.arrowDownSvgIcon$;
        //     arrowImage.setAttribute('arrow', 'down');
        //     break;
        //   case 'down':
        //     arrowImage.src = '';
        //     arrowImage.setAttribute('arrow', 'none');
        //     break;
        //   default:
        //     arrowImage.src = this.arrowUpSvgIcon$;
        //     arrowImage.setAttribute('arrow', 'up');
        //     break;
        // }
        this.compareType = columnData.type;
        this.compareRef = columnData.config.name;
        // this.arrowDirection = arrowImage.getAttribute('arrow');
        this.arrowDirection = this.arrowDirection === 'up' ? 'down' : 'up';
        this.filterSortGroupBy();
    }
    // Commenting below method, since the code which is using it, is already commented
    // clearOutArrows(event, columnData) {
    //   const arImages = event.srcElement.parentElement.getElementsByTagName('img');
    //   for (const theImage of arImages) {
    //     // let theImage = arImages[i]
    //     const arrow = theImage.getAttribute('arrow');
    //     if (arrow) {
    //       const arrowId = theImage.getAttribute('arrowid');
    //       if (arrow != 'none' && arrowId != columnData.config.name) {
    //         theImage.setAttribute('arrow', 'none');
    //         theImage.src = '';
    //       }
    //     }
    //   }
    // }
    sortCompare(a, b) {
        let aValue = a[this.compareRef];
        let bValue = b[this.compareRef];
        if (this.compareType == 'Date' || this.compareType == 'DateTime') {
            aValue = getSeconds(aValue);
            bValue = getSeconds(bValue);
        }
        if (this.compareRef == 'pxRefObjectInsName') {
            const result = this.compareByColumnPxRefObjectInsName(aValue, bValue);
            if (result !== undefined) {
                return result;
            }
        }
        switch (this.arrowDirection) {
            case 'up':
                if (!aValue || aValue < bValue) {
                    return -1;
                }
                if (!bValue || aValue > bValue) {
                    return 1;
                }
                break;
            case 'down':
                if (!bValue || aValue > bValue) {
                    return -1;
                }
                if (!aValue || aValue < bValue) {
                    return 1;
                }
                break;
            default:
                break;
        }
        return 0;
    }
    compareByColumnPxRefObjectInsName(aValue, bValue) {
        const prefixX = aValue.split('-');
        const prefixY = bValue.split('-');
        switch (this.arrowDirection) {
            case 'up':
                if (prefixX[0] !== prefixY[0]) {
                    if (prefixX[0] < prefixY[0])
                        return -1;
                    if (prefixX[0] > prefixY[0])
                        return 1;
                    return 0;
                }
                return prefixX[1] - prefixY[1];
            case 'down':
                if (prefixX[0] !== prefixY[0]) {
                    if (prefixX[0] > prefixY[0])
                        return -1;
                    if (prefixX[0] < prefixY[0])
                        return 1;
                    return 0;
                }
                return prefixY[1] - prefixX[1];
            default:
                break;
        }
        return undefined;
    }
    updateFilterDisplay(type) {
        switch (type) {
            case 'Date':
                this.filterContainsType$ = 'notequal';
                this.bContains$ = false;
                this.bDateTime$ = true;
                this.bIsDate$ = true;
                this.bIsDateTime$ = false;
                this.bIsTime$ = false;
                break;
            case 'DateTime':
                this.filterContainsType$ = 'notequal';
                this.bContains$ = false;
                this.bDateTime$ = true;
                this.bIsDate$ = false;
                this.bIsDateTime$ = true;
                this.bIsTime$ = false;
                break;
            case 'Time':
                this.filterContainsType$ = 'notequal';
                this.bContains$ = false;
                this.bDateTime$ = true;
                this.bIsDate$ = false;
                this.bIsDateTime$ = false;
                this.bIsTime$ = true;
                break;
            default:
                this.filterContainsType$ = 'contains';
                this.bContains$ = true;
                this.bDateTime$ = false;
                this.bIsDate$ = false;
                this.bIsDateTime$ = false;
                this.bIsTime$ = false;
                break;
        }
    }
    _filter(event, columnData) {
        // add clickAway listener
        window.addEventListener('mouseup', this._clickAway.bind(this));
        this.currentFilterRefData = columnData;
        this.filterContainsLabel$ = columnData.config.label;
        setTimeout(() => {
            this.updateFilterDisplay(columnData.type);
            this.updateFilterVarsWithCurrent(columnData);
            this.bShowFilterPopover$ = true;
        });
    }
    _clickAway(event) {
        let bInPopUp = false;
        // run through list of elements in path, if menu not in th path, then want to
        // hide (toggle) the menu
        const eventPath = event.path;
        for (let pathIndex = 0; pathIndex < eventPath.length; pathIndex++) {
            if (eventPath[pathIndex].className == 'psdk-modal-file-top' ||
                eventPath[pathIndex].tagName == 'BUTTON' ||
                eventPath[pathIndex].tagName == 'MAT-OPTION' ||
                eventPath[pathIndex].tagName == 'MAT-INPUT') {
                bInPopUp = true;
                break;
            }
        }
        if (!bInPopUp) {
            // this.bShowFilterPopover$ = false;
            window.removeEventListener('mouseup', this._clickAway.bind(this));
        }
    }
    _filterContainsType(event) {
        this.filterContainsType$ = event.value;
    }
    _filterContainsValue(event) {
        this.filterContainsValue$ = event.target.value;
    }
    _filterContainsDateValue(event, value) {
        this.filterContainsValue$ = value;
    }
    _filterContainsDateTimeValue(event) {
        this.filterContainsValue$ = event.target.value;
    }
    _filterContainsTimeValue(event) {
        this.filterContainsValue$ = event.target.value;
    }
    _onFilterActionButtonClick(event) {
        // modal buttons
        switch (event.action) {
            case 'cancel':
                this.currentFilterRefData = [];
                break;
            case 'submit':
                this.updateFilterWithInfo();
                this.filterSortGroupBy();
                break;
            default:
                break;
        }
        this.bShowFilterPopover$ = false;
        window.removeEventListener('mouseup', this._clickAway.bind(this));
    }
    updateFilterWithInfo() {
        let bFound = false;
        for (const filterObj of this.filterByColumns) {
            if (filterObj.ref === this.currentFilterRefData.config.name) {
                filterObj.type = this.currentFilterRefData.type;
                filterObj.containsFilter = this.filterContainsType$;
                filterObj.containsFilterValue = this.filterContainsValue$;
                bFound = true;
                break;
            }
        }
        if (!bFound) {
            // add in
            const filterObj = {};
            filterObj.ref = this.currentFilterRefData.config.name;
            filterObj.type = this.currentFilterRefData.type;
            filterObj.containsFilter = this.filterContainsType$;
            filterObj.containsFilterValue = this.filterContainsValue$;
            this.filterByColumns.push(filterObj);
        }
        // iterate through filters and update filterOn icon
        for (const filterObj of this.filterByColumns) {
            const containsFilterValue = filterObj.containsFilterValue;
            const containsFilter = filterObj.containsFilter;
            const filterRef = filterObj.ref;
            const filterIndex = this.displayedColumns$.indexOf(filterRef);
            const arFilterImg = document.getElementsByName('filterOnIcon');
            const filterImg = arFilterImg[filterIndex];
            if (containsFilterValue == '' && containsFilter != 'null' && containsFilter != 'notnull') {
                // clear icon
                filterImg.src = '';
            }
            else {
                // show icon
                filterImg.src = this.filterOnSvgIcon$;
            }
        }
    }
    updateFilterVarsWithCurrent(columnData) {
        // find current ref, if exists, move data to variable to display
        let bFound = false;
        for (const filterObj of this.filterByColumns) {
            if (filterObj.ref === this.currentFilterRefData.config.name) {
                this.filterContainsType$ = filterObj.containsFilter;
                this.filterContainsValue$ = filterObj.containsFilterValue;
                bFound = true;
                break;
            }
        }
        if (!bFound) {
            switch (columnData.type) {
                case 'Date':
                case 'DateTime':
                case 'Time':
                    this.filterContainsType$ = 'notequal';
                    break;
                default:
                    this.filterContainsType$ = 'contains';
                    break;
            }
            this.filterContainsValue$ = '';
        }
    }
    filterData(item) {
        let bKeep = true;
        for (const filterObj of this.filterByColumns) {
            if (filterObj.containsFilterValue != '' || filterObj.containsFilter == 'null' || filterObj.containsFilter == 'notnull') {
                let filterValue;
                switch (filterObj.type) {
                    case 'Date':
                    case 'DateTime':
                    case 'Time':
                        bKeep = this.filterDataWithDate(item, filterObj, filterValue);
                        break;
                    default:
                        bKeep = this.filterDataWithCommonTypes(item, filterObj, filterValue);
                        break;
                }
            }
            // if don't keep stop filtering
            if (!bKeep) {
                break;
            }
        }
        return bKeep;
    }
    filterDataWithDate(item, filterObj, filterValue) {
        let bKeep;
        let value = item[filterObj.ref] != null || item[filterObj.ref] != '' ? getSeconds(item[filterObj.ref]) : null;
        filterValue = filterObj.containsFilterValue != null && filterObj.containsFilterValue != '' ? getSeconds(filterObj.containsFilterValue) : null;
        switch (filterObj.containsFilter) {
            case 'notequal':
                // becasue filterValue is in minutes, need to have a range of less than 60 secons
                if (value != null && filterValue != null) {
                    // get rid of millisecons
                    value /= 1000;
                    filterValue /= 1000;
                    const diff = value - filterValue;
                    if (diff >= 0 && diff < 60) {
                        bKeep = false;
                    }
                }
                break;
            case 'after':
                if (value < filterValue) {
                    bKeep = false;
                }
                break;
            case 'before':
                if (value > filterValue) {
                    bKeep = false;
                }
                break;
            case 'null':
                if (value != null) {
                    bKeep = false;
                }
                break;
            case 'notnull':
                if (value == null) {
                    bKeep = false;
                }
                break;
            default:
                break;
        }
        return bKeep;
    }
    filterDataWithCommonTypes(item, filterObj, filterValue) {
        let bKeep;
        const value = item[filterObj.ref].toLowerCase();
        filterValue = filterObj.containsFilterValue.toLowerCase();
        switch (filterObj.containsFilter) {
            case 'contains':
                if (value.indexOf(filterValue) < 0) {
                    bKeep = false;
                }
                break;
            case 'equals':
                if (value != filterValue) {
                    bKeep = false;
                }
                break;
            case 'startswith':
                if (value.indexOf(filterValue) != 0) {
                    bKeep = false;
                }
                break;
            default:
                break;
        }
        return bKeep;
    }
    filterSortGroupBy() {
        // get original data set
        let theData = this.repeatListData.slice();
        // last filter config data is global
        theData = theData.filter(this.filterData.bind(this));
        // last sort config data is global
        theData.sort(this.sortCompare.bind(this));
        const reGroupData = this.addGroups(theData, this.groupByColumns$);
        this.repeatList$.data = [];
        this.repeatList$.data.push(...reGroupData);
        if (this.searchFilter && this.searchFilter != '') {
            this.repeatList$.filter = this.searchFilter;
        }
        else {
            this.perfFilter = performance.now().toString();
            this.repeatList$.filter = this.perfFilter;
        }
        this.repeatList$.filter = '';
        if (this.repeatList$.paginator) {
            this.repeatList$.paginator.firstPage();
        }
    }
    //
    // Grouping code inspired by this example
    // https://stackblitz.com/edit/angular-material-table-row-grouping
    //
    _showUnGroupBy(columnData) {
        for (const val of this.groupByColumns$) {
            if (val == columnData.config.name) {
                return true;
            }
        }
        return false;
    }
    _groupBy(event, columnData) {
        this.checkGroupByColumn(columnData.config.name, true);
        this.filterSortGroupBy();
    }
    _unGroupBy(event, columnData) {
        // event.stopPropagation();
        this.checkGroupByColumn(columnData.config.name, false);
        this.filterSortGroupBy();
    }
    checkGroupByColumn(field, add) {
        let found = null;
        for (const column of this.groupByColumns$) {
            if (column === field) {
                found = this.groupByColumns$.indexOf(column, 0);
            }
        }
        if (found != null && found >= 0) {
            if (!add) {
                this.groupByColumns$.splice(found, 1);
            }
        }
        else if (add) {
            this.groupByColumns$.push(field);
        }
    }
    addGroups(data, groupByColumns) {
        const rootGroup = new Group$1();
        rootGroup.expanded = true;
        return this.getSublevel(data, 0, groupByColumns, rootGroup);
    }
    getSublevel(data, level, groupByColumns, parent) {
        if (level >= groupByColumns.length) {
            return data;
        }
        const groups = this.uniqueBy(data.map(row => {
            const result = new Group$1();
            result.level = level + 1;
            result.parent = parent;
            for (let i = 0; i <= level; i++) {
                result[groupByColumns[i]] = row[groupByColumns[i]];
            }
            return result;
        }), JSON.stringify);
        const currentColumn = groupByColumns[level];
        let subGroups = [];
        groups.forEach(group => {
            const rowsInGroup = data.filter(row => group[currentColumn] === row[currentColumn]);
            group.totalCounts = rowsInGroup.length;
            const subGroup = this.getSublevel(rowsInGroup, level + 1, groupByColumns, group);
            subGroup.unshift(group);
            subGroups = subGroups.concat(subGroup);
        });
        return subGroups;
    }
    uniqueBy(a, key) {
        const seen = {};
        return a.filter(item => {
            const k = key(item);
            // eslint-disable-next-line no-return-assign, no-prototype-builtins
            return seen.hasOwnProperty(k) ? false : (seen[k] = true);
        });
    }
    isGroup(index, item) {
        return item.level;
    }
    _groupHeaderClick(row) {
        row.expanded = !row.expanded;
        // this.repeatList$.filter = "";
        this.perfFilter = performance.now().toString();
        this.repeatList$.filter = this.perfFilter;
    }
    // below is for grid row grouping
    customFilterPredicate(data, filter) {
        return data instanceof Group$1 ? data.visible : this.getDataRowVisibleWithFilter(data, filter);
    }
    getDataRowVisible(data) {
        const groupRows = this.repeatList$.data.filter(row => {
            if (!(row instanceof Group$1)) {
                return false;
            }
            let match = true;
            this.groupByColumns$.forEach(column => {
                if (!row[column] || !data[column] || row[column] !== data[column]) {
                    match = false;
                }
            });
            return match;
        });
        if (groupRows.length === 0) {
            return true;
        }
        const parent = groupRows[0];
        return parent.visible && parent.expanded;
    }
    getDataRowVisibleWithFilter(data, filter) {
        // fist check if row is visible with grouping
        let bVisible = this.getDataRowVisible(data);
        if (bVisible && filter && filter != '' && filter != this.perfFilter) {
            // now check if row is filtered.
            // assume not there unless we find it
            bVisible = false;
            for (const col of this.displayedColumns$) {
                // filter is lower case
                if (data[col] && data[col].toString().toLowerCase().indexOf(filter) >= 0) {
                    bVisible = true;
                    break;
                }
            }
        }
        return bVisible;
    }
    updateData(listData, fieldData) {
        const returnList = new Array();
        listData.forEach(row => {
            // copy
            const rowData = JSON.parse(JSON.stringify(row));
            for (let fieldIndex = 0; fieldIndex < fieldData.length; fieldIndex++) {
                const config = fieldData[fieldIndex].config;
                let fieldName;
                let formattedDate;
                let myFormat;
                let theCurrencyOptions;
                switch (fieldData[fieldIndex].type) {
                    case 'Date':
                        fieldName = config.name;
                        myFormat = config.formatter;
                        if (!myFormat) {
                            myFormat = 'Date';
                        }
                        formattedDate = this.utils.generateDate(rowData[fieldName], myFormat);
                        rowData[fieldName] = formattedDate;
                        break;
                    case 'DateTime':
                        fieldName = config.name;
                        myFormat = config.formatter;
                        if (!myFormat) {
                            myFormat = 'DateTime-Long';
                        }
                        formattedDate = this.utils.generateDateTime(rowData[fieldName], myFormat);
                        rowData[fieldName] = formattedDate;
                        break;
                    case 'Currency':
                        fieldName = config.name;
                        theCurrencyOptions = getCurrencyOptions(PCore.getEnvironmentInfo().getLocale());
                        // eslint-disable-next-line no-case-declarations
                        const defaultOptions = {
                            locale: getLocale$1(),
                            position: 'before',
                            decPlaces: 2
                        };
                        // eslint-disable-next-line no-case-declarations
                        const params = { ...defaultOptions, ...theCurrencyOptions };
                        rowData[fieldName] = formatters.Currency(rowData[fieldName], params);
                        // val = format(value, column.type, theCurrencyOptions);
                        break;
                    default:
                        break;
                }
            }
            returnList.push(rowData);
        });
        return returnList;
    }
    openAssignment(row) {
        const { pxRefObjectClass, pzInsKey } = row;
        const sTarget = this.pConn$.getContainerName();
        const options = { containerName: sTarget };
        this.pConn$.getActionsApi().openAssignment(pzInsKey, pxRefObjectClass, options);
    }
    openWork(row) {
        const pxRefObjectClass = row.pxRefObjectClass || row.pxObjClass;
        const { pxRefObjectKey } = row;
        if (pxRefObjectClass !== '' && pxRefObjectKey !== '') {
            this.pConn$.getActionsApi().openWorkByHandle(pxRefObjectKey, pxRefObjectClass);
        }
    }
    initializeData(data) {
        data.forEach((item, idx) => {
            item.__original_index = idx;
            item.__level = 1;
        });
        return data;
    }
    getType(field) {
        const { config = {}, type } = field;
        const { formatType } = config;
        if (formatType === 'datetime' || formatType === 'date') {
            // currently cosmos has only support for date ... it also need to support dateTime
            return 'date';
        }
        return type.toLowerCase();
    }
    initializeColumns(fields = []) {
        return fields.map((field, originalColIndex) => ({
            ...field,
            type: this.getType(field),
            name: field.config.value.substring(4),
            label: field.config.label.substring(3),
            id: originalColIndex,
            groupingEnabled: true,
            grouped: false,
            minWidth: 50,
            cellRenderer: this.getType(field) === 'text' ? null : field.type,
            filter: true
        }));
    }
    getHeaderCells(colFields, fields) {
        const AssignDashObjects = ['Assign-Worklist', 'Assign-WorkBasket'];
        return colFields.map((field, index) => {
            let theField = field.config.value.substring(field.config.value.indexOf(' ') + 1);
            if (theField.indexOf('.') === 0) {
                theField = theField.substring(1);
            }
            const colIndex = fields.findIndex(ele => ele.name === theField);
            const displayAsLink = field.config.displayAsLink;
            const headerRow = {};
            headerRow.id = fields[index].id;
            headerRow.type = field.type;
            headerRow.displayAsLink = displayAsLink;
            headerRow.numeric = field.type === 'Decimal' || field.type === 'Integer' || field.type === 'Percentage' || field.type === 'Currency' || false;
            headerRow.disablePadding = false;
            headerRow.label = fields[index].label;
            if (colIndex > -1) {
                headerRow.classID = fields[colIndex].classID;
            }
            if (displayAsLink) {
                headerRow.isAssignmentLink = AssignDashObjects.includes(headerRow.classID);
                if (field.config.value?.startsWith('@CA')) {
                    headerRow.isAssociation = true;
                }
            }
            return headerRow;
        });
    }
    buildSelect(fieldDefs, colId, patchQueryFields = [], compositeKeys = []) {
        const listFields = [];
        if (colId) {
            const field = this.getField(fieldDefs, colId);
            listFields.push({
                field: field.name
            });
        }
        else {
            // NOTE: If we ever decide to not set up all the `fieldDefs` on select, ensure that the fields
            //  corresponding to `state.groups` are set up. Needed in Client-mode grouping/pagination.
            fieldDefs.forEach(field => {
                if (!listFields.find(f => f.field === field.name)) {
                    listFields.push({
                        field: field.name
                    });
                }
            });
            patchQueryFields.forEach(k => {
                if (!listFields.find(f => f.field === k)) {
                    listFields.push({
                        field: k
                    });
                }
            });
        }
        compositeKeys.forEach(k => {
            if (!listFields.find(f => f.field === k)) {
                listFields.push({
                    field: k
                });
            }
        });
        return listFields;
    }
    getResultsText() {
        const recordsCount = this.repeatList$?.paginator?.length || 0;
        return `${recordsCount || 0} result${recordsCount > 1 ? 's' : ''}`;
    }
    getField(fieldDefs, columnId) {
        const fieldsMap = this.getFieldsMap(fieldDefs);
        return fieldsMap.get(columnId);
    }
    getFieldsMap(fieldDefs) {
        const fieldsMap = new Map();
        fieldDefs.forEach(element => {
            fieldsMap.set(element.id, element);
        });
        return fieldsMap;
    }
    addItemKeyInSelect(fieldDefs, itemKey, select, compositeKeys) {
        const elementFound = this.getField(fieldDefs, itemKey);
        if (itemKey &&
            !elementFound &&
            Array.isArray(select) &&
            !(compositeKeys !== null && compositeKeys?.length) &&
            !select.find(sel => sel.field === itemKey)) {
            return [
                ...select,
                {
                    field: itemKey
                }
            ];
        }
        return select;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListViewComponent, deps: [{ token: ProgressSpinnerService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ListViewComponent, isStandalone: true, selector: "app-list-view", inputs: { pConn$: "pConn$", bInForm$: "bInForm$", payload: "payload" }, viewQueries: [{ propertyName: "paginator", first: true, predicate: MatPaginator, descendants: true }, { propertyName: "sort", first: true, predicate: MatSort, descendants: true }], ngImport: i0, template: "<div class=\"psdk-list-header\">\n  <div>\n    <h3 *ngIf=\"label\" class=\"label\" style=\"font-weight: bold\">\n      {{ label }} <span class=\"results-count\">{{ getResultsText() }}</span>\n    </h3>\n    <mat-form-field class=\"psdk-search\" *ngIf=\"bShowSearch$\">\n      <mat-label><img class=\"psdk-icon-search\" src=\"{{ searchIcon$ }}\" /> <span class=\"psdk-search-label\">Search</span> </mat-label>\n      <input matInput id=\"search\" (keyup)=\"applySearch($event)\" placeholder=\"\" />\n    </mat-form-field>\n\n    <div *ngIf=\"!bInForm$\" class=\"psdk-outer-div-in-form\">\n      <div class=\"psdk-inner-div-in-form\" *ngIf=\"bColumnReorder$\">\n        <div>\n          <table\n            mat-table\n            id=\"list-view\"\n            [dataSource]=\"repeatList$\"\n            matSort\n            cdkDropList\n            cdkDropListOrientation=\"horizontal\"\n            (cdkDropListDropped)=\"drop($event)\"\n          >\n            <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\" sticky=\"true\">\n              <th mat-header-cell *matHeaderCellDef class=\"psdk-mat-header\" (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\" cdkDrag>\n                {{ dCol.config.label }}\n                <div class=\"psdk-mat-header-filter\">\n                  <img class=\"psdk-filter-svg-icon\" name=\"filterOnIcon\" />\n                </div>\n                <div class=\"psdk-mat-header-arrow\">\n                  <img class=\"psdk-arrow-svg-icon\" arrow=\"none\" [attr.arrowid]=\"dCol.config.name\" />\n                </div>\n                <div class=\"psdk-mat-header-button\" (click)=\"$event.stopPropagation()\">\n                  <button mat-icon-button [matMenuTriggerFor]=\"groupMenu\">\n                    <img class=\"psdk-list-view-svg-icon\" src=\"{{ menuSvgIcon$ }}\" />\n                  </button>\n                  <mat-menu #groupMenu>\n                    <button *ngIf=\"!_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_groupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Group By</span>\n                    </button>\n                    <button *ngIf=\"_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_unGroupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Ungroup</span>\n                    </button>\n                    <button mat-menu-item (click)=\"_filter($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ filterSvgIcon$ }}\" /><span>Filter</span>\n                    </button>\n                  </mat-menu>\n                </div>\n              </th>\n              <td mat-cell *matCellDef=\"let element; index as i\">\n                <button\n                  *ngIf=\"_showButton(dCol.config.name, dCol); else regular\"\n                  mat-button\n                  color=\"primary\"\n                  (click)=\"_listViewClick(dCol.config, element)\"\n                >\n                  {{ element[dCol.config.name] || '---' }}\n                </button>\n                <ng-template #regular>\n                  {{ element[dCol.config.name] || '---' }}\n                </ng-template>\n              </td>\n            </ng-container>\n\n            <tr mat-header-row *matHeaderRowDef=\"displayedColumns$; sticky: true\"></tr>\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n\n            <!-- Group header -->\n            <ng-container matColumnDef=\"groupHeader\">\n              <td mat-cell colspan=\"999\" *matCellDef=\"let group\">\n                <mat-icon *ngIf=\"group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_less</mat-icon>\n                <mat-icon *ngIf=\"!group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_more</mat-icon>\n                <strong\n                  >{{ _getGroupName(groupByColumns$[group.level - 1]) }}: {{ group[groupByColumns$[group.level - 1]] }} ({{\n                    group.totalCounts\n                  }})</strong\n                >\n              </td>\n            </ng-container>\n\n            <tr mat-row *matRowDef=\"let row; columns: ['groupHeader']; when: isGroup\" (click)=\"_groupHeaderClick(row)\"></tr>\n          </table>\n        </div>\n      </div>\n      <div class=\"psdk-inner-div-in-form\" *ngIf=\"!bColumnReorder$\">\n        <div>\n          <table mat-table id=\"list-view\" [dataSource]=\"repeatList$\" matSort>\n            <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\" sticky=\"true\">\n              <th mat-header-cell *matHeaderCellDef class=\"psdk-mat-header\" (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\">\n                {{ dCol.config.label }}\n                <div class=\"psdk-mat-header-filter\">\n                  <img class=\"psdk-filter-svg-icon\" name=\"filterOnIcon\" />\n                </div>\n                <div class=\"psdk-mat-header-arrow\">\n                  <img class=\"psdk-arrow-svg-icon\" arrow=\"none\" [attr.arrowid]=\"dCol.config.name\" />\n                </div>\n                <div class=\"psdk-mat-header-button\" (click)=\"$event.stopPropagation()\">\n                  <button mat-icon-button [matMenuTriggerFor]=\"groupMenu\">\n                    <img class=\"psdk-list-view-svg-icon\" src=\"{{ menuSvgIcon$ }}\" />\n                  </button>\n                  <mat-menu #groupMenu>\n                    <button *ngIf=\"!_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_groupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Group By</span>\n                    </button>\n                    <button *ngIf=\"_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_unGroupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Ungroup</span>\n                    </button>\n                    <button mat-menu-item (click)=\"_filter($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ filterSvgIcon$ }}\" /><span>Filter</span>\n                    </button>\n                  </mat-menu>\n                </div>\n              </th>\n              <td mat-cell *matCellDef=\"let element; index as i\">\n                <button\n                  *ngIf=\"_showButton(dCol.config.name, dCol); else regular\"\n                  mat-button\n                  color=\"primary\"\n                  (click)=\"_listViewClick(dCol.config, element)\"\n                >\n                  {{ element[dCol.config.name] || '---' }}\n                </button>\n                <ng-template #regular>\n                  {{ element[dCol.config.name] || '---' }}\n                </ng-template>\n              </td>\n            </ng-container>\n\n            <tr mat-header-row *matHeaderRowDef=\"displayedColumns$; sticky: true\"></tr>\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n\n            <!-- Group header -->\n            <ng-container matColumnDef=\"groupHeader\">\n              <td mat-cell colspan=\"999\" *matCellDef=\"let group\">\n                <mat-icon *ngIf=\"group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_less</mat-icon>\n                <mat-icon *ngIf=\"!group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_more</mat-icon>\n                <strong\n                  >{{ _getGroupName(groupByColumns$[group.level - 1]) }}: {{ group[groupByColumns$[group.level - 1]] }} ({{\n                    group.totalCounts\n                  }})</strong\n                >\n              </td>\n            </ng-container>\n\n            <tr mat-row *matRowDef=\"let row; columns: ['groupHeader']; when: isGroup\" (click)=\"_groupHeaderClick(row)\"></tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div *ngIf=\"bInForm$\">\n      <div>\n        <div class=\"psdk-inner-div-in-form\">\n          <table id=\"list-view\" *ngIf=\"repeatListData.length > 0\" mat-table [dataSource]=\"repeatList$\" matSort>\n            <ng-container *ngIf=\"singleSelectionMode\" matColumnDef=\"select\">\n              <th mat-header-cell *matHeaderCellDef></th>\n              <td mat-cell *matCellDef=\"let row\">\n                <mat-radio-button [value]=\"row[rowID]\" [checked]=\"row[rowID] === checkBoxValue\" (change)=\"fieldOnChange(row)\"></mat-radio-button>\n              </td>\n            </ng-container>\n            <ng-container *ngIf=\"multiSelectionMode\" matColumnDef=\"select\">\n              <th mat-header-cell *matHeaderCellDef></th>\n              <td mat-cell *matCellDef=\"let row\">\n                <mat-checkbox [value]=\"row[rowID]\" [checked]=\"isChecked(row)\" (change)=\"onCheckboxClick(row, $event)\"></mat-checkbox>\n              </td>\n            </ng-container>\n            <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\">\n              <th mat-header-cell *matHeaderCellDef mat-sort-header (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\">\n                {{ dCol.config.label }}\n              </th>\n              <td mat-cell *matCellDef=\"let element\">{{ element[dCol.config.name] || '---' }}</td>\n            </ng-container>\n\n            <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n          </table>\n          <div *ngIf=\"repeatListData?.length === 0\">\n            <table id=\"list-view\" *ngIf=\"repeatListData?.length === 0\" mat-table [dataSource]=\"repeatList$\">\n              <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\">\n                <th mat-header-cell *matHeaderCellDef>{{ dCol.config.label }}</th>\n              </ng-container>\n              <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n            </table>\n          </div>\n          <div class=\"psdk-no-records\" *ngIf=\"repeatListData?.length === 0\">No Records Found.</div>\n        </div>\n      </div>\n    </div>\n\n    <mat-paginator id=\"pagination\" *ngIf=\"bInForm$\" [pageSizeOptions]=\"[10, 20, 50, 100, 500, 1000]\" showFirstLastButtons></mat-paginator>\n    <mat-paginator id=\"pagination\" *ngIf=\"!bInForm$\" [pageSizeOptions]=\"[10, 20, 50, 100, 500]\" showFirstLastButtons></mat-paginator>\n  </div>\n\n  <!-- pop overs for filters-->\n  <div *ngIf=\"bShowFilterPopover$\" class=\"psdk-dialog-background\">\n    <div class=\"psdk-modal-file-top\">\n      <h4>\n        Filter:<b> {{ filterContainsLabel$ }}</b>\n      </h4>\n      <div *ngIf=\"bContains$\">\n        <mat-form-field class=\"psdk-full-width\">\n          <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n            <mat-option value=\"contains\">Contains</mat-option>\n            <mat-option value=\"equals\">Equals</mat-option>\n            <mat-option value=\"startswith\">Starts with</mat-option>\n          </mat-select>\n        </mat-form-field>\n\n        <mat-form-field class=\"psdk-full-width\">\n          <input matInput type=\"text\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsValue($event)\" />\n        </mat-form-field>\n      </div>\n\n      <div *ngIf=\"bDateTime$\">\n        <mat-form-field class=\"psdk-full-width\">\n          <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n            <mat-option value=\"notequal\">is not equal to</mat-option>\n            <mat-option value=\"after\">after</mat-option>\n            <mat-option value=\"before\">before</mat-option>\n            <mat-option value=\"null\">is null</mat-option>\n            <mat-option value=\"notnull\">is not null</mat-option>\n          </mat-select>\n        </mat-form-field>\n\n        <mat-form-field *ngIf=\"bIsDate$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n          <mat-label>Date</mat-label>\n          <input\n            matInput\n            #dateInput\n            [matDatepicker]=\"pegadate\"\n            type=\"text\"\n            [value]=\"filterContainsValue$\"\n            (dateChange)=\"_filterContainsDateValue($event, dateInput.value)\"\n          />\n          <mat-datepicker-toggle matSuffix [for]=\"pegadate\"></mat-datepicker-toggle>\n          <mat-datepicker #pegadate [startAt]=\"filterContainsValue$\"></mat-datepicker>\n        </mat-form-field>\n\n        <mat-form-field *ngIf=\"bIsDateTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n          <mat-label>Date time</mat-label>\n          <input matInput type=\"datetime-local\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsDateTimeValue($event)\" />\n        </mat-form-field>\n\n        <mat-form-field *ngIf=\"bIsTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n          <mat-label>Time</mat-label>\n          <input matInput type=\"time\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsTimeValue($event)\" />\n        </mat-form-field>\n      </div>\n\n      <component-mapper\n        name=\"ActionButtons\"\n        [props]=\"{ arMainButtons$: arFilterMainButtons$, arSecondaryButtons$: arFilterSecondaryButtons$ }\"\n        [parent]=\"this\"\n        [outputEvents]=\"{ actionButtonClick: _onFilterActionButtonClick }\"\n      ></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-list-header{background-color:var(--app-form-color);padding:1rem;margin:.5rem;border-radius:.6125rem}table{width:100%}::ng-deep .mat-sort-header-content{white-space:nowrap}::ng-deep td.mat-mdc-cell{white-space:nowrap}::ng-deep th.mat-mdc-header-cell,td.mat-mdc-cell,td.mat-mdc-footer-cell{padding:0rem .188rem}::ng-deep .mat-mdc-button{padding:0;text-align:left}.mat-mdc-icon-button{width:fit-content}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-mat-header{white-space:nowrap;padding-right:5px}.psdk-mat-header-button{display:inline-grid}.psdk-mat-header-arrow,.psdk-mat-header-filter{display:inline-grid;vertical-align:middle}.psdk-full-width{width:100%}.psdk-search{padding-left:.625rem;padding-right:.625rem}.psdk-icon-search{vertical-align:sub;padding:.125rem;min-width:unset;width:1.1rem}.psdk-outer-div-in-form{padding:1rem;overflow:hidden}.psdk-inner-div-in-form{height:auto;position:relative;width:100%;overflow:auto;max-height:550px;min-height:auto}.psdk-list-view-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-filter-svg-icon,.psdk-arrow-svg-icon{width:1rem;display:inline-block;vertical-align:middle;filter:var(--app-neutral-color-filter)}.psdk-filter-popover{display:table;margin:auto;min-width:100px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color);position:absolute;z-index:99}.psdk-dialog-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:999;top:0;left:0}.psdk-modal-file-top{display:table;margin:auto;min-width:150px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}.psdk-no-records{height:56px;justify-content:center;display:flex;align-items:center;border:1px solid var(--app-neutral-light-color);border-top:none}.psdk-table-field-link{color:var(--app-primary-color);padding:0;cursor:pointer;border:0;background-color:transparent;align-items:center}.results-count{opacity:.7;font-size:.8rem;font-weight:700;margin-inline-start:.625rem}.label{margin:8px}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatSuffix), selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatTableModule) }, { kind: "component", type: i0.forwardRef(() => i6$2.MatTable), selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatHeaderCellDef), selector: "[matHeaderCellDef]" }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatHeaderRowDef), selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatColumnDef), selector: "[matColumnDef]", inputs: ["matColumnDef"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatCellDef), selector: "[matCellDef]" }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatRowDef), selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatHeaderCell), selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatCell), selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i0.forwardRef(() => i6$2.MatHeaderRow), selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i0.forwardRef(() => i6$2.MatRow), selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSortModule) }, { kind: "directive", type: i0.forwardRef(() => i7$3.MatSort), selector: "[matSort]", inputs: ["matSortActive", "matSortStart", "matSortDirection", "matSortDisableClear", "matSortDisabled"], outputs: ["matSortChange"], exportAs: ["matSort"] }, { kind: "component", type: i0.forwardRef(() => i7$3.MatSortHeader), selector: "[mat-sort-header]", inputs: ["mat-sort-header", "arrowPosition", "start", "disabled", "sortActionDescription", "disableClear"], exportAs: ["matSortHeader"] }, { kind: "ngmodule", type: i0.forwardRef(() => DragDropModule) }, { kind: "directive", type: i0.forwardRef(() => i8$2.CdkDropList), selector: "[cdkDropList], cdk-drop-list", inputs: ["cdkDropListConnectedTo", "cdkDropListData", "cdkDropListOrientation", "id", "cdkDropListLockAxis", "cdkDropListDisabled", "cdkDropListSortingDisabled", "cdkDropListEnterPredicate", "cdkDropListSortPredicate", "cdkDropListAutoScrollDisabled", "cdkDropListAutoScrollStep", "cdkDropListElementContainer"], outputs: ["cdkDropListDropped", "cdkDropListEntered", "cdkDropListExited", "cdkDropListSorted"], exportAs: ["cdkDropList"] }, { kind: "directive", type: i0.forwardRef(() => i8$2.CdkDrag), selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer", "cdkDragScale"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => i3.MatIconButton), selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatMenuModule) }, { kind: "component", type: i0.forwardRef(() => i6.MatMenu), selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i0.forwardRef(() => i6.MatMenuItem), selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i0.forwardRef(() => i6.MatMenuTrigger), selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatIconModule) }, { kind: "component", type: i0.forwardRef(() => i2$3.MatIcon), selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatRadioModule) }, { kind: "component", type: i0.forwardRef(() => i7$2.MatRadioButton), selector: "mat-radio-button", inputs: ["id", "name", "aria-label", "aria-labelledby", "aria-describedby", "disableRipple", "tabIndex", "checked", "value", "labelPosition", "disabled", "required", "color", "disabledInteractive"], outputs: ["change"], exportAs: ["matRadioButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatCheckboxModule) }, { kind: "component", type: i0.forwardRef(() => i5$3.MatCheckbox), selector: "mat-checkbox", inputs: ["aria-label", "aria-labelledby", "aria-describedby", "id", "required", "labelPosition", "name", "value", "disableRipple", "tabIndex", "color", "disabledInteractive", "checked", "disabled", "indeterminate"], outputs: ["change", "indeterminateChange"], exportAs: ["matCheckbox"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatPaginatorModule) }, { kind: "component", type: i0.forwardRef(() => i14.MatPaginator), selector: "mat-paginator", inputs: ["color", "pageIndex", "length", "pageSize", "pageSizeOptions", "hidePageSize", "showFirstLastButtons", "selectConfig", "disabled"], outputs: ["page"], exportAs: ["matPaginator"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSelectModule) }, { kind: "component", type: i0.forwardRef(() => i7$1.MatSelect), selector: "mat-select", inputs: ["aria-describedby", "panelClass", "disabled", "disableRipple", "tabIndex", "hideSingleSelectionIndicator", "placeholder", "required", "multiple", "disableOptionCentering", "compareWith", "value", "aria-label", "aria-labelledby", "errorStateMatcher", "typeaheadDebounceInterval", "sortComparator", "id", "panelWidth"], outputs: ["openedChange", "opened", "closed", "selectionChange", "valueChange"], exportAs: ["matSelect"] }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "ngmodule", type: i0.forwardRef(() => MatDatepickerModule) }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepicker), selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { kind: "directive", type: i0.forwardRef(() => i4$2.MatDatepickerInput), selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepickerToggle), selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListViewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-list-view', standalone: true, imports: [
                        CommonModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatTableModule,
                        MatSortModule,
                        DragDropModule,
                        CdkDropList,
                        CdkDrag,
                        MatButtonModule,
                        MatMenuModule,
                        MatIconModule,
                        MatRadioModule,
                        MatCheckboxModule,
                        MatPaginatorModule,
                        MatSelectModule,
                        MatOptionModule,
                        MatDatepickerModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div class=\"psdk-list-header\">\n  <div>\n    <h3 *ngIf=\"label\" class=\"label\" style=\"font-weight: bold\">\n      {{ label }} <span class=\"results-count\">{{ getResultsText() }}</span>\n    </h3>\n    <mat-form-field class=\"psdk-search\" *ngIf=\"bShowSearch$\">\n      <mat-label><img class=\"psdk-icon-search\" src=\"{{ searchIcon$ }}\" /> <span class=\"psdk-search-label\">Search</span> </mat-label>\n      <input matInput id=\"search\" (keyup)=\"applySearch($event)\" placeholder=\"\" />\n    </mat-form-field>\n\n    <div *ngIf=\"!bInForm$\" class=\"psdk-outer-div-in-form\">\n      <div class=\"psdk-inner-div-in-form\" *ngIf=\"bColumnReorder$\">\n        <div>\n          <table\n            mat-table\n            id=\"list-view\"\n            [dataSource]=\"repeatList$\"\n            matSort\n            cdkDropList\n            cdkDropListOrientation=\"horizontal\"\n            (cdkDropListDropped)=\"drop($event)\"\n          >\n            <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\" sticky=\"true\">\n              <th mat-header-cell *matHeaderCellDef class=\"psdk-mat-header\" (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\" cdkDrag>\n                {{ dCol.config.label }}\n                <div class=\"psdk-mat-header-filter\">\n                  <img class=\"psdk-filter-svg-icon\" name=\"filterOnIcon\" />\n                </div>\n                <div class=\"psdk-mat-header-arrow\">\n                  <img class=\"psdk-arrow-svg-icon\" arrow=\"none\" [attr.arrowid]=\"dCol.config.name\" />\n                </div>\n                <div class=\"psdk-mat-header-button\" (click)=\"$event.stopPropagation()\">\n                  <button mat-icon-button [matMenuTriggerFor]=\"groupMenu\">\n                    <img class=\"psdk-list-view-svg-icon\" src=\"{{ menuSvgIcon$ }}\" />\n                  </button>\n                  <mat-menu #groupMenu>\n                    <button *ngIf=\"!_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_groupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Group By</span>\n                    </button>\n                    <button *ngIf=\"_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_unGroupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Ungroup</span>\n                    </button>\n                    <button mat-menu-item (click)=\"_filter($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ filterSvgIcon$ }}\" /><span>Filter</span>\n                    </button>\n                  </mat-menu>\n                </div>\n              </th>\n              <td mat-cell *matCellDef=\"let element; index as i\">\n                <button\n                  *ngIf=\"_showButton(dCol.config.name, dCol); else regular\"\n                  mat-button\n                  color=\"primary\"\n                  (click)=\"_listViewClick(dCol.config, element)\"\n                >\n                  {{ element[dCol.config.name] || '---' }}\n                </button>\n                <ng-template #regular>\n                  {{ element[dCol.config.name] || '---' }}\n                </ng-template>\n              </td>\n            </ng-container>\n\n            <tr mat-header-row *matHeaderRowDef=\"displayedColumns$; sticky: true\"></tr>\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n\n            <!-- Group header -->\n            <ng-container matColumnDef=\"groupHeader\">\n              <td mat-cell colspan=\"999\" *matCellDef=\"let group\">\n                <mat-icon *ngIf=\"group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_less</mat-icon>\n                <mat-icon *ngIf=\"!group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_more</mat-icon>\n                <strong\n                  >{{ _getGroupName(groupByColumns$[group.level - 1]) }}: {{ group[groupByColumns$[group.level - 1]] }} ({{\n                    group.totalCounts\n                  }})</strong\n                >\n              </td>\n            </ng-container>\n\n            <tr mat-row *matRowDef=\"let row; columns: ['groupHeader']; when: isGroup\" (click)=\"_groupHeaderClick(row)\"></tr>\n          </table>\n        </div>\n      </div>\n      <div class=\"psdk-inner-div-in-form\" *ngIf=\"!bColumnReorder$\">\n        <div>\n          <table mat-table id=\"list-view\" [dataSource]=\"repeatList$\" matSort>\n            <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\" sticky=\"true\">\n              <th mat-header-cell *matHeaderCellDef class=\"psdk-mat-header\" (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\">\n                {{ dCol.config.label }}\n                <div class=\"psdk-mat-header-filter\">\n                  <img class=\"psdk-filter-svg-icon\" name=\"filterOnIcon\" />\n                </div>\n                <div class=\"psdk-mat-header-arrow\">\n                  <img class=\"psdk-arrow-svg-icon\" arrow=\"none\" [attr.arrowid]=\"dCol.config.name\" />\n                </div>\n                <div class=\"psdk-mat-header-button\" (click)=\"$event.stopPropagation()\">\n                  <button mat-icon-button [matMenuTriggerFor]=\"groupMenu\">\n                    <img class=\"psdk-list-view-svg-icon\" src=\"{{ menuSvgIcon$ }}\" />\n                  </button>\n                  <mat-menu #groupMenu>\n                    <button *ngIf=\"!_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_groupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Group By</span>\n                    </button>\n                    <button *ngIf=\"_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_unGroupBy($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Ungroup</span>\n                    </button>\n                    <button mat-menu-item (click)=\"_filter($event, dCol)\">\n                      <img class=\"psdk-list-view-svg-icon\" src=\"{{ filterSvgIcon$ }}\" /><span>Filter</span>\n                    </button>\n                  </mat-menu>\n                </div>\n              </th>\n              <td mat-cell *matCellDef=\"let element; index as i\">\n                <button\n                  *ngIf=\"_showButton(dCol.config.name, dCol); else regular\"\n                  mat-button\n                  color=\"primary\"\n                  (click)=\"_listViewClick(dCol.config, element)\"\n                >\n                  {{ element[dCol.config.name] || '---' }}\n                </button>\n                <ng-template #regular>\n                  {{ element[dCol.config.name] || '---' }}\n                </ng-template>\n              </td>\n            </ng-container>\n\n            <tr mat-header-row *matHeaderRowDef=\"displayedColumns$; sticky: true\"></tr>\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n\n            <!-- Group header -->\n            <ng-container matColumnDef=\"groupHeader\">\n              <td mat-cell colspan=\"999\" *matCellDef=\"let group\">\n                <mat-icon *ngIf=\"group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_less</mat-icon>\n                <mat-icon *ngIf=\"!group.expanded\" [attr.style]=\"_getIconStyle(group.level)\">expand_more</mat-icon>\n                <strong\n                  >{{ _getGroupName(groupByColumns$[group.level - 1]) }}: {{ group[groupByColumns$[group.level - 1]] }} ({{\n                    group.totalCounts\n                  }})</strong\n                >\n              </td>\n            </ng-container>\n\n            <tr mat-row *matRowDef=\"let row; columns: ['groupHeader']; when: isGroup\" (click)=\"_groupHeaderClick(row)\"></tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div *ngIf=\"bInForm$\">\n      <div>\n        <div class=\"psdk-inner-div-in-form\">\n          <table id=\"list-view\" *ngIf=\"repeatListData.length > 0\" mat-table [dataSource]=\"repeatList$\" matSort>\n            <ng-container *ngIf=\"singleSelectionMode\" matColumnDef=\"select\">\n              <th mat-header-cell *matHeaderCellDef></th>\n              <td mat-cell *matCellDef=\"let row\">\n                <mat-radio-button [value]=\"row[rowID]\" [checked]=\"row[rowID] === checkBoxValue\" (change)=\"fieldOnChange(row)\"></mat-radio-button>\n              </td>\n            </ng-container>\n            <ng-container *ngIf=\"multiSelectionMode\" matColumnDef=\"select\">\n              <th mat-header-cell *matHeaderCellDef></th>\n              <td mat-cell *matCellDef=\"let row\">\n                <mat-checkbox [value]=\"row[rowID]\" [checked]=\"isChecked(row)\" (change)=\"onCheckboxClick(row, $event)\"></mat-checkbox>\n              </td>\n            </ng-container>\n            <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\">\n              <th mat-header-cell *matHeaderCellDef mat-sort-header (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\">\n                {{ dCol.config.label }}\n              </th>\n              <td mat-cell *matCellDef=\"let element\">{{ element[dCol.config.name] || '---' }}</td>\n            </ng-container>\n\n            <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n            <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n          </table>\n          <div *ngIf=\"repeatListData?.length === 0\">\n            <table id=\"list-view\" *ngIf=\"repeatListData?.length === 0\" mat-table [dataSource]=\"repeatList$\">\n              <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.config.name\">\n                <th mat-header-cell *matHeaderCellDef>{{ dCol.config.label }}</th>\n              </ng-container>\n              <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n            </table>\n          </div>\n          <div class=\"psdk-no-records\" *ngIf=\"repeatListData?.length === 0\">No Records Found.</div>\n        </div>\n      </div>\n    </div>\n\n    <mat-paginator id=\"pagination\" *ngIf=\"bInForm$\" [pageSizeOptions]=\"[10, 20, 50, 100, 500, 1000]\" showFirstLastButtons></mat-paginator>\n    <mat-paginator id=\"pagination\" *ngIf=\"!bInForm$\" [pageSizeOptions]=\"[10, 20, 50, 100, 500]\" showFirstLastButtons></mat-paginator>\n  </div>\n\n  <!-- pop overs for filters-->\n  <div *ngIf=\"bShowFilterPopover$\" class=\"psdk-dialog-background\">\n    <div class=\"psdk-modal-file-top\">\n      <h4>\n        Filter:<b> {{ filterContainsLabel$ }}</b>\n      </h4>\n      <div *ngIf=\"bContains$\">\n        <mat-form-field class=\"psdk-full-width\">\n          <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n            <mat-option value=\"contains\">Contains</mat-option>\n            <mat-option value=\"equals\">Equals</mat-option>\n            <mat-option value=\"startswith\">Starts with</mat-option>\n          </mat-select>\n        </mat-form-field>\n\n        <mat-form-field class=\"psdk-full-width\">\n          <input matInput type=\"text\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsValue($event)\" />\n        </mat-form-field>\n      </div>\n\n      <div *ngIf=\"bDateTime$\">\n        <mat-form-field class=\"psdk-full-width\">\n          <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n            <mat-option value=\"notequal\">is not equal to</mat-option>\n            <mat-option value=\"after\">after</mat-option>\n            <mat-option value=\"before\">before</mat-option>\n            <mat-option value=\"null\">is null</mat-option>\n            <mat-option value=\"notnull\">is not null</mat-option>\n          </mat-select>\n        </mat-form-field>\n\n        <mat-form-field *ngIf=\"bIsDate$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n          <mat-label>Date</mat-label>\n          <input\n            matInput\n            #dateInput\n            [matDatepicker]=\"pegadate\"\n            type=\"text\"\n            [value]=\"filterContainsValue$\"\n            (dateChange)=\"_filterContainsDateValue($event, dateInput.value)\"\n          />\n          <mat-datepicker-toggle matSuffix [for]=\"pegadate\"></mat-datepicker-toggle>\n          <mat-datepicker #pegadate [startAt]=\"filterContainsValue$\"></mat-datepicker>\n        </mat-form-field>\n\n        <mat-form-field *ngIf=\"bIsDateTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n          <mat-label>Date time</mat-label>\n          <input matInput type=\"datetime-local\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsDateTimeValue($event)\" />\n        </mat-form-field>\n\n        <mat-form-field *ngIf=\"bIsTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n          <mat-label>Time</mat-label>\n          <input matInput type=\"time\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsTimeValue($event)\" />\n        </mat-form-field>\n      </div>\n\n      <component-mapper\n        name=\"ActionButtons\"\n        [props]=\"{ arMainButtons$: arFilterMainButtons$, arSecondaryButtons$: arFilterSecondaryButtons$ }\"\n        [parent]=\"this\"\n        [outputEvents]=\"{ actionButtonClick: _onFilterActionButtonClick }\"\n      ></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-list-header{background-color:var(--app-form-color);padding:1rem;margin:.5rem;border-radius:.6125rem}table{width:100%}::ng-deep .mat-sort-header-content{white-space:nowrap}::ng-deep td.mat-mdc-cell{white-space:nowrap}::ng-deep th.mat-mdc-header-cell,td.mat-mdc-cell,td.mat-mdc-footer-cell{padding:0rem .188rem}::ng-deep .mat-mdc-button{padding:0;text-align:left}.mat-mdc-icon-button{width:fit-content}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-mat-header{white-space:nowrap;padding-right:5px}.psdk-mat-header-button{display:inline-grid}.psdk-mat-header-arrow,.psdk-mat-header-filter{display:inline-grid;vertical-align:middle}.psdk-full-width{width:100%}.psdk-search{padding-left:.625rem;padding-right:.625rem}.psdk-icon-search{vertical-align:sub;padding:.125rem;min-width:unset;width:1.1rem}.psdk-outer-div-in-form{padding:1rem;overflow:hidden}.psdk-inner-div-in-form{height:auto;position:relative;width:100%;overflow:auto;max-height:550px;min-height:auto}.psdk-list-view-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-filter-svg-icon,.psdk-arrow-svg-icon{width:1rem;display:inline-block;vertical-align:middle;filter:var(--app-neutral-color-filter)}.psdk-filter-popover{display:table;margin:auto;min-width:100px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color);position:absolute;z-index:99}.psdk-dialog-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:999;top:0;left:0}.psdk-modal-file-top{display:table;margin:auto;min-width:150px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}.psdk-no-records{height:56px;justify-content:center;display:flex;align-items:center;border:1px solid var(--app-neutral-light-color);border-top:none}.psdk-table-field-link{color:var(--app-primary-color);padding:0;cursor:pointer;border:0;background-color:transparent;align-items:center}.results-count{opacity:.7;font-size:.8rem;font-weight:700;margin-inline-start:.625rem}.label{margin:8px}\n"] }]
        }], ctorParameters: () => [{ type: ProgressSpinnerService }, { type: Utils }], propDecorators: { paginator: [{
                type: ViewChild,
                args: [MatPaginator]
            }], sort: [{
                type: ViewChild,
                args: [MatSort]
            }], pConn$: [{
                type: Input
            }], bInForm$: [{
                type: Input
            }], payload: [{
                type: Input
            }] } });

class MultiReferenceReadonlyComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.angularPConnectData = {};
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.updateSelf();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.getConfigProps();
        this.label = this.configProps$.label;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiReferenceReadonlyComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MultiReferenceReadonlyComponent, isStandalone: true, selector: "app-multi-reference-readonly", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div>\n  <h3 style=\"font-weight: bold; margin: 0\">{{ label }}</h3>\n  <component-mapper name=\"SimpleTable\" [props]=\"{ pConn$ }\"></component-mapper>\n</div>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiReferenceReadonlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-multi-reference-readonly', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <h3 style=\"font-weight: bold; margin: 0\">{{ label }}</h3>\n  <component-mapper name=\"SimpleTable\" [props]=\"{ pConn$ }\"></component-mapper>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

function setVisibilityForList(c11nEnv, visibility) {
    const { selectionMode, selectionList, renderMode, referenceList } = c11nEnv.getComponentConfig();
    // usecase:multiselect, fieldgroup, editable table
    if ((selectionMode === PCore.getConstants().LIST_SELECTION_MODE.MULTI && selectionList) || (renderMode === 'Editable' && referenceList)) {
        c11nEnv.getListActions().setVisibility(visibility);
    }
}
function preProcessColumns(columns) {
    return columns?.map(col => {
        const tempColObj = { ...col };
        tempColObj.value = col.value && col.value.startsWith('.') ? col.value.substring(1) : col.value;
        if (tempColObj.setProperty) {
            tempColObj.setProperty = col.setProperty && col.setProperty.startsWith('.') ? col.setProperty.substring(1) : col.setProperty;
        }
        return tempColObj;
    });
}
function getDisplayFieldsMetaData(columns) {
    const displayColumns = columns?.filter(col => col.display === 'true');
    const metaDataObj = {
        key: '',
        primary: '',
        secondary: []
    };
    const keyCol = columns?.filter(col => col.key === 'true');
    metaDataObj.key = keyCol?.length > 0 ? keyCol[0].value : 'auto';
    const itemsRecordsColumn = columns?.filter(col => col.itemsRecordsColumn === 'true');
    if (itemsRecordsColumn?.length > 0) {
        metaDataObj.itemsRecordsColumn = itemsRecordsColumn[0].value;
    }
    const itemsGroupKeyColumn = columns?.filter(col => col.itemsGroupKeyColumn === 'true');
    if (itemsGroupKeyColumn?.length > 0) {
        metaDataObj.itemsGroupKeyColumn = itemsGroupKeyColumn[0].value;
    }
    for (let index = 0; index < displayColumns?.length; index += 1) {
        if (displayColumns[index].secondary === 'true') {
            metaDataObj.secondary.push(displayColumns[index].value);
        }
        else if (displayColumns[index].primary === 'true') {
            metaDataObj.primary = displayColumns[index].value;
        }
    }
    return metaDataObj;
}
function createSingleTreeObejct(entry, displayFieldMeta, showSecondaryData, selected) {
    const secondaryArr = [];
    displayFieldMeta.secondary.forEach(col => {
        secondaryArr.push(entry[col]);
    });
    const isSelected = selected.some(item => item.id === entry[displayFieldMeta.key]);
    return {
        id: entry[displayFieldMeta.key],
        primary: entry[displayFieldMeta.primary],
        secondary: showSecondaryData ? secondaryArr : [],
        selected: isSelected
    };
}
function putItemsDataInItemsTree(listObjData, displayFieldMeta, itemsTree, showSecondaryInSearchOnly, selected) {
    let newTreeItems = itemsTree.slice();
    const showSecondaryData = !showSecondaryInSearchOnly;
    for (const obj of listObjData) {
        const items = obj[displayFieldMeta.itemsRecordsColumn].map(entry => createSingleTreeObejct(entry, displayFieldMeta, showSecondaryData, selected));
        newTreeItems = newTreeItems.map(caseObject => {
            if (caseObject.id === obj[displayFieldMeta.itemsGroupKeyColumn]) {
                caseObject.items = [...items];
            }
            return caseObject;
        });
    }
    return newTreeItems;
}
function prepareSearchResults(listObjData, displayFieldMeta) {
    const searchResults = [];
    for (const obj of listObjData) {
        searchResults.push(...obj[displayFieldMeta.itemsRecordsColumn]);
    }
    return searchResults;
}
async function doSearch(searchText, clickedGroup, initialCaseClass, displayFieldMeta, dataApiObj, // deep clone of the dataApiObj
itemsTree, isGroupData, showSecondaryInSearchOnly, selected) {
    let searchTextForUngroupedData = '';
    if (dataApiObj) {
        // creating dataApiObject in grouped data cases
        if (isGroupData) {
            dataApiObj = cloneDeep(dataApiObj);
            dataApiObj.fetchedNQData = false;
            dataApiObj.cache = {};
            // if we have no search text and no group selected, return the original tree
            if (searchText === '' && clickedGroup === '') {
                return itemsTree;
            }
            // setting the inital search text & search classes in ApiObject
            dataApiObj.parameters[Object.keys(dataApiObj.parameters)[1]] = searchText;
            dataApiObj.parameters[Object.keys(dataApiObj.parameters)[0]] = initialCaseClass;
            // if we have a selected group
            if (clickedGroup) {
                // check if the data for this group is already present and no search text
                if (searchText === '') {
                    const containsData = itemsTree.find(item => item.id === clickedGroup);
                    // do not make API call when items of respective group are already fetched
                    if (containsData?.items?.length)
                        return itemsTree;
                }
                dataApiObj.parameters[Object.keys(dataApiObj.parameters)[0]] = JSON.stringify([clickedGroup]);
            }
        }
        else {
            searchTextForUngroupedData = searchText;
        }
        // search API call
        const response = await dataApiObj.fetchData(searchTextForUngroupedData).catch(() => {
            return itemsTree;
        });
        let listObjData = response.data;
        let newItemsTree = [];
        if (isGroupData) {
            if (searchText) {
                listObjData = prepareSearchResults(listObjData, displayFieldMeta);
            }
            else {
                newItemsTree = putItemsDataInItemsTree(listObjData, displayFieldMeta, itemsTree, showSecondaryInSearchOnly, selected);
                return newItemsTree;
            }
        }
        const showSecondaryData = showSecondaryInSearchOnly ? !!searchText : true;
        if (listObjData !== undefined && listObjData.length > 0) {
            newItemsTree = listObjData.map(entry => createSingleTreeObejct(entry, displayFieldMeta, showSecondaryData, selected));
        }
        return newItemsTree;
    }
    return itemsTree;
}
function setValuesToPropertyList(searchText, assocProp, items, columns, actions, updatePropertyInRedux = true) {
    const setPropertyList = columns
        ?.filter(col => col.setProperty)
        .map(col => {
        return {
            source: col.value,
            target: col.setProperty,
            key: col.key,
            primary: col.primary
        };
    });
    const valueToSet = [];
    if (setPropertyList.length > 0) {
        setPropertyList.forEach(prop => {
            items.forEach(item => {
                if (prop.key === 'true' && item) {
                    valueToSet.push(item.id);
                }
                else if (prop.primary === 'true' || !item) {
                    valueToSet.push(searchText);
                }
            });
            if (updatePropertyInRedux) {
                // BUG-666851 setting options so that the store values are replaced and not merged
                const options = {
                    isArrayDeepMerge: false
                };
                if (prop.target === 'Associated property') {
                    actions.updateFieldValue(assocProp, valueToSet, options);
                }
                else {
                    actions.updateFieldValue(`.${prop.target}`, valueToSet, options);
                }
            }
        });
    }
    return valueToSet;
}
function getGroupDataForItemsTree(groupDataSource, groupsDisplayFieldMeta, showSecondaryInSearchOnly) {
    return groupDataSource?.map(group => {
        const secondaryArr = [];
        groupsDisplayFieldMeta.secondary.forEach(col => {
            secondaryArr.push(group[col]);
        });
        return {
            id: group[groupsDisplayFieldMeta.key],
            primary: group[groupsDisplayFieldMeta.primary],
            secondary: showSecondaryInSearchOnly ? [] : secondaryArr,
            items: []
        };
    });
}

class MultiselectComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.value$ = '';
        this.bRequired$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.bHasForm$ = true;
        this.fieldControl = new FormControl('', null);
        this.showSecondaryInSearchOnly = false;
        this.isGroupData = false;
        this.groupDataSource = [];
        this.matchPosition = 'contains';
        this.groupColumnsConfig = [{}];
        this.selectedItems = [];
        this.itemsTreeBaseData = [];
        this.itemsTree = [];
        this.optionClicked = (event, data) => {
            event.stopPropagation();
            this.toggleSelection(data);
        };
        this.toggleSelection = (data) => {
            data.selected = !data.selected;
            this.itemsTree.map((ele) => {
                if (ele.id === data.id) {
                    ele.selected = data.selected;
                }
                return ele;
            });
            if (data.selected === true) {
                this.selectedItems.push(data);
            }
            else {
                const index = this.selectedItems.findIndex(value => value.id === data.id);
                this.selectedItems.splice(index, 1);
            }
            this.value$ = '';
            // if this is a referenceList case
            if (this.referenceList)
                this.setSelectedItemsForReferenceList(data);
            this.getCaseListBasedOnParams(this.value$, '', [...this.selectedItems], [...this.itemsTree], true);
        };
        this.removeChip = (data) => {
            if (data) {
                data = this.itemsTree.filter((ele) => {
                    return ele.id === data.id;
                });
                this.toggleSelection(data[0]);
            }
        };
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.controlName$ = this.angularPConnect.getComponentID(this);
        // Then, continue on with other initialization
        this.checkAndUpdate();
        if (this.formGroup$) {
            // add control to formGroup
            this.formGroup$.addControl(this.controlName$, this.fieldControl);
            this.fieldControl.setValue(this.value$);
            this.bHasForm$ = true;
        }
        else {
            this.bHasForm$ = false;
        }
    }
    ngOnDestroy() {
        if (this.formGroup$) {
            this.formGroup$.removeControl(this.controlName$);
        }
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        let { datasource = [], columns = [{}] } = this.configProps$;
        this.setPropertyValuesFromProps();
        if (this.referenceList.length > 0) {
            datasource = this.referenceList;
            columns = [
                {
                    value: this.primaryField,
                    display: 'true',
                    useForSearch: true,
                    primary: 'true'
                },
                {
                    value: this.selectionKey,
                    setProperty: this.selectionKey,
                    key: 'true'
                }
            ];
            let secondaryColumns = [];
            if (this.secondaryFields) {
                secondaryColumns = this.secondaryFields.map(secondaryField => ({
                    value: secondaryField,
                    display: 'true',
                    secondary: 'true',
                    useForSearch: 'true'
                }));
            }
            else {
                secondaryColumns = [
                    {
                        value: this.selectionKey,
                        display: 'true',
                        secondary: 'true',
                        useForSearch: 'true'
                    }
                ];
            }
            if (this.referenceType === 'Case') {
                columns = [...columns, ...secondaryColumns];
            }
        }
        this.value$ = this.value$ ? this.value$ : '';
        const contextName = this.pConn$.getContextName();
        const dataConfig = {
            dataSource: datasource,
            groupDataSource: this.groupDataSource,
            isGroupData: this.isGroupData,
            showSecondaryInSearchOnly: this.showSecondaryInSearchOnly,
            parameters: this.parameters,
            matchPosition: this.matchPosition,
            listType: this.listType,
            maxResultsDisplay: this.maxResultsDisplay || '100',
            columns: preProcessColumns(columns),
            groupColumnsConfig: preProcessColumns(this.groupColumnsConfig),
            associationFilter: undefined,
            ignoreCase: undefined
        };
        const groupsDisplayFieldMeta = this.listType !== 'associated' ? getDisplayFieldsMetaData(dataConfig.groupColumnsConfig) : null;
        this.itemsTreeBaseData = getGroupDataForItemsTree(this.groupDataSource, groupsDisplayFieldMeta, this.showSecondaryInSearchOnly) || [];
        this.itemsTree = this.isGroupData ? getGroupDataForItemsTree(this.groupDataSource, groupsDisplayFieldMeta, this.showSecondaryInSearchOnly) : [];
        this.displayFieldMeta = this.listType !== 'associated' ? getDisplayFieldsMetaData(dataConfig.columns) : null;
        this.listActions = this.pConn$.getListActions();
        this.pConn$.setReferenceList(this.selectionList);
        if (this.configProps$.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // disabled
        if (this.configProps$.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(this.configProps$.disabled);
        }
        if (this.bDisabled$) {
            this.fieldControl.disable();
        }
        else {
            this.fieldControl.enable();
        }
        this.actionsApi = this.pConn$.getActionsApi();
        this.propName = this.pConn$.getStateProps().value;
        if (this.listType !== 'associated') {
            PCore.getDataApi()
                ?.init(dataConfig, contextName)
                .then(async (dataObj) => {
                this.dataApiObj = dataObj;
                if (!this.isGroupData) {
                    this.getCaseListBasedOnParams(this.value$ ?? '', '', [...this.selectedItems], [...this.itemsTree]);
                }
            });
        }
    }
    setPropertyValuesFromProps() {
        this.label$ = this.configProps$.label;
        this.placeholder = this.configProps$.placeholder || '';
        this.listType = this.configProps$.listType ? this.configProps$.listType : '';
        this.hideLabel = this.configProps$.hideLabel;
        this.parameters = this.configProps$?.parameters ? this.configProps$?.parameters : {};
        this.referenceList = this.configProps$?.referenceList;
        this.selectionKey = this.configProps$?.selectionKey;
        this.primaryField = this.configProps$?.primaryField;
        this.initialCaseClass = this.configProps$?.initialCaseClass;
        this.showSecondaryInSearchOnly = this.configProps$?.showSecondaryInSearchOnly ? this.configProps$?.showSecondaryInSearchOnly : false;
        this.isGroupData = this.configProps$?.isGroupData ? this.configProps$.isGroupData : false;
        this.referenceType = this.configProps$?.referenceType;
        this.secondaryFields = this.configProps$?.secondaryFields;
        this.groupDataSource = this.configProps$?.groupDataSource ? this.configProps$?.groupDataSource : [];
        this.matchPosition = this.configProps$?.matchPosition ? this.configProps$?.matchPosition : 'contains';
        this.maxResultsDisplay = this.configProps$?.maxResultsDisplay;
        this.groupColumnsConfig = this.configProps$?.groupColumnsConfig ? this.configProps$?.groupColumnsConfig : [{}];
        this.selectionList = this.configProps$?.selectionList;
        this.value$ = this.configProps$?.value;
    }
    // main search function trigger
    getCaseListBasedOnParams(searchText, group, selectedRows, currentItemsTree, isTriggeredFromSearch = false) {
        if (this.referenceList && this.referenceList.length > 0) {
            this.listActions.getSelectedRows(true).then(result => {
                selectedRows =
                    result.length > 0
                        ? result.map(item => {
                            return {
                                id: item[this.selectionKey.startsWith('.') ? this.selectionKey.substring(1) : this.selectionKey],
                                primary: item[this.primaryField.startsWith('.') ? this.primaryField.substring(1) : this.primaryField]
                            };
                        })
                        : [];
                this.selectedItems = selectedRows;
                const initalItemsTree = isTriggeredFromSearch || !currentItemsTree ? [...this.itemsTreeBaseData] : [...currentItemsTree];
                doSearch(searchText, group, this.initialCaseClass, this.displayFieldMeta, this.dataApiObj, initalItemsTree, this.isGroupData, this.showSecondaryInSearchOnly, selectedRows || []).then(res => {
                    this.itemsTree = res || [];
                });
            });
        }
    }
    fieldOnChange(event) {
        this.value$ = event.target.value;
        this.getCaseListBasedOnParams(this.value$, '', [...this.selectedItems], [...this.itemsTree], true);
    }
    optionChanged(event) {
        let value = event?.target?.value;
        value = value?.substring(1);
        handleEvent(this.actionsApi, 'changeNblur', this.propName, value);
    }
    setSelectedItemsForReferenceList(data) {
        // Clear error messages if any
        const propName = this.pConn$.getStateProps().selectionList;
        this.pConn$.clearErrorMessages({
            property: propName,
            category: '',
            context: ''
        });
        const { selected } = data;
        if (selected) {
            insertInstruction(this.pConn$, this.selectionList, this.selectionKey, this.primaryField, data);
        }
        else {
            deleteInstruction(this.pConn$, this.selectionList, this.selectionKey, data);
        }
    }
    getErrorMessage() {
        let errMessage = '';
        // look for validation messages for json, pre-defined or just an error pushed from workitem (400)
        if (this.fieldControl.hasError('message')) {
            errMessage = this.angularPConnectData.validateMessage ?? '';
            return errMessage;
        }
        if (this.fieldControl.hasError('required')) {
            errMessage = 'You must enter a value';
        }
        else if (this.fieldControl.errors) {
            errMessage = this.fieldControl.errors.toString();
        }
        return errMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiselectComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MultiselectComponent, isStandalone: true, selector: "app-multiselect", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div [formGroup]=\"formGroup$\">\n  <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\">\n    <mat-label>{{ label$ }}</mat-label>\n    <mat-chip-grid #chipGrid>\n      <ng-container *ngFor=\"let select of selectedItems\">\n        <mat-chip-row (removed)=\"removeChip(select)\">\n          {{ select.primary }}\n          <button matChipRemove>\n            <mat-icon>cancel</mat-icon>\n          </button>\n        </mat-chip-row>\n      </ng-container>\n    </mat-chip-grid>\n    <input\n      matInput\n      [placeholder]=\"placeholder\"\n      [formControl]=\"fieldControl\"\n      [value]=\"value$\"\n      [required]=\"bRequired$\"\n      [matAutocomplete]=\"auto\"\n      (input)=\"fieldOnChange($event)\"\n      [matChipInputFor]=\"chipGrid\"\n    />\n    <mat-autocomplete #auto=\"matAutocomplete\">\n      <mat-option *ngFor=\"let item of itemsTree\" [value]=\"item.primary\" (click)=\"optionClicked($event, item)\">\n        <mat-checkbox [checked]=\"item.selected\" (click)=\"optionClicked($event, item)\">\n          <span>{{ item.primary }}</span>\n        </mat-checkbox>\n      </mat-option>\n    </mat-autocomplete>\n    <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n  </mat-form-field>\n</div>\n", styles: [".psdk-full-width{width:100%}::ng-deep .mat-mdc-form-field-infix{padding-left:10px}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i4.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i4.NgControlStatusGroup), selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i0.forwardRef(() => i4.RequiredValidator), selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => i4.FormGroupDirective), selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatError), selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatAutocompleteModule) }, { kind: "component", type: i0.forwardRef(() => i8.MatAutocomplete), selector: "mat-autocomplete", inputs: ["aria-label", "aria-labelledby", "displayWith", "autoActiveFirstOption", "autoSelectActiveOption", "requireSelection", "panelWidth", "disableRipple", "class", "hideSingleSelectionIndicator"], outputs: ["optionSelected", "opened", "closed", "optionActivated"], exportAs: ["matAutocomplete"] }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "directive", type: i0.forwardRef(() => i8.MatAutocompleteTrigger), selector: "input[matAutocomplete], textarea[matAutocomplete]", inputs: ["matAutocomplete", "matAutocompletePosition", "matAutocompleteConnectedTo", "autocomplete", "matAutocompleteDisabled"], exportAs: ["matAutocompleteTrigger"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "ngmodule", type: i0.forwardRef(() => MatCheckboxModule) }, { kind: "component", type: i0.forwardRef(() => i5$3.MatCheckbox), selector: "mat-checkbox", inputs: ["aria-label", "aria-labelledby", "aria-describedby", "id", "required", "labelPosition", "name", "value", "disableRipple", "tabIndex", "color", "disabledInteractive", "checked", "disabled", "indeterminate"], outputs: ["change", "indeterminateChange"], exportAs: ["matCheckbox"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatIconModule) }, { kind: "component", type: i0.forwardRef(() => i2$3.MatIcon), selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatChipsModule) }, { kind: "component", type: i0.forwardRef(() => i11.MatChipGrid), selector: "mat-chip-grid", inputs: ["disabled", "placeholder", "required", "value", "errorStateMatcher"], outputs: ["change", "valueChange"] }, { kind: "directive", type: i0.forwardRef(() => i11.MatChipInput), selector: "input[matChipInputFor]", inputs: ["matChipInputFor", "matChipInputAddOnBlur", "matChipInputSeparatorKeyCodes", "placeholder", "id", "disabled"], outputs: ["matChipInputTokenEnd"], exportAs: ["matChipInput", "matChipInputFor"] }, { kind: "directive", type: i0.forwardRef(() => i11.MatChipRemove), selector: "[matChipRemove]" }, { kind: "component", type: i0.forwardRef(() => i11.MatChipRow), selector: "mat-chip-row, [mat-chip-row], mat-basic-chip-row, [mat-basic-chip-row]", inputs: ["editable"], outputs: ["edited"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiselectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-multiselect', standalone: true, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatInputModule,
                        MatAutocompleteModule,
                        MatOptionModule,
                        MatCheckboxModule,
                        MatIconModule,
                        MatChipsModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<div [formGroup]=\"formGroup$\">\n  <mat-form-field class=\"psdk-full-width\" subscriptSizing=\"dynamic\">\n    <mat-label>{{ label$ }}</mat-label>\n    <mat-chip-grid #chipGrid>\n      <ng-container *ngFor=\"let select of selectedItems\">\n        <mat-chip-row (removed)=\"removeChip(select)\">\n          {{ select.primary }}\n          <button matChipRemove>\n            <mat-icon>cancel</mat-icon>\n          </button>\n        </mat-chip-row>\n      </ng-container>\n    </mat-chip-grid>\n    <input\n      matInput\n      [placeholder]=\"placeholder\"\n      [formControl]=\"fieldControl\"\n      [value]=\"value$\"\n      [required]=\"bRequired$\"\n      [matAutocomplete]=\"auto\"\n      (input)=\"fieldOnChange($event)\"\n      [matChipInputFor]=\"chipGrid\"\n    />\n    <mat-autocomplete #auto=\"matAutocomplete\">\n      <mat-option *ngFor=\"let item of itemsTree\" [value]=\"item.primary\" (click)=\"optionClicked($event, item)\">\n        <mat-checkbox [checked]=\"item.selected\" (click)=\"optionClicked($event, item)\">\n          <span>{{ item.primary }}</span>\n        </mat-checkbox>\n      </mat-option>\n    </mat-autocomplete>\n    <mat-error *ngIf=\"fieldControl.invalid\">{{ getErrorMessage() }}</mat-error>\n  </mat-form-field>\n</div>\n", styles: [".psdk-full-width{width:100%}::ng-deep .mat-mdc-form-field-infix{padding-left:10px}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class NarrowWideFormComponent {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NarrowWideFormComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: NarrowWideFormComponent, isStandalone: true, selector: "app-narrow-wide-form", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-narrow-wide-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-narrow-wide-column{display:flow-root;height:100%}.psdk-narrow-column{float:left;min-width:30%;padding:0rem .3125rem}.psdk-wide-column{float:left;width:70%;padding:0rem .3125rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NarrowWideFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-narrow-wide-form', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-narrow-wide-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-narrow-wide-column{display:flow-root;height:100%}.psdk-narrow-column{float:left;min-width:30%;padding:0rem .3125rem}.psdk-wide-column{float:left;width:70%;padding:0rem .3125rem}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class OneColumnComponent extends FormTemplateBase {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OneColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: OneColumnComponent, isStandalone: true, selector: "app-one-column", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<div *ngFor=\"let kid of arChildren$\">\n  <div *ngIf=\"kid.getPConnect().getRawMetadata()['type'] === 'Region' && kid.getPConnect().getRawMetadata()['name'] === 'A'\">\n    <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n  </div>\n  <div *ngIf=\"kid.getPConnect().getRawMetadata()['type'] === 'View'\">\n    <component-mapper name=\"View\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n  </div>\n  <div *ngIf=\"kid.getPConnect().getRawMetadata()['type'] === 'CaseCreateStage'\">\n    <component-mapper name=\"CaseCreateStage\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OneColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-one-column', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngFor=\"let kid of arChildren$\">\n  <div *ngIf=\"kid.getPConnect().getRawMetadata()['type'] === 'Region' && kid.getPConnect().getRawMetadata()['name'] === 'A'\">\n    <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n  </div>\n  <div *ngIf=\"kid.getPConnect().getRawMetadata()['type'] === 'View'\">\n    <component-mapper name=\"View\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n  </div>\n  <div *ngIf=\"kid.getPConnect().getRawMetadata()['type'] === 'CaseCreateStage'\">\n    <component-mapper name=\"CaseCreateStage\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class OneColumnPageComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OneColumnPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: OneColumnPageComponent, isStandalone: true, selector: "app-one-column-page", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<component-mapper name=\"OneColumn\" [props]=\"{ formGroup$, pConn$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OneColumnPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-one-column-page', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"OneColumn\" [props]=\"{ formGroup$, pConn$ }\"></component-mapper>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class OneColumnTabComponent {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OneColumnTabComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: OneColumnTabComponent, isStandalone: true, selector: "app-one-column-tab", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-one-column-tab\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div [ngSwitch]=\"kid.getPConnect().getComponentName()\">\n      <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <component-mapper *ngSwitchCase=\"'Region'\" name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <div *ngSwitchDefault>Page Missing: {{ kid.getPConnect().getComponentName() }}</div>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-one-column-tab{background-color:var(--app-form-color);margin-top:.5rem;margin-bottom:.5rem;border-radius:.3125rem;padding:10px}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OneColumnTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-one-column-tab', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-one-column-tab\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div [ngSwitch]=\"kid.getPConnect().getComponentName()\">\n      <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <component-mapper *ngSwitchCase=\"'Region'\" name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <div *ngSwitchDefault>Page Missing: {{ kid.getPConnect().getComponentName() }}</div>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-one-column-tab{background-color:var(--app-form-color);margin-top:.5rem;margin-bottom:.5rem;border-radius:.3125rem;padding:10px}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class PageComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        // Used with AngularPConnect
        this.angularPConnectData = {};
    }
    ngOnInit() {
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.arChildren$ = this.pConn$.getChildren();
        this.title$ = this.configProps$.title;
        const operator = this.configProps$.operator;
        if (operator && operator != '') {
            this.title$ += `, ${operator}`;
        }
        // when showing a page, similar to updating root, need to cause viewContainer to call "initContainer"
        sessionStorage.setItem('hasViewContainer', 'false');
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        //    AND removing the "gate" that was put there since shouldComponentUpdate
        //      should be the real "gate"
        if (bUpdateSelf) {
            // turn off spinner
            // this.psService.sendMessage(false);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PageComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PageComponent, isStandalone: true, selector: "app-page", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div class=\"psdk-page-title\">\n  <h2>{{ title$ }}</h2>\n</div>\n<div class=\"page-body\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div [ngSwitch]=\"kid.getPConnect().getComponentName()\">\n      <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <component-mapper *ngSwitchCase=\"'Region'\" name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <div *ngSwitchDefault>Page Missing: {{ kid.getPConnect().getComponentName() }}</div>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-page-title{padding-left:.2rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-page', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-page-title\">\n  <h2>{{ title$ }}</h2>\n</div>\n<div class=\"page-body\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div [ngSwitch]=\"kid.getPConnect().getComponentName()\">\n      <component-mapper *ngSwitchCase=\"'View'\" name=\"View\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <component-mapper *ngSwitchCase=\"'Region'\" name=\"Region\" [props]=\"{ pConn$: kid.getPConnect() }\"></component-mapper>\n      <div *ngSwitchDefault>Page Missing: {{ kid.getPConnect().getComponentName() }}</div>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-page-title{padding-left:.2rem}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

const SUPPORTED_TYPES_IN_PROMOTED_FILTERS = [
    'TextInput',
    'Percentage',
    'Email',
    'Integer',
    'Decimal',
    'Checkbox',
    'DateTime',
    'Date',
    'Time',
    'Text',
    'TextArea',
    'Currency',
    'URL',
    'RichText'
];
class PromotedFiltersComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.parameters = {};
        this.angularPConnectData = {};
        this.localeCategory = 'SimpleTable';
        this.filtersProperties = {};
        this.processedFilters = [];
        this.payload = {};
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.updateSelf();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.filters.forEach(filter => {
            this.filtersProperties[PCore.getAnnotationUtils().getPropertyName(filter.config.value)] = '';
        });
        const filtersWithClassID = { ...this.filtersProperties, classID: this.pageClass };
        this.transientItemID = this.pConn$.getContainerManager().addTransientItem({ id: this.viewName, data: filtersWithClassID });
        this.processedFilters = [];
        this.filters.forEach(filter => {
            const filterClone = { ...filter };
            // convert any field which is not supported to TextInput and delete the placeholder as it may contain placeholder specific to original type.
            if (!SUPPORTED_TYPES_IN_PROMOTED_FILTERS.includes(filterClone.type)) {
                filterClone.type = 'TextInput';
                delete filterClone.config.placeholder;
            }
            filterClone.config.contextName = this.transientItemID;
            filterClone.config.readOnly = false;
            filterClone.config.context = this.transientItemID;
            filterClone.config.localeReference = this.listViewProps.localeReference;
            const c11nEnv = PCore.createPConnect({
                meta: filterClone,
                options: {
                    hasForm: true,
                    contextName: this.transientItemID
                }
            });
            this.processedFilters.push(c11nEnv);
        });
        this.showFilters = true;
    }
    formatPromotedFilters(promotedFilters) {
        return Object.entries(promotedFilters).reduce((acc, [field, value]) => {
            if (value) {
                acc[field] = {
                    lhs: {
                        field
                    },
                    comparator: 'EQ',
                    rhs: {
                        value
                    }
                };
            }
            return acc;
        }, {});
    }
    isValidInput(input) {
        return Object.values(input).findIndex(v => v) >= 0;
    }
    getFilterData() {
        const changes = PCore.getFormUtils().getChanges(this.transientItemID);
        const formValues = {};
        Object.keys(changes).forEach(key => {
            if (!['context_data', 'pageInstructions'].includes(key)) {
                formValues[key] = changes[key];
            }
        });
        const promotedFilters = this.formatPromotedFilters(formValues);
        if (PCore.getFormUtils().isFormValid(this.transientItemID) && this.isValidInput(formValues)) {
            this.showTable = true;
            const Query = {
                dataViewParameters: this.parameters || {}
            };
            if (Object.keys(promotedFilters).length > 0) {
                Query.query = { filter: { filterConditions: promotedFilters } };
            }
            this.payload = Query;
        }
    }
    clearFilterData() {
        PCore.getContainerUtils().clearTransientData(this.transientItemID);
        this.showTable = false;
        this.pConn$?.getListActions?.()?.setSelectedRows([]); // Clear the selection (if any made by user)
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PromotedFiltersComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PromotedFiltersComponent, isStandalone: true, selector: "app-promoted-filters", inputs: { viewName: "viewName", filters: "filters", listViewProps: "listViewProps", pageClass: "pageClass", pConn$: "pConn$", formGroup$: "formGroup$", parameters: "parameters" }, ngImport: i0, template: "<div>\n  <div>{{ listViewProps.title }}</div>\n  <div *ngIf=\"showFilters\" class=\"psdk-grid-filter\">\n    <div *ngFor=\"let kid of processedFilters\">\n      <component-mapper\n        [name]=\"kid.getPConnect().getComponentName()\"\n        [props]=\"{\n          pConn$: kid.getPConnect(),\n          formGroup$: formGroup$\n        }\"\n        errorMsg=\"Promoted filters wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </div>\n\n  <div>\n    <button key=\"1\" type=\"button\" (click)=\"clearFilterData()\" data-testid=\"clear\" mat-raised-button color=\"secondary\">\n      {{ localizedVal('Clear', localeCategory) }}\n    </button>\n    <button style=\"float: 'right'\" key=\"2\" type=\"submit\" (click)=\"getFilterData()\" data-testid=\"search\" mat-raised-button color=\"primary\">\n      {{ localizedVal('Search', localeCategory) }}\n    </button>\n  </div>\n  <div *ngIf=\"showTable\">\n    <component-mapper name=\"ListView\" [props]=\"{ pConn$, payload }\"></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PromotedFiltersComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-promoted-filters', standalone: true, imports: [CommonModule, MatButtonModule, forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <div>{{ listViewProps.title }}</div>\n  <div *ngIf=\"showFilters\" class=\"psdk-grid-filter\">\n    <div *ngFor=\"let kid of processedFilters\">\n      <component-mapper\n        [name]=\"kid.getPConnect().getComponentName()\"\n        [props]=\"{\n          pConn$: kid.getPConnect(),\n          formGroup$: formGroup$\n        }\"\n        errorMsg=\"Promoted filters wants component not yet available: {{ kid.getPConnect().getComponentName() }}\"\n      ></component-mapper>\n    </div>\n  </div>\n\n  <div>\n    <button key=\"1\" type=\"button\" (click)=\"clearFilterData()\" data-testid=\"clear\" mat-raised-button color=\"secondary\">\n      {{ localizedVal('Clear', localeCategory) }}\n    </button>\n    <button style=\"float: 'right'\" key=\"2\" type=\"submit\" (click)=\"getFilterData()\" data-testid=\"search\" mat-raised-button color=\"primary\">\n      {{ localizedVal('Search', localeCategory) }}\n    </button>\n  </div>\n  <div *ngIf=\"showTable\">\n    <component-mapper name=\"ListView\" [props]=\"{ pConn$, payload }\"></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { viewName: [{
                type: Input
            }], filters: [{
                type: Input
            }], listViewProps: [{
                type: Input
            }], pageClass: [{
                type: Input
            }], pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], parameters: [{
                type: Input
            }] } });

const TABLE_CELL = 'SdkRenderer';
const DELETE_ICON = 'DeleteIcon';
// BUG-615253: Workaround for autosize in table with lazy loading components
/* istanbul ignore next */
function getFieldWidth(field, label) {
    let width;
    switch (field.type) {
        case 'Time':
            width = 150;
            break;
        case 'Date':
            width = 160;
            break;
        case 'DateTime':
            width = 205;
            break;
        case 'AutoComplete':
        case 'TextArea':
            width = 190;
            break;
        case 'Currency':
        case 'TextInput':
            width = 182;
            break;
        case 'Checkbox':
            // eslint-disable-next-line no-case-declarations
            const text = document.createElement('span');
            document.body.appendChild(text);
            text.style.fontSize = '13px';
            text.style.position = 'absolute';
            text.innerHTML = label;
            width = Math.ceil(text.clientWidth) + 30;
            document.body.removeChild(text);
            break;
        default:
            width = 180;
    }
    return width;
}
const getContext = thePConn => {
    const contextName = thePConn.getContextName();
    const pageReference = thePConn.getPageReference();
    // 8.7 change = referenceList may now be in top-level of state props,
    //  not always in config of state props
    let { referenceList } = thePConn.getStateProps()?.config || thePConn.getStateProps();
    const pageReferenceForRows = referenceList.startsWith('.') ? `${pageReference}.${referenceList.substring(1)}` : referenceList;
    // removing "caseInfo.content" prefix to avoid setting it as a target while preparing pageInstructions
    referenceList = pageReferenceForRows.replace(PCore.getConstants().CASE_INFO.CASE_INFO_CONTENT, '');
    return {
        contextName,
        referenceListStr: referenceList,
        pageReferenceForRows
    };
};
const populateRowKey = rawData => {
    return rawData.map((row, index) => {
        return { ...row, index };
    });
};
const getApiContext = (processedData, pConnect, reorderCB) => {
    return {
        fetchData: () => {
            return new Promise(resolve => {
                resolve({
                    data: processedData,
                    filteredRecordCount: processedData.length,
                    totalRecordCount: processedData.length
                });
            });
        },
        fetchPersonalizations: () => {
            return Promise.resolve({});
        },
        applyRowReorder: (sourceKey, destinationKey) => {
            // indexes are keys for simple table so, it should work.
            reorderCB();
            return Promise.resolve(pConnect.getListActions().reorder(parseInt(sourceKey, 10), parseInt(destinationKey, 10)));
        }
    };
};
const buildMetaForListView = (fieldMetadata, fields, type, ruleClass, name, propertyLabel, isDataObject, parameters) => {
    return {
        name,
        config: {
            type,
            referenceList: fieldMetadata.datasource.name,
            parameters: parameters ?? fieldMetadata.datasource.parameters,
            personalization: false,
            isDataObject,
            grouping: true,
            globalSearch: true,
            reorderFields: true,
            toggleFieldVisibility: true,
            title: propertyLabel,
            personalizationId: '' /* TODO */,
            template: 'ListView',
            presets: [
                {
                    name: 'presets',
                    template: 'Table',
                    config: {},
                    children: [
                        {
                            name: 'Columns',
                            type: 'Region',
                            children: fields
                        }
                    ],
                    label: propertyLabel,
                    id: 'P_' /* TODO */
                }
            ],
            ruleClass
        }
    };
};
const buildFieldsForTable = (configFields, fields, showDeleteButton) => {
    const fieldDefs = configFields?.map((field, index) => {
        return {
            type: 'text',
            label: fields[index].config.label || fields[index].config.caption,
            fillAvailableSpace: !!field.config.fillAvailableSpace,
            id: `${index}`,
            name: field.config.value.substr(4),
            cellRenderer: TABLE_CELL,
            sort: false,
            noContextMenu: true,
            showMenu: false,
            meta: {
                ...field
            },
            // BUG-615253: Workaround for autosize in table with lazy loading components
            width: getFieldWidth(field, fields[index].config.label)
        };
    });
    // ONLY add DELETE_ICON to fields when the table is requested as EDITABLE
    if (showDeleteButton) {
        fieldDefs.push({
            type: 'text',
            label: '',
            name: DELETE_ICON,
            id: fieldDefs.length,
            cellRenderer: DELETE_ICON,
            sort: false,
            noContextMenu: true,
            showMenu: false,
            // BUG-615253: Workaround for autosize in table with lazy loading components
            width: 46
        });
    }
    return fieldDefs;
};
const createMetaForTable = (fields, renderMode) => {
    return {
        height: {
            minHeight: 'auto',
            fitHeightToElement: 'fitHeightToElement',
            deltaAdjustment: 'deltaAdjustment',
            autoSize: true
        },
        fieldDefs: fields,
        itemKey: 'index',
        grouping: false,
        reorderFields: false,
        reorderItems: renderMode === 'Editable',
        dragHandle: renderMode === 'Editable',
        globalSearch: false,
        personalization: false,
        toggleFieldVisibility: false,
        toolbar: false,
        footer: false,
        filterExpression: null,
        editing: false,
        timezone: PCore.getEnvironmentInfo().getTimeZone()
    };
};
const filterDataByDate = (item, filterObj) => {
    let bKeep;
    let value = item[filterObj.ref] != null || item[filterObj.ref] != '' ? getSeconds(item[filterObj.ref]) : null;
    let filterValue = filterObj.containsFilterValue != null && filterObj.containsFilterValue != '' ? getSeconds(filterObj.containsFilterValue) : null;
    switch (filterObj.containsFilter) {
        case 'notequal':
            // becasue filterValue is in minutes, need to have a range of less than 60 secons
            if (value != null && filterValue != null) {
                // get rid of millisecons
                value /= 1000;
                filterValue /= 1000;
                const diff = value - filterValue;
                if (diff >= 0 && diff < 60) {
                    bKeep = false;
                }
            }
            break;
        case 'after':
            if (value < filterValue) {
                bKeep = false;
            }
            break;
        case 'before':
            if (value > filterValue) {
                bKeep = false;
            }
            break;
        case 'null':
            if (value != null) {
                bKeep = false;
            }
            break;
        case 'notnull':
            if (value == null) {
                bKeep = false;
            }
            break;
        default:
            break;
    }
    return bKeep;
};
const filterDataByCommonFields = (item, filterObj) => {
    let bKeep;
    const value = item[filterObj.ref].toLowerCase();
    const filterValue = filterObj.containsFilterValue.toLowerCase();
    switch (filterObj.containsFilter) {
        case 'contains':
            if (value.indexOf(filterValue) < 0) {
                bKeep = false;
            }
            break;
        case 'equals':
            if (value != filterValue) {
                bKeep = false;
            }
            break;
        case 'startswith':
            if (value.indexOf(filterValue) != 0) {
                bKeep = false;
            }
            break;
        default:
            break;
    }
    return bKeep;
};
/**
 * This method returns a callBack function for Add action.
 * @param {object} pConnect - PConnect object
 * @param {number} index - index of the page list to add
 */
const getAddRowCallback = (pConnect, index) => {
    return () => pConnect.getListActions().insert({}, index);
};
/**
 * This method creates a PConnect object with proper options for Add and Delete actions
 * @param {string} contextName - contextName
 * @param {string} referenceList - referenceList
 * @param {string} pageReference - pageReference
 */
const createPConnect = (contextName, referenceList, pageReference) => {
    const options = {
        context: contextName,
        pageReference,
        referenceList
    };
    // create PConnect object
    const config = { meta: {}, options };
    const { getPConnect } = PCore.createPConnect(config);
    return getPConnect();
};

class SimpleTableComponent {
    constructor(angularPConnect, utils) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.angularPConnectData = {};
        this.bVisible$ = true;
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // Then, continue on with other initialization
        // call checkAndUpdate when initializing
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.visibility != null) {
            // eslint-disable-next-line no-multi-assign
            this.bVisible$ = this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        const { multiRecordDisplayAs } = this.configProps$;
        let { contextClass } = this.configProps$;
        if (!contextClass) {
            let listName = this.pConn$.getComponentConfig().referenceList;
            listName = PCore.getAnnotationUtils().getPropertyName(listName);
            contextClass = this.pConn$.getFieldMetadata(listName)?.pageClass;
        }
        if (multiRecordDisplayAs === 'fieldGroup') {
            this.fieldGroupProps = { ...this.configProps$, contextClass };
        }
        const { label: labelProp, propertyLabel, displayMode, fieldMetadata, hideLabel, parameters, isDataObject, type, ruleClass, authorContext, name } = this.configProps$;
        const label = labelProp || propertyLabel;
        const propsToUse = { label, ...this.pConn$.getInheritedProps() };
        const isDisplayModeEnabled = displayMode === 'DISPLAY_ONLY';
        if (fieldMetadata && fieldMetadata.type === 'Page List' && fieldMetadata.dataRetrievalType === 'refer') {
            const { children: [{ children: rawFields }], parameters: rawParams } = this.pConn$.getRawMetadata().config;
            if (isDisplayModeEnabled && hideLabel) {
                propsToUse.label = '';
            }
            const metaForListView = buildMetaForListView(fieldMetadata, rawFields, type, ruleClass, name, propsToUse.label, isDataObject, parameters // resolved params
            );
            const metaForPConnect = JSON.parse(JSON.stringify(metaForListView));
            // @ts-ignore - PCore.getMetadataUtils().getPropertyMetadata - An argument for 'currentClassID' was not provided.
            metaForPConnect.config.parameters = rawParams ?? PCore.getMetadataUtils().getPropertyMetadata(name)?.datasource?.parameters;
            const { referenceListStr: referenceList } = getContext(this.pConn$);
            let requiredContextForQueryInDisplayMode = {};
            if (isDisplayModeEnabled) {
                requiredContextForQueryInDisplayMode = {
                    referenceList
                };
            }
            const options = {
                context: this.pConn$.getContextName(),
                pageReference: this.pConn$.getPageReference(),
                ...requiredContextForQueryInDisplayMode
            };
            this.refToPConnect = PCore.createPConnect({ meta: metaForPConnect, options }).getPConnect();
            this.listViewProps = {
                ...metaForListView.config,
                displayMode,
                fieldName: authorContext
            };
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SimpleTableComponent, deps: [{ token: AngularPConnectService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SimpleTableComponent, isStandalone: true, selector: "app-simple-table", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<ng-container *ngIf=\"bVisible$\">\n  <div *ngIf=\"fieldGroupProps || listViewProps; else table\">\n    <div *ngIf=\"fieldGroupProps\">\n      <component-mapper name=\"FieldGroupTemplate\" [props]=\"{ configProps$: fieldGroupProps, pConn$, formGroup$ }\"></component-mapper>\n    </div>\n    <div *ngIf=\"listViewProps\">\n      <component-mapper name=\"ListView\" [props]=\"{ pConn$: refToPConnect, payload: listViewProps }\"></component-mapper>\n    </div>\n  </div>\n  <ng-template #table>\n    <component-mapper name=\"SimpleTableManual\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n  </ng-template>\n</ng-container>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SimpleTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-simple-table', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<ng-container *ngIf=\"bVisible$\">\n  <div *ngIf=\"fieldGroupProps || listViewProps; else table\">\n    <div *ngIf=\"fieldGroupProps\">\n      <component-mapper name=\"FieldGroupTemplate\" [props]=\"{ configProps$: fieldGroupProps, pConn$, formGroup$ }\"></component-mapper>\n    </div>\n    <div *ngIf=\"listViewProps\">\n      <component-mapper name=\"ListView\" [props]=\"{ pConn$: refToPConnect, payload: listViewProps }\"></component-mapper>\n    </div>\n  </div>\n  <ng-template #table>\n    <component-mapper name=\"SimpleTableManual\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n  </ng-template>\n</ng-container>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

/* eslint-disable max-classes-per-file */
class Group {
    constructor() {
        this.level = 0;
        this.expanded = true;
        this.totalCounts = 0;
    }
    get visible() {
        return !this.parent || (this.parent.visible && this.parent.expanded);
    }
}
class SimpleTableManualComponent {
    constructor(angularPConnect, utils, dataPageService) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.dataPageService = dataPageService;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.bVisible$ = true;
        this.displayedColumns = [];
        this.originalData = [];
        this.processedFields = [];
        this.fieldDefs = [];
        this.requestedReadOnlyMode = false;
        this.readOnlyMode = false;
        this.prevReferenceList = [];
        this.label = '';
        this.bShowSearch$ = false;
        this.bColumnReorder$ = false;
        this.bGrouping$ = false;
        this.arrowSvgIcon$ = '';
        this.groupByColumns$ = [];
        this.arrowDirection = 'down';
        this.filterByColumns = [];
        this.filterContainsLabel$ = '';
        this.filterContainsType$ = 'contains';
        this.bShowFilterPopover$ = false;
        this.bContains$ = true;
        this.bDateTime$ = false;
        this.bIsDate$ = false;
        this.bIsDateTime$ = false;
        this.bIsTime$ = false;
        this.arFilterMainButtons$ = [];
        this.arFilterSecondaryButtons$ = [];
        this.allowEditingInModal = false;
        this.isInitialized = false;
    }
    ngOnInit() {
        this.isInitialized = true;
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.configProps$ = this.pConn$.getConfigProps();
        // Then, continue on with other initialization
        this.menuIconOverride$ = this.utils.getImageSrc('trash', this.utils.getSDKStaticContentUrl());
        // call checkAndUpdate when initializing
        this.checkAndUpdate();
        this.filterSvgIcon$ = this.utils.getImageSrc('filter', this.utils.getSDKStaticContentUrl());
        this.filterOnSvgIcon$ = this.utils.getImageSrc('filter-on', this.utils.getSDKStaticContentUrl());
        this.groupBySvgIcon$ = this.utils.getImageSrc('row', this.utils.getSDKStaticContentUrl());
        this.bGrouping$ = this.utils.getBooleanValue(this.configProps$.grouping);
        this.menuSvgIcon$ = this.utils.getImageSrc('more', this.utils.getSDKStaticContentUrl());
        this.arFilterMainButtons$.push({ actionID: 'submit', jsAction: 'submit', name: 'Submit' });
        this.arFilterSecondaryButtons$.push({ actionID: 'cancel', jsAction: 'cancel', name: 'Cancel' });
        this.searchIcon$ = this.utils.getImageSrc('search', this.utils.getSDKStaticContentUrl());
        this.settingsSvgIcon$ = this.utils.getImageSrc('more', this.utils.getSDKStaticContentUrl());
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // updateSelf
    updateSelf() {
        // moved this from ngOnInit() and call this from there instead...
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        if (this.configProps$.visibility != null) {
            // eslint-disable-next-line no-multi-assign
            this.bVisible$ = this.bVisible$ = this.utils.getBooleanValue(this.configProps$.visibility);
        }
        // NOTE: getConfigProps() has each child.config with datasource and value undefined
        //  but getRawMetadata() has each child.config with datasource and value showing their unresolved values (ex: "@P thePropName")
        //  We need to use the prop name as the "glue" to tie the Angular Material table dataSource, displayColumns and data together.
        //  So, in the code below, we'll use the unresolved config.value (but replacing the space with an underscore to keep things happy)
        const rawMetadata = this.pConn$.getRawMetadata();
        // Adapted from Nebula
        const { referenceList = [], // if referenceList not in configProps$, default to empy list
        renderMode, children, // destructure children into an array var: "resolvedFields"
        presets, allowTableEdit, label: labelProp, propertyLabel, fieldMetadata, editMode, addAndEditRowsWithin, viewForAddAndEditModal, editModeConfig, displayMode, useSeparateViewForEdit, viewForEditModal, targetClassLabel } = this.configProps$;
        this.referenceListStr = getContext(this.pConn$).referenceListStr;
        this.label = labelProp || propertyLabel;
        this.parameters = fieldMetadata?.datasource?.parameters;
        this.targetClassLabel = targetClassLabel;
        const hideAddRow = allowTableEdit === false;
        const hideDeleteRow = allowTableEdit === false;
        let { contextClass } = this.configProps$;
        this.referenceList = referenceList;
        if (!contextClass) {
            let listName = this.pConn$.getComponentConfig().referenceList;
            listName = PCore.getAnnotationUtils().getPropertyName(listName);
            contextClass = this.pConn$.getFieldMetadata(listName)?.pageClass;
        }
        this.contextClass = contextClass;
        const resolvedFields = children?.[0]?.children || presets?.[0].children?.[0].children;
        // get raw config as @P and other annotations are processed and don't appear in the resolved config.
        //  Destructure "raw" children into array var: "rawFields"
        //  NOTE: when config.listType == "associated", the property can be found in either
        //    config.value (ex: "@P .DeclarantChoice") or
        //    config.datasource (ex: "@ASSOCIATED .DeclarantChoice")
        //  Neither of these appear in the resolved (this.configProps$)
        const rawConfig = rawMetadata?.config;
        const rawFields = rawConfig?.children?.[0]?.children || rawConfig?.presets?.[0].children?.[0]?.children;
        this.rawFields = rawFields;
        // At this point, fields has resolvedFields and rawFields we can use
        // start of from Nebula
        // get context name and referenceList which will be used to prepare config of PConnect
        // const { contextName, referenceListStr, pageReferenceForRows } = getContext(this.pConn$);
        const resolvedList = getReferenceList(this.pConn$);
        this.pageReference = `${this.pConn$.getPageReference()}${resolvedList}`;
        this.pConn$.setReferenceList(resolvedList);
        // This gives up the "properties" we need to map to row/column values later
        // const processedData = populateRowKey(referenceList);
        this.requestedReadOnlyMode = renderMode === 'ReadOnly';
        this.readOnlyMode = renderMode === 'ReadOnly';
        this.editableMode = renderMode === 'Editable';
        const isDisplayModeEnabled = displayMode === 'DISPLAY_ONLY';
        this.showAddRowButton = !this.readOnlyMode && !hideAddRow;
        this.allowEditingInModal =
            (editMode ? editMode === 'modal' : addAndEditRowsWithin === 'modal') && !(renderMode === 'ReadOnly' || isDisplayModeEnabled);
        const showDeleteButton = this.editableMode && !hideDeleteRow;
        this.defaultView = editModeConfig ? editModeConfig.defaultView : viewForAddAndEditModal;
        this.bUseSeparateViewForEdit = editModeConfig ? editModeConfig.useSeparateViewForEdit : useSeparateViewForEdit;
        this.editView = editModeConfig ? editModeConfig.editView : viewForEditModal;
        // const showDeleteButton = !this.readOnlyMode && !hideDeleteRow;
        // Nebula has other handling for isReadOnlyMode but has Cosmos-specific code
        //  so ignoring that for now...
        // fieldDefs will be an array where each entry will have a "name" which will be the
        //  "resolved" property name (that we can use as the colId) though it's not really
        //  resolved. The buildFieldsForTable helper just removes the "@P " (which is what
        //  Nebula does). It will also have the "label", and "meta" contains the original,
        //  unchanged config info. For now, much of the info here is carried over from
        //  Nebula and we may not end up using it all.
        this.fieldDefs = buildFieldsForTable(rawFields, resolvedFields, showDeleteButton);
        this.initializeDefaultPageInstructions();
        // end of from Nebula
        // Here, we use the "name" field in fieldDefs since that has the assoicated property
        //  (if one exists for the field). If no "name", use "cellRenderer" (typically get DELETE_ICON)
        //  for our columns.
        this.displayedColumns = this.fieldDefs?.map(field => {
            return field.name ? field.name : field.cellRenderer;
        });
        // And now we can process the resolvedFields to add in the "name"
        //  from from the fieldDefs. This "name" is the value that
        //  we'll share to connect things together in the table.
        this.processedFields = [];
        this.processedFields = resolvedFields.map((field, i) => {
            field.config.name = this.displayedColumns[i]; // .config["value"].replace(/ ./g,"_");   // replace space dot with underscore
            return field;
        });
        // for adding rows to table when editable and not modal view
        if (this.prevReferenceList.length !== this.referenceList.length && this.editableMode && !this.allowEditingInModal) {
            this.buildElementsForTable();
        }
        // for edit and adding rows in modal view and to generate readonly list
        if (!isEqual(this.prevReferenceList, this.referenceList) && (this.readOnlyMode || this.allowEditingInModal)) {
            this.generateRowsData();
        }
        this.prevReferenceList = this.referenceList;
        // These are the data structures referred to in the html file.
        //  These are the relationships that make the table work
        //  displayedColumns: key/value pairs where key is order of column and
        //    value is the property shown in that column. Ex: 1: "FirstName"
        //  processedFields: key/value pairs where each key is order of column
        //    and each value is an object of more detailed information about that
        //    column.
        //  rowData: array of each row's key/value pairs. Inside each row,
        //    each key is an entry in displayedColumns: ex: "FirstName": "Charles"
        //    Ex: { 1: {config: {label: "First Name", readOnly: true: name: "FirstName"}}, type: "TextInput" }
        //    The "type" indicates the type of component that should be used for editing (when editing is enabled)
        //
        //  Note that the "property" shown in the column ("FirstName" in the above examples) is what
        //  ties the 3 data structures together.
    }
    initializeDefaultPageInstructions() {
        if (this.isInitialized) {
            this.isInitialized = false;
            if (this.allowEditingInModal) {
                this.pConn$.getListActions().initDefaultPageInstructions(this.pConn$.getReferenceList(), this.fieldDefs.filter(item => item.name).map(item => item.name));
            }
            else {
                // @ts-ignore - An argument for 'propertyNames' was not provided.
                this.pConn$.getListActions().initDefaultPageInstructions(this.pConn$.getReferenceList());
            }
        }
    }
    getResultsText() {
        const recordsCount = this.readOnlyMode ? this.rowData?.data.length : this.referenceList?.length;
        return `${recordsCount || 0} result${recordsCount > 1 ? 's' : ''}`;
    }
    sortCompare(a, b) {
        let aValue = a[this.compareRef];
        let bValue = b[this.compareRef];
        if (this.compareType == 'Date' || this.compareType == 'DateTime') {
            aValue = getSeconds(aValue);
            bValue = getSeconds(bValue);
        }
        if (this.compareRef == 'pxRefObjectInsName') {
            const result = this.compareByColumnPxRefObjectInsName(aValue, bValue);
            if (result !== undefined) {
                return result;
            }
        }
        //
        switch (this.arrowDirection) {
            case 'up':
                if (!aValue || aValue < bValue) {
                    return -1;
                }
                if (!bValue || aValue > bValue) {
                    return 1;
                }
                break;
            case 'down':
                if (!bValue || aValue > bValue) {
                    return -1;
                }
                if (!aValue || aValue < bValue) {
                    return 1;
                }
                break;
            default:
                break;
        }
        return 0;
    }
    compareByColumnPxRefObjectInsName(aValue, bValue) {
        const prefixX = aValue.split('-');
        const prefixY = bValue.split('-');
        switch (this.arrowDirection) {
            case 'up':
                if (prefixX[0] !== prefixY[0]) {
                    if (prefixX[0] < prefixY[0])
                        return -1;
                    if (prefixX[0] > prefixY[0])
                        return 1;
                    return 0;
                }
                return prefixX[1] - prefixY[1];
            case 'down':
                if (prefixX[0] !== prefixY[0]) {
                    if (prefixX[0] > prefixY[0])
                        return -1;
                    if (prefixX[0] < prefixY[0])
                        return 1;
                    return 0;
                }
                return prefixY[1] - prefixX[1];
            default:
                break;
        }
        return undefined;
    }
    updateFilterDisplay(type) {
        switch (type) {
            case 'Date':
                this.filterContainsType$ = 'notequal';
                this.bContains$ = false;
                this.bDateTime$ = true;
                this.bIsDate$ = true;
                this.bIsDateTime$ = false;
                this.bIsTime$ = false;
                break;
            case 'DateTime':
                this.filterContainsType$ = 'notequal';
                this.bContains$ = false;
                this.bDateTime$ = true;
                this.bIsDate$ = false;
                this.bIsDateTime$ = true;
                this.bIsTime$ = false;
                break;
            case 'Time':
                this.filterContainsType$ = 'notequal';
                this.bContains$ = false;
                this.bDateTime$ = true;
                this.bIsDate$ = false;
                this.bIsDateTime$ = false;
                this.bIsTime$ = true;
                break;
            default:
                this.filterContainsType$ = 'contains';
                this.bContains$ = true;
                this.bDateTime$ = false;
                this.bIsDate$ = false;
                this.bIsDateTime$ = false;
                this.bIsTime$ = false;
                break;
        }
    }
    _filter(event, columnData) {
        // add clickAway listener
        window.addEventListener('mouseup', this._clickAway.bind(this));
        this.currentFilterRefData = columnData;
        this.filterContainsLabel$ = columnData.config.label;
        setTimeout(() => {
            this.updateFilterDisplay(columnData.type);
            this.updateFilterVarsWithCurrent(columnData);
            this.bShowFilterPopover$ = true;
        });
    }
    _clickAway(event) {
        let bInPopUp = false;
        // run through list of elements in path, if menu not in th path, then want to
        // hide (toggle) the menu
        const eventPath = event.path;
        for (let eventIndex = 0; eventIndex < eventPath.length; eventIndex++) {
            if (eventPath[eventIndex].className == 'psdk-modal-file-top' ||
                eventPath[eventIndex].tagName == 'BUTTON' ||
                eventPath[eventIndex].tagName == 'MAT-OPTION' ||
                eventPath[eventIndex].tagName == 'MAT-INPUT') {
                bInPopUp = true;
                break;
            }
        }
        if (!bInPopUp) {
            // this.bShowFilterPopover$ = false;
            window.removeEventListener('mouseup', this._clickAway.bind(this));
        }
    }
    _filterContainsType(event) {
        this.filterContainsType$ = event.value;
    }
    _filterContainsValue(event) {
        this.filterContainsValue$ = event.target.value;
    }
    _filterContainsDateValue(event, value) {
        this.filterContainsValue$ = value;
    }
    _filterContainsDateTimeValue(event) {
        this.filterContainsValue$ = event.target.value;
    }
    _filterContainsTimeValue(event) {
        this.filterContainsValue$ = event.target.value;
    }
    _onFilterActionButtonClick(event) {
        // modal buttons
        switch (event.action) {
            case 'cancel':
                this.currentFilterRefData = [];
                break;
            case 'submit':
                this.updateFilterWithInfo();
                this.filterSortGroupBy();
                break;
            default:
                break;
        }
        this.bShowFilterPopover$ = false;
        window.removeEventListener('mouseup', this._clickAway.bind(this));
    }
    updateFilterWithInfo() {
        let bFound = false;
        for (const filterObj of this.filterByColumns) {
            if (filterObj.ref === this.currentFilterRefData.config.name) {
                filterObj.type = this.currentFilterRefData.type;
                filterObj.containsFilter = this.filterContainsType$;
                filterObj.containsFilterValue = this.filterContainsValue$;
                bFound = true;
                break;
            }
        }
        if (!bFound) {
            // add in
            const filterObj = {};
            filterObj.ref = this.currentFilterRefData.config.name;
            filterObj.type = this.currentFilterRefData.type;
            filterObj.containsFilter = this.filterContainsType$;
            filterObj.containsFilterValue = this.filterContainsValue$;
            this.filterByColumns.push(filterObj);
        }
        // iterate through filters and update filterOn icon
        for (const filterObj of this.filterByColumns) {
            const containsFilterValue = filterObj.containsFilterValue;
            const containsFilter = filterObj.containsFilter;
            const filterRef = filterObj.ref;
            const filterIndex = this.displayedColumns.indexOf(filterRef);
            const arFilterImg = document.getElementsByName('filterOnIcon');
            const filterImg = arFilterImg[filterIndex];
            if (containsFilterValue == '' && containsFilter != 'null' && containsFilter != 'notnull') {
                // clear icon
                filterImg.src = '';
            }
            else {
                // show icon
                filterImg.src = this.filterOnSvgIcon$;
            }
        }
    }
    updateFilterVarsWithCurrent(columnData) {
        // find current ref, if exists, move data to variable to display
        let bFound = false;
        for (const filterObj of this.filterByColumns) {
            if (filterObj.ref === this.currentFilterRefData.config.name) {
                this.filterContainsType$ = filterObj.containsFilter;
                this.filterContainsValue$ = filterObj.containsFilterValue;
                bFound = true;
                break;
            }
        }
        if (!bFound) {
            switch (columnData.type) {
                case 'Date':
                case 'DateTime':
                case 'Time':
                    this.filterContainsType$ = 'notequal';
                    break;
                default:
                    this.filterContainsType$ = 'contains';
                    break;
            }
            this.filterContainsValue$ = '';
        }
    }
    filterData(item) {
        let bKeep = true;
        for (const filterObj of this.filterByColumns) {
            if (filterObj.containsFilterValue != '' || filterObj.containsFilter == 'null' || filterObj.containsFilter == 'notnull') {
                switch (filterObj.type) {
                    case 'Date':
                    case 'DateTime':
                    case 'Time':
                        bKeep = filterDataByDate(item, filterObj);
                        break;
                    default:
                        bKeep = filterDataByCommonFields(item, filterObj);
                        break;
                }
            }
            // if don't keep stop filtering
            if (!bKeep) {
                break;
            }
        }
        return bKeep;
    }
    filterSortGroupBy() {
        let theData = this.originalData.slice();
        // last filter config data is global
        theData = theData.filter(this.filterData.bind(this));
        // last sort config data is global
        theData.sort(this.sortCompare.bind(this));
        this.rowData.data = theData;
    }
    _headerSortClick(event, columnData) {
        // images 0 - filter, 1 - arrow, 2 - more
        /** Commenting this code for now as it is giving errors not sure if it ever worked */
        // let arrowImage = event.srcElement.getElementsByTagName('img')[1];
        // let arrowAttr = arrowImage.getAttribute('arrow');
        // this.clearOutArrows(event, columnData);
        // switch (arrowAttr) {
        //   case 'up':
        //     arrowImage.src = this.arrowDownSvgIcon$;
        //     arrowImage.setAttribute('arrow', 'down');
        //     break;
        //   case 'down':
        //     arrowImage.src = '';
        //     arrowImage.setAttribute('arrow', 'none');
        //     break;
        //   default:
        //     arrowImage.src = this.arrowUpSvgIcon$;
        //     arrowImage.setAttribute('arrow', 'up');
        //     break;
        // }
        this.compareType = columnData.type;
        this.compareRef = columnData.config.name;
        // this.arrowDirection = arrowImage.getAttribute('arrow');
        this.arrowDirection = this.arrowDirection === 'up' ? 'down' : 'up';
        this.filterSortGroupBy();
    }
    _showUnGroupBy(columnData) {
        for (const val of this.groupByColumns$) {
            if (val == columnData.config.name) {
                return true;
            }
        }
        return false;
    }
    _groupBy(event, columnData) {
        this.checkGroupByColumn(columnData.config.name, true);
        this.filterSortGroupBy();
    }
    _unGroupBy(event, columnData) {
        // event.stopPropagation();
        this.checkGroupByColumn(columnData.config.name, false);
        this.filterSortGroupBy();
    }
    checkGroupByColumn(field, add) {
        let found = null;
        for (const column of this.groupByColumns$) {
            if (column === field) {
                found = this.groupByColumns$.indexOf(column, 0);
            }
        }
        if (found != null && found >= 0) {
            if (!add) {
                this.groupByColumns$.splice(found, 1);
            }
        }
        else if (add) {
            this.groupByColumns$.push(field);
        }
    }
    _getGroupName(fieldName) {
        for (let fieldIndex = 0; fieldIndex < this.fields$.length; fieldIndex++) {
            const field = this.fields$[fieldIndex];
            if (field.config.name == fieldName) {
                return field.config.label;
            }
        }
        return '';
    }
    addGroups(data, groupByColumns) {
        const rootGroup = new Group();
        rootGroup.expanded = true;
        return this.getSublevel(data, 0, groupByColumns, rootGroup);
    }
    getSublevel(data, level, groupByColumns, parent) {
        if (level >= groupByColumns.length) {
            return data;
        }
        const groups = this.uniqueBy(data.map(row => {
            const result = new Group();
            result.level = level + 1;
            result.parent = parent;
            for (let i = 0; i <= level; i++) {
                result[groupByColumns[i]] = row[groupByColumns[i]];
            }
            return result;
        }), JSON.stringify);
        const currentColumn = groupByColumns[level];
        let subGroups = [];
        groups.forEach(group => {
            const rowsInGroup = data.filter(row => group[currentColumn] === row[currentColumn]);
            group.totalCounts = rowsInGroup.length;
            const subGroup = this.getSublevel(rowsInGroup, level + 1, groupByColumns, group);
            subGroup.unshift(group);
            subGroups = subGroups.concat(subGroup);
        });
        return subGroups;
    }
    uniqueBy(a, key) {
        const seen = {};
        return a.filter(item => {
            const k = key(item);
            // eslint-disable-next-line no-return-assign, no-prototype-builtins
            return seen.hasOwnProperty(k) ? false : (seen[k] = true);
        });
    }
    isGroup(index, item) {
        return item.level;
    }
    _groupHeaderClick(row) {
        row.expanded = !row.expanded;
        // this.repeatList$.filter = "";
        this.perfFilter = performance.now().toString();
        this.rowData.filter = this.perfFilter;
    }
    // below is for grid row grouping
    customFilterPredicate(data, filter) {
        return data instanceof Group ? data.visible : this.getDataRowVisibleWithFilter(data, filter);
    }
    getDataRowVisible(data) {
        const groupRows = this.rowData.data.filter(row => {
            if (!(row instanceof Group)) {
                return false;
            }
            let match = true;
            this.groupByColumns$.forEach(column => {
                if (!row[column] || !data[column] || row[column] !== data[column]) {
                    match = false;
                }
            });
            return match;
        });
        if (groupRows.length === 0) {
            return true;
        }
        const parent = groupRows[0];
        return parent.visible && parent.expanded;
    }
    getDataRowVisibleWithFilter(data, filter) {
        // fist check if row is visible with grouping
        let bVisible = this.getDataRowVisible(data);
        if (bVisible && filter && filter != '' && filter != this.perfFilter) {
            // now check if row is filtered.
            // assume not there unless we find it
            bVisible = false;
            for (const col of this.displayedColumns) {
                // filter is lower case
                if (data[col] && data[col].toString().toLowerCase().indexOf(filter) >= 0) {
                    bVisible = true;
                    break;
                }
            }
        }
        return bVisible;
    }
    getDisplayColumns(fields = []) {
        return fields.map((field) => {
            let theField = field.config.value.substring(field.config.value.indexOf(' ') + 1);
            if (theField.indexOf('.') == 0) {
                theField = theField.substring(1);
            }
            return theField;
        });
    }
    _getIconStyle(level) {
        let sReturn = '';
        let nLevel = parseInt(level, 10);
        nLevel--;
        nLevel *= 15;
        sReturn = `padding-left: ${nLevel}px; vertical-align: middle`;
        return sReturn;
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    // return the value that should be shown as the contents for the given row data
    //  of the given row field
    getRowValue(inRowData, inColKey) {
        // See what data (if any) we have to display
        const refKeys = inColKey.split('.');
        let valBuilder = inRowData;
        for (const key of refKeys) {
            valBuilder = valBuilder[key];
        }
        return valBuilder;
    }
    generateRowsData() {
        const { dataPageName, referenceList } = this.configProps$;
        const context = this.pConn$.getContextName();
        // if dataPageName property value exists then make a datapage fetch call and get the list of data.
        if (dataPageName) {
            this.dataPageService.getDataPageData(dataPageName, this.parameters, context).then(listData => {
                const data = this.formatRowsData(listData);
                this.originalData = data;
                this.rowData = new MatTableDataSource(data);
            });
        }
        else {
            // The referenceList prop has the JSON data for each row to be displayed
            //  in the table. So, iterate over referenceList to create the dataRows that
            //  we're using as the table's dataSource
            const data = this.formatRowsData(referenceList);
            this.originalData = data;
            this.rowData = new MatTableDataSource(data);
        }
    }
    formatRowsData(data) {
        return data?.map(item => {
            return this.displayedColumns.reduce((dataForRow, colKey) => {
                dataForRow[colKey] = this.getRowValue(item, colKey);
                return dataForRow;
            }, {});
        });
    }
    addRecord() {
        if (this.allowEditingInModal && this.defaultView) {
            this.pConn$
                .getActionsApi()
                .openEmbeddedDataModal(this.defaultView, this.pConn$, this.referenceListStr, this.referenceList.length, PCore.getConstants().RESOURCE_STATUS.CREATE, this.targetClassLabel);
        }
        else {
            this.pConn$.getListActions().insert({ classID: this.contextClass }, this.referenceList.length);
        }
        this.pConn$.clearErrorMessages({
            property: this.pConn$.getStateProps()?.referenceList?.substring(1)
        });
    }
    editRecord(data, index) {
        if (data) {
            this.pConn$
                .getActionsApi()
                .openEmbeddedDataModal(this.bUseSeparateViewForEdit ? this.editView : this.defaultView, this.pConn$, this.referenceListStr, index, PCore.getConstants().RESOURCE_STATUS.UPDATE, this.targetClassLabel);
        }
    }
    deleteRecord(index) {
        this.pConn$.getListActions().deleteEntry(index);
    }
    buildElementsForTable() {
        const context = this.pConn$.getContextName();
        const eleData = [];
        this.referenceList.forEach((element, index) => {
            const data = [];
            this.rawFields?.forEach(item => {
                const referenceListData = getReferenceList(this.pConn$);
                const isDatapage = referenceListData.startsWith('D_');
                const pageReferenceValue = isDatapage ? `${referenceListData}[${index}]` : `${this.pConn$.getPageReference()}${referenceListData}[${index}]`;
                const config = {
                    meta: item,
                    options: {
                        context,
                        pageReference: pageReferenceValue,
                        referenceList: referenceListData,
                        hasForm: true
                    }
                };
                const view = PCore.createPConnect(config);
                data.push(view);
            });
            eleData.push(data);
        });
        this.elementsData = eleData;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SimpleTableManualComponent, deps: [{ token: AngularPConnectService }, { token: Utils }, { token: DatapageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SimpleTableManualComponent, isStandalone: true, selector: "app-simple-table-manual", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, viewQueries: [{ propertyName: "sort", first: true, predicate: MatSort, descendants: true }], ngImport: i0, template: "<ng-container *ngIf=\"bVisible$\">\n  <div class=\"simple-table-wrapper\">\n    <h3 *ngIf=\"label\" className=\"label\" style=\"font-weight: bold\">\n      {{ label }} <span class=\"results-count\">{{ getResultsText() }}</span>\n    </h3>\n    <table *ngIf=\"readOnlyMode || allowEditingInModal\" mat-table [dataSource]=\"rowData\" class=\"mat-elevation-z8\" id=\"readonly-table\" matSort>\n      <ng-container *ngFor=\"let dCol of processedFields\" [matColumnDef]=\"dCol.config.name\">\n        <th mat-header-cell *matHeaderCellDef mat-sort-header (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\">\n          <div>{{ dCol.config.label }}</div>\n          <div class=\"psdk-mat-header-filter\">\n            <img class=\"psdk-filter-svg-icon\" name=\"filterOnIcon\" />\n          </div>\n          <div (click)=\"$event.stopPropagation()\">\n            <button mat-icon-button [matMenuTriggerFor]=\"groupMenu\">\n              <img class=\"psdk-list-view-svg-icon\" src=\"{{ menuSvgIcon$ }}\" />\n            </button>\n            <mat-menu #groupMenu>\n              <button mat-menu-item (click)=\"_groupBy($event, dCol)\">\n                <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Group By</span>\n              </button>\n              <button *ngIf=\"_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_unGroupBy($event, dCol)\">\n                <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Ungroup</span>\n              </button>\n              <button mat-menu-item (click)=\"_filter($event, dCol)\">\n                <img class=\"psdk-list-view-svg-icon\" src=\"{{ filterSvgIcon$ }}\" /><span>Filter</span>\n              </button>\n            </mat-menu>\n          </div>\n        </th>\n        <td mat-cell *matCellDef=\"let element\">{{ element[dCol.config.name] || '---' }}</td>\n      </ng-container>\n      <ng-container matColumnDef=\"DeleteIcon\">\n        <div *ngIf=\"allowEditingInModal\">\n          <th mat-header-cell *matHeaderCellDef></th>\n          <td mat-cell *matCellDef=\"let element; index as j\">\n            <div class=\"header-icon\">\n              <button mat-icon-button [matMenuTriggerFor]=\"utilityMenu\">\n                <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n              </button>\n              <mat-menu #utilityMenu=\"matMenu\" overlapTrigger=\"false\">\n                <button mat-menu-item (click)=\"editRecord(element, j)\">Edit</button>\n                <button mat-menu-item (click)=\"deleteRecord(j)\">Delete</button>\n              </mat-menu>\n            </div>\n          </td>\n        </div>\n      </ng-container>\n      <tr mat-header-row *matHeaderRowDef=\"displayedColumns\"></tr>\n      <tr mat-row *matRowDef=\"let row; columns: displayedColumns\"></tr>\n    </table>\n    <table *ngIf=\"editableMode && !allowEditingInModal\" mat-table [dataSource]=\"elementsData\" class=\"mat-elevation-z8\" id=\"editable-table\">\n      <ng-container *ngFor=\"let dCol of fieldDefs; let i = index\">\n        <ng-container *ngIf=\"dCol.name != 'DeleteIcon'\" [matColumnDef]=\"dCol.name\">\n          <th mat-header-cell *matHeaderCellDef class=\"psdk-mat-header\">{{ dCol.label }}</th>\n          <td mat-cell *matCellDef=\"let element\">\n            <component-mapper\n              [name]=\"element[i].getPConnect().getComponentName()\"\n              [props]=\"{\n                pConn$: element[i].getPConnect(),\n                formGroup$: formGroup$\n              }\"\n              errorMsg=\"Table wants component not yet available: {{ element[i].getPConnect().getComponentName() }}\"\n            ></component-mapper>\n          </td>\n        </ng-container>\n      </ng-container>\n      <ng-container matColumnDef=\"DeleteIcon\">\n        <th mat-header-cell *matHeaderCellDef></th>\n        <td mat-cell *matCellDef=\"let element; index as j\">\n          <button id=\"delete-button\" mat-icon-button (click)=\"deleteRecord(j)\">\n            <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ menuIconOverride$ }}\" />\n          </button>\n        </td>\n      </ng-container>\n      <tr mat-header-row *matHeaderRowDef=\"displayedColumns\"></tr>\n      <tr mat-row *matRowDef=\"let row; columns: displayedColumns\"></tr>\n    </table>\n    <div class=\"psdk-no-records\" id=\"no-records\" *ngIf=\"editableMode && referenceList?.length === 0\">No Records Found.</div>\n    <div class=\"psdk-no-records\" id=\"no-records\" *ngIf=\"readOnlyMode && rowData?.data?.length === 0\">No Records Found.</div>\n  </div>\n  <button *ngIf=\"showAddRowButton\" mat-button color=\"primary\" style=\"font-size: 16px\" (click)=\"addRecord()\">+ Add</button>\n</ng-container>\n\n<!-- pop overs for filters-->\n<div *ngIf=\"bShowFilterPopover$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-file-top\">\n    <h4>\n      Filter:<b> {{ filterContainsLabel$ }}</b>\n    </h4>\n    <div *ngIf=\"bContains$\">\n      <mat-form-field class=\"psdk-full-width\">\n        <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n          <mat-option value=\"contains\">Contains</mat-option>\n          <mat-option value=\"equals\">Equals</mat-option>\n          <mat-option value=\"startswith\">Starts with</mat-option>\n        </mat-select>\n      </mat-form-field>\n\n      <mat-form-field class=\"psdk-full-width\">\n        <input matInput type=\"text\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsValue($event)\" />\n      </mat-form-field>\n    </div>\n\n    <div *ngIf=\"bDateTime$\">\n      <mat-form-field class=\"psdk-full-width\">\n        <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n          <mat-option value=\"notequal\">is not equal to</mat-option>\n          <mat-option value=\"after\">after</mat-option>\n          <mat-option value=\"before\">before</mat-option>\n          <mat-option value=\"null\">is null</mat-option>\n          <mat-option value=\"notnull\">is not null</mat-option>\n        </mat-select>\n      </mat-form-field>\n\n      <mat-form-field *ngIf=\"bIsDate$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n        <mat-label>Date</mat-label>\n        <input\n          matInput\n          #dateInput\n          [matDatepicker]=\"pegadate\"\n          type=\"text\"\n          [value]=\"filterContainsValue$\"\n          (dateChange)=\"_filterContainsDateValue($event, dateInput.value)\"\n        />\n        <mat-datepicker-toggle matSuffix [for]=\"pegadate\"></mat-datepicker-toggle>\n        <mat-datepicker #pegadate [startAt]=\"filterContainsValue$\"></mat-datepicker>\n      </mat-form-field>\n\n      <mat-form-field *ngIf=\"bIsDateTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n        <mat-label>Date time</mat-label>\n        <input matInput type=\"datetime-local\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsDateTimeValue($event)\" />\n      </mat-form-field>\n\n      <mat-form-field *ngIf=\"bIsTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n        <mat-label>Time</mat-label>\n        <input matInput type=\"time\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsTimeValue($event)\" />\n      </mat-form-field>\n    </div>\n\n    <component-mapper\n      name=\"ActionButtons\"\n      [props]=\"{ arMainButtons$: arFilterMainButtons$, arSecondaryButtons$: arFilterSecondaryButtons$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: _onFilterActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".simple-table-wrapper{width:100%;margin-top:.5rem;margin-bottom:.5rem;overflow-y:auto}table{width:100%}::ng-deep .mat-sort-header-content{white-space:normal}::ng-deep td.mat-mdc-cell{white-space:normal}::ng-deep th.mat-mdc-header-cell,td.mat-mdc-cell,td.mat-mdc-footer-cell{border-right:1px solid var(--app-neutral-light-color);padding:8px!important}::ng-deep .mat-mdc-button{padding:0;text-align:left}.mat-mdc-icon-button{width:fit-content}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-mat-header{white-space:normal;padding-right:5px}.psdk-mat-header-button{display:inline-grid}.psdk-mat-header-arrow,.psdk-mat-header-filter{display:inline-grid;vertical-align:middle}.psdk-full-width{width:100%}.psdk-search{padding-left:.625rem}.psdk-icon-search{vertical-align:sub;padding:0rem .125rem;min-width:unset;width:1.1rem}.psdk-outer-div-in-form{display:inline-grid}.psdk-inner-div-in-form{height:auto;position:relative;width:100%;overflow:auto;max-height:550px;min-height:auto}.psdk-list-view-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-filter-svg-icon,.psdk-arrow-svg-icon{width:1rem;display:inline-block;vertical-align:middle;filter:var(--app-neutral-color-filter)}.psdk-filter-popover{display:table;margin:auto;min-width:100px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color);position:absolute;z-index:99}.psdk-dialog-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:999;top:0;left:0}.psdk-modal-file-top{display:table;margin:auto;min-width:150px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}tr.mat-mdc-row{cursor:pointer}tr.mat-mdc-header-row{background:var(--app-table-header-background-color)}.psdk-data-readonly{margin-top:.625rem;width:100%}.psdk-no-records{height:56px;justify-content:center;display:flex;align-items:center;border:1px solid var(--app-neutral-light-color);border-top:none;background:var(--app-form-color)}.psdk-utility-card-action-svg-icon{width:1.4rem}.label{margin:8px}.results-count{opacity:.7;font-size:.8rem;font-weight:700;margin-inline-start:.625rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatTableModule) }, { kind: "component", type: i0.forwardRef(() => i6$2.MatTable), selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatHeaderCellDef), selector: "[matHeaderCellDef]" }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatHeaderRowDef), selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatColumnDef), selector: "[matColumnDef]", inputs: ["matColumnDef"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatCellDef), selector: "[matCellDef]" }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatRowDef), selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatHeaderCell), selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i0.forwardRef(() => i6$2.MatCell), selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i0.forwardRef(() => i6$2.MatHeaderRow), selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i0.forwardRef(() => i6$2.MatRow), selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => i3.MatIconButton), selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSortModule) }, { kind: "directive", type: i0.forwardRef(() => i7$3.MatSort), selector: "[matSort]", inputs: ["matSortActive", "matSortStart", "matSortDirection", "matSortDisableClear", "matSortDisabled"], outputs: ["matSortChange"], exportAs: ["matSort"] }, { kind: "component", type: i0.forwardRef(() => i7$3.MatSortHeader), selector: "[mat-sort-header]", inputs: ["mat-sort-header", "arrowPosition", "start", "disabled", "sortActionDescription", "disableClear"], exportAs: ["matSortHeader"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatMenuModule) }, { kind: "component", type: i0.forwardRef(() => i6.MatMenu), selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i0.forwardRef(() => i6.MatMenuItem), selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i0.forwardRef(() => i6.MatMenuTrigger), selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "directive", type: i0.forwardRef(() => i5.MatSuffix), selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatDatepickerModule) }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepicker), selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { kind: "directive", type: i0.forwardRef(() => i4$2.MatDatepickerInput), selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { kind: "component", type: i0.forwardRef(() => i4$2.MatDatepickerToggle), selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatOptionModule) }, { kind: "component", type: i0.forwardRef(() => i7.MatOption), selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatSelectModule) }, { kind: "component", type: i0.forwardRef(() => i7$1.MatSelect), selector: "mat-select", inputs: ["aria-describedby", "panelClass", "disabled", "disableRipple", "tabIndex", "hideSingleSelectionIndicator", "placeholder", "required", "multiple", "disableOptionCentering", "compareWith", "value", "aria-label", "aria-labelledby", "errorStateMatcher", "typeaheadDebounceInterval", "sortComparator", "id", "panelWidth"], outputs: ["openedChange", "opened", "closed", "selectionChange", "valueChange"], exportAs: ["matSelect"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SimpleTableManualComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-simple-table-manual', standalone: true, imports: [
                        CommonModule,
                        MatTableModule,
                        MatButtonModule,
                        MatSortModule,
                        MatMenuModule,
                        MatFormFieldModule,
                        MatDatepickerModule,
                        MatOptionModule,
                        MatSelectModule,
                        MatInputModule,
                        forwardRef(() => ComponentMapperComponent)
                    ], template: "<ng-container *ngIf=\"bVisible$\">\n  <div class=\"simple-table-wrapper\">\n    <h3 *ngIf=\"label\" className=\"label\" style=\"font-weight: bold\">\n      {{ label }} <span class=\"results-count\">{{ getResultsText() }}</span>\n    </h3>\n    <table *ngIf=\"readOnlyMode || allowEditingInModal\" mat-table [dataSource]=\"rowData\" class=\"mat-elevation-z8\" id=\"readonly-table\" matSort>\n      <ng-container *ngFor=\"let dCol of processedFields\" [matColumnDef]=\"dCol.config.name\">\n        <th mat-header-cell *matHeaderCellDef mat-sort-header (click)=\"_headerSortClick($event, dCol)\" arrowPosition=\"before\">\n          <div>{{ dCol.config.label }}</div>\n          <div class=\"psdk-mat-header-filter\">\n            <img class=\"psdk-filter-svg-icon\" name=\"filterOnIcon\" />\n          </div>\n          <div (click)=\"$event.stopPropagation()\">\n            <button mat-icon-button [matMenuTriggerFor]=\"groupMenu\">\n              <img class=\"psdk-list-view-svg-icon\" src=\"{{ menuSvgIcon$ }}\" />\n            </button>\n            <mat-menu #groupMenu>\n              <button mat-menu-item (click)=\"_groupBy($event, dCol)\">\n                <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Group By</span>\n              </button>\n              <button *ngIf=\"_showUnGroupBy(dCol) && bGrouping$\" mat-menu-item (click)=\"_unGroupBy($event, dCol)\">\n                <img class=\"psdk-list-view-svg-icon\" src=\"{{ groupBySvgIcon$ }}\" /><span>Ungroup</span>\n              </button>\n              <button mat-menu-item (click)=\"_filter($event, dCol)\">\n                <img class=\"psdk-list-view-svg-icon\" src=\"{{ filterSvgIcon$ }}\" /><span>Filter</span>\n              </button>\n            </mat-menu>\n          </div>\n        </th>\n        <td mat-cell *matCellDef=\"let element\">{{ element[dCol.config.name] || '---' }}</td>\n      </ng-container>\n      <ng-container matColumnDef=\"DeleteIcon\">\n        <div *ngIf=\"allowEditingInModal\">\n          <th mat-header-cell *matHeaderCellDef></th>\n          <td mat-cell *matCellDef=\"let element; index as j\">\n            <div class=\"header-icon\">\n              <button mat-icon-button [matMenuTriggerFor]=\"utilityMenu\">\n                <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n              </button>\n              <mat-menu #utilityMenu=\"matMenu\" overlapTrigger=\"false\">\n                <button mat-menu-item (click)=\"editRecord(element, j)\">Edit</button>\n                <button mat-menu-item (click)=\"deleteRecord(j)\">Delete</button>\n              </mat-menu>\n            </div>\n          </td>\n        </div>\n      </ng-container>\n      <tr mat-header-row *matHeaderRowDef=\"displayedColumns\"></tr>\n      <tr mat-row *matRowDef=\"let row; columns: displayedColumns\"></tr>\n    </table>\n    <table *ngIf=\"editableMode && !allowEditingInModal\" mat-table [dataSource]=\"elementsData\" class=\"mat-elevation-z8\" id=\"editable-table\">\n      <ng-container *ngFor=\"let dCol of fieldDefs; let i = index\">\n        <ng-container *ngIf=\"dCol.name != 'DeleteIcon'\" [matColumnDef]=\"dCol.name\">\n          <th mat-header-cell *matHeaderCellDef class=\"psdk-mat-header\">{{ dCol.label }}</th>\n          <td mat-cell *matCellDef=\"let element\">\n            <component-mapper\n              [name]=\"element[i].getPConnect().getComponentName()\"\n              [props]=\"{\n                pConn$: element[i].getPConnect(),\n                formGroup$: formGroup$\n              }\"\n              errorMsg=\"Table wants component not yet available: {{ element[i].getPConnect().getComponentName() }}\"\n            ></component-mapper>\n          </td>\n        </ng-container>\n      </ng-container>\n      <ng-container matColumnDef=\"DeleteIcon\">\n        <th mat-header-cell *matHeaderCellDef></th>\n        <td mat-cell *matCellDef=\"let element; index as j\">\n          <button id=\"delete-button\" mat-icon-button (click)=\"deleteRecord(j)\">\n            <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ menuIconOverride$ }}\" />\n          </button>\n        </td>\n      </ng-container>\n      <tr mat-header-row *matHeaderRowDef=\"displayedColumns\"></tr>\n      <tr mat-row *matRowDef=\"let row; columns: displayedColumns\"></tr>\n    </table>\n    <div class=\"psdk-no-records\" id=\"no-records\" *ngIf=\"editableMode && referenceList?.length === 0\">No Records Found.</div>\n    <div class=\"psdk-no-records\" id=\"no-records\" *ngIf=\"readOnlyMode && rowData?.data?.length === 0\">No Records Found.</div>\n  </div>\n  <button *ngIf=\"showAddRowButton\" mat-button color=\"primary\" style=\"font-size: 16px\" (click)=\"addRecord()\">+ Add</button>\n</ng-container>\n\n<!-- pop overs for filters-->\n<div *ngIf=\"bShowFilterPopover$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-file-top\">\n    <h4>\n      Filter:<b> {{ filterContainsLabel$ }}</b>\n    </h4>\n    <div *ngIf=\"bContains$\">\n      <mat-form-field class=\"psdk-full-width\">\n        <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n          <mat-option value=\"contains\">Contains</mat-option>\n          <mat-option value=\"equals\">Equals</mat-option>\n          <mat-option value=\"startswith\">Starts with</mat-option>\n        </mat-select>\n      </mat-form-field>\n\n      <mat-form-field class=\"psdk-full-width\">\n        <input matInput type=\"text\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsValue($event)\" />\n      </mat-form-field>\n    </div>\n\n    <div *ngIf=\"bDateTime$\">\n      <mat-form-field class=\"psdk-full-width\">\n        <mat-select [value]=\"filterContainsType$\" (selectionChange)=\"_filterContainsType($event)\">\n          <mat-option value=\"notequal\">is not equal to</mat-option>\n          <mat-option value=\"after\">after</mat-option>\n          <mat-option value=\"before\">before</mat-option>\n          <mat-option value=\"null\">is null</mat-option>\n          <mat-option value=\"notnull\">is not null</mat-option>\n        </mat-select>\n      </mat-form-field>\n\n      <mat-form-field *ngIf=\"bIsDate$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n        <mat-label>Date</mat-label>\n        <input\n          matInput\n          #dateInput\n          [matDatepicker]=\"pegadate\"\n          type=\"text\"\n          [value]=\"filterContainsValue$\"\n          (dateChange)=\"_filterContainsDateValue($event, dateInput.value)\"\n        />\n        <mat-datepicker-toggle matSuffix [for]=\"pegadate\"></mat-datepicker-toggle>\n        <mat-datepicker #pegadate [startAt]=\"filterContainsValue$\"></mat-datepicker>\n      </mat-form-field>\n\n      <mat-form-field *ngIf=\"bIsDateTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n        <mat-label>Date time</mat-label>\n        <input matInput type=\"datetime-local\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsDateTimeValue($event)\" />\n      </mat-form-field>\n\n      <mat-form-field *ngIf=\"bIsTime$ && filterContainsType$ !== 'null' && filterContainsType$ != 'notnull'\" class=\"psdk-full-width\">\n        <mat-label>Time</mat-label>\n        <input matInput type=\"time\" [value]=\"filterContainsValue$\" (change)=\"_filterContainsTimeValue($event)\" />\n      </mat-form-field>\n    </div>\n\n    <component-mapper\n      name=\"ActionButtons\"\n      [props]=\"{ arMainButtons$: arFilterMainButtons$, arSecondaryButtons$: arFilterSecondaryButtons$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: _onFilterActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".simple-table-wrapper{width:100%;margin-top:.5rem;margin-bottom:.5rem;overflow-y:auto}table{width:100%}::ng-deep .mat-sort-header-content{white-space:normal}::ng-deep td.mat-mdc-cell{white-space:normal}::ng-deep th.mat-mdc-header-cell,td.mat-mdc-cell,td.mat-mdc-footer-cell{border-right:1px solid var(--app-neutral-light-color);padding:8px!important}::ng-deep .mat-mdc-button{padding:0;text-align:left}.mat-mdc-icon-button{width:fit-content}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-mat-header{white-space:normal;padding-right:5px}.psdk-mat-header-button{display:inline-grid}.psdk-mat-header-arrow,.psdk-mat-header-filter{display:inline-grid;vertical-align:middle}.psdk-full-width{width:100%}.psdk-search{padding-left:.625rem}.psdk-icon-search{vertical-align:sub;padding:0rem .125rem;min-width:unset;width:1.1rem}.psdk-outer-div-in-form{display:inline-grid}.psdk-inner-div-in-form{height:auto;position:relative;width:100%;overflow:auto;max-height:550px;min-height:auto}.psdk-list-view-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-filter-svg-icon,.psdk-arrow-svg-icon{width:1rem;display:inline-block;vertical-align:middle;filter:var(--app-neutral-color-filter)}.psdk-filter-popover{display:table;margin:auto;min-width:100px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color);position:absolute;z-index:99}.psdk-dialog-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:999;top:0;left:0}.psdk-modal-file-top{display:table;margin:auto;min-width:150px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}tr.mat-mdc-row{cursor:pointer}tr.mat-mdc-header-row{background:var(--app-table-header-background-color)}.psdk-data-readonly{margin-top:.625rem;width:100%}.psdk-no-records{height:56px;justify-content:center;display:flex;align-items:center;border:1px solid var(--app-neutral-light-color);border-top:none;background:var(--app-form-color)}.psdk-utility-card-action-svg-icon{width:1.4rem}.label{margin:8px}.results-count{opacity:.7;font-size:.8rem;font-weight:700;margin-inline-start:.625rem}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }, { type: DatapageService }], propDecorators: { sort: [{
                type: ViewChild,
                args: [MatSort]
            }], pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class SimpleTableSelectComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.label = '';
        this.renderMode = '';
        this.showLabel = true;
        this.viewName = '';
        this.parameters = {};
        this.dataRelationshipContext = '';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.updateSelf();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        const theConfigProps = this.pConn$.getConfigProps();
        this.label = theConfigProps.label;
        this.renderMode = theConfigProps.renderMode;
        this.showLabel = theConfigProps.showLabel;
        this.viewName = theConfigProps.viewName;
        this.parameters = theConfigProps.parameters;
        this.dataRelationshipContext = theConfigProps.dataRelationshipContext;
        this.propsToUse = { label: this.label, showLabel: this.showLabel, ...this.pConn$.getInheritedProps() };
        if (this.propsToUse.showLabel === false) {
            this.propsToUse.label = '';
        }
        const { MULTI } = PCore.getConstants().LIST_SELECTION_MODE;
        const { selectionMode, selectionList } = this.pConn$.getConfigProps();
        const isMultiSelectMode = selectionMode === MULTI;
        if (isMultiSelectMode && this.renderMode === 'ReadOnly') {
            this.showSimpleTableManual = true;
        }
        else {
            const pageReference = this.pConn$.getPageReference();
            let referenceProp = isMultiSelectMode ? selectionList.substring(1) : pageReference.substring(pageReference.lastIndexOf('.') + 1);
            // Replace here to use the context name instead
            let contextPageReference = null;
            if (this.dataRelationshipContext !== null && selectionMode === 'single') {
                referenceProp = this.dataRelationshipContext;
                contextPageReference = pageReference.concat('.').concat(referenceProp);
            }
            const metadata = isMultiSelectMode
                ? this.pConn$.getFieldMetadata(`@P .${referenceProp}`)
                : this.pConn$.getCurrentPageFieldMetadata(contextPageReference);
            const { datasource: { parameters: fieldParameters = {} } = {}, pageClass } = metadata;
            this.pageClass = pageClass;
            const compositeKeys = [];
            Object.values(fieldParameters).forEach((param) => {
                if (this.isSelfReferencedProperty(param, referenceProp)) {
                    compositeKeys.push(param.substring(param.lastIndexOf('.') + 1));
                }
            });
            this.processFiltrers(theConfigProps, compositeKeys);
        }
    }
    processFiltrers(theConfigProps, compositeKeys) {
        const defaultRowHeight = '2';
        const additionalTableConfig = {
            rowDensity: false,
            enableFreezeColumns: false,
            autoSizeColumns: false,
            resetColumnWidths: false,
            defaultFieldDef: {
                showMenu: false,
                noContextMenu: true,
                grouping: false
            },
            itemKey: '$key',
            defaultRowHeight
        };
        this.listViewProps = {
            ...theConfigProps,
            title: this.propsToUse.label,
            personalization: false,
            grouping: false,
            expandGroups: false,
            reorderFields: false,
            showHeaderIcons: false,
            editing: false,
            globalSearch: true,
            toggleFieldVisibility: false,
            basicMode: true,
            additionalTableConfig,
            compositeKeys,
            viewName: this.viewName,
            parameters: this.parameters
        };
        this.filters = (this.pConn$.getRawMetadata()?.config).promotedFilters ?? [];
        this.isSearchable = this.filters.length > 0;
    }
    isSelfReferencedProperty(param, referenceProp) {
        const [, parentPropName] = param.split('.');
        return parentPropName === referenceProp;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SimpleTableSelectComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SimpleTableSelectComponent, isStandalone: true, selector: "app-simple-table-select", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngIf=\"showSimpleTableManual\">\n  <component-mapper name=\"SimpleTable\" [props]=\"{ formGroup$, pConn$ }\"></component-mapper>\n</div>\n<div *ngIf=\"!showSimpleTableManual\">\n  <div *ngIf=\"isSearchable; else listView\">\n    <component-mapper\n      name=\"PromotedFilters\"\n      [props]=\"{ formGroup$, pConn$, viewName, filters, listViewProps, pageClass, parameters }\"\n    ></component-mapper>\n  </div>\n  <ng-template #listView>\n    <component-mapper name=\"ListView\" [props]=\"{ pConn$, payload: listViewProps }\"></component-mapper>\n  </ng-template>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SimpleTableSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-simple-table-select', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngIf=\"showSimpleTableManual\">\n  <component-mapper name=\"SimpleTable\" [props]=\"{ formGroup$, pConn$ }\"></component-mapper>\n</div>\n<div *ngIf=\"!showSimpleTableManual\">\n  <div *ngIf=\"isSearchable; else listView\">\n    <component-mapper\n      name=\"PromotedFilters\"\n      [props]=\"{ formGroup$, pConn$, viewName, filters, listViewProps, pageClass, parameters }\"\n    ></component-mapper>\n  </div>\n  <ng-template #listView>\n    <component-mapper name=\"ListView\" [props]=\"{ pConn$, payload: listViewProps }\"></component-mapper>\n  </ng-template>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class SingleReferenceReadonlyComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SingleReferenceReadonlyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SingleReferenceReadonlyComponent, isStandalone: true, selector: "app-single-reference-readonly", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<component-mapper name=\"SemanticLink\" [props]=\"{ pConn$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SingleReferenceReadonlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-single-reference-readonly', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"SemanticLink\" [props]=\"{ pConn$ }\"></component-mapper>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class ThreeColumnComponent extends FormTemplateBase {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ThreeColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ThreeColumnComponent, isStandalone: true, selector: "app-three-column", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-three-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-three-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-three-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-three-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'c'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-three-column{display:flow-root;height:100%}.psdk-three-column-column{width:33%;float:left;padding:0rem .3125rem;height:100%}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ThreeColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-three-column', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-three-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-three-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-three-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-three-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'c'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-three-column{display:flow-root;height:100%}.psdk-three-column-column{width:33%;float:left;padding:0rem .3125rem;height:100%}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class ThreeColumnPageComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ThreeColumnPageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ThreeColumnPageComponent, isStandalone: true, selector: "app-three-column-page", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<component-mapper name=\"ThreeColumn\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ThreeColumnPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-three-column-page', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"ThreeColumn\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n" }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class TwoColumnComponent extends FormTemplateBase {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TwoColumnComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TwoColumnComponent, isStandalone: true, selector: "app-two-column", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-two-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-two-column-left\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-right\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-two-column{display:flow-root;height:100%}.psdk-two-column-column{width:50%;float:left;padding:0rem .3125rem;height:100%}.psdk-two-column-left{float:left;min-width:50%;padding:0rem .3125rem}.psdk-two-column-right{float:left;width:50%;padding:0rem .3125rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TwoColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-two-column', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-two-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-two-column-left\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-right\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-two-column{display:flow-root;height:100%}.psdk-two-column-column{width:50%;float:left;padding:0rem .3125rem;height:100%}.psdk-two-column-left{float:left;min-width:50%;padding:0rem .3125rem}.psdk-two-column-right{float:left;width:50%;padding:0rem .3125rem}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class TwoColumnPageComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        // Used with AngularPConnect
        this.angularPConnectData = {};
    }
    ngOnInit() {
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        //    AND removing the "gate" that was put there since shouldComponentUpdate
        //      should be the real "gate"
        if (bUpdateSelf) {
            /* empty */
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TwoColumnPageComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TwoColumnPageComponent, isStandalone: true, selector: "app-two-column-page", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<component-mapper name=\"TwoColumn\" [props]=\"{ formGroup$, pConn$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TwoColumnPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-two-column-page', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"TwoColumn\" [props]=\"{ formGroup$, pConn$ }\"></component-mapper>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class TwoColumnTabComponent {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TwoColumnTabComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TwoColumnTabComponent, isStandalone: true, selector: "app-two-column-tab", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-two-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-two-column-left\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-right\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-two-column{display:flow-root;height:100%}.psdk-two-column-column{width:50%;float:left;padding:0rem .3125rem;height:100%}.psdk-two-column-left{float:left;min-width:50%;padding:0rem .3125rem}.psdk-two-column-right{float:left;width:50%;padding:0rem .3125rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TwoColumnTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-two-column-tab', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-two-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-two-column-left\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-right\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-two-column-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-two-column{display:flow-root;height:100%}.psdk-two-column-column{width:50%;float:left;padding:0rem .3125rem;height:100%}.psdk-two-column-left{float:left;min-width:50%;padding:0rem .3125rem}.psdk-two-column-right{float:left;width:50%;padding:0rem .3125rem}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class WideNarrowFormComponent extends FormTemplateBase {
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WideNarrowFormComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WideNarrowFormComponent, isStandalone: true, selector: "app-wide-narrow-form", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-narrow-wide-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-narrow-wide-column{display:flow-root;height:100%}.psdk-narrow-column{float:left;min-width:30%;padding:0rem .3125rem}.psdk-wide-column{float:left;width:70%;padding:0rem .3125rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WideNarrowFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-wide-narrow-form', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-narrow-wide-column\">\n  <div *ngFor=\"let kid of arChildren$\">\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'left'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'right'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-wide-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'a'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-narrow-column\" *ngIf=\"kid.getPConnect().getRawMetadata()['name'].toLowerCase() === 'b'\">\n      <component-mapper name=\"Region\" [props]=\"{ pConn$: kid.getPConnect(), formGroup$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: ["*{box-sizing:border-box}.psdk-narrow-wide-column{display:flow-root;height:100%}.psdk-narrow-column{float:left;min-width:30%;padding:0rem .3125rem}.psdk-wide-column{float:left;width:70%;padding:0rem .3125rem}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class WideNarrowPageComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        this.thePConnType = '';
        // Used with AngularPConnect
        this.angularPConnectData = {};
    }
    ngOnInit() {
        // normalize the pConn$ in case the incoming pConn$ is a 'reference'
        // this.pConn$ = ReferenceComponent.normalizePConn(this.pConn$);
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // this.updateSelf();
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        // console.log(`WideNarrowPage: updateSelf`);
        this.thePConnType = this.pConn$.getComponentName();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WideNarrowPageComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WideNarrowPageComponent, isStandalone: true, selector: "app-wide-narrow-page", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div [ngSwitch]=\"this.thePConnType\">\n  <component-mapper *ngSwitchCase=\"'ViewContainer'\" name=\"ViewContainer\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n  <!-- NOTE: when we get the view, we want to render it as a wide-narrow-form -->\n  <component-mapper *ngSwitchCase=\"'View'\" name=\"WideNarrowForm\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n  <div *ngSwitchDefault>WideNarrowPage missing: {{ this.pConn$.getComponentName() }}</div>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WideNarrowPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-wide-narrow-page', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div [ngSwitch]=\"this.thePConnType\">\n  <component-mapper *ngSwitchCase=\"'ViewContainer'\" name=\"ViewContainer\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n  <!-- NOTE: when we get the view, we want to render it as a wide-narrow-form -->\n  <component-mapper *ngSwitchCase=\"'View'\" name=\"WideNarrowForm\" [props]=\"{ pConn$, formGroup$ }\"></component-mapper>\n  <div *ngSwitchDefault>WideNarrowPage missing: {{ this.pConn$.getComponentName() }}</div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class WssNavBarComponent {
    constructor(angularPConnect, cdRef, psService, ngZone, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.psService = psService;
        this.ngZone = ngZone;
        this.utils = utils;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.bShowCaseTypes$ = false;
        this.portalApp$ = '';
        this.showAppName$ = false;
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'AppShell';
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.navIcon$ = this.utils.getSDKStaticContentUrl().concat('assets/pzpega-logo-mark.svg');
        // this is a dummy "get", because right now images are in http and the main screen is https
        // so the images don't load automatically.  This call, makes an initial hit that allows the
        // rest of the images to show up
        this.loadImage(this.navIcon$);
        this.initComponent();
    }
    // ngOnDestroy
    //  unsubscribe from Store
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    loadImage(src) {
        return new Promise(resolve => {
            resolve(src);
        });
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // NOTE: can call angularPConnect.getState with optional args for detailed logging: bLogMsg and component object
        this.angularPConnect.getState();
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.initComponent();
    }
    initComponent() {
        this.ngZone.run(() => {
            this.navIcon$ = this.utils.getSDKStaticContentUrl().concat('assets/pzpega-logo-mark.svg');
            this.navExpandCollapse$ = this.utils.getImageSrc('plus', this.utils.getSDKStaticContentUrl());
            // Then, continue on with other initialization
            // making a copy, so can add info
            this.navPages$ = JSON.parse(JSON.stringify(this.pages$));
            this.navPages$.forEach(page => {
                page.iconName = this.utils.getImageSrc(page.pxPageViewIcon, this.utils.getSDKStaticContentUrl());
            });
            this.actionsAPI = this.pConn$.getActionsApi();
            this.createWork = this.actionsAPI.createWork.bind(this.actionsAPI);
            this.showPage = this.actionsAPI.showPage.bind(this.actionsAPI);
            this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
            this.logout = this.actionsAPI.logout.bind(this.actionsAPI);
            // const oData = this.pConn$.getDataObject();
            this.portalLogoImage$ = this.utils.getSDKStaticContentUrl().concat('assets/pzpega-logo-mark.svg');
            this.portalOperator$ = PCore.getEnvironmentInfo().getOperatorName();
            this.portalOperatorInitials$ = this.utils.getInitials(this.portalOperator$ ?? '');
            this.showAppName$ = this.configProps$.showAppName;
            this.portalApp$ = PCore.getEnvironmentInfo().getApplicationLabel();
        });
    }
    navPanelButtonClick(oPageData) {
        const { pyClassName, pyRuleName } = oPageData;
        this.showPage(pyRuleName, pyClassName);
    }
    navPanelCreateButtonClick() {
        if (this.navExpandCollapse$.indexOf('plus') > 0) {
            this.navExpandCollapse$ = this.utils.getImageSrc('times', this.utils.getSDKStaticContentUrl());
            this.bShowCaseTypes$ = true;
        }
        else {
            this.navExpandCollapse$ = this.utils.getImageSrc('plus', this.utils.getSDKStaticContentUrl());
            this.bShowCaseTypes$ = false;
        }
        this.cdRef.detectChanges();
    }
    navPanelCreateCaseType(sCaseType, sFlowType) {
        this.psService.sendMessage(true);
        this.navPanelCreateButtonClick();
        const actionInfo = {
            containerName: 'primary',
            flowType: sFlowType || 'pyStartCase'
        };
        this.createWork(sCaseType, actionInfo);
    }
    navPanelLogoutClick() {
        logout().then(() => {
            // Reload the page to kick off the login
            window.location.reload();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WssNavBarComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: ProgressSpinnerService }, { token: i0.NgZone }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WssNavBarComponent, isStandalone: true, selector: "app-wss-nav-bar", inputs: { pConn$: "pConn$", appName$: "appName$", pages$: "pages$", caseTypes$: "caseTypes$", homePage: "homePage" }, providers: [Utils], ngImport: i0, template: "<mat-toolbar style=\"margin-bottom: 5px; background-color: #262626\">\n  <mat-toolbar-row mat-icon-button>\n    <div class=\"psdk-nav-header\" (click)=\"navPanelButtonClick(homePage)\">\n      <div>\n        <img src=\"{{ portalLogoImage$ }}\" class=\"psdk-nav-logo\" />\n      </div>\n      <div class=\"psdk-nav-portal-info\">\n        <div class=\"psdk-nav-portal-app\">{{ portalApp$ }}</div>\n      </div>\n    </div>\n\n    <div *ngFor=\"let page of navPages$\">\n      <div class=\"flex-box mat-list-item\" style=\"cursor: pointer\" (click)=\"navPanelButtonClick(page)\">\n        <div mat-button class=\"psdk-nav-button-span\">{{ page.pyLabel }}</div>\n      </div>\n    </div>\n\n    <span class=\"spacer\"></span>\n\n    <mat-list>\n      <mat-list-item [matMenuTriggerFor]=\"menu\" class=\"psdk-profile-list-item\">\n        <div class=\"flex-box\">\n          <div class=\"psdk-nav-oper-avatar\">{{ portalOperatorInitials$ }}</div>\n        </div>\n      </mat-list-item>\n      <mat-menu #menu=\"matMenu\">\n        <button mat-menu-item>Profile</button>\n        <button mat-menu-item (click)=\"navPanelLogoutClick()\">{{ localizedVal('Log off', localeCategory) }}</button>\n      </mat-menu>\n    </mat-list>\n  </mat-toolbar-row>\n</mat-toolbar>\n", styles: [".psdk-nav-divider{border-bottom:.0625rem solid var(--app-divider-color);width:100%;align-items:center}.psdk-nav-header{display:flex;padding-top:.625rem;cursor:pointer;padding-right:1rem;align-items:center}.psdk-nav-header:hover{background-color:var(--app-neutral-color)}.psdk-nav-logo{width:3.75rem;padding:.625rem;margin-right:1.25rem}.psdk-nav-svg-icon{filter:var(--app-white-color-filter);width:1.6rem;padding-right:.625rem}.psdk-nav-portal-name{font-size:.875rem}.psdk-nav-portal-app{font-size:1.5rem;color:var(--app-nav-color)}.psdk-appshell-nav{z-index:3;position:fixed;display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:100%;color:var(--app-nav-color);overflow-y:auto;overflow-x:hidden;white-space:nowrap;will-change:width}.psdk-appshell-nav:hover{width:var(--app-nav-width-expanded)}.psdk-appshell-topnav{display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:15%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;will-change:width}.psdk-appshell-middlenav{display:flex;flex-direction:column;justify-content:space-between;background:var(--app-nav-bg);width:var(--app-nav-width);height:50%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;will-change:width}.psdk-nav-ul-middle{display:block;list-style-type:none;margin:0rem;padding-inline-start:30px}.psdk-nav-li-middle{box-sizing:border-box;text-align:left}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-nav-button-span{padding:0 1rem;color:var(--app-nav-color)}.psdk-nav-button-span:hover{background-color:var(--app-neutral-color)}.psdk-nav-oper-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:inline-flex;background:var(--app-neutral-color);color:var(--app-form-color);font-weight:400;font-size:1rem}mat-list{padding:0}.psdk-profile-list-item{padding-left:24px}mat-list-item{padding:20px 0 20px 30px;cursor:pointer!important;height:auto!important}mat-list-item .flex-box{display:flex;align-items:center;width:100%;text-align:left}.spacer{flex:1 1 auto}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: MatListModule }, { kind: "component", type: i5$2.MatList, selector: "mat-list", exportAs: ["matList"] }, { kind: "component", type: i5$2.MatListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["activated"], exportAs: ["matListItem"] }, { kind: "ngmodule", type: MatMenuModule }, { kind: "component", type: i6.MatMenu, selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i6.MatMenuItem, selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i6.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "ngmodule", type: MatToolbarModule }, { kind: "component", type: i4$4.MatToolbar, selector: "mat-toolbar", inputs: ["color"], exportAs: ["matToolbar"] }, { kind: "directive", type: i4$4.MatToolbarRow, selector: "mat-toolbar-row", exportAs: ["matToolbarRow"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WssNavBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-wss-nav-bar', providers: [Utils], standalone: true, imports: [CommonModule, MatListModule, MatMenuModule, MatIconModule, MatToolbarModule], template: "<mat-toolbar style=\"margin-bottom: 5px; background-color: #262626\">\n  <mat-toolbar-row mat-icon-button>\n    <div class=\"psdk-nav-header\" (click)=\"navPanelButtonClick(homePage)\">\n      <div>\n        <img src=\"{{ portalLogoImage$ }}\" class=\"psdk-nav-logo\" />\n      </div>\n      <div class=\"psdk-nav-portal-info\">\n        <div class=\"psdk-nav-portal-app\">{{ portalApp$ }}</div>\n      </div>\n    </div>\n\n    <div *ngFor=\"let page of navPages$\">\n      <div class=\"flex-box mat-list-item\" style=\"cursor: pointer\" (click)=\"navPanelButtonClick(page)\">\n        <div mat-button class=\"psdk-nav-button-span\">{{ page.pyLabel }}</div>\n      </div>\n    </div>\n\n    <span class=\"spacer\"></span>\n\n    <mat-list>\n      <mat-list-item [matMenuTriggerFor]=\"menu\" class=\"psdk-profile-list-item\">\n        <div class=\"flex-box\">\n          <div class=\"psdk-nav-oper-avatar\">{{ portalOperatorInitials$ }}</div>\n        </div>\n      </mat-list-item>\n      <mat-menu #menu=\"matMenu\">\n        <button mat-menu-item>Profile</button>\n        <button mat-menu-item (click)=\"navPanelLogoutClick()\">{{ localizedVal('Log off', localeCategory) }}</button>\n      </mat-menu>\n    </mat-list>\n  </mat-toolbar-row>\n</mat-toolbar>\n", styles: [".psdk-nav-divider{border-bottom:.0625rem solid var(--app-divider-color);width:100%;align-items:center}.psdk-nav-header{display:flex;padding-top:.625rem;cursor:pointer;padding-right:1rem;align-items:center}.psdk-nav-header:hover{background-color:var(--app-neutral-color)}.psdk-nav-logo{width:3.75rem;padding:.625rem;margin-right:1.25rem}.psdk-nav-svg-icon{filter:var(--app-white-color-filter);width:1.6rem;padding-right:.625rem}.psdk-nav-portal-name{font-size:.875rem}.psdk-nav-portal-app{font-size:1.5rem;color:var(--app-nav-color)}.psdk-appshell-nav{z-index:3;position:fixed;display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:100%;color:var(--app-nav-color);overflow-y:auto;overflow-x:hidden;white-space:nowrap;will-change:width}.psdk-appshell-nav:hover{width:var(--app-nav-width-expanded)}.psdk-appshell-topnav{display:flex;flex-direction:column;justify-content:flex-start;background:var(--app-nav-bg);width:var(--app-nav-width);height:15%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;will-change:width}.psdk-appshell-middlenav{display:flex;flex-direction:column;justify-content:space-between;background:var(--app-nav-bg);width:var(--app-nav-width);height:50%;color:var(--app-nav-color);overflow:hidden;white-space:nowrap;will-change:width}.psdk-nav-ul-middle{display:block;list-style-type:none;margin:0rem;padding-inline-start:30px}.psdk-nav-li-middle{box-sizing:border-box;text-align:left}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-nav-button-span{padding:0 1rem;color:var(--app-nav-color)}.psdk-nav-button-span:hover{background-color:var(--app-neutral-color)}.psdk-nav-oper-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:inline-flex;background:var(--app-neutral-color);color:var(--app-form-color);font-weight:400;font-size:1rem}mat-list{padding:0}.psdk-profile-list-item{padding-left:24px}mat-list-item{padding:20px 0 20px 30px;cursor:pointer!important;height:auto!important}mat-list-item .flex-box{display:flex;align-items:center;width:100%;text-align:left}.spacer{flex:1 1 auto}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: ProgressSpinnerService }, { type: i0.NgZone }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], appName$: [{
                type: Input
            }], pages$: [{
                type: Input
            }], caseTypes$: [{
                type: Input
            }], homePage: [{
                type: Input
            }] } });

class AppAnnouncementComponent {
    ngOnInit() {
        this.configProps$ = this.pConn$.getConfigProps();
        const { datasource } = this.configProps$;
        if (datasource?.source) {
            this.details$ = datasource.source.map(item => item.name);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AppAnnouncementComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AppAnnouncementComponent, isStandalone: true, selector: "app-app-announcement", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<article class=\"psdk-announcement\">\n  <h2>{{ configProps$.header }}</h2>\n  <div>\n    <p>{{ configProps$.description }}</p>\n    <div>\n      <h3>{{ configProps$.label }}</h3>\n      <ul>\n        <li *ngFor=\"let detail of details$\">{{ detail }}</li>\n      </ul>\n    </div>\n  </div>\n  <a *ngIf=\"configProps$.whatsnewlink != ''\" mat-raised-button color=\"primary\" [href]=\"configProps$.whatsnewlink\">See what's new</a>\n</article>\n", styles: ["h2{font-size:1.2rem;margin-block-start:0rem}h3{font-size:1.1rem}ul{padding-inline-start:20px}.psdk-announcement{background-color:var(--app-form-color);padding:1rem;margin:1rem 0;border-radius:.6125rem;border-left:6px solid;border-left-color:var(--app-primary-color)}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatAnchor, selector: "a[mat-button], a[mat-raised-button], a[mat-flat-button], a[mat-stroked-button]", exportAs: ["matButton", "matAnchor"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AppAnnouncementComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-app-announcement', standalone: true, imports: [CommonModule, MatButtonModule], template: "<article class=\"psdk-announcement\">\n  <h2>{{ configProps$.header }}</h2>\n  <div>\n    <p>{{ configProps$.description }}</p>\n    <div>\n      <h3>{{ configProps$.label }}</h3>\n      <ul>\n        <li *ngFor=\"let detail of details$\">{{ detail }}</li>\n      </ul>\n    </div>\n  </div>\n  <a *ngIf=\"configProps$.whatsnewlink != ''\" mat-raised-button color=\"primary\" [href]=\"configProps$.whatsnewlink\">See what's new</a>\n</article>\n", styles: ["h2{font-size:1.2rem;margin-block-start:0rem}h3{font-size:1.1rem}ul{padding-inline-start:20px}.psdk-announcement{background-color:var(--app-form-color);padding:1rem;margin:1rem 0;border-radius:.6125rem;border-left:6px solid;border-left-color:var(--app-primary-color)}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class AttachmentComponent {
    constructor(angularPConnect, utils, ngZone) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.ngZone = ngZone;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.label$ = '';
        this.bRequired$ = false;
        this.bReadonly$ = false;
        this.bDisabled$ = false;
        this.bVisible$ = true;
        this.bLoading$ = false;
        this.bShowSelector$ = true;
        this.fileTemp = {};
        this.allowMultiple$ = false;
        this.extensions$ = '';
        this.status = '';
        this.validateMessage = '';
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'CosmosFields';
        this.uploadMultipleFilesLabel = this.localizedVal('file_upload_text_multiple', this.localeCategory);
        this.uploadSingleFileLabel = this.localizedVal('file_upload_text_one', this.localeCategory);
        this.filesWithError = [];
        this.files = [];
        this.fileDownload = (data, fileName, ext) => {
            const file = ext ? `${fileName}.${ext}` : fileName;
            download(atob(data), file);
        };
        this.getAttachmentKey = (name = '') => (name ? `attachmentsList.${name}` : 'attachmentsList');
        this.validateFileExtension = (fileObj, allowedExtensions) => {
            if (!allowedExtensions) {
                return true;
            }
            const allowedExtensionList = allowedExtensions
                .toLowerCase()
                .split(',')
                .map(item => item.replaceAll('.', '').trim());
            const extension = fileObj.name.split('.').pop().toLowerCase();
            return allowedExtensionList.includes(extension);
        };
    }
    ngOnInit() {
        // // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        this.caseID = PCore.getStoreValue('.pyID', 'caseInfo.content', this.pConn$.getContextName());
        this.srcImg = this.utils.getImageSrc('document-doc', this.utils.getSDKStaticContentUrl());
        this.deleteIcon = this.utils.getImageSrc('trash', this.utils.getSDKStaticContentUrl());
        this.checkAndUpdate();
        this.getAttachments();
    }
    getAttachments() {
        let tempUploadedFiles = this.getCurrentAttachmentsList(this.getAttachmentKey(this.valueRef), this.pConn$.getContextName());
        tempUploadedFiles = tempUploadedFiles.filter(f => f.label === this.valueRef && f.delete !== true);
        this.files?.map(f => {
            return f.responseProps?.pzInsKey && !f.responseProps.pzInsKey.includes('temp')
                ? {
                    ...f,
                    props: {
                        ...f.props,
                        onDelete: () => this.deleteFile(f)
                    }
                }
                : { ...f };
        });
        this.files = [...this.files, ...tempUploadedFiles];
        PCore.getPubSubUtils().subscribe(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.ASSIGNMENT_SUBMISSION, this.resetAttachmentStoredState.bind(this), this.caseID);
        return () => {
            PCore.getPubSubUtils().unsubscribe(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.ASSIGNMENT_SUBMISSION, this.caseID);
        };
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    updateSelf() {
        const configProps = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        const stateProps = this.pConn$.getStateProps();
        const { value, label, extensions, displayMode } = configProps;
        if (configProps.required != null) {
            this.bRequired$ = this.utils.getBooleanValue(configProps.required);
        }
        if (configProps.visibility != null) {
            this.bVisible$ = this.utils.getBooleanValue(configProps.visibility);
        }
        // disabled
        if (configProps.disabled != undefined) {
            this.bDisabled$ = this.utils.getBooleanValue(configProps.disabled);
        }
        if (configProps.readOnly != null) {
            this.bReadonly$ = this.utils.getBooleanValue(configProps.readOnly);
        }
        if (configProps.allowMultiple != null) {
            this.allowMultiple$ = this.utils.getBooleanValue(configProps.allowMultiple);
        }
        this.label$ = label;
        this.value$ = value;
        this.status = stateProps.status;
        this.validateMessage = this.angularPConnectData.validateMessage;
        this.extensions$ = extensions;
        this.valueRef = this.pConn$.getStateProps().value;
        this.valueRef = this.valueRef.startsWith('.') ? this.valueRef.substring(1) : this.valueRef;
        this.displayMode = displayMode;
        /* this is a temporary fix because required is supposed to be passed as a boolean and NOT as a string */
        let { required, disabled } = configProps;
        [required, disabled] = [required, disabled].map(prop => prop === true || (typeof prop === 'string' && prop === 'true'));
        this.categoryName = '';
        if (value && value.pyCategoryName) {
            this.categoryName = value.pyCategoryName;
        }
        if (value?.pxResults && +value.pyCount > 0) {
            this.files = value.pxResults.map(f => this.buildFilePropsFromResponse(f));
        }
        this.updateAttachments();
    }
    buildFilePropsFromResponse(respObj) {
        return {
            props: {
                meta: `${respObj.pyCategoryName}, ${respObj.pxCreateOperator}`,
                name: respObj.pyAttachName,
                icon: this.utils.getIconFromFileType(respObj.pyMimeFileExtension)
            },
            responseProps: {
                ...respObj
            }
        };
    }
    updateAttachments() {
        if (this.files.length > 0 && this.displayMode !== 'DISPLAY_ONLY') {
            const currentAttachmentList = this.getCurrentAttachmentsList(this.getAttachmentKey(this.valueRef), this.pConn$.getContextName());
            // block duplicate files to redux store when added 1 after another to prevent multiple duplicates being added to the case on submit
            const tempFiles = this.files.filter(f => currentAttachmentList.findIndex(fr => fr.ID === f.ID) === -1 && !f.inProgress && f.responseProps);
            const updatedAttList = [...currentAttachmentList, ...tempFiles];
            this.updateAttachmentState(this.pConn$, this.getAttachmentKey(this.valueRef), updatedAttList);
        }
    }
    resetAttachmentStoredState() {
        PCore.getStateUtils().updateState(this.pConn$?.getContextName(), this.getAttachmentKey(this.valueRef), undefined, {
            pageReference: 'context_data',
            isArrayDeepMerge: false
        });
    }
    downloadFile(fileObj) {
        PCore.getAttachmentUtils()
            // @ts-ignore - 3rd parameter "responseEncoding" should be optional
            .downloadAttachment(fileObj.pzInsKey, this.pConn$.getContextName())
            .then((content) => {
            const extension = fileObj.pyAttachName.split('.').pop();
            this.fileDownload(content.data, fileObj.pyFileName, extension);
        })
            .catch(e => {
            console.log(e);
        });
    }
    getCurrentAttachmentsList(key, context) {
        return PCore.getStoreValue(`.${key}`, 'context_data', context) || [];
    }
    validateMaxSize(fileObj, maxSizeInMB) {
        const fileSize = (fileObj.size / 1048576).toFixed(2);
        return parseFloat(fileSize) < parseFloat(maxSizeInMB);
    }
    updateAttachmentState(pConn, key, attachments) {
        PCore.getStateUtils().updateState(this.pConn$.getContextName(), key, attachments, {
            pageReference: 'context_data',
            isArrayDeepMerge: false
        });
    }
    deleteFile(file) {
        const attachmentsList = [];
        let currentAttachmentList = this.getCurrentAttachmentsList(this.getAttachmentKey(this.valueRef), this.pConn$.getContextName());
        // If file to be deleted is the one added in previous stage i.e. for which a file instance is created in server
        // no need to filter currentAttachmentList as we will get another entry of file in redux with delete & label
        // eslint-disable-next-line no-unsafe-optional-chaining
        if (this.value$ && this.value$?.pxResults && +this.value$?.pyCount > 0 && file.responseProps && file?.responseProps?.pzInsKey !== 'temp') {
            const updatedAttachments = this.files.map(f => {
                if (f.responseProps && f.responseProps.pzInsKey === file.responseProps.pzInsKey) {
                    return { ...f, delete: true, label: this.valueRef };
                }
                return f;
            });
            // updating the redux store to help form-handler in passing the data to delete the file from server
            this.updateAttachmentState(this.pConn$, this.getAttachmentKey(this.valueRef), [...updatedAttachments]);
            const newlyAddedFiles = this.files.filter(f => !!f.ID);
            const filesPostDelete = this.files.filter(f => f.responseProps?.pzInsKey !== 'temp' && f.responseProps?.pzInsKey !== file.responseProps?.pzInsKey);
            this.files = [...filesPostDelete, ...newlyAddedFiles];
        } //  if the file being deleted is the added in this stage  i.e. whose data is not yet created in server
        else {
            // filter newly added files in this stage, later the updated current stage files will be added to redux once files state is updated
            currentAttachmentList = currentAttachmentList.filter(f => f.ID !== file.ID);
            this.files = this.files.filter(f => f.ID !== file.ID);
            this.updateAttachmentState(this.pConn$, this.getAttachmentKey(this.valueRef), [...currentAttachmentList, ...attachmentsList]);
            if (file.inProgress) {
                // @ts-ignore - 3rd parameter "responseEncoding" should be optional
                PCore.getAttachmentUtils().cancelRequest(file.ID, this.pConn$.getContextName());
            }
        }
        this.filesWithError = this.filesWithError?.filter(f => f.ID !== file.ID);
        if (this.filesWithError.length === 0) {
            this.clearFieldErrorMessages();
        }
        // eslint-disable-next-line @typescript-eslint/no-unused-expressions
        this.fileInput && this.fileInput.nativeElement.value ? null : '';
    }
    onFileAdded(event) {
        let addedFiles = Array.from(event.target.files);
        addedFiles = this.allowMultiple$ ? addedFiles : [addedFiles[0]];
        const maxAttachmentSize = PCore.getEnvironmentInfo().getMaxAttachmentSize() || '5';
        this.tempFilesToBeUploaded = [
            ...addedFiles.map((f, index) => {
                f.ID = `${new Date().getTime()}I${index}`;
                f.inProgress = true;
                f.props = {
                    type: f.type,
                    name: f.name,
                    icon: this.utils.getIconFromFileType(f.type),
                    onDelete: () => this.deleteFile(f)
                };
                if (!this.validateMaxSize(f, maxAttachmentSize)) {
                    f.props.error = true;
                    f.inProgress = false;
                    f.props.meta = this.pConn$.getLocalizedValue(`File is too big. Max allowed size is ${maxAttachmentSize}MB.`, '', '');
                }
                else if (!this.validateFileExtension(f, this.extensions$)) {
                    f.props.error = true;
                    f.inProgress = false;
                    f.props.meta = `${this.pConn$.getLocalizedValue('File has invalid extension. Allowed extensions are:', '', '')} ${this.extensions$.replaceAll('.', '')}`;
                }
                if (f.props.error) {
                    const fieldName = this.pConn$.getStateProps().value;
                    const context = this.pConn$.getContextName();
                    PCore.getMessageManager().addMessages({
                        messages: [
                            {
                                type: 'error',
                                message: this.pConn$.getLocalizedValue('Error with one or more files', '', '')
                            }
                        ],
                        property: fieldName,
                        pageReference: this.pConn$.getPageReference(),
                        context
                    });
                }
                return f;
            })
        ];
        const tempFilesWithError = this.tempFilesToBeUploaded.filter(f => f.props.error);
        if (tempFilesWithError.length > 0) {
            this.filesWithError = tempFilesWithError;
        }
        if (!this.allowMultiple$) {
            this.files = [...this.tempFilesToBeUploaded];
        }
        else {
            this.files = [...this.files, ...this.tempFilesToBeUploaded];
        }
        this.uploadFiles();
    }
    clearFieldErrorMessages() {
        const fieldName = this.pConn$.getStateProps().value;
        const context = this.pConn$.getContextName();
        PCore.getMessageManager().clearMessages({
            type: PCore.getConstants().MESSAGES.MESSAGES_TYPE_ERROR,
            property: fieldName,
            pageReference: this.pConn$.getPageReference(),
            context
        });
    }
    onUploadProgress() { }
    errorHandler(isFetchCanceled, attachedFile) {
        return error => {
            if (!isFetchCanceled(error)) {
                let uploadFailMsg = this.pConn$.getLocalizedValue('Something went wrong', '', '');
                if (error.response && error.response.data && error.response.data.errorDetails) {
                    uploadFailMsg = this.pConn$.getLocalizedValue(error.response.data.errorDetails[0].localizedValue, '', '');
                }
                this.files.map(f => {
                    if (f.ID === attachedFile.ID) {
                        f.props.meta = uploadFailMsg;
                        f.props.error = true;
                        f.props.onDelete = () => this.deleteFile(f);
                        f.props.icon = this.utils.getIconFromFileType(f.type);
                        f.props.name = this.pConn$.getLocalizedValue('Unable to upload file', '', '');
                        f.inProgress = false;
                        const fieldName = this.pConn$.getStateProps().value;
                        const context = this.pConn$.getContextName();
                        // set errors to property to block submit even on errors in file upload
                        PCore.getMessageManager().addMessages({
                            messages: [
                                {
                                    type: 'error',
                                    message: this.pConn$.getLocalizedValue('Error with one or more files', '', '')
                                }
                            ],
                            property: fieldName,
                            pageReference: this.pConn$.getPageReference(),
                            context
                        });
                        delete f.props.progress;
                    }
                    return f;
                });
            }
            throw error;
        };
    }
    uploadFiles() {
        const filesToBeUploaded = this.files
            .filter(e => {
            const isFileUploaded = e.props && e.props.progress === 100;
            const fileHasError = e.props && e.props.error;
            const isFileUploadedinLastStep = e.responseProps && e.responseProps.pzInsKey;
            return !isFileUploaded && !fileHasError && !isFileUploadedinLastStep;
        })
            .map(f => window.PCore.getAttachmentUtils().uploadAttachment(f, () => {
            this.onUploadProgress();
        }, isFetchCanceled => {
            return this.errorHandler(isFetchCanceled, f);
        }, this.pConn$.getContextName()));
        Promise.allSettled(filesToBeUploaded)
            .then((fileResponses) => {
            fileResponses = fileResponses.filter(fr => fr.status !== 'rejected'); // in case of deleting an in progress file, promise gets cancelled but still enters then block
            if (fileResponses.length > 0) {
                this.files.forEach(f => {
                    const index = fileResponses.findIndex((fr) => fr.value.clientFileID === f.ID);
                    if (index >= 0) {
                        f.props.meta = this.pConn$.getLocalizedValue('Uploaded successfully', '', '');
                        f.props.progress = 100;
                        f.inProgress = false;
                        f.handle = fileResponses[index].value.ID;
                        f.label = this.valueRef;
                        f.category = this.categoryName;
                        f.responseProps = {
                            pzInsKey: 'temp',
                            pyAttachName: f.props.name
                        };
                    }
                });
                this.updateAttachments();
                if (this.filesWithError?.length === 0) {
                    this.clearFieldErrorMessages();
                }
            }
        })
            .catch(error => {
            console.log(error);
        });
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
        PCore.getPubSubUtils().unsubscribe(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.ASSIGNMENT_SUBMISSION, this.caseID);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AttachmentComponent, deps: [{ token: AngularPConnectService }, { token: Utils }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AttachmentComponent, isStandalone: true, selector: "app-attachment", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, viewQueries: [{ propertyName: "fileInput", first: true, predicate: ["uploader"], descendants: true }], ngImport: i0, template: "<div class=\"file-upload-container\" *ngIf=\"bVisible$\">\n  <span class=\"attachment-label\" [ngClass]=\"{ 'file-label': bRequired$ }\">{{ label$ }}</span>\n  <div *ngIf=\"(files.length === 0 && !allowMultiple$) || allowMultiple$\">\n    <div\n      style=\"margin-bottom: 10px\"\n      id=\"attachment-container\"\n      [ngClass]=\"validateMessage ? 'psdk-modal-file-selector-error' : 'psdk-modal-file-selector'\"\n    >\n      <div [hidden]=\"true\" id=\"attachment-ID\">\n        {{ valueRef }}\n      </div>\n      <input hidden type=\"file\" [required]=\"bRequired$\" #uploader [id]=\"valueRef\" [multiple]=\"allowMultiple$\" (change)=\"onFileAdded($event)\" />\n      <button mat-stroked-button color=\"primary\" [disabled]=\"bDisabled$\" (click)=\"uploader.click()\">\n        {{\n          allowMultiple$\n            ? uploadMultipleFilesLabel === 'file_upload_text_multiple'\n              ? 'Choose files'\n              : uploadMultipleFilesLabel\n            : uploadSingleFileLabel === 'file_upload_text_one'\n              ? 'Choose a file'\n              : uploadSingleFileLabel\n        }}\n      </button>\n    </div>\n  </div>\n  <span *ngIf=\"validateMessage\" class=\"file-error\">{{ validateMessage }}</span>\n  <div *ngIf=\"files && files.length > 0\">\n    <div *ngFor=\"let file of files\">\n      <div class=\"psdk-attachment-card\">\n        <div className=\"psdk-utility-card-icon\">\n          <img *ngIf=\"!file.inProgress\" class=\"psdk-attachment-card-svg-icon\" src=\"{{ srcImg }}\" />\n          <mat-spinner *ngIf=\"file.inProgress\" class=\"progress-spinner\" diameter=\"40\"></mat-spinner>\n        </div>\n        <div class=\"psdk-attachment-card-main\">\n          <div class=\"psdk-attachment-card-main-primary-label\">{{ file.props.name }}</div>\n          <div *ngIf=\"file.props.meta\" [ngStyle]=\"{ color: file.props.error ? 'red' : null }\">{{ file.props.meta }}</div>\n        </div>\n        <div class=\"psdk-attachment-action\">\n          <button id=\"delete-attachment\" *ngIf=\"file.ID\" class=\"psdk-utility-button\" (click)=\"deleteFile(file)\">\n            <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ deleteIcon }}\" />\n          </button>\n          <div *ngIf=\"!file.ID\">\n            <button id=\"setting-button\" mat-icon-button [matMenuTriggerFor]=\"actionMenu\">\n              <mat-icon>more_vert</mat-icon>\n            </button>\n            <mat-menu #actionMenu=\"matMenu\">\n              <button mat-menu-item (click)=\"downloadFile(file.responseProps ? file.responseProps : {})\">Download</button>\n              <button mat-menu-item (click)=\"deleteFile(file)\">Delete</button>\n            </mat-menu>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".progress-spinner{text-align:center;position:absolute;left:45%}.psdk-modal-file-selector{border:1px dashed var(--app-neutral-dark-color);width:100%;padding:.3rem;text-align:center;position:relative}.psdk-modal-file-selector-error{border:1px dashed var(--app-error-light-color);width:100%;padding:.3rem;text-align:center;position:relative}.psdk-modal-file-selector{border:1px dashed var(--app-neutral-dark-color);padding:.5rem;text-align:center;position:relative}.label-required:after{display:inline;content:\" *\";vertical-align:top;color:var(--app-neutral-dark-color)}.file-error{color:var(--app-error-light-color)}.psdk-modal-file-selector-error{border:1px dashed var(--app-error-light-color);padding:.5rem;text-align:center;position:relative}.psdk-full-width{width:100%}.psdk-label-readonly{opacity:54%;font-size:.8rem;font-weight:400}.psdk-data-readonly{padding-top:.625rem;width:100%}.psdk-attachment-list{border:1px solid var(--app-neutral-color)}::ng-deep .mat-mdc-form-field-infix{width:auto}.psdk-attachment-card{display:flex;align-items:center;border:.0625rem solid rgb(207,207,207);border-radius:.25rem;padding:.25rem 0rem .25rem .25rem;min-height:3rem;margin-bottom:.5rem}.psdk-attachment-card-main-primary-label{font-weight:500;text-overflow:ellipsis;overflow:hidden;white-space:normal}.psdk-attachment-card-main{flex-grow:2;margin-left:5px}.psdk-attachment-action{flex-grow:1;text-align:right}.psdk-attachment-card-svg-icon{width:2.5rem}.psdk-utility-button{background:none;border:none;margin-right:.5rem;cursor:pointer}.psdk-utility-card-action-svg-icon{width:1.4rem;display:inline-block}.file-div{border:1px dashed var(--app-neutral-dark-color);width:100%;padding:.5rem;text-align:center;position:relative}.file-div-error{border:1px dashed var(--app-error-light-color);width:100%;padding:.5rem;text-align:center;position:relative}.attachment-label{display:block;margin-bottom:10px}.file-label:after{display:inline;content:\" *\";vertical-align:top;color:var(--app-neutral-dark-color)}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgStyle), selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatProgressSpinnerModule) }, { kind: "component", type: i0.forwardRef(() => i4$3.MatProgressSpinner), selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "mode", "value", "diameter", "strokeWidth"], exportAs: ["matProgressSpinner"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatMenuModule) }, { kind: "component", type: i0.forwardRef(() => i6.MatMenu), selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i0.forwardRef(() => i6.MatMenuItem), selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i0.forwardRef(() => i6.MatMenuTrigger), selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatIconModule) }, { kind: "component", type: i0.forwardRef(() => i2$3.MatIcon), selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => i3.MatIconButton), selector: "button[mat-icon-button]", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AttachmentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-attachment', standalone: true, imports: [CommonModule, MatProgressSpinnerModule, MatMenuModule, MatIconModule, MatButtonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"file-upload-container\" *ngIf=\"bVisible$\">\n  <span class=\"attachment-label\" [ngClass]=\"{ 'file-label': bRequired$ }\">{{ label$ }}</span>\n  <div *ngIf=\"(files.length === 0 && !allowMultiple$) || allowMultiple$\">\n    <div\n      style=\"margin-bottom: 10px\"\n      id=\"attachment-container\"\n      [ngClass]=\"validateMessage ? 'psdk-modal-file-selector-error' : 'psdk-modal-file-selector'\"\n    >\n      <div [hidden]=\"true\" id=\"attachment-ID\">\n        {{ valueRef }}\n      </div>\n      <input hidden type=\"file\" [required]=\"bRequired$\" #uploader [id]=\"valueRef\" [multiple]=\"allowMultiple$\" (change)=\"onFileAdded($event)\" />\n      <button mat-stroked-button color=\"primary\" [disabled]=\"bDisabled$\" (click)=\"uploader.click()\">\n        {{\n          allowMultiple$\n            ? uploadMultipleFilesLabel === 'file_upload_text_multiple'\n              ? 'Choose files'\n              : uploadMultipleFilesLabel\n            : uploadSingleFileLabel === 'file_upload_text_one'\n              ? 'Choose a file'\n              : uploadSingleFileLabel\n        }}\n      </button>\n    </div>\n  </div>\n  <span *ngIf=\"validateMessage\" class=\"file-error\">{{ validateMessage }}</span>\n  <div *ngIf=\"files && files.length > 0\">\n    <div *ngFor=\"let file of files\">\n      <div class=\"psdk-attachment-card\">\n        <div className=\"psdk-utility-card-icon\">\n          <img *ngIf=\"!file.inProgress\" class=\"psdk-attachment-card-svg-icon\" src=\"{{ srcImg }}\" />\n          <mat-spinner *ngIf=\"file.inProgress\" class=\"progress-spinner\" diameter=\"40\"></mat-spinner>\n        </div>\n        <div class=\"psdk-attachment-card-main\">\n          <div class=\"psdk-attachment-card-main-primary-label\">{{ file.props.name }}</div>\n          <div *ngIf=\"file.props.meta\" [ngStyle]=\"{ color: file.props.error ? 'red' : null }\">{{ file.props.meta }}</div>\n        </div>\n        <div class=\"psdk-attachment-action\">\n          <button id=\"delete-attachment\" *ngIf=\"file.ID\" class=\"psdk-utility-button\" (click)=\"deleteFile(file)\">\n            <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ deleteIcon }}\" />\n          </button>\n          <div *ngIf=\"!file.ID\">\n            <button id=\"setting-button\" mat-icon-button [matMenuTriggerFor]=\"actionMenu\">\n              <mat-icon>more_vert</mat-icon>\n            </button>\n            <mat-menu #actionMenu=\"matMenu\">\n              <button mat-menu-item (click)=\"downloadFile(file.responseProps ? file.responseProps : {})\">Download</button>\n              <button mat-menu-item (click)=\"deleteFile(file)\">Delete</button>\n            </mat-menu>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".progress-spinner{text-align:center;position:absolute;left:45%}.psdk-modal-file-selector{border:1px dashed var(--app-neutral-dark-color);width:100%;padding:.3rem;text-align:center;position:relative}.psdk-modal-file-selector-error{border:1px dashed var(--app-error-light-color);width:100%;padding:.3rem;text-align:center;position:relative}.psdk-modal-file-selector{border:1px dashed var(--app-neutral-dark-color);padding:.5rem;text-align:center;position:relative}.label-required:after{display:inline;content:\" *\";vertical-align:top;color:var(--app-neutral-dark-color)}.file-error{color:var(--app-error-light-color)}.psdk-modal-file-selector-error{border:1px dashed var(--app-error-light-color);padding:.5rem;text-align:center;position:relative}.psdk-full-width{width:100%}.psdk-label-readonly{opacity:54%;font-size:.8rem;font-weight:400}.psdk-data-readonly{padding-top:.625rem;width:100%}.psdk-attachment-list{border:1px solid var(--app-neutral-color)}::ng-deep .mat-mdc-form-field-infix{width:auto}.psdk-attachment-card{display:flex;align-items:center;border:.0625rem solid rgb(207,207,207);border-radius:.25rem;padding:.25rem 0rem .25rem .25rem;min-height:3rem;margin-bottom:.5rem}.psdk-attachment-card-main-primary-label{font-weight:500;text-overflow:ellipsis;overflow:hidden;white-space:normal}.psdk-attachment-card-main{flex-grow:2;margin-left:5px}.psdk-attachment-action{flex-grow:1;text-align:right}.psdk-attachment-card-svg-icon{width:2.5rem}.psdk-utility-button{background:none;border:none;margin-right:.5rem;cursor:pointer}.psdk-utility-card-action-svg-icon{width:1.4rem;display:inline-block}.file-div{border:1px dashed var(--app-neutral-dark-color);width:100%;padding:.5rem;text-align:center;position:relative}.file-div-error{border:1px dashed var(--app-error-light-color);width:100%;padding:.5rem;text-align:center;position:relative}.attachment-label{display:block;margin-bottom:10px}.file-label:after{display:inline;content:\" *\";vertical-align:top;color:var(--app-neutral-dark-color)}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }, { type: i0.NgZone }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], fileInput: [{
                type: ViewChild,
                args: ['uploader', { static: false }]
            }] } });

class CaseHistoryComponent {
    constructor(utils) {
        this.utils = utils;
        this.displayedColumns$ = Array();
        this.waitingForData = false;
    }
    ngOnInit() {
        this.configProps$ = this.pConn$.getConfigProps();
        const caseID = this.pConn$.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ID);
        const dataViewName = 'D_pyWorkHistory';
        const context = this.pConn$.getContextName();
        this.waitingForData = true;
        const caseHistoryData = PCore.getDataApiUtils().getData(dataViewName, { dataViewParameters: [{ CaseInstanceKey: caseID }] }, context);
        caseHistoryData.then((historyJSON) => {
            this.fields$ = [
                { label: this.pConn$.getLocalizedValue('Date', '', ''), type: 'DateTime', fieldName: 'pxTimeCreated' },
                { label: this.pConn$.getLocalizedValue('Description', '', ''), type: 'TextInput', fieldName: 'pyMessageKey' },
                { label: this.pConn$.getLocalizedValue('Performed by', '', ''), type: 'TextInput', fieldName: 'pyPerformer' }
            ];
            const tableDataResults = this.updateData(historyJSON.data.data, this.fields$);
            this.displayedColumns$ = this.getDisplayColumns(this.fields$);
            this.repeatList$ = new MatTableDataSource(tableDataResults);
            this.waitingForData = false;
        });
    }
    // This method isn't being used anywhere, keeping it as a reference for now
    // updateFields(arFields, arColumns): any[] {
    //   const arReturn = arFields;
    //   for (const i in arReturn) {
    //     arReturn[i].config.name = arColumns[i];
    //   }
    //   return arReturn;
    // }
    updateData(listData, fieldData) {
        const returnList = new Array();
        listData.forEach(row => {
            // copy
            const rowData = JSON.parse(JSON.stringify(row));
            for (const field of fieldData) {
                const fieldName = field.fieldName;
                let formattedDate;
                switch (field.type) {
                    case 'Date':
                        formattedDate = this.utils.generateDate(rowData[fieldName], 'Date-Short-YYYY');
                        rowData[fieldName] = formattedDate;
                        break;
                    case 'DateTime':
                        formattedDate = this.utils.generateDateTime(rowData[fieldName], 'DateTime-Short-YYYY');
                        rowData[fieldName] = formattedDate;
                        break;
                    default:
                        break;
                }
            }
            returnList.push(rowData);
        });
        return returnList;
    }
    getDisplayColumns(fields = []) {
        return fields.map(field => {
            return field.fieldName;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseHistoryComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CaseHistoryComponent, isStandalone: true, selector: "app-case-history", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div>\n  <h2 class=\"psdk-case-history-title\">{{ configProps$.label }}</h2>\n  <table mat-table [dataSource]=\"repeatList$\">\n    <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.fieldName\">\n      <th mat-header-cell *matHeaderCellDef>{{ dCol.label }}</th>\n      <td mat-cell *matCellDef=\"let element\">{{ element[dCol.fieldName] }}</td>\n    </ng-container>\n\n    <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n    <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n  </table>\n</div>\n", styles: ["table{width:100%}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-search{padding-left:.625rem}.psdk-icon-search{vertical-align:sub;padding:0rem .125rem;min-width:unset;width:1.1rem}.psdk-case-history-title{margin-left:.5rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: MatTableModule }, { kind: "component", type: i6$2.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i6$2.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i6$2.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i6$2.MatColumnDef, selector: "[matColumnDef]", inputs: ["matColumnDef"] }, { kind: "directive", type: i6$2.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i6$2.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i6$2.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i6$2.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i6$2.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i6$2.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseHistoryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-history', standalone: true, imports: [CommonModule, MatTableModule], template: "<div>\n  <h2 class=\"psdk-case-history-title\">{{ configProps$.label }}</h2>\n  <table mat-table [dataSource]=\"repeatList$\">\n    <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.fieldName\">\n      <th mat-header-cell *matHeaderCellDef>{{ dCol.label }}</th>\n      <td mat-cell *matCellDef=\"let element\">{{ element[dCol.fieldName] }}</td>\n    </ng-container>\n\n    <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n    <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\"></tr>\n  </table>\n</div>\n", styles: ["table{width:100%}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-search{padding-left:.625rem}.psdk-icon-search{vertical-align:sub;padding:0rem .125rem;min-width:unset;width:1.1rem}.psdk-case-history-title{margin-left:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class FileUtilityComponent {
    constructor(angularPConnect, utils, ngZone) {
        this.angularPConnect = angularPConnect;
        this.utils = utils;
        this.ngZone = ngZone;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
        this.arFullListAttachments = [];
        this.lu_name$ = '';
        this.lu_icon$ = '';
        this.lu_bLoading$ = false;
        this.lu_count$ = 0;
        this.lu_arActions$ = [];
        this.lu_arItems$ = [];
        this.va_arItems$ = [];
        this.bShowFileModal$ = false;
        this.bShowLinkModal$ = false;
        this.bShowViewAllModal$ = false;
        this.arFileMainButtons$ = [];
        this.arFileSecondaryButtons$ = [];
        this.arLinkMainButtons$ = [];
        this.arLinkSecondaryButtons$ = [];
        this.arFiles$ = [];
        this.arFileList$ = [];
        this.arLinks$ = [];
        this.arLinksList$ = [];
        this.link_title$ = '';
        this.link_url$ = '';
        this.closeSvgIcon$ = '';
        this.currentCaseID = '';
        this.getNewListUtilityItemProps = ({ att, cancelFile, downloadFile, deleteFile, removeFile }) => {
            let actions;
            let isDownloadable = false;
            if (att.progress && att.progress !== 100) {
                actions = [
                    {
                        id: `Cancel-${att.ID}`,
                        text: 'Cancel',
                        icon: 'times',
                        onClick: cancelFile
                    }
                ];
            }
            else if (att.links) {
                const isFile = att.type === 'FILE';
                const ID = att.ID.replace(/\s/gi, '');
                const actionsMap = new Map([
                    [
                        'download',
                        {
                            id: `download-${ID}`,
                            text: isFile ? 'Download' : 'Open',
                            icon: isFile ? 'download' : 'open',
                            onClick: downloadFile
                        }
                    ],
                    [
                        'delete',
                        {
                            id: `Delete-${ID}`,
                            text: 'Delete',
                            icon: 'trash',
                            onClick: deleteFile
                        }
                    ]
                ]);
                actions = [];
                actionsMap.forEach((action, actionKey) => {
                    if (att.links[actionKey]) {
                        actions.push(action);
                    }
                });
                // eslint-disable-next-line @typescript-eslint/no-unused-vars
                isDownloadable = att.links.download;
            }
            else if (att.error) {
                actions = [
                    {
                        id: `Remove-${att.ID}`,
                        text: 'Remove',
                        icon: 'trash',
                        onClick: removeFile
                    }
                ];
            }
            return {
                id: att.ID,
                visual: {
                    icon: this.utils.getIconForAttachment(att),
                    progress: att.progress == 100 ? undefined : att.progress
                },
                primary: {
                    type: att.type,
                    name: att.name,
                    icon: 'trash',
                    click: removeFile
                },
                secondary: {
                    text: att.meta
                },
                actions
            };
        };
        this.getListUtilityItemProps = ({ att, cancelFile, downloadFile, deleteFile, removeFile }) => {
            let actions;
            let isDownloadable = false;
            if (att.progress && att.progress !== 100) {
                actions = [
                    {
                        id: `Cancel-${att.ID}`,
                        text: this.pConn$.getLocalizedValue('Cancel', '', ''),
                        icon: 'times',
                        onClick: cancelFile
                    }
                ];
            }
            else if (att.links) {
                const isFile = att.type === 'FILE';
                const ID = att.ID.replace(/\s/gi, '');
                const actionsMap = new Map([
                    [
                        'download',
                        {
                            id: `download-${ID}`,
                            text: isFile ? this.pConn$.getLocalizedValue('Download', '', '') : this.pConn$.getLocalizedValue('Open', '', ''),
                            icon: isFile ? 'download' : 'open',
                            onClick: downloadFile
                        }
                    ],
                    [
                        'delete',
                        {
                            id: `Delete-${ID}`,
                            text: this.pConn$.getLocalizedValue('Delete', '', ''),
                            icon: 'trash',
                            onClick: deleteFile
                        }
                    ]
                ]);
                actions = [];
                actionsMap.forEach((action, actionKey) => {
                    if (att.links[actionKey]) {
                        actions.push(action);
                    }
                });
                // eslint-disable-next-line @typescript-eslint/no-unused-vars
                isDownloadable = att.links.download;
            }
            else if (att.error) {
                actions = [
                    {
                        id: `Remove-${att.ID}`,
                        text: this.pConn$.getLocalizedValue('Remove', '', ''),
                        icon: 'trash',
                        onClick: removeFile
                    }
                ];
            }
            return {
                id: att.ID,
                visual: {
                    icon: this.utils.getIconForAttachment(att),
                    progress: att.progress == 100 ? undefined : att.progress
                },
                primary: {
                    type: att.type,
                    name: att.name,
                    icon: 'open',
                    click: downloadFile
                },
                secondary: {
                    text: att.meta
                },
                actions
            };
        };
        this.fileDownload = (data, fileName, ext) => {
            const file = ext ? `${fileName}.${ext}` : fileName;
            download(atob(data), file);
        };
    }
    ngOnInit() {
        // // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        const configProps = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.lu_name$ = configProps.label ?? '';
        this.lu_icon$ = 'paper-clip';
        this.closeSvgIcon$ = this.utils.getImageSrc('times', this.utils.getSDKStaticContentUrl());
        this.addAttachmentsActions = [
            {
                text: this.pConn$.getLocalizedValue('Add files', '', ''),
                id: 'addNewFiles',
                onClick: () => this.createModal('addLocalFile')
            },
            {
                text: this.pConn$.getLocalizedValue('Add links', '', ''),
                id: 'addNewLinks',
                onClick: () => this.createModal('addLocalLink')
            }
        ];
        // const onViewAllCallback = () => this.onViewAll(this.arFullListAttachments);
        this.lu_onViewAllFunction = { onClick: this.onViewAll.bind(this) };
        this.removeFileFromList$ = { onClick: this.removeFileFromList.bind(this) };
        this.removeLinksFromList$ = { onClick: this.removeLinksFromList.bind(this) };
        this.updateSelf();
        this.createModalButtons();
        PCore.getPubSubUtils().subscribe(PCore.getEvents().getCaseEvent().CASE_ATTACHMENTS_UPDATED_FROM_CASEVIEW, this.updateSelf.bind(this), 'caseAttachmentsUpdateFromCaseview');
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
        PCore.getPubSubUtils().unsubscribe(PCore.getEvents().getCaseEvent().CASE_ATTACHMENTS_UPDATED_FROM_CASEVIEW, 'caseAttachmentsUpdateFromCaseview');
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        // adding a property to track in configProps, when ever the attachment file changes
        // need to trigger a redraw
        this.pConn$.registerAdditionalProps({
            lastRefreshTime: `@P ${PCore.getConstants().SUMMARY_OF_ATTACHMENTS_LAST_REFRESH_TIME}`
        });
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf || this.caseHasChanged()) {
            this.updateSelf();
        }
    }
    onAttachFiles(files) {
        const attachmentUtils = PCore.getAttachmentUtils();
        const caseID = this.pConn$.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ID);
        if (files.length > 0) {
            this.lu_bLoading$ = true;
        }
        const arFiles = Array.from(files);
        Promise.allSettled(arFiles.map(file => attachmentUtils.uploadAttachment(file, this.onUploadProgress, this.errorHandler, this.pConn$.getContextName())))
            .then((fileResponses) => {
            const uploadedFiles = [];
            fileResponses.forEach(fileResponse => {
                if (fileResponse.status === 'fulfilled') {
                    uploadedFiles.push(fileResponse.value);
                }
            });
            if (uploadedFiles.length > 0) {
                attachmentUtils.linkAttachmentsToCase(caseID, uploadedFiles, 'File', this.pConn$.getContextName())
                    .then(() => {
                    this.refreshAttachments();
                })
                    .catch();
            }
        })
            .catch();
        this.arFileList$ = [];
        this.lu_bLoading$ = false;
    }
    refreshAttachments() {
        this.updateSelf();
    }
    onUploadProgress() { }
    errorHandler() { }
    onAttachLinks(links) {
        const attachmentUtils = PCore.getAttachmentUtils();
        const caseID = this.pConn$.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ID);
        if (links.length > 0) {
            this.lu_bLoading$ = true;
        }
        const linksToAttach = links.map(link => ({
            type: 'URL',
            category: 'URL',
            url: link.url,
            name: link.linkTitle
        }));
        attachmentUtils.linkAttachmentsToCase(caseID, linksToAttach, 'URL', this.pConn$.getContextName())
            .then(() => {
            this.refreshAttachments();
        })
            .catch(console.log);
    }
    addAttachments(attsFromResp = []) {
        this.lu_bLoading$ = false;
        attsFromResp = attsFromResp.map(respAtt => {
            const updatedAtt = {
                ...respAtt,
                meta: `${respAtt.category} . ${this.utils.generateDateTime(respAtt.createTime, 'DateTime-Since')}, ${respAtt.createdBy}`
            };
            if (updatedAtt.type === 'FILE') {
                updatedAtt.nameWithExt = updatedAtt.fileName;
            }
            return updatedAtt;
        });
        return attsFromResp;
    }
    onViewAll() {
        this.bShowViewAllModal$ = true;
        // add clickAway listener
        // window.addEventListener('mouseup', this._clickAway.bind(this));
    }
    // Below method is not needed, still having it commented in case we want in future
    // _clickAway(event: any) {
    //   let bInPopUp = false;
    //   // run through list of elements in path, if menu not in th path, then want to
    //   // hide (toggle) the menu
    //   for (const i in event.path) {
    //     if (event.path[i].className == 'psdk-modal-file-top' || event.path[i].tagName == 'BUTTON') {
    //       bInPopUp = true;
    //       break;
    //     }
    //   }
    //   if (!bInPopUp) {
    //     this.bShowViewAllModal$ = false;
    //     window.removeEventListener('mouseup', this._clickAway.bind(this));
    //   }
    // }
    _closeViewAll() {
        this.bShowViewAllModal$ = false;
        // window.removeEventListener('mouseup', this._clickAway.bind(this));
    }
    removeFileFromList(item) {
        if (item != null) {
            const arFileList = this.arFileList$;
            const itemId = item.id;
            for (let fileIndex = 0; fileIndex < arFileList.length; fileIndex++) {
                if (arFileList[fileIndex].id == itemId) {
                    // remove the file from the list and redraw
                    this.ngZone.run(() => {
                        arFileList.splice(fileIndex, 1);
                    });
                    break;
                }
            }
        }
    }
    removeLinksFromList(item) {
        const localLinksList = this.arLinksList$.slice();
        if (item != null) {
            const itemId = item.id;
            for (let linkIndex = 0; linkIndex < localLinksList.length; linkIndex++) {
                if (localLinksList[linkIndex].id == itemId) {
                    // remove the file from the list and redraw
                    localLinksList.splice(linkIndex, 1);
                    this.ngZone.run(() => {
                        this.arLinksList$ = localLinksList.slice();
                    });
                    break;
                }
            }
        }
    }
    _addLink() {
        // copy list locally
        const localList = this.arLinksList$.slice();
        const url = this.link_url$;
        if (!/^(http|https):\/\//.test(this.link_url$)) {
            this.link_url$ = `http://${this.link_url$}`;
        }
        // list for display
        let oLink = {};
        oLink.icon = 'chain';
        oLink.ID = `${new Date().getTime()}`;
        oLink = this.getNewListUtilityItemProps({
            att: oLink,
            downloadFile: null,
            cancelFile: null,
            deleteFile: null,
            removeFile: null
        });
        oLink.type = 'URL';
        oLink.primary.type = oLink.type;
        oLink.visual.icon = 'chain';
        oLink.primary.name = this.link_title$;
        oLink.primary.icon = 'open';
        oLink.secondary.text = url;
        this.ngZone.run(() => {
            // need to create a new array or summary list won't detect changes
            this.arLinksList$ = localList.slice();
            this.arLinksList$.push(oLink);
            // list for actually attachments
            const link = {};
            link.id = oLink.id;
            link.linkTitle = this.link_title$;
            link.type = oLink.type;
            link.url = url;
            this.arLinks$.push(link);
            // clear values
            this.link_title$ = '';
            this.link_url$ = '';
        });
    }
    _changeTitle(event) {
        this.link_title$ = event.srcElement.value;
    }
    _changeUrl(event) {
        this.link_url$ = event.srcElement.value;
    }
    downloadFile(att) {
        const attachUtils = PCore.getAttachmentUtils();
        const { ID, name, extension, type } = att;
        const context = this.pConn$.getContextName();
        attachUtils
            // @ts-ignore - 3rd parameter "responseEncoding" is optional
            .downloadAttachment(ID, context)
            .then((content) => {
            if (type === 'FILE') {
                this.fileDownload(content.data, name, extension);
            }
            else if (type === 'URL') {
                let { data } = content;
                if (!/^(http|https):\/\//.test(data)) {
                    data = `//${data}`;
                }
                window.open(content.data, '_blank');
            }
        })
            .catch(console.error);
    }
    cancelFile() {
        alert('cancel');
    }
    deleteFile(att) {
        setTimeout(() => {
            const attachUtils = PCore.getAttachmentUtils();
            const { ID } = att;
            const context = this.pConn$.getContextName();
            attachUtils
                .deleteAttachment(ID, context)
                .then(() => {
                this.updateSelf();
                // let newAttachments;
                // setAttachments((current) => {
                //   newAttachments = current.filter((file) => file.ID !== ID);
                //   return newAttachments;
                // });
                // if (callbackFn) {
                //   callbackFn(newAttachments);
                // }
            })
                .catch(console.error);
        });
    }
    removeFile() {
        alert('remove');
    }
    removeNewFile() {
        alert('remove');
    }
    createModal(modalType) {
        switch (modalType) {
            case 'addLocalFile':
                this.ngZone.run(() => {
                    this.bShowFileModal$ = true;
                });
                break;
            case 'addLocalLink':
                this.ngZone.run(() => {
                    this.bShowLinkModal$ = true;
                });
                break;
            default:
                break;
        }
    }
    createModalButtons() {
        this.arFileMainButtons$.push({ actionID: 'attach', jsAction: 'attachFiles', name: this.pConn$.getLocalizedValue('Attach files', '', '') });
        this.arFileSecondaryButtons$.push({ actionID: 'cancel', jsAction: 'cancel', name: this.pConn$.getLocalizedValue('Cancel', '', '') });
        this.arLinkMainButtons$.push({ actionID: 'attach', jsAction: 'attachLinks', name: this.pConn$.getLocalizedValue('Attach links', '', '') });
        this.arLinkSecondaryButtons$.push({ actionID: 'cancel', jsAction: 'cancel', name: this.pConn$.getLocalizedValue('Cancel', '', '') });
    }
    uploadMyFiles($event) {
        // alert($event.target.files[0]); // outputs the first file
        this.arFiles$ = this.getFiles($event.target.files);
        // convert FileList to an array
        const myFiles = Array.from(this.arFiles$);
        this.arFileList$ = myFiles.map(att => {
            return this.getNewListUtilityItemProps({
                att,
                downloadFile: !att.progress ? () => this.downloadFile(att) : null,
                cancelFile: att.progress ? () => this.cancelFile() : null,
                deleteFile: !att.progress ? () => this.deleteFile(att) : null,
                removeFile: att.error ? () => this.removeNewFile() : null
            });
        });
    }
    getFiles(arFiles) {
        return this.setNewFiles(arFiles);
    }
    setNewFiles(arFiles) {
        let index = 0;
        for (const file of arFiles) {
            if (!this.validateMaxSize(file, 5)) {
                file.error = true;
                file.meta = 'File is too big. Max allowed size is 5MB.';
            }
            file.mimeType = file.type;
            file.icon = this.utils.getIconFromFileType(file.type);
            file.ID = `${new Date().getTime()}I${index}`;
            index++;
        }
        return arFiles;
    }
    validateMaxSize(fileObj, maxSizeInMB) {
        const fileSize = (fileObj.size / 1048576).toFixed(2);
        return fileSize < maxSizeInMB;
    }
    onFileActionButtonClick(event) {
        // modal buttons
        switch (event.action) {
            case 'cancel':
                this.bShowFileModal$ = false;
                this.clearOutFiles();
                break;
            case 'attachFiles':
                this.bShowFileModal$ = false;
                this.onAttachFiles(this.arFiles$);
                this.clearOutFiles();
                break;
            default:
                break;
        }
    }
    onLinkActionButtonClick(event) {
        // modal buttons
        switch (event.action) {
            case 'cancel':
                this.bShowLinkModal$ = false;
                this.clearOutLinks();
                break;
            case 'attachLinks':
                this.bShowLinkModal$ = false;
                this.onAttachLinks(this.arLinks$);
                this.clearOutLinks();
                break;
            default:
                break;
        }
    }
    clearOutFiles() {
        this.arFileList$ = [];
        this.arFiles$ = [];
    }
    clearOutLinks() {
        this.arLinksList$ = [];
        this.arLinks$ = [];
        this.link_title$ = '';
        this.link_url$ = '';
    }
    addALink() { }
    _fieldOnChangeLink(event) {
        this.link_title$ = event.target.value;
    }
    _fieldOnChangeURL(event) {
        this.link_url$ = event.target.value;
    }
    updateSelf() {
        const caseID = this.getCaseID();
        if (caseID) {
            this.lu_bLoading$ = true;
            this.fetchCaseAttachments(caseID)
                .then(resp => {
                this.handleAttachmentsResponse(resp);
            })
                .catch(err => {
                console.log(err);
            })
                .finally(() => {
                this.lu_bLoading$ = false;
            });
        }
    }
    getCaseID() {
        return this.pConn$.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ID) || '';
    }
    fetchCaseAttachments(caseID) {
        const attachmentUtils = PCore.getAttachmentUtils();
        return attachmentUtils.getCaseAttachments(caseID, this.pConn$.getContextName());
    }
    handleAttachmentsResponse(resp) {
        this.arFullListAttachments = this.addAttachments(resp);
        this.lu_count$ = this.arFullListAttachments.length;
        this.lu_arActions$ = this.addAttachmentsActions;
        this.lu_arItems$ = this.getUtilityItems(this.arFullListAttachments.slice(0, 3));
        this.va_arItems$ = this.getUtilityItems(this.arFullListAttachments);
    }
    getUtilityItems(attachments) {
        return attachments.map(this.mapAttachmentToUtilityItem.bind(this));
    }
    mapAttachmentToUtilityItem(att) {
        return this.getListUtilityItemProps({
            att,
            downloadFile: this.getDownloadFunction(att),
            cancelFile: this.getCancelFunction(att),
            deleteFile: this.getDeleteFunction(att),
            removeFile: this.getRemoveFunction(att)
        });
    }
    getDownloadFunction(att) {
        return !att.progress ? () => this.downloadFile(att) : null;
    }
    getCancelFunction(att) {
        return att.progress ? () => this.cancelFile() : null;
    }
    getDeleteFunction(att) {
        return !att.progress ? () => this.deleteFile(att) : null;
    }
    getRemoveFunction(att) {
        return att.error ? () => this.removeFile() : null;
    }
    caseHasChanged() {
        const caseID = this.pConn$.getValue(PCore.getConstants().CASE_INFO.CASE_INFO_ID);
        if (this.currentCaseID !== caseID) {
            this.currentCaseID = caseID;
            return true;
        }
        return false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FileUtilityComponent, deps: [{ token: AngularPConnectService }, { token: Utils }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FileUtilityComponent, isStandalone: true, selector: "app-file-utility", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div>\n  <component-mapper\n    name=\"ListUtility\"\n    [props]=\"{\n      name$: lu_name$,\n      icon$: lu_icon$,\n      bLoading$: lu_bLoading$,\n      count$: lu_count$,\n      arActions$: lu_arActions$,\n      arItems$: lu_arItems$,\n      onViewAll$: lu_onViewAllFunction,\n      menuIconOverrideAction$: removeFileFromList$\n    }\"\n  ></component-mapper>\n</div>\n\n<div *ngIf=\"bShowFileModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-file-top\">\n    <h3>{{ pConn$.getLocalizedValue('Add local files', '', '') }}</h3>\n    <div class=\"psdk-modal-body\">\n      <div class=\"psdk-modal-file-selector\">\n        <input hidden type=\"file\" multiple #uploader (change)=\"uploadMyFiles($event)\" />\n\n        <button mat-stroked-button color=\"primary\" (click)=\"uploader.click()\">{{ pConn$.getLocalizedValue('Upload file(s)', '', '') }}</button>\n      </div>\n\n      <component-mapper\n        name=\"SummaryList\"\n        [props]=\"{ arItems$: arFileList$, menuIconOverride$: 'trash', menuIconOverrideAction$: removeFileFromList$ }\"\n      ></component-mapper>\n    </div>\n\n    <component-mapper\n      name=\"ActionButtons\"\n      [props]=\"{ arMainButtons$: arFileMainButtons$, arSecondaryButtons$: arFileSecondaryButtons$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onFileActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n\n<div *ngIf=\"bShowLinkModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-link-top\">\n    <h3>{{ pConn$.getLocalizedValue('Add links', '', '') }}</h3>\n    <div class=\"psdk-modal-link-entry\">\n      <div class=\"psdk-modal-body\">\n        <div class=\"psdk-modal-links-row\">\n          <div class=\"psdk-links-two-column\">\n            <div class=\"psdk-modal-link-data\">\n              <mat-form-field class=\"psdk-full-width\">\n                <mat-label>Link title</mat-label>\n                <input matInput type=\"text\" required=\"true\" (change)=\"_fieldOnChangeLink($event)\" [value]=\"link_title$\" />\n              </mat-form-field>\n            </div>\n            <div class=\"psdk-modal-link-data\">\n              <mat-form-field class=\"psdk-full-width\">\n                <mat-label>URL</mat-label>\n                <input matInput type=\"text\" required=\"true\" (change)=\"_fieldOnChangeURL($event)\" [value]=\"link_url$\" />\n              </mat-form-field>\n            </div>\n          </div>\n\n          <div class=\"psdk-modal-link-add\">\n            <button mat-raised-button color=\"primary\" (click)=\"_addLink()\">{{ pConn$.getLocalizedValue('Add link', '', '') }}</button>\n          </div>\n        </div>\n\n        <component-mapper\n          name=\"SummaryList\"\n          [props]=\"{ arItems$: arLinksList$, menuIconOverride$: 'trash', menuIconOverrideAction$: removeLinksFromList$ }\"\n        ></component-mapper>\n      </div>\n    </div>\n\n    <component-mapper\n      name=\"ActionButtons\"\n      [props]=\"{ arMainButtons$: arLinkMainButtons$, arSecondaryButtons$: arLinkSecondaryButtons$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onLinkActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n\n<div *ngIf=\"bShowViewAllModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-file-top\">\n    <div class=\"psdk-view-all-header\">\n      <div>\n        <h3>{{ pConn$.getLocalizedValue('Attachments', '', '') }}</h3>\n      </div>\n      <div>\n        <button mat-icon-button (click)=\"_closeViewAll()\">\n          <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ closeSvgIcon$ }}\" />\n        </button>\n      </div>\n    </div>\n    <div class=\"psdk-view-all-body\">\n      <component-mapper name=\"SummaryList\" [props]=\"{ arItems$: va_arItems$, menuIconOverrideAction$: removeLinksFromList$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-dialog-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:999;top:0;left:0}.psdk-modal-file-top,.psdk-modal-link-top{display:table;margin:auto;min-width:650px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}.psdk-modal-file-selector{border:1px dashed var(--app-neutral-dark-color);width:100%;padding:.3rem;text-align:center}.psdk-modal-link-entry{display:flex;flex-direction:row}.psdk-modal-link-data{flex-grow:3;margin:0 .3rem}.psdk-modal-link-add{flex-grow:1}.psdk-full-width{width:100%}.psdk-modal-body{max-height:500px;overflow-y:auto;overflow-x:hidden;width:100%}.psdk-view-all-header{display:flex;justify-content:space-between}.psdk-view-all-close-icon{width:1.5rem}.psdk-view-all-body{max-height:500px;overflow-y:auto;overflow-x:hidden}.psdk-links-two-column{display:grid;grid-template-columns:repeat(2,1fr);gap:1rem;width:85%}.psdk-modal-links-row{display:flex;flex-direction:row;justify-content:space-between}.psdk-links-add-link{padding:15px}ul{columns:2;-webkit-columns:2;-moz-columns:2}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => i3.MatIconButton), selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => i5.MatFormField), selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i0.forwardRef(() => i5.MatLabel), selector: "mat-label" }, { kind: "ngmodule", type: i0.forwardRef(() => MatInputModule) }, { kind: "directive", type: i0.forwardRef(() => i6$1.MatInput), selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FileUtilityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-file-utility', standalone: true, imports: [CommonModule, MatButtonModule, MatFormFieldModule, MatInputModule, forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <component-mapper\n    name=\"ListUtility\"\n    [props]=\"{\n      name$: lu_name$,\n      icon$: lu_icon$,\n      bLoading$: lu_bLoading$,\n      count$: lu_count$,\n      arActions$: lu_arActions$,\n      arItems$: lu_arItems$,\n      onViewAll$: lu_onViewAllFunction,\n      menuIconOverrideAction$: removeFileFromList$\n    }\"\n  ></component-mapper>\n</div>\n\n<div *ngIf=\"bShowFileModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-file-top\">\n    <h3>{{ pConn$.getLocalizedValue('Add local files', '', '') }}</h3>\n    <div class=\"psdk-modal-body\">\n      <div class=\"psdk-modal-file-selector\">\n        <input hidden type=\"file\" multiple #uploader (change)=\"uploadMyFiles($event)\" />\n\n        <button mat-stroked-button color=\"primary\" (click)=\"uploader.click()\">{{ pConn$.getLocalizedValue('Upload file(s)', '', '') }}</button>\n      </div>\n\n      <component-mapper\n        name=\"SummaryList\"\n        [props]=\"{ arItems$: arFileList$, menuIconOverride$: 'trash', menuIconOverrideAction$: removeFileFromList$ }\"\n      ></component-mapper>\n    </div>\n\n    <component-mapper\n      name=\"ActionButtons\"\n      [props]=\"{ arMainButtons$: arFileMainButtons$, arSecondaryButtons$: arFileSecondaryButtons$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onFileActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n\n<div *ngIf=\"bShowLinkModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-link-top\">\n    <h3>{{ pConn$.getLocalizedValue('Add links', '', '') }}</h3>\n    <div class=\"psdk-modal-link-entry\">\n      <div class=\"psdk-modal-body\">\n        <div class=\"psdk-modal-links-row\">\n          <div class=\"psdk-links-two-column\">\n            <div class=\"psdk-modal-link-data\">\n              <mat-form-field class=\"psdk-full-width\">\n                <mat-label>Link title</mat-label>\n                <input matInput type=\"text\" required=\"true\" (change)=\"_fieldOnChangeLink($event)\" [value]=\"link_title$\" />\n              </mat-form-field>\n            </div>\n            <div class=\"psdk-modal-link-data\">\n              <mat-form-field class=\"psdk-full-width\">\n                <mat-label>URL</mat-label>\n                <input matInput type=\"text\" required=\"true\" (change)=\"_fieldOnChangeURL($event)\" [value]=\"link_url$\" />\n              </mat-form-field>\n            </div>\n          </div>\n\n          <div class=\"psdk-modal-link-add\">\n            <button mat-raised-button color=\"primary\" (click)=\"_addLink()\">{{ pConn$.getLocalizedValue('Add link', '', '') }}</button>\n          </div>\n        </div>\n\n        <component-mapper\n          name=\"SummaryList\"\n          [props]=\"{ arItems$: arLinksList$, menuIconOverride$: 'trash', menuIconOverrideAction$: removeLinksFromList$ }\"\n        ></component-mapper>\n      </div>\n    </div>\n\n    <component-mapper\n      name=\"ActionButtons\"\n      [props]=\"{ arMainButtons$: arLinkMainButtons$, arSecondaryButtons$: arLinkSecondaryButtons$ }\"\n      [parent]=\"this\"\n      [outputEvents]=\"{ actionButtonClick: onLinkActionButtonClick }\"\n    ></component-mapper>\n  </div>\n</div>\n\n<div *ngIf=\"bShowViewAllModal$\" class=\"psdk-dialog-background\">\n  <div class=\"psdk-modal-file-top\">\n    <div class=\"psdk-view-all-header\">\n      <div>\n        <h3>{{ pConn$.getLocalizedValue('Attachments', '', '') }}</h3>\n      </div>\n      <div>\n        <button mat-icon-button (click)=\"_closeViewAll()\">\n          <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ closeSvgIcon$ }}\" />\n        </button>\n      </div>\n    </div>\n    <div class=\"psdk-view-all-body\">\n      <component-mapper name=\"SummaryList\" [props]=\"{ arItems$: va_arItems$, menuIconOverrideAction$: removeLinksFromList$ }\"></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [".psdk-dialog-background{display:flex;flex-direction:column;justify-content:center;align-items:center;height:100%;width:100%;background-color:var(--app-dialog-background-color);position:fixed;z-index:999;top:0;left:0}.psdk-modal-file-top,.psdk-modal-link-top{display:table;margin:auto;min-width:650px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color)}.psdk-modal-file-selector{border:1px dashed var(--app-neutral-dark-color);width:100%;padding:.3rem;text-align:center}.psdk-modal-link-entry{display:flex;flex-direction:row}.psdk-modal-link-data{flex-grow:3;margin:0 .3rem}.psdk-modal-link-add{flex-grow:1}.psdk-full-width{width:100%}.psdk-modal-body{max-height:500px;overflow-y:auto;overflow-x:hidden;width:100%}.psdk-view-all-header{display:flex;justify-content:space-between}.psdk-view-all-close-icon{width:1.5rem}.psdk-view-all-body{max-height:500px;overflow-y:auto;overflow-x:hidden}.psdk-links-two-column{display:grid;grid-template-columns:repeat(2,1fr);gap:1rem;width:85%}.psdk-modal-links-row{display:flex;flex-direction:row;justify-content:space-between}.psdk-links-add-link{padding:15px}ul{columns:2;-webkit-columns:2;-moz-columns:2}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: Utils }, { type: i0.NgZone }], propDecorators: { pConn$: [{
                type: Input
            }] } });

/* eslint-disable @typescript-eslint/no-unused-vars */
class FeedContainerComponent {
    constructor(angularPConnect, cdRef, utils) {
        this.angularPConnect = angularPConnect;
        this.cdRef = cdRef;
        this.utils = utils;
        // Used with AngularPConnect
        this.angularPConnectData = {};
        this.showReplyComment$ = {};
        this.userData = new Map();
        this.pulseComment = {};
    }
    ngOnInit() {
        this.userName$ = PCore.getEnvironmentInfo().getOperatorName();
        this.imageKey$ = PCore.getEnvironmentInfo().getOperatorImageInsKey();
        this.updateCurrentUserName(this.userName$ ?? '');
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // Then, continue on with other initialization
        // debugger;
        // const {
        //   fetchMessages,
        //   likeMessage,
        //   postMessage
        // } = FeedApi(this.pConn$);
        // this.fetchMessages = fetchMessages;
        // this.likeMessage = likeMessage;
        // this.postMessage = postMessage;
        // // this.userName$ = this.pConn$.getValue("pxRequestor.pxUserName");
        // // this.imageKey$ = this.pConn$.getValue("OperatorID.pyImageInsKey");
        // //this.userName$ = this.pConn$.getDataObject()["D_pxEnvironmentInfo"].pxOperator.pyUserName;
        // //this.imageKey$ = this.pConn$.getDataObject()["D_pxEnvironmentInfo"].pxOperator.pyImageInsKey;
        // this.userName$ = this.pConn$.getEnvironmentInfo().getOperatorName();
        // this.imageKey$ = this.pConn$.getEnvironmentInfo().getOperatorImageInsKey();
        // this.actionsAPI = this.pConn$.getActionsApi();
        // let owner = this.pConn$.getConfigProps().value;
        // // with new FeedAPI: owner is the proper value to pass in
        // //  and no longer takes 2nd argument
        // this./*feedAPI.*/fetchMessages(owner /*, this.pConn$.getContextName()*/);
        // const configProps: any = this.pConn$.getConfigProps();
        // const { messageIDs } = configProps;
        // const { fetchMessages, postMessage, getMentionSuggestions, getTagSuggestions } = FeedApi(this.pConn$);
        const appName = PCore.getEnvironmentInfo().getApplicationName();
        let value = '';
        let feedID = '';
        let feedClass = '';
        if (this.pConn$.getCaseSummary().ID) {
            value = this.pConn$.getCaseSummary().ID;
            feedID = 'pyCaseFeed';
            feedClass = this.pConn$.getCaseSummary().content.classID;
        }
        else {
            value = `DATA-PORTAL $${appName}`;
            feedID = 'pyDashboardFeed';
            feedClass = '@baseclass';
        }
        const onUploadProgress = () => { };
        const errorHandler = () => { };
        const attachments = () => { };
        const postComment = ({ value: message, clear }) => {
            const attachmentIDs = [];
            const attachmentUtils = PCore.getAttachmentUtils();
            if (attachments && !!attachments.length) {
                /* attachments;
                  .filter((file) => !file.error)
                  .map((file) => {
                    return attachmentUtils
                      .uploadAttachment(file, onUploadProgress, errorHandler)
                      .then((fileResponse) => {
                        const fileConfig = {
                          type: "File",
                          category: "File",
                          fileName: file.name,
                          ID: fileResponse.data.ID
                        };
                        attachmentIDs.push(fileConfig);
                        if (attachments.length === attachmentIDs.length) {
                          postMessage(
                            value,
                            transformMarkdownToMsg(message),
                            attachmentIDs
                          );
                          clear();
                          setAttachments([]);
                        }
                      })
        
                      .catch(console.error);
                  }); */
            }
            else {
                // postMessage(value, transformMarkdownToMsg(message));
                clear();
            }
        };
        /*
    
        const { getPConnect, messageIDs } = props;
        const [mentionResults, setMentionResults] = useState([]);
        const [tagResults, setTagResults] = useState([]);
        const [attachments, setAttachments] = useState([]);
        const [feedFilters, setFeedFilters] = useState();
        const {
          fetchMessages,
          postMessage,
          getMentionSuggestions,
          getTagSuggestions
        } = FeedApi(getPConnect());
        const appName = PCore.getEnvironmentInfo().getApplicationName();
        let value = "";
        let feedID = "";
        let feedClass = "";
        if (getPConnect().getCaseSummary().ID) {
          value = getPConnect().getCaseSummary().ID;
          feedID = "pyCaseFeed";
          feedClass = getPConnect().getCaseSummary().content.classID;
        } else {
          value = `DATA-PORTAL $${appName}`;
          feedID = "pyDashboardFeed";
          feedClass = "@baseclass";
        }
        // For cancelling fetchrequest for filetrs
        const fetchMessagesCancelTokenSource = useRef([]);
    
        useEffect(() => {
          fetchMessages(
            value,
            feedID,
            feedClass,
            null,
            fetchMessagesCancelTokenSource.current
          ).then((res) => {
            setFeedFilters(res);
          });
          PCore.getAssetLoader().getLoader("component-loader")(["Activity"]);
          // eslint-disable-next-line react-hooks/exhaustive-deps
        }, []);
    
        const onUploadProgress = useCallback((file) => {
          return ({ loaded, total }) => {
            file.progress = Math.floor((loaded / total) * 100);
            setAttachments((current) => {
              return current.map((currFile) => {
                return currFile.name === file.name ? file : currFile;
              });
            });
          };
        }, []);
    
        const errorHandler = useCallback((isFetchCanceled, file) => {
          return (error) => {
            if (!isFetchCanceled(error)) {
              let localizedValue = "Upload failed";
              if (
                error.response &&
                error.response.data &&
                error.response.data.errorDetails
              ) {
                localizedValue = error.response.data.errorDetails[0].localizedValue;
              }
              delete file.progress;
              setAttachments((current) => {
                return current.map((currFile) => {
                  if (currFile.name === file.name) {
                    currFile.meta = localizedValue;
                    currFile.error = true;
                  }
                  return currFile;
                });
              });
              error.isHandled = true;
            }
            throw error;
          };
        }, []);
    
        const postComment = ({ value: message, clear }) => {
          const attachmentIDs = [];
          const attachmentUtils = PCore.getAttachmentUtils();
          if (attachments && !!attachments.length) {
            attachments
              .filter((file) => !file.error)
              .map((file) => {
                return attachmentUtils
                  .uploadAttachment(file, onUploadProgress, errorHandler)
                  .then((fileResponse) => {
                    const fileConfig = {
                      type: "File",
                      category: "File",
                      fileName: file.name,
                      ID: fileResponse.data.ID
                    };
                    attachmentIDs.push(fileConfig);
                    if (attachments.length === attachmentIDs.length) {
                      postMessage(
                        value,
                        transformMarkdownToMsg(message),
                        attachmentIDs
                      );
                      clear();
                      setAttachments([]);
                    }
                  })
    
                  .catch(console.error);
              });
          } else {
            postMessage(value, transformMarkdownToMsg(message));
            clear();
          }
        };
    
        */
        /* On search is called when @ character is entered and will display the mention */
        /*
        const onSearch = debounce((event) => {
          if (event.type === "mention") {
            getMentionSuggestions({
              pulseContext: value,
              searchFor: event.search
            }).then((res) => {
              setMentionResults(res);
            });
          } else {
            getTagSuggestions({
              searchFor: event.search
            }).then((res) => {
              setTagResults(res);
            });
          }
        }, 150);
    
        const userName = getPConnect().getEnvironmentInfo().getOperatorName();
        const imageKey = getPConnect().getEnvironmentInfo().getOperatorImageInsKey();
    
        const onFilesAdded = useCallback((newlyAddedFiles) => {
          setAttachments((current) => [
            ...newlyAddedFiles.map((file) => {
              if (!validateMaxSize(file, 5)) {
                file.error = true;
                file.meta = "File is too big. Max allowed size is 5MB.";
              }
              file.icon = getIconFromFileType(file.type);
              file.onDelete = () => {
                setAttachments((c) => c.filter((f) => f.name !== file.name));
              };
              return file;
            }),
            ...current
          ]);
        }, []);
    
        const onFilterChange = useCallback(
          (filterID) => {
            const updatedFilters = [...feedFilters];
            const filterToUpdate = updatedFilters.find(
              (feedItem) => feedItem.id === filterID
            );
            filterToUpdate.on = !filterToUpdate.on;
            if (filterID === "All")
              updatedFilters.forEach((feedFilter) => {
                feedFilter.on = filterToUpdate.on;
              });
            else if (
              updatedFilters.find(
                (feedItem) => feedItem.on === false && feedItem.id !== "All"
              )
            )
              updatedFilters.find((feedItem) => feedItem.id === "All").on = false;
            else updatedFilters.find((feedItem) => feedItem.id === "All").on = true;
            setFeedFilters(updatedFilters);
            fetchMessages(
              value,
              feedID,
              feedClass,
              feedFilters,
              fetchMessagesCancelTokenSource.current
            );
          },
          [
            value,
            feedID,
            feedClass,
            feedFilters,
            fetchMessagesCancelTokenSource,
            fetchMessages
          ]
        );
    
        */
        // set up svg images
        this.svgComment$ = this.utils.getImageSrc('chat', this.utils.getSDKStaticContentUrl());
        this.svgLike$ = this.utils.getImageSrc('thumbs-up', this.utils.getSDKStaticContentUrl());
        this.svgLikedByMe$ = this.utils.getImageSrc('thumbs-up-solid', this.utils.getSDKStaticContentUrl());
        this.svgSend$ = this.utils.getImageSrc('send', this.utils.getSDKStaticContentUrl());
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        const bLogging = false;
        if (bLogging) {
            // console.log( `in ${this.constructor.name} onStateChange` );
            // debugger;
        }
        // Should always check the bridge to see if the component should update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // console.log( `${this.constructor.name} shouldComponentUpdate: ${bUpdateSelf}`);
        // ONLY call updateSelf when the component should update
        //    AND removing the "gate" that was put there since shouldComponentUpdate
        //      should be the real "gate"
        if (bUpdateSelf) {
            this.updateSelf();
        }
        else {
            const newPulseData = this.pConn$.getDataObject().pulse;
            if (!isEqual(newPulseData, this.pulseData)) {
                this.updateSelf();
            }
        }
        this.pulseData = this.pConn$.getDataObject().pulse;
    }
    updateSelf() {
        this.getMessageData();
    }
    getMessageData() {
        const messageIDs = this.pConn$.getConfigProps().messageIDs;
        const userName = this.pConn$.getConfigProps().currentUser;
        const imageKey = this.pConn$.getValue('OperatorID.pyImageInsKey');
        const oData = this.pConn$.getDataObject();
        if (messageIDs && messageIDs.length > 0) {
            this.pulseMessages$ = JSON.parse(JSON.stringify(oData.pulse.messages));
            // convert to just an array of objects
            this.pulseMessages$ = this.convertToArray(this.pulseMessages$);
            // create a copy, so we can modify
            this.pulseMessages$ = this.appendPulseMessage(this.pulseMessages$);
            // most recent on top
            this.pulseMessages$ = this.pulseMessages$.sort((a, b) => (a.updateTimeUTC < b.updateTimeUTC ? 1 : -1));
        }
    }
    convertToArray(messages) {
        const arMessages = [];
        for (let i = 0; i < messages.length; i++) {
            arMessages.push(messages[i]);
        }
        return arMessages;
    }
    appendPulseMessage(messages) {
        for (let i = 0; i < messages.length; i++) {
            const message = messages[i];
            const postedTime = message.postedTime;
            const updatedTime = message.updatedTime;
            this.showReplyComment$[message.ID] = false;
            message.displayPostedTime = this.utils.generateDateTime(postedTime, 'DateTime-Since');
            // for sorting lasted update
            if (updatedTime != null) {
                message.updateTimeUTC = new Date(updatedTime).getTime();
            }
            else {
                message.updateTimeUTC = new Date(postedTime).getTime();
            }
            message.displayPostedBy = message.postedByUser.name;
            message.displayPostedByInitials = this.utils.getInitials(message.postedByUser.name);
            // if didn't break, then look at the replies
            for (let j = 0; j < message.replies.length; j++) {
                const reply = message.replies[j];
                const replyPostedTime = reply.postedTime;
                reply.displayPostedTime = this.utils.generateDateTime(replyPostedTime, 'DateTime-Since');
                // let oReplyUser = this.userData.get(reply.postedByUser);
                const oReplyUser = reply.postedByUser;
                if (oReplyUser) {
                    reply.displayPostedBy = oReplyUser.name;
                    reply.displayPostedByInitials = this.utils.getInitials(oReplyUser.name);
                }
            }
        } // for
        return messages;
    }
    updateMessagesWithOperators() {
        for (let i = 0; i < this.pulseMessages$.length; i++) {
            const message = this.pulseMessages$[i];
            const postedTime = message.postedTime;
            this.showReplyComment$[message.ID] = false;
            message.displayPostedTime = this.utils.generateDateTime(postedTime, 'DateTime-Since');
            const oUser = this.userData.get(message.postedBy);
            if (oUser) {
                message.displayPostedBy = oUser.pyUserName;
                message.displayPostedByInitials = this.utils.getInitials(oUser.pyUserName);
            }
            else {
                const oUserParams = {
                    OperatorId: message.postedBy
                };
                // Do something with oUserParams
            }
            // if didn't break, then look at the replies
            for (let j = 0; j < message.replies.length; j++) {
                const reply = message.replies[j];
                const replyPostedTime = reply.postedTime;
                reply.displayPostedTime = this.utils.generateDateTime(replyPostedTime, 'DateTime-Since');
                // let oReplyUser = this.userData.get(reply.postedByUser);
                const oReplyUser = reply.postedByUser;
                if (oReplyUser) {
                    reply.displayPostedBy = oReplyUser.name;
                    reply.displayPostedByInitials = this.utils.getInitials(oReplyUser.name);
                }
            }
        } // for
    }
    updateCurrentUserName(sUser) {
        this.currentUserInitials$ = this.utils.getInitials(sUser);
        this.currentUserName$ = sUser;
    }
    postClick() {
        // don't send a blank message
        if (this.pulseConversation && this.pulseConversation != '') {
            // let pulseMessage = {
            //   contextName : this.pConn$.getContextName(),
            //   message: this.pulseConversation,
            //   pulseContext: this.pConn$.getValue(".pzInsKey")
            // };
            // debugger;
            // used to be: this./*feedAPI.*/postMessage(pulseMessage);
            // With latest FeedAPI, the 1st arg should be getConfigProps().value
            // If feedAPI is defined then only post message
            if (this.feedAPI) {
                this. /* feedAPI. */postMessage(this.pConn$.getConfigProps().value, this.pulseConversation);
            }
            else {
                console.log("We don't support Pulse yet");
            }
        }
        // clear out local copy
        document.getElementById('pulseMessage').value = '';
        this.pulseConversation = '';
    }
    messageChange(event) {
        this.pulseConversation = event.target.value;
    }
    likeClick(messageID, rMessageID, bLikedByMe, level) {
        let pulseMessage = {};
        if (level === 'top') {
            pulseMessage = {
                pulseContext: rMessageID,
                isReply: null,
                contextName: this.pConn$.getContextName(),
                likedBy: bLikedByMe,
                messageID
            };
        }
        else {
            pulseMessage = {
                pulseContext: rMessageID,
                isReply: true,
                contextName: this.pConn$.getContextName(),
                likedBy: bLikedByMe,
                messageID
            };
        }
        // debugger;
        this. /* feedAPI. */likeMessage(pulseMessage);
    }
    commentClick(messageID) {
        // iterator through messages, find match, turn on comment entry
        const foundMessage = this.pulseMessages$.find(message => message.ID === messageID);
        if (foundMessage) {
            this.showReplyComment$[foundMessage.ID] = true;
        }
        this.cdRef.detectChanges();
    }
    postCommentClick(messageID) {
        // debugger;
        if (this.pulseComment[messageID] && this.pulseComment[messageID] != '') {
            // let pulseMessage = {
            //   contextName : this.pConn$.getContextName(),
            //   message: this.pulseComment[messageID],
            //   pulseContext: messageID,
            //   reply: true
            // };
            // debugger;
            // Used to be: this./*feedAPI.*/postMessage(pulseMessage);
            //  Latest update to API has changed and the postMessage actually gets
            //  the pulse context...
            // used to use: contextName
            // new FeedAPI wants args to be messageID, this.pulseComment[messageID], true (since this is a reply)
            this. /* feedAPI. */postMessage(messageID, this.pulseComment[messageID], true);
            this.pulseComment[messageID] = '';
        }
    }
    newCommentChange(event, messageID) {
        this.pulseComment[messageID] = event.target.value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FeedContainerComponent, deps: [{ token: AngularPConnectService }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FeedContainerComponent, isStandalone: true, selector: "app-feed-container", inputs: { pConn$: "pConn$" }, providers: [Utils], ngImport: i0, template: "<div>\n  <div style=\"text-align: left\">\n    <h3>Pulse</h3>\n\n    <div class=\"psdk-pulse-divider\"></div>\n\n    <br />\n    <div class=\"psdk-pulse\">\n      <div class=\"psdk-avatar-big\">{{ this.currentUserInitials$ }}</div>\n      <mat-form-field class=\"psdk-full-width\">\n        <textarea matInput rows=\"5\" id=\"pulseMessage\" placeholder=\"Start a conversation\" type=\"text\" (change)=\"messageChange($event)\"></textarea>\n      </mat-form-field>\n    </div>\n  </div>\n</div>\n\n<mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n  <mat-grid-tile> </mat-grid-tile>\n  <mat-grid-tile>\n    <button mat-raised-button color=\"primary\" (click)=\"postClick()\">Post</button>\n  </mat-grid-tile>\n</mat-grid-list>\n\n<div *ngFor=\"let pulseMessage of pulseMessages$; let odd = odd\" style=\"text-align: left\" [style.background-color]=\"odd ? 'white' : '#eeeeee'\">\n  <div class=\"psdk-pulse-divider\"></div>\n  <br />\n  <div class=\"psdk-pulse\">\n    <div class=\"psdk-avatar-big\">{{ pulseMessage.displayPostedByInitials }}</div>\n    <div class=\"psdk-pulse-message-group\">\n      <div class=\"psdk-pulse-message-by\">{{ pulseMessage.displayPostedBy }}</div>\n      <div class=\"psdk-pulse-message-time\">{{ pulseMessage.displayPostedTime }}</div>\n    </div>\n  </div>\n  <div class=\"psdk-pulse-message-text\">{{ pulseMessage.message }}</div>\n  <div class=\"psdk-pulse-message-actions\">\n    <div class=\"psdk-pulse-message-action-group\">\n      <button mat-button (click)=\"commentClick(pulseMessage.ID)\">\n        <img class=\"psdk-comment-svg-icon\" src=\"{{ svgComment$ }}\" />\n        <label class=\"psdk-pulse-message-like-label\"\n          >Comment <span *ngIf=\"pulseMessage?.replies.length > 0\"> | {{ pulseMessage.replies.length }}</span></label\n        >\n      </button>\n    </div>\n    <div class=\"psdk-pulse-message-action-like\">\n      <div *ngIf=\"pulseMessage?.likeCount; else notLiked\">\n        <button *ngIf=\"pulseMessage?.likedByMe == 'true'\" mat-button (click)=\"likeClick(pulseMessage.ID, pulseMessage.ID, true, 'top')\">\n          <!-- <mat-icon class=\"psdk-icon-liked-by-me\" svgIcon=\"thumb-up\" mastListIcon ></mat-icon> -->\n          <img class=\"psdk-liked-by-me-svg-icon\" src=\"{{ svgLikedByMe$ }}\" />\n          <label class=\"psdk-pulse-message-like-label\">Like | {{ pulseMessage.likeCount }}</label>\n        </button>\n        <button *ngIf=\"pulseMessage?.likedByMe != 'true'\" mat-button (click)=\"likeClick(pulseMessage.ID, pulseMessage.ID, false, 'top')\">\n          <!-- <mat-icon class=\"psdk-icon\" svgIcon=\"thumb-up-outline\" mastListIcon ></mat-icon> -->\n          <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          <label class=\"psdk-pulse-message-like-label\">Like | {{ pulseMessage.likeCount }}</label>\n        </button>\n      </div>\n      <ng-template #notLiked>\n        <button mat-button (click)=\"likeClick(pulseMessage.ID, pulseMessage.ID, false, 'top')\">\n          <!-- <mat-icon class=\"psdk-icon\" svgIcon=\"thumb-up-outline\" mastListIcon ></mat-icon> -->\n          <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          <label class=\"psdk-pulse-message-like-label\">Like</label>\n        </button>\n      </ng-template>\n    </div>\n  </div>\n\n  <div *ngIf=\"pulseMessage?.replies\" class=\"psdk-pulse-reply\">\n    <div *ngFor=\"let replyMessage of pulseMessage.replies\" class=\"psdk-pulse-reply-align\">\n      <div class=\"psdk-pulse-divider\"></div>\n      <br />\n      <div class=\"psdk-pulse-reply-group\">\n        <div class=\"psdk-avatar\">{{ replyMessage.displayPostedByInitials }}</div>\n        <div class=\"psdk-pulse-reply-by\">{{ replyMessage.displayPostedBy }}</div>\n        <div class=\"psdk-pulse-reply-message\">{{ replyMessage.message }}</div>\n      </div>\n      <div class=\"psdk-pulse-reply-actions\">\n        <button mat-button (click)=\"commentClick(pulseMessage.ID)\" class=\"psdk-pulse-reply-comment\">\n          <img class=\"psdk-comment-svg-icon\" src=\"{{ svgComment$ }}\" />\n        </button>\n        <div *ngIf=\"replyMessage?.likeCount; else replyNotLiked\">\n          <button\n            *ngIf=\"replyMessage?.likedByMe === 'true'\"\n            mat-button\n            (click)=\"likeClick(pulseMessage.ID, replyMessage.ID, true, 'reply')\"\n            class=\"psdk-pulse-reply-like\"\n          >\n            <img class=\"psdk-liked-by-me-svg-icon\" src=\"{{ svgLikedByMe$ }}\" />\n          </button>\n          <button\n            *ngIf=\"replyMessage?.likedByMe != 'true'\"\n            mat-button\n            (click)=\"likeClick(pulseMessage.ID, replyMessage.ID, false, 'reply')\"\n            class=\"psdk-pulse-reply-like\"\n          >\n            <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          </button>\n          <label class=\"psdk-pulse-reply-like-label\">Like | {{ replyMessage.likeCount }}</label>\n        </div>\n        <ng-template #replyNotLiked>\n          <button\n            *ngIf=\"replyMessage?.likedByMe != 'true'\"\n            mat-button\n            (click)=\"likeClick(pulseMessage.ID, replyMessage.ID, false, 'reply')\"\n            class=\"psdk-pulse-reply-like\"\n          >\n            <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          </button>\n        </ng-template>\n\n        <div class=\"psdk-pulse-reply-time\">{{ replyMessage.displayPostedTime }}</div>\n      </div>\n      <br />\n    </div>\n\n    <div *ngIf=\"showReplyComment$[pulseMessage.ID] == true\">\n      <div class=\"psdk-pulse-divider\"></div>\n      <br />\n      <div class=\"psdk-pulse-comment-group\">\n        <div class=\"psdk-avatar\">{{ this.currentUserInitials$ }}</div>\n        <mat-form-field class=\"psdk-full-width\">\n          <textarea\n            matInput\n            rows=\"5\"\n            id=\"pulseMessage\"\n            placeholder=\"Add a comment\"\n            type=\"text\"\n            (change)=\"newCommentChange($event, pulseMessage.ID)\"\n          ></textarea>\n        </mat-form-field>\n        <button mat-button (click)=\"postCommentClick(pulseMessage.ID)\" class=\"psdk-pulse-comment-post\">\n          <img class=\"psdk-send-svg-icon\" src=\"{{ svgSend$ }}\" />\n        </button>\n      </div>\n    </div>\n  </div>\n  <br />\n</div>\n", styles: [".psdk-pulse-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-full-width{width:100%;padding-left:.625rem}.psdk-icon{padding:0rem .125rem;min-width:unset;display:inline-block}.psdk-icon-liked-by-me{padding:0rem .125rem;min-width:unset;display:inline-block;color:var(--app-primary-color)}.psdk-send-svg-icon{width:1.4rem}.psdk-comment-svg-icon,.psdk-like-svg-icon{width:1.4rem;padding:0rem .3215rem}.psdk-liked-by-me-svg-icon{width:1.4rem;padding:0rem .3215rem;filter:var(--app-primary-color-filter)}.psdk-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:flex;background:var(--app-primary-color);color:var(--app-form-color);font-weight:700;font-size:1.25rem}.psdk-avatar-big{margin:0rem;padding:0rem;min-width:3.125rem;min-height:3.125rem;max-width:3.125rem;max-height:3.125rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:flex;background:var(--app-primary-color);color:var(--app-form-color);font-weight:700;font-size:1.5625rem}.psdk-pulse{display:inline-flex;width:100%;padding-bottom:.625rem}.psdk-pulse-message-group{display:flex;flex-direction:column;padding-left:.625rem}.psdk-pulse-message-by{margin-bottom:0rem;font-weight:700;font-size:.9375rem}.psdk-pulse-message-time{color:var(--app-pulse-message-color)}.psdk-pulse-message-text{white-space:pre-line}.psdk-pulse-message-actions{display:flex;flex-direction:row;padding-top:1.25rem}.psdk-pulse-message-action-group,.psdk-pulse-message-action-like{flex-basis:15em}.psdk-pulse-message-like-label{vertical-align:middle}.psdk-pulse-reply{padding-left:1.25rem}.psdk-pulse-reply-align{text-align:left}.psdk-pulse-reply-group{display:flex;flex-direction:row;align-items:center}.psdk-pulse-reply-by{padding:0rem .625rem;font-weight:700;font-size:.9375rem}.psdk-pulse-reply-message{background-color:var(--app-pulse-message-background-color);border-radius:.625rem;padding:0rem 1.25rem;white-space:pre-line}.psdk-pulse-reply-actions{display:flex;flex-direction:row;align-items:center;padding-left:3.125rem}.psdk-pulse-reply-comment,.psdk-pulse-reply-like{padding:0rem;min-width:1.875rem}.psdk-pulse-reply-like-label{vertical-align:middle;padding-right:.3125rem}.psdk-pulse-reply-time{color:var(--app-pulse-message-color);padding-left:.625rem}.psdk-pulse-comment-group{display:flex;flex-direction:row;align-items:center}.psdk-pulse-comment-post{padding:0rem;min-width:1.875rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i5.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i6$1.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: MatGridListModule }, { kind: "component", type: i2$1.MatGridList, selector: "mat-grid-list", inputs: ["cols", "gutterSize", "rowHeight"], exportAs: ["matGridList"] }, { kind: "component", type: i2$1.MatGridTile, selector: "mat-grid-tile", inputs: ["rowspan", "colspan"], exportAs: ["matGridTile"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FeedContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-feed-container', providers: [Utils], standalone: true, imports: [CommonModule, MatFormFieldModule, MatInputModule, MatGridListModule, MatButtonModule], template: "<div>\n  <div style=\"text-align: left\">\n    <h3>Pulse</h3>\n\n    <div class=\"psdk-pulse-divider\"></div>\n\n    <br />\n    <div class=\"psdk-pulse\">\n      <div class=\"psdk-avatar-big\">{{ this.currentUserInitials$ }}</div>\n      <mat-form-field class=\"psdk-full-width\">\n        <textarea matInput rows=\"5\" id=\"pulseMessage\" placeholder=\"Start a conversation\" type=\"text\" (change)=\"messageChange($event)\"></textarea>\n      </mat-form-field>\n    </div>\n  </div>\n</div>\n\n<mat-grid-list cols=\"2\" rowHeight=\"6.25rem\">\n  <mat-grid-tile> </mat-grid-tile>\n  <mat-grid-tile>\n    <button mat-raised-button color=\"primary\" (click)=\"postClick()\">Post</button>\n  </mat-grid-tile>\n</mat-grid-list>\n\n<div *ngFor=\"let pulseMessage of pulseMessages$; let odd = odd\" style=\"text-align: left\" [style.background-color]=\"odd ? 'white' : '#eeeeee'\">\n  <div class=\"psdk-pulse-divider\"></div>\n  <br />\n  <div class=\"psdk-pulse\">\n    <div class=\"psdk-avatar-big\">{{ pulseMessage.displayPostedByInitials }}</div>\n    <div class=\"psdk-pulse-message-group\">\n      <div class=\"psdk-pulse-message-by\">{{ pulseMessage.displayPostedBy }}</div>\n      <div class=\"psdk-pulse-message-time\">{{ pulseMessage.displayPostedTime }}</div>\n    </div>\n  </div>\n  <div class=\"psdk-pulse-message-text\">{{ pulseMessage.message }}</div>\n  <div class=\"psdk-pulse-message-actions\">\n    <div class=\"psdk-pulse-message-action-group\">\n      <button mat-button (click)=\"commentClick(pulseMessage.ID)\">\n        <img class=\"psdk-comment-svg-icon\" src=\"{{ svgComment$ }}\" />\n        <label class=\"psdk-pulse-message-like-label\"\n          >Comment <span *ngIf=\"pulseMessage?.replies.length > 0\"> | {{ pulseMessage.replies.length }}</span></label\n        >\n      </button>\n    </div>\n    <div class=\"psdk-pulse-message-action-like\">\n      <div *ngIf=\"pulseMessage?.likeCount; else notLiked\">\n        <button *ngIf=\"pulseMessage?.likedByMe == 'true'\" mat-button (click)=\"likeClick(pulseMessage.ID, pulseMessage.ID, true, 'top')\">\n          <!-- <mat-icon class=\"psdk-icon-liked-by-me\" svgIcon=\"thumb-up\" mastListIcon ></mat-icon> -->\n          <img class=\"psdk-liked-by-me-svg-icon\" src=\"{{ svgLikedByMe$ }}\" />\n          <label class=\"psdk-pulse-message-like-label\">Like | {{ pulseMessage.likeCount }}</label>\n        </button>\n        <button *ngIf=\"pulseMessage?.likedByMe != 'true'\" mat-button (click)=\"likeClick(pulseMessage.ID, pulseMessage.ID, false, 'top')\">\n          <!-- <mat-icon class=\"psdk-icon\" svgIcon=\"thumb-up-outline\" mastListIcon ></mat-icon> -->\n          <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          <label class=\"psdk-pulse-message-like-label\">Like | {{ pulseMessage.likeCount }}</label>\n        </button>\n      </div>\n      <ng-template #notLiked>\n        <button mat-button (click)=\"likeClick(pulseMessage.ID, pulseMessage.ID, false, 'top')\">\n          <!-- <mat-icon class=\"psdk-icon\" svgIcon=\"thumb-up-outline\" mastListIcon ></mat-icon> -->\n          <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          <label class=\"psdk-pulse-message-like-label\">Like</label>\n        </button>\n      </ng-template>\n    </div>\n  </div>\n\n  <div *ngIf=\"pulseMessage?.replies\" class=\"psdk-pulse-reply\">\n    <div *ngFor=\"let replyMessage of pulseMessage.replies\" class=\"psdk-pulse-reply-align\">\n      <div class=\"psdk-pulse-divider\"></div>\n      <br />\n      <div class=\"psdk-pulse-reply-group\">\n        <div class=\"psdk-avatar\">{{ replyMessage.displayPostedByInitials }}</div>\n        <div class=\"psdk-pulse-reply-by\">{{ replyMessage.displayPostedBy }}</div>\n        <div class=\"psdk-pulse-reply-message\">{{ replyMessage.message }}</div>\n      </div>\n      <div class=\"psdk-pulse-reply-actions\">\n        <button mat-button (click)=\"commentClick(pulseMessage.ID)\" class=\"psdk-pulse-reply-comment\">\n          <img class=\"psdk-comment-svg-icon\" src=\"{{ svgComment$ }}\" />\n        </button>\n        <div *ngIf=\"replyMessage?.likeCount; else replyNotLiked\">\n          <button\n            *ngIf=\"replyMessage?.likedByMe === 'true'\"\n            mat-button\n            (click)=\"likeClick(pulseMessage.ID, replyMessage.ID, true, 'reply')\"\n            class=\"psdk-pulse-reply-like\"\n          >\n            <img class=\"psdk-liked-by-me-svg-icon\" src=\"{{ svgLikedByMe$ }}\" />\n          </button>\n          <button\n            *ngIf=\"replyMessage?.likedByMe != 'true'\"\n            mat-button\n            (click)=\"likeClick(pulseMessage.ID, replyMessage.ID, false, 'reply')\"\n            class=\"psdk-pulse-reply-like\"\n          >\n            <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          </button>\n          <label class=\"psdk-pulse-reply-like-label\">Like | {{ replyMessage.likeCount }}</label>\n        </div>\n        <ng-template #replyNotLiked>\n          <button\n            *ngIf=\"replyMessage?.likedByMe != 'true'\"\n            mat-button\n            (click)=\"likeClick(pulseMessage.ID, replyMessage.ID, false, 'reply')\"\n            class=\"psdk-pulse-reply-like\"\n          >\n            <img class=\"psdk-like-svg-icon\" src=\"{{ svgLike$ }}\" />\n          </button>\n        </ng-template>\n\n        <div class=\"psdk-pulse-reply-time\">{{ replyMessage.displayPostedTime }}</div>\n      </div>\n      <br />\n    </div>\n\n    <div *ngIf=\"showReplyComment$[pulseMessage.ID] == true\">\n      <div class=\"psdk-pulse-divider\"></div>\n      <br />\n      <div class=\"psdk-pulse-comment-group\">\n        <div class=\"psdk-avatar\">{{ this.currentUserInitials$ }}</div>\n        <mat-form-field class=\"psdk-full-width\">\n          <textarea\n            matInput\n            rows=\"5\"\n            id=\"pulseMessage\"\n            placeholder=\"Add a comment\"\n            type=\"text\"\n            (change)=\"newCommentChange($event, pulseMessage.ID)\"\n          ></textarea>\n        </mat-form-field>\n        <button mat-button (click)=\"postCommentClick(pulseMessage.ID)\" class=\"psdk-pulse-comment-post\">\n          <img class=\"psdk-send-svg-icon\" src=\"{{ svgSend$ }}\" />\n        </button>\n      </div>\n    </div>\n  </div>\n  <br />\n</div>\n", styles: [".psdk-pulse-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-full-width{width:100%;padding-left:.625rem}.psdk-icon{padding:0rem .125rem;min-width:unset;display:inline-block}.psdk-icon-liked-by-me{padding:0rem .125rem;min-width:unset;display:inline-block;color:var(--app-primary-color)}.psdk-send-svg-icon{width:1.4rem}.psdk-comment-svg-icon,.psdk-like-svg-icon{width:1.4rem;padding:0rem .3215rem}.psdk-liked-by-me-svg-icon{width:1.4rem;padding:0rem .3215rem;filter:var(--app-primary-color-filter)}.psdk-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:flex;background:var(--app-primary-color);color:var(--app-form-color);font-weight:700;font-size:1.25rem}.psdk-avatar-big{margin:0rem;padding:0rem;min-width:3.125rem;min-height:3.125rem;max-width:3.125rem;max-height:3.125rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:flex;background:var(--app-primary-color);color:var(--app-form-color);font-weight:700;font-size:1.5625rem}.psdk-pulse{display:inline-flex;width:100%;padding-bottom:.625rem}.psdk-pulse-message-group{display:flex;flex-direction:column;padding-left:.625rem}.psdk-pulse-message-by{margin-bottom:0rem;font-weight:700;font-size:.9375rem}.psdk-pulse-message-time{color:var(--app-pulse-message-color)}.psdk-pulse-message-text{white-space:pre-line}.psdk-pulse-message-actions{display:flex;flex-direction:row;padding-top:1.25rem}.psdk-pulse-message-action-group,.psdk-pulse-message-action-like{flex-basis:15em}.psdk-pulse-message-like-label{vertical-align:middle}.psdk-pulse-reply{padding-left:1.25rem}.psdk-pulse-reply-align{text-align:left}.psdk-pulse-reply-group{display:flex;flex-direction:row;align-items:center}.psdk-pulse-reply-by{padding:0rem .625rem;font-weight:700;font-size:.9375rem}.psdk-pulse-reply-message{background-color:var(--app-pulse-message-background-color);border-radius:.625rem;padding:0rem 1.25rem;white-space:pre-line}.psdk-pulse-reply-actions{display:flex;flex-direction:row;align-items:center;padding-left:3.125rem}.psdk-pulse-reply-comment,.psdk-pulse-reply-like{padding:0rem;min-width:1.875rem}.psdk-pulse-reply-like-label{vertical-align:middle;padding-right:.3125rem}.psdk-pulse-reply-time{color:var(--app-pulse-message-color);padding-left:.625rem}.psdk-pulse-comment-group{display:flex;flex-direction:row;align-items:center}.psdk-pulse-comment-post{padding:0rem;min-width:1.875rem}\n"] }]
        }], ctorParameters: () => [{ type: AngularPConnectService }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class ListUtilityComponent {
    constructor(utils) {
        this.utils = utils;
        this.name$ = '';
        this.icon$ = '';
        this.bLoading$ = false;
        this.count$ = 0;
        this.arActions$ = [];
        this.arItems$ = [];
        this.menuIconOverrideAction$ = [];
        this.noItemsMessage$ = 'No Items';
        this.imagePath$ = '';
    }
    ngOnInit() {
        this.imagePath$ = this.getIconPath();
        this.headerSvgIcon$ = this.utils.getImageSrc(this.icon$, this.utils.getSDKStaticContentUrl());
        this.settingsSvgIcon$ = this.utils.getImageSrc('more', this.utils.getSDKStaticContentUrl());
    }
    getIconPath() {
        return `${this.utils.getSDKStaticContentUrl()}assets/icons/`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListUtilityComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ListUtilityComponent, isStandalone: true, selector: "app-list-utility", inputs: { name$: "name$", icon$: "icon$", bLoading$: "bLoading$", count$: "count$", arActions$: "arActions$", arItems$: "arItems$", menuIconOverrideAction$: "menuIconOverrideAction$", onViewAll$: "onViewAll$" }, ngImport: i0, template: "<div style=\"text-align: left\">\n  <div class=\"psdk-utility\">\n    <div class=\"header\">\n      <div class=\"header-icon\">\n        <img class=\"psdk-utility-svg-icon\" src=\"{{ headerSvgIcon$ }}\" />\n      </div>\n      <div class=\"header-text\">{{ name$ }}</div>\n      <div class=\"psdk-utility-count\" id=\"attachments-count\">{{ count$ }}</div>\n      <div style=\"flex-grow: 1\"></div>\n      <div class=\"header-icon\">\n        <button id=\"file-menu\" mat-icon-button [matMenuTriggerFor]=\"utilityMenu\">\n          <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n        </button>\n        <mat-menu #utilityMenu=\"matMenu\" overlapTrigger=\"false\">\n          <ng-container *ngFor=\"let action of arActions$\">\n            <button mat-menu-item (click)=\"action.onClick()\">{{ action.text }}</button>\n          </ng-container>\n        </mat-menu>\n      </div>\n    </div>\n    <div class=\"psdk-utiltiy-divider\"></div>\n    <br />\n    <mat-spinner *ngIf=\"bLoading$\" class=\"progress-spinner\" diameter=\"50\"></mat-spinner>\n    <div *ngIf=\"count$ == 0\" class=\"message\">{{ noItemsMessage$ }}</div>\n    <div *ngIf=\"count$ > 0\" class=\"psdk-utility-items\">\n      <component-mapper name=\"SummaryList\" [props]=\"{ arItems$, menuIconOverrideAction$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-utility-view-all\">\n      <button *ngIf=\"count$ > 3\" mat-button color=\"primary\" (click)=\"onViewAll$.onClick()\">View all</button>\n    </div>\n  </div>\n</div>\n", styles: [".progress-spinner{text-align:center;position:absolute;top:40%;left:40%}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-utility-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-utility-view-all{width:100%;display:flex;justify-content:center}.psdk-utility-count{background:var(--app-primary-light-color);border-radius:.5625rem;color:var(--app-inverse-form-color);display:inline-block;font-size:.75rem;font-weight:700;text-align:center;width:1.125rem;vertical-align:top;margin:0 0 .313rem 1rem}.psdk-utility .header-text{font-size:1rem;font-weight:700;padding-bottom:.3125rem;text-align:left;display:inline-block}.psdk-utility .header-icon{display:inline-block}.psdk-utility{width:100%;padding:.625rem 0rem;text-align:left;background-color:var(--app-form-color);border-radius:.6125rem;margin:.3125rem 0rem;position:relative}.psdk-utility .header{text-align:left;display:flex;align-items:center}.psdk-utility-svg-icon{width:1.4rem;display:inline-block}.psdk-settings-svg-icon{width:1.4rem;display:inline-block;filter:var(--app-primary-color-filter)}.psdk-utility .message{text-align:center}.psdk-utility-card{display:flex;flex-direction:row;padding:.25rem 0rem .25rem .25rem}.psdk-utility-card-icon{flex-grow:1;max-width:2.813rem}.psdk-utility-card-svg-icon{width:2.5rem;display:inline-block}.psdk-utility-card-main{flex-grow:2;max-width:16.563rem}.psdk-utility-card-main-primary-url{color:var(--app-primary-color)}.psdk-utility-card-main-primary-url .mat-mdc-button.mat-primary{padding-left:0}.psdk-utility-card-main-primary-label{font-weight:700}.psdk-utility-card-actions{flex-grow:1;text-align:right}.psdk-utility-card-action-svg-icon{width:1.4rem;display:inline-block}.psdk-utility-card-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-utility-card-action-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:bottom}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatButtonModule) }, { kind: "component", type: i0.forwardRef(() => i3.MatButton), selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i0.forwardRef(() => i3.MatIconButton), selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatMenuModule) }, { kind: "component", type: i0.forwardRef(() => i6.MatMenu), selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i0.forwardRef(() => i6.MatMenuItem), selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i0.forwardRef(() => i6.MatMenuTrigger), selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }, { kind: "ngmodule", type: i0.forwardRef(() => MatProgressSpinnerModule) }, { kind: "component", type: i0.forwardRef(() => i4$3.MatProgressSpinner), selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "mode", "value", "diameter", "strokeWidth"], exportAs: ["matProgressSpinner"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ListUtilityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-list-utility', standalone: true, imports: [CommonModule, MatButtonModule, MatMenuModule, MatProgressSpinnerModule, forwardRef(() => ComponentMapperComponent)], template: "<div style=\"text-align: left\">\n  <div class=\"psdk-utility\">\n    <div class=\"header\">\n      <div class=\"header-icon\">\n        <img class=\"psdk-utility-svg-icon\" src=\"{{ headerSvgIcon$ }}\" />\n      </div>\n      <div class=\"header-text\">{{ name$ }}</div>\n      <div class=\"psdk-utility-count\" id=\"attachments-count\">{{ count$ }}</div>\n      <div style=\"flex-grow: 1\"></div>\n      <div class=\"header-icon\">\n        <button id=\"file-menu\" mat-icon-button [matMenuTriggerFor]=\"utilityMenu\">\n          <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n        </button>\n        <mat-menu #utilityMenu=\"matMenu\" overlapTrigger=\"false\">\n          <ng-container *ngFor=\"let action of arActions$\">\n            <button mat-menu-item (click)=\"action.onClick()\">{{ action.text }}</button>\n          </ng-container>\n        </mat-menu>\n      </div>\n    </div>\n    <div class=\"psdk-utiltiy-divider\"></div>\n    <br />\n    <mat-spinner *ngIf=\"bLoading$\" class=\"progress-spinner\" diameter=\"50\"></mat-spinner>\n    <div *ngIf=\"count$ == 0\" class=\"message\">{{ noItemsMessage$ }}</div>\n    <div *ngIf=\"count$ > 0\" class=\"psdk-utility-items\">\n      <component-mapper name=\"SummaryList\" [props]=\"{ arItems$, menuIconOverrideAction$ }\"></component-mapper>\n    </div>\n    <div class=\"psdk-utility-view-all\">\n      <button *ngIf=\"count$ > 3\" mat-button color=\"primary\" (click)=\"onViewAll$.onClick()\">View all</button>\n    </div>\n  </div>\n</div>\n", styles: [".progress-spinner{text-align:center;position:absolute;top:40%;left:40%}.psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-utility-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-utility-view-all{width:100%;display:flex;justify-content:center}.psdk-utility-count{background:var(--app-primary-light-color);border-radius:.5625rem;color:var(--app-inverse-form-color);display:inline-block;font-size:.75rem;font-weight:700;text-align:center;width:1.125rem;vertical-align:top;margin:0 0 .313rem 1rem}.psdk-utility .header-text{font-size:1rem;font-weight:700;padding-bottom:.3125rem;text-align:left;display:inline-block}.psdk-utility .header-icon{display:inline-block}.psdk-utility{width:100%;padding:.625rem 0rem;text-align:left;background-color:var(--app-form-color);border-radius:.6125rem;margin:.3125rem 0rem;position:relative}.psdk-utility .header{text-align:left;display:flex;align-items:center}.psdk-utility-svg-icon{width:1.4rem;display:inline-block}.psdk-settings-svg-icon{width:1.4rem;display:inline-block;filter:var(--app-primary-color-filter)}.psdk-utility .message{text-align:center}.psdk-utility-card{display:flex;flex-direction:row;padding:.25rem 0rem .25rem .25rem}.psdk-utility-card-icon{flex-grow:1;max-width:2.813rem}.psdk-utility-card-svg-icon{width:2.5rem;display:inline-block}.psdk-utility-card-main{flex-grow:2;max-width:16.563rem}.psdk-utility-card-main-primary-url{color:var(--app-primary-color)}.psdk-utility-card-main-primary-url .mat-mdc-button.mat-primary{padding-left:0}.psdk-utility-card-main-primary-label{font-weight:700}.psdk-utility-card-actions{flex-grow:1;text-align:right}.psdk-utility-card-action-svg-icon{width:1.4rem;display:inline-block}.psdk-utility-card-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-utility-card-action-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:bottom}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { name$: [{
                type: Input
            }], icon$: [{
                type: Input
            }], bLoading$: [{
                type: Input
            }], count$: [{
                type: Input
            }], arActions$: [{
                type: Input
            }], arItems$: [{
                type: Input
            }], menuIconOverrideAction$: [{
                type: Input
            }], onViewAll$: [{
                type: Input
            }] } });

class QuickCreateComponent {
    constructor(utils) {
        this.utils = utils;
        this.cases$ = [];
    }
    createCase(className) {
        this.pConn$
            .getActionsApi()
            .createWork(className, {})
            .catch(error => {
            console.log('Error in case creation: ', error?.message);
        });
    }
    initComponent() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.heading$ = this.configProps$.heading;
        this.showCaseIcons$ = this.configProps$.showCaseIcons;
        this.classFilter$ = this.configProps$.classFilter;
        const envInfo = PCore.getEnvironmentInfo();
        if (this.classFilter$ &&
            envInfo.environmentInfoObject &&
            envInfo.environmentInfoObject.pyCaseTypeList &&
            envInfo.environmentInfoObject.pyCaseTypeList.length > 0) {
            this.classFilter$.forEach(item => {
                let icon = this.utils.getImageSrc('polaris-solid', this.utils.getSDKStaticContentUrl());
                let label = '';
                envInfo.environmentInfoObject.pyCaseTypeList.forEach(casetype => {
                    if (casetype.pyWorkTypeImplementationClassName === item) {
                        icon = casetype.pxIcon && this.utils.getImageSrc(casetype?.pxIcon, this.utils.getSDKStaticContentUrl());
                        label = casetype.pyWorkTypeName ?? '';
                    }
                });
                if (label !== '') {
                    this.cases$.push({
                        label,
                        onClick: () => {
                            this.createCase(item);
                        },
                        ...(this.showCaseIcons$ && { icon })
                    });
                }
            });
        }
    }
    ngOnInit() {
        // console.log(`ngOnInit (no registerAndSubscribe!): Region`);
        // this.updateSelf();
        this.initComponent();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.initComponent();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: QuickCreateComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: QuickCreateComponent, isStandalone: true, selector: "app-quick-create", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, usesOnChanges: true, ngImport: i0, template: "<component-mapper name=\"WssQuickCreate\" [props]=\"{ heading$, actions$: cases$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: QuickCreateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-quick-create', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"WssQuickCreate\" [props]=\"{ heading$, actions$: cases$ }\"></component-mapper>\n" }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

function updateWorkList(pConnect, key, payload = undefined) {
    PCore.getDataApiUtils()
        .getData(key, payload)
        .then(responseData => {
        const dataObject = {};
        dataObject[key] = {
            pxResults: responseData.data.data
        };
        pConnect.updateState(dataObject);
    })
        .catch(err => {
        console.error(err?.stack);
    });
}

const fetchMyWorkList = (datapage, fields, numberOfRecords, includeTotalCount, context) => {
    return PCore.getDataPageUtils()
        .getDataAsync(datapage, context, {}, {
        pageNumber: 1,
        pageSize: numberOfRecords
    }, {
        select: Object.keys(fields).map(key => ({ field: PCore.getAnnotationUtils().getPropertyName(fields[key]) })),
        sortBy: [
            { field: 'pxUrgencyAssign', type: 'DESC' },
            { field: 'pxDeadlineTime', type: 'ASC' },
            { field: 'pxCreateDateTime', type: 'DESC' }
        ]
    }, {
        invalidateCache: true,
        additionalApiParams: {
            includeTotalCount
        }
    })
        .then(response => {
        return {
            ...response,
            data: (Array.isArray(response?.data) ? response.data : []).map(row => Object.keys(fields).reduce((obj, key) => {
                obj[key] = row[PCore.getAnnotationUtils().getPropertyName(fields[key])];
                return obj;
            }, {}))
        };
    });
};
const getMappedValue = value => {
    const mappedValue = PCore.getEnvironmentInfo().getKeyMapping(value);
    return mappedValue === null ? value : mappedValue;
};
class TodoComponent {
    constructor(psService, erService, utils) {
        this.psService = psService;
        this.erService = erService;
        this.utils = utils;
        this.showTodoList$ = true;
        this.type$ = 'worklist';
        this.currentUserInitials$ = '--';
        this.bShowMore$ = true;
        this.bLogging = true;
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'Todo';
        this.showlessLocalizedValue = this.localizedVal('show_less', 'CosmosFields');
        this.showMoreLocalizedValue = this.localizedVal('show_more', 'CosmosFields');
    }
    ngOnInit() {
        this.CONSTS = PCore.getConstants();
        const { CREATE_STAGE_SAVED, CREATE_STAGE_DELETED } = PCore.getEvents().getCaseEvent();
        PCore.getPubSubUtils().subscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL, () => this.updateToDo(), 'updateToDo');
        PCore.getPubSubUtils().subscribe(CREATE_STAGE_SAVED, () => this.updateList(), CREATE_STAGE_SAVED);
        PCore.getPubSubUtils().subscribe(CREATE_STAGE_DELETED, () => this.updateList(), CREATE_STAGE_DELETED);
        this.updateToDo();
    }
    ngOnDestroy() {
        const { CREATE_STAGE_SAVED, CREATE_STAGE_DELETED } = PCore.getEvents().getCaseEvent();
        PCore.getPubSubUtils().unsubscribe(PCore.getConstants().PUB_SUB_EVENTS.EVENT_CANCEL, 'updateToDo');
        PCore.getPubSubUtils().unsubscribe(CREATE_STAGE_SAVED, CREATE_STAGE_SAVED);
        PCore.getPubSubUtils().unsubscribe(CREATE_STAGE_DELETED, CREATE_STAGE_DELETED);
    }
    updateList() {
        const { WORK_BASKET: { DATA_PAGES: { D__PY_MY_WORK_LIST } } } = PCore.getConstants();
        updateWorkList(getPConnect, getMappedValue(D__PY_MY_WORK_LIST));
    }
    updateToDo() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.headerText$ = this.headerText$ || this.configProps$.headerText;
        this.datasource$ = this.datasource$ || this.configProps$.datasource;
        this.myWorkList$ = this.myWorkList$ || this.configProps$.myWorkList;
        this.assignmentsSource$ = this.datasource$?.source || this.myWorkList$?.source;
        if (this.showTodoList$) {
            if (this.assignmentsSource$) {
                this.count = this.assignmentsSource$ ? this.assignmentsSource$.length : 0;
                this.arAssignments$ = this.topThreeAssignments(this.assignmentsSource$);
            }
            else if (this.myWorkList$.datapage) {
                fetchMyWorkList(this.myWorkList$.datapage, this.pConn$.getComponentConfig()?.myWorkList.fields, 3, true, this.context$).then(responseData => {
                    this.deferLoadWorklistItems(responseData);
                });
            }
            else {
                this.arAssignments$ = [];
            }
        }
        else {
            // get caseInfoId assignment.
            // eslint-disable-next-line no-lonely-if
            if (this.caseInfoID$ != undefined) {
                this.arAssignments$ = this.getCaseInfoAssignment(this.assignmentsSource$, this.caseInfoID$);
            }
        }
        this.canPerform = this.arAssignments$?.[0]?.canPerform === 'true' || this.arAssignments$?.[0]?.canPerform === true;
        this.currentUser$ = PCore.getEnvironmentInfo().getOperatorName();
        this.currentUserInitials$ = this.utils.getInitials(this.currentUser$ ?? '');
    }
    deferLoadWorklistItems(responseData) {
        this.count = responseData.totalCount;
        this.arAssignments$ = responseData.data;
    }
    getID(assignment) {
        if (assignment.value) {
            const refKey = assignment.value;
            return refKey.substring(refKey.lastIndexOf(' ') + 1);
        }
        const refKey = assignment.ID;
        const arKeys = refKey.split('!')[0].split(' ');
        return arKeys[2];
    }
    topThreeAssignments(assignmentsSource) {
        return Array.isArray(assignmentsSource) ? assignmentsSource.slice(0, 3) : [];
    }
    getAssignmentId(assignment) {
        return this.type$ === this.CONSTS.TODO ? assignment.ID : assignment.id;
    }
    getPriority(assignment) {
        return this.type$ === this.CONSTS.TODO ? assignment.urgency : assignment.priority;
    }
    getAssignmentName(assignment) {
        return this.type$ === this.CONSTS.TODO ? assignment.name : assignment.stepName;
    }
    getCaseInfoAssignment(assignmentsSource, caseInfoID) {
        const result = [];
        for (const source of assignmentsSource) {
            if (source.ID.indexOf(caseInfoID) >= 0) {
                const listRow = JSON.parse(JSON.stringify(source));
                // urgency becomes priority
                listRow.priority = listRow.urgency || undefined;
                // mimic regular list
                listRow.id = listRow.ID || undefined;
                result.push(listRow);
            }
        }
        return result;
    }
    _showMore() {
        this.bShowMore$ = false;
        const { WORKLIST } = PCore.getConstants();
        if (this.type$ === WORKLIST && this.count && this.count > this.arAssignments$.length && !this.assignmentsSource$) {
            fetchMyWorkList(this.myWorkList$.datapage, this.pConn$.getComponentConfig()?.myWorkList.fields, this.count, false, this.context$).then(response => {
                this.arAssignments$ = response.data;
            });
        }
        else {
            this.arAssignments$ = this.assignmentsSource$;
        }
    }
    _showLess() {
        this.bShowMore$ = true;
        const { WORKLIST } = PCore.getConstants();
        this.arAssignments$ = this.type$ === WORKLIST ? this.arAssignments$.slice(0, 3) : this.topThreeAssignments(this.assignmentsSource$);
    }
    isChildCase(assignment) {
        return assignment.isChild;
    }
    clickGo(assignment) {
        const id = this.getAssignmentId(assignment);
        let { classname = '' } = assignment;
        const sTarget = this.pConn$.getContainerName();
        const sTargetContainerName = sTarget;
        const options = { containerName: sTargetContainerName, channelName: '' };
        if (classname === null || classname === '') {
            classname = this.pConn$.getCaseInfo().getClassName();
        }
        if (sTarget === 'workarea') {
            options.isActionFromToDoList = true;
            options.target = '';
            options.context = null;
            options.isChild = this.isChildCase(assignment);
        }
        else {
            options.isActionFromToDoList = false;
            options.target = sTarget;
        }
        this.psService.sendMessage(true);
        this.pConn$
            .getActionsApi()
            .openAssignment(id, classname, options)
            .then(() => {
            this.psService.sendMessage(false);
            if (this.bLogging) {
                console.log(`openAssignment completed`);
            }
        })
            .catch(() => {
            this.psService.sendMessage(false);
            this.erService.sendMessage('show', 'Failed to open');
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TodoComponent, deps: [{ token: ProgressSpinnerService }, { token: ErrorMessagesService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: TodoComponent, isStandalone: true, selector: "app-todo", inputs: { pConn$: "pConn$", caseInfoID$: "caseInfoID$", datasource$: "datasource$", headerText$: "headerText$", showTodoList$: "showTodoList$", target$: "target$", type$: "type$", context$: "context$", myWorkList$: "myWorkList$", isConfirm: "isConfirm" }, providers: [Utils], ngImport: i0, template: "<div class=\"psdk-todo\">\n  <div class=\"psdk-todo-header\">\n    <div *ngIf=\"showTodoList$\" class=\"psdk-avatar\">{{ this.currentUserInitials$ }}</div>\n    <div id=\"worklist\" class=\"psdk-todo-text\">{{ headerText$ }}</div>\n    <div *ngIf=\"showTodoList$\" class=\"psdk-assignment-count\">{{ count }}</div>\n  </div>\n  <br /><br />\n  <div *ngIf=\"showTodoList$\" class=\"psdk-display-divider\"></div>\n\n  <div class=\"psdk-todo-assignments\">\n    <div *ngFor=\"let assignment of arAssignments$\">\n      <div class=\"psdk-todo-assignment\">\n        <div class=\"psdk-avatar\">{{ this.currentUserInitials$ }}</div>\n        <div class=\"psdk-todo-card\">\n          <div class=\"psdk-todo-assignment-title\">{{ getAssignmentName(assignment) }}</div>\n          <div class=\"psdk-todo-assignment-data\">\n            <div class=\"psdk-todo-assignment-task\">\n              {{ localizedVal('Task in', localeCategory) }}\n              <button class=\"psdk-todo-id\" style=\"cursor: pointer\" (click)=\"clickGo(assignment)\" *ngIf=\"!isConfirm || canPerform; else readOnlyText\">\n                {{ assignment.name }} {{ getID(assignment) }}\n              </button>\n              <ng-template #readOnlyText> {{ assignment.name }} {{ getID(assignment) }} </ng-template>\n              <span *ngIf=\"assignment.status != undefined\">\n                &bull; <span class=\"psdk-todo-assignment-status\">{{ assignment?.status }}</span>\n              </span>\n              &bull; {{ localizedVal('Urgency', localeCategory) }} {{ getPriority(assignment) }}\n            </div>\n          </div>\n        </div>\n        <div class=\"psdk-todo-assignment-action\" *ngIf=\"!isConfirm || canPerform\">\n          <button mat-flat-button color=\"primary\" (click)=\"clickGo(assignment)\">{{ localizedVal('Go', localeCategory) }}</button>\n        </div>\n      </div>\n      <div class=\"psdk-display-divider\"></div>\n    </div>\n  </div>\n</div>\n\n<div *ngIf=\"count > 3\">\n  <div *ngIf=\"bShowMore$; else showLess\" class=\"psdk-todo-show-more\">\n    <button mat-stroked-button (click)=\"_showMore()\">{{ showMoreLocalizedValue === 'show_more' ? 'Show more' : showMoreLocalizedValue }}</button>\n  </div>\n  <ng-template #showLess>\n    <div class=\"psdk-todo-show-more\">\n      <button mat-stroked-button (click)=\"_showLess()\">{{ showlessLocalizedValue === 'show_less' ? 'Show less' : showlessLocalizedValue }}</button>\n    </div>\n  </ng-template>\n</div>\n", styles: [".psdk-display-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-todo{padding:1rem;background-color:var(--app-form-color);border-radius:.6125rem;border-left:6px solid;border-left-color:var(--app-primary-color)}.psdk-todo-header{display:inline-flex}.psdk-todo-text{padding:.5rem .625rem;font-size:1.1rem;font-weight:700}.psdk-assignment-count{background-color:var(--app-primary-light-color);margin:.5rem;border-radius:45%;padding:.15rem .4rem}.psdk-todo-id{color:var(--app-primary-color);padding:0;cursor:pointer;border:0;background-color:transparent;align-items:center}.psdk-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:flex;background:var(--app-primary-color);color:var(--app-form-color);font-weight:700;font-size:1.25rem}.psdk-todo-assignment{display:inline-flex;width:100%;padding:.625rem 0rem}.psdk-todo-assignment-data{display:inline-flex}.psdk-todo-assignment-status{background-color:var(--app-neutral-light-color);border-radius:.125rem;color:var(--app-assignment-status-color);font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-todo-assignment-task{color:var(--app-neutral-color)}.psdk-todo-assignment-action{display:inline-flex}.psdk-todo-card{width:100%;padding-left:.625rem}.psdk-todo-show-more{width:100%;text-align:center;margin-top:.625rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: TodoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-todo', providers: [Utils], standalone: true, imports: [CommonModule, MatButtonModule], template: "<div class=\"psdk-todo\">\n  <div class=\"psdk-todo-header\">\n    <div *ngIf=\"showTodoList$\" class=\"psdk-avatar\">{{ this.currentUserInitials$ }}</div>\n    <div id=\"worklist\" class=\"psdk-todo-text\">{{ headerText$ }}</div>\n    <div *ngIf=\"showTodoList$\" class=\"psdk-assignment-count\">{{ count }}</div>\n  </div>\n  <br /><br />\n  <div *ngIf=\"showTodoList$\" class=\"psdk-display-divider\"></div>\n\n  <div class=\"psdk-todo-assignments\">\n    <div *ngFor=\"let assignment of arAssignments$\">\n      <div class=\"psdk-todo-assignment\">\n        <div class=\"psdk-avatar\">{{ this.currentUserInitials$ }}</div>\n        <div class=\"psdk-todo-card\">\n          <div class=\"psdk-todo-assignment-title\">{{ getAssignmentName(assignment) }}</div>\n          <div class=\"psdk-todo-assignment-data\">\n            <div class=\"psdk-todo-assignment-task\">\n              {{ localizedVal('Task in', localeCategory) }}\n              <button class=\"psdk-todo-id\" style=\"cursor: pointer\" (click)=\"clickGo(assignment)\" *ngIf=\"!isConfirm || canPerform; else readOnlyText\">\n                {{ assignment.name }} {{ getID(assignment) }}\n              </button>\n              <ng-template #readOnlyText> {{ assignment.name }} {{ getID(assignment) }} </ng-template>\n              <span *ngIf=\"assignment.status != undefined\">\n                &bull; <span class=\"psdk-todo-assignment-status\">{{ assignment?.status }}</span>\n              </span>\n              &bull; {{ localizedVal('Urgency', localeCategory) }} {{ getPriority(assignment) }}\n            </div>\n          </div>\n        </div>\n        <div class=\"psdk-todo-assignment-action\" *ngIf=\"!isConfirm || canPerform\">\n          <button mat-flat-button color=\"primary\" (click)=\"clickGo(assignment)\">{{ localizedVal('Go', localeCategory) }}</button>\n        </div>\n      </div>\n      <div class=\"psdk-display-divider\"></div>\n    </div>\n  </div>\n</div>\n\n<div *ngIf=\"count > 3\">\n  <div *ngIf=\"bShowMore$; else showLess\" class=\"psdk-todo-show-more\">\n    <button mat-stroked-button (click)=\"_showMore()\">{{ showMoreLocalizedValue === 'show_more' ? 'Show more' : showMoreLocalizedValue }}</button>\n  </div>\n  <ng-template #showLess>\n    <div class=\"psdk-todo-show-more\">\n      <button mat-stroked-button (click)=\"_showLess()\">{{ showlessLocalizedValue === 'show_less' ? 'Show less' : showlessLocalizedValue }}</button>\n    </div>\n  </ng-template>\n</div>\n", styles: [".psdk-display-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-todo{padding:1rem;background-color:var(--app-form-color);border-radius:.6125rem;border-left:6px solid;border-left-color:var(--app-primary-color)}.psdk-todo-header{display:inline-flex}.psdk-todo-text{padding:.5rem .625rem;font-size:1.1rem;font-weight:700}.psdk-assignment-count{background-color:var(--app-primary-light-color);margin:.5rem;border-radius:45%;padding:.15rem .4rem}.psdk-todo-id{color:var(--app-primary-color);padding:0;cursor:pointer;border:0;background-color:transparent;align-items:center}.psdk-avatar{margin:0rem;padding:0rem;min-width:2.5rem;min-height:2.5rem;max-width:2.5rem;max-height:2.5rem;border-radius:50%;justify-content:center;align-items:center;text-align:center;display:flex;background:var(--app-primary-color);color:var(--app-form-color);font-weight:700;font-size:1.25rem}.psdk-todo-assignment{display:inline-flex;width:100%;padding:.625rem 0rem}.psdk-todo-assignment-data{display:inline-flex}.psdk-todo-assignment-status{background-color:var(--app-neutral-light-color);border-radius:.125rem;color:var(--app-assignment-status-color);font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-todo-assignment-task{color:var(--app-neutral-color)}.psdk-todo-assignment-action{display:inline-flex}.psdk-todo-card{width:100%;padding-left:.625rem}.psdk-todo-show-more{width:100%;text-align:center;margin-top:.625rem}\n"] }]
        }], ctorParameters: () => [{ type: ProgressSpinnerService }, { type: ErrorMessagesService }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], caseInfoID$: [{
                type: Input
            }], datasource$: [{
                type: Input
            }], headerText$: [{
                type: Input
            }], showTodoList$: [{
                type: Input
            }], target$: [{
                type: Input
            }], type$: [{
                type: Input
            }], context$: [{
                type: Input
            }], myWorkList$: [{
                type: Input
            }], isConfirm: [{
                type: Input
            }] } });

class AlertBannerComponent {
    constructor() {
        this.SEVERITY_MAP = {
            urgent: 'error',
            warning: 'warning',
            success: 'success',
            info: 'info'
        };
    }
    onAlertClose(config) {
        const { PAGE, type, target } = config;
        const { clearMessages } = PCore.getMessageManager();
        clearMessages({ category: PAGE, type, context: target });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertBannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AlertBannerComponent, isStandalone: true, selector: "app-alert-banner", inputs: { banners: "banners" }, ngImport: i0, template: "<div>\n  <div *ngFor=\"let banner of banners\">\n    <div *ngFor=\"let message of banner.messages\">\n      <component-mapper\n        name=\"Alert\"\n        [props]=\"{ message, severity: SEVERITY_MAP[banner.variant], hideClose: banner.variant === 'urgent' }\"\n        [parent]=\"this\"\n        [outputEvents]=\"{ onClose: onAlertClose }\"\n      ></component-mapper>\n    </div>\n  </div>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertBannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-alert-banner', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div>\n  <div *ngFor=\"let banner of banners\">\n    <div *ngFor=\"let message of banner.messages\">\n      <component-mapper\n        name=\"Alert\"\n        [props]=\"{ message, severity: SEVERITY_MAP[banner.variant], hideClose: banner.variant === 'urgent' }\"\n        [parent]=\"this\"\n        [outputEvents]=\"{ onClose: onAlertClose }\"\n      ></component-mapper>\n    </div>\n  </div>\n</div>\n" }]
        }], propDecorators: { banners: [{
                type: Input
            }] } });

class AlertComponent {
    constructor() {
        this.onClose = new EventEmitter();
    }
    getMatIcon(severity) {
        let variant;
        switch (severity) {
            case 'error':
                variant = 'error_outline';
                break;
            case 'warning':
                variant = 'warning_amber';
                break;
            case 'success':
                variant = 'task_alt';
                break;
            case 'info':
                variant = 'info_outline';
                break;
            default:
                break;
        }
        return variant;
    }
    onCloseClick() {
        alert('Close clicked');
        this.onClose.emit({ Page: 'Page', target: 'target', type: 'type' });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AlertComponent, isStandalone: true, selector: "app-alert", inputs: { message: "message", severity: "severity", hideClose: "hideClose" }, outputs: { onClose: "onClose" }, ngImport: i0, template: "<div\n  class=\"psdk-alert\"\n  [ngClass]=\"{\n    'psdk-alert-error': severity === 'error',\n    'psdk-grid-warning': severity === 'warning',\n    'psdk-grid-success': severity === 'success',\n    'psdk-grid-info': severity === 'info'\n  }\"\n>\n  <div class=\"psdk-alert-icon\">\n    <mat-icon>{{ getMatIcon(severity) }}</mat-icon>\n  </div>\n  <div>{{ message }}</div>\n  <div *ngIf=\"!hideClose\" style=\"margin-left: auto\">\n    <button class=\"close-button\" mat-icon-button (click)=\"onCloseClick()\">\n      <mat-icon>close</mat-icon>\n    </button>\n  </div>\n</div>\n", styles: [".psdk-alert{border:1px solid;display:flex;align-items:center;border-radius:4px;padding:10px;margin:5px 0}.psdk-alert-icon{display:flex;align-items:center;margin-right:10px}.psdk-alert-error{color:var(--app-alert-error-color);border:1px solid var(--app-alert-error-border-color)}.psdk-alert-error .mat-icon{color:var(--app-alert-error-border-color)}.psdk-grid-warning{color:var(--app-alert-warning-color);border:1px solid var(--app-alert-warning-border-color)}.psdk-grid-warning .mat-icon{color:var(--app-alert-warning-border-color)}.psdk-grid-success{color:var(--app-alert-success-color);border:1px solid var(--app-alert-success-border-color)}.psdk-grid-success .mat-icon{color:var(--app-alert-success-border-color)}.psdk-grid-info{color:var(--app-alert-info-color);border:1px solid var(--app-alert-info-border-color)}.psdk-grid-info .mat-icon{color:var(--app-alert-info-border-color)}.close-button{background:none;border:none;cursor:pointer}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i2$3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-alert', standalone: true, imports: [CommonModule, MatIconModule], template: "<div\n  class=\"psdk-alert\"\n  [ngClass]=\"{\n    'psdk-alert-error': severity === 'error',\n    'psdk-grid-warning': severity === 'warning',\n    'psdk-grid-success': severity === 'success',\n    'psdk-grid-info': severity === 'info'\n  }\"\n>\n  <div class=\"psdk-alert-icon\">\n    <mat-icon>{{ getMatIcon(severity) }}</mat-icon>\n  </div>\n  <div>{{ message }}</div>\n  <div *ngIf=\"!hideClose\" style=\"margin-left: auto\">\n    <button class=\"close-button\" mat-icon-button (click)=\"onCloseClick()\">\n      <mat-icon>close</mat-icon>\n    </button>\n  </div>\n</div>\n", styles: [".psdk-alert{border:1px solid;display:flex;align-items:center;border-radius:4px;padding:10px;margin:5px 0}.psdk-alert-icon{display:flex;align-items:center;margin-right:10px}.psdk-alert-error{color:var(--app-alert-error-color);border:1px solid var(--app-alert-error-border-color)}.psdk-alert-error .mat-icon{color:var(--app-alert-error-border-color)}.psdk-grid-warning{color:var(--app-alert-warning-color);border:1px solid var(--app-alert-warning-border-color)}.psdk-grid-warning .mat-icon{color:var(--app-alert-warning-border-color)}.psdk-grid-success{color:var(--app-alert-success-color);border:1px solid var(--app-alert-success-border-color)}.psdk-grid-success .mat-icon{color:var(--app-alert-success-border-color)}.psdk-grid-info{color:var(--app-alert-info-color);border:1px solid var(--app-alert-info-border-color)}.psdk-grid-info .mat-icon{color:var(--app-alert-info-border-color)}.close-button{background:none;border:none;cursor:pointer}\n"] }]
        }], propDecorators: { message: [{
                type: Input
            }], severity: [{
                type: Input
            }], hideClose: [{
                type: Input
            }], onClose: [{
                type: Output
            }] } });

class BannerComponent {
    getUrl() {
        return `url(${this.backgroundImage})`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: BannerComponent, isStandalone: true, selector: "app-banner", inputs: { pConn$: "pConn$", formGroup$: "formGroup$", arChildren$: "arChildren$", title: "title", message: "message", backgroundImage: "backgroundImage", layout$: "layout$" }, ngImport: i0, template: "<div style=\"margin-bottom: '2rem'\">\n  <div class=\"background-image-style\" [ngStyle]=\"{ 'background-image': getUrl() }\">\n    <div class=\"background-style content\">\n      <div>\n        <h1 class=\"title\">{{ title }}</h1>\n        <p class=\"message\">{{ message }}</p>\n      </div>\n    </div>\n  </div>\n  <div\n    [ngClass]=\"{\n      'psdk-grid-filter-1': this.layout$ === 'two-column',\n      'psdk-grid-filter-wide-narrow': this.layout$ === 'wide-narrow',\n      'psdk-grid-filter-narrow-wide': this.layout$ === 'narrow-wide'\n    }\"\n  >\n    <component-mapper\n      [name]=\"arChildren$[0].getPConnect().getComponentName()\"\n      [props]=\"{ pConn$: arChildren$[0].getPConnect(), formGroup$ }\"\n      errorMsg=\"Region wants component not yet available: {{ arChildren$[0].getPConnect().getComponentName() }}\"\n    ></component-mapper>\n    <component-mapper\n      [name]=\"arChildren$[1].getPConnect().getComponentName()\"\n      [props]=\"{ pConn$: arChildren$[1].getPConnect(), formGroup$ }\"\n      errorMsg=\"Region wants component not yet available: {{ arChildren$[1].getPConnect().getComponentName() }}\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-grid-filter-1{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-wide-narrow{display:grid;grid-template-columns:7fr 3fr;column-gap:1rem;row-gap:1rem;align-items:start;padding:1rem}.psdk-grid-filter-narrow-wide{display:grid;grid-template-columns:3fr 7fr;column-gap:1rem;row-gap:1rem;align-items:start}.background-image-style{margin-left:-16px;margin-right:-16px;height:19rem;background-size:cover;background-position:center center}.background-style{background-color:transparent;color:var(--app-inverse-form-color);width:100%;height:100%;text-align:center}.content{display:flex;flex-direction:column;justify-content:center;align-items:center;gap:.5rem}.title{margin:0rem;font-size:1.728rem;font-weight:600}.message{margin:0;font-size:1rem;font-weight:400}.banner-layout{padding:1rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgStyle), selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-banner', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div style=\"margin-bottom: '2rem'\">\n  <div class=\"background-image-style\" [ngStyle]=\"{ 'background-image': getUrl() }\">\n    <div class=\"background-style content\">\n      <div>\n        <h1 class=\"title\">{{ title }}</h1>\n        <p class=\"message\">{{ message }}</p>\n      </div>\n    </div>\n  </div>\n  <div\n    [ngClass]=\"{\n      'psdk-grid-filter-1': this.layout$ === 'two-column',\n      'psdk-grid-filter-wide-narrow': this.layout$ === 'wide-narrow',\n      'psdk-grid-filter-narrow-wide': this.layout$ === 'narrow-wide'\n    }\"\n  >\n    <component-mapper\n      [name]=\"arChildren$[0].getPConnect().getComponentName()\"\n      [props]=\"{ pConn$: arChildren$[0].getPConnect(), formGroup$ }\"\n      errorMsg=\"Region wants component not yet available: {{ arChildren$[0].getPConnect().getComponentName() }}\"\n    ></component-mapper>\n    <component-mapper\n      [name]=\"arChildren$[1].getPConnect().getComponentName()\"\n      [props]=\"{ pConn$: arChildren$[1].getPConnect(), formGroup$ }\"\n      errorMsg=\"Region wants component not yet available: {{ arChildren$[1].getPConnect().getComponentName() }}\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-grid-filter-1{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-wide-narrow{display:grid;grid-template-columns:7fr 3fr;column-gap:1rem;row-gap:1rem;align-items:start;padding:1rem}.psdk-grid-filter-narrow-wide{display:grid;grid-template-columns:3fr 7fr;column-gap:1rem;row-gap:1rem;align-items:start}.background-image-style{margin-left:-16px;margin-right:-16px;height:19rem;background-size:cover;background-position:center center}.background-style{background-color:transparent;color:var(--app-inverse-form-color);width:100%;height:100%;text-align:center}.content{display:flex;flex-direction:column;justify-content:center;align-items:center;gap:.5rem}.title{margin:0rem;font-size:1.728rem;font-weight:600}.message{margin:0;font-size:1rem;font-weight:400}.banner-layout{padding:1rem}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }], arChildren$: [{
                type: Input
            }], title: [{
                type: Input
            }], message: [{
                type: Input
            }], backgroundImage: [{
                type: Input
            }], layout$: [{
                type: Input
            }] } });

class CaseCreateStageComponent {
    constructor(angularPConnect) {
        this.angularPConnect = angularPConnect;
        // For interaction with AngularPConnect
        this.angularPConnectData = {};
    }
    ngOnInit() {
        // First thing in initialization is registering and subscribing to the AngularPConnect service
        this.angularPConnectData = this.angularPConnect.registerAndSubscribeComponent(this, this.onStateChange);
        // this.updateSelf();
        this.checkAndUpdate();
    }
    ngOnDestroy() {
        if (this.angularPConnectData.unsubscribeFn) {
            this.angularPConnectData.unsubscribeFn();
        }
    }
    // Callback passed when subscribing to store change
    onStateChange() {
        this.checkAndUpdate();
    }
    checkAndUpdate() {
        // Should always check the bridge to see if the component should
        // update itself (re-render)
        const bUpdateSelf = this.angularPConnect.shouldComponentUpdate(this);
        // ONLY call updateSelf when the component should update
        if (bUpdateSelf) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.arChildren$ = this.pConn$.getChildren();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseCreateStageComponent, deps: [{ token: AngularPConnectService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: CaseCreateStageComponent, isStandalone: true, selector: "app-case-create-stage", inputs: { pConn$: "pConn$", formGroup$: "formGroup$" }, ngImport: i0, template: "<div *ngFor=\"let kid of arChildren$\">\n  <div *ngIf=\"kid.getPConnect().getConfigProps().template != ''\">\n    <component-mapper\n      [name]=\"kid.getPConnect().getConfigProps().template\"\n      [props]=\"{\n        pConn$: kid.getPConnect(),\n        formGroup$: formGroup$\n      }\"\n      errorMsg=\"CreateCaseStage Missing: {{ kid.getPConnect().getConfigProps().template }}\"\n    ></component-mapper>\n  </div>\n</div>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseCreateStageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-case-create-stage', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div *ngFor=\"let kid of arChildren$\">\n  <div *ngIf=\"kid.getPConnect().getConfigProps().template != ''\">\n    <component-mapper\n      [name]=\"kid.getPConnect().getConfigProps().template\"\n      [props]=\"{\n        pConn$: kid.getPConnect(),\n        formGroup$: formGroup$\n      }\"\n      errorMsg=\"CreateCaseStage Missing: {{ kid.getPConnect().getConfigProps().template }}\"\n    ></component-mapper>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AngularPConnectService }], propDecorators: { pConn$: [{
                type: Input
            }], formGroup$: [{
                type: Input
            }] } });

class FieldGroupComponent {
    constructor() {
        this.collapsible = false;
        this.collapsed = false;
    }
    headerClickHandler() {
        this.collapsed = !this.collapsed;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FieldGroupComponent, isStandalone: true, selector: "app-field-group", inputs: { name: "name", collapsible: "collapsible", instructions: "instructions", childrenTemplate: "childrenTemplate" }, ngImport: i0, template: "<div class=\"field-group-container\">\n  <div *ngIf=\"name\" class=\"field-group-heading\">\n    <span *ngIf=\"collapsible; else no_collapse\" id=\"field-group-header\" class=\"field-group-header\" (click)=\"headerClickHandler()\">\n      <mat-icon *ngIf=\"collapsed; else down_arrow\" aria-hidden=\"false\" aria-label=\"Arrow Right\" fontIcon=\"keyboard_arrow_right\"></mat-icon>\n      <ng-template #down_arrow>\n        <mat-icon aria-hidden=\"false\" aria-label=\"Arrow Down\" fontIcon=\"keyboard_arrow_down\"></mat-icon>\n      </ng-template>\n      <b>{{ name }}</b>\n    </span>\n    <ng-template #no_collapse>\n      <span>{{ name }}</span>\n    </ng-template>\n  </div>\n\n  <div *ngIf=\"instructions && instructions !== 'none'\" class=\"field-group-instructions\">\n    <div key=\"instructions\" id=\"instruction-text\" [innerHTML]=\"instructions\"></div>\n  </div>\n  <div *ngIf=\"!collapsed\" class=\"field-group-content\">\n    <ng-container [ngTemplateOutlet]=\"childrenTemplate\"></ng-container>\n  </div>\n</div>\n", styles: [".field-group-container .field-group-heading{padding-top:8px;padding-bottom:8px;font-weight:700}.field-group-container .field-group-heading .field-group-header{gap:5px;display:flex;align-items:center;cursor:pointer}.field-group-container .field-group-instructions{padding:5px 0}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: MatGridListModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i2$3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FieldGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-field-group', standalone: true, imports: [CommonModule, MatGridListModule, MatIconModule], template: "<div class=\"field-group-container\">\n  <div *ngIf=\"name\" class=\"field-group-heading\">\n    <span *ngIf=\"collapsible; else no_collapse\" id=\"field-group-header\" class=\"field-group-header\" (click)=\"headerClickHandler()\">\n      <mat-icon *ngIf=\"collapsed; else down_arrow\" aria-hidden=\"false\" aria-label=\"Arrow Right\" fontIcon=\"keyboard_arrow_right\"></mat-icon>\n      <ng-template #down_arrow>\n        <mat-icon aria-hidden=\"false\" aria-label=\"Arrow Down\" fontIcon=\"keyboard_arrow_down\"></mat-icon>\n      </ng-template>\n      <b>{{ name }}</b>\n    </span>\n    <ng-template #no_collapse>\n      <span>{{ name }}</span>\n    </ng-template>\n  </div>\n\n  <div *ngIf=\"instructions && instructions !== 'none'\" class=\"field-group-instructions\">\n    <div key=\"instructions\" id=\"instruction-text\" [innerHTML]=\"instructions\"></div>\n  </div>\n  <div *ngIf=\"!collapsed\" class=\"field-group-content\">\n    <ng-container [ngTemplateOutlet]=\"childrenTemplate\"></ng-container>\n  </div>\n</div>\n", styles: [".field-group-container .field-group-heading{padding-top:8px;padding-bottom:8px;font-weight:700}.field-group-container .field-group-heading .field-group-header{gap:5px;display:flex;align-items:center;cursor:pointer}.field-group-container .field-group-instructions{padding:5px 0}\n"] }]
        }], propDecorators: { name: [{
                type: Input
            }], collapsible: [{
                type: Input
            }], instructions: [{
                type: Input
            }], childrenTemplate: [{
                type: Input
            }] } });

class MaterialCaseSummaryComponent {
    constructor(utils) {
        this.utils = utils;
        this.localizedVal = PCore.getLocaleUtils().getLocaleValue;
        this.localeCategory = 'ModalContainer';
    }
    ngOnInit() {
        this.updatePrimaryWithStatus();
        this.updateLabelAndDate(this.primaryFieldsWithStatus$);
        this.updateLabelAndDate(this.secondaryFields$);
    }
    // eslint-disable-next-line sonarjs/no-identical-functions
    ngOnChanges() {
        this.updatePrimaryWithStatus();
        this.updateLabelAndDate(this.primaryFieldsWithStatus$);
        this.updateLabelAndDate(this.secondaryFields$);
    }
    updateLabelAndDate(arData) {
        for (const field of arData) {
            switch (field.type.toLowerCase()) {
                case 'caseoperator':
                    if (field.config.label.toLowerCase() == 'create operator') {
                        field.config.displayLabel = field.config.createLabel;
                    }
                    else if (field.config.label.toLowerCase() == 'update operator') {
                        field.config.displayLabel = field.config.updateLabel;
                    }
                    break;
                case 'date':
                    field.config.value = this.utils.generateDate(field.config.value, 'Date-Long');
                    break;
                case 'userreference':
                case 'decimal':
                case 'dropdown':
                    field.config.displayLabel = field.config.label;
                    break;
                case 'checkbox':
                    field.config.displayLabel = field.config.caption;
                    break;
                default:
                    break;
            }
        }
    }
    updatePrimaryWithStatus() {
        this.primaryFieldsWithStatus$ = [];
        for (const prim of this.primaryFields$) {
            prim.config.value = this.localizedVal(prim.config.value, this.localeCategory);
            this.primaryFieldsWithStatus$.push(prim);
        }
        if (this.bShowStatus$) {
            const oStatus = { type: 'status', config: { value: this.status$, label: 'Status' } };
            const count = this.primaryFieldsWithStatus$.length;
            if (count < 2) {
                this.primaryFieldsWithStatus$.push(oStatus);
            }
            else {
                this.primaryFieldsWithStatus$.splice(1, 0, oStatus);
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialCaseSummaryComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialCaseSummaryComponent, isStandalone: true, selector: "app-material-case-summary", inputs: { status$: "status$", bShowStatus$: "bShowStatus$", primaryFields$: "primaryFields$", secondaryFields$: "secondaryFields$" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-case-summary-fields\">\n  <dl class=\"psdk-case-summary-fields-primary\">\n    <div *ngFor=\"let field of primaryFieldsWithStatus$\" class=\"psdk-csf-primary-field\">\n      <dt class=\"psdk-csf-primary-field-header\">\n        {{ field.config?.label }}\n      </dt>\n      <dd *ngIf=\"field.config.value === ''; else hasValue\" class=\"psdk-csf-primary-field-data\">\n        <ng-container [ngSwitch]=\"field.type.toLowerCase()\">\n          <label *ngSwitchCase=\"'caseoperator'\">operator</label>\n          <span *ngSwitchDefault class=\"psdk-csf-text-style\">---</span>\n        </ng-container>\n      </dd>\n      <ng-template #hasValue>\n        <dd class=\"psdk-csf-primary-field-data\" [ngSwitch]=\"field.type.toLowerCase()\">\n          <span *ngSwitchCase=\"'textinput'\" class=\"psdk-csf-text-style\">{{ field.config.value }}</span>\n          <span *ngSwitchCase=\"'status'\" class=\"psdk-csf-status-style\">{{ field.config.value }}</span>\n          <a *ngSwitchCase=\"'phone'\" as=\"a\" href=\"tel: {{ field.config.value }}\">{{ field.config.value }}</a>\n          <a *ngSwitchCase=\"'email'\" href=\"mailto: {{ field.config.value }}\">{{ field.config.value }}</a>\n          <span *ngSwitchCase=\"'date'\" class=\"psdk-csf-text-style\">{{ field.config.value }}</span>\n          <label *ngSwitchCase=\"'caseoperator'\">operator</label>\n          <span *ngSwitchDefault class=\"psdk-csf-text-style\">{{ field.config.value }}</span>\n        </dd>\n      </ng-template>\n    </div>\n  </dl>\n</div>\n<div class=\"psdk-case-summary-fields\">\n  <dl *ngFor=\"let field of secondaryFields$\" class=\"psdk-case-summary-fields-secondary\">\n    <div\n      *ngIf=\"\n        field?.config?.label?.toLowerCase() == 'create operator' ||\n          field?.displayLabel?.toLowerCase() == 'create operator' ||\n          field?.config?.label?.toLowerCase() == 'update operator' ||\n          field?.displayLabel?.toLowerCase() == 'update operator';\n        else hasSecondaryValue\n      \"\n    >\n      <component-mapper name=\"Operator\" [props]=\"{ pConn$: field?.kid, displayLabel: field?.displayLabel }\"></component-mapper>\n    </div>\n    <ng-template #hasSecondaryValue>\n      <div class=\"psdk-csf-secondary-field\">\n        <dt class=\"psdk-csf-secondary-field-header\">\n          {{ field.config?.displayLabel || field.config?.label }}\n        </dt>\n        <dd class=\"psdk-csf-secondary-field-data\">\n          <div [ngSwitch]=\"field.type\">\n            <label *ngSwitchCase=\"'UserReference'\" class=\"psdk-secondary-value\">{{ field.config.value.userName || '---' }}</label>\n            <label *ngSwitchCase=\"'Checkbox'\" class=\"psdk-secondary-value\">{{ field.config.falseLabel || '---' }}</label>\n            <label *ngSwitchDefault class=\"psdk-secondary-value\">{{ field.config.value || '---' }}</label>\n          </div>\n        </dd>\n      </div>\n    </ng-template>\n  </dl>\n</div>\n", styles: [".psdk-case-summary{display:block;margin:.625rem}.psdk-case-summary-primary,.psdk-case-summary-secondary,.psdk-case-summary-status{text-align:left;margin-bottom:.75rem}.psdk-case-summary-status-data{display:block;background-color:var(--app-primary-lightest-color);color:var(--app-primary-color);padding:0rem .625rem;display:inline;font-size:.75rem;font-weight:700;text-transform:uppercase;line-height:1.5rem}.psdk-case-summary-primary .label{font-weight:600}.psdk-case-summary-primary .data{font-weight:600;font-size:1.625rem}.psdk-case-summary-secondary .label{font-weight:600}.psdk-case-summary-secondary .data{font-weight:600;padding-left:1.25rem}.psdk-case-summary-fields{display:grid;grid-row-gap:1rem}.psdk-case-summary-fields-primary{grid-template-columns:20ch 1fr;display:grid;grid-column-gap:1rem;grid-row-gap:1rem}.psdk-csf-primary-field{display:grid;grid-template-columns:1fr;grid-column-gap:0rem}.psdk-csf-primary-field-header{word-break:break-word;grid-column-start:1;grid-row-start:1;max-width:max-content;font-size:.8125rem;font-weight:400;color:var(--app-field-header-color)}.psdk-csf-primary-field-data{word-break:break-word;grid-column-start:1;grid-row-start:2;margin-inline-start:unset}.psdk-case-summary-fields-secondary{width:100%;display:grid;grid-template-columns:1fr;grid-column-gap:1rem;grid-row-gap:.5rem;margin:0}.psdk-csf-secondary-field{display:grid;grid-template-columns:auto;grid-column-gap:1rem}.psdk-csf-secondary-field-header{word-break:break-word;grid-column-start:1;grid-row-start:1;max-width:max-content;font-size:.8125rem;font-weight:400;color:var(--app-field-header-color);align-items:center;display:flex}.psdk-csf-secondary-field-data{word-break:break-word;grid-column-start:2;grid-row-start:1;margin-inline-start:unset}span.psdk-csf-text-style{font-size:1.125rem;font-weight:600}span.psdk-csf-status-style{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-secondary-value{font-size:1rem}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialCaseSummaryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-case-summary', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-case-summary-fields\">\n  <dl class=\"psdk-case-summary-fields-primary\">\n    <div *ngFor=\"let field of primaryFieldsWithStatus$\" class=\"psdk-csf-primary-field\">\n      <dt class=\"psdk-csf-primary-field-header\">\n        {{ field.config?.label }}\n      </dt>\n      <dd *ngIf=\"field.config.value === ''; else hasValue\" class=\"psdk-csf-primary-field-data\">\n        <ng-container [ngSwitch]=\"field.type.toLowerCase()\">\n          <label *ngSwitchCase=\"'caseoperator'\">operator</label>\n          <span *ngSwitchDefault class=\"psdk-csf-text-style\">---</span>\n        </ng-container>\n      </dd>\n      <ng-template #hasValue>\n        <dd class=\"psdk-csf-primary-field-data\" [ngSwitch]=\"field.type.toLowerCase()\">\n          <span *ngSwitchCase=\"'textinput'\" class=\"psdk-csf-text-style\">{{ field.config.value }}</span>\n          <span *ngSwitchCase=\"'status'\" class=\"psdk-csf-status-style\">{{ field.config.value }}</span>\n          <a *ngSwitchCase=\"'phone'\" as=\"a\" href=\"tel: {{ field.config.value }}\">{{ field.config.value }}</a>\n          <a *ngSwitchCase=\"'email'\" href=\"mailto: {{ field.config.value }}\">{{ field.config.value }}</a>\n          <span *ngSwitchCase=\"'date'\" class=\"psdk-csf-text-style\">{{ field.config.value }}</span>\n          <label *ngSwitchCase=\"'caseoperator'\">operator</label>\n          <span *ngSwitchDefault class=\"psdk-csf-text-style\">{{ field.config.value }}</span>\n        </dd>\n      </ng-template>\n    </div>\n  </dl>\n</div>\n<div class=\"psdk-case-summary-fields\">\n  <dl *ngFor=\"let field of secondaryFields$\" class=\"psdk-case-summary-fields-secondary\">\n    <div\n      *ngIf=\"\n        field?.config?.label?.toLowerCase() == 'create operator' ||\n          field?.displayLabel?.toLowerCase() == 'create operator' ||\n          field?.config?.label?.toLowerCase() == 'update operator' ||\n          field?.displayLabel?.toLowerCase() == 'update operator';\n        else hasSecondaryValue\n      \"\n    >\n      <component-mapper name=\"Operator\" [props]=\"{ pConn$: field?.kid, displayLabel: field?.displayLabel }\"></component-mapper>\n    </div>\n    <ng-template #hasSecondaryValue>\n      <div class=\"psdk-csf-secondary-field\">\n        <dt class=\"psdk-csf-secondary-field-header\">\n          {{ field.config?.displayLabel || field.config?.label }}\n        </dt>\n        <dd class=\"psdk-csf-secondary-field-data\">\n          <div [ngSwitch]=\"field.type\">\n            <label *ngSwitchCase=\"'UserReference'\" class=\"psdk-secondary-value\">{{ field.config.value.userName || '---' }}</label>\n            <label *ngSwitchCase=\"'Checkbox'\" class=\"psdk-secondary-value\">{{ field.config.falseLabel || '---' }}</label>\n            <label *ngSwitchDefault class=\"psdk-secondary-value\">{{ field.config.value || '---' }}</label>\n          </div>\n        </dd>\n      </div>\n    </ng-template>\n  </dl>\n</div>\n", styles: [".psdk-case-summary{display:block;margin:.625rem}.psdk-case-summary-primary,.psdk-case-summary-secondary,.psdk-case-summary-status{text-align:left;margin-bottom:.75rem}.psdk-case-summary-status-data{display:block;background-color:var(--app-primary-lightest-color);color:var(--app-primary-color);padding:0rem .625rem;display:inline;font-size:.75rem;font-weight:700;text-transform:uppercase;line-height:1.5rem}.psdk-case-summary-primary .label{font-weight:600}.psdk-case-summary-primary .data{font-weight:600;font-size:1.625rem}.psdk-case-summary-secondary .label{font-weight:600}.psdk-case-summary-secondary .data{font-weight:600;padding-left:1.25rem}.psdk-case-summary-fields{display:grid;grid-row-gap:1rem}.psdk-case-summary-fields-primary{grid-template-columns:20ch 1fr;display:grid;grid-column-gap:1rem;grid-row-gap:1rem}.psdk-csf-primary-field{display:grid;grid-template-columns:1fr;grid-column-gap:0rem}.psdk-csf-primary-field-header{word-break:break-word;grid-column-start:1;grid-row-start:1;max-width:max-content;font-size:.8125rem;font-weight:400;color:var(--app-field-header-color)}.psdk-csf-primary-field-data{word-break:break-word;grid-column-start:1;grid-row-start:2;margin-inline-start:unset}.psdk-case-summary-fields-secondary{width:100%;display:grid;grid-template-columns:1fr;grid-column-gap:1rem;grid-row-gap:.5rem;margin:0}.psdk-csf-secondary-field{display:grid;grid-template-columns:auto;grid-column-gap:1rem}.psdk-csf-secondary-field-header{word-break:break-word;grid-column-start:1;grid-row-start:1;max-width:max-content;font-size:.8125rem;font-weight:400;color:var(--app-field-header-color);align-items:center;display:flex}.psdk-csf-secondary-field-data{word-break:break-word;grid-column-start:2;grid-row-start:1;margin-inline-start:unset}span.psdk-csf-text-style{font-size:1.125rem;font-weight:600}span.psdk-csf-status-style{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-secondary-value{font-size:1rem}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { status$: [{
                type: Input
            }], bShowStatus$: [{
                type: Input
            }], primaryFields$: [{
                type: Input
            }], secondaryFields$: [{
                type: Input
            }] } });

class MaterialDetailsComponent {
    constructor(utils) {
        this.utils = utils;
    }
    _getValue(configValue) {
        if (configValue && configValue != '') {
            return configValue;
        }
        return '---';
    }
    _formatDate(dateValue, dateFormat) {
        return this.utils.generateDate(dateValue, dateFormat);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialDetailsComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialDetailsComponent, isStandalone: true, selector: "app-material-details", inputs: { arFields$: "arFields$", arFields2$: "arFields2$", arFields3$: "arFields3$", arHighlightedFields: "arHighlightedFields", layout: "layout" }, ngImport: i0, template: "<div id=\"details-fields-list\">\n  <div\n    *ngIf=\"arHighlightedFields && arHighlightedFields.length > 0\"\n    [ngClass]=\"{\n      'psdk-grid-filter-1': this.layout === 'one-column',\n      'psdk-grid-filter-2': this.layout === 'two-column',\n      'psdk-grid-filter-3': this.layout === 'three-column',\n      'psdk-grid-filter-wide-narrow': this.layout === 'wide-narrow',\n      'psdk-grid-filter-narrow-wide': this.layout === 'narrow-wide'\n    }\"\n  >\n    <div *ngFor=\"let field of arHighlightedFields\">\n      <div class=\"psdk-details-fields-label\">\n        {{ field.config.label }}\n      </div>\n      <div [ngSwitch]=\"field.type.toLowerCase()\" class=\"psdk-csf-primary-field-value\">\n        <span *ngSwitchCase=\"'textinput'\" class=\"psdk-details-text-style-hf\">{{ _getValue(field.config.value) }}</span>\n        <span *ngSwitchCase=\"'status'\" class=\"psdk-details-status-style-hf\">{{ _getValue(field.config.value) }}</span>\n        <a *ngSwitchCase=\"'phone'\" as=\"a\" href=\"tel: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n        <a *ngSwitchCase=\"'email'\" href=\"mailto: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n        <span *ngSwitchCase=\"'date'\" class=\"psdk-details-text-style-hf\">{{ _formatDate(field.config.value, field.type) }}</span>\n        <span *ngSwitchCase=\"'caseoperator'\"></span>\n        <span *ngSwitchDefault>{{ _getValue(field.config.value) }}</span>\n      </div>\n    </div>\n  </div>\n  <div\n    [ngClass]=\"{\n      'psdk-grid-filter-1': this.layout === 'one-column',\n      'psdk-grid-filter-2': this.layout === 'two-column',\n      'psdk-grid-filter-3': this.layout === 'three-column',\n      'psdk-grid-filter-wide-narrow': this.layout === 'wide-narrow',\n      'psdk-grid-filter-narrow-wide': this.layout === 'narrow-wide'\n    }\"\n  >\n    <component-mapper *ngIf=\"arFields$\" name=\"DetailsFields\" [props]=\"{ arFields$: arFields$ }\"></component-mapper>\n    <component-mapper *ngIf=\"arFields2$\" name=\"DetailsFields\" [props]=\"{ arFields$: arFields2$ }\"></component-mapper>\n    <component-mapper *ngIf=\"arFields3$\" name=\"DetailsFields\" [props]=\"{ arFields$: arFields3$ }\"></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-details-group{display:flex;flex-direction:row;justify-content:space-between}.psdk-details-fields{padding:1rem;grid-row-gap:1rem}.psdk-details-fields-primary{width:100%;display:grid;grid-template-columns:1fr;grid-column-gap:1rem;grid-row-gap:.5rem}.psdk-details-fields-single{display:grid;grid-template-columns:20ch 1fr;grid-column-gap:1rem}.psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}.psdk-details-fields-value{word-break:break-word;grid-column-start:2;grid-row-start:1}span.psdk-details-text-style-hf{font-weight:500;font-size:1.25rem}span.psdk-details-text-style{font-weight:400}span.psdk-details-status-style{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-csf-primary-field-value{margin:8px 0}span.psdk-details-status-style-hf{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:1.25rem;font-weight:500;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-grid-filter-1{display:grid;grid-template-columns:repeat(1,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-2{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-3{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-wide-narrow{display:grid;grid-template-columns:7fr 3fr;column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-narrow-wide{display:grid;grid-template-columns:3fr 7fr;column-gap:1rem;row-gap:1rem;align-items:start}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-details', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div id=\"details-fields-list\">\n  <div\n    *ngIf=\"arHighlightedFields && arHighlightedFields.length > 0\"\n    [ngClass]=\"{\n      'psdk-grid-filter-1': this.layout === 'one-column',\n      'psdk-grid-filter-2': this.layout === 'two-column',\n      'psdk-grid-filter-3': this.layout === 'three-column',\n      'psdk-grid-filter-wide-narrow': this.layout === 'wide-narrow',\n      'psdk-grid-filter-narrow-wide': this.layout === 'narrow-wide'\n    }\"\n  >\n    <div *ngFor=\"let field of arHighlightedFields\">\n      <div class=\"psdk-details-fields-label\">\n        {{ field.config.label }}\n      </div>\n      <div [ngSwitch]=\"field.type.toLowerCase()\" class=\"psdk-csf-primary-field-value\">\n        <span *ngSwitchCase=\"'textinput'\" class=\"psdk-details-text-style-hf\">{{ _getValue(field.config.value) }}</span>\n        <span *ngSwitchCase=\"'status'\" class=\"psdk-details-status-style-hf\">{{ _getValue(field.config.value) }}</span>\n        <a *ngSwitchCase=\"'phone'\" as=\"a\" href=\"tel: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n        <a *ngSwitchCase=\"'email'\" href=\"mailto: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n        <span *ngSwitchCase=\"'date'\" class=\"psdk-details-text-style-hf\">{{ _formatDate(field.config.value, field.type) }}</span>\n        <span *ngSwitchCase=\"'caseoperator'\"></span>\n        <span *ngSwitchDefault>{{ _getValue(field.config.value) }}</span>\n      </div>\n    </div>\n  </div>\n  <div\n    [ngClass]=\"{\n      'psdk-grid-filter-1': this.layout === 'one-column',\n      'psdk-grid-filter-2': this.layout === 'two-column',\n      'psdk-grid-filter-3': this.layout === 'three-column',\n      'psdk-grid-filter-wide-narrow': this.layout === 'wide-narrow',\n      'psdk-grid-filter-narrow-wide': this.layout === 'narrow-wide'\n    }\"\n  >\n    <component-mapper *ngIf=\"arFields$\" name=\"DetailsFields\" [props]=\"{ arFields$: arFields$ }\"></component-mapper>\n    <component-mapper *ngIf=\"arFields2$\" name=\"DetailsFields\" [props]=\"{ arFields$: arFields2$ }\"></component-mapper>\n    <component-mapper *ngIf=\"arFields3$\" name=\"DetailsFields\" [props]=\"{ arFields$: arFields3$ }\"></component-mapper>\n  </div>\n</div>\n", styles: [".psdk-details-group{display:flex;flex-direction:row;justify-content:space-between}.psdk-details-fields{padding:1rem;grid-row-gap:1rem}.psdk-details-fields-primary{width:100%;display:grid;grid-template-columns:1fr;grid-column-gap:1rem;grid-row-gap:.5rem}.psdk-details-fields-single{display:grid;grid-template-columns:20ch 1fr;grid-column-gap:1rem}.psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}.psdk-details-fields-value{word-break:break-word;grid-column-start:2;grid-row-start:1}span.psdk-details-text-style-hf{font-weight:500;font-size:1.25rem}span.psdk-details-text-style{font-weight:400}span.psdk-details-status-style{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-csf-primary-field-value{margin:8px 0}span.psdk-details-status-style-hf{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:1.25rem;font-weight:500;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-grid-filter-1{display:grid;grid-template-columns:repeat(1,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-2{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-3{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-wide-narrow{display:grid;grid-template-columns:7fr 3fr;column-gap:1rem;row-gap:1rem;align-items:start}.psdk-grid-filter-narrow-wide{display:grid;grid-template-columns:3fr 7fr;column-gap:1rem;row-gap:1rem;align-items:start}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { arFields$: [{
                type: Input
            }], arFields2$: [{
                type: Input
            }], arFields3$: [{
                type: Input
            }], arHighlightedFields: [{
                type: Input
            }], layout: [{
                type: Input
            }] } });

class MaterialDetailsFieldsComponent {
    constructor(utils) {
        this.utils = utils;
    }
    _getValue(configValue, field = {}) {
        if (field?.type === 'userreference') {
            return configValue.userName;
        }
        if (configValue && configValue != '') {
            return configValue;
        }
        return '---';
    }
    _formatDate(dateValue, dateFormat) {
        return this.utils.generateDate(dateValue, dateFormat);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialDetailsFieldsComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialDetailsFieldsComponent, isStandalone: true, selector: "app-material-details-fields", inputs: { arFields$: "arFields$", arHighlightedFields: "arHighlightedFields" }, ngImport: i0, template: "<div id=\"details-fields-list\">\n  <div *ngFor=\"let field of arFields$\">\n    <div *ngIf=\"field.type === 'group'; else noGroup\">\n      <component-mapper name=\"Group\" [props]=\"{ pConn$: field.pConn }\"></component-mapper>\n    </div>\n    <ng-template #noGroup>\n      <div *ngIf=\"field.type === 'reference'; else showDetails\">\n        <component-mapper name=\"View\" [props]=\"{ pConn$: field.pConn }\"></component-mapper>\n      </div>\n    </ng-template>\n\n    <ng-template #showDetails>\n      <div class=\"psdk-grid-filter\" *ngIf=\"field.config.label\">\n        <div class=\"psdk-details-fields-label\">\n          {{ field.config.label }}\n        </div>\n        <div [ngSwitch]=\"field.type.toLowerCase()\" class=\"psdk-csf-primary-field-value\">\n          <span *ngSwitchCase=\"'textinput'\" class=\"psdk-details-text-style\">{{ _getValue(field.config.value) }}</span>\n          <span *ngSwitchCase=\"'status'\" class=\"psdk-details-status-style\">{{ _getValue(field.config.value) }}</span>\n          <a *ngSwitchCase=\"'phone'\" as=\"a\" href=\"tel: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n          <a *ngSwitchCase=\"'email'\" href=\"mailto: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n          <span *ngSwitchCase=\"'date'\" class=\"psdk-details-text-style\">{{ _formatDate(field.config.value, field.type) }}</span>\n          <span *ngSwitchCase=\"'caseoperator'\"></span>\n          <span *ngSwitchDefault>{{ _getValue(field.config.value, field) }}</span>\n        </div>\n      </div>\n    </ng-template>\n  </div>\n</div>\n", styles: [".psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}span.psdk-details-text-style-hf{font-weight:700}span.psdk-details-status-style-hf{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-csf-primary-field-value{margin:8px 0}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i2.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialDetailsFieldsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-details-fields', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<div id=\"details-fields-list\">\n  <div *ngFor=\"let field of arFields$\">\n    <div *ngIf=\"field.type === 'group'; else noGroup\">\n      <component-mapper name=\"Group\" [props]=\"{ pConn$: field.pConn }\"></component-mapper>\n    </div>\n    <ng-template #noGroup>\n      <div *ngIf=\"field.type === 'reference'; else showDetails\">\n        <component-mapper name=\"View\" [props]=\"{ pConn$: field.pConn }\"></component-mapper>\n      </div>\n    </ng-template>\n\n    <ng-template #showDetails>\n      <div class=\"psdk-grid-filter\" *ngIf=\"field.config.label\">\n        <div class=\"psdk-details-fields-label\">\n          {{ field.config.label }}\n        </div>\n        <div [ngSwitch]=\"field.type.toLowerCase()\" class=\"psdk-csf-primary-field-value\">\n          <span *ngSwitchCase=\"'textinput'\" class=\"psdk-details-text-style\">{{ _getValue(field.config.value) }}</span>\n          <span *ngSwitchCase=\"'status'\" class=\"psdk-details-status-style\">{{ _getValue(field.config.value) }}</span>\n          <a *ngSwitchCase=\"'phone'\" as=\"a\" href=\"tel: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n          <a *ngSwitchCase=\"'email'\" href=\"mailto: {{ field.config.value }}\">{{ _getValue(field.config.value) }}</a>\n          <span *ngSwitchCase=\"'date'\" class=\"psdk-details-text-style\">{{ _formatDate(field.config.value, field.type) }}</span>\n          <span *ngSwitchCase=\"'caseoperator'\"></span>\n          <span *ngSwitchDefault>{{ _getValue(field.config.value, field) }}</span>\n        </div>\n      </div>\n    </ng-template>\n  </div>\n</div>\n", styles: [".psdk-details-fields-label{color:var(--app-label-color);margin:8px 0}span.psdk-details-text-style-hf{font-weight:700}span.psdk-details-status-style-hf{background-color:var(--app-details-status-background);border-radius:.125rem;color:var(--app-details-status-color);display:inline-block;font-size:.75rem;font-weight:700;line-height:1.25rem;height:1.25rem;padding:0 .5rem;text-transform:uppercase}.psdk-grid-filter{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));column-gap:1rem;row-gap:1rem;align-items:start}.psdk-csf-primary-field-value{margin:8px 0}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { arFields$: [{
                type: Input
            }], arHighlightedFields: [{
                type: Input
            }] } });

class MaterialSummaryItemComponent {
    constructor(utils) {
        this.utils = utils;
        this.menuIconOverride$ = '';
        this.imagePath$ = '';
    }
    ngOnInit() {
        this.imagePath$ = this.utils.getIconPath(this.utils.getSDKStaticContentUrl());
        this.settingsSvgIcon$ = this.utils.getImageSrc('more', this.utils.getSDKStaticContentUrl());
        if (this.menuIconOverride$ != '') {
            this.menuIconOverride$ = this.utils.getImageSrc(this.menuIconOverride$, this.utils.getSDKStaticContentUrl());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialSummaryItemComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialSummaryItemComponent, isStandalone: true, selector: "app-material-summary-item", inputs: { item$: "item$", menuIconOverride$: "menuIconOverride$", menuIconOverrideAction$: "menuIconOverrideAction$" }, ngImport: i0, template: "<div class=\"psdk-utility-card\">\n  <div class=\"psdk-utility-card-icon\">\n    <img class=\"psdk-utility-card-svg-icon\" src=\"{{ imagePath$ }}{{ item$.visual.icon }}.svg\" />\n  </div>\n  <div class=\"psdk-utility-card-main\">\n    <div *ngIf=\"item$.primary.type == 'URL'\" class=\"psdk-utility-card-main-primary-url\">\n      <button mat-button color=\"primary\" (click)=\"item$.primary.click()\">\n        {{ item$.primary.name }}&nbsp;\n        <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ imagePath$ }}{{ item$.primary.icon }}.svg\" />\n      </button>\n    </div>\n    <div *ngIf=\"item$.primary.type != 'URL'\" class=\"psdk-utility-card-main-primary-label\">\n      {{ item$.primary.name }}\n    </div>\n    <div *ngIf=\"item$.secondary.text != ''\" [style.color]=\"item$.secondary.error ? 'red' : undefined\">{{ item$.secondary.text }}</div>\n  </div>\n  <div class=\"psdk-utility-card-actions\">\n    <div *ngIf=\"menuIconOverride$ == ''; else showCustom\">\n      <button id=\"setting-button\" mat-icon-button [matMenuTriggerFor]=\"actionMenu\">\n        <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n      </button>\n      <mat-menu #actionMenu=\"matMenu\" overlapTrigger=\"false\">\n        <ng-container *ngFor=\"let action of item$.actions\">\n          <button mat-menu-item (click)=\"action.onClick()\">\n            <img class=\"psdk-utility-card-action-actions-svg-icon\" src=\"{{ imagePath$ }}{{ action.icon }}.svg\" />&nbsp;\n            {{ action.text }}\n          </button>\n        </ng-container>\n      </mat-menu>\n    </div>\n    <ng-template #showCustom>\n      <button id=\"delete-attachment\" mat-icon-button (click)=\"menuIconOverrideAction$.onClick(item$)\">\n        <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ menuIconOverride$ }}\" />\n      </button>\n    </ng-template>\n  </div>\n</div>\n", styles: [".psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-utility-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-utility-view-all{width:100%;display:flex;justify-content:center}.psdk-utility-count{background:var(--app-primary-light-color);border-radius:.5625rem;color:var(--app-inverse-form-color);display:inline-block;font-size:.75rem;font-weight:700;text-align:center;width:1.125rem;vertical-align:top;margin:0 0 .313rem 1rem}.psdk-utility .header-text{font-size:1rem;font-weight:700;padding-bottom:.3125rem;text-align:left;display:inline-block}.psdk-utility .header-icon{display:inline-block}.psdk-utility{width:100%;padding:.625rem 0rem;text-align:left;background-color:var(--app-form-color);border-radius:.6125rem;margin:.3125rem 0rem}.psdk-utility .header{text-align:left;display:flex;align-items:center}.psdk-utility-svg-icon{width:1.4rem;display:inline-block}.psdk-settings-svg-icon{width:1.4rem;display:inline-block;filter:var(--app-primary-color-filter)}.psdk-utility .message{text-align:center}.psdk-utility-card{display:flex;flex-direction:row;padding:.25rem 0rem .25rem .25rem}.psdk-utility-card-icon{flex-grow:1;max-width:2.813rem}.psdk-utility-card-svg-icon{width:2.5rem;display:inline-block}.psdk-utility-card-main{flex-grow:2;max-width:16.563rem}.psdk-utility-card-main-primary-url{color:var(--app-primary-color)}.psdk-utility-card-main-primary-url .mat-mdc-button.mat-primary{padding-left:0}.psdk-utility-card-main-primary-label{font-weight:700}.psdk-utility-card-actions{flex-grow:1;text-align:right}.psdk-utility-card-action-svg-icon{width:1.4rem;display:inline-block}.psdk-utility-card-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-utility-card-action-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:bottom}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i3.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: MatMenuModule }, { kind: "component", type: i6.MatMenu, selector: "mat-menu", inputs: ["backdropClass", "aria-label", "aria-labelledby", "aria-describedby", "xPosition", "yPosition", "overlapTrigger", "hasBackdrop", "class", "classList"], outputs: ["closed", "close"], exportAs: ["matMenu"] }, { kind: "component", type: i6.MatMenuItem, selector: "[mat-menu-item]", inputs: ["role", "disabled", "disableRipple"], exportAs: ["matMenuItem"] }, { kind: "directive", type: i6.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", inputs: ["mat-menu-trigger-for", "matMenuTriggerFor", "matMenuTriggerData", "matMenuTriggerRestoreFocus"], outputs: ["menuOpened", "onMenuOpen", "menuClosed", "onMenuClose"], exportAs: ["matMenuTrigger"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialSummaryItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-summary-item', standalone: true, imports: [CommonModule, MatButtonModule, MatMenuModule], template: "<div class=\"psdk-utility-card\">\n  <div class=\"psdk-utility-card-icon\">\n    <img class=\"psdk-utility-card-svg-icon\" src=\"{{ imagePath$ }}{{ item$.visual.icon }}.svg\" />\n  </div>\n  <div class=\"psdk-utility-card-main\">\n    <div *ngIf=\"item$.primary.type == 'URL'\" class=\"psdk-utility-card-main-primary-url\">\n      <button mat-button color=\"primary\" (click)=\"item$.primary.click()\">\n        {{ item$.primary.name }}&nbsp;\n        <img class=\"psdk-utility-card-actions-svg-icon\" src=\"{{ imagePath$ }}{{ item$.primary.icon }}.svg\" />\n      </button>\n    </div>\n    <div *ngIf=\"item$.primary.type != 'URL'\" class=\"psdk-utility-card-main-primary-label\">\n      {{ item$.primary.name }}\n    </div>\n    <div *ngIf=\"item$.secondary.text != ''\" [style.color]=\"item$.secondary.error ? 'red' : undefined\">{{ item$.secondary.text }}</div>\n  </div>\n  <div class=\"psdk-utility-card-actions\">\n    <div *ngIf=\"menuIconOverride$ == ''; else showCustom\">\n      <button id=\"setting-button\" mat-icon-button [matMenuTriggerFor]=\"actionMenu\">\n        <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n      </button>\n      <mat-menu #actionMenu=\"matMenu\" overlapTrigger=\"false\">\n        <ng-container *ngFor=\"let action of item$.actions\">\n          <button mat-menu-item (click)=\"action.onClick()\">\n            <img class=\"psdk-utility-card-action-actions-svg-icon\" src=\"{{ imagePath$ }}{{ action.icon }}.svg\" />&nbsp;\n            {{ action.text }}\n          </button>\n        </ng-container>\n      </mat-menu>\n    </div>\n    <ng-template #showCustom>\n      <button id=\"delete-attachment\" mat-icon-button (click)=\"menuIconOverrideAction$.onClick(item$)\">\n        <img class=\"psdk-utility-card-action-svg-icon\" src=\"{{ menuIconOverride$ }}\" />\n      </button>\n    </ng-template>\n  </div>\n</div>\n", styles: [".psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-utility-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-utility-view-all{width:100%;display:flex;justify-content:center}.psdk-utility-count{background:var(--app-primary-light-color);border-radius:.5625rem;color:var(--app-inverse-form-color);display:inline-block;font-size:.75rem;font-weight:700;text-align:center;width:1.125rem;vertical-align:top;margin:0 0 .313rem 1rem}.psdk-utility .header-text{font-size:1rem;font-weight:700;padding-bottom:.3125rem;text-align:left;display:inline-block}.psdk-utility .header-icon{display:inline-block}.psdk-utility{width:100%;padding:.625rem 0rem;text-align:left;background-color:var(--app-form-color);border-radius:.6125rem;margin:.3125rem 0rem}.psdk-utility .header{text-align:left;display:flex;align-items:center}.psdk-utility-svg-icon{width:1.4rem;display:inline-block}.psdk-settings-svg-icon{width:1.4rem;display:inline-block;filter:var(--app-primary-color-filter)}.psdk-utility .message{text-align:center}.psdk-utility-card{display:flex;flex-direction:row;padding:.25rem 0rem .25rem .25rem}.psdk-utility-card-icon{flex-grow:1;max-width:2.813rem}.psdk-utility-card-svg-icon{width:2.5rem;display:inline-block}.psdk-utility-card-main{flex-grow:2;max-width:16.563rem}.psdk-utility-card-main-primary-url{color:var(--app-primary-color)}.psdk-utility-card-main-primary-url .mat-mdc-button.mat-primary{padding-left:0}.psdk-utility-card-main-primary-label{font-weight:700}.psdk-utility-card-actions{flex-grow:1;text-align:right}.psdk-utility-card-action-svg-icon{width:1.4rem;display:inline-block}.psdk-utility-card-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:middle;filter:var(--app-primary-color-filter)}.psdk-utility-card-action-actions-svg-icon{width:1.4rem;display:inline-block;vertical-align:bottom}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { item$: [{
                type: Input
            }], menuIconOverride$: [{
                type: Input
            }], menuIconOverrideAction$: [{
                type: Input
            }] } });

class MaterialSummaryListComponent {
    constructor() {
        this.menuIconOverride$ = '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialSummaryListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialSummaryListComponent, isStandalone: true, selector: "app-material-summary-list", inputs: { arItems$: "arItems$", icon$: "icon$", menuIconOverride$: "menuIconOverride$", menuIconOverrideAction$: "menuIconOverrideAction$" }, ngImport: i0, template: "<ng-container *ngFor=\"let item of arItems$\">\n  <component-mapper name=\"SummaryItem\" [props]=\"{ item$: item, menuIconOverride$, menuIconOverrideAction$ }\"></component-mapper>\n</ng-container>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CommonModule) }, { kind: "directive", type: i0.forwardRef(() => i2.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialSummaryListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-summary-list', standalone: true, imports: [CommonModule, forwardRef(() => ComponentMapperComponent)], template: "<ng-container *ngFor=\"let item of arItems$\">\n  <component-mapper name=\"SummaryItem\" [props]=\"{ item$: item, menuIconOverride$, menuIconOverrideAction$ }\"></component-mapper>\n</ng-container>\n" }]
        }], propDecorators: { arItems$: [{
                type: Input
            }], icon$: [{
                type: Input
            }], menuIconOverride$: [{
                type: Input
            }], menuIconOverrideAction$: [{
                type: Input
            }] } });

class MaterialUtilityComponent {
    constructor(utils) {
        this.utils = utils;
    }
    ngOnInit() {
        this.headerSvgIcon$ = this.utils.getImageSrc(this.headerIcon$, this.headerIconUrl$);
        this.settingsSvgIcon$ = this.utils.getImageSrc('plus', this.headerIconUrl$);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialUtilityComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialUtilityComponent, isStandalone: true, selector: "app-material-utility", inputs: { headerText$: "headerText$", headerIcon$: "headerIcon$", headerIconUrl$: "headerIconUrl$", noItemsMessage$: "noItemsMessage$" }, providers: [Utils], ngImport: i0, template: "<div style=\"text-align: left\">\n  <div class=\"psdk-utility\">\n    <div class=\"header\">\n      <div class=\"header-icon\">\n        <img class=\"psdk-utility-svg-icon\" src=\"{{ headerSvgIcon$ }}\" />\n      </div>\n      <div class=\"header-text\">{{ headerText$ }}</div>\n      <div style=\"flex-grow: 1\"></div>\n      <div class=\"header-icon\">\n        <img class=\"psdk-settings-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n      </div>\n    </div>\n    <div class=\"psdk-case-view-divider\"></div>\n    <br />\n    <div class=\"message\">{{ noItemsMessage$ }}</div>\n  </div>\n</div>\n", styles: [".psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-utility .header-text{font-size:1rem;font-weight:700;padding-bottom:.3125rem;text-align:left;display:inline-block}.psdk-utility .header-icon{display:inline-block}.psdk-utility{width:100%;height:6.25rem;padding:.625rem 0rem;text-align:left;background-color:var(--app-form-color);border-radius:.6125rem;margin:.3125rem 0rem}.psdk-utility .header{text-align:left;display:flex;align-items:center}.psdk-utility-svg-icon{width:1.4rem;display:inline-block}.psdk-settings-svg-icon{width:1.4rem;display:inline-block;filter:var(--app-primary-color-filter)}.psdk-utility .message{text-align:center}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialUtilityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-utility', providers: [Utils], standalone: true, template: "<div style=\"text-align: left\">\n  <div class=\"psdk-utility\">\n    <div class=\"header\">\n      <div class=\"header-icon\">\n        <img class=\"psdk-utility-svg-icon\" src=\"{{ headerSvgIcon$ }}\" />\n      </div>\n      <div class=\"header-text\">{{ headerText$ }}</div>\n      <div style=\"flex-grow: 1\"></div>\n      <div class=\"header-icon\">\n        <img class=\"psdk-settings-svg-icon\" src=\"{{ settingsSvgIcon$ }}\" />\n      </div>\n    </div>\n    <div class=\"psdk-case-view-divider\"></div>\n    <br />\n    <div class=\"message\">{{ noItemsMessage$ }}</div>\n  </div>\n</div>\n", styles: [".psdk-icon{padding:0rem .125rem;min-width:unset}.psdk-case-view-divider{border-bottom:.0625rem solid var(--app-neutral-light-color)}.psdk-utility .header-text{font-size:1rem;font-weight:700;padding-bottom:.3125rem;text-align:left;display:inline-block}.psdk-utility .header-icon{display:inline-block}.psdk-utility{width:100%;height:6.25rem;padding:.625rem 0rem;text-align:left;background-color:var(--app-form-color);border-radius:.6125rem;margin:.3125rem 0rem}.psdk-utility .header{text-align:left;display:flex;align-items:center}.psdk-utility-svg-icon{width:1.4rem;display:inline-block}.psdk-settings-svg-icon{width:1.4rem;display:inline-block;filter:var(--app-primary-color-filter)}.psdk-utility .message{text-align:center}\n"] }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { headerText$: [{
                type: Input
            }], headerIcon$: [{
                type: Input
            }], headerIconUrl$: [{
                type: Input
            }], noItemsMessage$: [{
                type: Input
            }] } });

class MaterialVerticalTabsComponent {
    constructor() {
        this.tabClick = new EventEmitter();
    }
    ngOnInit() {
        // tabConfig$  [ {name: , id: , count: }]
        if (this.tabConfig$) {
            // seletedTabId is the first tab, unless another is selected
            this.selectedTabId$ = this.tabConfig$[0]?.id;
            // run through and see anything is selected
            for (let i = 0; i < this.tabConfig$.length; ++i) {
                const aTab = this.tabConfig$[i];
                if (aTab?.selected) {
                    this.selectedTabId$ = aTab.id;
                    break;
                }
            }
        }
    }
    onChange(tab) {
        this.tabClick.emit(tab);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialVerticalTabsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MaterialVerticalTabsComponent, isStandalone: true, selector: "app-material-vertical-tabs", inputs: { tabConfig$: "tabConfig$" }, outputs: { tabClick: "tabClick" }, ngImport: i0, template: "<div>\n  <mat-button-toggle-group vertical hideSingleSelectionIndicator (change)=\"onChange($event.value)\" [value]=\"selectedTabId$\" aria-label=\"Tabs\">\n    <mat-button-toggle *ngFor=\"let tab of tabConfig$\" [value]=\"tab.id\" style=\"text-align: left\">\n      <div style=\"display: flex\">\n        <div style=\"flex-grow: 10\">{{ tab.name }}</div>\n        <div style=\"flex-grow: 1\">\n          <span *ngIf=\"tab?.count\" [matBadge]=\"tab.count\" matBadgeOverlap=\"false\" matBadgePosition=\"after\" class=\"psdk-vtab-badge\">&nbsp;</span>\n        </div>\n      </div>\n    </mat-button-toggle>\n  </mat-button-toggle-group>\n</div>\n", styles: ["mat-button-toggle-group{width:100%;border-width:.0625rem 0rem}mat-button-toggle-group ::ng-deep .mat-button-toggle-appearance-standard{background-color:transparent}mat-button-toggle-group ::ng-deep .mat-button-toggle.mat-button-toggle-checked.mat-button-toggle-appearance-standard{background-color:transparent;border-right:.1875rem solid var(--app-primary-color)}mat-button-toggle-group ::ng-deep .mat-button-toggle.mat-focus-indicator.mat-button-toggle-appearance-standard{background-color:transparent;border-right:.1875rem solid transparent}mat-button-toggle-group ::ng-deep .mat-button-toggle-appearance-standard .mat-button-toggle-label-content{text-align:left}.psdk-vtab-badge .mat-badge-content{top:0rem}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatButtonToggleModule }, { kind: "directive", type: i2$4.MatButtonToggleGroup, selector: "mat-button-toggle-group", inputs: ["appearance", "name", "vertical", "value", "multiple", "disabled", "disabledInteractive", "hideSingleSelectionIndicator", "hideMultipleSelectionIndicator"], outputs: ["valueChange", "change"], exportAs: ["matButtonToggleGroup"] }, { kind: "component", type: i2$4.MatButtonToggle, selector: "mat-button-toggle", inputs: ["aria-label", "aria-labelledby", "id", "name", "value", "tabIndex", "disableRipple", "appearance", "checked", "disabled", "disabledInteractive"], outputs: ["change"], exportAs: ["matButtonToggle"] }, { kind: "ngmodule", type: MatBadgeModule }, { kind: "directive", type: i3$1.MatBadge, selector: "[matBadge]", inputs: ["matBadgeColor", "matBadgeOverlap", "matBadgeDisabled", "matBadgePosition", "matBadge", "matBadgeDescription", "matBadgeSize", "matBadgeHidden"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MaterialVerticalTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-material-vertical-tabs', standalone: true, imports: [CommonModule, MatButtonToggleModule, MatBadgeModule], template: "<div>\n  <mat-button-toggle-group vertical hideSingleSelectionIndicator (change)=\"onChange($event.value)\" [value]=\"selectedTabId$\" aria-label=\"Tabs\">\n    <mat-button-toggle *ngFor=\"let tab of tabConfig$\" [value]=\"tab.id\" style=\"text-align: left\">\n      <div style=\"display: flex\">\n        <div style=\"flex-grow: 10\">{{ tab.name }}</div>\n        <div style=\"flex-grow: 1\">\n          <span *ngIf=\"tab?.count\" [matBadge]=\"tab.count\" matBadgeOverlap=\"false\" matBadgePosition=\"after\" class=\"psdk-vtab-badge\">&nbsp;</span>\n        </div>\n      </div>\n    </mat-button-toggle>\n  </mat-button-toggle-group>\n</div>\n", styles: ["mat-button-toggle-group{width:100%;border-width:.0625rem 0rem}mat-button-toggle-group ::ng-deep .mat-button-toggle-appearance-standard{background-color:transparent}mat-button-toggle-group ::ng-deep .mat-button-toggle.mat-button-toggle-checked.mat-button-toggle-appearance-standard{background-color:transparent;border-right:.1875rem solid var(--app-primary-color)}mat-button-toggle-group ::ng-deep .mat-button-toggle.mat-focus-indicator.mat-button-toggle-appearance-standard{background-color:transparent;border-right:.1875rem solid transparent}mat-button-toggle-group ::ng-deep .mat-button-toggle-appearance-standard .mat-button-toggle-label-content{text-align:left}.psdk-vtab-badge .mat-badge-content{top:0rem}\n"] }]
        }], propDecorators: { tabConfig$: [{
                type: Input
            }], tabClick: [{
                type: Output
            }] } });

class OperatorComponent {
    constructor(el, renderer, cdRef, utils) {
        this.el = el;
        this.renderer = renderer;
        this.cdRef = cdRef;
        this.utils = utils;
        this.fields$ = [];
    }
    ngOnInit() {
        this.renderer.listen('window', 'click', el => {
            const clickedInside = this.el.nativeElement.contains(el.target);
            if (!clickedInside) {
                this.bShowPopover$ = false;
            }
        });
        this.bShowPopover$ = false;
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
    ngOnDestroy() {
        // Ref: https://medium.com/@kamil.galek/mythical-angular-component-styles-cleanup-in-angular-17-f799a08b2abc
        // Commenting the below line as it is causing the Operator component's styles not getting applied.
        // this.renderer.destroy();
    }
    updateSelf() {
        const configProps$ = this.pConn$.getConfigProps();
        this.displayLabel = this.displayLabel?.toLowerCase();
        const label = configProps$?.label?.toLowerCase();
        if (label === 'create operator' || this.displayLabel === 'create operator') {
            this.name$ = configProps$.createOperator.userName;
            this.id$ = configProps$.createOperator.userId;
            this.label$ = configProps$.createLabel;
        }
        else if (label === 'update operator' || this.displayLabel === 'update operator') {
            this.name$ = configProps$.updateOperator.userName;
            this.id$ = configProps$.updateOperator.userId;
            this.label$ = configProps$.updateLabel;
        }
        else if (label === 'resolve operator' || this.displayLabel === 'resolve operator') {
            this.name$ = configProps$.resolveOperator.userName;
            this.id$ = configProps$.resolveOperator.userId;
            this.label$ = configProps$.resolveLabel;
        }
        else {
            this.name$ = configProps$?.value.userName;
            this.id$ = configProps$?.value.userId;
            this.label$ = configProps$.label;
        }
        this.date$ = this.utils.generateDate(configProps$?.updateDateTime, 'DateTime-Since');
    }
    showOperator() {
        const operatorPreviewPromise = PCore.getUserApi().getOperatorDetails(this.id$);
        const localizedVal = PCore.getLocaleUtils().getLocaleValue;
        const localeCategory = 'Operator';
        const fillerString = '---';
        operatorPreviewPromise.then((res) => {
            if (res.data && res.data.pyOperatorInfo && res.data.pyOperatorInfo.pyUserName) {
                this.fields$ = [
                    {
                        id: 'pyPosition',
                        name: localizedVal('Position', localeCategory),
                        value: res.data.pyOperatorInfo.pyPosition != '' ? res.data.pyOperatorInfo.pyPosition : fillerString
                    },
                    {
                        id: 'pyOrganization',
                        name: localizedVal('Organization', localeCategory),
                        value: res.data.pyOperatorInfo.pyOrganization != '' ? res.data.pyOperatorInfo.pyOrganization : fillerString
                    },
                    {
                        id: 'ReportToUserName',
                        name: localizedVal('Reports to', localeCategory),
                        value: res.data.pyOperatorInfo.pyReportToUserName != '' ? res.data.pyOperatorInfo.pyReportToUserName : fillerString
                    },
                    {
                        id: 'pyTelephone',
                        name: localizedVal('Telephone', localeCategory),
                        value: res.data.pyOperatorInfo.pyTelephone != '' ? res.data.pyOperatorInfo.pyTelephone : fillerString
                    },
                    {
                        id: 'pyEmailAddress',
                        name: localizedVal('Email address', localeCategory),
                        value: res.data.pyOperatorInfo.pyEmailAddress != '' ? res.data.pyOperatorInfo.pyEmailAddress : fillerString
                    }
                ];
                this.bShowPopover$ = true;
                this.cdRef.detectChanges();
            }
            else {
                console.log(`Operator: PCore.getUserApi().getOperatorDetails(${this.id$}); returned empty res.data.pyOperatorInfo.pyUserName - adding default`);
                this.fields$ = [
                    {
                        id: 'pyPosition',
                        name: localizedVal('Position', localeCategory),
                        value: fillerString
                    },
                    {
                        id: 'pyOrganization',
                        name: localizedVal('Organization', localeCategory),
                        value: fillerString
                    },
                    {
                        id: 'ReportToUserName',
                        name: localizedVal('Reports to', localeCategory),
                        value: fillerString
                    },
                    {
                        id: 'pyTelephone',
                        name: localizedVal('Telephone', localeCategory),
                        value: fillerString
                    },
                    {
                        id: 'pyEmailAddress',
                        name: localizedVal('Email address', localeCategory),
                        value: fillerString
                    }
                ];
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OperatorComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: OperatorComponent, isStandalone: true, selector: "app-operator", inputs: { pConn$: "pConn$", displayLabel: "displayLabel" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"psdk-operator psdk-double\">\n  <div class=\"psdk-label\">\n    {{ label$ }}\n  </div>\n  <div class=\"psdk-double\">\n    <button mat-button color=\"primary\" style=\"text-decoration: underline\" (click)=\"showOperator()\">{{ name$ }}</button>\n  </div>\n  <div>{{ date$ }}</div>\n</div>\n\n<div>\n  <div *ngIf=\"bShowPopover$\" class=\"psdk-operator-popover\">\n    <dl>\n      <div *ngFor=\"let field of fields$; let i = index\">\n        <dt class=\"psdk-operator-name\">{{ field.name }}</dt>\n        <dd class=\"psdk-operator-value\">{{ field.value }}</dd>\n      </div>\n    </dl>\n  </div>\n</div>\n", styles: [".psdk-operator{display:flex;flex-direction:row;font-size:.8rem;color:var(--app-neutral-color);align-items:center}.psdk-operator-popover{display:table;margin:auto;min-width:100px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color);position:absolute;z-index:99}.psdk-operator-name{color:var(--app-neutral-color)}.psdk-operator-value{padding-left:5px;color:var(--app-neutral-dark-color);margin:0}.psdk-single{flex:1}.psdk-double{column-gap:1rem;text-align:center}.psdk-top-pad{padding-top:10px}dl{display:grid;grid-template-columns:auto 1fr;grid-column-gap:1rem;grid-row-gap:.5rem}dl:before,dl:after{box-sizing:border-box;margin:0;padding:0}dt{max-width:20ch;grid-column-start:1}dd{max-width:75ch;grid-column-start:2}.mat-mdc-button.mat-primary,.mat-mdc-icon-button.mat-primary,.mat-mdc-outlined-button.mat-primary{padding:0;line-height:unset}.psdk-label{word-break:break-word;grid-column-start:1;max-width:max-content;color:var(--app-field-header-color)}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i3.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: OperatorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-operator', standalone: true, imports: [CommonModule, MatButtonModule], template: "<div class=\"psdk-operator psdk-double\">\n  <div class=\"psdk-label\">\n    {{ label$ }}\n  </div>\n  <div class=\"psdk-double\">\n    <button mat-button color=\"primary\" style=\"text-decoration: underline\" (click)=\"showOperator()\">{{ name$ }}</button>\n  </div>\n  <div>{{ date$ }}</div>\n</div>\n\n<div>\n  <div *ngIf=\"bShowPopover$\" class=\"psdk-operator-popover\">\n    <dl>\n      <div *ngFor=\"let field of fields$; let i = index\">\n        <dt class=\"psdk-operator-name\">{{ field.name }}</dt>\n        <dd class=\"psdk-operator-value\">{{ field.value }}</dd>\n      </div>\n    </dl>\n  </div>\n</div>\n", styles: [".psdk-operator{display:flex;flex-direction:row;font-size:.8rem;color:var(--app-neutral-color);align-items:center}.psdk-operator-popover{display:table;margin:auto;min-width:100px;background-color:var(--app-form-color);border:1px solid var(--app-inverse-form-color);border-radius:10px;padding:20px;box-shadow:0 0 10px 3px var(--app-box-shadow-color);position:absolute;z-index:99}.psdk-operator-name{color:var(--app-neutral-color)}.psdk-operator-value{padding-left:5px;color:var(--app-neutral-dark-color);margin:0}.psdk-single{flex:1}.psdk-double{column-gap:1rem;text-align:center}.psdk-top-pad{padding-top:10px}dl{display:grid;grid-template-columns:auto 1fr;grid-column-gap:1rem;grid-row-gap:.5rem}dl:before,dl:after{box-sizing:border-box;margin:0;padding:0}dt{max-width:20ch;grid-column-start:1}dd{max-width:75ch;grid-column-start:2}.mat-mdc-button.mat-primary,.mat-mdc-icon-button.mat-primary,.mat-mdc-outlined-button.mat-primary{padding:0;line-height:unset}.psdk-label{word-break:break-word;grid-column-start:1;max-width:max-content;color:var(--app-field-header-color)}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }, { type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }], displayLabel: [{
                type: Input
            }] } });

class PulseComponent {
    constructor() {
        this.currentUserInitials$ = '--';
    }
    ngOnInit() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        // this.currentUser$ = this.configProps$.currentUser;
        this.currentUser$ = PCore.getEnvironmentInfo().getOperatorName();
        if (this.currentUser$ != '') {
            this.currentUserInitials$ = this.currentUser$?.charAt(0);
            if (this.currentUser$ && this.currentUser$.lastIndexOf(' ') > 0) {
                const lastName = this.currentUser$?.substring(this.currentUser$.lastIndexOf(' ') + 1);
                this.currentUserInitials$ += lastName.charAt(0);
            }
            else if (this.currentUser$ && this.currentUser$.lastIndexOf('.') > 0) {
                const lastName = this.currentUser$?.substring(this.currentUser$.lastIndexOf('.') + 1);
                this.currentUserInitials$ += lastName.charAt(0);
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PulseComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PulseComponent, isStandalone: true, selector: "app-pulse", inputs: { pConn$: "pConn$" }, ngImport: i0, template: "<div class=\"psdk-pulse\">\n  <component-mapper [name]=\"'FeedContainer'\" [props]=\"{ pConn$ }\"></component-mapper>\n</div>\n", styles: [".psdk-pulse{padding:1rem;margin:1rem;border-radius:.6125rem;border-left:6px solid;border-left-color:var(--app-primary-color);background-color:var(--app-form-color)}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PulseComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-pulse', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<div class=\"psdk-pulse\">\n  <component-mapper [name]=\"'FeedContainer'\" [props]=\"{ pConn$ }\"></component-mapper>\n</div>\n", styles: [".psdk-pulse{padding:1rem;margin:1rem;border-radius:.6125rem;border-left:6px solid;border-left-color:var(--app-primary-color);background-color:var(--app-form-color)}\n"] }]
        }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class RichTextEditorComponent {
    constructor() {
        this.onBlur = new EventEmitter();
        this.onChange = new EventEmitter();
        this.richText = new FormControl();
        this.filePickerCallback = cb => {
            const input = document.createElement('input');
            input.setAttribute('type', 'file');
            input.setAttribute('accept', 'image/*');
            input.addEventListener('change', (e) => {
                const file = e.target.files[0];
                const reader = new FileReader();
                reader.addEventListener('load', () => {
                    /*
                        Note: Now we need to register the blob in TinyMCEs image blob
                        registry. In the next release this part hopefully won't be
                        necessary, as we are looking to handle it internally.
                    */
                    const blobId = `blobid${new Date().getTime()}`;
                    console.log('editorRef', tinymce.activeEditor);
                    const blobCache = tinymce.activeEditor.editorUpload.blobCache;
                    const base64 = reader.result.split(',')[1];
                    const blobInfo = blobCache.create(blobId, file, base64);
                    blobCache.add(blobInfo);
                    /* call the callback and populate the Title field with the file name */
                    cb(blobInfo.blobUri(), { title: file.name });
                });
                reader.readAsDataURL(file);
            });
            input.click();
        };
    }
    ngOnChanges() {
        if (this.required) {
            this.richText.addValidators(Validators.required);
        }
        if (this.disabled) {
            this.richText.disable();
        }
        else {
            this.richText.enable();
        }
        if (this.value) {
            this.richText.setValue(this.value);
        }
    }
    blur() {
        if (tinymce.activeEditor) {
            const editorValue = tinymce.activeEditor.getContent({ format: 'html' });
            this.onBlur.emit(editorValue);
        }
    }
    change(event) {
        this.onChange.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RichTextEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RichTextEditorComponent, isStandalone: true, selector: "app-rich-text-editor", inputs: { placeholder: "placeholder", disabled: "disabled", readonly: "readonly", value: "value", label: "label", required: "required", info: "info", error: "error", testId: "testId" }, outputs: { onBlur: "onBlur", onChange: "onChange" }, providers: [{ provide: TINYMCE_SCRIPT_SRC, useValue: 'tinymce/tinymce.min.js' }], usesOnChanges: true, ngImport: i0, template: "<div [attr.data-test-id]=\"testId\">\n  <label [ngClass]=\"{ 'label-required': required === true }\" class=\"rich-text-label\">{{ label }}</label>\n  <div class=\"rich-text-editor\" *ngIf=\"!readonly\">\n    <editor\n      [formControl]=\"richText\"\n      [attr.disabled]=\"disabled\"\n      [initialValue]=\"value\"\n      [init]=\"{\n        base_url: '/tinymce',\n        suffix: '.min',\n        menubar: false,\n        placeholder,\n        statusbar: false,\n        min_height: 130,\n        plugins: ['lists', 'advlist', 'autolink', 'image', 'link', 'autoresize'],\n        autoresize_bottom_margin: 0,\n        toolbar: disabled ? false : 'blocks | bold italic strikethrough | bullist numlist outdent indent | link image',\n        toolbar_location: 'bottom',\n        content_style: 'body { font-family:Helvetica, Arial,sans-serif; font-size:14px }',\n        branding: false,\n        paste_data_images: true,\n        file_picker_types: 'image',\n        file_picker_callback: filePickerCallback\n      }\"\n      (onBlur)=\"blur()\"\n      (onChange)=\"change($event)\"\n    ></editor>\n    <p *ngIf=\"richText.invalid\" [ngClass]=\"'text-editor-error'\">{{ info }}</p>\n  </div>\n  <div *ngIf=\"readonly\">\n    <div class=\"readonly-richtext-editor\" style=\"margin: 10px 5px\" [innerHTML]=\"value || '--'\"></div>\n  </div>\n</div>\n", styles: [".rich-text-label{margin:5px;font-size:16px}.rich-text-editor{margin:10px 0}.label-required:after{display:inline;content:\" *\";vertical-align:top;color:var(--app-neutral-dark-color)}.text-editor-error{color:var(--app-error-light-color)}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: EditorModule }, { kind: "component", type: i2$5.EditorComponent, selector: "editor", inputs: ["cloudChannel", "apiKey", "licenseKey", "init", "id", "initialValue", "outputFormat", "inline", "tagName", "plugins", "toolbar", "modelEvents", "allowedEvents", "ignoreEvents", "disabled"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i4.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RichTextEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-rich-text-editor', standalone: true, imports: [CommonModule, EditorModule, ReactiveFormsModule], providers: [{ provide: TINYMCE_SCRIPT_SRC, useValue: 'tinymce/tinymce.min.js' }], template: "<div [attr.data-test-id]=\"testId\">\n  <label [ngClass]=\"{ 'label-required': required === true }\" class=\"rich-text-label\">{{ label }}</label>\n  <div class=\"rich-text-editor\" *ngIf=\"!readonly\">\n    <editor\n      [formControl]=\"richText\"\n      [attr.disabled]=\"disabled\"\n      [initialValue]=\"value\"\n      [init]=\"{\n        base_url: '/tinymce',\n        suffix: '.min',\n        menubar: false,\n        placeholder,\n        statusbar: false,\n        min_height: 130,\n        plugins: ['lists', 'advlist', 'autolink', 'image', 'link', 'autoresize'],\n        autoresize_bottom_margin: 0,\n        toolbar: disabled ? false : 'blocks | bold italic strikethrough | bullist numlist outdent indent | link image',\n        toolbar_location: 'bottom',\n        content_style: 'body { font-family:Helvetica, Arial,sans-serif; font-size:14px }',\n        branding: false,\n        paste_data_images: true,\n        file_picker_types: 'image',\n        file_picker_callback: filePickerCallback\n      }\"\n      (onBlur)=\"blur()\"\n      (onChange)=\"change($event)\"\n    ></editor>\n    <p *ngIf=\"richText.invalid\" [ngClass]=\"'text-editor-error'\">{{ info }}</p>\n  </div>\n  <div *ngIf=\"readonly\">\n    <div class=\"readonly-richtext-editor\" style=\"margin: 10px 5px\" [innerHTML]=\"value || '--'\"></div>\n  </div>\n</div>\n", styles: [".rich-text-label{margin:5px;font-size:16px}.rich-text-editor{margin:10px 0}.label-required:after{display:inline;content:\" *\";vertical-align:top;color:var(--app-neutral-dark-color)}.text-editor-error{color:var(--app-error-light-color)}\n"] }]
        }], propDecorators: { placeholder: [{
                type: Input
            }], disabled: [{
                type: Input
            }], readonly: [{
                type: Input
            }], value: [{
                type: Input
            }], label: [{
                type: Input
            }], required: [{
                type: Input
            }], info: [{
                type: Input
            }], error: [{
                type: Input
            }], testId: [{
                type: Input
            }], onBlur: [{
                type: Output
            }], onChange: [{
                type: Output
            }] } });

// import { Button } from '@angular/material'
class WssQuickCreateComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WssQuickCreateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WssQuickCreateComponent, isStandalone: true, selector: "wss-quick-create", inputs: { actions$: "actions$", heading$: "heading$" }, ngImport: i0, template: "<div class=\"wss-quick-create-header\">\n  <h1 class=\"quick-link-heading\">{{ heading$ }}</h1>\n  <ul class=\"quick-link-ul-list\">\n    <li *ngFor=\"let element of actions$\" class=\"quick-link-list\">\n      <button mat-raised-button color=\"primary\" class=\"quick-link-button\" mat-icon-button (click)=\"element.onClick()\">\n        <span class=\"quick-link-button-span\">\n          <img *ngIf=\"element.icon\" class=\"quick-link-icon\" [src]=\"element.icon\" />\n          <span>{{ element.label }}</span>\n        </span>\n      </button>\n    </li>\n  </ul>\n</div>\n", styles: [".quick-link-ul-list{list-style:none;padding:0;grid-template-columns:repeat(auto-fill,minmax(min(40ch,100%),1fr));display:grid;gap:1rem}.quick-link-list{background-color:var(--app-primary-color);color:var(--app-form-color);border-radius:8px}.quick-link-button{text-transform:capitalize!important;font-size:16px!important;color:var(--app-form-color)!important;cursor:pointer;padding:1rem!important;height:6rem;width:100%;justify-content:start!important;background-color:transparent;border:0}.quick-link-icon{width:1em;height:1em;flex-shrink:0;filter:invert(100%)}.quick-link-button-span{display:flex;align-items:center;gap:.5rem}.quick-link-heading{margin-top:8px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WssQuickCreateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'wss-quick-create', standalone: true, imports: [CommonModule], template: "<div class=\"wss-quick-create-header\">\n  <h1 class=\"quick-link-heading\">{{ heading$ }}</h1>\n  <ul class=\"quick-link-ul-list\">\n    <li *ngFor=\"let element of actions$\" class=\"quick-link-list\">\n      <button mat-raised-button color=\"primary\" class=\"quick-link-button\" mat-icon-button (click)=\"element.onClick()\">\n        <span class=\"quick-link-button-span\">\n          <img *ngIf=\"element.icon\" class=\"quick-link-icon\" [src]=\"element.icon\" />\n          <span>{{ element.label }}</span>\n        </span>\n      </button>\n    </li>\n  </ul>\n</div>\n", styles: [".quick-link-ul-list{list-style:none;padding:0;grid-template-columns:repeat(auto-fill,minmax(min(40ch,100%),1fr));display:grid;gap:1rem}.quick-link-list{background-color:var(--app-primary-color);color:var(--app-form-color);border-radius:8px}.quick-link-button{text-transform:capitalize!important;font-size:16px!important;color:var(--app-form-color)!important;cursor:pointer;padding:1rem!important;height:6rem;width:100%;justify-content:start!important;background-color:transparent;border:0}.quick-link-icon{width:1em;height:1em;flex-shrink:0;filter:invert(100%)}.quick-link-button-span{display:flex;align-items:center;gap:.5rem}.quick-link-heading{margin-top:8px}\n"] }]
        }], propDecorators: { actions$: [{
                type: Input
            }], heading$: [{
                type: Input
            }] } });

// Infra components
// pegaSdkComponentMap is the JSON object where we'll store the components that are
// the default implementations provided by the SDK. These will be used if there isn't
// an entry in the localSdkComponentMap
// NOTE: A few components have non-standard capitalization:
//  'reference' is what's in the metadata, not Reference
//  'Todo' is what's in the metadata, not ToDo
//  Also, note that "Checkbox" component is named/exported as CheckboxComponent
const pegaSdkComponentMap = {
    ActionButtons: ActionButtonsComponent,
    Alert: AlertComponent,
    AlertBanner: AlertBannerComponent,
    //   'ActionButtonsForFileUtil': ActionButtonsForFileUtil,
    AppAnnouncement: AppAnnouncementComponent,
    AppShell: AppShellComponent,
    Assignment: AssignmentComponent,
    AssignmentCard: AssignmentCardComponent,
    Attachment: AttachmentComponent,
    AutoComplete: AutoCompleteComponent,
    Banner: BannerComponent,
    BannerPage: BannerPageComponent,
    CancelAlert: CancelAlertComponent,
    CaseCreateStage: CaseCreateStageComponent,
    CaseHistory: CaseHistoryComponent,
    CaseSummary: CaseSummaryComponent,
    CaseSummaryFields: MaterialCaseSummaryComponent,
    CaseView: CaseViewComponent,
    //   'CaseViewActionsMenu': CaseViewActionsMenu,
    Checkbox: CheckBoxComponent,
    Confirmation: ConfirmationComponent,
    Currency: CurrencyComponent,
    DashboardFilter: DashboardFilterComponent,
    DataReference: DataReferenceComponent,
    Date: DateComponent,
    DateTime: DateTimeComponent,
    Decimal: DecimalComponent,
    DefaultForm: DefaultFormComponent,
    DeferLoad: DeferLoadComponent,
    Details: DetailsComponent,
    DetailsFields: MaterialDetailsFieldsComponent,
    DetailsOneColumn: DetailsOneColumnComponent,
    DetailsSubTabs: DetailsSubTabsComponent,
    DetailsThreeColumn: DetailsThreeColumnComponent,
    DetailsTwoColumn: DetailsTwoColumnComponent,
    Dropdown: DropdownComponent,
    DynamicTabs: DynamicTabsComponent,
    Email: EmailComponent,
    ErrorBoundary: ErrorBoundaryComponent,
    FeedContainer: FeedContainerComponent,
    FieldGroup: FieldGroupComponent,
    FieldGroupList: FieldGroupListComponent,
    FieldGroupTemplate: FieldGroupTemplateComponent,
    FieldValueList: FieldValueListComponent,
    FileUtility: FileUtilityComponent,
    FlowContainer: FlowContainerComponent,
    Group: GroupComponent,
    //   'Followers': Followers,
    InlineDashboard: InlineDashboardComponent,
    InlineDashboardPage: InlineDashboardPageComponent,
    Integer: IntegerComponent,
    //   'LeftAlignVerticalTabs': LeftAlignVerticalTabs,
    ListPage: ListPageComponent,
    ListUtility: ListUtilityComponent,
    ListView: ListViewComponent,
    ListViewActionButtons: ListViewActionButtonsComponent,
    MaterialDetails: MaterialDetailsComponent,
    MaterialUtility: MaterialUtilityComponent,
    ModalViewContainer: ModalViewContainerComponent,
    MultiReferenceReadOnly: MultiReferenceReadonlyComponent,
    Multiselect: MultiselectComponent,
    MultiStep: MultiStepComponent,
    //   'NarrowWide': NarrowWideFormComponent,
    NarrowWideDetails: DetailsNarrowWideComponent,
    NarrowWideForm: NarrowWideFormComponent,
    //   'NarrowWidePage': NarrowWidePage,
    NavBar: NavbarComponent,
    OneColumn: OneColumnComponent,
    OneColumnPage: OneColumnPageComponent,
    OneColumnTab: OneColumnTabComponent,
    Operator: OperatorComponent,
    Page: PageComponent,
    Percentage: PercentageComponent,
    Phone: PhoneComponent,
    PromotedFilters: PromotedFiltersComponent,
    Pulse: PulseComponent,
    QuickCreate: QuickCreateComponent,
    reference: ReferenceComponent,
    RadioButtons: RadioButtonsComponent,
    Region: RegionComponent,
    RichText: RichTextComponent,
    RichTextEditor: RichTextEditorComponent,
    RootContainer: RootContainerComponent,
    ScalarList: ScalarListComponent,
    SemanticLink: SemanticLinkComponent,
    SimpleTable: SimpleTableComponent,
    SimpleTableManual: SimpleTableManualComponent,
    SimpleTableSelect: SimpleTableSelectComponent,
    SingleReferenceReadOnly: SingleReferenceReadonlyComponent,
    Stages: StagesComponent,
    SubTabs: SubTabsComponent,
    SummaryItem: MaterialSummaryItemComponent,
    SummaryList: MaterialSummaryListComponent,
    Text: TextComponent,
    TextArea: TextAreaComponent,
    TextContent: TextContentComponent,
    TextInput: TextInputComponent,
    ThreeColumn: ThreeColumnComponent,
    ThreeColumnPage: ThreeColumnPageComponent,
    Time: TimeComponent,
    Todo: TodoComponent,
    TwoColumn: TwoColumnComponent,
    TwoColumnPage: TwoColumnPageComponent,
    TwoColumnTab: TwoColumnTabComponent,
    URL: UrlComponent,
    UserReference: UserReferenceComponent,
    VerticalTabs: MaterialVerticalTabsComponent,
    View: ViewComponent,
    ViewContainer: ViewContainerComponent,
    //   'WideNarrow': WideNarrow,
    WideNarrowDetails: DetailsWideNarrowComponent,
    WideNarrowForm: WideNarrowFormComponent,
    WideNarrowPage: WideNarrowPageComponent,
    WssNavBar: WssNavBarComponent,
    WssQuickCreate: WssQuickCreateComponent
};

// Helper singleton class to assist with loading and
//  accessing the SDK components
// import localSdkComponentMap from '../../../sdk-local-component-map';
// Statically load all "local" components
// Create a singleton for this class (with async loading of components map file) and export it
// Note: Initializing SdkComponentMap to null seems to cause lots of compile issues with references
//  within other components and the value potentially being null (so try to leave it undefined)
// eslint-disable-next-line import/no-mutable-exports
let SdkComponentMap;
let SdkComponentMapCreateInProgress = false;
class ComponentMap {
    constructor() {
        this.getLocalComponentMap = () => {
            return this.sdkComponentMap.localComponentMap;
        };
        this.getPegaProvidedComponentMap = () => {
            return this.sdkComponentMap.pegaProvidedComponentMap;
        };
        this.setPegaProvidedComponentMap = inPegaProvidedComponentMap => {
            this.sdkComponentMap.pegaProvidedComponentMap = inPegaProvidedComponentMap;
            return this.sdkComponentMap.pegaProvidedComponentMap;
        };
        // sdkComponentMap is top-level object
        this.sdkComponentMap = { localComponentMap: {}, pegaProvidedComponentMap: {} };
        // isCoComponentMapLoaded will be updated to true after the async load is complete
        this.isComponentMapLoaded = false;
        // pegaSdkComponents.local is the JSON object where we'll store the components that are
        // found locally or can be found in the Pega-provided repo
        this.sdkComponentMap.localComponentMap = {};
        this.sdkComponentMap.pegaProvidedComponentMap = {};
        // The "work" to load the config file is done (asynchronously) via the initialize
        //  (Factory function) below)
    }
    /**
     * Asynchronous initialization of the config file contents.
     * @returns Promise of config file fetch
     */
    async readSdkComponentMap(inLocalSdkComponentMap = {}) {
        return new Promise(resolve => {
            if (Object.keys(this.sdkComponentMap.localComponentMap).length === 0 &&
                Object.keys(this.sdkComponentMap.pegaProvidedComponentMap).length === 0) {
                const theLocalCompPromise = this.readLocalSdkComponentMap(inLocalSdkComponentMap);
                const thePegaCompPromise = this.readPegaSdkComponentMap(pegaSdkComponentMap);
                Promise.all([theLocalCompPromise, thePegaCompPromise])
                    .then(( /* results */) => {
                    resolve(this.sdkComponentMap);
                })
                    .catch(error => {
                    console.error(`Error in readSdkComponentMap: ${error}`);
                });
            }
            else {
                resolve(this.sdkComponentMap);
            }
        });
    }
    async readLocalSdkComponentMap(inLocalSdkComponentMap = {}) {
        // debugger;
        if (Object.entries(this.getLocalComponentMap()).length === 0) {
            this.sdkComponentMap.localComponentMap = inLocalSdkComponentMap;
        }
        return Promise.resolve(this);
    }
    async readPegaSdkComponentMap(inPegaSdkComponentMap = {}) {
        // debugger;
        if (Object.entries(this.getPegaProvidedComponentMap()).length === 0) {
            this.sdkComponentMap.pegaProvidedComponentMap = inPegaSdkComponentMap;
        }
        return Promise.resolve(this);
    }
    setLocalComponentMap(inLocalSdkComponentMap) {
        this.sdkComponentMap.localComponentMap = inLocalSdkComponentMap;
        return this.sdkComponentMap.localComponentMap;
    }
}
// Implement Factory function to allow async load
//  See https://stackoverflow.com/questions/49905178/asynchronous-operations-in-constructor/49906064#49906064 for inspiration
async function createSdkComponentMap(inLocalComponentMap = {}) {
    // Note that our initialize function returns a promise...
    const singleton = new ComponentMap();
    await singleton.readSdkComponentMap(inLocalComponentMap);
    return singleton;
}
// Initialize exported SdkComponentMap structure
async function getSdkComponentMap(inLocalComponentMap = {}) {
    return new Promise(resolve => {
        let idNextCheck;
        if (!SdkComponentMap && !SdkComponentMapCreateInProgress) {
            SdkComponentMapCreateInProgress = true;
            createSdkComponentMap(inLocalComponentMap).then(theComponentMap => {
                // debugger;
                // Key initialization of SdkComponentMap
                SdkComponentMap = theComponentMap;
                SdkComponentMapCreateInProgress = false;
                console.log(`getSdkComponentMap: created SdkComponentMap singleton`);
                // Create and dispatch the SdkConfigAccessReady event
                //  Not used anyplace yet but putting it in place in case we need it.
                const event = new CustomEvent('SdkComponentMapReady', {});
                document.dispatchEvent(event);
                return resolve(SdkComponentMap /* .sdkComponentMap */);
            });
        }
        else {
            const fnCheckForConfig = () => {
                if (SdkComponentMap) {
                    if (idNextCheck) {
                        clearInterval(idNextCheck);
                    }
                    return resolve(SdkComponentMap.sdkComponentMap);
                }
                idNextCheck = setInterval(fnCheckForConfig, 500);
            };
            if (SdkComponentMap) {
                // eslint-disable-next-line no-promise-executor-return
                return resolve(SdkComponentMap.sdkComponentMap);
            }
            idNextCheck = setInterval(fnCheckForConfig, 500);
        }
    });
}
function getComponentFromMap(inComponentName) {
    let theComponentImplementation = null;
    const theLocalComponent = SdkComponentMap.getLocalComponentMap()[inComponentName];
    if (theLocalComponent !== undefined) {
        console.log(`Requested component found ${inComponentName}: Local`);
        theComponentImplementation = theLocalComponent;
    }
    else {
        const thePegaProvidedComponent = SdkComponentMap.getPegaProvidedComponentMap()[inComponentName];
        if (thePegaProvidedComponent !== undefined) {
            // console.log(`Requested component found ${inComponentName}: Pega-provided`);
            theComponentImplementation = thePegaProvidedComponent;
        }
        else {
            console.error(`Requested component has neither Local nor Pega-provided implementation: ${inComponentName}`);
            theComponentImplementation = getComponentFromMap('ErrorBoundary');
        }
    }
    return theComponentImplementation;
}

const componentsRequireDisplayOnlyFAProp = ['HybridViewContainer', 'ModalViewContainer', 'ViewContainer', 'RootContainer', 'View'];
class ComponentMapperComponent {
    constructor() {
        this.isInitialized = false;
        this.name = '';
        this.errorMsg = '';
    }
    ngOnInit() {
        this.loadComponent();
        this.isInitialized = true;
    }
    ngOnChanges(changes) {
        const { name } = changes;
        if (name) {
            const { previousValue, currentValue } = name;
            if (previousValue && previousValue !== currentValue) {
                this.loadComponent();
            }
        }
        else if (this.isInitialized) {
            this.bindInputProps();
        }
    }
    loadComponent() {
        const component = getComponentFromMap(this.name);
        if (this.dynamicComponent) {
            this.dynamicComponent.clear();
            this.componentRef = this.dynamicComponent.createComponent(component);
            if (component === ErrorBoundaryComponent) {
                this.componentRef.instance.message = this.errorMsg;
            }
            else {
                this.bindInputProps();
                this.bindOutputEvents();
            }
        }
    }
    bindInputProps() {
        try {
            if (this.props) {
                const propsKeys = Object.keys(this.props);
                const propsValues = Object.values(this.props);
                for (let i = 0; i < propsKeys.length; i++) {
                    if (propsValues[i] !== undefined) {
                        // We'll set 'displayOnlyFA$' prop only to the components which really need it
                        // Eventual plan is to get rid of this particular prop
                        if (propsKeys[i] === 'displayOnlyFA$' && !componentsRequireDisplayOnlyFAProp.includes(this.name)) {
                            // eslint-disable-next-line no-continue
                            continue;
                        }
                        this.componentRef?.setInput(propsKeys[i], propsValues[i]);
                    }
                }
            }
        }
        catch (e) {
            console.log(e);
        }
    }
    bindOutputEvents() {
        try {
            if (this.outputEvents) {
                const propsKeys = Object.keys(this.outputEvents);
                const propsValues = Object.values(this.outputEvents);
                for (let i = 0; i < propsKeys.length; i++) {
                    this.componentRef?.instance[propsKeys[i]].subscribe(value => {
                        const callbackFn = propsValues[i].bind(this.parent);
                        callbackFn(value);
                    });
                }
            }
        }
        catch (e) {
            console.log(e);
        }
    }
    ngOnDestroy() {
        if (this.componentRef) {
            this.componentRef.destroy();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ComponentMapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ComponentMapperComponent, isStandalone: true, selector: "component-mapper", inputs: { name: "name", props: "props", errorMsg: "errorMsg", outputEvents: "outputEvents", parent: "parent" }, viewQueries: [{ propertyName: "dynamicComponent", first: true, predicate: ["dynamicComponent"], descendants: true, read: ViewContainerRef, static: true }], usesOnChanges: true, ngImport: i0, template: "<ng-container #dynamicComponent></ng-container>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ComponentMapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'component-mapper', standalone: true, imports: [CommonModule], template: "<ng-container #dynamicComponent></ng-container>\n" }]
        }], propDecorators: { dynamicComponent: [{
                type: ViewChild,
                args: ['dynamicComponent', { read: ViewContainerRef, static: true }]
            }], name: [{
                type: Input
            }], props: [{
                type: Input
            }], errorMsg: [{
                type: Input
            }], outputEvents: [{
                type: Input
            }], parent: [{
                type: Input
            }] } });

class RepeatingStructuresComponent {
    constructor(psService, utils) {
        this.psService = psService;
        this.utils = utils;
        this.displayedColumns$ = Array();
    }
    ngOnInit() {
        const componentConfig = this.pConn$.getRawMetadata().config || { fields: [] };
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.fields$ = this.initializeColumns(componentConfig.fields);
        const refList = this.configProps$.referenceList;
        const tableDataResults = JSON.parse(JSON.stringify(this.pConn$.getValue(refList)));
        // update elements like date format
        const updatedRefList = this.updateData(tableDataResults, this.fields$);
        this.repeatList$ = new MatTableDataSource(updatedRefList);
        this.displayedColumns$ = this.getDisplayColumns(this.fields$);
        this.repeatList$.paginator = this.paginator;
    }
    ngAfterViewInit() {
        // paginator has to exist for this to work,
        // so called after init (paginator drawn)
        this.repeatList$.paginator = this.paginator;
        this.repeatList$.sort = this.sort;
    }
    applySearch(event) {
        const filterValue = event.target.value;
        this.repeatList$.filter = filterValue.trim().toLowerCase();
        if (this.repeatList$.paginator) {
            this.repeatList$.paginator.firstPage();
        }
    }
    rowClick(row) {
        // eslint-disable-next-line sonarjs/no-small-switch
        switch (this.configProps$.rowClickAction) {
            case 'openAssignment':
                this.psService.sendMessage(true);
                this.openAssignment(row);
                break;
            default:
                break;
        }
    }
    updateData(listData, fieldData) {
        const returnList = new Array();
        listData.forEach(row => {
            // copy
            const rowData = JSON.parse(JSON.stringify(listData[row]));
            for (let fieldIndex = 0; fieldIndex < fieldData.length; fieldIndex++) {
                if (fieldData[fieldIndex].type == 'date') {
                    const fieldName = fieldData[fieldIndex].name;
                    const formattedDate = rowData[fieldName];
                    // format date
                    // formattedDate = formattedDate.replace("GMT", "+0000");
                    this.utils.generateDateTime(formattedDate, 'MMMM D, YYYY h:mm:ss A');
                    // update
                    rowData[fieldName] = formattedDate;
                }
            }
            returnList.push(rowData);
        });
        return returnList;
    }
    openAssignment(row) {
        const { pxRefObjectClass, pzInsKey } = row;
        const sTarget = this.pConn$.getContainerName();
        const options = { containerName: sTarget };
        this.pConn$
            .getActionsApi()
            .openAssignment(pzInsKey, pxRefObjectClass, options)
            .then(() => { });
    }
    initializeData(data) {
        data.forEach((item, idx) => {
            item.__original_index = idx;
            item.__level = 1;
        });
        return data;
    }
    getType(field) {
        const { config = {}, type } = field;
        const { formatType } = config;
        if (formatType === 'datetime' || formatType === 'date') {
            // currently cosmos has only support for date ... it also need to support dateTime
            return 'date';
        }
        return type.toLowerCase();
    }
    initializeColumns(fields = []) {
        return fields.map((field, originalColIndex) => ({
            ...field,
            type: this.getType(field),
            name: field.config.value.substring(4),
            label: field.config.label.substring(3),
            id: originalColIndex,
            groupingEnabled: true,
            grouped: false,
            minWidth: 50,
            cellRenderer: this.getType(field) === 'text' ? null : field.type,
            filter: true
        }));
    }
    getDisplayColumns(fields = []) {
        return fields.map((field) => field.name);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RepeatingStructuresComponent, deps: [{ token: ProgressSpinnerService }, { token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RepeatingStructuresComponent, isStandalone: true, selector: "app-repeating-structures", inputs: { pConn$: "pConn$" }, viewQueries: [{ propertyName: "paginator", first: true, predicate: MatPaginator, descendants: true }, { propertyName: "sort", first: true, predicate: MatSort, descendants: true }], ngImport: i0, template: "<div>\n  <mat-form-field class=\"psdk-search\">\n    <mat-label\n      ><mat-icon class=\"psdk-icon-search\" style=\"transform: scale(1.2); width: 2rem; vertical-align: sub\" svgIcon=\"magnify\" mastListIcon></mat-icon>\n      Search</mat-label\n    >\n    <input matInput (keyup)=\"applySearch($event)\" placeholder=\"\" />\n  </mat-form-field>\n\n  <table mat-table [dataSource]=\"repeatList$\" matSort>\n    <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.name\">\n      <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dCol.label }}</th>\n      <td mat-cell *matCellDef=\"let element\">{{ element[dCol.name] }}</td>\n    </ng-container>\n\n    <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n    <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\" (click)=\"rowClick(row)\"></tr>\n  </table>\n\n  <mat-paginator [pageSizeOptions]=\"[10, 20, 50, 100, 500]\" showFirstLastButtons></mat-paginator>\n</div>\n", styles: ["table{width:100%}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-search{padding-left:.625rem}.psdk-icon-search{vertical-align:sub;padding:0rem .125rem;min-width:unset}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i5.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i5.MatLabel, selector: "mat-label" }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i2$3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i6$1.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly"], exportAs: ["matInput"] }, { kind: "ngmodule", type: MatTableModule }, { kind: "component", type: i6$2.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i6$2.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i6$2.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i6$2.MatColumnDef, selector: "[matColumnDef]", inputs: ["matColumnDef"] }, { kind: "directive", type: i6$2.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i6$2.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i6$2.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i6$2.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i6$2.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i6$2.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "ngmodule", type: MatSortModule }, { kind: "directive", type: i7$3.MatSort, selector: "[matSort]", inputs: ["matSortActive", "matSortStart", "matSortDirection", "matSortDisableClear", "matSortDisabled"], outputs: ["matSortChange"], exportAs: ["matSort"] }, { kind: "component", type: i7$3.MatSortHeader, selector: "[mat-sort-header]", inputs: ["mat-sort-header", "arrowPosition", "start", "disabled", "sortActionDescription", "disableClear"], exportAs: ["matSortHeader"] }, { kind: "ngmodule", type: MatPaginatorModule }, { kind: "component", type: i14.MatPaginator, selector: "mat-paginator", inputs: ["color", "pageIndex", "length", "pageSize", "pageSizeOptions", "hidePageSize", "showFirstLastButtons", "selectConfig", "disabled"], outputs: ["page"], exportAs: ["matPaginator"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RepeatingStructuresComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-repeating-structures', standalone: true, imports: [CommonModule, MatFormFieldModule, MatIconModule, MatInputModule, MatTableModule, MatSortModule, MatPaginatorModule], template: "<div>\n  <mat-form-field class=\"psdk-search\">\n    <mat-label\n      ><mat-icon class=\"psdk-icon-search\" style=\"transform: scale(1.2); width: 2rem; vertical-align: sub\" svgIcon=\"magnify\" mastListIcon></mat-icon>\n      Search</mat-label\n    >\n    <input matInput (keyup)=\"applySearch($event)\" placeholder=\"\" />\n  </mat-form-field>\n\n  <table mat-table [dataSource]=\"repeatList$\" matSort>\n    <ng-container *ngFor=\"let dCol of fields$\" [matColumnDef]=\"dCol.name\">\n      <th mat-header-cell *matHeaderCellDef mat-sort-header>{{ dCol.label }}</th>\n      <td mat-cell *matCellDef=\"let element\">{{ element[dCol.name] }}</td>\n    </ng-container>\n\n    <tr mat-header-row *matHeaderRowDef=\"displayedColumns$\"></tr>\n    <tr mat-row *matRowDef=\"let row; columns: displayedColumns$\" (click)=\"rowClick(row)\"></tr>\n  </table>\n\n  <mat-paginator [pageSizeOptions]=\"[10, 20, 50, 100, 500]\" showFirstLastButtons></mat-paginator>\n</div>\n", styles: ["table{width:100%}.mat-mdc-row .mat-mdc-cell{text-align:left}.psdk-search{padding-left:.625rem}.psdk-icon-search{vertical-align:sub;padding:0rem .125rem;min-width:unset}\n"] }]
        }], ctorParameters: () => [{ type: ProgressSpinnerService }, { type: Utils }], propDecorators: { paginator: [{
                type: ViewChild,
                args: [MatPaginator]
            }], sort: [{
                type: ViewChild,
                args: [MatSort]
            }], pConn$: [{
                type: Input
            }] } });

class UtilityComponent {
    constructor(utils) {
        this.utils = utils;
    }
    ngOnInit() {
        this.updateSelf();
    }
    ngOnChanges(changes) {
        const { pConn$ } = changes;
        if (pConn$.previousValue && pConn$.previousValue !== pConn$.currentValue) {
            this.updateSelf();
        }
    }
    updateSelf() {
        this.configProps$ = this.pConn$.resolveConfigProps(this.pConn$.getConfigProps());
        this.headerIcon$ = this.configProps$.headerIcon;
        this.headerIconUrl$ = this.utils.getSDKStaticContentUrl();
        this.headerText$ = this.configProps$.headerText;
        this.noItemsMessage$ = this.configProps$.noItemsMessage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UtilityComponent, deps: [{ token: Utils }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: UtilityComponent, isStandalone: true, selector: "app-utility", inputs: { pConn$: "pConn$" }, usesOnChanges: true, ngImport: i0, template: "<component-mapper name=\"MaterialUtility\" [props]=\"{ headerText$, headerIcon$, headerIconUrl$, noItemsMessage$ }\"></component-mapper>\n", styles: [""], dependencies: [{ kind: "component", type: i0.forwardRef(() => ComponentMapperComponent), selector: "component-mapper", inputs: ["name", "props", "errorMsg", "outputEvents", "parent"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UtilityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-utility', standalone: true, imports: [forwardRef(() => ComponentMapperComponent)], template: "<component-mapper name=\"MaterialUtility\" [props]=\"{ headerText$, headerIcon$, headerIconUrl$, noItemsMessage$ }\"></component-mapper>\n" }]
        }], ctorParameters: () => [{ type: Utils }], propDecorators: { pConn$: [{
                type: Input
            }] } });

class ThousandSeparatorDirective {
    constructor(el) {
        this.el = el;
    }
    onInput(event) {
        const input = this.el.nativeElement;
        let value = input.value.replace(/,/g, ''); // Remove existing commas
        if (event?.data !== '.') {
            value = Number(value).toLocaleString(); // Add thousands separator
            input.value = value;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ThousandSeparatorDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.12", type: ThousandSeparatorDirective, isStandalone: true, selector: "[appThousandSeparator]", host: { listeners: { "input": "onInput($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ThousandSeparatorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appThousandSeparator]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { onInput: [{
                type: HostListener,
                args: ['input', ['$event']]
            }] } });

class CaseService {
    constructor(http, scService) {
        this.http = http;
        this.scService = scService;
    }
    // caseTypeUrl = endpoints.BASEURL + endpoints.CASETYPES;
    // get a list of possible case types to create
    getCaseTypes() {
        const caseParams = new HttpParams();
        let caseHeaders = new HttpHeaders();
        this.caseTypeUrl = this.scService.getBaseUrl() + endpoints.API + endpoints.CASETYPES;
        caseHeaders = caseHeaders.append('Authorization', Utils.sdkGetAuthHeader());
        caseHeaders = caseHeaders.append('Content-Type', 'application/json');
        return this.http.get(this.caseTypeUrl, { observe: 'response', params: caseParams, headers: caseHeaders });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseService, deps: [{ token: i1.HttpClient }, { token: ServerConfigService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CaseService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1.HttpClient }, { type: ServerConfigService }] });

/**
 * versionHelpers.ts
 *
 * Container helper functions that can identify which version of
 * PCore/PConnect is being run
 */
const sdkVersion = '8.7';
function compareSdkPCoreVersions() {
    // const theConstellationVersion = PCore.getPCoreVersion();
    console.warn(`Using Constellation version ${PCore.getPCoreVersion()}. Ensure this is the same version as your Infinity server.`);
}

class UpdateWorklistService {
    constructor() {
        this.subject = new Subject();
    }
    /**
     * Function signals to update Work list
     * @param bUpdate - true: update worklist, false - do nothing
     */
    sendMessage(bUpdate) {
        this.subject.next({ update: bUpdate });
    }
    clearMessage() {
        this.subject.next();
    }
    getMessage() {
        return this.subject.asObservable();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UpdateWorklistService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UpdateWorklistService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UpdateWorklistService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

// Statically load all "local" components that aren't yet in the npm package
/* import end - DO NOT REMOVE */
// localSdkComponentMap is the JSON object where we'll store the components that are
// found locally. If not found here, we'll look in the Pega-provided component map
const localSdkComponentMap = {
/* map end - DO NOT REMOVE */
};

/* eslint-disable import/export */
/*
 * Public API Surface of angular-sdk-components
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ActionButtonsComponent, AlertBannerComponent, AlertComponent, AngularPConnectService, AppAnnouncementComponent, AppShellComponent, AssignmentCardComponent, AssignmentComponent, AttachmentComponent, AutoCompleteComponent, CancelAlertComponent, CaseCreateStageComponent, CaseHistoryComponent, CaseService, CaseSummaryComponent, CaseViewComponent, CheckBoxComponent, ComponentMapperComponent, ConfirmationComponent, CurrencyComponent, DELETE_ICON, DashboardFilterComponent, DataReferenceComponent, DatapageService, DateComponent, DateTimeComponent, DecimalComponent, DefaultFormComponent, DeferLoadComponent, DetailsComponent, DetailsNarrowWideComponent, DetailsOneColumnComponent, DetailsSubTabsComponent, DetailsTemplateBase, DetailsThreeColumnComponent, DetailsTwoColumnComponent, DetailsWideNarrowComponent, DropdownComponent, EmailComponent, ErrorBoundaryComponent, ErrorMessagesService, FeedContainerComponent, FieldGroupListComponent, FieldGroupTemplateComponent, FieldValueListComponent, FileUtilityComponent, FlowContainerBaseComponent, FlowContainerComponent, FormTemplateBase, Group$1 as Group, HybridViewContainerComponent, InlineDashboardComponent, InlineDashboardPageComponent, IntegerComponent, ListPageComponent, ListUtilityComponent, ListViewComponent, MaterialCaseSummaryComponent, MaterialDetailsComponent, MaterialDetailsFieldsComponent, MaterialSummaryItemComponent, MaterialSummaryListComponent, MaterialUtilityComponent, MaterialVerticalTabsComponent, ModalViewContainerComponent, MultiReferenceReadonlyComponent, MultiStepComponent, NarrowWideFormComponent, NavbarComponent, OneColumnComponent, OneColumnPageComponent, OneColumnTabComponent, OperatorComponent, PageComponent, PercentageComponent, PhoneComponent, PreviewViewContainerComponent, ProgressSpinnerService, PromotedFiltersComponent, PulseComponent, RadioButtonsComponent, ReferenceComponent, RegionComponent, RepeatingStructuresComponent, RichTextComponent, RichTextEditorComponent, RootContainerComponent, SdkComponentMap, SemanticLinkComponent, ServerConfigService, SimpleTableComponent, SimpleTableManualComponent, SimpleTableSelectComponent, SingleReferenceReadonlyComponent, StagesComponent, SubTabsComponent, TABLE_CELL, TemplateUtils, TextAreaComponent, TextComponent, TextContentComponent, TextInputComponent, ThousandSeparatorDirective, ThreeColumnComponent, ThreeColumnPageComponent, TimeComponent, TodoComponent, TwoColumnComponent, TwoColumnPageComponent, TwoColumnTabComponent, UpdateWorklistService, UrlComponent, UserReferenceComponent, UtilityComponent, Utils, ViewComponent, ViewContainerComponent, WideNarrowFormComponent, WideNarrowPageComponent, buildFieldsForTable, buildFilterComponents, buildMetaForListView, buildView, combineFilters, compareSdkPCoreVersions, createFilter, createFilterComponent, createMetaForTable, createPConnect, currencyMap, dateFormatInfoDefault, deleteInstruction, endpoints, filterDataByCommonFields, filterDataByDate, filterForFieldValueList, format, formatters, getAddRowCallback, getAllFields, getApiContext, getBanners, getComponentFromMap, getContext, getCurrencyCharacters, getCurrencyOptions, getCurrentTimezone$1 as getCurrentTimezone, getDateFormatInfo, getDeferFriendlyTabs, getFilterExpression, getFormattedDate, getLocale$1 as getLocale, getMessagesGrouped, getReferenceList, getSdkComponentMap, getSeconds, getToDoAssignments, getTransientTabs, getVisibleTabs, handleEvent, insertInstruction, loginBoxType, populateRowKey, sdkVersion, showBanner, tabClick, updateNewInstructions, updateWorkList };
//# sourceMappingURL=pega-angular-sdk-components.mjs.map
